#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 11978
#define LARGE_STATE_COUNT 191
#define SYMBOL_COUNT 211
#define ALIAS_COUNT 1
#define TOKEN_COUNT 81
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 29
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 258

enum {
  sym_identifier = 1,
  anon_sym_package = 2,
  anon_sym_DOT = 3,
  anon_sym_object = 4,
  anon_sym_import = 5,
  anon_sym_COMMA = 6,
  anon_sym_STAR = 7,
  anon_sym__ = 8,
  anon_sym_given = 9,
  anon_sym_LBRACE = 10,
  anon_sym_RBRACE = 11,
  anon_sym_EQ_GT = 12,
  anon_sym_as = 13,
  anon_sym_case = 14,
  anon_sym_class = 15,
  anon_sym_trait = 16,
  anon_sym_LBRACK = 17,
  anon_sym_RBRACK = 18,
  anon_sym_PLUS = 19,
  anon_sym_DASH = 20,
  anon_sym_LT_COLON = 21,
  anon_sym_GT_COLON = 22,
  anon_sym_LT_PERCENT = 23,
  anon_sym_COLON = 24,
  anon_sym_AT = 25,
  anon_sym_EQ = 26,
  anon_sym_val = 27,
  anon_sym_var = 28,
  anon_sym_type = 29,
  anon_sym_def = 30,
  anon_sym_abstract = 31,
  anon_sym_final = 32,
  anon_sym_sealed = 33,
  anon_sym_implicit = 34,
  anon_sym_lazy = 35,
  anon_sym_override = 36,
  anon_sym_private = 37,
  anon_sym_protected = 38,
  anon_sym_extends = 39,
  anon_sym_LPAREN = 40,
  anon_sym_RPAREN = 41,
  anon_sym_with = 42,
  anon_sym_POUND = 43,
  anon_sym_PIPE = 44,
  anon_sym_if = 45,
  anon_sym_else = 46,
  anon_sym_match = 47,
  anon_sym_try = 48,
  anon_sym_catch = 49,
  anon_sym_finally = 50,
  anon_sym_new = 51,
  anon_sym_BANG = 52,
  anon_sym_TILDE = 53,
  sym_operator_identifier = 54,
  sym_integer_literal = 55,
  sym_floating_point_literal = 56,
  anon_sym_true = 57,
  anon_sym_false = 58,
  sym_character_literal = 59,
  sym_symbol_literal = 60,
  sym__interpolated_string_start = 61,
  sym__interpolated_multiline_string_start = 62,
  anon_sym_DOLLAR = 63,
  anon_sym_SEMI = 64,
  sym_null_literal = 65,
  anon_sym_return = 66,
  anon_sym_throw = 67,
  anon_sym_while = 68,
  anon_sym_do = 69,
  anon_sym_for = 70,
  anon_sym_yield = 71,
  anon_sym_LT_DASH = 72,
  sym_comment = 73,
  sym__automatic_semicolon = 74,
  sym__simple_string = 75,
  sym__simple_multiline_string = 76,
  sym__interpolated_string_middle = 77,
  sym__interpolated_string_end = 78,
  sym__interpolated_multiline_string_middle = 79,
  sym__interpolated_multiline_string_end = 80,
  sym_compilation_unit = 81,
  sym__top_level_definition = 82,
  sym_package_clause = 83,
  sym_package_identifier = 84,
  sym_package_object = 85,
  sym_import_declaration = 86,
  sym__import_expression = 87,
  sym_import_wildcard = 88,
  sym__import_given_by_type = 89,
  sym_import_selectors = 90,
  sym_renamed_identifier = 91,
  sym_object_definition = 92,
  sym__object_definition = 93,
  sym_class_definition = 94,
  sym_trait_definition = 95,
  sym_type_parameters = 96,
  sym__variant_type_parameter = 97,
  sym_covariant_type_parameter = 98,
  sym_contravariant_type_parameter = 99,
  sym__type_parameter = 100,
  sym_upper_bound = 101,
  sym_lower_bound = 102,
  sym_view_bound = 103,
  sym_context_bound = 104,
  sym_template_body = 105,
  sym_annotation = 106,
  sym_val_definition = 107,
  sym_val_declaration = 108,
  sym__start_val = 109,
  sym_var_declaration = 110,
  sym_var_definition = 111,
  sym__start_var = 112,
  sym_type_definition = 113,
  sym_function_definition = 114,
  sym_function_declaration = 115,
  sym_modifiers = 116,
  sym_access_modifier = 117,
  sym_access_qualifier = 118,
  sym_extends_clause = 119,
  sym_class_parameters = 120,
  sym_parameters = 121,
  sym_class_parameter = 122,
  sym_parameter = 123,
  sym__block = 124,
  sym_block = 125,
  sym__type = 126,
  sym__annotated_type = 127,
  sym__simple_type = 128,
  sym_compound_type = 129,
  sym_infix_type = 130,
  sym_tuple_type = 131,
  sym_stable_type_identifier = 132,
  sym_stable_identifier = 133,
  sym_generic_type = 134,
  sym_projected_type = 135,
  sym_function_type = 136,
  sym_parameter_types = 137,
  sym_lazy_parameter_type = 138,
  sym_repeated_parameter_type = 139,
  sym_case_class_pattern = 140,
  sym_infix_pattern = 141,
  sym_capture_pattern = 142,
  sym_typed_pattern = 143,
  sym_alternative_pattern = 144,
  sym_tuple_pattern = 145,
  sym_expression = 146,
  sym_if_expression = 147,
  sym_match_expression = 148,
  sym_try_expression = 149,
  sym_catch_clause = 150,
  sym_finally_clause = 151,
  sym_binding = 152,
  sym_bindings = 153,
  sym_lambda_expression = 154,
  sym_case_block = 155,
  sym_case_clause = 156,
  sym_guard = 157,
  sym_assignment_expression = 158,
  sym_generic_function = 159,
  sym_call_expression = 160,
  sym_field_expression = 161,
  sym_instance_expression = 162,
  sym_ascription_expression = 163,
  sym_infix_expression = 164,
  sym_postfix_expression = 165,
  sym_prefix_expression = 166,
  sym_tuple_expression = 167,
  sym_parenthesized_expression = 168,
  sym_type_arguments = 169,
  sym_arguments = 170,
  sym_wildcard = 171,
  sym_boolean_literal = 172,
  sym_interpolated_string_expression = 173,
  sym_interpolation = 174,
  sym_interpolated_string = 175,
  sym_string = 176,
  sym_unit = 177,
  sym_return_expression = 178,
  sym_throw_expression = 179,
  sym_while_expression = 180,
  sym_do_while_expression = 181,
  sym_for_expression = 182,
  sym_enumerators = 183,
  sym_enumerator = 184,
  aux_sym_compilation_unit_repeat1 = 185,
  aux_sym_package_identifier_repeat1 = 186,
  aux_sym_import_declaration_repeat1 = 187,
  aux_sym_import_selectors_repeat1 = 188,
  aux_sym_object_definition_repeat1 = 189,
  aux_sym_class_definition_repeat1 = 190,
  aux_sym_type_parameters_repeat1 = 191,
  aux_sym__type_parameter_repeat1 = 192,
  aux_sym__type_parameter_repeat2 = 193,
  aux_sym_annotation_repeat1 = 194,
  aux_sym_val_declaration_repeat1 = 195,
  aux_sym_function_definition_repeat1 = 196,
  aux_sym_modifiers_repeat1 = 197,
  aux_sym_class_parameters_repeat1 = 198,
  aux_sym_parameters_repeat1 = 199,
  aux_sym__block_repeat1 = 200,
  aux_sym_compound_type_repeat1 = 201,
  aux_sym_tuple_type_repeat1 = 202,
  aux_sym_parameter_types_repeat1 = 203,
  aux_sym_case_class_pattern_repeat1 = 204,
  aux_sym_bindings_repeat1 = 205,
  aux_sym_case_block_repeat1 = 206,
  aux_sym_tuple_expression_repeat1 = 207,
  aux_sym_interpolated_string_repeat1 = 208,
  aux_sym_interpolated_string_repeat2 = 209,
  aux_sym_enumerators_repeat1 = 210,
  alias_sym_type_identifier = 211,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_package] = "package",
  [anon_sym_DOT] = ".",
  [anon_sym_object] = "object",
  [anon_sym_import] = "import",
  [anon_sym_COMMA] = ",",
  [anon_sym_STAR] = "*",
  [anon_sym__] = "_",
  [anon_sym_given] = "given",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_as] = "as",
  [anon_sym_case] = "case",
  [anon_sym_class] = "class",
  [anon_sym_trait] = "trait",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_LT_COLON] = "<:",
  [anon_sym_GT_COLON] = ">:",
  [anon_sym_LT_PERCENT] = "<%",
  [anon_sym_COLON] = ":",
  [anon_sym_AT] = "@",
  [anon_sym_EQ] = "=",
  [anon_sym_val] = "val",
  [anon_sym_var] = "var",
  [anon_sym_type] = "type",
  [anon_sym_def] = "def",
  [anon_sym_abstract] = "abstract",
  [anon_sym_final] = "final",
  [anon_sym_sealed] = "sealed",
  [anon_sym_implicit] = "implicit",
  [anon_sym_lazy] = "lazy",
  [anon_sym_override] = "override",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_extends] = "extends",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_with] = "with",
  [anon_sym_POUND] = "#",
  [anon_sym_PIPE] = "|",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_match] = "match",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_new] = "new",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [sym_operator_identifier] = "operator_identifier",
  [sym_integer_literal] = "integer_literal",
  [sym_floating_point_literal] = "floating_point_literal",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym_character_literal] = "character_literal",
  [sym_symbol_literal] = "symbol_literal",
  [sym__interpolated_string_start] = "_interpolated_string_start",
  [sym__interpolated_multiline_string_start] = "_interpolated_multiline_string_start",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_SEMI] = ";",
  [sym_null_literal] = "null_literal",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_yield] = "yield",
  [anon_sym_LT_DASH] = "<-",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__simple_string] = "_simple_string",
  [sym__simple_multiline_string] = "_simple_multiline_string",
  [sym__interpolated_string_middle] = "_interpolated_string_middle",
  [sym__interpolated_string_end] = "_interpolated_string_end",
  [sym__interpolated_multiline_string_middle] = "_interpolated_multiline_string_middle",
  [sym__interpolated_multiline_string_end] = "_interpolated_multiline_string_end",
  [sym_compilation_unit] = "compilation_unit",
  [sym__top_level_definition] = "_top_level_definition",
  [sym_package_clause] = "package_clause",
  [sym_package_identifier] = "package_identifier",
  [sym_package_object] = "package_object",
  [sym_import_declaration] = "import_declaration",
  [sym__import_expression] = "_import_expression",
  [sym_import_wildcard] = "import_wildcard",
  [sym__import_given_by_type] = "_import_given_by_type",
  [sym_import_selectors] = "import_selectors",
  [sym_renamed_identifier] = "renamed_identifier",
  [sym_object_definition] = "object_definition",
  [sym__object_definition] = "_object_definition",
  [sym_class_definition] = "class_definition",
  [sym_trait_definition] = "trait_definition",
  [sym_type_parameters] = "type_parameters",
  [sym__variant_type_parameter] = "_variant_type_parameter",
  [sym_covariant_type_parameter] = "covariant_type_parameter",
  [sym_contravariant_type_parameter] = "contravariant_type_parameter",
  [sym__type_parameter] = "_type_parameter",
  [sym_upper_bound] = "upper_bound",
  [sym_lower_bound] = "lower_bound",
  [sym_view_bound] = "view_bound",
  [sym_context_bound] = "context_bound",
  [sym_template_body] = "template_body",
  [sym_annotation] = "annotation",
  [sym_val_definition] = "val_definition",
  [sym_val_declaration] = "val_declaration",
  [sym__start_val] = "_start_val",
  [sym_var_declaration] = "var_declaration",
  [sym_var_definition] = "var_definition",
  [sym__start_var] = "_start_var",
  [sym_type_definition] = "type_definition",
  [sym_function_definition] = "function_definition",
  [sym_function_declaration] = "function_declaration",
  [sym_modifiers] = "modifiers",
  [sym_access_modifier] = "access_modifier",
  [sym_access_qualifier] = "access_qualifier",
  [sym_extends_clause] = "extends_clause",
  [sym_class_parameters] = "class_parameters",
  [sym_parameters] = "parameters",
  [sym_class_parameter] = "class_parameter",
  [sym_parameter] = "parameter",
  [sym__block] = "_block",
  [sym_block] = "block",
  [sym__type] = "_type",
  [sym__annotated_type] = "_annotated_type",
  [sym__simple_type] = "_simple_type",
  [sym_compound_type] = "compound_type",
  [sym_infix_type] = "infix_type",
  [sym_tuple_type] = "tuple_type",
  [sym_stable_type_identifier] = "stable_type_identifier",
  [sym_stable_identifier] = "stable_identifier",
  [sym_generic_type] = "generic_type",
  [sym_projected_type] = "projected_type",
  [sym_function_type] = "function_type",
  [sym_parameter_types] = "parameter_types",
  [sym_lazy_parameter_type] = "lazy_parameter_type",
  [sym_repeated_parameter_type] = "repeated_parameter_type",
  [sym_case_class_pattern] = "case_class_pattern",
  [sym_infix_pattern] = "infix_pattern",
  [sym_capture_pattern] = "capture_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_alternative_pattern] = "alternative_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_expression] = "expression",
  [sym_if_expression] = "if_expression",
  [sym_match_expression] = "match_expression",
  [sym_try_expression] = "try_expression",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_binding] = "binding",
  [sym_bindings] = "bindings",
  [sym_lambda_expression] = "lambda_expression",
  [sym_case_block] = "case_block",
  [sym_case_clause] = "case_clause",
  [sym_guard] = "guard",
  [sym_assignment_expression] = "assignment_expression",
  [sym_generic_function] = "generic_function",
  [sym_call_expression] = "call_expression",
  [sym_field_expression] = "field_expression",
  [sym_instance_expression] = "instance_expression",
  [sym_ascription_expression] = "ascription_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_prefix_expression] = "prefix_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_type_arguments] = "type_arguments",
  [sym_arguments] = "arguments",
  [sym_wildcard] = "wildcard",
  [sym_boolean_literal] = "boolean_literal",
  [sym_interpolated_string_expression] = "interpolated_string_expression",
  [sym_interpolation] = "interpolation",
  [sym_interpolated_string] = "interpolated_string",
  [sym_string] = "string",
  [sym_unit] = "unit",
  [sym_return_expression] = "return_expression",
  [sym_throw_expression] = "throw_expression",
  [sym_while_expression] = "while_expression",
  [sym_do_while_expression] = "do_while_expression",
  [sym_for_expression] = "for_expression",
  [sym_enumerators] = "enumerators",
  [sym_enumerator] = "enumerator",
  [aux_sym_compilation_unit_repeat1] = "compilation_unit_repeat1",
  [aux_sym_package_identifier_repeat1] = "package_identifier_repeat1",
  [aux_sym_import_declaration_repeat1] = "import_declaration_repeat1",
  [aux_sym_import_selectors_repeat1] = "import_selectors_repeat1",
  [aux_sym_object_definition_repeat1] = "object_definition_repeat1",
  [aux_sym_class_definition_repeat1] = "class_definition_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym__type_parameter_repeat1] = "_type_parameter_repeat1",
  [aux_sym__type_parameter_repeat2] = "_type_parameter_repeat2",
  [aux_sym_annotation_repeat1] = "annotation_repeat1",
  [aux_sym_val_declaration_repeat1] = "val_declaration_repeat1",
  [aux_sym_function_definition_repeat1] = "function_definition_repeat1",
  [aux_sym_modifiers_repeat1] = "modifiers_repeat1",
  [aux_sym_class_parameters_repeat1] = "class_parameters_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym__block_repeat1] = "_block_repeat1",
  [aux_sym_compound_type_repeat1] = "compound_type_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_parameter_types_repeat1] = "parameter_types_repeat1",
  [aux_sym_case_class_pattern_repeat1] = "case_class_pattern_repeat1",
  [aux_sym_bindings_repeat1] = "bindings_repeat1",
  [aux_sym_case_block_repeat1] = "case_block_repeat1",
  [aux_sym_tuple_expression_repeat1] = "tuple_expression_repeat1",
  [aux_sym_interpolated_string_repeat1] = "interpolated_string_repeat1",
  [aux_sym_interpolated_string_repeat2] = "interpolated_string_repeat2",
  [aux_sym_enumerators_repeat1] = "enumerators_repeat1",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym__] = anon_sym__,
  [anon_sym_given] = anon_sym_given,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_trait] = anon_sym_trait,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_LT_COLON] = anon_sym_LT_COLON,
  [anon_sym_GT_COLON] = anon_sym_GT_COLON,
  [anon_sym_LT_PERCENT] = anon_sym_LT_PERCENT,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_sealed] = anon_sym_sealed,
  [anon_sym_implicit] = anon_sym_implicit,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [sym_operator_identifier] = sym_operator_identifier,
  [sym_integer_literal] = sym_integer_literal,
  [sym_floating_point_literal] = sym_floating_point_literal,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym_character_literal] = sym_character_literal,
  [sym_symbol_literal] = sym_symbol_literal,
  [sym__interpolated_string_start] = sym__interpolated_string_start,
  [sym__interpolated_multiline_string_start] = sym__interpolated_multiline_string_start,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [sym_null_literal] = sym_null_literal,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__simple_string] = sym__simple_string,
  [sym__simple_multiline_string] = sym__simple_multiline_string,
  [sym__interpolated_string_middle] = sym__interpolated_string_middle,
  [sym__interpolated_string_end] = sym__interpolated_string_end,
  [sym__interpolated_multiline_string_middle] = sym__interpolated_multiline_string_middle,
  [sym__interpolated_multiline_string_end] = sym__interpolated_multiline_string_end,
  [sym_compilation_unit] = sym_compilation_unit,
  [sym__top_level_definition] = sym__top_level_definition,
  [sym_package_clause] = sym_package_clause,
  [sym_package_identifier] = sym_package_identifier,
  [sym_package_object] = sym_package_object,
  [sym_import_declaration] = sym_import_declaration,
  [sym__import_expression] = sym__import_expression,
  [sym_import_wildcard] = sym_import_wildcard,
  [sym__import_given_by_type] = sym__import_given_by_type,
  [sym_import_selectors] = sym_import_selectors,
  [sym_renamed_identifier] = sym_renamed_identifier,
  [sym_object_definition] = sym_object_definition,
  [sym__object_definition] = sym__object_definition,
  [sym_class_definition] = sym_class_definition,
  [sym_trait_definition] = sym_trait_definition,
  [sym_type_parameters] = sym_type_parameters,
  [sym__variant_type_parameter] = sym__variant_type_parameter,
  [sym_covariant_type_parameter] = sym_covariant_type_parameter,
  [sym_contravariant_type_parameter] = sym_contravariant_type_parameter,
  [sym__type_parameter] = sym__type_parameter,
  [sym_upper_bound] = sym_upper_bound,
  [sym_lower_bound] = sym_lower_bound,
  [sym_view_bound] = sym_view_bound,
  [sym_context_bound] = sym_context_bound,
  [sym_template_body] = sym_template_body,
  [sym_annotation] = sym_annotation,
  [sym_val_definition] = sym_val_definition,
  [sym_val_declaration] = sym_val_declaration,
  [sym__start_val] = sym__start_val,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_definition] = sym_var_definition,
  [sym__start_var] = sym__start_var,
  [sym_type_definition] = sym_type_definition,
  [sym_function_definition] = sym_function_definition,
  [sym_function_declaration] = sym_function_declaration,
  [sym_modifiers] = sym_modifiers,
  [sym_access_modifier] = sym_access_modifier,
  [sym_access_qualifier] = sym_access_qualifier,
  [sym_extends_clause] = sym_extends_clause,
  [sym_class_parameters] = sym_class_parameters,
  [sym_parameters] = sym_parameters,
  [sym_class_parameter] = sym_class_parameter,
  [sym_parameter] = sym_parameter,
  [sym__block] = sym__block,
  [sym_block] = sym_block,
  [sym__type] = sym__type,
  [sym__annotated_type] = sym__annotated_type,
  [sym__simple_type] = sym__simple_type,
  [sym_compound_type] = sym_compound_type,
  [sym_infix_type] = sym_infix_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_stable_type_identifier] = sym_stable_type_identifier,
  [sym_stable_identifier] = sym_stable_identifier,
  [sym_generic_type] = sym_generic_type,
  [sym_projected_type] = sym_projected_type,
  [sym_function_type] = sym_function_type,
  [sym_parameter_types] = sym_parameter_types,
  [sym_lazy_parameter_type] = sym_lazy_parameter_type,
  [sym_repeated_parameter_type] = sym_repeated_parameter_type,
  [sym_case_class_pattern] = sym_case_class_pattern,
  [sym_infix_pattern] = sym_infix_pattern,
  [sym_capture_pattern] = sym_capture_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_alternative_pattern] = sym_alternative_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_expression] = sym_expression,
  [sym_if_expression] = sym_if_expression,
  [sym_match_expression] = sym_match_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_binding] = sym_binding,
  [sym_bindings] = sym_bindings,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_case_block] = sym_case_block,
  [sym_case_clause] = sym_case_clause,
  [sym_guard] = sym_guard,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_generic_function] = sym_generic_function,
  [sym_call_expression] = sym_call_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_instance_expression] = sym_instance_expression,
  [sym_ascription_expression] = sym_ascription_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_type_arguments] = sym_type_arguments,
  [sym_arguments] = sym_arguments,
  [sym_wildcard] = sym_wildcard,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym_interpolated_string_expression] = sym_interpolated_string_expression,
  [sym_interpolation] = sym_interpolation,
  [sym_interpolated_string] = sym_interpolated_string,
  [sym_string] = sym_string,
  [sym_unit] = sym_unit,
  [sym_return_expression] = sym_return_expression,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_expression] = sym_while_expression,
  [sym_do_while_expression] = sym_do_while_expression,
  [sym_for_expression] = sym_for_expression,
  [sym_enumerators] = sym_enumerators,
  [sym_enumerator] = sym_enumerator,
  [aux_sym_compilation_unit_repeat1] = aux_sym_compilation_unit_repeat1,
  [aux_sym_package_identifier_repeat1] = aux_sym_package_identifier_repeat1,
  [aux_sym_import_declaration_repeat1] = aux_sym_import_declaration_repeat1,
  [aux_sym_import_selectors_repeat1] = aux_sym_import_selectors_repeat1,
  [aux_sym_object_definition_repeat1] = aux_sym_object_definition_repeat1,
  [aux_sym_class_definition_repeat1] = aux_sym_class_definition_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym__type_parameter_repeat1] = aux_sym__type_parameter_repeat1,
  [aux_sym__type_parameter_repeat2] = aux_sym__type_parameter_repeat2,
  [aux_sym_annotation_repeat1] = aux_sym_annotation_repeat1,
  [aux_sym_val_declaration_repeat1] = aux_sym_val_declaration_repeat1,
  [aux_sym_function_definition_repeat1] = aux_sym_function_definition_repeat1,
  [aux_sym_modifiers_repeat1] = aux_sym_modifiers_repeat1,
  [aux_sym_class_parameters_repeat1] = aux_sym_class_parameters_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym__block_repeat1] = aux_sym__block_repeat1,
  [aux_sym_compound_type_repeat1] = aux_sym_compound_type_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_parameter_types_repeat1] = aux_sym_parameter_types_repeat1,
  [aux_sym_case_class_pattern_repeat1] = aux_sym_case_class_pattern_repeat1,
  [aux_sym_bindings_repeat1] = aux_sym_bindings_repeat1,
  [aux_sym_case_block_repeat1] = aux_sym_case_block_repeat1,
  [aux_sym_tuple_expression_repeat1] = aux_sym_tuple_expression_repeat1,
  [aux_sym_interpolated_string_repeat1] = aux_sym_interpolated_string_repeat1,
  [aux_sym_interpolated_string_repeat2] = aux_sym_interpolated_string_repeat2,
  [aux_sym_enumerators_repeat1] = aux_sym_enumerators_repeat1,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_given] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_trait] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [sym_operator_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_symbol_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolated_string_start] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_start] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_multiline_string] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_string_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_string_end] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_end] = {
    .visible = false,
    .named = true,
  },
  [sym_compilation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_package_object] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__import_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_import_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__import_given_by_type] = {
    .visible = false,
    .named = true,
  },
  [sym_import_selectors] = {
    .visible = true,
    .named = true,
  },
  [sym_renamed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_object_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__object_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__variant_type_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_covariant_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_contravariant_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__type_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_upper_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_lower_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_view_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_context_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_template_body] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_val_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_val_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__start_val] = {
    .visible = false,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__start_var] = {
    .visible = false,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_access_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_access_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_class_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__block] = {
    .visible = false,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym__annotated_type] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
  },
  [sym_compound_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_stable_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_stable_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_projected_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_types] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_parameter_type] = {
    .visible = true,
    .named = true,
  },
  [sym_repeated_parameter_type] = {
    .visible = true,
    .named = true,
  },
  [sym_case_class_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_capture_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alternative_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_bindings] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_case_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ascription_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerators] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_compilation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_package_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_selectors_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_parameter_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_val_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_compound_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_types_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_class_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bindings_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_base = 4,
  field_body = 5,
  field_bound = 6,
  field_class_parameters = 7,
  field_condition = 8,
  field_consequence = 9,
  field_default_value = 10,
  field_enumerators = 11,
  field_extend = 12,
  field_extra = 13,
  field_field = 14,
  field_function = 15,
  field_left = 16,
  field_name = 17,
  field_operator = 18,
  field_parameter_types = 19,
  field_parameters = 20,
  field_path = 21,
  field_pattern = 22,
  field_return_type = 23,
  field_right = 24,
  field_selector = 25,
  field_type = 26,
  field_type_arguments = 27,
  field_type_parameters = 28,
  field_value = 29,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_base] = "base",
  [field_body] = "body",
  [field_bound] = "bound",
  [field_class_parameters] = "class_parameters",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_default_value] = "default_value",
  [field_enumerators] = "enumerators",
  [field_extend] = "extend",
  [field_extra] = "extra",
  [field_field] = "field",
  [field_function] = "function",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameter_types] = "parameter_types",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_selector] = "selector",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 3},
  [4] = {.index = 5, .length = 1},
  [5] = {.index = 6, .length = 1},
  [7] = {.index = 7, .length = 3},
  [8] = {.index = 10, .length = 2},
  [9] = {.index = 12, .length = 2},
  [10] = {.index = 14, .length = 2},
  [11] = {.index = 16, .length = 2},
  [12] = {.index = 18, .length = 1},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 2},
  [15] = {.index = 23, .length = 2},
  [16] = {.index = 25, .length = 2},
  [17] = {.index = 27, .length = 2},
  [18] = {.index = 29, .length = 2},
  [19] = {.index = 31, .length = 1},
  [20] = {.index = 32, .length = 3},
  [21] = {.index = 35, .length = 2},
  [22] = {.index = 37, .length = 2},
  [23] = {.index = 39, .length = 2},
  [24] = {.index = 41, .length = 2},
  [25] = {.index = 43, .length = 2},
  [26] = {.index = 45, .length = 3},
  [27] = {.index = 48, .length = 3},
  [28] = {.index = 51, .length = 3},
  [29] = {.index = 54, .length = 3},
  [30] = {.index = 57, .length = 2},
  [31] = {.index = 59, .length = 2},
  [32] = {.index = 61, .length = 2},
  [33] = {.index = 63, .length = 3},
  [34] = {.index = 66, .length = 3},
  [35] = {.index = 69, .length = 3},
  [36] = {.index = 72, .length = 2},
  [38] = {.index = 74, .length = 2},
  [39] = {.index = 76, .length = 2},
  [40] = {.index = 78, .length = 2},
  [41] = {.index = 80, .length = 3},
  [42] = {.index = 83, .length = 3},
  [43] = {.index = 86, .length = 2},
  [44] = {.index = 76, .length = 2},
  [45] = {.index = 88, .length = 2},
  [46] = {.index = 90, .length = 2},
  [47] = {.index = 92, .length = 1},
  [48] = {.index = 93, .length = 3},
  [49] = {.index = 96, .length = 2},
  [50] = {.index = 92, .length = 1},
  [51] = {.index = 98, .length = 3},
  [52] = {.index = 101, .length = 1},
  [53] = {.index = 102, .length = 2},
  [54] = {.index = 104, .length = 1},
  [55] = {.index = 105, .length = 2},
  [56] = {.index = 107, .length = 2},
  [57] = {.index = 109, .length = 3},
  [58] = {.index = 112, .length = 3},
  [59] = {.index = 115, .length = 3},
  [60] = {.index = 118, .length = 2},
  [61] = {.index = 120, .length = 2},
  [62] = {.index = 122, .length = 2},
  [63] = {.index = 124, .length = 3},
  [64] = {.index = 127, .length = 3},
  [65] = {.index = 130, .length = 3},
  [66] = {.index = 133, .length = 3},
  [67] = {.index = 136, .length = 2},
  [68] = {.index = 138, .length = 2},
  [69] = {.index = 140, .length = 3},
  [70] = {.index = 143, .length = 3},
  [71] = {.index = 146, .length = 3},
  [72] = {.index = 149, .length = 4},
  [73] = {.index = 153, .length = 4},
  [74] = {.index = 157, .length = 4},
  [75] = {.index = 161, .length = 3},
  [76] = {.index = 164, .length = 3},
  [77] = {.index = 167, .length = 3},
  [78] = {.index = 170, .length = 4},
  [79] = {.index = 174, .length = 1},
  [80] = {.index = 175, .length = 2},
  [81] = {.index = 177, .length = 2},
  [82] = {.index = 179, .length = 3},
  [83] = {.index = 182, .length = 3},
  [84] = {.index = 185, .length = 3},
  [85] = {.index = 188, .length = 4},
  [86] = {.index = 192, .length = 3},
  [87] = {.index = 195, .length = 3},
  [88] = {.index = 198, .length = 2},
  [89] = {.index = 200, .length = 3},
  [90] = {.index = 198, .length = 2},
  [91] = {.index = 203, .length = 2},
  [92] = {.index = 205, .length = 2},
  [93] = {.index = 207, .length = 2},
  [94] = {.index = 209, .length = 2},
  [95] = {.index = 211, .length = 2},
  [96] = {.index = 213, .length = 2},
  [97] = {.index = 215, .length = 3},
  [98] = {.index = 218, .length = 3},
  [99] = {.index = 221, .length = 3},
  [100] = {.index = 224, .length = 1},
  [101] = {.index = 225, .length = 2},
  [102] = {.index = 227, .length = 2},
  [103] = {.index = 229, .length = 2},
  [104] = {.index = 231, .length = 2},
  [105] = {.index = 233, .length = 2},
  [106] = {.index = 235, .length = 2},
  [107] = {.index = 237, .length = 3},
  [108] = {.index = 240, .length = 3},
  [109] = {.index = 243, .length = 3},
  [110] = {.index = 246, .length = 4},
  [111] = {.index = 250, .length = 4},
  [112] = {.index = 254, .length = 4},
  [113] = {.index = 258, .length = 3},
  [114] = {.index = 261, .length = 3},
  [115] = {.index = 264, .length = 3},
  [116] = {.index = 267, .length = 4},
  [117] = {.index = 271, .length = 3},
  [118] = {.index = 274, .length = 3},
  [119] = {.index = 277, .length = 6},
  [120] = {.index = 283, .length = 6},
  [121] = {.index = 289, .length = 2},
  [122] = {.index = 291, .length = 2},
  [123] = {.index = 293, .length = 4},
  [124] = {.index = 297, .length = 4},
  [125] = {.index = 301, .length = 4},
  [126] = {.index = 305, .length = 5},
  [127] = {.index = 310, .length = 4},
  [128] = {.index = 314, .length = 3},
  [129] = {.index = 317, .length = 4},
  [130] = {.index = 321, .length = 4},
  [131] = {.index = 325, .length = 4},
  [132] = {.index = 329, .length = 4},
  [133] = {.index = 333, .length = 3},
  [134] = {.index = 336, .length = 3},
  [135] = {.index = 336, .length = 3},
  [136] = {.index = 339, .length = 3},
  [137] = {.index = 342, .length = 3},
  [138] = {.index = 345, .length = 3},
  [139] = {.index = 348, .length = 2},
  [140] = {.index = 350, .length = 2},
  [141] = {.index = 352, .length = 2},
  [142] = {.index = 354, .length = 3},
  [143] = {.index = 357, .length = 3},
  [144] = {.index = 360, .length = 3},
  [145] = {.index = 363, .length = 3},
  [146] = {.index = 366, .length = 3},
  [147] = {.index = 369, .length = 3},
  [148] = {.index = 372, .length = 4},
  [149] = {.index = 376, .length = 3},
  [150] = {.index = 379, .length = 3},
  [151] = {.index = 382, .length = 2},
  [152] = {.index = 384, .length = 2},
  [153] = {.index = 386, .length = 2},
  [154] = {.index = 388, .length = 2},
  [155] = {.index = 390, .length = 2},
  [156] = {.index = 392, .length = 2},
  [157] = {.index = 394, .length = 3},
  [158] = {.index = 397, .length = 3},
  [159] = {.index = 400, .length = 1},
  [160] = {.index = 401, .length = 2},
  [161] = {.index = 403, .length = 2},
  [162] = {.index = 405, .length = 4},
  [163] = {.index = 409, .length = 4},
  [164] = {.index = 413, .length = 4},
  [165] = {.index = 417, .length = 5},
  [166] = {.index = 422, .length = 4},
  [167] = {.index = 426, .length = 4},
  [168] = {.index = 430, .length = 4},
  [169] = {.index = 434, .length = 2},
  [170] = {.index = 436, .length = 5},
  [171] = {.index = 441, .length = 4},
  [172] = {.index = 445, .length = 5},
  [173] = {.index = 450, .length = 4},
  [174] = {.index = 454, .length = 3},
  [175] = {.index = 457, .length = 3},
  [176] = {.index = 460, .length = 3},
  [177] = {.index = 463, .length = 4},
  [178] = {.index = 467, .length = 4},
  [179] = {.index = 471, .length = 4},
  [180] = {.index = 475, .length = 3},
  [181] = {.index = 478, .length = 3},
  [182] = {.index = 481, .length = 3},
  [183] = {.index = 484, .length = 4},
  [184] = {.index = 488, .length = 3},
  [185] = {.index = 491, .length = 4},
  [186] = {.index = 495, .length = 4},
  [187] = {.index = 499, .length = 4},
  [188] = {.index = 503, .length = 4},
  [189] = {.index = 507, .length = 3},
  [190] = {.index = 510, .length = 3},
  [191] = {.index = 513, .length = 3},
  [192] = {.index = 516, .length = 2},
  [193] = {.index = 518, .length = 2},
  [194] = {.index = 520, .length = 2},
  [195] = {.index = 522, .length = 3},
  [196] = {.index = 525, .length = 3},
  [197] = {.index = 528, .length = 3},
  [198] = {.index = 531, .length = 3},
  [199] = {.index = 534, .length = 3},
  [200] = {.index = 537, .length = 3},
  [201] = {.index = 540, .length = 4},
  [202] = {.index = 544, .length = 3},
  [203] = {.index = 547, .length = 3},
  [204] = {.index = 550, .length = 2},
  [205] = {.index = 552, .length = 1},
  [206] = {.index = 553, .length = 3},
  [207] = {.index = 556, .length = 4},
  [208] = {.index = 560, .length = 5},
  [209] = {.index = 565, .length = 5},
  [210] = {.index = 570, .length = 5},
  [211] = {.index = 575, .length = 3},
  [212] = {.index = 211, .length = 2},
  [213] = {.index = 578, .length = 2},
  [214] = {.index = 580, .length = 5},
  [215] = {.index = 585, .length = 4},
  [216] = {.index = 589, .length = 4},
  [217] = {.index = 593, .length = 4},
  [218] = {.index = 597, .length = 5},
  [219] = {.index = 602, .length = 4},
  [220] = {.index = 606, .length = 4},
  [221] = {.index = 610, .length = 5},
  [222] = {.index = 615, .length = 4},
  [223] = {.index = 619, .length = 3},
  [224] = {.index = 622, .length = 3},
  [225] = {.index = 625, .length = 3},
  [226] = {.index = 628, .length = 4},
  [227] = {.index = 632, .length = 4},
  [228] = {.index = 636, .length = 4},
  [229] = {.index = 640, .length = 3},
  [230] = {.index = 643, .length = 3},
  [231] = {.index = 646, .length = 3},
  [232] = {.index = 649, .length = 4},
  [233] = {.index = 653, .length = 3},
  [234] = {.index = 656, .length = 4},
  [235] = {.index = 660, .length = 4},
  [236] = {.index = 664, .length = 4},
  [237] = {.index = 668, .length = 4},
  [238] = {.index = 672, .length = 2},
  [239] = {.index = 674, .length = 4},
  [240] = {.index = 678, .length = 6},
  [241] = {.index = 684, .length = 3},
  [242] = {.index = 390, .length = 2},
  [243] = {.index = 687, .length = 2},
  [244] = {.index = 689, .length = 5},
  [245] = {.index = 694, .length = 5},
  [246] = {.index = 699, .length = 4},
  [247] = {.index = 703, .length = 4},
  [248] = {.index = 707, .length = 4},
  [249] = {.index = 711, .length = 5},
  [250] = {.index = 716, .length = 4},
  [251] = {.index = 720, .length = 4},
  [252] = {.index = 724, .length = 5},
  [253] = {.index = 729, .length = 4},
  [254] = {.index = 733, .length = 3},
  [255] = {.index = 736, .length = 5},
  [256] = {.index = 741, .length = 5},
  [257] = {.index = 746, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1},
  [1] =
    {field_name, 0},
  [2] =
    {field_body, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [5] =
    {field_path, 0},
  [6] =
    {field_path, 1, .inherited = true},
  [7] =
    {field_body, 2, .inherited = true},
    {field_extend, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [10] =
    {field_body, 2},
    {field_name, 1},
  [12] =
    {field_body, 1},
    {field_name, 0},
  [14] =
    {field_extend, 1},
    {field_name, 0},
  [16] =
    {field_path, 1, .inherited = true},
    {field_path, 2, .inherited = true},
  [18] =
    {field_name, 2},
  [19] =
    {field_name, 1},
    {field_type_parameters, 2},
  [21] =
    {field_extend, 2},
    {field_name, 1},
  [23] =
    {field_class_parameters, 2},
    {field_name, 1},
  [25] =
    {field_type, 0},
    {field_type_arguments, 1},
  [27] =
    {field_arguments, 2},
    {field_name, 1},
  [29] =
    {field_name, 1},
    {field_parameters, 2},
  [31] =
    {field_type, 1},
  [32] =
    {field_body, 2},
    {field_extend, 1},
    {field_name, 0},
  [35] =
    {field_path, 0, .inherited = true},
    {field_path, 1, .inherited = true},
  [37] =
    {field_name, 2},
    {field_type_parameters, 3},
  [39] =
    {field_body, 3},
    {field_name, 2},
  [41] =
    {field_extend, 3},
    {field_name, 2},
  [43] =
    {field_class_parameters, 3},
    {field_name, 2},
  [45] =
    {field_bound, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [48] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [51] =
    {field_extend, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [54] =
    {field_class_parameters, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [57] =
    {field_body, 3},
    {field_name, 1},
  [59] =
    {field_extend, 3},
    {field_name, 1},
  [61] =
    {field_class_parameters, 3},
    {field_name, 1},
  [63] =
    {field_body, 3},
    {field_extend, 2},
    {field_name, 1},
  [66] =
    {field_body, 3},
    {field_class_parameters, 2},
    {field_name, 1},
  [69] =
    {field_class_parameters, 2},
    {field_extend, 3},
    {field_name, 1},
  [72] =
    {field_base, 0},
    {field_extra, 1, .inherited = true},
  [74] =
    {field_selector, 2},
    {field_type, 0},
  [76] =
    {field_name, 1},
    {field_type, 3},
  [78] =
    {field_name, 1},
    {field_return_type, 3},
  [80] =
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [83] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [86] =
    {field_pattern, 0},
    {field_type, 2},
  [88] =
    {field_name, 0},
    {field_pattern, 2},
  [90] =
    {field_pattern, 1},
    {field_value, 3},
  [92] =
    {field_type, 0},
  [93] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [96] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [98] =
    {field_body, 3, .inherited = true},
    {field_extend, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [101] =
    {field_name, 3},
  [102] =
    {field_name, 2},
    {field_parameters, 3},
  [104] =
    {field_body, 1},
  [105] =
    {field_arguments, 1},
    {field_function, 0},
  [107] =
    {field_function, 0},
    {field_type_arguments, 1},
  [109] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [112] =
    {field_extend, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [115] =
    {field_class_parameters, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [118] =
    {field_body, 4},
    {field_name, 2},
  [120] =
    {field_extend, 4},
    {field_name, 2},
  [122] =
    {field_class_parameters, 4},
    {field_name, 2},
  [124] =
    {field_body, 4},
    {field_extend, 3},
    {field_name, 2},
  [127] =
    {field_body, 4},
    {field_class_parameters, 3},
    {field_name, 2},
  [130] =
    {field_class_parameters, 3},
    {field_extend, 4},
    {field_name, 2},
  [133] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [136] =
    {field_name, 0},
    {field_type_parameters, 1},
  [138] =
    {field_bound, 1},
    {field_name, 0},
  [140] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [143] =
    {field_extend, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [146] =
    {field_class_parameters, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [149] =
    {field_body, 4},
    {field_extend, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [153] =
    {field_body, 4},
    {field_class_parameters, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [157] =
    {field_class_parameters, 3},
    {field_extend, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [161] =
    {field_body, 4},
    {field_extend, 3},
    {field_name, 1},
  [164] =
    {field_body, 4},
    {field_class_parameters, 3},
    {field_name, 1},
  [167] =
    {field_class_parameters, 3},
    {field_extend, 4},
    {field_name, 1},
  [170] =
    {field_body, 4},
    {field_class_parameters, 2},
    {field_extend, 3},
    {field_name, 1},
  [174] =
    {field_extra, 1},
  [175] =
    {field_extra, 0, .inherited = true},
    {field_extra, 1, .inherited = true},
  [177] =
    {field_parameter_types, 0},
    {field_return_type, 2},
  [179] =
    {field_name, 1},
    {field_type, 4},
    {field_type_parameters, 2},
  [182] =
    {field_body, 4},
    {field_name, 1},
    {field_return_type, 3},
  [185] =
    {field_name, 1},
    {field_return_type, 4},
    {field_type_parameters, 2},
  [188] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [192] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [195] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [198] =
    {field_pattern, 2},
    {field_type, 0},
  [200] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
    {field_type, 4},
  [203] =
    {field_name, 3},
    {field_type_parameters, 4},
  [205] =
    {field_body, 4},
    {field_name, 3},
  [207] =
    {field_extend, 4},
    {field_name, 3},
  [209] =
    {field_class_parameters, 4},
    {field_name, 3},
  [211] =
    {field_name, 2},
    {field_type, 4},
  [213] =
    {field_name, 2},
    {field_return_type, 4},
  [215] =
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [218] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [221] =
    {field_body, 4, .inherited = true},
    {field_extend, 4, .inherited = true},
    {field_name, 4, .inherited = true},
  [224] =
    {field_name, 4},
  [225] =
    {field_name, 3},
    {field_parameters, 4},
  [227] =
    {field_condition, 1},
    {field_consequence, 2},
  [229] =
    {field_body, 2},
    {field_condition, 1},
  [231] =
    {field_field, 2},
    {field_value, 0},
  [233] =
    {field_left, 0},
    {field_right, 2},
  [235] =
    {field_body, 2},
    {field_value, 0},
  [237] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [240] =
    {field_extend, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [243] =
    {field_class_parameters, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [246] =
    {field_body, 5},
    {field_extend, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [250] =
    {field_body, 5},
    {field_class_parameters, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [254] =
    {field_class_parameters, 4},
    {field_extend, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [258] =
    {field_body, 5},
    {field_extend, 4},
    {field_name, 2},
  [261] =
    {field_body, 5},
    {field_class_parameters, 4},
    {field_name, 2},
  [264] =
    {field_class_parameters, 4},
    {field_extend, 5},
    {field_name, 2},
  [267] =
    {field_body, 5},
    {field_class_parameters, 3},
    {field_extend, 4},
    {field_name, 2},
  [271] =
    {field_bound, 2},
    {field_name, 0},
    {field_type_parameters, 1},
  [274] =
    {field_bound, 1},
    {field_bound, 2},
    {field_name, 0},
  [277] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [283] =
    {field_bound, 0, .inherited = true},
    {field_bound, 1, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [289] =
    {field_name, 0},
    {field_type, 2},
  [291] =
    {field_default_value, 2},
    {field_name, 0},
  [293] =
    {field_body, 5},
    {field_extend, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [297] =
    {field_body, 5},
    {field_class_parameters, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [301] =
    {field_class_parameters, 4},
    {field_extend, 5},
    {field_name, 1},
    {field_type_parameters, 2},
  [305] =
    {field_body, 5},
    {field_class_parameters, 3},
    {field_extend, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [310] =
    {field_body, 5},
    {field_class_parameters, 3},
    {field_extend, 4},
    {field_name, 1},
  [314] =
    {field_body, 5},
    {field_name, 1},
    {field_return_type, 3},
  [317] =
    {field_body, 5},
    {field_name, 1},
    {field_return_type, 4},
    {field_type_parameters, 2},
  [321] =
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [325] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [329] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [333] =
    {field_pattern, 1},
    {field_type, 3},
    {field_value, 5},
  [336] =
    {field_pattern, 2},
    {field_pattern, 3},
    {field_type, 0},
  [339] =
    {field_body, 5},
    {field_name, 3},
    {field_type_parameters, 4},
  [342] =
    {field_extend, 5},
    {field_name, 3},
    {field_type_parameters, 4},
  [345] =
    {field_class_parameters, 5},
    {field_name, 3},
    {field_type_parameters, 4},
  [348] =
    {field_body, 5},
    {field_name, 3},
  [350] =
    {field_extend, 5},
    {field_name, 3},
  [352] =
    {field_class_parameters, 5},
    {field_name, 3},
  [354] =
    {field_body, 5},
    {field_extend, 4},
    {field_name, 3},
  [357] =
    {field_body, 5},
    {field_class_parameters, 4},
    {field_name, 3},
  [360] =
    {field_class_parameters, 4},
    {field_extend, 5},
    {field_name, 3},
  [363] =
    {field_name, 2},
    {field_type, 5},
    {field_type_parameters, 3},
  [366] =
    {field_body, 5},
    {field_name, 2},
    {field_return_type, 4},
  [369] =
    {field_name, 2},
    {field_return_type, 5},
    {field_type_parameters, 3},
  [372] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [376] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [379] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [382] =
    {field_name, 4},
    {field_type_parameters, 5},
  [384] =
    {field_body, 5},
    {field_name, 4},
  [386] =
    {field_extend, 5},
    {field_name, 4},
  [388] =
    {field_class_parameters, 5},
    {field_name, 4},
  [390] =
    {field_name, 3},
    {field_type, 5},
  [392] =
    {field_name, 3},
    {field_return_type, 5},
  [394] =
    {field_name, 3},
    {field_parameters, 5},
    {field_type_parameters, 4},
  [397] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [400] =
    {field_pattern, 1},
  [401] =
    {field_body, 1},
    {field_condition, 3},
  [403] =
    {field_alias, 2},
    {field_name, 0},
  [405] =
    {field_body, 6},
    {field_extend, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [409] =
    {field_body, 6},
    {field_class_parameters, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [413] =
    {field_class_parameters, 5},
    {field_extend, 6},
    {field_name, 2},
    {field_type_parameters, 3},
  [417] =
    {field_body, 6},
    {field_class_parameters, 4},
    {field_extend, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [422] =
    {field_body, 6},
    {field_class_parameters, 4},
    {field_extend, 5},
    {field_name, 2},
  [426] =
    {field_bound, 2},
    {field_bound, 3},
    {field_name, 0},
    {field_type_parameters, 1},
  [430] =
    {field_bound, 1},
    {field_bound, 2},
    {field_bound, 3},
    {field_name, 0},
  [434] =
    {field_default_value, 3},
    {field_name, 1},
  [436] =
    {field_body, 6},
    {field_class_parameters, 4},
    {field_extend, 5},
    {field_name, 1},
    {field_type_parameters, 2},
  [441] =
    {field_body, 6},
    {field_name, 1},
    {field_return_type, 4},
    {field_type_parameters, 2},
  [445] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [450] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [454] =
    {field_body, 6},
    {field_name, 3},
    {field_type_parameters, 4},
  [457] =
    {field_extend, 6},
    {field_name, 3},
    {field_type_parameters, 4},
  [460] =
    {field_class_parameters, 6},
    {field_name, 3},
    {field_type_parameters, 4},
  [463] =
    {field_body, 6},
    {field_extend, 5},
    {field_name, 3},
    {field_type_parameters, 4},
  [467] =
    {field_body, 6},
    {field_class_parameters, 5},
    {field_name, 3},
    {field_type_parameters, 4},
  [471] =
    {field_class_parameters, 5},
    {field_extend, 6},
    {field_name, 3},
    {field_type_parameters, 4},
  [475] =
    {field_body, 6},
    {field_extend, 5},
    {field_name, 3},
  [478] =
    {field_body, 6},
    {field_class_parameters, 5},
    {field_name, 3},
  [481] =
    {field_class_parameters, 5},
    {field_extend, 6},
    {field_name, 3},
  [484] =
    {field_body, 6},
    {field_class_parameters, 4},
    {field_extend, 5},
    {field_name, 3},
  [488] =
    {field_body, 6},
    {field_name, 2},
    {field_return_type, 4},
  [491] =
    {field_body, 6},
    {field_name, 2},
    {field_return_type, 5},
    {field_type_parameters, 3},
  [495] =
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [499] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [503] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [507] =
    {field_body, 6},
    {field_name, 4},
    {field_type_parameters, 5},
  [510] =
    {field_extend, 6},
    {field_name, 4},
    {field_type_parameters, 5},
  [513] =
    {field_class_parameters, 6},
    {field_name, 4},
    {field_type_parameters, 5},
  [516] =
    {field_body, 6},
    {field_name, 4},
  [518] =
    {field_extend, 6},
    {field_name, 4},
  [520] =
    {field_class_parameters, 6},
    {field_name, 4},
  [522] =
    {field_body, 6},
    {field_extend, 5},
    {field_name, 4},
  [525] =
    {field_body, 6},
    {field_class_parameters, 5},
    {field_name, 4},
  [528] =
    {field_class_parameters, 5},
    {field_extend, 6},
    {field_name, 4},
  [531] =
    {field_name, 3},
    {field_type, 6},
    {field_type_parameters, 4},
  [534] =
    {field_body, 6},
    {field_name, 3},
    {field_return_type, 5},
  [537] =
    {field_name, 3},
    {field_return_type, 6},
    {field_type_parameters, 4},
  [540] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5},
    {field_type_parameters, 4},
  [544] =
    {field_name, 3},
    {field_parameters, 4},
    {field_return_type, 6},
  [547] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 4},
  [550] =
    {field_body, 3},
    {field_pattern, 1},
  [552] =
    {field_condition, 1},
  [553] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [556] =
    {field_body, 4},
    {field_enumerators, 1},
    {field_enumerators, 2},
    {field_enumerators, 3},
  [560] =
    {field_body, 7},
    {field_class_parameters, 5},
    {field_extend, 6},
    {field_name, 2},
    {field_type_parameters, 3},
  [565] =
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_name, 0},
    {field_type_parameters, 1},
  [570] =
    {field_bound, 1},
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_name, 0},
  [575] =
    {field_default_value, 4},
    {field_name, 0},
    {field_type, 2},
  [578] =
    {field_default_value, 4},
    {field_name, 2},
  [580] =
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [585] =
    {field_body, 7},
    {field_extend, 6},
    {field_name, 3},
    {field_type_parameters, 4},
  [589] =
    {field_body, 7},
    {field_class_parameters, 6},
    {field_name, 3},
    {field_type_parameters, 4},
  [593] =
    {field_class_parameters, 6},
    {field_extend, 7},
    {field_name, 3},
    {field_type_parameters, 4},
  [597] =
    {field_body, 7},
    {field_class_parameters, 5},
    {field_extend, 6},
    {field_name, 3},
    {field_type_parameters, 4},
  [602] =
    {field_body, 7},
    {field_class_parameters, 5},
    {field_extend, 6},
    {field_name, 3},
  [606] =
    {field_body, 7},
    {field_name, 2},
    {field_return_type, 5},
    {field_type_parameters, 3},
  [610] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [615] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [619] =
    {field_body, 7},
    {field_name, 4},
    {field_type_parameters, 5},
  [622] =
    {field_extend, 7},
    {field_name, 4},
    {field_type_parameters, 5},
  [625] =
    {field_class_parameters, 7},
    {field_name, 4},
    {field_type_parameters, 5},
  [628] =
    {field_body, 7},
    {field_extend, 6},
    {field_name, 4},
    {field_type_parameters, 5},
  [632] =
    {field_body, 7},
    {field_class_parameters, 6},
    {field_name, 4},
    {field_type_parameters, 5},
  [636] =
    {field_class_parameters, 6},
    {field_extend, 7},
    {field_name, 4},
    {field_type_parameters, 5},
  [640] =
    {field_body, 7},
    {field_extend, 6},
    {field_name, 4},
  [643] =
    {field_body, 7},
    {field_class_parameters, 6},
    {field_name, 4},
  [646] =
    {field_class_parameters, 6},
    {field_extend, 7},
    {field_name, 4},
  [649] =
    {field_body, 7},
    {field_class_parameters, 5},
    {field_extend, 6},
    {field_name, 4},
  [653] =
    {field_body, 7},
    {field_name, 3},
    {field_return_type, 5},
  [656] =
    {field_body, 7},
    {field_name, 3},
    {field_return_type, 6},
    {field_type_parameters, 4},
  [660] =
    {field_name, 3},
    {field_parameters, 5},
    {field_return_type, 7},
    {field_type_parameters, 4},
  [664] =
    {field_body, 7},
    {field_name, 3},
    {field_parameters, 5},
    {field_type_parameters, 4},
  [668] =
    {field_body, 7},
    {field_name, 3},
    {field_parameters, 4},
    {field_return_type, 6},
  [672] =
    {field_body, 4},
    {field_pattern, 1},
  [674] =
    {field_body, 5},
    {field_enumerators, 1},
    {field_enumerators, 2},
    {field_enumerators, 3},
  [678] =
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_bound, 5},
    {field_name, 0},
    {field_type_parameters, 1},
  [684] =
    {field_default_value, 5},
    {field_name, 1},
    {field_type, 3},
  [687] =
    {field_default_value, 5},
    {field_name, 3},
  [689] =
    {field_body, 8},
    {field_class_parameters, 6},
    {field_extend, 7},
    {field_name, 3},
    {field_type_parameters, 4},
  [694] =
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [699] =
    {field_body, 8},
    {field_extend, 7},
    {field_name, 4},
    {field_type_parameters, 5},
  [703] =
    {field_body, 8},
    {field_class_parameters, 7},
    {field_name, 4},
    {field_type_parameters, 5},
  [707] =
    {field_class_parameters, 7},
    {field_extend, 8},
    {field_name, 4},
    {field_type_parameters, 5},
  [711] =
    {field_body, 8},
    {field_class_parameters, 6},
    {field_extend, 7},
    {field_name, 4},
    {field_type_parameters, 5},
  [716] =
    {field_body, 8},
    {field_class_parameters, 6},
    {field_extend, 7},
    {field_name, 4},
  [720] =
    {field_body, 8},
    {field_name, 3},
    {field_return_type, 6},
    {field_type_parameters, 4},
  [724] =
    {field_body, 8},
    {field_name, 3},
    {field_parameters, 5},
    {field_return_type, 7},
    {field_type_parameters, 4},
  [729] =
    {field_body, 8},
    {field_name, 3},
    {field_parameters, 4},
    {field_return_type, 6},
  [733] =
    {field_default_value, 6},
    {field_name, 2},
    {field_type, 4},
  [736] =
    {field_body, 9},
    {field_class_parameters, 7},
    {field_extend, 8},
    {field_name, 4},
    {field_type_parameters, 5},
  [741] =
    {field_body, 9},
    {field_name, 3},
    {field_parameters, 5},
    {field_return_type, 7},
    {field_type_parameters, 4},
  [746] =
    {field_default_value, 7},
    {field_name, 3},
    {field_type, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [6] = {
    [0] = alias_sym_type_identifier,
  },
  [37] = {
    [2] = alias_sym_type_identifier,
  },
  [38] = {
    [2] = alias_sym_type_identifier,
  },
  [39] = {
    [1] = alias_sym_type_identifier,
  },
  [47] = {
    [0] = alias_sym_type_identifier,
  },
  [82] = {
    [1] = alias_sym_type_identifier,
  },
  [88] = {
    [0] = alias_sym_type_identifier,
  },
  [95] = {
    [2] = alias_sym_type_identifier,
  },
  [134] = {
    [0] = alias_sym_type_identifier,
  },
  [145] = {
    [2] = alias_sym_type_identifier,
  },
  [155] = {
    [3] = alias_sym_type_identifier,
  },
  [198] = {
    [3] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static inline bool sym_operator_identifier_character_set_1(int32_t c) {
  return (c < ';'
    ? (c < '\''
      ? (c < '"'
        ? c == 0
        : c <= '"')
      : (c <= '\'' || (c >= '.' && c <= '9')))
    : (c <= ';' || (c < '`'
      ? (c < ']'
        ? c == '['
        : c <= ']')
      : (c <= '{' || c == '}'))));
}

static inline bool sym_operator_identifier_character_set_2(int32_t c) {
  return (c < ';'
    ? (c < '\''
      ? (c < '"'
        ? c == 0
        : c <= '"')
      : (c <= '(' || (c >= '.' && c <= '9')))
    : (c <= ';' || (c < '`'
      ? (c < ']'
        ? c == '['
        : c <= ']')
      : (c <= '{' || c == '}'))));
}

static inline bool sym_operator_identifier_character_set_3(int32_t c) {
  return (c < ';'
    ? (c < '\''
      ? (c < '"'
        ? c == 0
        : c <= '"')
      : (c <= ')' || (c < '.'
        ? c == ','
        : c <= '9')))
    : (c <= ';' || (c < '`'
      ? (c < ']'
        ? c == '['
        : c <= ']')
      : (c <= '{' || c == '}'))));
}

static inline bool sym_operator_identifier_character_set_4(int32_t c) {
  return (c < '.'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '\''
        ? c == '"'
        : (c <= ')' || c == ','))))
    : (c <= '.' || (c < ']'
      ? (c < ';'
        ? (c >= '0' && c <= '9')
        : (c <= ';' || (c >= 'A' && c <= '[')))
      : (c <= ']' || (c < '}'
        ? (c >= '_' && c <= '{')
        : c <= '}')))));
}

static inline bool sym_operator_identifier_character_set_5(int32_t c) {
  return (c < ','
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '\''
        ? c == '"'
        : c <= ')')))
    : (c <= ',' || (c < ']'
      ? (c < 'A'
        ? c == ';'
        : c <= '[')
      : (c <= ']' || (c < '}'
        ? (c >= '_' && c <= '{')
        : c <= '}')))));
}

static inline bool sym_operator_identifier_character_set_6(int32_t c) {
  return (c < ','
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '\''
        ? c == '"'
        : c <= ')')))
    : (c <= ',' || (c < ']'
      ? (c < ';'
        ? (c >= '.' && c <= '9')
        : (c <= ';' || (c >= 'A' && c <= '[')))
      : (c <= ']' || (c < '}'
        ? (c >= '_' && c <= '{')
        : c <= '}')))));
}

static inline bool sym_operator_identifier_character_set_7(int32_t c) {
  return (c < ','
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '\''
        ? c == '"'
        : c <= ')')))
    : (c <= '.' || (c < ']'
      ? (c < ';'
        ? (c >= '0' && c <= '9')
        : (c <= ';' || (c >= 'A' && c <= '[')))
      : (c <= ']' || (c < '}'
        ? (c >= '_' && c <= '{')
        : c <= '}')))));
}

static inline bool sym_operator_identifier_character_set_8(int32_t c) {
  return (c < ','
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '\''
        ? c == '"'
        : c <= ')')))
    : (c <= ',' || (c < ']'
      ? (c < '0'
        ? c == '.'
        : (c <= ';' || (c >= 'A' && c <= '[')))
      : (c <= ']' || (c < '}'
        ? (c >= '_' && c <= '{')
        : c <= '}')))));
}

static inline bool sym_comment_character_set_1(int32_t c) {
  return (c < '.'
    ? (c < '"'
      ? (c < '\r'
        ? (c >= '\t' && c <= '\n')
        : (c <= '\r' || c == ' '))
      : (c <= '"' || (c < ','
        ? (c >= '\'' && c <= ')')
        : c <= ',')))
    : (c <= '9' || (c < ']'
      ? (c < 'A'
        ? c == ';'
        : c <= '[')
      : (c <= ']' || (c < '}'
        ? (c >= '_' && c <= '{')
        : c <= '}')))));
}

static inline bool sym_comment_character_set_2(int32_t c) {
  return (c < '.'
    ? (c < '"'
      ? (c < '\r'
        ? (c >= '\t' && c <= '\n')
        : (c <= '\r' || c == ' '))
      : (c <= '"' || (c < ','
        ? (c >= '\'' && c <= ')')
        : c <= ',')))
    : (c <= '.' || (c < ']'
      ? (c < ';'
        ? (c >= '0' && c <= '9')
        : (c <= ';' || (c >= 'A' && c <= '[')))
      : (c <= ']' || (c < '}'
        ? (c >= '_' && c <= '{')
        : c <= '}')))));
}

static inline bool sym_comment_character_set_3(int32_t c) {
  return (c < '.'
    ? (c < '"'
      ? (c < '\r'
        ? c == '\t'
        : (c <= '\r' || c == ' '))
      : (c <= '"' || (c < ','
        ? (c >= '\'' && c <= ')')
        : c <= ',')))
    : (c <= '.' || (c < ']'
      ? (c < ';'
        ? (c >= '0' && c <= '9')
        : (c <= ';' || (c >= 'A' && c <= '[')))
      : (c <= ']' || (c < '}'
        ? (c >= '_' && c <= '{')
        : c <= '}')))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(72);
      if (lookahead == '!') ADVANCE(107);
      if (lookahead == '"') ADVANCE(131);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '$') ADVANCE(133);
      if (lookahead == '\'') ADVANCE(16);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(84);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '.') ADVANCE(74);
      if (lookahead == '/') ADVANCE(38);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(14);
      if (lookahead == '=') ADVANCE(98);
      if (lookahead == '>') ADVANCE(46);
      if (lookahead == '@') ADVANCE(96);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(105);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '~') ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(123);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      END_STATE();
    case 1:
      if (lookahead == '!') ADVANCE(108);
      if (lookahead == '\'') ADVANCE(16);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == '+') ADVANCE(85);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(74);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '~') ADVANCE(110);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(123);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 2:
      if (lookahead == '!') ADVANCE(108);
      if (lookahead == '\'') ADVANCE(16);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == '+') ADVANCE(85);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(74);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '~') ADVANCE(110);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(123);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ']' &&
          lookahead != '`' &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(108);
      if (lookahead == '\'') ADVANCE(16);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == '+') ADVANCE(85);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(74);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '~') ADVANCE(110);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(123);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ']' &&
          lookahead != '`' &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 4:
      if (lookahead == '"') ADVANCE(131);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 5:
      if (lookahead == '"') ADVANCE(132);
      END_STATE();
    case 6:
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == '+') ADVANCE(84);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(38);
      if (lookahead == '@') ADVANCE(96);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      END_STATE();
    case 7:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == '*') ADVANCE(77);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != ']' &&
          (lookahead < '`' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 8:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == '*') ADVANCE(77);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != ']' &&
          (lookahead < '`' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 9:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(120);
      END_STATE();
    case 10:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < '`' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 11:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < '`' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 12:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < '`' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 13:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '<') ADVANCE(116);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(120);
      END_STATE();
    case 14:
      if (lookahead == '%') ADVANCE(92);
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == ':') ADVANCE(89);
      END_STATE();
    case 15:
      if (lookahead == '\'') ADVANCE(128);
      END_STATE();
    case 16:
      if (lookahead == '\'') ADVANCE(128);
      if (lookahead == '\\') ADVANCE(47);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(129);
      END_STATE();
    case 17:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == '*') ADVANCE(77);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 18:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == '*') ADVANCE(77);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 19:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == '*') ADVANCE(77);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (!sym_operator_identifier_character_set_1(lookahead)) ADVANCE(120);
      END_STATE();
    case 20:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == '*') ADVANCE(77);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (!sym_operator_identifier_character_set_1(lookahead)) ADVANCE(120);
      END_STATE();
    case 21:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 22:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 23:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 24:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '[' &&
          lookahead != ']' &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(120);
      END_STATE();
    case 25:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '[' &&
          lookahead != ']' &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(120);
      END_STATE();
    case 26:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '[' &&
          lookahead != ']' &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(120);
      END_STATE();
    case 27:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(27)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '[' &&
          lookahead != ']' &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(120);
      END_STATE();
    case 28:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(28)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '.' || '9' < lookahead) &&
          lookahead != '[' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 29:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '.' || ';' < lookahead) &&
          lookahead != '[' &&
          (lookahead < '`' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 30:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '.' || ';' < lookahead) &&
          lookahead != '[' &&
          (lookahead < '`' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 31:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '.' || ';' < lookahead) &&
          lookahead != '[' &&
          (lookahead < '`' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 32:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '<') ADVANCE(116);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '[' &&
          lookahead != ']' &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(120);
      END_STATE();
    case 33:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '<') ADVANCE(116);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '[' &&
          lookahead != ']' &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(120);
      END_STATE();
    case 34:
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '<') ADVANCE(116);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ',' &&
          (lookahead < '.' || ';' < lookahead) &&
          lookahead != '[' &&
          lookahead != ']' &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(120);
      END_STATE();
    case 35:
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == '*') ADVANCE(77);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (!sym_operator_identifier_character_set_2(lookahead)) ADVANCE(120);
      END_STATE();
    case 36:
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == '*') ADVANCE(77);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (!sym_operator_identifier_character_set_2(lookahead)) ADVANCE(120);
      END_STATE();
    case 37:
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          lookahead != '(' &&
          (lookahead < '.' || '9' < lookahead) &&
          lookahead != '[' &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 38:
      if (lookahead == '*') ADVANCE(40);
      if (lookahead == '/') ADVANCE(138);
      END_STATE();
    case 39:
      if (lookahead == '*') ADVANCE(39);
      if (lookahead == '/') ADVANCE(137);
      if (lookahead != 0) ADVANCE(40);
      END_STATE();
    case 40:
      if (lookahead == '*') ADVANCE(39);
      if (lookahead != 0) ADVANCE(40);
      END_STATE();
    case 41:
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '.' || ';' < lookahead) &&
          lookahead != '[' &&
          (lookahead < '`' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 42:
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(42)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '.' || ';' < lookahead) &&
          lookahead != '[' &&
          (lookahead < '`' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 43:
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '.' || ';' < lookahead) &&
          lookahead != '[' &&
          (lookahead < '`' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 44:
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '<') ADVANCE(116);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ',' &&
          (lookahead < '.' || ';' < lookahead) &&
          lookahead != '[' &&
          lookahead != ']' &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(120);
      END_STATE();
    case 45:
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(45)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (!sym_operator_identifier_character_set_3(lookahead)) ADVANCE(120);
      END_STATE();
    case 46:
      if (lookahead == ':') ADVANCE(90);
      END_STATE();
    case 47:
      if (lookahead == 'u') ADVANCE(48);
      if (lookahead == 'x') ADVANCE(57);
      if (lookahead != 0) ADVANCE(15);
      END_STATE();
    case 48:
      if (lookahead == '{') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 49:
      if (lookahead == '}') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 50:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(127);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(126);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(127);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(15);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(124);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 58:
      if (eof) ADVANCE(72);
      if (lookahead == '!') ADVANCE(108);
      if (lookahead == '\'') ADVANCE(16);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == '+') ADVANCE(85);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(74);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '~') ADVANCE(110);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(123);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 59:
      if (eof) ADVANCE(72);
      if (lookahead == '"') ADVANCE(131);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(59)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 60:
      if (eof) ADVANCE(72);
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == '*') ADVANCE(77);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(60)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 61:
      if (eof) ADVANCE(72);
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(61)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 62:
      if (eof) ADVANCE(72);
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(62)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 63:
      if (eof) ADVANCE(72);
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(63)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 64:
      if (eof) ADVANCE(72);
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(64)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 65:
      if (eof) ADVANCE(72);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == '*') ADVANCE(77);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(65)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 66:
      if (eof) ADVANCE(72);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(66)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 67:
      if (eof) ADVANCE(72);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(67)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '.' || '9' < lookahead) &&
          lookahead != '[' &&
          lookahead != ']' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 68:
      if (eof) ADVANCE(72);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ')') ADVANCE(102);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(68)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '.' || '9' < lookahead) &&
          lookahead != '[' &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 69:
      if (eof) ADVANCE(72);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == '*') ADVANCE(77);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(69)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ',' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`' &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 70:
      if (eof) ADVANCE(72);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(70)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(120);
      END_STATE();
    case 71:
      if (eof) ADVANCE(72);
      if (lookahead == '(') ADVANCE(101);
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '@') ADVANCE(97);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(71)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != ']' &&
          lookahead != '`' &&
          lookahead != '}') ADVANCE(120);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(126);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(51);
      if (lookahead == '0') ADVANCE(122);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(51);
      if (lookahead == '0') ADVANCE(122);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(123);
      if (!sym_operator_identifier_character_set_5(lookahead)) ADVANCE(120);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_LT_COLON);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_GT_COLON);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_GT_COLON);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_LT_PERCENT);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_LT_PERCENT);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_AT);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(80);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(81);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '%') ADVANCE(93);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '*') ADVANCE(115);
      if (lookahead == '/') ADVANCE(119);
      if (!sym_operator_identifier_character_set_6(lookahead)) ADVANCE(120);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '*') ADVANCE(114);
      if (lookahead == '/') ADVANCE(120);
      if (sym_comment_character_set_1(lookahead)) ADVANCE(40);
      if (lookahead != 0) ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '*') ADVANCE(114);
      if (sym_comment_character_set_2(lookahead)) ADVANCE(40);
      if (lookahead != 0) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '-') ADVANCE(136);
      if (!sym_operator_identifier_character_set_7(lookahead)) ADVANCE(120);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == ':') ADVANCE(91);
      if (!sym_operator_identifier_character_set_8(lookahead)) ADVANCE(120);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '>') ADVANCE(81);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (sym_comment_character_set_3(lookahead)) ADVANCE(138);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer_literal);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '.') ADVANCE(51);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(121);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(54);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '.') ADVANCE(51);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(121);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(124);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_floating_point_literal);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_floating_point_literal);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_character_literal);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_symbol_literal);
      if (lookahead == '\'') ADVANCE(128);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(130);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_symbol_literal);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(130);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym__interpolated_string_start);
      if (lookahead == '"') ADVANCE(5);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym__interpolated_multiline_string_start);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (!sym_operator_identifier_character_set_4(lookahead)) ADVANCE(120);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(138);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '_') ADVANCE(1);
      if (lookahead == 'a') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'l') ADVANCE(9);
      if (lookahead == 'm') ADVANCE(10);
      if (lookahead == 'n') ADVANCE(11);
      if (lookahead == 'o') ADVANCE(12);
      if (lookahead == 'p') ADVANCE(13);
      if (lookahead == 'r') ADVANCE(14);
      if (lookahead == 's') ADVANCE(15);
      if (lookahead == 't') ADVANCE(16);
      if (lookahead == 'v') ADVANCE(17);
      if (lookahead == 'w') ADVANCE(18);
      if (lookahead == 'y') ADVANCE(19);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 'b') ADVANCE(20);
      if (lookahead == 's') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'l') ADVANCE(23);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(24);
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(26);
      if (lookahead == 'x') ADVANCE(27);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(28);
      if (lookahead == 'i') ADVANCE(29);
      if (lookahead == 'o') ADVANCE(30);
      END_STATE();
    case 7:
      if (lookahead == 'i') ADVANCE(31);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(32);
      if (lookahead == 'm') ADVANCE(33);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(34);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(35);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(36);
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 12:
      if (lookahead == 'b') ADVANCE(38);
      if (lookahead == 'v') ADVANCE(39);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(40);
      if (lookahead == 'r') ADVANCE(41);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(43);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(44);
      if (lookahead == 'r') ADVANCE(45);
      if (lookahead == 'y') ADVANCE(46);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(47);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'i') ADVANCE(49);
      END_STATE();
    case 19:
      if (lookahead == 'i') ADVANCE(50);
      END_STATE();
    case 20:
      if (lookahead == 's') ADVANCE(51);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(52);
      if (lookahead == 't') ADVANCE(53);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(54);
      END_STATE();
    case 24:
      if (lookahead == 'f') ADVANCE(55);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 26:
      if (lookahead == 's') ADVANCE(56);
      END_STATE();
    case 27:
      if (lookahead == 't') ADVANCE(57);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 29:
      if (lookahead == 'n') ADVANCE(59);
      END_STATE();
    case 30:
      if (lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 31:
      if (lookahead == 'v') ADVANCE(61);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 33:
      if (lookahead == 'p') ADVANCE(62);
      END_STATE();
    case 34:
      if (lookahead == 'z') ADVANCE(63);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(64);
      END_STATE();
    case 36:
      if (lookahead == 'w') ADVANCE(65);
      END_STATE();
    case 37:
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 38:
      if (lookahead == 'j') ADVANCE(67);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 40:
      if (lookahead == 'c') ADVANCE(69);
      END_STATE();
    case 41:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(73);
      END_STATE();
    case 44:
      if (lookahead == 'r') ADVANCE(74);
      END_STATE();
    case 45:
      if (lookahead == 'a') ADVANCE(75);
      if (lookahead == 'u') ADVANCE(76);
      if (lookahead == 'y') ADVANCE(77);
      END_STATE();
    case 46:
      if (lookahead == 'p') ADVANCE(78);
      END_STATE();
    case 47:
      if (lookahead == 'l') ADVANCE(79);
      if (lookahead == 'r') ADVANCE(80);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(81);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 50:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(84);
      END_STATE();
    case 52:
      if (lookahead == 'e') ADVANCE(85);
      END_STATE();
    case 53:
      if (lookahead == 'c') ADVANCE(86);
      END_STATE();
    case 54:
      if (lookahead == 's') ADVANCE(87);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(88);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 58:
      if (lookahead == 's') ADVANCE(90);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(91);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 62:
      if (lookahead == 'l') ADVANCE(93);
      if (lookahead == 'o') ADVANCE(94);
      END_STATE();
    case 63:
      if (lookahead == 'y') ADVANCE(95);
      END_STATE();
    case 64:
      if (lookahead == 'c') ADVANCE(96);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 68:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 69:
      if (lookahead == 'k') ADVANCE(100);
      END_STATE();
    case 70:
      if (lookahead == 'v') ADVANCE(101);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 72:
      if (lookahead == 'u') ADVANCE(103);
      END_STATE();
    case 73:
      if (lookahead == 'l') ADVANCE(104);
      END_STATE();
    case 74:
      if (lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 75:
      if (lookahead == 'i') ADVANCE(106);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(107);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 81:
      if (lookahead == 'l') ADVANCE(109);
      END_STATE();
    case 82:
      if (lookahead == 'h') ADVANCE(110);
      END_STATE();
    case 83:
      if (lookahead == 'l') ADVANCE(111);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(112);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 86:
      if (lookahead == 'h') ADVANCE(113);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(114);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 89:
      if (lookahead == 'n') ADVANCE(115);
      END_STATE();
    case 90:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 92:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(119);
      END_STATE();
    case 94:
      if (lookahead == 'r') ADVANCE(120);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 96:
      if (lookahead == 'h') ADVANCE(121);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_null_literal);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(122);
      END_STATE();
    case 99:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 100:
      if (lookahead == 'a') ADVANCE(124);
      END_STATE();
    case 101:
      if (lookahead == 'a') ADVANCE(125);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 103:
      if (lookahead == 'r') ADVANCE(127);
      END_STATE();
    case 104:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 105:
      if (lookahead == 'w') ADVANCE(129);
      END_STATE();
    case 106:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 109:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 111:
      if (lookahead == 'd') ADVANCE(132);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 115:
      if (lookahead == 'd') ADVANCE(134);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_given);
      END_STATE();
    case 119:
      if (lookahead == 'c') ADVANCE(136);
      END_STATE();
    case 120:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 122:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 123:
      if (lookahead == 'i') ADVANCE(139);
      END_STATE();
    case 124:
      if (lookahead == 'g') ADVANCE(140);
      END_STATE();
    case 125:
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 126:
      if (lookahead == 'c') ADVANCE(142);
      END_STATE();
    case 127:
      if (lookahead == 'n') ADVANCE(143);
      END_STATE();
    case 128:
      if (lookahead == 'd') ADVANCE(144);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_trait);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 133:
      if (lookahead == 'c') ADVANCE(145);
      END_STATE();
    case 134:
      if (lookahead == 's') ADVANCE(146);
      END_STATE();
    case 135:
      if (lookahead == 'y') ADVANCE(147);
      END_STATE();
    case 136:
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 139:
      if (lookahead == 'd') ADVANCE(149);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(150);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(151);
      END_STATE();
    case 142:
      if (lookahead == 't') ADVANCE(152);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_sealed);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(154);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_implicit);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 156:
      if (lookahead == 'd') ADVANCE(157);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 0},
  [2] = {.lex_state = 58, .external_lex_state = 2},
  [3] = {.lex_state = 58, .external_lex_state = 2},
  [4] = {.lex_state = 58, .external_lex_state = 2},
  [5] = {.lex_state = 58, .external_lex_state = 2},
  [6] = {.lex_state = 58, .external_lex_state = 3},
  [7] = {.lex_state = 2, .external_lex_state = 2},
  [8] = {.lex_state = 58, .external_lex_state = 3},
  [9] = {.lex_state = 58, .external_lex_state = 3},
  [10] = {.lex_state = 58, .external_lex_state = 3},
  [11] = {.lex_state = 58, .external_lex_state = 2},
  [12] = {.lex_state = 58, .external_lex_state = 4},
  [13] = {.lex_state = 58, .external_lex_state = 4},
  [14] = {.lex_state = 58, .external_lex_state = 5},
  [15] = {.lex_state = 58, .external_lex_state = 5},
  [16] = {.lex_state = 2, .external_lex_state = 3},
  [17] = {.lex_state = 58, .external_lex_state = 5},
  [18] = {.lex_state = 58, .external_lex_state = 5},
  [19] = {.lex_state = 58, .external_lex_state = 4},
  [20] = {.lex_state = 58, .external_lex_state = 3},
  [21] = {.lex_state = 2, .external_lex_state = 4},
  [22] = {.lex_state = 58, .external_lex_state = 4},
  [23] = {.lex_state = 58, .external_lex_state = 6},
  [24] = {.lex_state = 58, .external_lex_state = 7},
  [25] = {.lex_state = 58, .external_lex_state = 7},
  [26] = {.lex_state = 58, .external_lex_state = 4},
  [27] = {.lex_state = 58, .external_lex_state = 6},
  [28] = {.lex_state = 58, .external_lex_state = 7},
  [29] = {.lex_state = 58, .external_lex_state = 4},
  [30] = {.lex_state = 2, .external_lex_state = 5},
  [31] = {.lex_state = 58, .external_lex_state = 7},
  [32] = {.lex_state = 58, .external_lex_state = 4},
  [33] = {.lex_state = 58, .external_lex_state = 6},
  [34] = {.lex_state = 2, .external_lex_state = 4},
  [35] = {.lex_state = 58, .external_lex_state = 8},
  [36] = {.lex_state = 58, .external_lex_state = 6},
  [37] = {.lex_state = 58, .external_lex_state = 4},
  [38] = {.lex_state = 58, .external_lex_state = 8},
  [39] = {.lex_state = 2, .external_lex_state = 7},
  [40] = {.lex_state = 58, .external_lex_state = 6},
  [41] = {.lex_state = 58, .external_lex_state = 4},
  [42] = {.lex_state = 58, .external_lex_state = 6},
  [43] = {.lex_state = 2, .external_lex_state = 4},
  [44] = {.lex_state = 58, .external_lex_state = 4},
  [45] = {.lex_state = 58, .external_lex_state = 6},
  [46] = {.lex_state = 2, .external_lex_state = 6},
  [47] = {.lex_state = 58, .external_lex_state = 5},
  [48] = {.lex_state = 58, .external_lex_state = 7},
  [49] = {.lex_state = 2, .external_lex_state = 8},
  [50] = {.lex_state = 58, .external_lex_state = 8},
  [51] = {.lex_state = 2, .external_lex_state = 6},
  [52] = {.lex_state = 58, .external_lex_state = 6},
  [53] = {.lex_state = 58, .external_lex_state = 8},
  [54] = {.lex_state = 58, .external_lex_state = 6},
  [55] = {.lex_state = 58, .external_lex_state = 8},
  [56] = {.lex_state = 58, .external_lex_state = 4},
  [57] = {.lex_state = 58, .external_lex_state = 4},
  [58] = {.lex_state = 58, .external_lex_state = 6},
  [59] = {.lex_state = 58, .external_lex_state = 8},
  [60] = {.lex_state = 2, .external_lex_state = 6},
  [61] = {.lex_state = 58, .external_lex_state = 8},
  [62] = {.lex_state = 58, .external_lex_state = 9},
  [63] = {.lex_state = 58, .external_lex_state = 9},
  [64] = {.lex_state = 58, .external_lex_state = 9},
  [65] = {.lex_state = 58, .external_lex_state = 8},
  [66] = {.lex_state = 58, .external_lex_state = 9},
  [67] = {.lex_state = 58, .external_lex_state = 9},
  [68] = {.lex_state = 58, .external_lex_state = 9},
  [69] = {.lex_state = 2, .external_lex_state = 8},
  [70] = {.lex_state = 58, .external_lex_state = 9},
  [71] = {.lex_state = 58, .external_lex_state = 8},
  [72] = {.lex_state = 58, .external_lex_state = 6},
  [73] = {.lex_state = 2, .external_lex_state = 8},
  [74] = {.lex_state = 58, .external_lex_state = 8},
  [75] = {.lex_state = 58, .external_lex_state = 6},
  [76] = {.lex_state = 2, .external_lex_state = 9},
  [77] = {.lex_state = 58, .external_lex_state = 9},
  [78] = {.lex_state = 2, .external_lex_state = 9},
  [79] = {.lex_state = 58, .external_lex_state = 8},
  [80] = {.lex_state = 2, .external_lex_state = 9},
  [81] = {.lex_state = 58, .external_lex_state = 9},
  [82] = {.lex_state = 58, .external_lex_state = 9},
  [83] = {.lex_state = 58, .external_lex_state = 8},
  [84] = {.lex_state = 58, .external_lex_state = 9},
  [85] = {.lex_state = 58, .external_lex_state = 9},
  [86] = {.lex_state = 0, .external_lex_state = 9},
  [87] = {.lex_state = 0, .external_lex_state = 9},
  [88] = {.lex_state = 0, .external_lex_state = 9},
  [89] = {.lex_state = 0, .external_lex_state = 9},
  [90] = {.lex_state = 0, .external_lex_state = 9},
  [91] = {.lex_state = 0, .external_lex_state = 9},
  [92] = {.lex_state = 0, .external_lex_state = 9},
  [93] = {.lex_state = 0, .external_lex_state = 9},
  [94] = {.lex_state = 0, .external_lex_state = 9},
  [95] = {.lex_state = 0, .external_lex_state = 9},
  [96] = {.lex_state = 0, .external_lex_state = 9},
  [97] = {.lex_state = 0, .external_lex_state = 9},
  [98] = {.lex_state = 0, .external_lex_state = 9},
  [99] = {.lex_state = 0, .external_lex_state = 9},
  [100] = {.lex_state = 0, .external_lex_state = 9},
  [101] = {.lex_state = 0, .external_lex_state = 9},
  [102] = {.lex_state = 0, .external_lex_state = 9},
  [103] = {.lex_state = 0, .external_lex_state = 9},
  [104] = {.lex_state = 0, .external_lex_state = 9},
  [105] = {.lex_state = 0, .external_lex_state = 9},
  [106] = {.lex_state = 0, .external_lex_state = 9},
  [107] = {.lex_state = 0, .external_lex_state = 9},
  [108] = {.lex_state = 0, .external_lex_state = 9},
  [109] = {.lex_state = 0, .external_lex_state = 9},
  [110] = {.lex_state = 0, .external_lex_state = 9},
  [111] = {.lex_state = 0, .external_lex_state = 9},
  [112] = {.lex_state = 0, .external_lex_state = 9},
  [113] = {.lex_state = 0, .external_lex_state = 9},
  [114] = {.lex_state = 0, .external_lex_state = 9},
  [115] = {.lex_state = 0, .external_lex_state = 9},
  [116] = {.lex_state = 0, .external_lex_state = 9},
  [117] = {.lex_state = 0, .external_lex_state = 9},
  [118] = {.lex_state = 0, .external_lex_state = 9},
  [119] = {.lex_state = 0, .external_lex_state = 9},
  [120] = {.lex_state = 0, .external_lex_state = 9},
  [121] = {.lex_state = 0, .external_lex_state = 9},
  [122] = {.lex_state = 0, .external_lex_state = 9},
  [123] = {.lex_state = 0, .external_lex_state = 9},
  [124] = {.lex_state = 0, .external_lex_state = 9},
  [125] = {.lex_state = 0, .external_lex_state = 9},
  [126] = {.lex_state = 0, .external_lex_state = 9},
  [127] = {.lex_state = 0, .external_lex_state = 9},
  [128] = {.lex_state = 0, .external_lex_state = 9},
  [129] = {.lex_state = 0, .external_lex_state = 9},
  [130] = {.lex_state = 0, .external_lex_state = 9},
  [131] = {.lex_state = 0, .external_lex_state = 9},
  [132] = {.lex_state = 0, .external_lex_state = 9},
  [133] = {.lex_state = 0, .external_lex_state = 9},
  [134] = {.lex_state = 0, .external_lex_state = 9},
  [135] = {.lex_state = 0, .external_lex_state = 9},
  [136] = {.lex_state = 0, .external_lex_state = 9},
  [137] = {.lex_state = 0, .external_lex_state = 9},
  [138] = {.lex_state = 0, .external_lex_state = 9},
  [139] = {.lex_state = 0, .external_lex_state = 9},
  [140] = {.lex_state = 0, .external_lex_state = 9},
  [141] = {.lex_state = 0, .external_lex_state = 9},
  [142] = {.lex_state = 0, .external_lex_state = 9},
  [143] = {.lex_state = 0, .external_lex_state = 9},
  [144] = {.lex_state = 0, .external_lex_state = 9},
  [145] = {.lex_state = 0, .external_lex_state = 9},
  [146] = {.lex_state = 0, .external_lex_state = 9},
  [147] = {.lex_state = 0, .external_lex_state = 9},
  [148] = {.lex_state = 0, .external_lex_state = 9},
  [149] = {.lex_state = 0, .external_lex_state = 9},
  [150] = {.lex_state = 0, .external_lex_state = 9},
  [151] = {.lex_state = 0, .external_lex_state = 9},
  [152] = {.lex_state = 0, .external_lex_state = 9},
  [153] = {.lex_state = 0, .external_lex_state = 9},
  [154] = {.lex_state = 0, .external_lex_state = 9},
  [155] = {.lex_state = 0, .external_lex_state = 9},
  [156] = {.lex_state = 0, .external_lex_state = 9},
  [157] = {.lex_state = 0, .external_lex_state = 9},
  [158] = {.lex_state = 0, .external_lex_state = 9},
  [159] = {.lex_state = 58, .external_lex_state = 2},
  [160] = {.lex_state = 58, .external_lex_state = 2},
  [161] = {.lex_state = 58, .external_lex_state = 3},
  [162] = {.lex_state = 58, .external_lex_state = 3},
  [163] = {.lex_state = 58, .external_lex_state = 5},
  [164] = {.lex_state = 58, .external_lex_state = 5},
  [165] = {.lex_state = 58, .external_lex_state = 4},
  [166] = {.lex_state = 58, .external_lex_state = 4},
  [167] = {.lex_state = 58, .external_lex_state = 6},
  [168] = {.lex_state = 58, .external_lex_state = 6},
  [169] = {.lex_state = 58, .external_lex_state = 7},
  [170] = {.lex_state = 58, .external_lex_state = 7},
  [171] = {.lex_state = 58, .external_lex_state = 8},
  [172] = {.lex_state = 58, .external_lex_state = 8},
  [173] = {.lex_state = 58, .external_lex_state = 9},
  [174] = {.lex_state = 58, .external_lex_state = 9},
  [175] = {.lex_state = 1, .external_lex_state = 2},
  [176] = {.lex_state = 1, .external_lex_state = 2},
  [177] = {.lex_state = 1, .external_lex_state = 2},
  [178] = {.lex_state = 1, .external_lex_state = 2},
  [179] = {.lex_state = 1, .external_lex_state = 2},
  [180] = {.lex_state = 1, .external_lex_state = 2},
  [181] = {.lex_state = 1, .external_lex_state = 3},
  [182] = {.lex_state = 1, .external_lex_state = 3},
  [183] = {.lex_state = 1, .external_lex_state = 5},
  [184] = {.lex_state = 1, .external_lex_state = 3},
  [185] = {.lex_state = 1, .external_lex_state = 5},
  [186] = {.lex_state = 1, .external_lex_state = 3},
  [187] = {.lex_state = 1, .external_lex_state = 3},
  [188] = {.lex_state = 1, .external_lex_state = 3},
  [189] = {.lex_state = 3, .external_lex_state = 2},
  [190] = {.lex_state = 3, .external_lex_state = 2},
  [191] = {.lex_state = 1, .external_lex_state = 4},
  [192] = {.lex_state = 1, .external_lex_state = 2},
  [193] = {.lex_state = 3, .external_lex_state = 3},
  [194] = {.lex_state = 1, .external_lex_state = 7},
  [195] = {.lex_state = 1, .external_lex_state = 5},
  [196] = {.lex_state = 1, .external_lex_state = 2},
  [197] = {.lex_state = 1, .external_lex_state = 4},
  [198] = {.lex_state = 1, .external_lex_state = 7},
  [199] = {.lex_state = 1, .external_lex_state = 5},
  [200] = {.lex_state = 1, .external_lex_state = 5},
  [201] = {.lex_state = 1, .external_lex_state = 5},
  [202] = {.lex_state = 3, .external_lex_state = 3},
  [203] = {.lex_state = 1, .external_lex_state = 3},
  [204] = {.lex_state = 1, .external_lex_state = 4},
  [205] = {.lex_state = 3, .external_lex_state = 4},
  [206] = {.lex_state = 1, .external_lex_state = 7},
  [207] = {.lex_state = 1, .external_lex_state = 7},
  [208] = {.lex_state = 3, .external_lex_state = 4},
  [209] = {.lex_state = 1, .external_lex_state = 6},
  [210] = {.lex_state = 1, .external_lex_state = 3},
  [211] = {.lex_state = 3, .external_lex_state = 5},
  [212] = {.lex_state = 1, .external_lex_state = 6},
  [213] = {.lex_state = 1, .external_lex_state = 7},
  [214] = {.lex_state = 1, .external_lex_state = 4},
  [215] = {.lex_state = 3, .external_lex_state = 5},
  [216] = {.lex_state = 1, .external_lex_state = 7},
  [217] = {.lex_state = 3, .external_lex_state = 7},
  [218] = {.lex_state = 1, .external_lex_state = 8},
  [219] = {.lex_state = 1, .external_lex_state = 4},
  [220] = {.lex_state = 1, .external_lex_state = 4},
  [221] = {.lex_state = 3, .external_lex_state = 7},
  [222] = {.lex_state = 1, .external_lex_state = 6},
  [223] = {.lex_state = 3, .external_lex_state = 6},
  [224] = {.lex_state = 1, .external_lex_state = 6},
  [225] = {.lex_state = 1, .external_lex_state = 8},
  [226] = {.lex_state = 3, .external_lex_state = 6},
  [227] = {.lex_state = 1, .external_lex_state = 5},
  [228] = {.lex_state = 1, .external_lex_state = 5},
  [229] = {.lex_state = 1, .external_lex_state = 7},
  [230] = {.lex_state = 1, .external_lex_state = 6},
  [231] = {.lex_state = 1, .external_lex_state = 9},
  [232] = {.lex_state = 1, .external_lex_state = 6},
  [233] = {.lex_state = 1, .external_lex_state = 7},
  [234] = {.lex_state = 1, .external_lex_state = 9},
  [235] = {.lex_state = 3, .external_lex_state = 8},
  [236] = {.lex_state = 1, .external_lex_state = 8},
  [237] = {.lex_state = 1, .external_lex_state = 8},
  [238] = {.lex_state = 3, .external_lex_state = 8},
  [239] = {.lex_state = 3, .external_lex_state = 9},
  [240] = {.lex_state = 1, .external_lex_state = 8},
  [241] = {.lex_state = 1, .external_lex_state = 8},
  [242] = {.lex_state = 3, .external_lex_state = 9},
  [243] = {.lex_state = 1, .external_lex_state = 9},
  [244] = {.lex_state = 1, .external_lex_state = 9},
  [245] = {.lex_state = 1, .external_lex_state = 9},
  [246] = {.lex_state = 1, .external_lex_state = 9},
  [247] = {.lex_state = 0, .external_lex_state = 9},
  [248] = {.lex_state = 0, .external_lex_state = 9},
  [249] = {.lex_state = 0, .external_lex_state = 9},
  [250] = {.lex_state = 0, .external_lex_state = 9},
  [251] = {.lex_state = 0, .external_lex_state = 9},
  [252] = {.lex_state = 0, .external_lex_state = 9},
  [253] = {.lex_state = 0, .external_lex_state = 9},
  [254] = {.lex_state = 0, .external_lex_state = 9},
  [255] = {.lex_state = 0, .external_lex_state = 9},
  [256] = {.lex_state = 0, .external_lex_state = 9},
  [257] = {.lex_state = 0, .external_lex_state = 9},
  [258] = {.lex_state = 0, .external_lex_state = 9},
  [259] = {.lex_state = 0, .external_lex_state = 9},
  [260] = {.lex_state = 0, .external_lex_state = 9},
  [261] = {.lex_state = 0, .external_lex_state = 9},
  [262] = {.lex_state = 0, .external_lex_state = 9},
  [263] = {.lex_state = 0, .external_lex_state = 9},
  [264] = {.lex_state = 0, .external_lex_state = 9},
  [265] = {.lex_state = 0, .external_lex_state = 9},
  [266] = {.lex_state = 0, .external_lex_state = 9},
  [267] = {.lex_state = 0, .external_lex_state = 9},
  [268] = {.lex_state = 0, .external_lex_state = 9},
  [269] = {.lex_state = 0, .external_lex_state = 9},
  [270] = {.lex_state = 0, .external_lex_state = 9},
  [271] = {.lex_state = 0, .external_lex_state = 9},
  [272] = {.lex_state = 0, .external_lex_state = 9},
  [273] = {.lex_state = 0, .external_lex_state = 9},
  [274] = {.lex_state = 0, .external_lex_state = 9},
  [275] = {.lex_state = 0, .external_lex_state = 9},
  [276] = {.lex_state = 0, .external_lex_state = 9},
  [277] = {.lex_state = 0, .external_lex_state = 9},
  [278] = {.lex_state = 0, .external_lex_state = 9},
  [279] = {.lex_state = 0, .external_lex_state = 9},
  [280] = {.lex_state = 0, .external_lex_state = 9},
  [281] = {.lex_state = 0, .external_lex_state = 9},
  [282] = {.lex_state = 0, .external_lex_state = 9},
  [283] = {.lex_state = 0, .external_lex_state = 9},
  [284] = {.lex_state = 0, .external_lex_state = 9},
  [285] = {.lex_state = 0, .external_lex_state = 9},
  [286] = {.lex_state = 0, .external_lex_state = 9},
  [287] = {.lex_state = 0, .external_lex_state = 9},
  [288] = {.lex_state = 0, .external_lex_state = 9},
  [289] = {.lex_state = 0, .external_lex_state = 9},
  [290] = {.lex_state = 0, .external_lex_state = 9},
  [291] = {.lex_state = 0, .external_lex_state = 9},
  [292] = {.lex_state = 0, .external_lex_state = 9},
  [293] = {.lex_state = 0, .external_lex_state = 9},
  [294] = {.lex_state = 0, .external_lex_state = 9},
  [295] = {.lex_state = 0, .external_lex_state = 9},
  [296] = {.lex_state = 0, .external_lex_state = 9},
  [297] = {.lex_state = 0, .external_lex_state = 9},
  [298] = {.lex_state = 0, .external_lex_state = 9},
  [299] = {.lex_state = 0, .external_lex_state = 9},
  [300] = {.lex_state = 0, .external_lex_state = 9},
  [301] = {.lex_state = 0, .external_lex_state = 9},
  [302] = {.lex_state = 0, .external_lex_state = 9},
  [303] = {.lex_state = 0, .external_lex_state = 9},
  [304] = {.lex_state = 0, .external_lex_state = 9},
  [305] = {.lex_state = 0, .external_lex_state = 9},
  [306] = {.lex_state = 0, .external_lex_state = 9},
  [307] = {.lex_state = 0, .external_lex_state = 9},
  [308] = {.lex_state = 0, .external_lex_state = 9},
  [309] = {.lex_state = 0, .external_lex_state = 9},
  [310] = {.lex_state = 0, .external_lex_state = 9},
  [311] = {.lex_state = 0, .external_lex_state = 9},
  [312] = {.lex_state = 0, .external_lex_state = 9},
  [313] = {.lex_state = 0, .external_lex_state = 9},
  [314] = {.lex_state = 0, .external_lex_state = 9},
  [315] = {.lex_state = 0, .external_lex_state = 9},
  [316] = {.lex_state = 0, .external_lex_state = 9},
  [317] = {.lex_state = 0, .external_lex_state = 9},
  [318] = {.lex_state = 0, .external_lex_state = 9},
  [319] = {.lex_state = 0, .external_lex_state = 9},
  [320] = {.lex_state = 0, .external_lex_state = 9},
  [321] = {.lex_state = 0, .external_lex_state = 9},
  [322] = {.lex_state = 0, .external_lex_state = 9},
  [323] = {.lex_state = 0, .external_lex_state = 9},
  [324] = {.lex_state = 0, .external_lex_state = 9},
  [325] = {.lex_state = 0, .external_lex_state = 9},
  [326] = {.lex_state = 0, .external_lex_state = 9},
  [327] = {.lex_state = 0, .external_lex_state = 9},
  [328] = {.lex_state = 0, .external_lex_state = 9},
  [329] = {.lex_state = 0, .external_lex_state = 9},
  [330] = {.lex_state = 0, .external_lex_state = 9},
  [331] = {.lex_state = 0, .external_lex_state = 9},
  [332] = {.lex_state = 0, .external_lex_state = 9},
  [333] = {.lex_state = 0, .external_lex_state = 9},
  [334] = {.lex_state = 0, .external_lex_state = 9},
  [335] = {.lex_state = 0, .external_lex_state = 9},
  [336] = {.lex_state = 0, .external_lex_state = 9},
  [337] = {.lex_state = 0, .external_lex_state = 9},
  [338] = {.lex_state = 0, .external_lex_state = 9},
  [339] = {.lex_state = 0, .external_lex_state = 9},
  [340] = {.lex_state = 0, .external_lex_state = 9},
  [341] = {.lex_state = 0, .external_lex_state = 9},
  [342] = {.lex_state = 0, .external_lex_state = 9},
  [343] = {.lex_state = 0, .external_lex_state = 9},
  [344] = {.lex_state = 0, .external_lex_state = 9},
  [345] = {.lex_state = 0, .external_lex_state = 9},
  [346] = {.lex_state = 0, .external_lex_state = 9},
  [347] = {.lex_state = 0, .external_lex_state = 9},
  [348] = {.lex_state = 0, .external_lex_state = 9},
  [349] = {.lex_state = 0, .external_lex_state = 9},
  [350] = {.lex_state = 0, .external_lex_state = 9},
  [351] = {.lex_state = 0, .external_lex_state = 9},
  [352] = {.lex_state = 0, .external_lex_state = 9},
  [353] = {.lex_state = 0, .external_lex_state = 9},
  [354] = {.lex_state = 0, .external_lex_state = 9},
  [355] = {.lex_state = 0, .external_lex_state = 9},
  [356] = {.lex_state = 0, .external_lex_state = 9},
  [357] = {.lex_state = 0, .external_lex_state = 9},
  [358] = {.lex_state = 0, .external_lex_state = 9},
  [359] = {.lex_state = 0, .external_lex_state = 9},
  [360] = {.lex_state = 0, .external_lex_state = 9},
  [361] = {.lex_state = 0, .external_lex_state = 9},
  [362] = {.lex_state = 0, .external_lex_state = 9},
  [363] = {.lex_state = 0, .external_lex_state = 9},
  [364] = {.lex_state = 0, .external_lex_state = 9},
  [365] = {.lex_state = 0, .external_lex_state = 9},
  [366] = {.lex_state = 0, .external_lex_state = 9},
  [367] = {.lex_state = 0, .external_lex_state = 9},
  [368] = {.lex_state = 0, .external_lex_state = 9},
  [369] = {.lex_state = 0, .external_lex_state = 9},
  [370] = {.lex_state = 0, .external_lex_state = 9},
  [371] = {.lex_state = 0, .external_lex_state = 9},
  [372] = {.lex_state = 0, .external_lex_state = 9},
  [373] = {.lex_state = 0, .external_lex_state = 9},
  [374] = {.lex_state = 0, .external_lex_state = 9},
  [375] = {.lex_state = 0, .external_lex_state = 9},
  [376] = {.lex_state = 0, .external_lex_state = 9},
  [377] = {.lex_state = 0, .external_lex_state = 9},
  [378] = {.lex_state = 0, .external_lex_state = 9},
  [379] = {.lex_state = 0, .external_lex_state = 9},
  [380] = {.lex_state = 0, .external_lex_state = 9},
  [381] = {.lex_state = 0, .external_lex_state = 9},
  [382] = {.lex_state = 0, .external_lex_state = 9},
  [383] = {.lex_state = 0, .external_lex_state = 9},
  [384] = {.lex_state = 0, .external_lex_state = 9},
  [385] = {.lex_state = 0, .external_lex_state = 9},
  [386] = {.lex_state = 0, .external_lex_state = 9},
  [387] = {.lex_state = 0, .external_lex_state = 9},
  [388] = {.lex_state = 0, .external_lex_state = 9},
  [389] = {.lex_state = 0, .external_lex_state = 9},
  [390] = {.lex_state = 0, .external_lex_state = 9},
  [391] = {.lex_state = 0, .external_lex_state = 9},
  [392] = {.lex_state = 0, .external_lex_state = 9},
  [393] = {.lex_state = 0, .external_lex_state = 9},
  [394] = {.lex_state = 0, .external_lex_state = 9},
  [395] = {.lex_state = 0, .external_lex_state = 9},
  [396] = {.lex_state = 0, .external_lex_state = 9},
  [397] = {.lex_state = 0, .external_lex_state = 9},
  [398] = {.lex_state = 0, .external_lex_state = 9},
  [399] = {.lex_state = 0, .external_lex_state = 9},
  [400] = {.lex_state = 0, .external_lex_state = 9},
  [401] = {.lex_state = 0, .external_lex_state = 9},
  [402] = {.lex_state = 0, .external_lex_state = 9},
  [403] = {.lex_state = 0, .external_lex_state = 9},
  [404] = {.lex_state = 0, .external_lex_state = 9},
  [405] = {.lex_state = 0, .external_lex_state = 9},
  [406] = {.lex_state = 0, .external_lex_state = 9},
  [407] = {.lex_state = 0, .external_lex_state = 9},
  [408] = {.lex_state = 0, .external_lex_state = 9},
  [409] = {.lex_state = 0, .external_lex_state = 9},
  [410] = {.lex_state = 0, .external_lex_state = 9},
  [411] = {.lex_state = 0, .external_lex_state = 9},
  [412] = {.lex_state = 0, .external_lex_state = 9},
  [413] = {.lex_state = 0, .external_lex_state = 9},
  [414] = {.lex_state = 0, .external_lex_state = 9},
  [415] = {.lex_state = 0, .external_lex_state = 9},
  [416] = {.lex_state = 0, .external_lex_state = 9},
  [417] = {.lex_state = 0, .external_lex_state = 9},
  [418] = {.lex_state = 0, .external_lex_state = 9},
  [419] = {.lex_state = 0, .external_lex_state = 9},
  [420] = {.lex_state = 0, .external_lex_state = 9},
  [421] = {.lex_state = 0, .external_lex_state = 9},
  [422] = {.lex_state = 0, .external_lex_state = 9},
  [423] = {.lex_state = 0, .external_lex_state = 9},
  [424] = {.lex_state = 0, .external_lex_state = 9},
  [425] = {.lex_state = 0, .external_lex_state = 9},
  [426] = {.lex_state = 0, .external_lex_state = 9},
  [427] = {.lex_state = 0, .external_lex_state = 9},
  [428] = {.lex_state = 0, .external_lex_state = 9},
  [429] = {.lex_state = 0, .external_lex_state = 9},
  [430] = {.lex_state = 0, .external_lex_state = 9},
  [431] = {.lex_state = 0, .external_lex_state = 9},
  [432] = {.lex_state = 0, .external_lex_state = 9},
  [433] = {.lex_state = 0, .external_lex_state = 9},
  [434] = {.lex_state = 0, .external_lex_state = 9},
  [435] = {.lex_state = 0, .external_lex_state = 9},
  [436] = {.lex_state = 0, .external_lex_state = 9},
  [437] = {.lex_state = 0, .external_lex_state = 9},
  [438] = {.lex_state = 0, .external_lex_state = 9},
  [439] = {.lex_state = 0, .external_lex_state = 9},
  [440] = {.lex_state = 0, .external_lex_state = 9},
  [441] = {.lex_state = 0, .external_lex_state = 9},
  [442] = {.lex_state = 0, .external_lex_state = 9},
  [443] = {.lex_state = 0, .external_lex_state = 9},
  [444] = {.lex_state = 0, .external_lex_state = 9},
  [445] = {.lex_state = 0, .external_lex_state = 9},
  [446] = {.lex_state = 0, .external_lex_state = 9},
  [447] = {.lex_state = 0, .external_lex_state = 9},
  [448] = {.lex_state = 0, .external_lex_state = 9},
  [449] = {.lex_state = 0, .external_lex_state = 9},
  [450] = {.lex_state = 0, .external_lex_state = 9},
  [451] = {.lex_state = 0, .external_lex_state = 9},
  [452] = {.lex_state = 0, .external_lex_state = 9},
  [453] = {.lex_state = 0, .external_lex_state = 9},
  [454] = {.lex_state = 0, .external_lex_state = 9},
  [455] = {.lex_state = 0, .external_lex_state = 9},
  [456] = {.lex_state = 0, .external_lex_state = 9},
  [457] = {.lex_state = 0, .external_lex_state = 9},
  [458] = {.lex_state = 0, .external_lex_state = 9},
  [459] = {.lex_state = 0, .external_lex_state = 9},
  [460] = {.lex_state = 0, .external_lex_state = 9},
  [461] = {.lex_state = 0, .external_lex_state = 9},
  [462] = {.lex_state = 0, .external_lex_state = 9},
  [463] = {.lex_state = 0, .external_lex_state = 9},
  [464] = {.lex_state = 0, .external_lex_state = 9},
  [465] = {.lex_state = 0, .external_lex_state = 9},
  [466] = {.lex_state = 0, .external_lex_state = 9},
  [467] = {.lex_state = 0, .external_lex_state = 9},
  [468] = {.lex_state = 0, .external_lex_state = 9},
  [469] = {.lex_state = 0, .external_lex_state = 9},
  [470] = {.lex_state = 0, .external_lex_state = 9},
  [471] = {.lex_state = 0, .external_lex_state = 9},
  [472] = {.lex_state = 0, .external_lex_state = 9},
  [473] = {.lex_state = 0, .external_lex_state = 9},
  [474] = {.lex_state = 0, .external_lex_state = 9},
  [475] = {.lex_state = 0, .external_lex_state = 9},
  [476] = {.lex_state = 0, .external_lex_state = 9},
  [477] = {.lex_state = 0, .external_lex_state = 9},
  [478] = {.lex_state = 0, .external_lex_state = 9},
  [479] = {.lex_state = 0, .external_lex_state = 9},
  [480] = {.lex_state = 0, .external_lex_state = 9},
  [481] = {.lex_state = 0, .external_lex_state = 9},
  [482] = {.lex_state = 0, .external_lex_state = 9},
  [483] = {.lex_state = 0, .external_lex_state = 9},
  [484] = {.lex_state = 0, .external_lex_state = 9},
  [485] = {.lex_state = 0, .external_lex_state = 9},
  [486] = {.lex_state = 0, .external_lex_state = 9},
  [487] = {.lex_state = 0, .external_lex_state = 9},
  [488] = {.lex_state = 0, .external_lex_state = 9},
  [489] = {.lex_state = 0, .external_lex_state = 9},
  [490] = {.lex_state = 0, .external_lex_state = 9},
  [491] = {.lex_state = 0, .external_lex_state = 9},
  [492] = {.lex_state = 0, .external_lex_state = 9},
  [493] = {.lex_state = 0, .external_lex_state = 9},
  [494] = {.lex_state = 0, .external_lex_state = 9},
  [495] = {.lex_state = 0, .external_lex_state = 9},
  [496] = {.lex_state = 0, .external_lex_state = 9},
  [497] = {.lex_state = 0, .external_lex_state = 9},
  [498] = {.lex_state = 0, .external_lex_state = 9},
  [499] = {.lex_state = 0, .external_lex_state = 9},
  [500] = {.lex_state = 0, .external_lex_state = 9},
  [501] = {.lex_state = 0, .external_lex_state = 9},
  [502] = {.lex_state = 0, .external_lex_state = 9},
  [503] = {.lex_state = 0, .external_lex_state = 9},
  [504] = {.lex_state = 0, .external_lex_state = 9},
  [505] = {.lex_state = 0, .external_lex_state = 9},
  [506] = {.lex_state = 0, .external_lex_state = 9},
  [507] = {.lex_state = 0, .external_lex_state = 9},
  [508] = {.lex_state = 0, .external_lex_state = 9},
  [509] = {.lex_state = 0, .external_lex_state = 9},
  [510] = {.lex_state = 0, .external_lex_state = 9},
  [511] = {.lex_state = 0, .external_lex_state = 9},
  [512] = {.lex_state = 0, .external_lex_state = 9},
  [513] = {.lex_state = 0, .external_lex_state = 9},
  [514] = {.lex_state = 0, .external_lex_state = 9},
  [515] = {.lex_state = 0, .external_lex_state = 9},
  [516] = {.lex_state = 0, .external_lex_state = 9},
  [517] = {.lex_state = 0, .external_lex_state = 9},
  [518] = {.lex_state = 0, .external_lex_state = 9},
  [519] = {.lex_state = 0, .external_lex_state = 9},
  [520] = {.lex_state = 0, .external_lex_state = 9},
  [521] = {.lex_state = 0, .external_lex_state = 9},
  [522] = {.lex_state = 0, .external_lex_state = 9},
  [523] = {.lex_state = 0, .external_lex_state = 9},
  [524] = {.lex_state = 0, .external_lex_state = 9},
  [525] = {.lex_state = 0, .external_lex_state = 9},
  [526] = {.lex_state = 0, .external_lex_state = 9},
  [527] = {.lex_state = 0, .external_lex_state = 9},
  [528] = {.lex_state = 0, .external_lex_state = 9},
  [529] = {.lex_state = 0, .external_lex_state = 9},
  [530] = {.lex_state = 0, .external_lex_state = 9},
  [531] = {.lex_state = 0, .external_lex_state = 9},
  [532] = {.lex_state = 0, .external_lex_state = 9},
  [533] = {.lex_state = 0, .external_lex_state = 9},
  [534] = {.lex_state = 0, .external_lex_state = 9},
  [535] = {.lex_state = 0, .external_lex_state = 9},
  [536] = {.lex_state = 0, .external_lex_state = 9},
  [537] = {.lex_state = 0, .external_lex_state = 9},
  [538] = {.lex_state = 0, .external_lex_state = 9},
  [539] = {.lex_state = 0, .external_lex_state = 9},
  [540] = {.lex_state = 0, .external_lex_state = 9},
  [541] = {.lex_state = 0, .external_lex_state = 9},
  [542] = {.lex_state = 0, .external_lex_state = 9},
  [543] = {.lex_state = 0, .external_lex_state = 9},
  [544] = {.lex_state = 0, .external_lex_state = 9},
  [545] = {.lex_state = 0, .external_lex_state = 9},
  [546] = {.lex_state = 0, .external_lex_state = 9},
  [547] = {.lex_state = 0, .external_lex_state = 9},
  [548] = {.lex_state = 0, .external_lex_state = 9},
  [549] = {.lex_state = 0, .external_lex_state = 9},
  [550] = {.lex_state = 0, .external_lex_state = 9},
  [551] = {.lex_state = 0, .external_lex_state = 9},
  [552] = {.lex_state = 0, .external_lex_state = 9},
  [553] = {.lex_state = 0, .external_lex_state = 9},
  [554] = {.lex_state = 0, .external_lex_state = 9},
  [555] = {.lex_state = 0, .external_lex_state = 9},
  [556] = {.lex_state = 0, .external_lex_state = 9},
  [557] = {.lex_state = 0, .external_lex_state = 9},
  [558] = {.lex_state = 0, .external_lex_state = 9},
  [559] = {.lex_state = 0, .external_lex_state = 9},
  [560] = {.lex_state = 0, .external_lex_state = 9},
  [561] = {.lex_state = 0, .external_lex_state = 9},
  [562] = {.lex_state = 0, .external_lex_state = 9},
  [563] = {.lex_state = 0, .external_lex_state = 9},
  [564] = {.lex_state = 0, .external_lex_state = 9},
  [565] = {.lex_state = 0, .external_lex_state = 9},
  [566] = {.lex_state = 0, .external_lex_state = 9},
  [567] = {.lex_state = 0, .external_lex_state = 9},
  [568] = {.lex_state = 0, .external_lex_state = 9},
  [569] = {.lex_state = 0, .external_lex_state = 9},
  [570] = {.lex_state = 0, .external_lex_state = 9},
  [571] = {.lex_state = 0, .external_lex_state = 9},
  [572] = {.lex_state = 0, .external_lex_state = 9},
  [573] = {.lex_state = 0, .external_lex_state = 9},
  [574] = {.lex_state = 0, .external_lex_state = 9},
  [575] = {.lex_state = 0, .external_lex_state = 9},
  [576] = {.lex_state = 0, .external_lex_state = 9},
  [577] = {.lex_state = 0, .external_lex_state = 9},
  [578] = {.lex_state = 0, .external_lex_state = 9},
  [579] = {.lex_state = 0, .external_lex_state = 9},
  [580] = {.lex_state = 0, .external_lex_state = 9},
  [581] = {.lex_state = 0, .external_lex_state = 9},
  [582] = {.lex_state = 0, .external_lex_state = 9},
  [583] = {.lex_state = 0, .external_lex_state = 9},
  [584] = {.lex_state = 0, .external_lex_state = 9},
  [585] = {.lex_state = 0, .external_lex_state = 9},
  [586] = {.lex_state = 0, .external_lex_state = 9},
  [587] = {.lex_state = 0, .external_lex_state = 9},
  [588] = {.lex_state = 0, .external_lex_state = 9},
  [589] = {.lex_state = 0, .external_lex_state = 9},
  [590] = {.lex_state = 0, .external_lex_state = 9},
  [591] = {.lex_state = 0, .external_lex_state = 9},
  [592] = {.lex_state = 0, .external_lex_state = 9},
  [593] = {.lex_state = 0, .external_lex_state = 9},
  [594] = {.lex_state = 0, .external_lex_state = 9},
  [595] = {.lex_state = 0, .external_lex_state = 9},
  [596] = {.lex_state = 0, .external_lex_state = 9},
  [597] = {.lex_state = 0, .external_lex_state = 9},
  [598] = {.lex_state = 0, .external_lex_state = 9},
  [599] = {.lex_state = 0, .external_lex_state = 9},
  [600] = {.lex_state = 0, .external_lex_state = 9},
  [601] = {.lex_state = 0, .external_lex_state = 9},
  [602] = {.lex_state = 0, .external_lex_state = 9},
  [603] = {.lex_state = 0, .external_lex_state = 9},
  [604] = {.lex_state = 0, .external_lex_state = 9},
  [605] = {.lex_state = 0, .external_lex_state = 9},
  [606] = {.lex_state = 0, .external_lex_state = 9},
  [607] = {.lex_state = 0, .external_lex_state = 9},
  [608] = {.lex_state = 0, .external_lex_state = 9},
  [609] = {.lex_state = 0, .external_lex_state = 9},
  [610] = {.lex_state = 0, .external_lex_state = 9},
  [611] = {.lex_state = 0, .external_lex_state = 9},
  [612] = {.lex_state = 0, .external_lex_state = 9},
  [613] = {.lex_state = 0, .external_lex_state = 9},
  [614] = {.lex_state = 0, .external_lex_state = 9},
  [615] = {.lex_state = 0, .external_lex_state = 9},
  [616] = {.lex_state = 0, .external_lex_state = 9},
  [617] = {.lex_state = 0, .external_lex_state = 9},
  [618] = {.lex_state = 0, .external_lex_state = 9},
  [619] = {.lex_state = 0, .external_lex_state = 9},
  [620] = {.lex_state = 0, .external_lex_state = 9},
  [621] = {.lex_state = 0, .external_lex_state = 9},
  [622] = {.lex_state = 0, .external_lex_state = 9},
  [623] = {.lex_state = 0, .external_lex_state = 9},
  [624] = {.lex_state = 0, .external_lex_state = 9},
  [625] = {.lex_state = 0, .external_lex_state = 9},
  [626] = {.lex_state = 0, .external_lex_state = 9},
  [627] = {.lex_state = 0, .external_lex_state = 9},
  [628] = {.lex_state = 0, .external_lex_state = 9},
  [629] = {.lex_state = 0, .external_lex_state = 9},
  [630] = {.lex_state = 0, .external_lex_state = 9},
  [631] = {.lex_state = 0, .external_lex_state = 9},
  [632] = {.lex_state = 0, .external_lex_state = 9},
  [633] = {.lex_state = 0, .external_lex_state = 9},
  [634] = {.lex_state = 0, .external_lex_state = 9},
  [635] = {.lex_state = 0, .external_lex_state = 9},
  [636] = {.lex_state = 0, .external_lex_state = 9},
  [637] = {.lex_state = 0, .external_lex_state = 9},
  [638] = {.lex_state = 0, .external_lex_state = 9},
  [639] = {.lex_state = 0, .external_lex_state = 9},
  [640] = {.lex_state = 0, .external_lex_state = 9},
  [641] = {.lex_state = 0, .external_lex_state = 9},
  [642] = {.lex_state = 0, .external_lex_state = 9},
  [643] = {.lex_state = 0, .external_lex_state = 9},
  [644] = {.lex_state = 0, .external_lex_state = 9},
  [645] = {.lex_state = 0, .external_lex_state = 9},
  [646] = {.lex_state = 0, .external_lex_state = 9},
  [647] = {.lex_state = 0, .external_lex_state = 9},
  [648] = {.lex_state = 0, .external_lex_state = 9},
  [649] = {.lex_state = 0, .external_lex_state = 9},
  [650] = {.lex_state = 0, .external_lex_state = 9},
  [651] = {.lex_state = 0, .external_lex_state = 9},
  [652] = {.lex_state = 0, .external_lex_state = 9},
  [653] = {.lex_state = 0, .external_lex_state = 9},
  [654] = {.lex_state = 0, .external_lex_state = 9},
  [655] = {.lex_state = 0, .external_lex_state = 9},
  [656] = {.lex_state = 0, .external_lex_state = 9},
  [657] = {.lex_state = 0, .external_lex_state = 9},
  [658] = {.lex_state = 0, .external_lex_state = 9},
  [659] = {.lex_state = 0, .external_lex_state = 9},
  [660] = {.lex_state = 0, .external_lex_state = 9},
  [661] = {.lex_state = 0, .external_lex_state = 9},
  [662] = {.lex_state = 0, .external_lex_state = 9},
  [663] = {.lex_state = 0, .external_lex_state = 9},
  [664] = {.lex_state = 0, .external_lex_state = 9},
  [665] = {.lex_state = 0, .external_lex_state = 9},
  [666] = {.lex_state = 0, .external_lex_state = 9},
  [667] = {.lex_state = 0, .external_lex_state = 9},
  [668] = {.lex_state = 0, .external_lex_state = 9},
  [669] = {.lex_state = 0, .external_lex_state = 9},
  [670] = {.lex_state = 0, .external_lex_state = 9},
  [671] = {.lex_state = 0, .external_lex_state = 9},
  [672] = {.lex_state = 0, .external_lex_state = 9},
  [673] = {.lex_state = 0, .external_lex_state = 9},
  [674] = {.lex_state = 0, .external_lex_state = 9},
  [675] = {.lex_state = 0, .external_lex_state = 9},
  [676] = {.lex_state = 0, .external_lex_state = 9},
  [677] = {.lex_state = 0, .external_lex_state = 9},
  [678] = {.lex_state = 0, .external_lex_state = 9},
  [679] = {.lex_state = 0, .external_lex_state = 9},
  [680] = {.lex_state = 0, .external_lex_state = 9},
  [681] = {.lex_state = 0, .external_lex_state = 9},
  [682] = {.lex_state = 0, .external_lex_state = 9},
  [683] = {.lex_state = 0, .external_lex_state = 9},
  [684] = {.lex_state = 0, .external_lex_state = 9},
  [685] = {.lex_state = 0, .external_lex_state = 9},
  [686] = {.lex_state = 0, .external_lex_state = 9},
  [687] = {.lex_state = 0, .external_lex_state = 9},
  [688] = {.lex_state = 0, .external_lex_state = 9},
  [689] = {.lex_state = 0, .external_lex_state = 9},
  [690] = {.lex_state = 0, .external_lex_state = 9},
  [691] = {.lex_state = 0, .external_lex_state = 9},
  [692] = {.lex_state = 0, .external_lex_state = 9},
  [693] = {.lex_state = 0, .external_lex_state = 9},
  [694] = {.lex_state = 0, .external_lex_state = 9},
  [695] = {.lex_state = 0, .external_lex_state = 9},
  [696] = {.lex_state = 0, .external_lex_state = 9},
  [697] = {.lex_state = 0, .external_lex_state = 9},
  [698] = {.lex_state = 0, .external_lex_state = 9},
  [699] = {.lex_state = 0, .external_lex_state = 9},
  [700] = {.lex_state = 0, .external_lex_state = 9},
  [701] = {.lex_state = 0, .external_lex_state = 9},
  [702] = {.lex_state = 0, .external_lex_state = 9},
  [703] = {.lex_state = 0, .external_lex_state = 9},
  [704] = {.lex_state = 0, .external_lex_state = 9},
  [705] = {.lex_state = 0, .external_lex_state = 9},
  [706] = {.lex_state = 0, .external_lex_state = 9},
  [707] = {.lex_state = 0, .external_lex_state = 9},
  [708] = {.lex_state = 0, .external_lex_state = 9},
  [709] = {.lex_state = 0, .external_lex_state = 9},
  [710] = {.lex_state = 0, .external_lex_state = 9},
  [711] = {.lex_state = 0, .external_lex_state = 9},
  [712] = {.lex_state = 0, .external_lex_state = 9},
  [713] = {.lex_state = 0, .external_lex_state = 9},
  [714] = {.lex_state = 0, .external_lex_state = 9},
  [715] = {.lex_state = 0, .external_lex_state = 9},
  [716] = {.lex_state = 0, .external_lex_state = 9},
  [717] = {.lex_state = 0, .external_lex_state = 9},
  [718] = {.lex_state = 0, .external_lex_state = 9},
  [719] = {.lex_state = 0, .external_lex_state = 9},
  [720] = {.lex_state = 0, .external_lex_state = 9},
  [721] = {.lex_state = 0, .external_lex_state = 9},
  [722] = {.lex_state = 0, .external_lex_state = 9},
  [723] = {.lex_state = 0, .external_lex_state = 9},
  [724] = {.lex_state = 0, .external_lex_state = 9},
  [725] = {.lex_state = 0, .external_lex_state = 9},
  [726] = {.lex_state = 0, .external_lex_state = 9},
  [727] = {.lex_state = 0, .external_lex_state = 9},
  [728] = {.lex_state = 0, .external_lex_state = 9},
  [729] = {.lex_state = 0, .external_lex_state = 9},
  [730] = {.lex_state = 0, .external_lex_state = 9},
  [731] = {.lex_state = 0, .external_lex_state = 9},
  [732] = {.lex_state = 0, .external_lex_state = 9},
  [733] = {.lex_state = 0, .external_lex_state = 9},
  [734] = {.lex_state = 0, .external_lex_state = 9},
  [735] = {.lex_state = 0, .external_lex_state = 9},
  [736] = {.lex_state = 0, .external_lex_state = 9},
  [737] = {.lex_state = 0, .external_lex_state = 9},
  [738] = {.lex_state = 0, .external_lex_state = 9},
  [739] = {.lex_state = 0, .external_lex_state = 9},
  [740] = {.lex_state = 0, .external_lex_state = 9},
  [741] = {.lex_state = 0, .external_lex_state = 9},
  [742] = {.lex_state = 0, .external_lex_state = 9},
  [743] = {.lex_state = 0, .external_lex_state = 9},
  [744] = {.lex_state = 0, .external_lex_state = 9},
  [745] = {.lex_state = 0, .external_lex_state = 9},
  [746] = {.lex_state = 0, .external_lex_state = 9},
  [747] = {.lex_state = 0, .external_lex_state = 9},
  [748] = {.lex_state = 0, .external_lex_state = 9},
  [749] = {.lex_state = 0, .external_lex_state = 9},
  [750] = {.lex_state = 0, .external_lex_state = 9},
  [751] = {.lex_state = 0, .external_lex_state = 9},
  [752] = {.lex_state = 0, .external_lex_state = 9},
  [753] = {.lex_state = 0, .external_lex_state = 9},
  [754] = {.lex_state = 0, .external_lex_state = 9},
  [755] = {.lex_state = 0, .external_lex_state = 9},
  [756] = {.lex_state = 0, .external_lex_state = 9},
  [757] = {.lex_state = 0, .external_lex_state = 9},
  [758] = {.lex_state = 0, .external_lex_state = 9},
  [759] = {.lex_state = 0, .external_lex_state = 9},
  [760] = {.lex_state = 0, .external_lex_state = 9},
  [761] = {.lex_state = 0, .external_lex_state = 9},
  [762] = {.lex_state = 0, .external_lex_state = 9},
  [763] = {.lex_state = 0, .external_lex_state = 9},
  [764] = {.lex_state = 0, .external_lex_state = 9},
  [765] = {.lex_state = 0, .external_lex_state = 9},
  [766] = {.lex_state = 0, .external_lex_state = 9},
  [767] = {.lex_state = 0, .external_lex_state = 9},
  [768] = {.lex_state = 0, .external_lex_state = 9},
  [769] = {.lex_state = 0, .external_lex_state = 9},
  [770] = {.lex_state = 0, .external_lex_state = 9},
  [771] = {.lex_state = 0, .external_lex_state = 9},
  [772] = {.lex_state = 0, .external_lex_state = 9},
  [773] = {.lex_state = 0, .external_lex_state = 9},
  [774] = {.lex_state = 0, .external_lex_state = 9},
  [775] = {.lex_state = 0, .external_lex_state = 9},
  [776] = {.lex_state = 0, .external_lex_state = 9},
  [777] = {.lex_state = 0, .external_lex_state = 9},
  [778] = {.lex_state = 0, .external_lex_state = 9},
  [779] = {.lex_state = 0, .external_lex_state = 9},
  [780] = {.lex_state = 0, .external_lex_state = 9},
  [781] = {.lex_state = 0, .external_lex_state = 9},
  [782] = {.lex_state = 0, .external_lex_state = 9},
  [783] = {.lex_state = 0, .external_lex_state = 9},
  [784] = {.lex_state = 0, .external_lex_state = 9},
  [785] = {.lex_state = 0, .external_lex_state = 9},
  [786] = {.lex_state = 0, .external_lex_state = 9},
  [787] = {.lex_state = 0, .external_lex_state = 9},
  [788] = {.lex_state = 0, .external_lex_state = 9},
  [789] = {.lex_state = 0, .external_lex_state = 9},
  [790] = {.lex_state = 0, .external_lex_state = 9},
  [791] = {.lex_state = 0, .external_lex_state = 9},
  [792] = {.lex_state = 0, .external_lex_state = 9},
  [793] = {.lex_state = 0, .external_lex_state = 9},
  [794] = {.lex_state = 0, .external_lex_state = 9},
  [795] = {.lex_state = 0, .external_lex_state = 9},
  [796] = {.lex_state = 0, .external_lex_state = 9},
  [797] = {.lex_state = 0, .external_lex_state = 9},
  [798] = {.lex_state = 0, .external_lex_state = 9},
  [799] = {.lex_state = 0, .external_lex_state = 9},
  [800] = {.lex_state = 0, .external_lex_state = 9},
  [801] = {.lex_state = 0, .external_lex_state = 9},
  [802] = {.lex_state = 0, .external_lex_state = 9},
  [803] = {.lex_state = 0, .external_lex_state = 9},
  [804] = {.lex_state = 0, .external_lex_state = 9},
  [805] = {.lex_state = 0, .external_lex_state = 9},
  [806] = {.lex_state = 0, .external_lex_state = 9},
  [807] = {.lex_state = 0, .external_lex_state = 9},
  [808] = {.lex_state = 0, .external_lex_state = 9},
  [809] = {.lex_state = 0, .external_lex_state = 9},
  [810] = {.lex_state = 0, .external_lex_state = 9},
  [811] = {.lex_state = 0, .external_lex_state = 9},
  [812] = {.lex_state = 0, .external_lex_state = 9},
  [813] = {.lex_state = 0, .external_lex_state = 9},
  [814] = {.lex_state = 0, .external_lex_state = 9},
  [815] = {.lex_state = 0, .external_lex_state = 9},
  [816] = {.lex_state = 0, .external_lex_state = 9},
  [817] = {.lex_state = 0, .external_lex_state = 9},
  [818] = {.lex_state = 0, .external_lex_state = 9},
  [819] = {.lex_state = 0, .external_lex_state = 9},
  [820] = {.lex_state = 0, .external_lex_state = 9},
  [821] = {.lex_state = 0, .external_lex_state = 9},
  [822] = {.lex_state = 0, .external_lex_state = 9},
  [823] = {.lex_state = 0, .external_lex_state = 9},
  [824] = {.lex_state = 0, .external_lex_state = 9},
  [825] = {.lex_state = 0, .external_lex_state = 9},
  [826] = {.lex_state = 0, .external_lex_state = 9},
  [827] = {.lex_state = 0, .external_lex_state = 9},
  [828] = {.lex_state = 0, .external_lex_state = 9},
  [829] = {.lex_state = 0, .external_lex_state = 9},
  [830] = {.lex_state = 0, .external_lex_state = 9},
  [831] = {.lex_state = 0, .external_lex_state = 9},
  [832] = {.lex_state = 0, .external_lex_state = 9},
  [833] = {.lex_state = 0, .external_lex_state = 9},
  [834] = {.lex_state = 0, .external_lex_state = 9},
  [835] = {.lex_state = 0, .external_lex_state = 9},
  [836] = {.lex_state = 0, .external_lex_state = 9},
  [837] = {.lex_state = 0, .external_lex_state = 9},
  [838] = {.lex_state = 0, .external_lex_state = 9},
  [839] = {.lex_state = 0, .external_lex_state = 9},
  [840] = {.lex_state = 0, .external_lex_state = 9},
  [841] = {.lex_state = 0, .external_lex_state = 9},
  [842] = {.lex_state = 0, .external_lex_state = 9},
  [843] = {.lex_state = 0, .external_lex_state = 9},
  [844] = {.lex_state = 0, .external_lex_state = 9},
  [845] = {.lex_state = 0, .external_lex_state = 9},
  [846] = {.lex_state = 0, .external_lex_state = 9},
  [847] = {.lex_state = 0, .external_lex_state = 9},
  [848] = {.lex_state = 0, .external_lex_state = 9},
  [849] = {.lex_state = 0, .external_lex_state = 9},
  [850] = {.lex_state = 0, .external_lex_state = 9},
  [851] = {.lex_state = 0, .external_lex_state = 9},
  [852] = {.lex_state = 0, .external_lex_state = 9},
  [853] = {.lex_state = 0, .external_lex_state = 9},
  [854] = {.lex_state = 0, .external_lex_state = 9},
  [855] = {.lex_state = 0, .external_lex_state = 9},
  [856] = {.lex_state = 0, .external_lex_state = 9},
  [857] = {.lex_state = 0, .external_lex_state = 9},
  [858] = {.lex_state = 0, .external_lex_state = 9},
  [859] = {.lex_state = 0, .external_lex_state = 9},
  [860] = {.lex_state = 0, .external_lex_state = 9},
  [861] = {.lex_state = 0, .external_lex_state = 9},
  [862] = {.lex_state = 0, .external_lex_state = 9},
  [863] = {.lex_state = 0, .external_lex_state = 9},
  [864] = {.lex_state = 0, .external_lex_state = 9},
  [865] = {.lex_state = 0, .external_lex_state = 9},
  [866] = {.lex_state = 0, .external_lex_state = 9},
  [867] = {.lex_state = 0, .external_lex_state = 9},
  [868] = {.lex_state = 0, .external_lex_state = 9},
  [869] = {.lex_state = 0, .external_lex_state = 9},
  [870] = {.lex_state = 0, .external_lex_state = 9},
  [871] = {.lex_state = 0, .external_lex_state = 9},
  [872] = {.lex_state = 0, .external_lex_state = 9},
  [873] = {.lex_state = 0, .external_lex_state = 9},
  [874] = {.lex_state = 0, .external_lex_state = 9},
  [875] = {.lex_state = 0, .external_lex_state = 9},
  [876] = {.lex_state = 0, .external_lex_state = 9},
  [877] = {.lex_state = 0, .external_lex_state = 9},
  [878] = {.lex_state = 0, .external_lex_state = 9},
  [879] = {.lex_state = 0, .external_lex_state = 9},
  [880] = {.lex_state = 0, .external_lex_state = 9},
  [881] = {.lex_state = 0, .external_lex_state = 9},
  [882] = {.lex_state = 0, .external_lex_state = 9},
  [883] = {.lex_state = 0, .external_lex_state = 9},
  [884] = {.lex_state = 0, .external_lex_state = 9},
  [885] = {.lex_state = 0, .external_lex_state = 9},
  [886] = {.lex_state = 0, .external_lex_state = 9},
  [887] = {.lex_state = 0, .external_lex_state = 9},
  [888] = {.lex_state = 0, .external_lex_state = 9},
  [889] = {.lex_state = 0, .external_lex_state = 9},
  [890] = {.lex_state = 0, .external_lex_state = 9},
  [891] = {.lex_state = 0, .external_lex_state = 9},
  [892] = {.lex_state = 0, .external_lex_state = 9},
  [893] = {.lex_state = 0, .external_lex_state = 9},
  [894] = {.lex_state = 0, .external_lex_state = 9},
  [895] = {.lex_state = 0, .external_lex_state = 9},
  [896] = {.lex_state = 0, .external_lex_state = 9},
  [897] = {.lex_state = 0, .external_lex_state = 9},
  [898] = {.lex_state = 0, .external_lex_state = 9},
  [899] = {.lex_state = 0, .external_lex_state = 9},
  [900] = {.lex_state = 0, .external_lex_state = 9},
  [901] = {.lex_state = 0, .external_lex_state = 9},
  [902] = {.lex_state = 0, .external_lex_state = 9},
  [903] = {.lex_state = 0, .external_lex_state = 9},
  [904] = {.lex_state = 0, .external_lex_state = 9},
  [905] = {.lex_state = 0, .external_lex_state = 9},
  [906] = {.lex_state = 0, .external_lex_state = 9},
  [907] = {.lex_state = 0, .external_lex_state = 9},
  [908] = {.lex_state = 0, .external_lex_state = 9},
  [909] = {.lex_state = 0, .external_lex_state = 9},
  [910] = {.lex_state = 0, .external_lex_state = 9},
  [911] = {.lex_state = 0, .external_lex_state = 9},
  [912] = {.lex_state = 0, .external_lex_state = 9},
  [913] = {.lex_state = 0, .external_lex_state = 9},
  [914] = {.lex_state = 0, .external_lex_state = 9},
  [915] = {.lex_state = 0, .external_lex_state = 9},
  [916] = {.lex_state = 0, .external_lex_state = 9},
  [917] = {.lex_state = 0, .external_lex_state = 9},
  [918] = {.lex_state = 0, .external_lex_state = 9},
  [919] = {.lex_state = 0, .external_lex_state = 9},
  [920] = {.lex_state = 0, .external_lex_state = 9},
  [921] = {.lex_state = 0, .external_lex_state = 9},
  [922] = {.lex_state = 0, .external_lex_state = 9},
  [923] = {.lex_state = 0, .external_lex_state = 9},
  [924] = {.lex_state = 0, .external_lex_state = 9},
  [925] = {.lex_state = 0, .external_lex_state = 9},
  [926] = {.lex_state = 0, .external_lex_state = 9},
  [927] = {.lex_state = 0, .external_lex_state = 9},
  [928] = {.lex_state = 0, .external_lex_state = 9},
  [929] = {.lex_state = 0, .external_lex_state = 9},
  [930] = {.lex_state = 0, .external_lex_state = 9},
  [931] = {.lex_state = 0, .external_lex_state = 9},
  [932] = {.lex_state = 0, .external_lex_state = 9},
  [933] = {.lex_state = 0, .external_lex_state = 9},
  [934] = {.lex_state = 0, .external_lex_state = 9},
  [935] = {.lex_state = 0, .external_lex_state = 9},
  [936] = {.lex_state = 0, .external_lex_state = 9},
  [937] = {.lex_state = 0, .external_lex_state = 9},
  [938] = {.lex_state = 0, .external_lex_state = 9},
  [939] = {.lex_state = 0, .external_lex_state = 9},
  [940] = {.lex_state = 0, .external_lex_state = 9},
  [941] = {.lex_state = 0, .external_lex_state = 9},
  [942] = {.lex_state = 0, .external_lex_state = 9},
  [943] = {.lex_state = 0, .external_lex_state = 9},
  [944] = {.lex_state = 0, .external_lex_state = 9},
  [945] = {.lex_state = 0, .external_lex_state = 9},
  [946] = {.lex_state = 0, .external_lex_state = 9},
  [947] = {.lex_state = 0, .external_lex_state = 9},
  [948] = {.lex_state = 0, .external_lex_state = 9},
  [949] = {.lex_state = 0, .external_lex_state = 9},
  [950] = {.lex_state = 0, .external_lex_state = 9},
  [951] = {.lex_state = 0, .external_lex_state = 9},
  [952] = {.lex_state = 0, .external_lex_state = 9},
  [953] = {.lex_state = 0, .external_lex_state = 9},
  [954] = {.lex_state = 0, .external_lex_state = 9},
  [955] = {.lex_state = 0, .external_lex_state = 9},
  [956] = {.lex_state = 0, .external_lex_state = 9},
  [957] = {.lex_state = 0, .external_lex_state = 9},
  [958] = {.lex_state = 0, .external_lex_state = 9},
  [959] = {.lex_state = 0, .external_lex_state = 9},
  [960] = {.lex_state = 0, .external_lex_state = 9},
  [961] = {.lex_state = 0, .external_lex_state = 9},
  [962] = {.lex_state = 0, .external_lex_state = 9},
  [963] = {.lex_state = 0, .external_lex_state = 9},
  [964] = {.lex_state = 0, .external_lex_state = 9},
  [965] = {.lex_state = 0, .external_lex_state = 9},
  [966] = {.lex_state = 0, .external_lex_state = 9},
  [967] = {.lex_state = 0, .external_lex_state = 9},
  [968] = {.lex_state = 0, .external_lex_state = 9},
  [969] = {.lex_state = 0, .external_lex_state = 9},
  [970] = {.lex_state = 0, .external_lex_state = 9},
  [971] = {.lex_state = 0, .external_lex_state = 9},
  [972] = {.lex_state = 0, .external_lex_state = 9},
  [973] = {.lex_state = 0, .external_lex_state = 9},
  [974] = {.lex_state = 0, .external_lex_state = 9},
  [975] = {.lex_state = 0, .external_lex_state = 9},
  [976] = {.lex_state = 0, .external_lex_state = 9},
  [977] = {.lex_state = 0, .external_lex_state = 9},
  [978] = {.lex_state = 0, .external_lex_state = 9},
  [979] = {.lex_state = 0, .external_lex_state = 9},
  [980] = {.lex_state = 0, .external_lex_state = 9},
  [981] = {.lex_state = 0, .external_lex_state = 9},
  [982] = {.lex_state = 0, .external_lex_state = 9},
  [983] = {.lex_state = 0, .external_lex_state = 9},
  [984] = {.lex_state = 0, .external_lex_state = 9},
  [985] = {.lex_state = 0, .external_lex_state = 9},
  [986] = {.lex_state = 0, .external_lex_state = 9},
  [987] = {.lex_state = 0, .external_lex_state = 9},
  [988] = {.lex_state = 0, .external_lex_state = 9},
  [989] = {.lex_state = 0, .external_lex_state = 9},
  [990] = {.lex_state = 0, .external_lex_state = 9},
  [991] = {.lex_state = 0, .external_lex_state = 9},
  [992] = {.lex_state = 0, .external_lex_state = 9},
  [993] = {.lex_state = 0, .external_lex_state = 9},
  [994] = {.lex_state = 0, .external_lex_state = 9},
  [995] = {.lex_state = 0, .external_lex_state = 9},
  [996] = {.lex_state = 0, .external_lex_state = 9},
  [997] = {.lex_state = 0, .external_lex_state = 9},
  [998] = {.lex_state = 0, .external_lex_state = 9},
  [999] = {.lex_state = 0, .external_lex_state = 9},
  [1000] = {.lex_state = 0, .external_lex_state = 9},
  [1001] = {.lex_state = 0, .external_lex_state = 9},
  [1002] = {.lex_state = 0, .external_lex_state = 9},
  [1003] = {.lex_state = 0, .external_lex_state = 9},
  [1004] = {.lex_state = 0, .external_lex_state = 9},
  [1005] = {.lex_state = 0, .external_lex_state = 9},
  [1006] = {.lex_state = 0, .external_lex_state = 9},
  [1007] = {.lex_state = 0, .external_lex_state = 9},
  [1008] = {.lex_state = 0, .external_lex_state = 9},
  [1009] = {.lex_state = 0, .external_lex_state = 9},
  [1010] = {.lex_state = 0, .external_lex_state = 9},
  [1011] = {.lex_state = 0, .external_lex_state = 9},
  [1012] = {.lex_state = 0, .external_lex_state = 9},
  [1013] = {.lex_state = 0, .external_lex_state = 9},
  [1014] = {.lex_state = 0, .external_lex_state = 9},
  [1015] = {.lex_state = 0, .external_lex_state = 9},
  [1016] = {.lex_state = 0, .external_lex_state = 9},
  [1017] = {.lex_state = 0, .external_lex_state = 9},
  [1018] = {.lex_state = 0, .external_lex_state = 9},
  [1019] = {.lex_state = 0, .external_lex_state = 9},
  [1020] = {.lex_state = 0, .external_lex_state = 9},
  [1021] = {.lex_state = 0, .external_lex_state = 9},
  [1022] = {.lex_state = 0, .external_lex_state = 9},
  [1023] = {.lex_state = 0, .external_lex_state = 9},
  [1024] = {.lex_state = 0, .external_lex_state = 9},
  [1025] = {.lex_state = 0, .external_lex_state = 9},
  [1026] = {.lex_state = 0, .external_lex_state = 9},
  [1027] = {.lex_state = 0, .external_lex_state = 9},
  [1028] = {.lex_state = 0, .external_lex_state = 9},
  [1029] = {.lex_state = 0, .external_lex_state = 9},
  [1030] = {.lex_state = 0, .external_lex_state = 9},
  [1031] = {.lex_state = 0, .external_lex_state = 9},
  [1032] = {.lex_state = 0, .external_lex_state = 9},
  [1033] = {.lex_state = 0, .external_lex_state = 9},
  [1034] = {.lex_state = 0, .external_lex_state = 9},
  [1035] = {.lex_state = 0, .external_lex_state = 9},
  [1036] = {.lex_state = 0, .external_lex_state = 9},
  [1037] = {.lex_state = 0, .external_lex_state = 9},
  [1038] = {.lex_state = 0, .external_lex_state = 9},
  [1039] = {.lex_state = 0, .external_lex_state = 9},
  [1040] = {.lex_state = 0, .external_lex_state = 9},
  [1041] = {.lex_state = 0, .external_lex_state = 9},
  [1042] = {.lex_state = 0, .external_lex_state = 9},
  [1043] = {.lex_state = 0, .external_lex_state = 9},
  [1044] = {.lex_state = 0, .external_lex_state = 9},
  [1045] = {.lex_state = 0, .external_lex_state = 9},
  [1046] = {.lex_state = 0, .external_lex_state = 9},
  [1047] = {.lex_state = 0, .external_lex_state = 9},
  [1048] = {.lex_state = 0, .external_lex_state = 9},
  [1049] = {.lex_state = 0, .external_lex_state = 9},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 71, .external_lex_state = 10},
  [1053] = {.lex_state = 71, .external_lex_state = 10},
  [1054] = {.lex_state = 71, .external_lex_state = 10},
  [1055] = {.lex_state = 61, .external_lex_state = 11},
  [1056] = {.lex_state = 71, .external_lex_state = 10},
  [1057] = {.lex_state = 61, .external_lex_state = 11},
  [1058] = {.lex_state = 60, .external_lex_state = 11},
  [1059] = {.lex_state = 60, .external_lex_state = 11},
  [1060] = {.lex_state = 71, .external_lex_state = 10},
  [1061] = {.lex_state = 60, .external_lex_state = 12},
  [1062] = {.lex_state = 71, .external_lex_state = 10},
  [1063] = {.lex_state = 71, .external_lex_state = 13},
  [1064] = {.lex_state = 71, .external_lex_state = 14},
  [1065] = {.lex_state = 71, .external_lex_state = 14},
  [1066] = {.lex_state = 61, .external_lex_state = 12},
  [1067] = {.lex_state = 60, .external_lex_state = 12},
  [1068] = {.lex_state = 71, .external_lex_state = 10},
  [1069] = {.lex_state = 61, .external_lex_state = 12},
  [1070] = {.lex_state = 71, .external_lex_state = 10},
  [1071] = {.lex_state = 71, .external_lex_state = 14},
  [1072] = {.lex_state = 71, .external_lex_state = 13},
  [1073] = {.lex_state = 62, .external_lex_state = 11},
  [1074] = {.lex_state = 71, .external_lex_state = 14},
  [1075] = {.lex_state = 62, .external_lex_state = 11},
  [1076] = {.lex_state = 65, .external_lex_state = 11},
  [1077] = {.lex_state = 60, .external_lex_state = 15},
  [1078] = {.lex_state = 71, .external_lex_state = 10},
  [1079] = {.lex_state = 71, .external_lex_state = 16},
  [1080] = {.lex_state = 61, .external_lex_state = 15},
  [1081] = {.lex_state = 60, .external_lex_state = 17},
  [1082] = {.lex_state = 71, .external_lex_state = 10},
  [1083] = {.lex_state = 71, .external_lex_state = 10},
  [1084] = {.lex_state = 71, .external_lex_state = 10},
  [1085] = {.lex_state = 71, .external_lex_state = 10},
  [1086] = {.lex_state = 71, .external_lex_state = 18},
  [1087] = {.lex_state = 66, .external_lex_state = 11},
  [1088] = {.lex_state = 71, .external_lex_state = 10},
  [1089] = {.lex_state = 71, .external_lex_state = 10},
  [1090] = {.lex_state = 60, .external_lex_state = 15},
  [1091] = {.lex_state = 66, .external_lex_state = 11},
  [1092] = {.lex_state = 66, .external_lex_state = 11},
  [1093] = {.lex_state = 71, .external_lex_state = 10},
  [1094] = {.lex_state = 61, .external_lex_state = 15},
  [1095] = {.lex_state = 71, .external_lex_state = 10},
  [1096] = {.lex_state = 66, .external_lex_state = 11},
  [1097] = {.lex_state = 71, .external_lex_state = 10},
  [1098] = {.lex_state = 71, .external_lex_state = 10},
  [1099] = {.lex_state = 60, .external_lex_state = 17},
  [1100] = {.lex_state = 71, .external_lex_state = 10},
  [1101] = {.lex_state = 65, .external_lex_state = 11},
  [1102] = {.lex_state = 65, .external_lex_state = 11},
  [1103] = {.lex_state = 65, .external_lex_state = 11},
  [1104] = {.lex_state = 71, .external_lex_state = 14},
  [1105] = {.lex_state = 71, .external_lex_state = 13},
  [1106] = {.lex_state = 71, .external_lex_state = 10},
  [1107] = {.lex_state = 71, .external_lex_state = 10},
  [1108] = {.lex_state = 71, .external_lex_state = 10},
  [1109] = {.lex_state = 71, .external_lex_state = 18},
  [1110] = {.lex_state = 71, .external_lex_state = 10},
  [1111] = {.lex_state = 71, .external_lex_state = 14},
  [1112] = {.lex_state = 62, .external_lex_state = 12},
  [1113] = {.lex_state = 71, .external_lex_state = 14},
  [1114] = {.lex_state = 71, .external_lex_state = 13},
  [1115] = {.lex_state = 71, .external_lex_state = 10},
  [1116] = {.lex_state = 71, .external_lex_state = 10},
  [1117] = {.lex_state = 71, .external_lex_state = 18},
  [1118] = {.lex_state = 71, .external_lex_state = 16},
  [1119] = {.lex_state = 71, .external_lex_state = 14},
  [1120] = {.lex_state = 71, .external_lex_state = 10},
  [1121] = {.lex_state = 71, .external_lex_state = 10},
  [1122] = {.lex_state = 71, .external_lex_state = 10},
  [1123] = {.lex_state = 71, .external_lex_state = 10},
  [1124] = {.lex_state = 62, .external_lex_state = 12},
  [1125] = {.lex_state = 71, .external_lex_state = 10},
  [1126] = {.lex_state = 71, .external_lex_state = 18},
  [1127] = {.lex_state = 71, .external_lex_state = 10},
  [1128] = {.lex_state = 71, .external_lex_state = 19},
  [1129] = {.lex_state = 71, .external_lex_state = 19},
  [1130] = {.lex_state = 60, .external_lex_state = 20},
  [1131] = {.lex_state = 71, .external_lex_state = 13},
  [1132] = {.lex_state = 71, .external_lex_state = 13},
  [1133] = {.lex_state = 71, .external_lex_state = 13},
  [1134] = {.lex_state = 71, .external_lex_state = 13},
  [1135] = {.lex_state = 71, .external_lex_state = 21},
  [1136] = {.lex_state = 65, .external_lex_state = 11},
  [1137] = {.lex_state = 71, .external_lex_state = 13},
  [1138] = {.lex_state = 62, .external_lex_state = 17},
  [1139] = {.lex_state = 71, .external_lex_state = 13},
  [1140] = {.lex_state = 71, .external_lex_state = 13},
  [1141] = {.lex_state = 71, .external_lex_state = 13},
  [1142] = {.lex_state = 59, .external_lex_state = 11},
  [1143] = {.lex_state = 71, .external_lex_state = 13},
  [1144] = {.lex_state = 71, .external_lex_state = 10},
  [1145] = {.lex_state = 71, .external_lex_state = 13},
  [1146] = {.lex_state = 59, .external_lex_state = 11},
  [1147] = {.lex_state = 71, .external_lex_state = 13},
  [1148] = {.lex_state = 61, .external_lex_state = 22},
  [1149] = {.lex_state = 59, .external_lex_state = 11},
  [1150] = {.lex_state = 66, .external_lex_state = 11},
  [1151] = {.lex_state = 60, .external_lex_state = 11},
  [1152] = {.lex_state = 71, .external_lex_state = 14},
  [1153] = {.lex_state = 71, .external_lex_state = 14},
  [1154] = {.lex_state = 59, .external_lex_state = 11},
  [1155] = {.lex_state = 61, .external_lex_state = 11},
  [1156] = {.lex_state = 59, .external_lex_state = 13},
  [1157] = {.lex_state = 71, .external_lex_state = 13},
  [1158] = {.lex_state = 71, .external_lex_state = 16},
  [1159] = {.lex_state = 71, .external_lex_state = 14},
  [1160] = {.lex_state = 71, .external_lex_state = 13},
  [1161] = {.lex_state = 71, .external_lex_state = 14},
  [1162] = {.lex_state = 66, .external_lex_state = 11},
  [1163] = {.lex_state = 71, .external_lex_state = 16},
  [1164] = {.lex_state = 71, .external_lex_state = 14},
  [1165] = {.lex_state = 71, .external_lex_state = 19},
  [1166] = {.lex_state = 71, .external_lex_state = 14},
  [1167] = {.lex_state = 71, .external_lex_state = 14},
  [1168] = {.lex_state = 71, .external_lex_state = 13},
  [1169] = {.lex_state = 66, .external_lex_state = 11},
  [1170] = {.lex_state = 61, .external_lex_state = 22},
  [1171] = {.lex_state = 61, .external_lex_state = 11},
  [1172] = {.lex_state = 71, .external_lex_state = 13},
  [1173] = {.lex_state = 71, .external_lex_state = 13},
  [1174] = {.lex_state = 61, .external_lex_state = 11},
  [1175] = {.lex_state = 71, .external_lex_state = 13},
  [1176] = {.lex_state = 61, .external_lex_state = 11},
  [1177] = {.lex_state = 61, .external_lex_state = 11},
  [1178] = {.lex_state = 71, .external_lex_state = 13},
  [1179] = {.lex_state = 71, .external_lex_state = 21},
  [1180] = {.lex_state = 71, .external_lex_state = 13},
  [1181] = {.lex_state = 71, .external_lex_state = 18},
  [1182] = {.lex_state = 62, .external_lex_state = 17},
  [1183] = {.lex_state = 60, .external_lex_state = 20},
  [1184] = {.lex_state = 65, .external_lex_state = 12},
  [1185] = {.lex_state = 71, .external_lex_state = 13},
  [1186] = {.lex_state = 61, .external_lex_state = 11},
  [1187] = {.lex_state = 71, .external_lex_state = 14},
  [1188] = {.lex_state = 71, .external_lex_state = 14},
  [1189] = {.lex_state = 71, .external_lex_state = 14},
  [1190] = {.lex_state = 71, .external_lex_state = 14},
  [1191] = {.lex_state = 71, .external_lex_state = 13},
  [1192] = {.lex_state = 62, .external_lex_state = 15},
  [1193] = {.lex_state = 71, .external_lex_state = 13},
  [1194] = {.lex_state = 71, .external_lex_state = 13},
  [1195] = {.lex_state = 61, .external_lex_state = 11},
  [1196] = {.lex_state = 71, .external_lex_state = 10},
  [1197] = {.lex_state = 71, .external_lex_state = 13},
  [1198] = {.lex_state = 71, .external_lex_state = 13},
  [1199] = {.lex_state = 65, .external_lex_state = 12},
  [1200] = {.lex_state = 61, .external_lex_state = 11},
  [1201] = {.lex_state = 71, .external_lex_state = 13},
  [1202] = {.lex_state = 61, .external_lex_state = 11},
  [1203] = {.lex_state = 71, .external_lex_state = 19},
  [1204] = {.lex_state = 60, .external_lex_state = 22},
  [1205] = {.lex_state = 71, .external_lex_state = 13},
  [1206] = {.lex_state = 60, .external_lex_state = 11},
  [1207] = {.lex_state = 71, .external_lex_state = 13},
  [1208] = {.lex_state = 60, .external_lex_state = 11},
  [1209] = {.lex_state = 71, .external_lex_state = 13},
  [1210] = {.lex_state = 60, .external_lex_state = 11},
  [1211] = {.lex_state = 71, .external_lex_state = 13},
  [1212] = {.lex_state = 65, .external_lex_state = 12},
  [1213] = {.lex_state = 71, .external_lex_state = 18},
  [1214] = {.lex_state = 60, .external_lex_state = 11},
  [1215] = {.lex_state = 62, .external_lex_state = 15},
  [1216] = {.lex_state = 71, .external_lex_state = 13},
  [1217] = {.lex_state = 71, .external_lex_state = 13},
  [1218] = {.lex_state = 71, .external_lex_state = 13},
  [1219] = {.lex_state = 71, .external_lex_state = 10},
  [1220] = {.lex_state = 60, .external_lex_state = 11},
  [1221] = {.lex_state = 71, .external_lex_state = 13},
  [1222] = {.lex_state = 60, .external_lex_state = 11},
  [1223] = {.lex_state = 60, .external_lex_state = 11},
  [1224] = {.lex_state = 71, .external_lex_state = 14},
  [1225] = {.lex_state = 71, .external_lex_state = 13},
  [1226] = {.lex_state = 71, .external_lex_state = 13},
  [1227] = {.lex_state = 71, .external_lex_state = 14},
  [1228] = {.lex_state = 71, .external_lex_state = 13},
  [1229] = {.lex_state = 71, .external_lex_state = 14},
  [1230] = {.lex_state = 65, .external_lex_state = 11},
  [1231] = {.lex_state = 71, .external_lex_state = 14},
  [1232] = {.lex_state = 66, .external_lex_state = 12},
  [1233] = {.lex_state = 65, .external_lex_state = 11},
  [1234] = {.lex_state = 60, .external_lex_state = 11},
  [1235] = {.lex_state = 71, .external_lex_state = 14},
  [1236] = {.lex_state = 65, .external_lex_state = 11},
  [1237] = {.lex_state = 71, .external_lex_state = 14},
  [1238] = {.lex_state = 71, .external_lex_state = 13},
  [1239] = {.lex_state = 71, .external_lex_state = 14},
  [1240] = {.lex_state = 71, .external_lex_state = 14},
  [1241] = {.lex_state = 71, .external_lex_state = 13},
  [1242] = {.lex_state = 71, .external_lex_state = 14},
  [1243] = {.lex_state = 71, .external_lex_state = 13},
  [1244] = {.lex_state = 71, .external_lex_state = 13},
  [1245] = {.lex_state = 66, .external_lex_state = 11},
  [1246] = {.lex_state = 71, .external_lex_state = 18},
  [1247] = {.lex_state = 71, .external_lex_state = 14},
  [1248] = {.lex_state = 71, .external_lex_state = 13},
  [1249] = {.lex_state = 66, .external_lex_state = 12},
  [1250] = {.lex_state = 71, .external_lex_state = 13},
  [1251] = {.lex_state = 66, .external_lex_state = 12},
  [1252] = {.lex_state = 65, .external_lex_state = 12},
  [1253] = {.lex_state = 71, .external_lex_state = 18},
  [1254] = {.lex_state = 71, .external_lex_state = 14},
  [1255] = {.lex_state = 71, .external_lex_state = 14},
  [1256] = {.lex_state = 71, .external_lex_state = 13},
  [1257] = {.lex_state = 71, .external_lex_state = 14},
  [1258] = {.lex_state = 60, .external_lex_state = 22},
  [1259] = {.lex_state = 66, .external_lex_state = 12},
  [1260] = {.lex_state = 71, .external_lex_state = 13},
  [1261] = {.lex_state = 60, .external_lex_state = 12},
  [1262] = {.lex_state = 60, .external_lex_state = 12},
  [1263] = {.lex_state = 71, .external_lex_state = 18},
  [1264] = {.lex_state = 66, .external_lex_state = 12},
  [1265] = {.lex_state = 71, .external_lex_state = 18},
  [1266] = {.lex_state = 71, .external_lex_state = 16},
  [1267] = {.lex_state = 71, .external_lex_state = 18},
  [1268] = {.lex_state = 71, .external_lex_state = 16},
  [1269] = {.lex_state = 71, .external_lex_state = 16},
  [1270] = {.lex_state = 65, .external_lex_state = 12},
  [1271] = {.lex_state = 66, .external_lex_state = 12},
  [1272] = {.lex_state = 71, .external_lex_state = 18},
  [1273] = {.lex_state = 61, .external_lex_state = 12},
  [1274] = {.lex_state = 71, .external_lex_state = 19},
  [1275] = {.lex_state = 61, .external_lex_state = 12},
  [1276] = {.lex_state = 62, .external_lex_state = 20},
  [1277] = {.lex_state = 61, .external_lex_state = 12},
  [1278] = {.lex_state = 71, .external_lex_state = 23},
  [1279] = {.lex_state = 61, .external_lex_state = 12},
  [1280] = {.lex_state = 62, .external_lex_state = 20},
  [1281] = {.lex_state = 71, .external_lex_state = 16},
  [1282] = {.lex_state = 71, .external_lex_state = 18},
  [1283] = {.lex_state = 71, .external_lex_state = 16},
  [1284] = {.lex_state = 71, .external_lex_state = 16},
  [1285] = {.lex_state = 59, .external_lex_state = 12},
  [1286] = {.lex_state = 66, .external_lex_state = 12},
  [1287] = {.lex_state = 61, .external_lex_state = 12},
  [1288] = {.lex_state = 61, .external_lex_state = 12},
  [1289] = {.lex_state = 71, .external_lex_state = 18},
  [1290] = {.lex_state = 71, .external_lex_state = 18},
  [1291] = {.lex_state = 71, .external_lex_state = 16},
  [1292] = {.lex_state = 71, .external_lex_state = 16},
  [1293] = {.lex_state = 60, .external_lex_state = 12},
  [1294] = {.lex_state = 71, .external_lex_state = 16},
  [1295] = {.lex_state = 65, .external_lex_state = 15},
  [1296] = {.lex_state = 71, .external_lex_state = 18},
  [1297] = {.lex_state = 71, .external_lex_state = 16},
  [1298] = {.lex_state = 71, .external_lex_state = 16},
  [1299] = {.lex_state = 71, .external_lex_state = 18},
  [1300] = {.lex_state = 71, .external_lex_state = 18},
  [1301] = {.lex_state = 65, .external_lex_state = 11},
  [1302] = {.lex_state = 71, .external_lex_state = 19},
  [1303] = {.lex_state = 66, .external_lex_state = 12},
  [1304] = {.lex_state = 71, .external_lex_state = 16},
  [1305] = {.lex_state = 71, .external_lex_state = 18},
  [1306] = {.lex_state = 59, .external_lex_state = 12},
  [1307] = {.lex_state = 71, .external_lex_state = 18},
  [1308] = {.lex_state = 71, .external_lex_state = 18},
  [1309] = {.lex_state = 59, .external_lex_state = 11},
  [1310] = {.lex_state = 65, .external_lex_state = 12},
  [1311] = {.lex_state = 71, .external_lex_state = 18},
  [1312] = {.lex_state = 71, .external_lex_state = 16},
  [1313] = {.lex_state = 71, .external_lex_state = 16},
  [1314] = {.lex_state = 71, .external_lex_state = 16},
  [1315] = {.lex_state = 71, .external_lex_state = 16},
  [1316] = {.lex_state = 71, .external_lex_state = 19},
  [1317] = {.lex_state = 71, .external_lex_state = 16},
  [1318] = {.lex_state = 65, .external_lex_state = 17},
  [1319] = {.lex_state = 71, .external_lex_state = 16},
  [1320] = {.lex_state = 65, .external_lex_state = 12},
  [1321] = {.lex_state = 71, .external_lex_state = 16},
  [1322] = {.lex_state = 71, .external_lex_state = 16},
  [1323] = {.lex_state = 71, .external_lex_state = 16},
  [1324] = {.lex_state = 65, .external_lex_state = 17},
  [1325] = {.lex_state = 71, .external_lex_state = 16},
  [1326] = {.lex_state = 71, .external_lex_state = 16},
  [1327] = {.lex_state = 71, .external_lex_state = 19},
  [1328] = {.lex_state = 60, .external_lex_state = 12},
  [1329] = {.lex_state = 71, .external_lex_state = 13},
  [1330] = {.lex_state = 65, .external_lex_state = 11},
  [1331] = {.lex_state = 59, .external_lex_state = 12},
  [1332] = {.lex_state = 65, .external_lex_state = 11},
  [1333] = {.lex_state = 65, .external_lex_state = 17},
  [1334] = {.lex_state = 65, .external_lex_state = 12},
  [1335] = {.lex_state = 71, .external_lex_state = 18},
  [1336] = {.lex_state = 62, .external_lex_state = 11},
  [1337] = {.lex_state = 71, .external_lex_state = 16},
  [1338] = {.lex_state = 71, .external_lex_state = 18},
  [1339] = {.lex_state = 71, .external_lex_state = 13},
  [1340] = {.lex_state = 71, .external_lex_state = 10},
  [1341] = {.lex_state = 71, .external_lex_state = 16},
  [1342] = {.lex_state = 61, .external_lex_state = 12},
  [1343] = {.lex_state = 65, .external_lex_state = 11},
  [1344] = {.lex_state = 60, .external_lex_state = 12},
  [1345] = {.lex_state = 62, .external_lex_state = 11},
  [1346] = {.lex_state = 66, .external_lex_state = 11},
  [1347] = {.lex_state = 66, .external_lex_state = 11},
  [1348] = {.lex_state = 60, .external_lex_state = 12},
  [1349] = {.lex_state = 62, .external_lex_state = 11},
  [1350] = {.lex_state = 60, .external_lex_state = 12},
  [1351] = {.lex_state = 71, .external_lex_state = 13},
  [1352] = {.lex_state = 66, .external_lex_state = 11},
  [1353] = {.lex_state = 60, .external_lex_state = 12},
  [1354] = {.lex_state = 65, .external_lex_state = 15},
  [1355] = {.lex_state = 60, .external_lex_state = 12},
  [1356] = {.lex_state = 71, .external_lex_state = 16},
  [1357] = {.lex_state = 71, .external_lex_state = 18},
  [1358] = {.lex_state = 71, .external_lex_state = 18},
  [1359] = {.lex_state = 62, .external_lex_state = 22},
  [1360] = {.lex_state = 71, .external_lex_state = 16},
  [1361] = {.lex_state = 59, .external_lex_state = 12},
  [1362] = {.lex_state = 71, .external_lex_state = 14},
  [1363] = {.lex_state = 71, .external_lex_state = 10},
  [1364] = {.lex_state = 71, .external_lex_state = 16},
  [1365] = {.lex_state = 71, .external_lex_state = 18},
  [1366] = {.lex_state = 62, .external_lex_state = 22},
  [1367] = {.lex_state = 71, .external_lex_state = 16},
  [1368] = {.lex_state = 71, .external_lex_state = 16},
  [1369] = {.lex_state = 71, .external_lex_state = 13},
  [1370] = {.lex_state = 71, .external_lex_state = 18},
  [1371] = {.lex_state = 65, .external_lex_state = 15},
  [1372] = {.lex_state = 71, .external_lex_state = 10},
  [1373] = {.lex_state = 71, .external_lex_state = 18},
  [1374] = {.lex_state = 71, .external_lex_state = 13},
  [1375] = {.lex_state = 60, .external_lex_state = 24},
  [1376] = {.lex_state = 65, .external_lex_state = 15},
  [1377] = {.lex_state = 71, .external_lex_state = 16},
  [1378] = {.lex_state = 66, .external_lex_state = 11},
  [1379] = {.lex_state = 62, .external_lex_state = 11},
  [1380] = {.lex_state = 71, .external_lex_state = 14},
  [1381] = {.lex_state = 66, .external_lex_state = 15},
  [1382] = {.lex_state = 71, .external_lex_state = 10},
  [1383] = {.lex_state = 62, .external_lex_state = 11},
  [1384] = {.lex_state = 71, .external_lex_state = 25},
  [1385] = {.lex_state = 71, .external_lex_state = 16},
  [1386] = {.lex_state = 71, .external_lex_state = 16},
  [1387] = {.lex_state = 62, .external_lex_state = 11},
  [1388] = {.lex_state = 71, .external_lex_state = 14},
  [1389] = {.lex_state = 62, .external_lex_state = 11},
  [1390] = {.lex_state = 71, .external_lex_state = 23},
  [1391] = {.lex_state = 71, .external_lex_state = 25},
  [1392] = {.lex_state = 71, .external_lex_state = 18},
  [1393] = {.lex_state = 62, .external_lex_state = 11},
  [1394] = {.lex_state = 59, .external_lex_state = 11},
  [1395] = {.lex_state = 59, .external_lex_state = 11},
  [1396] = {.lex_state = 62, .external_lex_state = 11},
  [1397] = {.lex_state = 71, .external_lex_state = 13},
  [1398] = {.lex_state = 59, .external_lex_state = 11},
  [1399] = {.lex_state = 71, .external_lex_state = 13},
  [1400] = {.lex_state = 71, .external_lex_state = 16},
  [1401] = {.lex_state = 65, .external_lex_state = 17},
  [1402] = {.lex_state = 59, .external_lex_state = 16},
  [1403] = {.lex_state = 71, .external_lex_state = 16},
  [1404] = {.lex_state = 71, .external_lex_state = 18},
  [1405] = {.lex_state = 71, .external_lex_state = 16},
  [1406] = {.lex_state = 71, .external_lex_state = 10},
  [1407] = {.lex_state = 71, .external_lex_state = 16},
  [1408] = {.lex_state = 66, .external_lex_state = 15},
  [1409] = {.lex_state = 71, .external_lex_state = 16},
  [1410] = {.lex_state = 71, .external_lex_state = 16},
  [1411] = {.lex_state = 71, .external_lex_state = 18},
  [1412] = {.lex_state = 61, .external_lex_state = 12},
  [1413] = {.lex_state = 66, .external_lex_state = 15},
  [1414] = {.lex_state = 66, .external_lex_state = 15},
  [1415] = {.lex_state = 61, .external_lex_state = 12},
  [1416] = {.lex_state = 71, .external_lex_state = 16},
  [1417] = {.lex_state = 71, .external_lex_state = 13},
  [1418] = {.lex_state = 60, .external_lex_state = 24},
  [1419] = {.lex_state = 71, .external_lex_state = 13},
  [1420] = {.lex_state = 71, .external_lex_state = 16},
  [1421] = {.lex_state = 71, .external_lex_state = 16},
  [1422] = {.lex_state = 71, .external_lex_state = 16},
  [1423] = {.lex_state = 71, .external_lex_state = 16},
  [1424] = {.lex_state = 71, .external_lex_state = 25},
  [1425] = {.lex_state = 71, .external_lex_state = 19},
  [1426] = {.lex_state = 71, .external_lex_state = 21},
  [1427] = {.lex_state = 71, .external_lex_state = 19},
  [1428] = {.lex_state = 61, .external_lex_state = 15},
  [1429] = {.lex_state = 71, .external_lex_state = 19},
  [1430] = {.lex_state = 61, .external_lex_state = 15},
  [1431] = {.lex_state = 65, .external_lex_state = 22},
  [1432] = {.lex_state = 66, .external_lex_state = 12},
  [1433] = {.lex_state = 71, .external_lex_state = 21},
  [1434] = {.lex_state = 71, .external_lex_state = 19},
  [1435] = {.lex_state = 66, .external_lex_state = 12},
  [1436] = {.lex_state = 62, .external_lex_state = 12},
  [1437] = {.lex_state = 65, .external_lex_state = 20},
  [1438] = {.lex_state = 62, .external_lex_state = 12},
  [1439] = {.lex_state = 66, .external_lex_state = 12},
  [1440] = {.lex_state = 71, .external_lex_state = 19},
  [1441] = {.lex_state = 71, .external_lex_state = 19},
  [1442] = {.lex_state = 65, .external_lex_state = 12},
  [1443] = {.lex_state = 71, .external_lex_state = 16},
  [1444] = {.lex_state = 71, .external_lex_state = 14},
  [1445] = {.lex_state = 71, .external_lex_state = 19},
  [1446] = {.lex_state = 71, .external_lex_state = 16},
  [1447] = {.lex_state = 71, .external_lex_state = 16},
  [1448] = {.lex_state = 71, .external_lex_state = 19},
  [1449] = {.lex_state = 71, .external_lex_state = 19},
  [1450] = {.lex_state = 71, .external_lex_state = 21},
  [1451] = {.lex_state = 71, .external_lex_state = 21},
  [1452] = {.lex_state = 59, .external_lex_state = 15},
  [1453] = {.lex_state = 71, .external_lex_state = 26},
  [1454] = {.lex_state = 61, .external_lex_state = 15},
  [1455] = {.lex_state = 71, .external_lex_state = 21},
  [1456] = {.lex_state = 71, .external_lex_state = 16},
  [1457] = {.lex_state = 61, .external_lex_state = 15},
  [1458] = {.lex_state = 71, .external_lex_state = 16},
  [1459] = {.lex_state = 71, .external_lex_state = 25},
  [1460] = {.lex_state = 65, .external_lex_state = 22},
  [1461] = {.lex_state = 61, .external_lex_state = 15},
  [1462] = {.lex_state = 71, .external_lex_state = 25},
  [1463] = {.lex_state = 65, .external_lex_state = 20},
  [1464] = {.lex_state = 61, .external_lex_state = 15},
  [1465] = {.lex_state = 71, .external_lex_state = 14},
  [1466] = {.lex_state = 65, .external_lex_state = 15},
  [1467] = {.lex_state = 61, .external_lex_state = 15},
  [1468] = {.lex_state = 71, .external_lex_state = 25},
  [1469] = {.lex_state = 71, .external_lex_state = 25},
  [1470] = {.lex_state = 71, .external_lex_state = 25},
  [1471] = {.lex_state = 71, .external_lex_state = 25},
  [1472] = {.lex_state = 65, .external_lex_state = 13},
  [1473] = {.lex_state = 71, .external_lex_state = 25},
  [1474] = {.lex_state = 71, .external_lex_state = 25},
  [1475] = {.lex_state = 71, .external_lex_state = 16},
  [1476] = {.lex_state = 71, .external_lex_state = 19},
  [1477] = {.lex_state = 71, .external_lex_state = 25},
  [1478] = {.lex_state = 71, .external_lex_state = 25},
  [1479] = {.lex_state = 71, .external_lex_state = 25},
  [1480] = {.lex_state = 71, .external_lex_state = 25},
  [1481] = {.lex_state = 71, .external_lex_state = 25},
  [1482] = {.lex_state = 71, .external_lex_state = 25},
  [1483] = {.lex_state = 71, .external_lex_state = 19},
  [1484] = {.lex_state = 71, .external_lex_state = 14},
  [1485] = {.lex_state = 71, .external_lex_state = 25},
  [1486] = {.lex_state = 60, .external_lex_state = 17},
  [1487] = {.lex_state = 62, .external_lex_state = 12},
  [1488] = {.lex_state = 65, .external_lex_state = 22},
  [1489] = {.lex_state = 71, .external_lex_state = 25},
  [1490] = {.lex_state = 71, .external_lex_state = 25},
  [1491] = {.lex_state = 62, .external_lex_state = 12},
  [1492] = {.lex_state = 66, .external_lex_state = 22},
  [1493] = {.lex_state = 71, .external_lex_state = 21},
  [1494] = {.lex_state = 59, .external_lex_state = 17},
  [1495] = {.lex_state = 60, .external_lex_state = 27},
  [1496] = {.lex_state = 71, .external_lex_state = 25},
  [1497] = {.lex_state = 71, .external_lex_state = 25},
  [1498] = {.lex_state = 71, .external_lex_state = 25},
  [1499] = {.lex_state = 71, .external_lex_state = 13},
  [1500] = {.lex_state = 62, .external_lex_state = 12},
  [1501] = {.lex_state = 62, .external_lex_state = 12},
  [1502] = {.lex_state = 71, .external_lex_state = 25},
  [1503] = {.lex_state = 71, .external_lex_state = 21},
  [1504] = {.lex_state = 60, .external_lex_state = 15},
  [1505] = {.lex_state = 71, .external_lex_state = 21},
  [1506] = {.lex_state = 60, .external_lex_state = 15},
  [1507] = {.lex_state = 59, .external_lex_state = 11},
  [1508] = {.lex_state = 71, .external_lex_state = 13},
  [1509] = {.lex_state = 71, .external_lex_state = 21},
  [1510] = {.lex_state = 62, .external_lex_state = 24},
  [1511] = {.lex_state = 71, .external_lex_state = 25},
  [1512] = {.lex_state = 71, .external_lex_state = 16},
  [1513] = {.lex_state = 71, .external_lex_state = 16},
  [1514] = {.lex_state = 71, .external_lex_state = 21},
  [1515] = {.lex_state = 71, .external_lex_state = 18},
  [1516] = {.lex_state = 71, .external_lex_state = 21},
  [1517] = {.lex_state = 71, .external_lex_state = 14},
  [1518] = {.lex_state = 66, .external_lex_state = 15},
  [1519] = {.lex_state = 59, .external_lex_state = 11},
  [1520] = {.lex_state = 59, .external_lex_state = 11},
  [1521] = {.lex_state = 71, .external_lex_state = 19},
  [1522] = {.lex_state = 66, .external_lex_state = 15},
  [1523] = {.lex_state = 59, .external_lex_state = 11},
  [1524] = {.lex_state = 71, .external_lex_state = 19},
  [1525] = {.lex_state = 71, .external_lex_state = 13},
  [1526] = {.lex_state = 61, .external_lex_state = 15},
  [1527] = {.lex_state = 59, .external_lex_state = 15},
  [1528] = {.lex_state = 62, .external_lex_state = 12},
  [1529] = {.lex_state = 71, .external_lex_state = 25},
  [1530] = {.lex_state = 62, .external_lex_state = 12},
  [1531] = {.lex_state = 66, .external_lex_state = 15},
  [1532] = {.lex_state = 71, .external_lex_state = 25},
  [1533] = {.lex_state = 66, .external_lex_state = 12},
  [1534] = {.lex_state = 71, .external_lex_state = 25},
  [1535] = {.lex_state = 66, .external_lex_state = 13},
  [1536] = {.lex_state = 60, .external_lex_state = 27},
  [1537] = {.lex_state = 71, .external_lex_state = 25},
  [1538] = {.lex_state = 71, .external_lex_state = 25},
  [1539] = {.lex_state = 71, .external_lex_state = 25},
  [1540] = {.lex_state = 71, .external_lex_state = 25},
  [1541] = {.lex_state = 59, .external_lex_state = 12},
  [1542] = {.lex_state = 71, .external_lex_state = 25},
  [1543] = {.lex_state = 59, .external_lex_state = 12},
  [1544] = {.lex_state = 60, .external_lex_state = 15},
  [1545] = {.lex_state = 62, .external_lex_state = 12},
  [1546] = {.lex_state = 71, .external_lex_state = 25},
  [1547] = {.lex_state = 60, .external_lex_state = 15},
  [1548] = {.lex_state = 59, .external_lex_state = 12},
  [1549] = {.lex_state = 60, .external_lex_state = 15},
  [1550] = {.lex_state = 66, .external_lex_state = 15},
  [1551] = {.lex_state = 60, .external_lex_state = 15},
  [1552] = {.lex_state = 60, .external_lex_state = 17},
  [1553] = {.lex_state = 59, .external_lex_state = 21},
  [1554] = {.lex_state = 60, .external_lex_state = 15},
  [1555] = {.lex_state = 71, .external_lex_state = 25},
  [1556] = {.lex_state = 71, .external_lex_state = 18},
  [1557] = {.lex_state = 65, .external_lex_state = 15},
  [1558] = {.lex_state = 65, .external_lex_state = 17},
  [1559] = {.lex_state = 60, .external_lex_state = 17},
  [1560] = {.lex_state = 65, .external_lex_state = 22},
  [1561] = {.lex_state = 60, .external_lex_state = 17},
  [1562] = {.lex_state = 61, .external_lex_state = 15},
  [1563] = {.lex_state = 71, .external_lex_state = 19},
  [1564] = {.lex_state = 60, .external_lex_state = 17},
  [1565] = {.lex_state = 59, .external_lex_state = 17},
  [1566] = {.lex_state = 59, .external_lex_state = 12},
  [1567] = {.lex_state = 71, .external_lex_state = 14},
  [1568] = {.lex_state = 71, .external_lex_state = 19},
  [1569] = {.lex_state = 65, .external_lex_state = 15},
  [1570] = {.lex_state = 59, .external_lex_state = 15},
  [1571] = {.lex_state = 71, .external_lex_state = 19},
  [1572] = {.lex_state = 60, .external_lex_state = 17},
  [1573] = {.lex_state = 71, .external_lex_state = 19},
  [1574] = {.lex_state = 71, .external_lex_state = 18},
  [1575] = {.lex_state = 71, .external_lex_state = 21},
  [1576] = {.lex_state = 71, .external_lex_state = 25},
  [1577] = {.lex_state = 71, .external_lex_state = 25},
  [1578] = {.lex_state = 71, .external_lex_state = 25},
  [1579] = {.lex_state = 65, .external_lex_state = 12},
  [1580] = {.lex_state = 62, .external_lex_state = 24},
  [1581] = {.lex_state = 65, .external_lex_state = 12},
  [1582] = {.lex_state = 65, .external_lex_state = 12},
  [1583] = {.lex_state = 71, .external_lex_state = 25},
  [1584] = {.lex_state = 65, .external_lex_state = 17},
  [1585] = {.lex_state = 71, .external_lex_state = 25},
  [1586] = {.lex_state = 71, .external_lex_state = 10},
  [1587] = {.lex_state = 71, .external_lex_state = 25},
  [1588] = {.lex_state = 66, .external_lex_state = 13},
  [1589] = {.lex_state = 60, .external_lex_state = 17},
  [1590] = {.lex_state = 59, .external_lex_state = 25},
  [1591] = {.lex_state = 65, .external_lex_state = 13},
  [1592] = {.lex_state = 71, .external_lex_state = 13},
  [1593] = {.lex_state = 71, .external_lex_state = 25},
  [1594] = {.lex_state = 71, .external_lex_state = 25},
  [1595] = {.lex_state = 65, .external_lex_state = 20},
  [1596] = {.lex_state = 71, .external_lex_state = 25},
  [1597] = {.lex_state = 60, .external_lex_state = 15},
  [1598] = {.lex_state = 60, .external_lex_state = 15},
  [1599] = {.lex_state = 59, .external_lex_state = 15},
  [1600] = {.lex_state = 66, .external_lex_state = 22},
  [1601] = {.lex_state = 65, .external_lex_state = 20},
  [1602] = {.lex_state = 71, .external_lex_state = 19},
  [1603] = {.lex_state = 65, .external_lex_state = 17},
  [1604] = {.lex_state = 71, .external_lex_state = 19},
  [1605] = {.lex_state = 59, .external_lex_state = 17},
  [1606] = {.lex_state = 65, .external_lex_state = 15},
  [1607] = {.lex_state = 59, .external_lex_state = 17},
  [1608] = {.lex_state = 65, .external_lex_state = 17},
  [1609] = {.lex_state = 71, .external_lex_state = 25},
  [1610] = {.lex_state = 71, .external_lex_state = 19},
  [1611] = {.lex_state = 71, .external_lex_state = 19},
  [1612] = {.lex_state = 60, .external_lex_state = 17},
  [1613] = {.lex_state = 71, .external_lex_state = 26},
  [1614] = {.lex_state = 71, .external_lex_state = 19},
  [1615] = {.lex_state = 71, .external_lex_state = 19},
  [1616] = {.lex_state = 66, .external_lex_state = 22},
  [1617] = {.lex_state = 71, .external_lex_state = 19},
  [1618] = {.lex_state = 71, .external_lex_state = 25},
  [1619] = {.lex_state = 71, .external_lex_state = 25},
  [1620] = {.lex_state = 66, .external_lex_state = 22},
  [1621] = {.lex_state = 60, .external_lex_state = 17},
  [1622] = {.lex_state = 71, .external_lex_state = 21},
  [1623] = {.lex_state = 71, .external_lex_state = 26},
  [1624] = {.lex_state = 71, .external_lex_state = 13},
  [1625] = {.lex_state = 61, .external_lex_state = 22},
  [1626] = {.lex_state = 71, .external_lex_state = 13},
  [1627] = {.lex_state = 71, .external_lex_state = 13},
  [1628] = {.lex_state = 61, .external_lex_state = 22},
  [1629] = {.lex_state = 61, .external_lex_state = 22},
  [1630] = {.lex_state = 71, .external_lex_state = 13},
  [1631] = {.lex_state = 61, .external_lex_state = 22},
  [1632] = {.lex_state = 71, .external_lex_state = 26},
  [1633] = {.lex_state = 71, .external_lex_state = 10},
  [1634] = {.lex_state = 71, .external_lex_state = 10},
  [1635] = {.lex_state = 71, .external_lex_state = 19},
  [1636] = {.lex_state = 61, .external_lex_state = 22},
  [1637] = {.lex_state = 61, .external_lex_state = 22},
  [1638] = {.lex_state = 71, .external_lex_state = 13},
  [1639] = {.lex_state = 65, .external_lex_state = 22},
  [1640] = {.lex_state = 65, .external_lex_state = 20},
  [1641] = {.lex_state = 65, .external_lex_state = 24},
  [1642] = {.lex_state = 71, .external_lex_state = 13},
  [1643] = {.lex_state = 65, .external_lex_state = 17},
  [1644] = {.lex_state = 71, .external_lex_state = 25},
  [1645] = {.lex_state = 71, .external_lex_state = 10},
  [1646] = {.lex_state = 62, .external_lex_state = 17},
  [1647] = {.lex_state = 71, .external_lex_state = 13},
  [1648] = {.lex_state = 71, .external_lex_state = 13},
  [1649] = {.lex_state = 71, .external_lex_state = 13},
  [1650] = {.lex_state = 62, .external_lex_state = 17},
  [1651] = {.lex_state = 71, .external_lex_state = 13},
  [1652] = {.lex_state = 65, .external_lex_state = 22},
  [1653] = {.lex_state = 61, .external_lex_state = 22},
  [1654] = {.lex_state = 71, .external_lex_state = 13},
  [1655] = {.lex_state = 62, .external_lex_state = 17},
  [1656] = {.lex_state = 71, .external_lex_state = 10},
  [1657] = {.lex_state = 65, .external_lex_state = 20},
  [1658] = {.lex_state = 71, .external_lex_state = 13},
  [1659] = {.lex_state = 65, .external_lex_state = 20},
  [1660] = {.lex_state = 66, .external_lex_state = 22},
  [1661] = {.lex_state = 59, .external_lex_state = 15},
  [1662] = {.lex_state = 71, .external_lex_state = 13},
  [1663] = {.lex_state = 59, .external_lex_state = 13},
  [1664] = {.lex_state = 61, .external_lex_state = 22},
  [1665] = {.lex_state = 71, .external_lex_state = 23},
  [1666] = {.lex_state = 71, .external_lex_state = 10},
  [1667] = {.lex_state = 71, .external_lex_state = 13},
  [1668] = {.lex_state = 62, .external_lex_state = 15},
  [1669] = {.lex_state = 65, .external_lex_state = 17},
  [1670] = {.lex_state = 60, .external_lex_state = 22},
  [1671] = {.lex_state = 71, .external_lex_state = 13},
  [1672] = {.lex_state = 71, .external_lex_state = 23},
  [1673] = {.lex_state = 62, .external_lex_state = 27},
  [1674] = {.lex_state = 60, .external_lex_state = 22},
  [1675] = {.lex_state = 65, .external_lex_state = 17},
  [1676] = {.lex_state = 71, .external_lex_state = 13},
  [1677] = {.lex_state = 65, .external_lex_state = 17},
  [1678] = {.lex_state = 71, .external_lex_state = 26},
  [1679] = {.lex_state = 62, .external_lex_state = 17},
  [1680] = {.lex_state = 66, .external_lex_state = 16},
  [1681] = {.lex_state = 71, .external_lex_state = 26},
  [1682] = {.lex_state = 65, .external_lex_state = 20},
  [1683] = {.lex_state = 71, .external_lex_state = 13},
  [1684] = {.lex_state = 71, .external_lex_state = 13},
  [1685] = {.lex_state = 71, .external_lex_state = 26},
  [1686] = {.lex_state = 71, .external_lex_state = 26},
  [1687] = {.lex_state = 60, .external_lex_state = 22},
  [1688] = {.lex_state = 59, .external_lex_state = 15},
  [1689] = {.lex_state = 60, .external_lex_state = 22},
  [1690] = {.lex_state = 71, .external_lex_state = 26},
  [1691] = {.lex_state = 71, .external_lex_state = 13},
  [1692] = {.lex_state = 71, .external_lex_state = 13},
  [1693] = {.lex_state = 71, .external_lex_state = 19},
  [1694] = {.lex_state = 71, .external_lex_state = 26},
  [1695] = {.lex_state = 71, .external_lex_state = 19},
  [1696] = {.lex_state = 71, .external_lex_state = 26},
  [1697] = {.lex_state = 71, .external_lex_state = 10},
  [1698] = {.lex_state = 59, .external_lex_state = 15},
  [1699] = {.lex_state = 71, .external_lex_state = 26},
  [1700] = {.lex_state = 70, .external_lex_state = 13},
  [1701] = {.lex_state = 71, .external_lex_state = 13},
  [1702] = {.lex_state = 70, .external_lex_state = 13},
  [1703] = {.lex_state = 71, .external_lex_state = 13},
  [1704] = {.lex_state = 71, .external_lex_state = 13},
  [1705] = {.lex_state = 71, .external_lex_state = 13},
  [1706] = {.lex_state = 59, .external_lex_state = 20},
  [1707] = {.lex_state = 71, .external_lex_state = 26},
  [1708] = {.lex_state = 71, .external_lex_state = 13},
  [1709] = {.lex_state = 62, .external_lex_state = 17},
  [1710] = {.lex_state = 71, .external_lex_state = 26},
  [1711] = {.lex_state = 71, .external_lex_state = 26},
  [1712] = {.lex_state = 71, .external_lex_state = 26},
  [1713] = {.lex_state = 71, .external_lex_state = 26},
  [1714] = {.lex_state = 71, .external_lex_state = 13},
  [1715] = {.lex_state = 71, .external_lex_state = 14},
  [1716] = {.lex_state = 71, .external_lex_state = 26},
  [1717] = {.lex_state = 71, .external_lex_state = 26},
  [1718] = {.lex_state = 62, .external_lex_state = 15},
  [1719] = {.lex_state = 65, .external_lex_state = 15},
  [1720] = {.lex_state = 71, .external_lex_state = 25},
  [1721] = {.lex_state = 69, .external_lex_state = 13},
  [1722] = {.lex_state = 65, .external_lex_state = 24},
  [1723] = {.lex_state = 71, .external_lex_state = 18},
  [1724] = {.lex_state = 71, .external_lex_state = 26},
  [1725] = {.lex_state = 71, .external_lex_state = 13},
  [1726] = {.lex_state = 71, .external_lex_state = 25},
  [1727] = {.lex_state = 71, .external_lex_state = 13},
  [1728] = {.lex_state = 71, .external_lex_state = 25},
  [1729] = {.lex_state = 71, .external_lex_state = 26},
  [1730] = {.lex_state = 71, .external_lex_state = 25},
  [1731] = {.lex_state = 71, .external_lex_state = 26},
  [1732] = {.lex_state = 60, .external_lex_state = 20},
  [1733] = {.lex_state = 65, .external_lex_state = 22},
  [1734] = {.lex_state = 59, .external_lex_state = 20},
  [1735] = {.lex_state = 71, .external_lex_state = 18},
  [1736] = {.lex_state = 62, .external_lex_state = 15},
  [1737] = {.lex_state = 71, .external_lex_state = 13},
  [1738] = {.lex_state = 71, .external_lex_state = 13},
  [1739] = {.lex_state = 71, .external_lex_state = 13},
  [1740] = {.lex_state = 71, .external_lex_state = 25},
  [1741] = {.lex_state = 62, .external_lex_state = 15},
  [1742] = {.lex_state = 62, .external_lex_state = 17},
  [1743] = {.lex_state = 60, .external_lex_state = 20},
  [1744] = {.lex_state = 71, .external_lex_state = 26},
  [1745] = {.lex_state = 71, .external_lex_state = 26},
  [1746] = {.lex_state = 71, .external_lex_state = 26},
  [1747] = {.lex_state = 71, .external_lex_state = 13},
  [1748] = {.lex_state = 71, .external_lex_state = 16},
  [1749] = {.lex_state = 59, .external_lex_state = 20},
  [1750] = {.lex_state = 71, .external_lex_state = 13},
  [1751] = {.lex_state = 71, .external_lex_state = 18},
  [1752] = {.lex_state = 60, .external_lex_state = 20},
  [1753] = {.lex_state = 71, .external_lex_state = 13},
  [1754] = {.lex_state = 69, .external_lex_state = 13},
  [1755] = {.lex_state = 59, .external_lex_state = 12},
  [1756] = {.lex_state = 71, .external_lex_state = 26},
  [1757] = {.lex_state = 59, .external_lex_state = 17},
  [1758] = {.lex_state = 71, .external_lex_state = 13},
  [1759] = {.lex_state = 66, .external_lex_state = 22},
  [1760] = {.lex_state = 71, .external_lex_state = 26},
  [1761] = {.lex_state = 62, .external_lex_state = 15},
  [1762] = {.lex_state = 60, .external_lex_state = 20},
  [1763] = {.lex_state = 66, .external_lex_state = 16},
  [1764] = {.lex_state = 71, .external_lex_state = 26},
  [1765] = {.lex_state = 66, .external_lex_state = 22},
  [1766] = {.lex_state = 62, .external_lex_state = 15},
  [1767] = {.lex_state = 62, .external_lex_state = 15},
  [1768] = {.lex_state = 66, .external_lex_state = 15},
  [1769] = {.lex_state = 71, .external_lex_state = 26},
  [1770] = {.lex_state = 71, .external_lex_state = 13},
  [1771] = {.lex_state = 59, .external_lex_state = 17},
  [1772] = {.lex_state = 59, .external_lex_state = 15},
  [1773] = {.lex_state = 71, .external_lex_state = 10},
  [1774] = {.lex_state = 71, .external_lex_state = 13},
  [1775] = {.lex_state = 71, .external_lex_state = 26},
  [1776] = {.lex_state = 65, .external_lex_state = 24},
  [1777] = {.lex_state = 66, .external_lex_state = 15},
  [1778] = {.lex_state = 71, .external_lex_state = 13},
  [1779] = {.lex_state = 66, .external_lex_state = 15},
  [1780] = {.lex_state = 59, .external_lex_state = 13},
  [1781] = {.lex_state = 71, .external_lex_state = 23},
  [1782] = {.lex_state = 71, .external_lex_state = 26},
  [1783] = {.lex_state = 71, .external_lex_state = 13},
  [1784] = {.lex_state = 62, .external_lex_state = 17},
  [1785] = {.lex_state = 61, .external_lex_state = 22},
  [1786] = {.lex_state = 59, .external_lex_state = 13},
  [1787] = {.lex_state = 71, .external_lex_state = 16},
  [1788] = {.lex_state = 62, .external_lex_state = 17},
  [1789] = {.lex_state = 62, .external_lex_state = 17},
  [1790] = {.lex_state = 71, .external_lex_state = 10},
  [1791] = {.lex_state = 59, .external_lex_state = 22},
  [1792] = {.lex_state = 71, .external_lex_state = 18},
  [1793] = {.lex_state = 71, .external_lex_state = 26},
  [1794] = {.lex_state = 59, .external_lex_state = 23},
  [1795] = {.lex_state = 71, .external_lex_state = 13},
  [1796] = {.lex_state = 71, .external_lex_state = 26},
  [1797] = {.lex_state = 71, .external_lex_state = 13},
  [1798] = {.lex_state = 71, .external_lex_state = 13},
  [1799] = {.lex_state = 59, .external_lex_state = 17},
  [1800] = {.lex_state = 71, .external_lex_state = 13},
  [1801] = {.lex_state = 71, .external_lex_state = 16},
  [1802] = {.lex_state = 66, .external_lex_state = 22},
  [1803] = {.lex_state = 66, .external_lex_state = 15},
  [1804] = {.lex_state = 59, .external_lex_state = 22},
  [1805] = {.lex_state = 60, .external_lex_state = 22},
  [1806] = {.lex_state = 62, .external_lex_state = 27},
  [1807] = {.lex_state = 71, .external_lex_state = 13},
  [1808] = {.lex_state = 71, .external_lex_state = 13},
  [1809] = {.lex_state = 60, .external_lex_state = 20},
  [1810] = {.lex_state = 71, .external_lex_state = 26},
  [1811] = {.lex_state = 71, .external_lex_state = 13},
  [1812] = {.lex_state = 71, .external_lex_state = 13},
  [1813] = {.lex_state = 59, .external_lex_state = 26},
  [1814] = {.lex_state = 71, .external_lex_state = 26},
  [1815] = {.lex_state = 71, .external_lex_state = 23},
  [1816] = {.lex_state = 71, .external_lex_state = 13},
  [1817] = {.lex_state = 65, .external_lex_state = 22},
  [1818] = {.lex_state = 71, .external_lex_state = 16},
  [1819] = {.lex_state = 71, .external_lex_state = 26},
  [1820] = {.lex_state = 71, .external_lex_state = 23},
  [1821] = {.lex_state = 59, .external_lex_state = 22},
  [1822] = {.lex_state = 60, .external_lex_state = 20},
  [1823] = {.lex_state = 60, .external_lex_state = 20},
  [1824] = {.lex_state = 60, .external_lex_state = 22},
  [1825] = {.lex_state = 59, .external_lex_state = 17},
  [1826] = {.lex_state = 71, .external_lex_state = 26},
  [1827] = {.lex_state = 71, .external_lex_state = 13},
  [1828] = {.lex_state = 71, .external_lex_state = 13},
  [1829] = {.lex_state = 70, .external_lex_state = 13},
  [1830] = {.lex_state = 71, .external_lex_state = 26},
  [1831] = {.lex_state = 71, .external_lex_state = 13},
  [1832] = {.lex_state = 71, .external_lex_state = 26},
  [1833] = {.lex_state = 62, .external_lex_state = 15},
  [1834] = {.lex_state = 71, .external_lex_state = 13},
  [1835] = {.lex_state = 71, .external_lex_state = 13},
  [1836] = {.lex_state = 59, .external_lex_state = 20},
  [1837] = {.lex_state = 60, .external_lex_state = 22},
  [1838] = {.lex_state = 71, .external_lex_state = 26},
  [1839] = {.lex_state = 71, .external_lex_state = 26},
  [1840] = {.lex_state = 71, .external_lex_state = 13},
  [1841] = {.lex_state = 71, .external_lex_state = 23},
  [1842] = {.lex_state = 71, .external_lex_state = 26},
  [1843] = {.lex_state = 71, .external_lex_state = 23},
  [1844] = {.lex_state = 71, .external_lex_state = 26},
  [1845] = {.lex_state = 71, .external_lex_state = 13},
  [1846] = {.lex_state = 65, .external_lex_state = 15},
  [1847] = {.lex_state = 71, .external_lex_state = 13},
  [1848] = {.lex_state = 65, .external_lex_state = 15},
  [1849] = {.lex_state = 65, .external_lex_state = 16},
  [1850] = {.lex_state = 60, .external_lex_state = 20},
  [1851] = {.lex_state = 71, .external_lex_state = 26},
  [1852] = {.lex_state = 71, .external_lex_state = 13},
  [1853] = {.lex_state = 65, .external_lex_state = 15},
  [1854] = {.lex_state = 59, .external_lex_state = 12},
  [1855] = {.lex_state = 71, .external_lex_state = 26},
  [1856] = {.lex_state = 59, .external_lex_state = 12},
  [1857] = {.lex_state = 59, .external_lex_state = 12},
  [1858] = {.lex_state = 65, .external_lex_state = 16},
  [1859] = {.lex_state = 71, .external_lex_state = 13},
  [1860] = {.lex_state = 71, .external_lex_state = 13},
  [1861] = {.lex_state = 71, .external_lex_state = 13},
  [1862] = {.lex_state = 65, .external_lex_state = 24},
  [1863] = {.lex_state = 59, .external_lex_state = 22},
  [1864] = {.lex_state = 71, .external_lex_state = 25},
  [1865] = {.lex_state = 71, .external_lex_state = 25},
  [1866] = {.lex_state = 60, .external_lex_state = 20},
  [1867] = {.lex_state = 71, .external_lex_state = 13},
  [1868] = {.lex_state = 71, .external_lex_state = 18},
  [1869] = {.lex_state = 71, .external_lex_state = 13},
  [1870] = {.lex_state = 71, .external_lex_state = 25},
  [1871] = {.lex_state = 60, .external_lex_state = 22},
  [1872] = {.lex_state = 62, .external_lex_state = 15},
  [1873] = {.lex_state = 60, .external_lex_state = 22},
  [1874] = {.lex_state = 71, .external_lex_state = 23},
  [1875] = {.lex_state = 71, .external_lex_state = 13},
  [1876] = {.lex_state = 71, .external_lex_state = 23},
  [1877] = {.lex_state = 71, .external_lex_state = 13},
  [1878] = {.lex_state = 71, .external_lex_state = 23},
  [1879] = {.lex_state = 71, .external_lex_state = 23},
  [1880] = {.lex_state = 71, .external_lex_state = 13},
  [1881] = {.lex_state = 59, .external_lex_state = 20},
  [1882] = {.lex_state = 71, .external_lex_state = 13},
  [1883] = {.lex_state = 60, .external_lex_state = 24},
  [1884] = {.lex_state = 71, .external_lex_state = 13},
  [1885] = {.lex_state = 71, .external_lex_state = 16},
  [1886] = {.lex_state = 71, .external_lex_state = 16},
  [1887] = {.lex_state = 71, .external_lex_state = 16},
  [1888] = {.lex_state = 71, .external_lex_state = 13},
  [1889] = {.lex_state = 71, .external_lex_state = 16},
  [1890] = {.lex_state = 71, .external_lex_state = 16},
  [1891] = {.lex_state = 71, .external_lex_state = 14},
  [1892] = {.lex_state = 71, .external_lex_state = 13},
  [1893] = {.lex_state = 71, .external_lex_state = 26},
  [1894] = {.lex_state = 59, .external_lex_state = 20},
  [1895] = {.lex_state = 71, .external_lex_state = 16},
  [1896] = {.lex_state = 71, .external_lex_state = 16},
  [1897] = {.lex_state = 71, .external_lex_state = 16},
  [1898] = {.lex_state = 71, .external_lex_state = 16},
  [1899] = {.lex_state = 71, .external_lex_state = 13},
  [1900] = {.lex_state = 59, .external_lex_state = 24},
  [1901] = {.lex_state = 69, .external_lex_state = 16},
  [1902] = {.lex_state = 62, .external_lex_state = 22},
  [1903] = {.lex_state = 71, .external_lex_state = 13},
  [1904] = {.lex_state = 71, .external_lex_state = 16},
  [1905] = {.lex_state = 59, .external_lex_state = 22},
  [1906] = {.lex_state = 71, .external_lex_state = 13},
  [1907] = {.lex_state = 71, .external_lex_state = 16},
  [1908] = {.lex_state = 60, .external_lex_state = 24},
  [1909] = {.lex_state = 71, .external_lex_state = 16},
  [1910] = {.lex_state = 71, .external_lex_state = 16},
  [1911] = {.lex_state = 71, .external_lex_state = 13},
  [1912] = {.lex_state = 71, .external_lex_state = 13},
  [1913] = {.lex_state = 65, .external_lex_state = 25},
  [1914] = {.lex_state = 59, .external_lex_state = 22},
  [1915] = {.lex_state = 71, .external_lex_state = 13},
  [1916] = {.lex_state = 62, .external_lex_state = 20},
  [1917] = {.lex_state = 71, .external_lex_state = 16},
  [1918] = {.lex_state = 59, .external_lex_state = 22},
  [1919] = {.lex_state = 59, .external_lex_state = 17},
  [1920] = {.lex_state = 65, .external_lex_state = 27},
  [1921] = {.lex_state = 59, .external_lex_state = 17},
  [1922] = {.lex_state = 59, .external_lex_state = 17},
  [1923] = {.lex_state = 71, .external_lex_state = 13},
  [1924] = {.lex_state = 71, .external_lex_state = 13},
  [1925] = {.lex_state = 59, .external_lex_state = 24},
  [1926] = {.lex_state = 71, .external_lex_state = 16},
  [1927] = {.lex_state = 71, .external_lex_state = 16},
  [1928] = {.lex_state = 71, .external_lex_state = 13},
  [1929] = {.lex_state = 62, .external_lex_state = 22},
  [1930] = {.lex_state = 71, .external_lex_state = 13},
  [1931] = {.lex_state = 71, .external_lex_state = 13},
  [1932] = {.lex_state = 71, .external_lex_state = 13},
  [1933] = {.lex_state = 71, .external_lex_state = 13},
  [1934] = {.lex_state = 71, .external_lex_state = 13},
  [1935] = {.lex_state = 71, .external_lex_state = 16},
  [1936] = {.lex_state = 59, .external_lex_state = 15},
  [1937] = {.lex_state = 59, .external_lex_state = 20},
  [1938] = {.lex_state = 71, .external_lex_state = 16},
  [1939] = {.lex_state = 71, .external_lex_state = 13},
  [1940] = {.lex_state = 71, .external_lex_state = 13},
  [1941] = {.lex_state = 60, .external_lex_state = 24},
  [1942] = {.lex_state = 71, .external_lex_state = 16},
  [1943] = {.lex_state = 71, .external_lex_state = 28},
  [1944] = {.lex_state = 62, .external_lex_state = 20},
  [1945] = {.lex_state = 71, .external_lex_state = 13},
  [1946] = {.lex_state = 71, .external_lex_state = 16},
  [1947] = {.lex_state = 71, .external_lex_state = 16},
  [1948] = {.lex_state = 71, .external_lex_state = 13},
  [1949] = {.lex_state = 71, .external_lex_state = 14},
  [1950] = {.lex_state = 59, .external_lex_state = 15},
  [1951] = {.lex_state = 59, .external_lex_state = 22},
  [1952] = {.lex_state = 71, .external_lex_state = 13},
  [1953] = {.lex_state = 71, .external_lex_state = 16},
  [1954] = {.lex_state = 59, .external_lex_state = 15},
  [1955] = {.lex_state = 71, .external_lex_state = 13},
  [1956] = {.lex_state = 71, .external_lex_state = 16},
  [1957] = {.lex_state = 62, .external_lex_state = 22},
  [1958] = {.lex_state = 71, .external_lex_state = 16},
  [1959] = {.lex_state = 71, .external_lex_state = 16},
  [1960] = {.lex_state = 71, .external_lex_state = 13},
  [1961] = {.lex_state = 71, .external_lex_state = 16},
  [1962] = {.lex_state = 62, .external_lex_state = 22},
  [1963] = {.lex_state = 60, .external_lex_state = 24},
  [1964] = {.lex_state = 71, .external_lex_state = 14},
  [1965] = {.lex_state = 71, .external_lex_state = 16},
  [1966] = {.lex_state = 71, .external_lex_state = 16},
  [1967] = {.lex_state = 71, .external_lex_state = 13},
  [1968] = {.lex_state = 71, .external_lex_state = 13},
  [1969] = {.lex_state = 71, .external_lex_state = 16},
  [1970] = {.lex_state = 71, .external_lex_state = 16},
  [1971] = {.lex_state = 71, .external_lex_state = 16},
  [1972] = {.lex_state = 71, .external_lex_state = 16},
  [1973] = {.lex_state = 71, .external_lex_state = 16},
  [1974] = {.lex_state = 71, .external_lex_state = 16},
  [1975] = {.lex_state = 71, .external_lex_state = 13},
  [1976] = {.lex_state = 71, .external_lex_state = 16},
  [1977] = {.lex_state = 62, .external_lex_state = 22},
  [1978] = {.lex_state = 71, .external_lex_state = 16},
  [1979] = {.lex_state = 71, .external_lex_state = 16},
  [1980] = {.lex_state = 59, .external_lex_state = 24},
  [1981] = {.lex_state = 65, .external_lex_state = 27},
  [1982] = {.lex_state = 71, .external_lex_state = 26},
  [1983] = {.lex_state = 60, .external_lex_state = 24},
  [1984] = {.lex_state = 62, .external_lex_state = 22},
  [1985] = {.lex_state = 71, .external_lex_state = 26},
  [1986] = {.lex_state = 71, .external_lex_state = 16},
  [1987] = {.lex_state = 65, .external_lex_state = 24},
  [1988] = {.lex_state = 71, .external_lex_state = 16},
  [1989] = {.lex_state = 71, .external_lex_state = 19},
  [1990] = {.lex_state = 71, .external_lex_state = 16},
  [1991] = {.lex_state = 71, .external_lex_state = 13},
  [1992] = {.lex_state = 59, .external_lex_state = 28},
  [1993] = {.lex_state = 71, .external_lex_state = 13},
  [1994] = {.lex_state = 71, .external_lex_state = 26},
  [1995] = {.lex_state = 71, .external_lex_state = 13},
  [1996] = {.lex_state = 71, .external_lex_state = 13},
  [1997] = {.lex_state = 71, .external_lex_state = 13},
  [1998] = {.lex_state = 71, .external_lex_state = 16},
  [1999] = {.lex_state = 60, .external_lex_state = 24},
  [2000] = {.lex_state = 66, .external_lex_state = 22},
  [2001] = {.lex_state = 66, .external_lex_state = 22},
  [2002] = {.lex_state = 71, .external_lex_state = 13},
  [2003] = {.lex_state = 71, .external_lex_state = 16},
  [2004] = {.lex_state = 71, .external_lex_state = 13},
  [2005] = {.lex_state = 71, .external_lex_state = 16},
  [2006] = {.lex_state = 71, .external_lex_state = 16},
  [2007] = {.lex_state = 71, .external_lex_state = 14},
  [2008] = {.lex_state = 65, .external_lex_state = 24},
  [2009] = {.lex_state = 60, .external_lex_state = 24},
  [2010] = {.lex_state = 65, .external_lex_state = 27},
  [2011] = {.lex_state = 66, .external_lex_state = 22},
  [2012] = {.lex_state = 71, .external_lex_state = 16},
  [2013] = {.lex_state = 66, .external_lex_state = 22},
  [2014] = {.lex_state = 59, .external_lex_state = 16},
  [2015] = {.lex_state = 71, .external_lex_state = 16},
  [2016] = {.lex_state = 71, .external_lex_state = 16},
  [2017] = {.lex_state = 71, .external_lex_state = 16},
  [2018] = {.lex_state = 62, .external_lex_state = 20},
  [2019] = {.lex_state = 65, .external_lex_state = 24},
  [2020] = {.lex_state = 71, .external_lex_state = 16},
  [2021] = {.lex_state = 71, .external_lex_state = 16},
  [2022] = {.lex_state = 71, .external_lex_state = 16},
  [2023] = {.lex_state = 62, .external_lex_state = 20},
  [2024] = {.lex_state = 71, .external_lex_state = 16},
  [2025] = {.lex_state = 71, .external_lex_state = 16},
  [2026] = {.lex_state = 71, .external_lex_state = 13},
  [2027] = {.lex_state = 71, .external_lex_state = 13},
  [2028] = {.lex_state = 71, .external_lex_state = 16},
  [2029] = {.lex_state = 71, .external_lex_state = 13},
  [2030] = {.lex_state = 62, .external_lex_state = 20},
  [2031] = {.lex_state = 71, .external_lex_state = 13},
  [2032] = {.lex_state = 62, .external_lex_state = 20},
  [2033] = {.lex_state = 71, .external_lex_state = 13},
  [2034] = {.lex_state = 71, .external_lex_state = 13},
  [2035] = {.lex_state = 59, .external_lex_state = 20},
  [2036] = {.lex_state = 62, .external_lex_state = 20},
  [2037] = {.lex_state = 71, .external_lex_state = 16},
  [2038] = {.lex_state = 65, .external_lex_state = 25},
  [2039] = {.lex_state = 71, .external_lex_state = 13},
  [2040] = {.lex_state = 71, .external_lex_state = 16},
  [2041] = {.lex_state = 71, .external_lex_state = 16},
  [2042] = {.lex_state = 71, .external_lex_state = 16},
  [2043] = {.lex_state = 71, .external_lex_state = 16},
  [2044] = {.lex_state = 71, .external_lex_state = 13},
  [2045] = {.lex_state = 71, .external_lex_state = 16},
  [2046] = {.lex_state = 71, .external_lex_state = 28},
  [2047] = {.lex_state = 59, .external_lex_state = 24},
  [2048] = {.lex_state = 71, .external_lex_state = 13},
  [2049] = {.lex_state = 71, .external_lex_state = 16},
  [2050] = {.lex_state = 71, .external_lex_state = 13},
  [2051] = {.lex_state = 71, .external_lex_state = 13},
  [2052] = {.lex_state = 71, .external_lex_state = 13},
  [2053] = {.lex_state = 71, .external_lex_state = 13},
  [2054] = {.lex_state = 71, .external_lex_state = 13},
  [2055] = {.lex_state = 71, .external_lex_state = 13},
  [2056] = {.lex_state = 62, .external_lex_state = 20},
  [2057] = {.lex_state = 65, .external_lex_state = 21},
  [2058] = {.lex_state = 59, .external_lex_state = 16},
  [2059] = {.lex_state = 71, .external_lex_state = 13},
  [2060] = {.lex_state = 71, .external_lex_state = 13},
  [2061] = {.lex_state = 71, .external_lex_state = 13},
  [2062] = {.lex_state = 71, .external_lex_state = 14},
  [2063] = {.lex_state = 71, .external_lex_state = 26},
  [2064] = {.lex_state = 70, .external_lex_state = 16},
  [2065] = {.lex_state = 71, .external_lex_state = 26},
  [2066] = {.lex_state = 71, .external_lex_state = 13},
  [2067] = {.lex_state = 71, .external_lex_state = 25},
  [2068] = {.lex_state = 71, .external_lex_state = 19},
  [2069] = {.lex_state = 71, .external_lex_state = 13},
  [2070] = {.lex_state = 71, .external_lex_state = 13},
  [2071] = {.lex_state = 71, .external_lex_state = 13},
  [2072] = {.lex_state = 71, .external_lex_state = 13},
  [2073] = {.lex_state = 71, .external_lex_state = 25},
  [2074] = {.lex_state = 71, .external_lex_state = 13},
  [2075] = {.lex_state = 71, .external_lex_state = 26},
  [2076] = {.lex_state = 71, .external_lex_state = 13},
  [2077] = {.lex_state = 71, .external_lex_state = 13},
  [2078] = {.lex_state = 71, .external_lex_state = 13},
  [2079] = {.lex_state = 71, .external_lex_state = 13},
  [2080] = {.lex_state = 62, .external_lex_state = 20},
  [2081] = {.lex_state = 71, .external_lex_state = 13},
  [2082] = {.lex_state = 65, .external_lex_state = 22},
  [2083] = {.lex_state = 71, .external_lex_state = 13},
  [2084] = {.lex_state = 65, .external_lex_state = 21},
  [2085] = {.lex_state = 71, .external_lex_state = 13},
  [2086] = {.lex_state = 71, .external_lex_state = 19},
  [2087] = {.lex_state = 71, .external_lex_state = 13},
  [2088] = {.lex_state = 71, .external_lex_state = 13},
  [2089] = {.lex_state = 71, .external_lex_state = 25},
  [2090] = {.lex_state = 71, .external_lex_state = 16},
  [2091] = {.lex_state = 71, .external_lex_state = 13},
  [2092] = {.lex_state = 71, .external_lex_state = 13},
  [2093] = {.lex_state = 71, .external_lex_state = 13},
  [2094] = {.lex_state = 69, .external_lex_state = 16},
  [2095] = {.lex_state = 71, .external_lex_state = 13},
  [2096] = {.lex_state = 71, .external_lex_state = 13},
  [2097] = {.lex_state = 71, .external_lex_state = 13},
  [2098] = {.lex_state = 65, .external_lex_state = 24},
  [2099] = {.lex_state = 71, .external_lex_state = 13},
  [2100] = {.lex_state = 71, .external_lex_state = 13},
  [2101] = {.lex_state = 71, .external_lex_state = 13},
  [2102] = {.lex_state = 65, .external_lex_state = 20},
  [2103] = {.lex_state = 71, .external_lex_state = 13},
  [2104] = {.lex_state = 71, .external_lex_state = 26},
  [2105] = {.lex_state = 71, .external_lex_state = 13},
  [2106] = {.lex_state = 71, .external_lex_state = 13},
  [2107] = {.lex_state = 71, .external_lex_state = 28},
  [2108] = {.lex_state = 71, .external_lex_state = 26},
  [2109] = {.lex_state = 71, .external_lex_state = 13},
  [2110] = {.lex_state = 71, .external_lex_state = 13},
  [2111] = {.lex_state = 71, .external_lex_state = 13},
  [2112] = {.lex_state = 71, .external_lex_state = 13},
  [2113] = {.lex_state = 71, .external_lex_state = 13},
  [2114] = {.lex_state = 71, .external_lex_state = 13},
  [2115] = {.lex_state = 71, .external_lex_state = 13},
  [2116] = {.lex_state = 71, .external_lex_state = 13},
  [2117] = {.lex_state = 71, .external_lex_state = 19},
  [2118] = {.lex_state = 71, .external_lex_state = 13},
  [2119] = {.lex_state = 71, .external_lex_state = 13},
  [2120] = {.lex_state = 59, .external_lex_state = 15},
  [2121] = {.lex_state = 71, .external_lex_state = 28},
  [2122] = {.lex_state = 71, .external_lex_state = 13},
  [2123] = {.lex_state = 71, .external_lex_state = 28},
  [2124] = {.lex_state = 71, .external_lex_state = 13},
  [2125] = {.lex_state = 71, .external_lex_state = 25},
  [2126] = {.lex_state = 71, .external_lex_state = 13},
  [2127] = {.lex_state = 71, .external_lex_state = 13},
  [2128] = {.lex_state = 71, .external_lex_state = 13},
  [2129] = {.lex_state = 71, .external_lex_state = 13},
  [2130] = {.lex_state = 71, .external_lex_state = 13},
  [2131] = {.lex_state = 71, .external_lex_state = 19},
  [2132] = {.lex_state = 71, .external_lex_state = 13},
  [2133] = {.lex_state = 71, .external_lex_state = 13},
  [2134] = {.lex_state = 71, .external_lex_state = 13},
  [2135] = {.lex_state = 71, .external_lex_state = 13},
  [2136] = {.lex_state = 71, .external_lex_state = 13},
  [2137] = {.lex_state = 71, .external_lex_state = 13},
  [2138] = {.lex_state = 71, .external_lex_state = 29},
  [2139] = {.lex_state = 62, .external_lex_state = 22},
  [2140] = {.lex_state = 71, .external_lex_state = 13},
  [2141] = {.lex_state = 71, .external_lex_state = 13},
  [2142] = {.lex_state = 62, .external_lex_state = 22},
  [2143] = {.lex_state = 71, .external_lex_state = 14},
  [2144] = {.lex_state = 70, .external_lex_state = 16},
  [2145] = {.lex_state = 70, .external_lex_state = 16},
  [2146] = {.lex_state = 71, .external_lex_state = 13},
  [2147] = {.lex_state = 71, .external_lex_state = 13},
  [2148] = {.lex_state = 71, .external_lex_state = 13},
  [2149] = {.lex_state = 71, .external_lex_state = 13},
  [2150] = {.lex_state = 71, .external_lex_state = 28},
  [2151] = {.lex_state = 71, .external_lex_state = 13},
  [2152] = {.lex_state = 71, .external_lex_state = 13},
  [2153] = {.lex_state = 71, .external_lex_state = 13},
  [2154] = {.lex_state = 71, .external_lex_state = 16},
  [2155] = {.lex_state = 71, .external_lex_state = 14},
  [2156] = {.lex_state = 65, .external_lex_state = 20},
  [2157] = {.lex_state = 66, .external_lex_state = 25},
  [2158] = {.lex_state = 71, .external_lex_state = 13},
  [2159] = {.lex_state = 60, .external_lex_state = 24},
  [2160] = {.lex_state = 71, .external_lex_state = 13},
  [2161] = {.lex_state = 71, .external_lex_state = 13},
  [2162] = {.lex_state = 71, .external_lex_state = 13},
  [2163] = {.lex_state = 71, .external_lex_state = 13},
  [2164] = {.lex_state = 71, .external_lex_state = 13},
  [2165] = {.lex_state = 71, .external_lex_state = 13},
  [2166] = {.lex_state = 71, .external_lex_state = 13},
  [2167] = {.lex_state = 71, .external_lex_state = 13},
  [2168] = {.lex_state = 71, .external_lex_state = 13},
  [2169] = {.lex_state = 59, .external_lex_state = 17},
  [2170] = {.lex_state = 66, .external_lex_state = 25},
  [2171] = {.lex_state = 71, .external_lex_state = 13},
  [2172] = {.lex_state = 71, .external_lex_state = 13},
  [2173] = {.lex_state = 71, .external_lex_state = 13},
  [2174] = {.lex_state = 65, .external_lex_state = 22},
  [2175] = {.lex_state = 62, .external_lex_state = 22},
  [2176] = {.lex_state = 65, .external_lex_state = 22},
  [2177] = {.lex_state = 65, .external_lex_state = 20},
  [2178] = {.lex_state = 65, .external_lex_state = 20},
  [2179] = {.lex_state = 71, .external_lex_state = 13},
  [2180] = {.lex_state = 71, .external_lex_state = 13},
  [2181] = {.lex_state = 71, .external_lex_state = 13},
  [2182] = {.lex_state = 71, .external_lex_state = 16},
  [2183] = {.lex_state = 71, .external_lex_state = 13},
  [2184] = {.lex_state = 65, .external_lex_state = 22},
  [2185] = {.lex_state = 71, .external_lex_state = 13},
  [2186] = {.lex_state = 71, .external_lex_state = 13},
  [2187] = {.lex_state = 60, .external_lex_state = 24},
  [2188] = {.lex_state = 71, .external_lex_state = 13},
  [2189] = {.lex_state = 71, .external_lex_state = 13},
  [2190] = {.lex_state = 71, .external_lex_state = 13},
  [2191] = {.lex_state = 71, .external_lex_state = 28},
  [2192] = {.lex_state = 71, .external_lex_state = 14},
  [2193] = {.lex_state = 71, .external_lex_state = 28},
  [2194] = {.lex_state = 71, .external_lex_state = 13},
  [2195] = {.lex_state = 71, .external_lex_state = 28},
  [2196] = {.lex_state = 71, .external_lex_state = 18},
  [2197] = {.lex_state = 71, .external_lex_state = 28},
  [2198] = {.lex_state = 71, .external_lex_state = 28},
  [2199] = {.lex_state = 71, .external_lex_state = 28},
  [2200] = {.lex_state = 65, .external_lex_state = 27},
  [2201] = {.lex_state = 71, .external_lex_state = 13},
  [2202] = {.lex_state = 71, .external_lex_state = 28},
  [2203] = {.lex_state = 71, .external_lex_state = 13},
  [2204] = {.lex_state = 71, .external_lex_state = 13},
  [2205] = {.lex_state = 71, .external_lex_state = 13},
  [2206] = {.lex_state = 71, .external_lex_state = 13},
  [2207] = {.lex_state = 71, .external_lex_state = 13},
  [2208] = {.lex_state = 71, .external_lex_state = 13},
  [2209] = {.lex_state = 71, .external_lex_state = 13},
  [2210] = {.lex_state = 71, .external_lex_state = 13},
  [2211] = {.lex_state = 71, .external_lex_state = 13},
  [2212] = {.lex_state = 71, .external_lex_state = 13},
  [2213] = {.lex_state = 71, .external_lex_state = 13},
  [2214] = {.lex_state = 59, .external_lex_state = 16},
  [2215] = {.lex_state = 71, .external_lex_state = 13},
  [2216] = {.lex_state = 71, .external_lex_state = 13},
  [2217] = {.lex_state = 71, .external_lex_state = 13},
  [2218] = {.lex_state = 71, .external_lex_state = 13},
  [2219] = {.lex_state = 71, .external_lex_state = 13},
  [2220] = {.lex_state = 71, .external_lex_state = 13},
  [2221] = {.lex_state = 71, .external_lex_state = 13},
  [2222] = {.lex_state = 71, .external_lex_state = 16},
  [2223] = {.lex_state = 71, .external_lex_state = 16},
  [2224] = {.lex_state = 60, .external_lex_state = 27},
  [2225] = {.lex_state = 71, .external_lex_state = 16},
  [2226] = {.lex_state = 71, .external_lex_state = 16},
  [2227] = {.lex_state = 71, .external_lex_state = 21},
  [2228] = {.lex_state = 59, .external_lex_state = 27},
  [2229] = {.lex_state = 71, .external_lex_state = 18},
  [2230] = {.lex_state = 60, .external_lex_state = 27},
  [2231] = {.lex_state = 71, .external_lex_state = 16},
  [2232] = {.lex_state = 71, .external_lex_state = 16},
  [2233] = {.lex_state = 71},
  [2234] = {.lex_state = 59, .external_lex_state = 20},
  [2235] = {.lex_state = 71},
  [2236] = {.lex_state = 70, .external_lex_state = 25},
  [2237] = {.lex_state = 71},
  [2238] = {.lex_state = 60, .external_lex_state = 27},
  [2239] = {.lex_state = 71, .external_lex_state = 25},
  [2240] = {.lex_state = 71, .external_lex_state = 16},
  [2241] = {.lex_state = 59, .external_lex_state = 27},
  [2242] = {.lex_state = 71, .external_lex_state = 25},
  [2243] = {.lex_state = 71},
  [2244] = {.lex_state = 71, .external_lex_state = 29},
  [2245] = {.lex_state = 71, .external_lex_state = 16},
  [2246] = {.lex_state = 71, .external_lex_state = 25},
  [2247] = {.lex_state = 59, .external_lex_state = 21},
  [2248] = {.lex_state = 71, .external_lex_state = 16},
  [2249] = {.lex_state = 71},
  [2250] = {.lex_state = 71, .external_lex_state = 25},
  [2251] = {.lex_state = 70, .external_lex_state = 25},
  [2252] = {.lex_state = 62, .external_lex_state = 24},
  [2253] = {.lex_state = 59, .external_lex_state = 20},
  [2254] = {.lex_state = 59, .external_lex_state = 20},
  [2255] = {.lex_state = 65, .external_lex_state = 27},
  [2256] = {.lex_state = 71, .external_lex_state = 25},
  [2257] = {.lex_state = 71},
  [2258] = {.lex_state = 65, .external_lex_state = 26},
  [2259] = {.lex_state = 71, .external_lex_state = 25},
  [2260] = {.lex_state = 71},
  [2261] = {.lex_state = 71, .external_lex_state = 18},
  [2262] = {.lex_state = 71, .external_lex_state = 16},
  [2263] = {.lex_state = 71, .external_lex_state = 25},
  [2264] = {.lex_state = 71},
  [2265] = {.lex_state = 65, .external_lex_state = 27},
  [2266] = {.lex_state = 71, .external_lex_state = 25},
  [2267] = {.lex_state = 71, .external_lex_state = 29},
  [2268] = {.lex_state = 71, .external_lex_state = 25},
  [2269] = {.lex_state = 71, .external_lex_state = 25},
  [2270] = {.lex_state = 65, .external_lex_state = 27},
  [2271] = {.lex_state = 71, .external_lex_state = 25},
  [2272] = {.lex_state = 71, .external_lex_state = 25},
  [2273] = {.lex_state = 71, .external_lex_state = 25},
  [2274] = {.lex_state = 65, .external_lex_state = 24},
  [2275] = {.lex_state = 71, .external_lex_state = 25},
  [2276] = {.lex_state = 71, .external_lex_state = 25},
  [2277] = {.lex_state = 59, .external_lex_state = 27},
  [2278] = {.lex_state = 69, .external_lex_state = 21},
  [2279] = {.lex_state = 71, .external_lex_state = 18},
  [2280] = {.lex_state = 60, .external_lex_state = 27},
  [2281] = {.lex_state = 71, .external_lex_state = 25},
  [2282] = {.lex_state = 65, .external_lex_state = 24},
  [2283] = {.lex_state = 71, .external_lex_state = 25},
  [2284] = {.lex_state = 59, .external_lex_state = 25},
  [2285] = {.lex_state = 71, .external_lex_state = 25},
  [2286] = {.lex_state = 59, .external_lex_state = 27},
  [2287] = {.lex_state = 71},
  [2288] = {.lex_state = 71},
  [2289] = {.lex_state = 71},
  [2290] = {.lex_state = 71},
  [2291] = {.lex_state = 65, .external_lex_state = 24},
  [2292] = {.lex_state = 71, .external_lex_state = 25},
  [2293] = {.lex_state = 71},
  [2294] = {.lex_state = 71},
  [2295] = {.lex_state = 71, .external_lex_state = 16},
  [2296] = {.lex_state = 71},
  [2297] = {.lex_state = 71, .external_lex_state = 16},
  [2298] = {.lex_state = 69, .external_lex_state = 25},
  [2299] = {.lex_state = 71, .external_lex_state = 16},
  [2300] = {.lex_state = 71, .external_lex_state = 25},
  [2301] = {.lex_state = 71, .external_lex_state = 16},
  [2302] = {.lex_state = 65, .external_lex_state = 27},
  [2303] = {.lex_state = 71, .external_lex_state = 16},
  [2304] = {.lex_state = 71},
  [2305] = {.lex_state = 71, .external_lex_state = 16},
  [2306] = {.lex_state = 62, .external_lex_state = 24},
  [2307] = {.lex_state = 71},
  [2308] = {.lex_state = 71, .external_lex_state = 16},
  [2309] = {.lex_state = 71, .external_lex_state = 25},
  [2310] = {.lex_state = 71, .external_lex_state = 16},
  [2311] = {.lex_state = 71},
  [2312] = {.lex_state = 66, .external_lex_state = 26},
  [2313] = {.lex_state = 62, .external_lex_state = 24},
  [2314] = {.lex_state = 71, .external_lex_state = 16},
  [2315] = {.lex_state = 71, .external_lex_state = 16},
  [2316] = {.lex_state = 71, .external_lex_state = 25},
  [2317] = {.lex_state = 71},
  [2318] = {.lex_state = 59, .external_lex_state = 25},
  [2319] = {.lex_state = 71, .external_lex_state = 25},
  [2320] = {.lex_state = 71},
  [2321] = {.lex_state = 65, .external_lex_state = 23},
  [2322] = {.lex_state = 71, .external_lex_state = 30},
  [2323] = {.lex_state = 71, .external_lex_state = 18},
  [2324] = {.lex_state = 71, .external_lex_state = 16},
  [2325] = {.lex_state = 59, .external_lex_state = 25},
  [2326] = {.lex_state = 71, .external_lex_state = 25},
  [2327] = {.lex_state = 71, .external_lex_state = 25},
  [2328] = {.lex_state = 71, .external_lex_state = 16},
  [2329] = {.lex_state = 71, .external_lex_state = 25},
  [2330] = {.lex_state = 71, .external_lex_state = 16},
  [2331] = {.lex_state = 71, .external_lex_state = 16},
  [2332] = {.lex_state = 71, .external_lex_state = 25},
  [2333] = {.lex_state = 71},
  [2334] = {.lex_state = 71, .external_lex_state = 26},
  [2335] = {.lex_state = 71},
  [2336] = {.lex_state = 71},
  [2337] = {.lex_state = 61, .external_lex_state = 27},
  [2338] = {.lex_state = 71, .external_lex_state = 25},
  [2339] = {.lex_state = 65, .external_lex_state = 26},
  [2340] = {.lex_state = 71, .external_lex_state = 25},
  [2341] = {.lex_state = 65, .external_lex_state = 24},
  [2342] = {.lex_state = 71, .external_lex_state = 16},
  [2343] = {.lex_state = 71, .external_lex_state = 16},
  [2344] = {.lex_state = 59, .external_lex_state = 21},
  [2345] = {.lex_state = 71},
  [2346] = {.lex_state = 71, .external_lex_state = 25},
  [2347] = {.lex_state = 71, .external_lex_state = 16},
  [2348] = {.lex_state = 70, .external_lex_state = 25},
  [2349] = {.lex_state = 66, .external_lex_state = 26},
  [2350] = {.lex_state = 71, .external_lex_state = 16},
  [2351] = {.lex_state = 71, .external_lex_state = 16},
  [2352] = {.lex_state = 71, .external_lex_state = 16},
  [2353] = {.lex_state = 71},
  [2354] = {.lex_state = 71, .external_lex_state = 16},
  [2355] = {.lex_state = 71, .external_lex_state = 16},
  [2356] = {.lex_state = 71, .external_lex_state = 25},
  [2357] = {.lex_state = 71, .external_lex_state = 26},
  [2358] = {.lex_state = 71, .external_lex_state = 16},
  [2359] = {.lex_state = 71, .external_lex_state = 16},
  [2360] = {.lex_state = 71, .external_lex_state = 25},
  [2361] = {.lex_state = 71, .external_lex_state = 25},
  [2362] = {.lex_state = 59, .external_lex_state = 21},
  [2363] = {.lex_state = 71, .external_lex_state = 16},
  [2364] = {.lex_state = 65, .external_lex_state = 23},
  [2365] = {.lex_state = 71, .external_lex_state = 25},
  [2366] = {.lex_state = 71, .external_lex_state = 26},
  [2367] = {.lex_state = 71, .external_lex_state = 25},
  [2368] = {.lex_state = 71, .external_lex_state = 16},
  [2369] = {.lex_state = 59, .external_lex_state = 22},
  [2370] = {.lex_state = 59, .external_lex_state = 22},
  [2371] = {.lex_state = 71, .external_lex_state = 18},
  [2372] = {.lex_state = 71},
  [2373] = {.lex_state = 71},
  [2374] = {.lex_state = 71, .external_lex_state = 16},
  [2375] = {.lex_state = 71, .external_lex_state = 16},
  [2376] = {.lex_state = 71, .external_lex_state = 16},
  [2377] = {.lex_state = 71, .external_lex_state = 25},
  [2378] = {.lex_state = 60, .external_lex_state = 27},
  [2379] = {.lex_state = 71, .external_lex_state = 18},
  [2380] = {.lex_state = 71, .external_lex_state = 16},
  [2381] = {.lex_state = 71, .external_lex_state = 26},
  [2382] = {.lex_state = 71, .external_lex_state = 25},
  [2383] = {.lex_state = 71, .external_lex_state = 16},
  [2384] = {.lex_state = 71},
  [2385] = {.lex_state = 71, .external_lex_state = 16},
  [2386] = {.lex_state = 71, .external_lex_state = 16},
  [2387] = {.lex_state = 71, .external_lex_state = 19},
  [2388] = {.lex_state = 71, .external_lex_state = 16},
  [2389] = {.lex_state = 71, .external_lex_state = 25},
  [2390] = {.lex_state = 71, .external_lex_state = 16},
  [2391] = {.lex_state = 71, .external_lex_state = 16},
  [2392] = {.lex_state = 71, .external_lex_state = 16},
  [2393] = {.lex_state = 71, .external_lex_state = 16},
  [2394] = {.lex_state = 71, .external_lex_state = 25},
  [2395] = {.lex_state = 71, .external_lex_state = 16},
  [2396] = {.lex_state = 71, .external_lex_state = 16},
  [2397] = {.lex_state = 71, .external_lex_state = 16},
  [2398] = {.lex_state = 59, .external_lex_state = 24},
  [2399] = {.lex_state = 71, .external_lex_state = 16},
  [2400] = {.lex_state = 71, .external_lex_state = 16},
  [2401] = {.lex_state = 71, .external_lex_state = 16},
  [2402] = {.lex_state = 71, .external_lex_state = 16},
  [2403] = {.lex_state = 71, .external_lex_state = 16},
  [2404] = {.lex_state = 71, .external_lex_state = 16},
  [2405] = {.lex_state = 71, .external_lex_state = 25},
  [2406] = {.lex_state = 71, .external_lex_state = 25},
  [2407] = {.lex_state = 71, .external_lex_state = 16},
  [2408] = {.lex_state = 71, .external_lex_state = 16},
  [2409] = {.lex_state = 71, .external_lex_state = 16},
  [2410] = {.lex_state = 71, .external_lex_state = 16},
  [2411] = {.lex_state = 71, .external_lex_state = 16},
  [2412] = {.lex_state = 71, .external_lex_state = 16},
  [2413] = {.lex_state = 71, .external_lex_state = 16},
  [2414] = {.lex_state = 71, .external_lex_state = 16},
  [2415] = {.lex_state = 62, .external_lex_state = 24},
  [2416] = {.lex_state = 71, .external_lex_state = 16},
  [2417] = {.lex_state = 71, .external_lex_state = 16},
  [2418] = {.lex_state = 71, .external_lex_state = 16},
  [2419] = {.lex_state = 71, .external_lex_state = 18},
  [2420] = {.lex_state = 71, .external_lex_state = 16},
  [2421] = {.lex_state = 71, .external_lex_state = 16},
  [2422] = {.lex_state = 71, .external_lex_state = 25},
  [2423] = {.lex_state = 71, .external_lex_state = 16},
  [2424] = {.lex_state = 71},
  [2425] = {.lex_state = 71, .external_lex_state = 16},
  [2426] = {.lex_state = 71, .external_lex_state = 16},
  [2427] = {.lex_state = 71, .external_lex_state = 25},
  [2428] = {.lex_state = 71, .external_lex_state = 16},
  [2429] = {.lex_state = 71, .external_lex_state = 16},
  [2430] = {.lex_state = 71, .external_lex_state = 16},
  [2431] = {.lex_state = 71, .external_lex_state = 25},
  [2432] = {.lex_state = 71, .external_lex_state = 16},
  [2433] = {.lex_state = 71, .external_lex_state = 16},
  [2434] = {.lex_state = 59, .external_lex_state = 24},
  [2435] = {.lex_state = 71, .external_lex_state = 25},
  [2436] = {.lex_state = 71, .external_lex_state = 16},
  [2437] = {.lex_state = 71, .external_lex_state = 16},
  [2438] = {.lex_state = 71, .external_lex_state = 16},
  [2439] = {.lex_state = 71, .external_lex_state = 25},
  [2440] = {.lex_state = 71, .external_lex_state = 25},
  [2441] = {.lex_state = 71, .external_lex_state = 16},
  [2442] = {.lex_state = 71, .external_lex_state = 16},
  [2443] = {.lex_state = 71, .external_lex_state = 25},
  [2444] = {.lex_state = 71, .external_lex_state = 16},
  [2445] = {.lex_state = 71, .external_lex_state = 25},
  [2446] = {.lex_state = 71, .external_lex_state = 16},
  [2447] = {.lex_state = 59, .external_lex_state = 22},
  [2448] = {.lex_state = 59, .external_lex_state = 24},
  [2449] = {.lex_state = 71},
  [2450] = {.lex_state = 71},
  [2451] = {.lex_state = 71, .external_lex_state = 16},
  [2452] = {.lex_state = 71, .external_lex_state = 16},
  [2453] = {.lex_state = 71, .external_lex_state = 16},
  [2454] = {.lex_state = 71, .external_lex_state = 16},
  [2455] = {.lex_state = 71},
  [2456] = {.lex_state = 71, .external_lex_state = 16},
  [2457] = {.lex_state = 71, .external_lex_state = 16},
  [2458] = {.lex_state = 71},
  [2459] = {.lex_state = 71, .external_lex_state = 16},
  [2460] = {.lex_state = 71, .external_lex_state = 16},
  [2461] = {.lex_state = 59, .external_lex_state = 22},
  [2462] = {.lex_state = 71, .external_lex_state = 16},
  [2463] = {.lex_state = 71, .external_lex_state = 16},
  [2464] = {.lex_state = 71, .external_lex_state = 16},
  [2465] = {.lex_state = 71, .external_lex_state = 16},
  [2466] = {.lex_state = 71, .external_lex_state = 16},
  [2467] = {.lex_state = 71, .external_lex_state = 16},
  [2468] = {.lex_state = 71, .external_lex_state = 16},
  [2469] = {.lex_state = 71, .external_lex_state = 25},
  [2470] = {.lex_state = 71, .external_lex_state = 16},
  [2471] = {.lex_state = 71, .external_lex_state = 16},
  [2472] = {.lex_state = 60, .external_lex_state = 27},
  [2473] = {.lex_state = 71, .external_lex_state = 16},
  [2474] = {.lex_state = 71, .external_lex_state = 16},
  [2475] = {.lex_state = 71, .external_lex_state = 16},
  [2476] = {.lex_state = 71, .external_lex_state = 16},
  [2477] = {.lex_state = 71},
  [2478] = {.lex_state = 71, .external_lex_state = 25},
  [2479] = {.lex_state = 71, .external_lex_state = 16},
  [2480] = {.lex_state = 59, .external_lex_state = 20},
  [2481] = {.lex_state = 71, .external_lex_state = 16},
  [2482] = {.lex_state = 71},
  [2483] = {.lex_state = 59},
  [2484] = {.lex_state = 71, .external_lex_state = 16},
  [2485] = {.lex_state = 71, .external_lex_state = 16},
  [2486] = {.lex_state = 71, .external_lex_state = 16},
  [2487] = {.lex_state = 71, .external_lex_state = 16},
  [2488] = {.lex_state = 71, .external_lex_state = 16},
  [2489] = {.lex_state = 71, .external_lex_state = 16},
  [2490] = {.lex_state = 71, .external_lex_state = 16},
  [2491] = {.lex_state = 69, .external_lex_state = 25},
  [2492] = {.lex_state = 71, .external_lex_state = 16},
  [2493] = {.lex_state = 71, .external_lex_state = 25},
  [2494] = {.lex_state = 71, .external_lex_state = 25},
  [2495] = {.lex_state = 71, .external_lex_state = 16},
  [2496] = {.lex_state = 71, .external_lex_state = 16},
  [2497] = {.lex_state = 71, .external_lex_state = 16},
  [2498] = {.lex_state = 71, .external_lex_state = 16},
  [2499] = {.lex_state = 62, .external_lex_state = 24},
  [2500] = {.lex_state = 71, .external_lex_state = 29},
  [2501] = {.lex_state = 71},
  [2502] = {.lex_state = 71, .external_lex_state = 16},
  [2503] = {.lex_state = 62, .external_lex_state = 24},
  [2504] = {.lex_state = 71, .external_lex_state = 16},
  [2505] = {.lex_state = 71, .external_lex_state = 16},
  [2506] = {.lex_state = 71, .external_lex_state = 25},
  [2507] = {.lex_state = 71, .external_lex_state = 25},
  [2508] = {.lex_state = 71, .external_lex_state = 16},
  [2509] = {.lex_state = 71, .external_lex_state = 16},
  [2510] = {.lex_state = 71, .external_lex_state = 16},
  [2511] = {.lex_state = 71, .external_lex_state = 16},
  [2512] = {.lex_state = 62, .external_lex_state = 24},
  [2513] = {.lex_state = 71},
  [2514] = {.lex_state = 71, .external_lex_state = 16},
  [2515] = {.lex_state = 71, .external_lex_state = 25},
  [2516] = {.lex_state = 71, .external_lex_state = 16},
  [2517] = {.lex_state = 71, .external_lex_state = 16},
  [2518] = {.lex_state = 71, .external_lex_state = 16},
  [2519] = {.lex_state = 71, .external_lex_state = 25},
  [2520] = {.lex_state = 71, .external_lex_state = 16},
  [2521] = {.lex_state = 71},
  [2522] = {.lex_state = 71},
  [2523] = {.lex_state = 62, .external_lex_state = 24},
  [2524] = {.lex_state = 71, .external_lex_state = 25},
  [2525] = {.lex_state = 60, .external_lex_state = 27},
  [2526] = {.lex_state = 71, .external_lex_state = 25},
  [2527] = {.lex_state = 71, .external_lex_state = 16},
  [2528] = {.lex_state = 71, .external_lex_state = 16},
  [2529] = {.lex_state = 71, .external_lex_state = 25},
  [2530] = {.lex_state = 60, .external_lex_state = 27},
  [2531] = {.lex_state = 71, .external_lex_state = 16},
  [2532] = {.lex_state = 71, .external_lex_state = 18},
  [2533] = {.lex_state = 60, .external_lex_state = 27},
  [2534] = {.lex_state = 71, .external_lex_state = 16},
  [2535] = {.lex_state = 71, .external_lex_state = 16},
  [2536] = {.lex_state = 71, .external_lex_state = 25},
  [2537] = {.lex_state = 71, .external_lex_state = 25},
  [2538] = {.lex_state = 71, .external_lex_state = 16},
  [2539] = {.lex_state = 71, .external_lex_state = 16},
  [2540] = {.lex_state = 71, .external_lex_state = 16},
  [2541] = {.lex_state = 71, .external_lex_state = 16},
  [2542] = {.lex_state = 71, .external_lex_state = 16},
  [2543] = {.lex_state = 71, .external_lex_state = 16},
  [2544] = {.lex_state = 71, .external_lex_state = 16},
  [2545] = {.lex_state = 71, .external_lex_state = 16},
  [2546] = {.lex_state = 71, .external_lex_state = 16},
  [2547] = {.lex_state = 59, .external_lex_state = 24},
  [2548] = {.lex_state = 71, .external_lex_state = 16},
  [2549] = {.lex_state = 71, .external_lex_state = 16},
  [2550] = {.lex_state = 71, .external_lex_state = 16},
  [2551] = {.lex_state = 71, .external_lex_state = 16},
  [2552] = {.lex_state = 71, .external_lex_state = 16},
  [2553] = {.lex_state = 71, .external_lex_state = 25},
  [2554] = {.lex_state = 71, .external_lex_state = 16},
  [2555] = {.lex_state = 71, .external_lex_state = 16},
  [2556] = {.lex_state = 62, .external_lex_state = 24},
  [2557] = {.lex_state = 69, .external_lex_state = 21},
  [2558] = {.lex_state = 71, .external_lex_state = 16},
  [2559] = {.lex_state = 71, .external_lex_state = 16},
  [2560] = {.lex_state = 71, .external_lex_state = 25},
  [2561] = {.lex_state = 71, .external_lex_state = 25},
  [2562] = {.lex_state = 71, .external_lex_state = 26},
  [2563] = {.lex_state = 71, .external_lex_state = 25},
  [2564] = {.lex_state = 71, .external_lex_state = 26},
  [2565] = {.lex_state = 71, .external_lex_state = 25},
  [2566] = {.lex_state = 71, .external_lex_state = 21},
  [2567] = {.lex_state = 71, .external_lex_state = 26},
  [2568] = {.lex_state = 71, .external_lex_state = 25},
  [2569] = {.lex_state = 71, .external_lex_state = 26},
  [2570] = {.lex_state = 71, .external_lex_state = 25},
  [2571] = {.lex_state = 71, .external_lex_state = 25},
  [2572] = {.lex_state = 69, .external_lex_state = 23},
  [2573] = {.lex_state = 71, .external_lex_state = 25},
  [2574] = {.lex_state = 71, .external_lex_state = 25},
  [2575] = {.lex_state = 71, .external_lex_state = 26},
  [2576] = {.lex_state = 71, .external_lex_state = 30},
  [2577] = {.lex_state = 71, .external_lex_state = 19},
  [2578] = {.lex_state = 71, .external_lex_state = 25},
  [2579] = {.lex_state = 71, .external_lex_state = 26},
  [2580] = {.lex_state = 71, .external_lex_state = 25},
  [2581] = {.lex_state = 71, .external_lex_state = 25},
  [2582] = {.lex_state = 71, .external_lex_state = 26},
  [2583] = {.lex_state = 71, .external_lex_state = 25},
  [2584] = {.lex_state = 62, .external_lex_state = 27},
  [2585] = {.lex_state = 71, .external_lex_state = 26},
  [2586] = {.lex_state = 71, .external_lex_state = 25},
  [2587] = {.lex_state = 71, .external_lex_state = 26},
  [2588] = {.lex_state = 71, .external_lex_state = 21},
  [2589] = {.lex_state = 71, .external_lex_state = 21},
  [2590] = {.lex_state = 71, .external_lex_state = 21},
  [2591] = {.lex_state = 71, .external_lex_state = 25},
  [2592] = {.lex_state = 71, .external_lex_state = 21},
  [2593] = {.lex_state = 71, .external_lex_state = 21},
  [2594] = {.lex_state = 71, .external_lex_state = 21},
  [2595] = {.lex_state = 71, .external_lex_state = 19},
  [2596] = {.lex_state = 71, .external_lex_state = 26},
  [2597] = {.lex_state = 71, .external_lex_state = 25},
  [2598] = {.lex_state = 71, .external_lex_state = 21},
  [2599] = {.lex_state = 71, .external_lex_state = 25},
  [2600] = {.lex_state = 62, .external_lex_state = 27},
  [2601] = {.lex_state = 71, .external_lex_state = 25},
  [2602] = {.lex_state = 71, .external_lex_state = 25},
  [2603] = {.lex_state = 71, .external_lex_state = 25},
  [2604] = {.lex_state = 71, .external_lex_state = 25},
  [2605] = {.lex_state = 59, .external_lex_state = 26},
  [2606] = {.lex_state = 71, .external_lex_state = 25},
  [2607] = {.lex_state = 71, .external_lex_state = 26},
  [2608] = {.lex_state = 71, .external_lex_state = 26},
  [2609] = {.lex_state = 71, .external_lex_state = 26},
  [2610] = {.lex_state = 71, .external_lex_state = 25},
  [2611] = {.lex_state = 71, .external_lex_state = 26},
  [2612] = {.lex_state = 71, .external_lex_state = 26},
  [2613] = {.lex_state = 71, .external_lex_state = 26},
  [2614] = {.lex_state = 59, .external_lex_state = 23},
  [2615] = {.lex_state = 71, .external_lex_state = 26},
  [2616] = {.lex_state = 62, .external_lex_state = 27},
  [2617] = {.lex_state = 71, .external_lex_state = 21},
  [2618] = {.lex_state = 71, .external_lex_state = 25},
  [2619] = {.lex_state = 71, .external_lex_state = 21},
  [2620] = {.lex_state = 71, .external_lex_state = 26},
  [2621] = {.lex_state = 71, .external_lex_state = 26},
  [2622] = {.lex_state = 71, .external_lex_state = 21},
  [2623] = {.lex_state = 71, .external_lex_state = 30},
  [2624] = {.lex_state = 71, .external_lex_state = 26},
  [2625] = {.lex_state = 71, .external_lex_state = 25},
  [2626] = {.lex_state = 71, .external_lex_state = 25},
  [2627] = {.lex_state = 71, .external_lex_state = 26},
  [2628] = {.lex_state = 71, .external_lex_state = 26},
  [2629] = {.lex_state = 71, .external_lex_state = 25},
  [2630] = {.lex_state = 71, .external_lex_state = 26},
  [2631] = {.lex_state = 71, .external_lex_state = 26},
  [2632] = {.lex_state = 71, .external_lex_state = 21},
  [2633] = {.lex_state = 71, .external_lex_state = 25},
  [2634] = {.lex_state = 71, .external_lex_state = 25},
  [2635] = {.lex_state = 71, .external_lex_state = 26},
  [2636] = {.lex_state = 71, .external_lex_state = 25},
  [2637] = {.lex_state = 71, .external_lex_state = 25},
  [2638] = {.lex_state = 71, .external_lex_state = 26},
  [2639] = {.lex_state = 71, .external_lex_state = 25},
  [2640] = {.lex_state = 71, .external_lex_state = 25},
  [2641] = {.lex_state = 71, .external_lex_state = 26},
  [2642] = {.lex_state = 71, .external_lex_state = 25},
  [2643] = {.lex_state = 71, .external_lex_state = 26},
  [2644] = {.lex_state = 59, .external_lex_state = 26},
  [2645] = {.lex_state = 71, .external_lex_state = 25},
  [2646] = {.lex_state = 71, .external_lex_state = 26},
  [2647] = {.lex_state = 71, .external_lex_state = 25},
  [2648] = {.lex_state = 59, .external_lex_state = 23},
  [2649] = {.lex_state = 71, .external_lex_state = 25},
  [2650] = {.lex_state = 71, .external_lex_state = 25},
  [2651] = {.lex_state = 59, .external_lex_state = 24},
  [2652] = {.lex_state = 71, .external_lex_state = 26},
  [2653] = {.lex_state = 71, .external_lex_state = 25},
  [2654] = {.lex_state = 71, .external_lex_state = 25},
  [2655] = {.lex_state = 71, .external_lex_state = 25},
  [2656] = {.lex_state = 71, .external_lex_state = 26},
  [2657] = {.lex_state = 71, .external_lex_state = 25},
  [2658] = {.lex_state = 71, .external_lex_state = 25},
  [2659] = {.lex_state = 59, .external_lex_state = 23},
  [2660] = {.lex_state = 71, .external_lex_state = 26},
  [2661] = {.lex_state = 71, .external_lex_state = 25},
  [2662] = {.lex_state = 71, .external_lex_state = 26},
  [2663] = {.lex_state = 71, .external_lex_state = 25},
  [2664] = {.lex_state = 71, .external_lex_state = 19},
  [2665] = {.lex_state = 71, .external_lex_state = 25},
  [2666] = {.lex_state = 71, .external_lex_state = 26},
  [2667] = {.lex_state = 65, .external_lex_state = 27},
  [2668] = {.lex_state = 71, .external_lex_state = 26},
  [2669] = {.lex_state = 71, .external_lex_state = 26},
  [2670] = {.lex_state = 71, .external_lex_state = 26},
  [2671] = {.lex_state = 71, .external_lex_state = 26},
  [2672] = {.lex_state = 71, .external_lex_state = 25},
  [2673] = {.lex_state = 71, .external_lex_state = 25},
  [2674] = {.lex_state = 71, .external_lex_state = 25},
  [2675] = {.lex_state = 71, .external_lex_state = 19},
  [2676] = {.lex_state = 71, .external_lex_state = 25},
  [2677] = {.lex_state = 71, .external_lex_state = 26},
  [2678] = {.lex_state = 71, .external_lex_state = 25},
  [2679] = {.lex_state = 59, .external_lex_state = 26},
  [2680] = {.lex_state = 71, .external_lex_state = 25},
  [2681] = {.lex_state = 59, .external_lex_state = 27},
  [2682] = {.lex_state = 71, .external_lex_state = 25},
  [2683] = {.lex_state = 71, .external_lex_state = 25},
  [2684] = {.lex_state = 71, .external_lex_state = 26},
  [2685] = {.lex_state = 71, .external_lex_state = 26},
  [2686] = {.lex_state = 71, .external_lex_state = 25},
  [2687] = {.lex_state = 71, .external_lex_state = 25},
  [2688] = {.lex_state = 71, .external_lex_state = 21},
  [2689] = {.lex_state = 71, .external_lex_state = 21},
  [2690] = {.lex_state = 71, .external_lex_state = 25},
  [2691] = {.lex_state = 63, .external_lex_state = 27},
  [2692] = {.lex_state = 71, .external_lex_state = 19},
  [2693] = {.lex_state = 71, .external_lex_state = 26},
  [2694] = {.lex_state = 71, .external_lex_state = 25},
  [2695] = {.lex_state = 71, .external_lex_state = 25},
  [2696] = {.lex_state = 71, .external_lex_state = 25},
  [2697] = {.lex_state = 71, .external_lex_state = 25},
  [2698] = {.lex_state = 71, .external_lex_state = 25},
  [2699] = {.lex_state = 71, .external_lex_state = 25},
  [2700] = {.lex_state = 71, .external_lex_state = 26},
  [2701] = {.lex_state = 71, .external_lex_state = 25},
  [2702] = {.lex_state = 69, .external_lex_state = 26},
  [2703] = {.lex_state = 71, .external_lex_state = 25},
  [2704] = {.lex_state = 59, .external_lex_state = 24},
  [2705] = {.lex_state = 59, .external_lex_state = 24},
  [2706] = {.lex_state = 59, .external_lex_state = 24},
  [2707] = {.lex_state = 65, .external_lex_state = 28},
  [2708] = {.lex_state = 71, .external_lex_state = 26},
  [2709] = {.lex_state = 71, .external_lex_state = 25},
  [2710] = {.lex_state = 70, .external_lex_state = 26},
  [2711] = {.lex_state = 71, .external_lex_state = 25},
  [2712] = {.lex_state = 71, .external_lex_state = 21},
  [2713] = {.lex_state = 71, .external_lex_state = 25},
  [2714] = {.lex_state = 71, .external_lex_state = 21},
  [2715] = {.lex_state = 61, .external_lex_state = 27},
  [2716] = {.lex_state = 70, .external_lex_state = 26},
  [2717] = {.lex_state = 71, .external_lex_state = 25},
  [2718] = {.lex_state = 71, .external_lex_state = 25},
  [2719] = {.lex_state = 71, .external_lex_state = 25},
  [2720] = {.lex_state = 71, .external_lex_state = 25},
  [2721] = {.lex_state = 71, .external_lex_state = 26},
  [2722] = {.lex_state = 71, .external_lex_state = 25},
  [2723] = {.lex_state = 71, .external_lex_state = 25},
  [2724] = {.lex_state = 71, .external_lex_state = 21},
  [2725] = {.lex_state = 71, .external_lex_state = 26},
  [2726] = {.lex_state = 71, .external_lex_state = 25},
  [2727] = {.lex_state = 65, .external_lex_state = 28},
  [2728] = {.lex_state = 71, .external_lex_state = 25},
  [2729] = {.lex_state = 71, .external_lex_state = 25},
  [2730] = {.lex_state = 71, .external_lex_state = 25},
  [2731] = {.lex_state = 71, .external_lex_state = 26},
  [2732] = {.lex_state = 71, .external_lex_state = 21},
  [2733] = {.lex_state = 71, .external_lex_state = 26},
  [2734] = {.lex_state = 71, .external_lex_state = 25},
  [2735] = {.lex_state = 71, .external_lex_state = 25},
  [2736] = {.lex_state = 71, .external_lex_state = 26},
  [2737] = {.lex_state = 71, .external_lex_state = 25},
  [2738] = {.lex_state = 71, .external_lex_state = 26},
  [2739] = {.lex_state = 71, .external_lex_state = 19},
  [2740] = {.lex_state = 71, .external_lex_state = 26},
  [2741] = {.lex_state = 71, .external_lex_state = 25},
  [2742] = {.lex_state = 71, .external_lex_state = 25},
  [2743] = {.lex_state = 71, .external_lex_state = 25},
  [2744] = {.lex_state = 71, .external_lex_state = 26},
  [2745] = {.lex_state = 71, .external_lex_state = 26},
  [2746] = {.lex_state = 71, .external_lex_state = 26},
  [2747] = {.lex_state = 71, .external_lex_state = 26},
  [2748] = {.lex_state = 71, .external_lex_state = 25},
  [2749] = {.lex_state = 71, .external_lex_state = 26},
  [2750] = {.lex_state = 71, .external_lex_state = 26},
  [2751] = {.lex_state = 71, .external_lex_state = 25},
  [2752] = {.lex_state = 71, .external_lex_state = 21},
  [2753] = {.lex_state = 71, .external_lex_state = 30},
  [2754] = {.lex_state = 71, .external_lex_state = 25},
  [2755] = {.lex_state = 71, .external_lex_state = 21},
  [2756] = {.lex_state = 71, .external_lex_state = 25},
  [2757] = {.lex_state = 71, .external_lex_state = 25},
  [2758] = {.lex_state = 71, .external_lex_state = 25},
  [2759] = {.lex_state = 71, .external_lex_state = 25},
  [2760] = {.lex_state = 71, .external_lex_state = 25},
  [2761] = {.lex_state = 71, .external_lex_state = 25},
  [2762] = {.lex_state = 71, .external_lex_state = 25},
  [2763] = {.lex_state = 71, .external_lex_state = 19},
  [2764] = {.lex_state = 71, .external_lex_state = 25},
  [2765] = {.lex_state = 71, .external_lex_state = 26},
  [2766] = {.lex_state = 65, .external_lex_state = 27},
  [2767] = {.lex_state = 71, .external_lex_state = 26},
  [2768] = {.lex_state = 71, .external_lex_state = 25},
  [2769] = {.lex_state = 71, .external_lex_state = 25},
  [2770] = {.lex_state = 71, .external_lex_state = 25},
  [2771] = {.lex_state = 71, .external_lex_state = 26},
  [2772] = {.lex_state = 71, .external_lex_state = 25},
  [2773] = {.lex_state = 71, .external_lex_state = 21},
  [2774] = {.lex_state = 71, .external_lex_state = 25},
  [2775] = {.lex_state = 71, .external_lex_state = 21},
  [2776] = {.lex_state = 71, .external_lex_state = 21},
  [2777] = {.lex_state = 71, .external_lex_state = 21},
  [2778] = {.lex_state = 71, .external_lex_state = 25},
  [2779] = {.lex_state = 71, .external_lex_state = 25},
  [2780] = {.lex_state = 71, .external_lex_state = 26},
  [2781] = {.lex_state = 71, .external_lex_state = 25},
  [2782] = {.lex_state = 71, .external_lex_state = 25},
  [2783] = {.lex_state = 71, .external_lex_state = 25},
  [2784] = {.lex_state = 71, .external_lex_state = 25},
  [2785] = {.lex_state = 65, .external_lex_state = 27},
  [2786] = {.lex_state = 71, .external_lex_state = 25},
  [2787] = {.lex_state = 71, .external_lex_state = 25},
  [2788] = {.lex_state = 71, .external_lex_state = 25},
  [2789] = {.lex_state = 71, .external_lex_state = 25},
  [2790] = {.lex_state = 71, .external_lex_state = 25},
  [2791] = {.lex_state = 71, .external_lex_state = 23},
  [2792] = {.lex_state = 71, .external_lex_state = 25},
  [2793] = {.lex_state = 71, .external_lex_state = 25},
  [2794] = {.lex_state = 71, .external_lex_state = 25},
  [2795] = {.lex_state = 71, .external_lex_state = 25},
  [2796] = {.lex_state = 71, .external_lex_state = 25},
  [2797] = {.lex_state = 71, .external_lex_state = 25},
  [2798] = {.lex_state = 71, .external_lex_state = 21},
  [2799] = {.lex_state = 71, .external_lex_state = 25},
  [2800] = {.lex_state = 71, .external_lex_state = 25},
  [2801] = {.lex_state = 71, .external_lex_state = 25},
  [2802] = {.lex_state = 71, .external_lex_state = 25},
  [2803] = {.lex_state = 71, .external_lex_state = 25},
  [2804] = {.lex_state = 71, .external_lex_state = 25},
  [2805] = {.lex_state = 71, .external_lex_state = 25},
  [2806] = {.lex_state = 62, .external_lex_state = 27},
  [2807] = {.lex_state = 71, .external_lex_state = 25},
  [2808] = {.lex_state = 59, .external_lex_state = 27},
  [2809] = {.lex_state = 71, .external_lex_state = 25},
  [2810] = {.lex_state = 71, .external_lex_state = 25},
  [2811] = {.lex_state = 71, .external_lex_state = 25},
  [2812] = {.lex_state = 71, .external_lex_state = 25},
  [2813] = {.lex_state = 71, .external_lex_state = 25},
  [2814] = {.lex_state = 71, .external_lex_state = 21},
  [2815] = {.lex_state = 71, .external_lex_state = 25},
  [2816] = {.lex_state = 69, .external_lex_state = 23},
  [2817] = {.lex_state = 71, .external_lex_state = 25},
  [2818] = {.lex_state = 71, .external_lex_state = 25},
  [2819] = {.lex_state = 71, .external_lex_state = 25},
  [2820] = {.lex_state = 71, .external_lex_state = 25},
  [2821] = {.lex_state = 71, .external_lex_state = 25},
  [2822] = {.lex_state = 62, .external_lex_state = 27},
  [2823] = {.lex_state = 71, .external_lex_state = 25},
  [2824] = {.lex_state = 69, .external_lex_state = 26},
  [2825] = {.lex_state = 71, .external_lex_state = 19},
  [2826] = {.lex_state = 71, .external_lex_state = 25},
  [2827] = {.lex_state = 71, .external_lex_state = 25},
  [2828] = {.lex_state = 71, .external_lex_state = 25},
  [2829] = {.lex_state = 71, .external_lex_state = 25},
  [2830] = {.lex_state = 71, .external_lex_state = 25},
  [2831] = {.lex_state = 71, .external_lex_state = 25},
  [2832] = {.lex_state = 71, .external_lex_state = 25},
  [2833] = {.lex_state = 71, .external_lex_state = 25},
  [2834] = {.lex_state = 71, .external_lex_state = 25},
  [2835] = {.lex_state = 71, .external_lex_state = 26},
  [2836] = {.lex_state = 71, .external_lex_state = 25},
  [2837] = {.lex_state = 71, .external_lex_state = 25},
  [2838] = {.lex_state = 59, .external_lex_state = 27},
  [2839] = {.lex_state = 59, .external_lex_state = 27},
  [2840] = {.lex_state = 71, .external_lex_state = 21},
  [2841] = {.lex_state = 71, .external_lex_state = 21},
  [2842] = {.lex_state = 71, .external_lex_state = 25},
  [2843] = {.lex_state = 71, .external_lex_state = 25},
  [2844] = {.lex_state = 71, .external_lex_state = 21},
  [2845] = {.lex_state = 71, .external_lex_state = 21},
  [2846] = {.lex_state = 62, .external_lex_state = 27},
  [2847] = {.lex_state = 71, .external_lex_state = 25},
  [2848] = {.lex_state = 65, .external_lex_state = 27},
  [2849] = {.lex_state = 71, .external_lex_state = 25},
  [2850] = {.lex_state = 71, .external_lex_state = 25},
  [2851] = {.lex_state = 62, .external_lex_state = 27},
  [2852] = {.lex_state = 62, .external_lex_state = 27},
  [2853] = {.lex_state = 71, .external_lex_state = 25},
  [2854] = {.lex_state = 71, .external_lex_state = 31},
  [2855] = {.lex_state = 62, .external_lex_state = 27},
  [2856] = {.lex_state = 70, .external_lex_state = 26},
  [2857] = {.lex_state = 71, .external_lex_state = 26},
  [2858] = {.lex_state = 71, .external_lex_state = 26},
  [2859] = {.lex_state = 59, .external_lex_state = 27},
  [2860] = {.lex_state = 71, .external_lex_state = 26},
  [2861] = {.lex_state = 71, .external_lex_state = 26},
  [2862] = {.lex_state = 71, .external_lex_state = 26},
  [2863] = {.lex_state = 71, .external_lex_state = 26},
  [2864] = {.lex_state = 71, .external_lex_state = 26},
  [2865] = {.lex_state = 71, .external_lex_state = 26},
  [2866] = {.lex_state = 71, .external_lex_state = 26},
  [2867] = {.lex_state = 71, .external_lex_state = 26},
  [2868] = {.lex_state = 71, .external_lex_state = 26},
  [2869] = {.lex_state = 71, .external_lex_state = 26},
  [2870] = {.lex_state = 71, .external_lex_state = 23},
  [2871] = {.lex_state = 71, .external_lex_state = 26},
  [2872] = {.lex_state = 71, .external_lex_state = 26},
  [2873] = {.lex_state = 71, .external_lex_state = 26},
  [2874] = {.lex_state = 71, .external_lex_state = 23},
  [2875] = {.lex_state = 71, .external_lex_state = 23},
  [2876] = {.lex_state = 71, .external_lex_state = 26},
  [2877] = {.lex_state = 64, .external_lex_state = 27},
  [2878] = {.lex_state = 71, .external_lex_state = 26},
  [2879] = {.lex_state = 0},
  [2880] = {.lex_state = 71, .external_lex_state = 26},
  [2881] = {.lex_state = 71, .external_lex_state = 26},
  [2882] = {.lex_state = 71, .external_lex_state = 26},
  [2883] = {.lex_state = 71, .external_lex_state = 23},
  [2884] = {.lex_state = 61, .external_lex_state = 27},
  [2885] = {.lex_state = 71, .external_lex_state = 23},
  [2886] = {.lex_state = 71, .external_lex_state = 26},
  [2887] = {.lex_state = 71, .external_lex_state = 31},
  [2888] = {.lex_state = 71, .external_lex_state = 26},
  [2889] = {.lex_state = 59, .external_lex_state = 28},
  [2890] = {.lex_state = 71, .external_lex_state = 26},
  [2891] = {.lex_state = 71, .external_lex_state = 26},
  [2892] = {.lex_state = 71, .external_lex_state = 26},
  [2893] = {.lex_state = 71, .external_lex_state = 23},
  [2894] = {.lex_state = 71, .external_lex_state = 23},
  [2895] = {.lex_state = 71, .external_lex_state = 26},
  [2896] = {.lex_state = 71, .external_lex_state = 26},
  [2897] = {.lex_state = 71, .external_lex_state = 26},
  [2898] = {.lex_state = 71, .external_lex_state = 26},
  [2899] = {.lex_state = 71, .external_lex_state = 26},
  [2900] = {.lex_state = 71, .external_lex_state = 26},
  [2901] = {.lex_state = 71, .external_lex_state = 26},
  [2902] = {.lex_state = 71, .external_lex_state = 26},
  [2903] = {.lex_state = 71, .external_lex_state = 26},
  [2904] = {.lex_state = 71, .external_lex_state = 32},
  [2905] = {.lex_state = 71, .external_lex_state = 26},
  [2906] = {.lex_state = 71, .external_lex_state = 26},
  [2907] = {.lex_state = 69, .external_lex_state = 28},
  [2908] = {.lex_state = 59, .external_lex_state = 28},
  [2909] = {.lex_state = 71, .external_lex_state = 23},
  [2910] = {.lex_state = 71, .external_lex_state = 23},
  [2911] = {.lex_state = 71, .external_lex_state = 23},
  [2912] = {.lex_state = 71, .external_lex_state = 23},
  [2913] = {.lex_state = 69, .external_lex_state = 28},
  [2914] = {.lex_state = 71, .external_lex_state = 23},
  [2915] = {.lex_state = 71, .external_lex_state = 26},
  [2916] = {.lex_state = 71, .external_lex_state = 26},
  [2917] = {.lex_state = 59, .external_lex_state = 28},
  [2918] = {.lex_state = 71, .external_lex_state = 26},
  [2919] = {.lex_state = 71, .external_lex_state = 26},
  [2920] = {.lex_state = 65},
  [2921] = {.lex_state = 71, .external_lex_state = 26},
  [2922] = {.lex_state = 71, .external_lex_state = 26},
  [2923] = {.lex_state = 71, .external_lex_state = 26},
  [2924] = {.lex_state = 71, .external_lex_state = 26},
  [2925] = {.lex_state = 65},
  [2926] = {.lex_state = 71, .external_lex_state = 23},
  [2927] = {.lex_state = 71, .external_lex_state = 23},
  [2928] = {.lex_state = 71, .external_lex_state = 23},
  [2929] = {.lex_state = 71, .external_lex_state = 26},
  [2930] = {.lex_state = 71, .external_lex_state = 23},
  [2931] = {.lex_state = 71, .external_lex_state = 23},
  [2932] = {.lex_state = 71, .external_lex_state = 26},
  [2933] = {.lex_state = 71, .external_lex_state = 26},
  [2934] = {.lex_state = 71, .external_lex_state = 23},
  [2935] = {.lex_state = 71, .external_lex_state = 23},
  [2936] = {.lex_state = 71, .external_lex_state = 26},
  [2937] = {.lex_state = 71, .external_lex_state = 26},
  [2938] = {.lex_state = 71, .external_lex_state = 26},
  [2939] = {.lex_state = 59, .external_lex_state = 27},
  [2940] = {.lex_state = 71, .external_lex_state = 26},
  [2941] = {.lex_state = 71, .external_lex_state = 26},
  [2942] = {.lex_state = 71, .external_lex_state = 26},
  [2943] = {.lex_state = 71, .external_lex_state = 26},
  [2944] = {.lex_state = 71, .external_lex_state = 26},
  [2945] = {.lex_state = 71, .external_lex_state = 23},
  [2946] = {.lex_state = 71, .external_lex_state = 26},
  [2947] = {.lex_state = 71, .external_lex_state = 26},
  [2948] = {.lex_state = 71, .external_lex_state = 23},
  [2949] = {.lex_state = 71, .external_lex_state = 26},
  [2950] = {.lex_state = 71, .external_lex_state = 26},
  [2951] = {.lex_state = 71, .external_lex_state = 26},
  [2952] = {.lex_state = 71, .external_lex_state = 23},
  [2953] = {.lex_state = 71, .external_lex_state = 23},
  [2954] = {.lex_state = 63, .external_lex_state = 27},
  [2955] = {.lex_state = 71, .external_lex_state = 26},
  [2956] = {.lex_state = 71, .external_lex_state = 26},
  [2957] = {.lex_state = 71, .external_lex_state = 26},
  [2958] = {.lex_state = 71, .external_lex_state = 26},
  [2959] = {.lex_state = 71, .external_lex_state = 26},
  [2960] = {.lex_state = 71, .external_lex_state = 26},
  [2961] = {.lex_state = 71, .external_lex_state = 26},
  [2962] = {.lex_state = 71, .external_lex_state = 26},
  [2963] = {.lex_state = 71, .external_lex_state = 26},
  [2964] = {.lex_state = 71, .external_lex_state = 26},
  [2965] = {.lex_state = 71, .external_lex_state = 31},
  [2966] = {.lex_state = 71, .external_lex_state = 23},
  [2967] = {.lex_state = 71, .external_lex_state = 26},
  [2968] = {.lex_state = 71, .external_lex_state = 26},
  [2969] = {.lex_state = 71, .external_lex_state = 26},
  [2970] = {.lex_state = 71, .external_lex_state = 26},
  [2971] = {.lex_state = 71, .external_lex_state = 26},
  [2972] = {.lex_state = 61, .external_lex_state = 27},
  [2973] = {.lex_state = 71, .external_lex_state = 26},
  [2974] = {.lex_state = 71, .external_lex_state = 31},
  [2975] = {.lex_state = 71, .external_lex_state = 26},
  [2976] = {.lex_state = 71, .external_lex_state = 26},
  [2977] = {.lex_state = 71, .external_lex_state = 26},
  [2978] = {.lex_state = 71, .external_lex_state = 26},
  [2979] = {.lex_state = 71, .external_lex_state = 26},
  [2980] = {.lex_state = 71, .external_lex_state = 26},
  [2981] = {.lex_state = 71, .external_lex_state = 26},
  [2982] = {.lex_state = 71, .external_lex_state = 26},
  [2983] = {.lex_state = 71, .external_lex_state = 26},
  [2984] = {.lex_state = 71, .external_lex_state = 26},
  [2985] = {.lex_state = 71, .external_lex_state = 26},
  [2986] = {.lex_state = 71, .external_lex_state = 23},
  [2987] = {.lex_state = 71, .external_lex_state = 26},
  [2988] = {.lex_state = 71, .external_lex_state = 26},
  [2989] = {.lex_state = 71, .external_lex_state = 26},
  [2990] = {.lex_state = 71, .external_lex_state = 26},
  [2991] = {.lex_state = 71, .external_lex_state = 26},
  [2992] = {.lex_state = 64, .external_lex_state = 27},
  [2993] = {.lex_state = 71, .external_lex_state = 26},
  [2994] = {.lex_state = 71, .external_lex_state = 23},
  [2995] = {.lex_state = 71, .external_lex_state = 26},
  [2996] = {.lex_state = 71, .external_lex_state = 26},
  [2997] = {.lex_state = 71, .external_lex_state = 26},
  [2998] = {.lex_state = 71, .external_lex_state = 26},
  [2999] = {.lex_state = 71, .external_lex_state = 26},
  [3000] = {.lex_state = 71, .external_lex_state = 26},
  [3001] = {.lex_state = 71, .external_lex_state = 26},
  [3002] = {.lex_state = 71, .external_lex_state = 26},
  [3003] = {.lex_state = 71, .external_lex_state = 26},
  [3004] = {.lex_state = 71, .external_lex_state = 26},
  [3005] = {.lex_state = 71, .external_lex_state = 23},
  [3006] = {.lex_state = 71, .external_lex_state = 26},
  [3007] = {.lex_state = 71, .external_lex_state = 26},
  [3008] = {.lex_state = 71, .external_lex_state = 26},
  [3009] = {.lex_state = 71, .external_lex_state = 26},
  [3010] = {.lex_state = 71, .external_lex_state = 26},
  [3011] = {.lex_state = 71, .external_lex_state = 26},
  [3012] = {.lex_state = 71, .external_lex_state = 26},
  [3013] = {.lex_state = 71, .external_lex_state = 26},
  [3014] = {.lex_state = 71, .external_lex_state = 26},
  [3015] = {.lex_state = 71, .external_lex_state = 26},
  [3016] = {.lex_state = 71, .external_lex_state = 26},
  [3017] = {.lex_state = 71, .external_lex_state = 26},
  [3018] = {.lex_state = 71, .external_lex_state = 26},
  [3019] = {.lex_state = 71, .external_lex_state = 26},
  [3020] = {.lex_state = 59, .external_lex_state = 27},
  [3021] = {.lex_state = 71, .external_lex_state = 23},
  [3022] = {.lex_state = 71, .external_lex_state = 26},
  [3023] = {.lex_state = 71, .external_lex_state = 26},
  [3024] = {.lex_state = 71, .external_lex_state = 26},
  [3025] = {.lex_state = 71, .external_lex_state = 23},
  [3026] = {.lex_state = 71, .external_lex_state = 26},
  [3027] = {.lex_state = 59, .external_lex_state = 27},
  [3028] = {.lex_state = 71, .external_lex_state = 26},
  [3029] = {.lex_state = 71, .external_lex_state = 26},
  [3030] = {.lex_state = 71, .external_lex_state = 26},
  [3031] = {.lex_state = 71, .external_lex_state = 26},
  [3032] = {.lex_state = 71, .external_lex_state = 26},
  [3033] = {.lex_state = 71, .external_lex_state = 26},
  [3034] = {.lex_state = 71, .external_lex_state = 26},
  [3035] = {.lex_state = 71, .external_lex_state = 26},
  [3036] = {.lex_state = 71, .external_lex_state = 26},
  [3037] = {.lex_state = 71, .external_lex_state = 26},
  [3038] = {.lex_state = 71, .external_lex_state = 26},
  [3039] = {.lex_state = 71, .external_lex_state = 26},
  [3040] = {.lex_state = 71, .external_lex_state = 26},
  [3041] = {.lex_state = 71, .external_lex_state = 26},
  [3042] = {.lex_state = 71, .external_lex_state = 26},
  [3043] = {.lex_state = 71, .external_lex_state = 26},
  [3044] = {.lex_state = 71, .external_lex_state = 26},
  [3045] = {.lex_state = 71, .external_lex_state = 26},
  [3046] = {.lex_state = 71, .external_lex_state = 26},
  [3047] = {.lex_state = 71, .external_lex_state = 26},
  [3048] = {.lex_state = 71, .external_lex_state = 23},
  [3049] = {.lex_state = 71, .external_lex_state = 26},
  [3050] = {.lex_state = 71, .external_lex_state = 26},
  [3051] = {.lex_state = 71, .external_lex_state = 26},
  [3052] = {.lex_state = 71, .external_lex_state = 26},
  [3053] = {.lex_state = 71, .external_lex_state = 26},
  [3054] = {.lex_state = 71, .external_lex_state = 26},
  [3055] = {.lex_state = 71, .external_lex_state = 26},
  [3056] = {.lex_state = 71, .external_lex_state = 26},
  [3057] = {.lex_state = 71, .external_lex_state = 26},
  [3058] = {.lex_state = 71, .external_lex_state = 26},
  [3059] = {.lex_state = 71, .external_lex_state = 26},
  [3060] = {.lex_state = 71, .external_lex_state = 26},
  [3061] = {.lex_state = 71, .external_lex_state = 26},
  [3062] = {.lex_state = 71, .external_lex_state = 26},
  [3063] = {.lex_state = 71, .external_lex_state = 32},
  [3064] = {.lex_state = 71, .external_lex_state = 28},
  [3065] = {.lex_state = 71, .external_lex_state = 28},
  [3066] = {.lex_state = 71, .external_lex_state = 28},
  [3067] = {.lex_state = 0, .external_lex_state = 33},
  [3068] = {.lex_state = 71, .external_lex_state = 28},
  [3069] = {.lex_state = 71, .external_lex_state = 28},
  [3070] = {.lex_state = 0, .external_lex_state = 33},
  [3071] = {.lex_state = 71, .external_lex_state = 28},
  [3072] = {.lex_state = 69},
  [3073] = {.lex_state = 61, .external_lex_state = 27},
  [3074] = {.lex_state = 71, .external_lex_state = 32},
  [3075] = {.lex_state = 71, .external_lex_state = 28},
  [3076] = {.lex_state = 66, .external_lex_state = 27},
  [3077] = {.lex_state = 71, .external_lex_state = 28},
  [3078] = {.lex_state = 71, .external_lex_state = 28},
  [3079] = {.lex_state = 71, .external_lex_state = 28},
  [3080] = {.lex_state = 59},
  [3081] = {.lex_state = 71, .external_lex_state = 28},
  [3082] = {.lex_state = 71, .external_lex_state = 28},
  [3083] = {.lex_state = 59},
  [3084] = {.lex_state = 71, .external_lex_state = 28},
  [3085] = {.lex_state = 71, .external_lex_state = 28},
  [3086] = {.lex_state = 0, .external_lex_state = 33},
  [3087] = {.lex_state = 69},
  [3088] = {.lex_state = 71, .external_lex_state = 28},
  [3089] = {.lex_state = 63, .external_lex_state = 27},
  [3090] = {.lex_state = 71, .external_lex_state = 28},
  [3091] = {.lex_state = 61, .external_lex_state = 27},
  [3092] = {.lex_state = 61, .external_lex_state = 27},
  [3093] = {.lex_state = 66, .external_lex_state = 27},
  [3094] = {.lex_state = 59},
  [3095] = {.lex_state = 71, .external_lex_state = 28},
  [3096] = {.lex_state = 61, .external_lex_state = 27},
  [3097] = {.lex_state = 61, .external_lex_state = 27},
  [3098] = {.lex_state = 71, .external_lex_state = 28},
  [3099] = {.lex_state = 71, .external_lex_state = 28},
  [3100] = {.lex_state = 71, .external_lex_state = 28},
  [3101] = {.lex_state = 71, .external_lex_state = 28},
  [3102] = {.lex_state = 71, .external_lex_state = 28},
  [3103] = {.lex_state = 71, .external_lex_state = 28},
  [3104] = {.lex_state = 71, .external_lex_state = 28},
  [3105] = {.lex_state = 61, .external_lex_state = 27},
  [3106] = {.lex_state = 71, .external_lex_state = 28},
  [3107] = {.lex_state = 71, .external_lex_state = 28},
  [3108] = {.lex_state = 63, .external_lex_state = 27},
  [3109] = {.lex_state = 71, .external_lex_state = 28},
  [3110] = {.lex_state = 71, .external_lex_state = 28},
  [3111] = {.lex_state = 71, .external_lex_state = 32},
  [3112] = {.lex_state = 0, .external_lex_state = 33},
  [3113] = {.lex_state = 71, .external_lex_state = 28},
  [3114] = {.lex_state = 71},
  [3115] = {.lex_state = 0},
  [3116] = {.lex_state = 71},
  [3117] = {.lex_state = 71},
  [3118] = {.lex_state = 71},
  [3119] = {.lex_state = 71},
  [3120] = {.lex_state = 71},
  [3121] = {.lex_state = 71},
  [3122] = {.lex_state = 71},
  [3123] = {.lex_state = 71},
  [3124] = {.lex_state = 71},
  [3125] = {.lex_state = 63, .external_lex_state = 27},
  [3126] = {.lex_state = 61, .external_lex_state = 27},
  [3127] = {.lex_state = 71},
  [3128] = {.lex_state = 63, .external_lex_state = 27},
  [3129] = {.lex_state = 22, .external_lex_state = 10},
  [3130] = {.lex_state = 71},
  [3131] = {.lex_state = 71},
  [3132] = {.lex_state = 0},
  [3133] = {.lex_state = 22, .external_lex_state = 10},
  [3134] = {.lex_state = 71},
  [3135] = {.lex_state = 71},
  [3136] = {.lex_state = 66, .external_lex_state = 27},
  [3137] = {.lex_state = 71},
  [3138] = {.lex_state = 71},
  [3139] = {.lex_state = 71},
  [3140] = {.lex_state = 22, .external_lex_state = 10},
  [3141] = {.lex_state = 71},
  [3142] = {.lex_state = 71},
  [3143] = {.lex_state = 0},
  [3144] = {.lex_state = 71},
  [3145] = {.lex_state = 64, .external_lex_state = 27},
  [3146] = {.lex_state = 71},
  [3147] = {.lex_state = 71},
  [3148] = {.lex_state = 71},
  [3149] = {.lex_state = 0},
  [3150] = {.lex_state = 71},
  [3151] = {.lex_state = 63, .external_lex_state = 27},
  [3152] = {.lex_state = 71},
  [3153] = {.lex_state = 67, .external_lex_state = 27},
  [3154] = {.lex_state = 67, .external_lex_state = 27},
  [3155] = {.lex_state = 63, .external_lex_state = 27},
  [3156] = {.lex_state = 63, .external_lex_state = 27},
  [3157] = {.lex_state = 64, .external_lex_state = 27},
  [3158] = {.lex_state = 66, .external_lex_state = 27},
  [3159] = {.lex_state = 71},
  [3160] = {.lex_state = 71},
  [3161] = {.lex_state = 63, .external_lex_state = 27},
  [3162] = {.lex_state = 71},
  [3163] = {.lex_state = 22, .external_lex_state = 10},
  [3164] = {.lex_state = 0},
  [3165] = {.lex_state = 66, .external_lex_state = 27},
  [3166] = {.lex_state = 64, .external_lex_state = 27},
  [3167] = {.lex_state = 22, .external_lex_state = 14},
  [3168] = {.lex_state = 66, .external_lex_state = 27},
  [3169] = {.lex_state = 22, .external_lex_state = 10},
  [3170] = {.lex_state = 0, .external_lex_state = 33},
  [3171] = {.lex_state = 22, .external_lex_state = 10},
  [3172] = {.lex_state = 68, .external_lex_state = 27},
  [3173] = {.lex_state = 66, .external_lex_state = 27},
  [3174] = {.lex_state = 22, .external_lex_state = 10},
  [3175] = {.lex_state = 64, .external_lex_state = 27},
  [3176] = {.lex_state = 64, .external_lex_state = 27},
  [3177] = {.lex_state = 63, .external_lex_state = 27},
  [3178] = {.lex_state = 22, .external_lex_state = 10},
  [3179] = {.lex_state = 64, .external_lex_state = 27},
  [3180] = {.lex_state = 68, .external_lex_state = 27},
  [3181] = {.lex_state = 64, .external_lex_state = 27},
  [3182] = {.lex_state = 61, .external_lex_state = 11},
  [3183] = {.lex_state = 64, .external_lex_state = 27},
  [3184] = {.lex_state = 68, .external_lex_state = 27},
  [3185] = {.lex_state = 0, .external_lex_state = 33},
  [3186] = {.lex_state = 67, .external_lex_state = 27},
  [3187] = {.lex_state = 22, .external_lex_state = 14},
  [3188] = {.lex_state = 61, .external_lex_state = 11},
  [3189] = {.lex_state = 66, .external_lex_state = 27},
  [3190] = {.lex_state = 64, .external_lex_state = 27},
  [3191] = {.lex_state = 0, .external_lex_state = 33},
  [3192] = {.lex_state = 66, .external_lex_state = 27},
  [3193] = {.lex_state = 60, .external_lex_state = 11},
  [3194] = {.lex_state = 68, .external_lex_state = 27},
  [3195] = {.lex_state = 0, .external_lex_state = 33},
  [3196] = {.lex_state = 66, .external_lex_state = 27},
  [3197] = {.lex_state = 66, .external_lex_state = 27},
  [3198] = {.lex_state = 22, .external_lex_state = 14},
  [3199] = {.lex_state = 67, .external_lex_state = 27},
  [3200] = {.lex_state = 22, .external_lex_state = 14},
  [3201] = {.lex_state = 60, .external_lex_state = 11},
  [3202] = {.lex_state = 0, .external_lex_state = 33},
  [3203] = {.lex_state = 60, .external_lex_state = 12},
  [3204] = {.lex_state = 22, .external_lex_state = 18},
  [3205] = {.lex_state = 0, .external_lex_state = 33},
  [3206] = {.lex_state = 0, .external_lex_state = 33},
  [3207] = {.lex_state = 22, .external_lex_state = 18},
  [3208] = {.lex_state = 0, .external_lex_state = 33},
  [3209] = {.lex_state = 0, .external_lex_state = 33},
  [3210] = {.lex_state = 0, .external_lex_state = 33},
  [3211] = {.lex_state = 0, .external_lex_state = 33},
  [3212] = {.lex_state = 66, .external_lex_state = 27},
  [3213] = {.lex_state = 0, .external_lex_state = 33},
  [3214] = {.lex_state = 22, .external_lex_state = 14},
  [3215] = {.lex_state = 0},
  [3216] = {.lex_state = 0},
  [3217] = {.lex_state = 22, .external_lex_state = 18},
  [3218] = {.lex_state = 67, .external_lex_state = 27},
  [3219] = {.lex_state = 0, .external_lex_state = 33},
  [3220] = {.lex_state = 0, .external_lex_state = 33},
  [3221] = {.lex_state = 0},
  [3222] = {.lex_state = 67, .external_lex_state = 27},
  [3223] = {.lex_state = 0},
  [3224] = {.lex_state = 0, .external_lex_state = 33},
  [3225] = {.lex_state = 0, .external_lex_state = 33},
  [3226] = {.lex_state = 0},
  [3227] = {.lex_state = 22, .external_lex_state = 18},
  [3228] = {.lex_state = 0},
  [3229] = {.lex_state = 22, .external_lex_state = 14},
  [3230] = {.lex_state = 0},
  [3231] = {.lex_state = 0, .external_lex_state = 33},
  [3232] = {.lex_state = 68, .external_lex_state = 27},
  [3233] = {.lex_state = 67, .external_lex_state = 27},
  [3234] = {.lex_state = 68, .external_lex_state = 27},
  [3235] = {.lex_state = 0, .external_lex_state = 33},
  [3236] = {.lex_state = 67, .external_lex_state = 27},
  [3237] = {.lex_state = 0, .external_lex_state = 33},
  [3238] = {.lex_state = 0, .external_lex_state = 33},
  [3239] = {.lex_state = 0, .external_lex_state = 33},
  [3240] = {.lex_state = 61, .external_lex_state = 12},
  [3241] = {.lex_state = 0, .external_lex_state = 33},
  [3242] = {.lex_state = 0, .external_lex_state = 33},
  [3243] = {.lex_state = 0, .external_lex_state = 33},
  [3244] = {.lex_state = 0, .external_lex_state = 33},
  [3245] = {.lex_state = 62, .external_lex_state = 11},
  [3246] = {.lex_state = 0, .external_lex_state = 33},
  [3247] = {.lex_state = 62, .external_lex_state = 11},
  [3248] = {.lex_state = 68, .external_lex_state = 27},
  [3249] = {.lex_state = 67, .external_lex_state = 27},
  [3250] = {.lex_state = 22, .external_lex_state = 14},
  [3251] = {.lex_state = 67, .external_lex_state = 27},
  [3252] = {.lex_state = 0, .external_lex_state = 33},
  [3253] = {.lex_state = 67, .external_lex_state = 27},
  [3254] = {.lex_state = 0},
  [3255] = {.lex_state = 0, .external_lex_state = 33},
  [3256] = {.lex_state = 61, .external_lex_state = 12},
  [3257] = {.lex_state = 22, .external_lex_state = 14},
  [3258] = {.lex_state = 60, .external_lex_state = 12},
  [3259] = {.lex_state = 0},
  [3260] = {.lex_state = 68, .external_lex_state = 27},
  [3261] = {.lex_state = 65, .external_lex_state = 11},
  [3262] = {.lex_state = 66},
  [3263] = {.lex_state = 22, .external_lex_state = 19},
  [3264] = {.lex_state = 61, .external_lex_state = 15},
  [3265] = {.lex_state = 22, .external_lex_state = 19},
  [3266] = {.lex_state = 65, .external_lex_state = 11},
  [3267] = {.lex_state = 60, .external_lex_state = 15},
  [3268] = {.lex_state = 22, .external_lex_state = 19},
  [3269] = {.lex_state = 68, .external_lex_state = 27},
  [3270] = {.lex_state = 0, .external_lex_state = 9},
  [3271] = {.lex_state = 68, .external_lex_state = 27},
  [3272] = {.lex_state = 22, .external_lex_state = 18},
  [3273] = {.lex_state = 22, .external_lex_state = 18},
  [3274] = {.lex_state = 0, .external_lex_state = 9},
  [3275] = {.lex_state = 68, .external_lex_state = 27},
  [3276] = {.lex_state = 66, .external_lex_state = 11},
  [3277] = {.lex_state = 61, .external_lex_state = 15},
  [3278] = {.lex_state = 68, .external_lex_state = 27},
  [3279] = {.lex_state = 66, .external_lex_state = 11},
  [3280] = {.lex_state = 22, .external_lex_state = 18},
  [3281] = {.lex_state = 67, .external_lex_state = 27},
  [3282] = {.lex_state = 0, .external_lex_state = 33},
  [3283] = {.lex_state = 22, .external_lex_state = 19},
  [3284] = {.lex_state = 65, .external_lex_state = 11},
  [3285] = {.lex_state = 65, .external_lex_state = 11},
  [3286] = {.lex_state = 0, .external_lex_state = 33},
  [3287] = {.lex_state = 60, .external_lex_state = 15},
  [3288] = {.lex_state = 62, .external_lex_state = 12},
  [3289] = {.lex_state = 66, .external_lex_state = 11},
  [3290] = {.lex_state = 62, .external_lex_state = 12},
  [3291] = {.lex_state = 0},
  [3292] = {.lex_state = 66},
  [3293] = {.lex_state = 0, .external_lex_state = 33},
  [3294] = {.lex_state = 22, .external_lex_state = 18},
  [3295] = {.lex_state = 66, .external_lex_state = 11},
  [3296] = {.lex_state = 62, .external_lex_state = 15},
  [3297] = {.lex_state = 0, .external_lex_state = 9},
  [3298] = {.lex_state = 0, .external_lex_state = 9},
  [3299] = {.lex_state = 22, .external_lex_state = 19},
  [3300] = {.lex_state = 22, .external_lex_state = 10},
  [3301] = {.lex_state = 60, .external_lex_state = 11},
  [3302] = {.lex_state = 0, .external_lex_state = 9},
  [3303] = {.lex_state = 0, .external_lex_state = 9},
  [3304] = {.lex_state = 22, .external_lex_state = 10},
  [3305] = {.lex_state = 0, .external_lex_state = 9},
  [3306] = {.lex_state = 0, .external_lex_state = 9},
  [3307] = {.lex_state = 70},
  [3308] = {.lex_state = 22, .external_lex_state = 10},
  [3309] = {.lex_state = 0, .external_lex_state = 9},
  [3310] = {.lex_state = 0, .external_lex_state = 9},
  [3311] = {.lex_state = 70},
  [3312] = {.lex_state = 0, .external_lex_state = 9},
  [3313] = {.lex_state = 0, .external_lex_state = 9},
  [3314] = {.lex_state = 22, .external_lex_state = 10},
  [3315] = {.lex_state = 0, .external_lex_state = 9},
  [3316] = {.lex_state = 0, .external_lex_state = 9},
  [3317] = {.lex_state = 0, .external_lex_state = 9},
  [3318] = {.lex_state = 0, .external_lex_state = 9},
  [3319] = {.lex_state = 0, .external_lex_state = 9},
  [3320] = {.lex_state = 0, .external_lex_state = 9},
  [3321] = {.lex_state = 0, .external_lex_state = 9},
  [3322] = {.lex_state = 67},
  [3323] = {.lex_state = 0, .external_lex_state = 9},
  [3324] = {.lex_state = 0, .external_lex_state = 9},
  [3325] = {.lex_state = 22, .external_lex_state = 10},
  [3326] = {.lex_state = 22, .external_lex_state = 10},
  [3327] = {.lex_state = 0, .external_lex_state = 9},
  [3328] = {.lex_state = 22, .external_lex_state = 10},
  [3329] = {.lex_state = 0, .external_lex_state = 9},
  [3330] = {.lex_state = 66, .external_lex_state = 12},
  [3331] = {.lex_state = 0, .external_lex_state = 9},
  [3332] = {.lex_state = 59, .external_lex_state = 11},
  [3333] = {.lex_state = 66, .external_lex_state = 12},
  [3334] = {.lex_state = 0, .external_lex_state = 9},
  [3335] = {.lex_state = 66, .external_lex_state = 12},
  [3336] = {.lex_state = 70},
  [3337] = {.lex_state = 65, .external_lex_state = 12},
  [3338] = {.lex_state = 0, .external_lex_state = 9},
  [3339] = {.lex_state = 0, .external_lex_state = 9},
  [3340] = {.lex_state = 0, .external_lex_state = 9},
  [3341] = {.lex_state = 0, .external_lex_state = 9},
  [3342] = {.lex_state = 59, .external_lex_state = 11},
  [3343] = {.lex_state = 0, .external_lex_state = 9},
  [3344] = {.lex_state = 0, .external_lex_state = 9},
  [3345] = {.lex_state = 0, .external_lex_state = 9},
  [3346] = {.lex_state = 0, .external_lex_state = 9},
  [3347] = {.lex_state = 66, .external_lex_state = 12},
  [3348] = {.lex_state = 0, .external_lex_state = 9},
  [3349] = {.lex_state = 6},
  [3350] = {.lex_state = 68},
  [3351] = {.lex_state = 0, .external_lex_state = 9},
  [3352] = {.lex_state = 61, .external_lex_state = 11},
  [3353] = {.lex_state = 0, .external_lex_state = 9},
  [3354] = {.lex_state = 0, .external_lex_state = 9},
  [3355] = {.lex_state = 0, .external_lex_state = 9},
  [3356] = {.lex_state = 0, .external_lex_state = 9},
  [3357] = {.lex_state = 65, .external_lex_state = 12},
  [3358] = {.lex_state = 61, .external_lex_state = 22},
  [3359] = {.lex_state = 65, .external_lex_state = 12},
  [3360] = {.lex_state = 65, .external_lex_state = 12},
  [3361] = {.lex_state = 0, .external_lex_state = 33},
  [3362] = {.lex_state = 0, .external_lex_state = 9},
  [3363] = {.lex_state = 0, .external_lex_state = 9},
  [3364] = {.lex_state = 59, .external_lex_state = 11},
  [3365] = {.lex_state = 0, .external_lex_state = 9},
  [3366] = {.lex_state = 0, .external_lex_state = 33},
  [3367] = {.lex_state = 0, .external_lex_state = 9},
  [3368] = {.lex_state = 59, .external_lex_state = 11},
  [3369] = {.lex_state = 60, .external_lex_state = 22},
  [3370] = {.lex_state = 60, .external_lex_state = 11},
  [3371] = {.lex_state = 0, .external_lex_state = 9},
  [3372] = {.lex_state = 0, .external_lex_state = 9},
  [3373] = {.lex_state = 0, .external_lex_state = 9},
  [3374] = {.lex_state = 0, .external_lex_state = 9},
  [3375] = {.lex_state = 60, .external_lex_state = 11},
  [3376] = {.lex_state = 0, .external_lex_state = 9},
  [3377] = {.lex_state = 0, .external_lex_state = 9},
  [3378] = {.lex_state = 67},
  [3379] = {.lex_state = 0, .external_lex_state = 9},
  [3380] = {.lex_state = 22, .external_lex_state = 10},
  [3381] = {.lex_state = 22, .external_lex_state = 10},
  [3382] = {.lex_state = 0, .external_lex_state = 9},
  [3383] = {.lex_state = 22, .external_lex_state = 10},
  [3384] = {.lex_state = 0, .external_lex_state = 9},
  [3385] = {.lex_state = 22, .external_lex_state = 10},
  [3386] = {.lex_state = 0, .external_lex_state = 9},
  [3387] = {.lex_state = 0, .external_lex_state = 9},
  [3388] = {.lex_state = 60, .external_lex_state = 11},
  [3389] = {.lex_state = 61, .external_lex_state = 22},
  [3390] = {.lex_state = 60, .external_lex_state = 11},
  [3391] = {.lex_state = 0, .external_lex_state = 9},
  [3392] = {.lex_state = 0, .external_lex_state = 9},
  [3393] = {.lex_state = 0, .external_lex_state = 9},
  [3394] = {.lex_state = 0, .external_lex_state = 9},
  [3395] = {.lex_state = 60, .external_lex_state = 11},
  [3396] = {.lex_state = 0, .external_lex_state = 9},
  [3397] = {.lex_state = 0, .external_lex_state = 9},
  [3398] = {.lex_state = 22, .external_lex_state = 19},
  [3399] = {.lex_state = 0, .external_lex_state = 9},
  [3400] = {.lex_state = 0, .external_lex_state = 9},
  [3401] = {.lex_state = 61, .external_lex_state = 11},
  [3402] = {.lex_state = 0, .external_lex_state = 9},
  [3403] = {.lex_state = 0, .external_lex_state = 9},
  [3404] = {.lex_state = 0, .external_lex_state = 9},
  [3405] = {.lex_state = 0, .external_lex_state = 9},
  [3406] = {.lex_state = 61, .external_lex_state = 11},
  [3407] = {.lex_state = 0, .external_lex_state = 9},
  [3408] = {.lex_state = 0, .external_lex_state = 9},
  [3409] = {.lex_state = 6},
  [3410] = {.lex_state = 0, .external_lex_state = 9},
  [3411] = {.lex_state = 68},
  [3412] = {.lex_state = 0, .external_lex_state = 9},
  [3413] = {.lex_state = 0, .external_lex_state = 9},
  [3414] = {.lex_state = 60, .external_lex_state = 11},
  [3415] = {.lex_state = 62, .external_lex_state = 15},
  [3416] = {.lex_state = 0, .external_lex_state = 9},
  [3417] = {.lex_state = 0, .external_lex_state = 9},
  [3418] = {.lex_state = 22, .external_lex_state = 10},
  [3419] = {.lex_state = 61, .external_lex_state = 11},
  [3420] = {.lex_state = 60, .external_lex_state = 11},
  [3421] = {.lex_state = 0, .external_lex_state = 9},
  [3422] = {.lex_state = 0, .external_lex_state = 9},
  [3423] = {.lex_state = 61, .external_lex_state = 11},
  [3424] = {.lex_state = 0, .external_lex_state = 9},
  [3425] = {.lex_state = 61, .external_lex_state = 11},
  [3426] = {.lex_state = 0, .external_lex_state = 9},
  [3427] = {.lex_state = 61, .external_lex_state = 11},
  [3428] = {.lex_state = 22, .external_lex_state = 19},
  [3429] = {.lex_state = 22, .external_lex_state = 10},
  [3430] = {.lex_state = 22, .external_lex_state = 10},
  [3431] = {.lex_state = 60, .external_lex_state = 22},
  [3432] = {.lex_state = 22, .external_lex_state = 10},
  [3433] = {.lex_state = 0, .external_lex_state = 9},
  [3434] = {.lex_state = 22, .external_lex_state = 19},
  [3435] = {.lex_state = 0, .external_lex_state = 9},
  [3436] = {.lex_state = 61, .external_lex_state = 11},
  [3437] = {.lex_state = 0, .external_lex_state = 9},
  [3438] = {.lex_state = 22, .external_lex_state = 10},
  [3439] = {.lex_state = 61, .external_lex_state = 11},
  [3440] = {.lex_state = 0, .external_lex_state = 9},
  [3441] = {.lex_state = 22, .external_lex_state = 10},
  [3442] = {.lex_state = 0, .external_lex_state = 9},
  [3443] = {.lex_state = 0, .external_lex_state = 9},
  [3444] = {.lex_state = 0, .external_lex_state = 9},
  [3445] = {.lex_state = 22, .external_lex_state = 10},
  [3446] = {.lex_state = 0, .external_lex_state = 9},
  [3447] = {.lex_state = 22, .external_lex_state = 10},
  [3448] = {.lex_state = 0, .external_lex_state = 9},
  [3449] = {.lex_state = 22, .external_lex_state = 10},
  [3450] = {.lex_state = 22, .external_lex_state = 10},
  [3451] = {.lex_state = 22, .external_lex_state = 10},
  [3452] = {.lex_state = 60, .external_lex_state = 11},
  [3453] = {.lex_state = 22, .external_lex_state = 10},
  [3454] = {.lex_state = 22, .external_lex_state = 10},
  [3455] = {.lex_state = 0, .external_lex_state = 9},
  [3456] = {.lex_state = 0, .external_lex_state = 9},
  [3457] = {.lex_state = 0, .external_lex_state = 9},
  [3458] = {.lex_state = 0, .external_lex_state = 9},
  [3459] = {.lex_state = 0, .external_lex_state = 9},
  [3460] = {.lex_state = 22, .external_lex_state = 10},
  [3461] = {.lex_state = 65, .external_lex_state = 15},
  [3462] = {.lex_state = 6},
  [3463] = {.lex_state = 22, .external_lex_state = 10},
  [3464] = {.lex_state = 6},
  [3465] = {.lex_state = 0},
  [3466] = {.lex_state = 59, .external_lex_state = 12},
  [3467] = {.lex_state = 59, .external_lex_state = 12},
  [3468] = {.lex_state = 22, .external_lex_state = 14},
  [3469] = {.lex_state = 22, .external_lex_state = 14},
  [3470] = {.lex_state = 22, .external_lex_state = 14},
  [3471] = {.lex_state = 22, .external_lex_state = 14},
  [3472] = {.lex_state = 22, .external_lex_state = 14},
  [3473] = {.lex_state = 0, .external_lex_state = 9},
  [3474] = {.lex_state = 0, .external_lex_state = 9},
  [3475] = {.lex_state = 59, .external_lex_state = 12},
  [3476] = {.lex_state = 65, .external_lex_state = 15},
  [3477] = {.lex_state = 59, .external_lex_state = 12},
  [3478] = {.lex_state = 65, .external_lex_state = 15},
  [3479] = {.lex_state = 66, .external_lex_state = 11},
  [3480] = {.lex_state = 66, .external_lex_state = 11},
  [3481] = {.lex_state = 66, .external_lex_state = 11},
  [3482] = {.lex_state = 22, .external_lex_state = 14},
  [3483] = {.lex_state = 18, .external_lex_state = 11},
  [3484] = {.lex_state = 22, .external_lex_state = 14},
  [3485] = {.lex_state = 18, .external_lex_state = 11},
  [3486] = {.lex_state = 0, .external_lex_state = 33},
  [3487] = {.lex_state = 65, .external_lex_state = 15},
  [3488] = {.lex_state = 60, .external_lex_state = 12},
  [3489] = {.lex_state = 60, .external_lex_state = 12},
  [3490] = {.lex_state = 0, .external_lex_state = 9},
  [3491] = {.lex_state = 0, .external_lex_state = 9},
  [3492] = {.lex_state = 6},
  [3493] = {.lex_state = 6},
  [3494] = {.lex_state = 6},
  [3495] = {.lex_state = 0},
  [3496] = {.lex_state = 0, .external_lex_state = 33},
  [3497] = {.lex_state = 60, .external_lex_state = 12},
  [3498] = {.lex_state = 0, .external_lex_state = 33},
  [3499] = {.lex_state = 6},
  [3500] = {.lex_state = 18, .external_lex_state = 11},
  [3501] = {.lex_state = 0},
  [3502] = {.lex_state = 0, .external_lex_state = 9},
  [3503] = {.lex_state = 0, .external_lex_state = 9},
  [3504] = {.lex_state = 0},
  [3505] = {.lex_state = 61, .external_lex_state = 12},
  [3506] = {.lex_state = 61, .external_lex_state = 12},
  [3507] = {.lex_state = 0, .external_lex_state = 9},
  [3508] = {.lex_state = 0, .external_lex_state = 9},
  [3509] = {.lex_state = 62, .external_lex_state = 22},
  [3510] = {.lex_state = 62, .external_lex_state = 11},
  [3511] = {.lex_state = 62, .external_lex_state = 11},
  [3512] = {.lex_state = 22, .external_lex_state = 14},
  [3513] = {.lex_state = 22, .external_lex_state = 14},
  [3514] = {.lex_state = 22, .external_lex_state = 14},
  [3515] = {.lex_state = 62, .external_lex_state = 22},
  [3516] = {.lex_state = 22, .external_lex_state = 14},
  [3517] = {.lex_state = 22, .external_lex_state = 14},
  [3518] = {.lex_state = 23, .external_lex_state = 11},
  [3519] = {.lex_state = 22, .external_lex_state = 14},
  [3520] = {.lex_state = 65, .external_lex_state = 11},
  [3521] = {.lex_state = 65, .external_lex_state = 11},
  [3522] = {.lex_state = 22, .external_lex_state = 14},
  [3523] = {.lex_state = 65, .external_lex_state = 11},
  [3524] = {.lex_state = 22, .external_lex_state = 13},
  [3525] = {.lex_state = 22, .external_lex_state = 13},
  [3526] = {.lex_state = 22, .external_lex_state = 10},
  [3527] = {.lex_state = 22, .external_lex_state = 13},
  [3528] = {.lex_state = 22, .external_lex_state = 14},
  [3529] = {.lex_state = 22, .external_lex_state = 13},
  [3530] = {.lex_state = 4, .external_lex_state = 10},
  [3531] = {.lex_state = 4, .external_lex_state = 10},
  [3532] = {.lex_state = 62, .external_lex_state = 11},
  [3533] = {.lex_state = 60, .external_lex_state = 12},
  [3534] = {.lex_state = 22, .external_lex_state = 13},
  [3535] = {.lex_state = 62, .external_lex_state = 11},
  [3536] = {.lex_state = 60, .external_lex_state = 12},
  [3537] = {.lex_state = 22, .external_lex_state = 14},
  [3538] = {.lex_state = 23, .external_lex_state = 11},
  [3539] = {.lex_state = 23, .external_lex_state = 11},
  [3540] = {.lex_state = 22, .external_lex_state = 14},
  [3541] = {.lex_state = 4, .external_lex_state = 10},
  [3542] = {.lex_state = 60, .external_lex_state = 12},
  [3543] = {.lex_state = 18, .external_lex_state = 11},
  [3544] = {.lex_state = 23, .external_lex_state = 11},
  [3545] = {.lex_state = 22, .external_lex_state = 14},
  [3546] = {.lex_state = 62, .external_lex_state = 11},
  [3547] = {.lex_state = 0, .external_lex_state = 33},
  [3548] = {.lex_state = 4, .external_lex_state = 10},
  [3549] = {.lex_state = 60, .external_lex_state = 12},
  [3550] = {.lex_state = 62, .external_lex_state = 11},
  [3551] = {.lex_state = 60, .external_lex_state = 12},
  [3552] = {.lex_state = 22, .external_lex_state = 14},
  [3553] = {.lex_state = 66, .external_lex_state = 15},
  [3554] = {.lex_state = 62, .external_lex_state = 11},
  [3555] = {.lex_state = 61, .external_lex_state = 12},
  [3556] = {.lex_state = 66, .external_lex_state = 15},
  [3557] = {.lex_state = 22, .external_lex_state = 14},
  [3558] = {.lex_state = 66, .external_lex_state = 15},
  [3559] = {.lex_state = 22, .external_lex_state = 14},
  [3560] = {.lex_state = 0, .external_lex_state = 9},
  [3561] = {.lex_state = 0, .external_lex_state = 9},
  [3562] = {.lex_state = 22, .external_lex_state = 13},
  [3563] = {.lex_state = 66, .external_lex_state = 15},
  [3564] = {.lex_state = 22, .external_lex_state = 14},
  [3565] = {.lex_state = 22, .external_lex_state = 14},
  [3566] = {.lex_state = 61, .external_lex_state = 12},
  [3567] = {.lex_state = 62, .external_lex_state = 11},
  [3568] = {.lex_state = 60, .external_lex_state = 12},
  [3569] = {.lex_state = 61, .external_lex_state = 12},
  [3570] = {.lex_state = 62, .external_lex_state = 11},
  [3571] = {.lex_state = 61, .external_lex_state = 12},
  [3572] = {.lex_state = 61, .external_lex_state = 12},
  [3573] = {.lex_state = 61, .external_lex_state = 12},
  [3574] = {.lex_state = 61, .external_lex_state = 12},
  [3575] = {.lex_state = 22, .external_lex_state = 14},
  [3576] = {.lex_state = 22, .external_lex_state = 13},
  [3577] = {.lex_state = 22, .external_lex_state = 10},
  [3578] = {.lex_state = 23, .external_lex_state = 12},
  [3579] = {.lex_state = 0, .external_lex_state = 9},
  [3580] = {.lex_state = 22, .external_lex_state = 10},
  [3581] = {.lex_state = 0},
  [3582] = {.lex_state = 0, .external_lex_state = 9},
  [3583] = {.lex_state = 0, .external_lex_state = 9},
  [3584] = {.lex_state = 18, .external_lex_state = 12},
  [3585] = {.lex_state = 0, .external_lex_state = 9},
  [3586] = {.lex_state = 4, .external_lex_state = 11},
  [3587] = {.lex_state = 0, .external_lex_state = 9},
  [3588] = {.lex_state = 18, .external_lex_state = 12},
  [3589] = {.lex_state = 0, .external_lex_state = 9},
  [3590] = {.lex_state = 0, .external_lex_state = 9},
  [3591] = {.lex_state = 23, .external_lex_state = 12},
  [3592] = {.lex_state = 0, .external_lex_state = 33},
  [3593] = {.lex_state = 22, .external_lex_state = 13},
  [3594] = {.lex_state = 23, .external_lex_state = 12},
  [3595] = {.lex_state = 0, .external_lex_state = 9},
  [3596] = {.lex_state = 0, .external_lex_state = 9},
  [3597] = {.lex_state = 61, .external_lex_state = 15},
  [3598] = {.lex_state = 18, .external_lex_state = 12},
  [3599] = {.lex_state = 18, .external_lex_state = 12},
  [3600] = {.lex_state = 61, .external_lex_state = 15},
  [3601] = {.lex_state = 61, .external_lex_state = 15},
  [3602] = {.lex_state = 61, .external_lex_state = 15},
  [3603] = {.lex_state = 22, .external_lex_state = 13},
  [3604] = {.lex_state = 61, .external_lex_state = 15},
  [3605] = {.lex_state = 61, .external_lex_state = 15},
  [3606] = {.lex_state = 23, .external_lex_state = 12},
  [3607] = {.lex_state = 22, .external_lex_state = 10},
  [3608] = {.lex_state = 0, .external_lex_state = 9},
  [3609] = {.lex_state = 0, .external_lex_state = 9},
  [3610] = {.lex_state = 22, .external_lex_state = 13},
  [3611] = {.lex_state = 0, .external_lex_state = 9},
  [3612] = {.lex_state = 22, .external_lex_state = 13},
  [3613] = {.lex_state = 4, .external_lex_state = 14},
  [3614] = {.lex_state = 4, .external_lex_state = 14},
  [3615] = {.lex_state = 4, .external_lex_state = 10},
  [3616] = {.lex_state = 4, .external_lex_state = 10},
  [3617] = {.lex_state = 0, .external_lex_state = 33},
  [3618] = {.lex_state = 0},
  [3619] = {.lex_state = 66, .external_lex_state = 22},
  [3620] = {.lex_state = 23, .external_lex_state = 11},
  [3621] = {.lex_state = 0, .external_lex_state = 9},
  [3622] = {.lex_state = 0, .external_lex_state = 9},
  [3623] = {.lex_state = 22, .external_lex_state = 10},
  [3624] = {.lex_state = 4, .external_lex_state = 10},
  [3625] = {.lex_state = 0},
  [3626] = {.lex_state = 62, .external_lex_state = 12},
  [3627] = {.lex_state = 62, .external_lex_state = 12},
  [3628] = {.lex_state = 61, .external_lex_state = 15},
  [3629] = {.lex_state = 4, .external_lex_state = 11},
  [3630] = {.lex_state = 4, .external_lex_state = 11},
  [3631] = {.lex_state = 4, .external_lex_state = 10},
  [3632] = {.lex_state = 4, .external_lex_state = 11},
  [3633] = {.lex_state = 0},
  [3634] = {.lex_state = 65, .external_lex_state = 22},
  [3635] = {.lex_state = 4, .external_lex_state = 14},
  [3636] = {.lex_state = 22, .external_lex_state = 13},
  [3637] = {.lex_state = 60, .external_lex_state = 15},
  [3638] = {.lex_state = 60, .external_lex_state = 15},
  [3639] = {.lex_state = 66, .external_lex_state = 22},
  [3640] = {.lex_state = 22, .external_lex_state = 13},
  [3641] = {.lex_state = 22, .external_lex_state = 10},
  [3642] = {.lex_state = 22, .external_lex_state = 16},
  [3643] = {.lex_state = 66, .external_lex_state = 22},
  [3644] = {.lex_state = 22, .external_lex_state = 13},
  [3645] = {.lex_state = 66, .external_lex_state = 22},
  [3646] = {.lex_state = 0},
  [3647] = {.lex_state = 0},
  [3648] = {.lex_state = 0, .external_lex_state = 33},
  [3649] = {.lex_state = 0},
  [3650] = {.lex_state = 22, .external_lex_state = 16},
  [3651] = {.lex_state = 22, .external_lex_state = 13},
  [3652] = {.lex_state = 18, .external_lex_state = 11},
  [3653] = {.lex_state = 65, .external_lex_state = 22},
  [3654] = {.lex_state = 0},
  [3655] = {.lex_state = 0},
  [3656] = {.lex_state = 0},
  [3657] = {.lex_state = 0, .external_lex_state = 33},
  [3658] = {.lex_state = 0},
  [3659] = {.lex_state = 59, .external_lex_state = 11},
  [3660] = {.lex_state = 59, .external_lex_state = 11},
  [3661] = {.lex_state = 22, .external_lex_state = 18},
  [3662] = {.lex_state = 22, .external_lex_state = 18},
  [3663] = {.lex_state = 22, .external_lex_state = 10},
  [3664] = {.lex_state = 0, .external_lex_state = 33},
  [3665] = {.lex_state = 22, .external_lex_state = 18},
  [3666] = {.lex_state = 65, .external_lex_state = 12},
  [3667] = {.lex_state = 22, .external_lex_state = 18},
  [3668] = {.lex_state = 22, .external_lex_state = 18},
  [3669] = {.lex_state = 22, .external_lex_state = 18},
  [3670] = {.lex_state = 59, .external_lex_state = 11},
  [3671] = {.lex_state = 65, .external_lex_state = 12},
  [3672] = {.lex_state = 22, .external_lex_state = 18},
  [3673] = {.lex_state = 65, .external_lex_state = 12},
  [3674] = {.lex_state = 0, .external_lex_state = 9},
  [3675] = {.lex_state = 66, .external_lex_state = 12},
  [3676] = {.lex_state = 0},
  [3677] = {.lex_state = 0},
  [3678] = {.lex_state = 0},
  [3679] = {.lex_state = 66, .external_lex_state = 12},
  [3680] = {.lex_state = 66, .external_lex_state = 12},
  [3681] = {.lex_state = 61, .external_lex_state = 15},
  [3682] = {.lex_state = 22, .external_lex_state = 10},
  [3683] = {.lex_state = 22, .external_lex_state = 18},
  [3684] = {.lex_state = 22, .external_lex_state = 18},
  [3685] = {.lex_state = 0, .external_lex_state = 33},
  [3686] = {.lex_state = 0, .external_lex_state = 33},
  [3687] = {.lex_state = 22, .external_lex_state = 18},
  [3688] = {.lex_state = 0, .external_lex_state = 9},
  [3689] = {.lex_state = 0, .external_lex_state = 9},
  [3690] = {.lex_state = 22, .external_lex_state = 13},
  [3691] = {.lex_state = 0, .external_lex_state = 9},
  [3692] = {.lex_state = 62, .external_lex_state = 12},
  [3693] = {.lex_state = 0, .external_lex_state = 9},
  [3694] = {.lex_state = 65, .external_lex_state = 22},
  [3695] = {.lex_state = 61, .external_lex_state = 15},
  [3696] = {.lex_state = 0, .external_lex_state = 9},
  [3697] = {.lex_state = 0, .external_lex_state = 9},
  [3698] = {.lex_state = 0, .external_lex_state = 9},
  [3699] = {.lex_state = 4, .external_lex_state = 14},
  [3700] = {.lex_state = 22, .external_lex_state = 16},
  [3701] = {.lex_state = 0, .external_lex_state = 9},
  [3702] = {.lex_state = 0, .external_lex_state = 9},
  [3703] = {.lex_state = 0, .external_lex_state = 9},
  [3704] = {.lex_state = 0, .external_lex_state = 9},
  [3705] = {.lex_state = 22, .external_lex_state = 18},
  [3706] = {.lex_state = 22, .external_lex_state = 18},
  [3707] = {.lex_state = 60, .external_lex_state = 17},
  [3708] = {.lex_state = 0, .external_lex_state = 9},
  [3709] = {.lex_state = 0, .external_lex_state = 9},
  [3710] = {.lex_state = 22, .external_lex_state = 16},
  [3711] = {.lex_state = 0, .external_lex_state = 9},
  [3712] = {.lex_state = 0},
  [3713] = {.lex_state = 0, .external_lex_state = 9},
  [3714] = {.lex_state = 0, .external_lex_state = 9},
  [3715] = {.lex_state = 60, .external_lex_state = 15},
  [3716] = {.lex_state = 0, .external_lex_state = 9},
  [3717] = {.lex_state = 0, .external_lex_state = 9},
  [3718] = {.lex_state = 22, .external_lex_state = 18},
  [3719] = {.lex_state = 0, .external_lex_state = 9},
  [3720] = {.lex_state = 0, .external_lex_state = 9},
  [3721] = {.lex_state = 0, .external_lex_state = 9},
  [3722] = {.lex_state = 0, .external_lex_state = 9},
  [3723] = {.lex_state = 60, .external_lex_state = 15},
  [3724] = {.lex_state = 22, .external_lex_state = 18},
  [3725] = {.lex_state = 22, .external_lex_state = 14},
  [3726] = {.lex_state = 60, .external_lex_state = 15},
  [3727] = {.lex_state = 22, .external_lex_state = 14},
  [3728] = {.lex_state = 60, .external_lex_state = 15},
  [3729] = {.lex_state = 22, .external_lex_state = 16},
  [3730] = {.lex_state = 65, .external_lex_state = 22},
  [3731] = {.lex_state = 0, .external_lex_state = 9},
  [3732] = {.lex_state = 0, .external_lex_state = 9},
  [3733] = {.lex_state = 60, .external_lex_state = 15},
  [3734] = {.lex_state = 22, .external_lex_state = 14},
  [3735] = {.lex_state = 60, .external_lex_state = 15},
  [3736] = {.lex_state = 22, .external_lex_state = 13},
  [3737] = {.lex_state = 0, .external_lex_state = 9},
  [3738] = {.lex_state = 22, .external_lex_state = 18},
  [3739] = {.lex_state = 0, .external_lex_state = 9},
  [3740] = {.lex_state = 22, .external_lex_state = 18},
  [3741] = {.lex_state = 0, .external_lex_state = 9},
  [3742] = {.lex_state = 0},
  [3743] = {.lex_state = 0, .external_lex_state = 9},
  [3744] = {.lex_state = 62, .external_lex_state = 12},
  [3745] = {.lex_state = 22, .external_lex_state = 18},
  [3746] = {.lex_state = 60, .external_lex_state = 15},
  [3747] = {.lex_state = 0, .external_lex_state = 9},
  [3748] = {.lex_state = 0, .external_lex_state = 9},
  [3749] = {.lex_state = 0, .external_lex_state = 9},
  [3750] = {.lex_state = 22, .external_lex_state = 18},
  [3751] = {.lex_state = 0, .external_lex_state = 9},
  [3752] = {.lex_state = 0, .external_lex_state = 9},
  [3753] = {.lex_state = 22, .external_lex_state = 18},
  [3754] = {.lex_state = 0, .external_lex_state = 9},
  [3755] = {.lex_state = 62, .external_lex_state = 12},
  [3756] = {.lex_state = 0, .external_lex_state = 9},
  [3757] = {.lex_state = 22, .external_lex_state = 16},
  [3758] = {.lex_state = 0, .external_lex_state = 9},
  [3759] = {.lex_state = 62, .external_lex_state = 12},
  [3760] = {.lex_state = 0, .external_lex_state = 9},
  [3761] = {.lex_state = 0, .external_lex_state = 9},
  [3762] = {.lex_state = 0, .external_lex_state = 9},
  [3763] = {.lex_state = 62, .external_lex_state = 12},
  [3764] = {.lex_state = 0, .external_lex_state = 9},
  [3765] = {.lex_state = 0, .external_lex_state = 9},
  [3766] = {.lex_state = 0, .external_lex_state = 9},
  [3767] = {.lex_state = 62, .external_lex_state = 12},
  [3768] = {.lex_state = 22, .external_lex_state = 13},
  [3769] = {.lex_state = 0, .external_lex_state = 9},
  [3770] = {.lex_state = 59, .external_lex_state = 15},
  [3771] = {.lex_state = 62, .external_lex_state = 12},
  [3772] = {.lex_state = 0, .external_lex_state = 9},
  [3773] = {.lex_state = 0, .external_lex_state = 9},
  [3774] = {.lex_state = 22, .external_lex_state = 18},
  [3775] = {.lex_state = 0, .external_lex_state = 9},
  [3776] = {.lex_state = 0, .external_lex_state = 9},
  [3777] = {.lex_state = 0, .external_lex_state = 9},
  [3778] = {.lex_state = 59, .external_lex_state = 15},
  [3779] = {.lex_state = 22, .external_lex_state = 18},
  [3780] = {.lex_state = 0},
  [3781] = {.lex_state = 60, .external_lex_state = 17},
  [3782] = {.lex_state = 22, .external_lex_state = 18},
  [3783] = {.lex_state = 0, .external_lex_state = 9},
  [3784] = {.lex_state = 22, .external_lex_state = 18},
  [3785] = {.lex_state = 0, .external_lex_state = 9},
  [3786] = {.lex_state = 0, .external_lex_state = 9},
  [3787] = {.lex_state = 0, .external_lex_state = 9},
  [3788] = {.lex_state = 0, .external_lex_state = 9},
  [3789] = {.lex_state = 59, .external_lex_state = 15},
  [3790] = {.lex_state = 0, .external_lex_state = 33},
  [3791] = {.lex_state = 0, .external_lex_state = 9},
  [3792] = {.lex_state = 0, .external_lex_state = 9},
  [3793] = {.lex_state = 22, .external_lex_state = 13},
  [3794] = {.lex_state = 59, .external_lex_state = 15},
  [3795] = {.lex_state = 22, .external_lex_state = 18},
  [3796] = {.lex_state = 0},
  [3797] = {.lex_state = 0},
  [3798] = {.lex_state = 0},
  [3799] = {.lex_state = 4, .external_lex_state = 18},
  [3800] = {.lex_state = 22, .external_lex_state = 13},
  [3801] = {.lex_state = 22, .external_lex_state = 14},
  [3802] = {.lex_state = 22, .external_lex_state = 14},
  [3803] = {.lex_state = 4, .external_lex_state = 18},
  [3804] = {.lex_state = 22, .external_lex_state = 16},
  [3805] = {.lex_state = 4, .external_lex_state = 14},
  [3806] = {.lex_state = 0},
  [3807] = {.lex_state = 60, .external_lex_state = 22},
  [3808] = {.lex_state = 60, .external_lex_state = 22},
  [3809] = {.lex_state = 22, .external_lex_state = 16},
  [3810] = {.lex_state = 4, .external_lex_state = 18},
  [3811] = {.lex_state = 22, .external_lex_state = 10},
  [3812] = {.lex_state = 22, .external_lex_state = 16},
  [3813] = {.lex_state = 22, .external_lex_state = 16},
  [3814] = {.lex_state = 62, .external_lex_state = 15},
  [3815] = {.lex_state = 22, .external_lex_state = 16},
  [3816] = {.lex_state = 22, .external_lex_state = 14},
  [3817] = {.lex_state = 18, .external_lex_state = 13},
  [3818] = {.lex_state = 0},
  [3819] = {.lex_state = 22, .external_lex_state = 16},
  [3820] = {.lex_state = 22, .external_lex_state = 14},
  [3821] = {.lex_state = 66, .external_lex_state = 15},
  [3822] = {.lex_state = 66, .external_lex_state = 15},
  [3823] = {.lex_state = 66, .external_lex_state = 15},
  [3824] = {.lex_state = 4, .external_lex_state = 14},
  [3825] = {.lex_state = 4, .external_lex_state = 18},
  [3826] = {.lex_state = 0},
  [3827] = {.lex_state = 60, .external_lex_state = 22},
  [3828] = {.lex_state = 0},
  [3829] = {.lex_state = 0},
  [3830] = {.lex_state = 22, .external_lex_state = 13},
  [3831] = {.lex_state = 23, .external_lex_state = 13},
  [3832] = {.lex_state = 22, .external_lex_state = 19},
  [3833] = {.lex_state = 0},
  [3834] = {.lex_state = 22, .external_lex_state = 19},
  [3835] = {.lex_state = 22, .external_lex_state = 19},
  [3836] = {.lex_state = 22, .external_lex_state = 19},
  [3837] = {.lex_state = 60, .external_lex_state = 22},
  [3838] = {.lex_state = 62, .external_lex_state = 15},
  [3839] = {.lex_state = 22, .external_lex_state = 19},
  [3840] = {.lex_state = 0},
  [3841] = {.lex_state = 22, .external_lex_state = 19},
  [3842] = {.lex_state = 22, .external_lex_state = 19},
  [3843] = {.lex_state = 62, .external_lex_state = 15},
  [3844] = {.lex_state = 0},
  [3845] = {.lex_state = 62, .external_lex_state = 15},
  [3846] = {.lex_state = 23, .external_lex_state = 13},
  [3847] = {.lex_state = 0},
  [3848] = {.lex_state = 62, .external_lex_state = 15},
  [3849] = {.lex_state = 22, .external_lex_state = 19},
  [3850] = {.lex_state = 22, .external_lex_state = 19},
  [3851] = {.lex_state = 22, .external_lex_state = 19},
  [3852] = {.lex_state = 4, .external_lex_state = 14},
  [3853] = {.lex_state = 23, .external_lex_state = 15},
  [3854] = {.lex_state = 0},
  [3855] = {.lex_state = 22, .external_lex_state = 13},
  [3856] = {.lex_state = 22, .external_lex_state = 19},
  [3857] = {.lex_state = 62, .external_lex_state = 15},
  [3858] = {.lex_state = 62, .external_lex_state = 15},
  [3859] = {.lex_state = 22, .external_lex_state = 19},
  [3860] = {.lex_state = 60, .external_lex_state = 22},
  [3861] = {.lex_state = 22, .external_lex_state = 19},
  [3862] = {.lex_state = 22, .external_lex_state = 19},
  [3863] = {.lex_state = 22, .external_lex_state = 19},
  [3864] = {.lex_state = 4, .external_lex_state = 14},
  [3865] = {.lex_state = 22, .external_lex_state = 19},
  [3866] = {.lex_state = 4, .external_lex_state = 12},
  [3867] = {.lex_state = 22, .external_lex_state = 19},
  [3868] = {.lex_state = 0},
  [3869] = {.lex_state = 22, .external_lex_state = 14},
  [3870] = {.lex_state = 62, .external_lex_state = 15},
  [3871] = {.lex_state = 22, .external_lex_state = 13},
  [3872] = {.lex_state = 0},
  [3873] = {.lex_state = 0},
  [3874] = {.lex_state = 23, .external_lex_state = 15},
  [3875] = {.lex_state = 23, .external_lex_state = 15},
  [3876] = {.lex_state = 23, .external_lex_state = 15},
  [3877] = {.lex_state = 59, .external_lex_state = 12},
  [3878] = {.lex_state = 59, .external_lex_state = 12},
  [3879] = {.lex_state = 22, .external_lex_state = 19},
  [3880] = {.lex_state = 22, .external_lex_state = 19},
  [3881] = {.lex_state = 22, .external_lex_state = 19},
  [3882] = {.lex_state = 22, .external_lex_state = 19},
  [3883] = {.lex_state = 0},
  [3884] = {.lex_state = 22, .external_lex_state = 19},
  [3885] = {.lex_state = 59, .external_lex_state = 12},
  [3886] = {.lex_state = 0},
  [3887] = {.lex_state = 22, .external_lex_state = 16},
  [3888] = {.lex_state = 0},
  [3889] = {.lex_state = 4, .external_lex_state = 12},
  [3890] = {.lex_state = 22, .external_lex_state = 19},
  [3891] = {.lex_state = 4, .external_lex_state = 12},
  [3892] = {.lex_state = 22, .external_lex_state = 14},
  [3893] = {.lex_state = 22, .external_lex_state = 19},
  [3894] = {.lex_state = 22, .external_lex_state = 16},
  [3895] = {.lex_state = 18, .external_lex_state = 13},
  [3896] = {.lex_state = 65, .external_lex_state = 15},
  [3897] = {.lex_state = 22, .external_lex_state = 16},
  [3898] = {.lex_state = 65, .external_lex_state = 15},
  [3899] = {.lex_state = 65, .external_lex_state = 15},
  [3900] = {.lex_state = 60, .external_lex_state = 22},
  [3901] = {.lex_state = 60, .external_lex_state = 22},
  [3902] = {.lex_state = 22, .external_lex_state = 16},
  [3903] = {.lex_state = 60, .external_lex_state = 22},
  [3904] = {.lex_state = 0},
  [3905] = {.lex_state = 4, .external_lex_state = 12},
  [3906] = {.lex_state = 62, .external_lex_state = 17},
  [3907] = {.lex_state = 62, .external_lex_state = 17},
  [3908] = {.lex_state = 22, .external_lex_state = 16},
  [3909] = {.lex_state = 0},
  [3910] = {.lex_state = 23, .external_lex_state = 12},
  [3911] = {.lex_state = 18, .external_lex_state = 12},
  [3912] = {.lex_state = 0},
  [3913] = {.lex_state = 18, .external_lex_state = 15},
  [3914] = {.lex_state = 0},
  [3915] = {.lex_state = 61, .external_lex_state = 22},
  [3916] = {.lex_state = 0},
  [3917] = {.lex_state = 0},
  [3918] = {.lex_state = 0},
  [3919] = {.lex_state = 4, .external_lex_state = 11},
  [3920] = {.lex_state = 0},
  [3921] = {.lex_state = 0},
  [3922] = {.lex_state = 0},
  [3923] = {.lex_state = 0},
  [3924] = {.lex_state = 0},
  [3925] = {.lex_state = 0},
  [3926] = {.lex_state = 61, .external_lex_state = 22},
  [3927] = {.lex_state = 61, .external_lex_state = 22},
  [3928] = {.lex_state = 22, .external_lex_state = 14},
  [3929] = {.lex_state = 22, .external_lex_state = 25},
  [3930] = {.lex_state = 61, .external_lex_state = 22},
  [3931] = {.lex_state = 61, .external_lex_state = 22},
  [3932] = {.lex_state = 18, .external_lex_state = 15},
  [3933] = {.lex_state = 59, .external_lex_state = 22},
  [3934] = {.lex_state = 18, .external_lex_state = 15},
  [3935] = {.lex_state = 61, .external_lex_state = 22},
  [3936] = {.lex_state = 0},
  [3937] = {.lex_state = 61, .external_lex_state = 22},
  [3938] = {.lex_state = 22, .external_lex_state = 16},
  [3939] = {.lex_state = 0},
  [3940] = {.lex_state = 0},
  [3941] = {.lex_state = 0},
  [3942] = {.lex_state = 0},
  [3943] = {.lex_state = 0},
  [3944] = {.lex_state = 0},
  [3945] = {.lex_state = 0},
  [3946] = {.lex_state = 0},
  [3947] = {.lex_state = 59, .external_lex_state = 22},
  [3948] = {.lex_state = 60, .external_lex_state = 20},
  [3949] = {.lex_state = 22, .external_lex_state = 16},
  [3950] = {.lex_state = 18, .external_lex_state = 15},
  [3951] = {.lex_state = 59, .external_lex_state = 22},
  [3952] = {.lex_state = 0},
  [3953] = {.lex_state = 59, .external_lex_state = 22},
  [3954] = {.lex_state = 0},
  [3955] = {.lex_state = 62, .external_lex_state = 15},
  [3956] = {.lex_state = 0},
  [3957] = {.lex_state = 0},
  [3958] = {.lex_state = 60, .external_lex_state = 22},
  [3959] = {.lex_state = 60, .external_lex_state = 20},
  [3960] = {.lex_state = 0},
  [3961] = {.lex_state = 0},
  [3962] = {.lex_state = 0},
  [3963] = {.lex_state = 0},
  [3964] = {.lex_state = 0},
  [3965] = {.lex_state = 22, .external_lex_state = 18},
  [3966] = {.lex_state = 22, .external_lex_state = 25},
  [3967] = {.lex_state = 0},
  [3968] = {.lex_state = 22, .external_lex_state = 18},
  [3969] = {.lex_state = 22, .external_lex_state = 25},
  [3970] = {.lex_state = 0},
  [3971] = {.lex_state = 0},
  [3972] = {.lex_state = 0},
  [3973] = {.lex_state = 0},
  [3974] = {.lex_state = 0},
  [3975] = {.lex_state = 0},
  [3976] = {.lex_state = 22, .external_lex_state = 25},
  [3977] = {.lex_state = 22, .external_lex_state = 18},
  [3978] = {.lex_state = 0},
  [3979] = {.lex_state = 0},
  [3980] = {.lex_state = 61, .external_lex_state = 22},
  [3981] = {.lex_state = 0},
  [3982] = {.lex_state = 22, .external_lex_state = 25},
  [3983] = {.lex_state = 0},
  [3984] = {.lex_state = 0},
  [3985] = {.lex_state = 22, .external_lex_state = 25},
  [3986] = {.lex_state = 0},
  [3987] = {.lex_state = 61, .external_lex_state = 22},
  [3988] = {.lex_state = 0},
  [3989] = {.lex_state = 22, .external_lex_state = 13},
  [3990] = {.lex_state = 22, .external_lex_state = 18},
  [3991] = {.lex_state = 65, .external_lex_state = 22},
  [3992] = {.lex_state = 22, .external_lex_state = 13},
  [3993] = {.lex_state = 22, .external_lex_state = 13},
  [3994] = {.lex_state = 22, .external_lex_state = 13},
  [3995] = {.lex_state = 4, .external_lex_state = 18},
  [3996] = {.lex_state = 22, .external_lex_state = 13},
  [3997] = {.lex_state = 4, .external_lex_state = 18},
  [3998] = {.lex_state = 18, .external_lex_state = 22},
  [3999] = {.lex_state = 22, .external_lex_state = 13},
  [4000] = {.lex_state = 4, .external_lex_state = 15},
  [4001] = {.lex_state = 22, .external_lex_state = 13},
  [4002] = {.lex_state = 22, .external_lex_state = 13},
  [4003] = {.lex_state = 62, .external_lex_state = 20},
  [4004] = {.lex_state = 22, .external_lex_state = 10},
  [4005] = {.lex_state = 60, .external_lex_state = 24},
  [4006] = {.lex_state = 22, .external_lex_state = 13},
  [4007] = {.lex_state = 22, .external_lex_state = 10},
  [4008] = {.lex_state = 4, .external_lex_state = 15},
  [4009] = {.lex_state = 22, .external_lex_state = 13},
  [4010] = {.lex_state = 4, .external_lex_state = 15},
  [4011] = {.lex_state = 22, .external_lex_state = 13},
  [4012] = {.lex_state = 22, .external_lex_state = 13},
  [4013] = {.lex_state = 22, .external_lex_state = 16},
  [4014] = {.lex_state = 22, .external_lex_state = 18},
  [4015] = {.lex_state = 22, .external_lex_state = 13},
  [4016] = {.lex_state = 22, .external_lex_state = 13},
  [4017] = {.lex_state = 22, .external_lex_state = 13},
  [4018] = {.lex_state = 22, .external_lex_state = 13},
  [4019] = {.lex_state = 22, .external_lex_state = 13},
  [4020] = {.lex_state = 4, .external_lex_state = 18},
  [4021] = {.lex_state = 22, .external_lex_state = 13},
  [4022] = {.lex_state = 22, .external_lex_state = 13},
  [4023] = {.lex_state = 22, .external_lex_state = 13},
  [4024] = {.lex_state = 22, .external_lex_state = 25},
  [4025] = {.lex_state = 22, .external_lex_state = 13},
  [4026] = {.lex_state = 22, .external_lex_state = 13},
  [4027] = {.lex_state = 22, .external_lex_state = 13},
  [4028] = {.lex_state = 22, .external_lex_state = 13},
  [4029] = {.lex_state = 22, .external_lex_state = 25},
  [4030] = {.lex_state = 4, .external_lex_state = 13},
  [4031] = {.lex_state = 22, .external_lex_state = 18},
  [4032] = {.lex_state = 22, .external_lex_state = 13},
  [4033] = {.lex_state = 22, .external_lex_state = 13},
  [4034] = {.lex_state = 22, .external_lex_state = 18},
  [4035] = {.lex_state = 22, .external_lex_state = 16},
  [4036] = {.lex_state = 22, .external_lex_state = 25},
  [4037] = {.lex_state = 22, .external_lex_state = 13},
  [4038] = {.lex_state = 22, .external_lex_state = 13},
  [4039] = {.lex_state = 22, .external_lex_state = 13},
  [4040] = {.lex_state = 22, .external_lex_state = 13},
  [4041] = {.lex_state = 22, .external_lex_state = 13},
  [4042] = {.lex_state = 22, .external_lex_state = 13},
  [4043] = {.lex_state = 22, .external_lex_state = 13},
  [4044] = {.lex_state = 4, .external_lex_state = 18},
  [4045] = {.lex_state = 22, .external_lex_state = 16},
  [4046] = {.lex_state = 22, .external_lex_state = 18},
  [4047] = {.lex_state = 22, .external_lex_state = 13},
  [4048] = {.lex_state = 22, .external_lex_state = 13},
  [4049] = {.lex_state = 59, .external_lex_state = 15},
  [4050] = {.lex_state = 22, .external_lex_state = 16},
  [4051] = {.lex_state = 22, .external_lex_state = 13},
  [4052] = {.lex_state = 22, .external_lex_state = 13},
  [4053] = {.lex_state = 59, .external_lex_state = 15},
  [4054] = {.lex_state = 59, .external_lex_state = 15},
  [4055] = {.lex_state = 4, .external_lex_state = 13},
  [4056] = {.lex_state = 22, .external_lex_state = 26},
  [4057] = {.lex_state = 22, .external_lex_state = 13},
  [4058] = {.lex_state = 0},
  [4059] = {.lex_state = 22, .external_lex_state = 13},
  [4060] = {.lex_state = 22, .external_lex_state = 13},
  [4061] = {.lex_state = 22, .external_lex_state = 13},
  [4062] = {.lex_state = 22, .external_lex_state = 13},
  [4063] = {.lex_state = 22, .external_lex_state = 13},
  [4064] = {.lex_state = 60, .external_lex_state = 24},
  [4065] = {.lex_state = 22, .external_lex_state = 13},
  [4066] = {.lex_state = 22, .external_lex_state = 13},
  [4067] = {.lex_state = 4, .external_lex_state = 15},
  [4068] = {.lex_state = 22, .external_lex_state = 16},
  [4069] = {.lex_state = 22, .external_lex_state = 13},
  [4070] = {.lex_state = 65, .external_lex_state = 17},
  [4071] = {.lex_state = 22, .external_lex_state = 13},
  [4072] = {.lex_state = 22, .external_lex_state = 13},
  [4073] = {.lex_state = 22, .external_lex_state = 13},
  [4074] = {.lex_state = 22, .external_lex_state = 13},
  [4075] = {.lex_state = 22, .external_lex_state = 13},
  [4076] = {.lex_state = 22, .external_lex_state = 13},
  [4077] = {.lex_state = 0},
  [4078] = {.lex_state = 21, .external_lex_state = 13},
  [4079] = {.lex_state = 22, .external_lex_state = 13},
  [4080] = {.lex_state = 22, .external_lex_state = 13},
  [4081] = {.lex_state = 22, .external_lex_state = 25},
  [4082] = {.lex_state = 22, .external_lex_state = 13},
  [4083] = {.lex_state = 22, .external_lex_state = 25},
  [4084] = {.lex_state = 0},
  [4085] = {.lex_state = 22, .external_lex_state = 13},
  [4086] = {.lex_state = 22, .external_lex_state = 13},
  [4087] = {.lex_state = 22, .external_lex_state = 18},
  [4088] = {.lex_state = 22, .external_lex_state = 13},
  [4089] = {.lex_state = 22, .external_lex_state = 13},
  [4090] = {.lex_state = 22, .external_lex_state = 13},
  [4091] = {.lex_state = 22, .external_lex_state = 13},
  [4092] = {.lex_state = 66, .external_lex_state = 22},
  [4093] = {.lex_state = 22, .external_lex_state = 13},
  [4094] = {.lex_state = 22, .external_lex_state = 13},
  [4095] = {.lex_state = 22, .external_lex_state = 13},
  [4096] = {.lex_state = 22, .external_lex_state = 13},
  [4097] = {.lex_state = 22, .external_lex_state = 25},
  [4098] = {.lex_state = 22, .external_lex_state = 13},
  [4099] = {.lex_state = 65, .external_lex_state = 17},
  [4100] = {.lex_state = 18, .external_lex_state = 22},
  [4101] = {.lex_state = 22, .external_lex_state = 13},
  [4102] = {.lex_state = 22, .external_lex_state = 13},
  [4103] = {.lex_state = 22, .external_lex_state = 26},
  [4104] = {.lex_state = 66, .external_lex_state = 22},
  [4105] = {.lex_state = 22, .external_lex_state = 13},
  [4106] = {.lex_state = 22, .external_lex_state = 13},
  [4107] = {.lex_state = 22, .external_lex_state = 13},
  [4108] = {.lex_state = 22, .external_lex_state = 13},
  [4109] = {.lex_state = 22, .external_lex_state = 13},
  [4110] = {.lex_state = 22, .external_lex_state = 13},
  [4111] = {.lex_state = 66, .external_lex_state = 22},
  [4112] = {.lex_state = 22, .external_lex_state = 19},
  [4113] = {.lex_state = 22, .external_lex_state = 13},
  [4114] = {.lex_state = 22, .external_lex_state = 13},
  [4115] = {.lex_state = 22, .external_lex_state = 13},
  [4116] = {.lex_state = 22, .external_lex_state = 13},
  [4117] = {.lex_state = 22, .external_lex_state = 13},
  [4118] = {.lex_state = 22, .external_lex_state = 13},
  [4119] = {.lex_state = 22, .external_lex_state = 13},
  [4120] = {.lex_state = 0},
  [4121] = {.lex_state = 22, .external_lex_state = 13},
  [4122] = {.lex_state = 22, .external_lex_state = 13},
  [4123] = {.lex_state = 22, .external_lex_state = 13},
  [4124] = {.lex_state = 22, .external_lex_state = 13},
  [4125] = {.lex_state = 22, .external_lex_state = 13},
  [4126] = {.lex_state = 22, .external_lex_state = 13},
  [4127] = {.lex_state = 22, .external_lex_state = 13},
  [4128] = {.lex_state = 22, .external_lex_state = 13},
  [4129] = {.lex_state = 22, .external_lex_state = 10},
  [4130] = {.lex_state = 22, .external_lex_state = 13},
  [4131] = {.lex_state = 65, .external_lex_state = 17},
  [4132] = {.lex_state = 22, .external_lex_state = 13},
  [4133] = {.lex_state = 22, .external_lex_state = 13},
  [4134] = {.lex_state = 22, .external_lex_state = 13},
  [4135] = {.lex_state = 22, .external_lex_state = 13},
  [4136] = {.lex_state = 22, .external_lex_state = 13},
  [4137] = {.lex_state = 22, .external_lex_state = 13},
  [4138] = {.lex_state = 22, .external_lex_state = 13},
  [4139] = {.lex_state = 22, .external_lex_state = 13},
  [4140] = {.lex_state = 22, .external_lex_state = 13},
  [4141] = {.lex_state = 4, .external_lex_state = 13},
  [4142] = {.lex_state = 22, .external_lex_state = 13},
  [4143] = {.lex_state = 22, .external_lex_state = 13},
  [4144] = {.lex_state = 22, .external_lex_state = 14},
  [4145] = {.lex_state = 22, .external_lex_state = 13},
  [4146] = {.lex_state = 22, .external_lex_state = 13},
  [4147] = {.lex_state = 22, .external_lex_state = 13},
  [4148] = {.lex_state = 22, .external_lex_state = 13},
  [4149] = {.lex_state = 22, .external_lex_state = 13},
  [4150] = {.lex_state = 22, .external_lex_state = 10},
  [4151] = {.lex_state = 22, .external_lex_state = 13},
  [4152] = {.lex_state = 23, .external_lex_state = 15},
  [4153] = {.lex_state = 22, .external_lex_state = 13},
  [4154] = {.lex_state = 62, .external_lex_state = 22},
  [4155] = {.lex_state = 22, .external_lex_state = 10},
  [4156] = {.lex_state = 4, .external_lex_state = 19},
  [4157] = {.lex_state = 22, .external_lex_state = 13},
  [4158] = {.lex_state = 0},
  [4159] = {.lex_state = 22, .external_lex_state = 13},
  [4160] = {.lex_state = 22, .external_lex_state = 13},
  [4161] = {.lex_state = 22, .external_lex_state = 13},
  [4162] = {.lex_state = 22, .external_lex_state = 26},
  [4163] = {.lex_state = 22, .external_lex_state = 13},
  [4164] = {.lex_state = 22, .external_lex_state = 26},
  [4165] = {.lex_state = 22, .external_lex_state = 19},
  [4166] = {.lex_state = 62, .external_lex_state = 22},
  [4167] = {.lex_state = 4, .external_lex_state = 12},
  [4168] = {.lex_state = 22, .external_lex_state = 13},
  [4169] = {.lex_state = 22, .external_lex_state = 13},
  [4170] = {.lex_state = 4, .external_lex_state = 19},
  [4171] = {.lex_state = 22, .external_lex_state = 26},
  [4172] = {.lex_state = 22, .external_lex_state = 19},
  [4173] = {.lex_state = 62, .external_lex_state = 22},
  [4174] = {.lex_state = 22, .external_lex_state = 13},
  [4175] = {.lex_state = 6},
  [4176] = {.lex_state = 22, .external_lex_state = 13},
  [4177] = {.lex_state = 22, .external_lex_state = 13},
  [4178] = {.lex_state = 22, .external_lex_state = 25},
  [4179] = {.lex_state = 62, .external_lex_state = 22},
  [4180] = {.lex_state = 22, .external_lex_state = 13},
  [4181] = {.lex_state = 23, .external_lex_state = 16},
  [4182] = {.lex_state = 65, .external_lex_state = 17},
  [4183] = {.lex_state = 22, .external_lex_state = 13},
  [4184] = {.lex_state = 62, .external_lex_state = 22},
  [4185] = {.lex_state = 62, .external_lex_state = 22},
  [4186] = {.lex_state = 22, .external_lex_state = 13},
  [4187] = {.lex_state = 4, .external_lex_state = 13},
  [4188] = {.lex_state = 22, .external_lex_state = 18},
  [4189] = {.lex_state = 18, .external_lex_state = 16},
  [4190] = {.lex_state = 22, .external_lex_state = 13},
  [4191] = {.lex_state = 4, .external_lex_state = 13},
  [4192] = {.lex_state = 62, .external_lex_state = 20},
  [4193] = {.lex_state = 62, .external_lex_state = 22},
  [4194] = {.lex_state = 23, .external_lex_state = 16},
  [4195] = {.lex_state = 62, .external_lex_state = 22},
  [4196] = {.lex_state = 22, .external_lex_state = 13},
  [4197] = {.lex_state = 22, .external_lex_state = 13},
  [4198] = {.lex_state = 65, .external_lex_state = 22},
  [4199] = {.lex_state = 22, .external_lex_state = 13},
  [4200] = {.lex_state = 22, .external_lex_state = 13},
  [4201] = {.lex_state = 22, .external_lex_state = 25},
  [4202] = {.lex_state = 17, .external_lex_state = 13},
  [4203] = {.lex_state = 18, .external_lex_state = 16},
  [4204] = {.lex_state = 18, .external_lex_state = 22},
  [4205] = {.lex_state = 22, .external_lex_state = 13},
  [4206] = {.lex_state = 22, .external_lex_state = 13},
  [4207] = {.lex_state = 22, .external_lex_state = 13},
  [4208] = {.lex_state = 4, .external_lex_state = 19},
  [4209] = {.lex_state = 23, .external_lex_state = 22},
  [4210] = {.lex_state = 22, .external_lex_state = 13},
  [4211] = {.lex_state = 23, .external_lex_state = 22},
  [4212] = {.lex_state = 22, .external_lex_state = 25},
  [4213] = {.lex_state = 22, .external_lex_state = 13},
  [4214] = {.lex_state = 23, .external_lex_state = 22},
  [4215] = {.lex_state = 23, .external_lex_state = 22},
  [4216] = {.lex_state = 4, .external_lex_state = 13},
  [4217] = {.lex_state = 18, .external_lex_state = 22},
  [4218] = {.lex_state = 22, .external_lex_state = 13},
  [4219] = {.lex_state = 22, .external_lex_state = 26},
  [4220] = {.lex_state = 62, .external_lex_state = 22},
  [4221] = {.lex_state = 65, .external_lex_state = 22},
  [4222] = {.lex_state = 22, .external_lex_state = 13},
  [4223] = {.lex_state = 22, .external_lex_state = 13},
  [4224] = {.lex_state = 22, .external_lex_state = 13},
  [4225] = {.lex_state = 22, .external_lex_state = 13},
  [4226] = {.lex_state = 4, .external_lex_state = 13},
  [4227] = {.lex_state = 22, .external_lex_state = 13},
  [4228] = {.lex_state = 4, .external_lex_state = 19},
  [4229] = {.lex_state = 22, .external_lex_state = 10},
  [4230] = {.lex_state = 18, .external_lex_state = 15},
  [4231] = {.lex_state = 17, .external_lex_state = 13},
  [4232] = {.lex_state = 22, .external_lex_state = 13},
  [4233] = {.lex_state = 59, .external_lex_state = 17},
  [4234] = {.lex_state = 0},
  [4235] = {.lex_state = 0},
  [4236] = {.lex_state = 22, .external_lex_state = 13},
  [4237] = {.lex_state = 22, .external_lex_state = 13},
  [4238] = {.lex_state = 4, .external_lex_state = 22},
  [4239] = {.lex_state = 18, .external_lex_state = 25},
  [4240] = {.lex_state = 22, .external_lex_state = 16},
  [4241] = {.lex_state = 22, .external_lex_state = 13},
  [4242] = {.lex_state = 22, .external_lex_state = 16},
  [4243] = {.lex_state = 4, .external_lex_state = 22},
  [4244] = {.lex_state = 22, .external_lex_state = 13},
  [4245] = {.lex_state = 0},
  [4246] = {.lex_state = 0},
  [4247] = {.lex_state = 22, .external_lex_state = 13},
  [4248] = {.lex_state = 22, .external_lex_state = 16},
  [4249] = {.lex_state = 0},
  [4250] = {.lex_state = 22, .external_lex_state = 13},
  [4251] = {.lex_state = 0},
  [4252] = {.lex_state = 22, .external_lex_state = 16},
  [4253] = {.lex_state = 0},
  [4254] = {.lex_state = 0},
  [4255] = {.lex_state = 22, .external_lex_state = 13},
  [4256] = {.lex_state = 22, .external_lex_state = 13},
  [4257] = {.lex_state = 22, .external_lex_state = 16},
  [4258] = {.lex_state = 4, .external_lex_state = 16},
  [4259] = {.lex_state = 22, .external_lex_state = 13},
  [4260] = {.lex_state = 22, .external_lex_state = 16},
  [4261] = {.lex_state = 22, .external_lex_state = 13},
  [4262] = {.lex_state = 22, .external_lex_state = 13},
  [4263] = {.lex_state = 22, .external_lex_state = 13},
  [4264] = {.lex_state = 0},
  [4265] = {.lex_state = 22, .external_lex_state = 13},
  [4266] = {.lex_state = 22, .external_lex_state = 16},
  [4267] = {.lex_state = 22, .external_lex_state = 13},
  [4268] = {.lex_state = 0},
  [4269] = {.lex_state = 0},
  [4270] = {.lex_state = 22, .external_lex_state = 13},
  [4271] = {.lex_state = 22, .external_lex_state = 13},
  [4272] = {.lex_state = 0},
  [4273] = {.lex_state = 22, .external_lex_state = 16},
  [4274] = {.lex_state = 22, .external_lex_state = 13},
  [4275] = {.lex_state = 0},
  [4276] = {.lex_state = 0},
  [4277] = {.lex_state = 22, .external_lex_state = 13},
  [4278] = {.lex_state = 0},
  [4279] = {.lex_state = 0},
  [4280] = {.lex_state = 0},
  [4281] = {.lex_state = 22, .external_lex_state = 16},
  [4282] = {.lex_state = 22, .external_lex_state = 13},
  [4283] = {.lex_state = 0},
  [4284] = {.lex_state = 22, .external_lex_state = 13},
  [4285] = {.lex_state = 22, .external_lex_state = 13},
  [4286] = {.lex_state = 0},
  [4287] = {.lex_state = 0},
  [4288] = {.lex_state = 22, .external_lex_state = 14},
  [4289] = {.lex_state = 0},
  [4290] = {.lex_state = 0},
  [4291] = {.lex_state = 22, .external_lex_state = 16},
  [4292] = {.lex_state = 22, .external_lex_state = 13},
  [4293] = {.lex_state = 4, .external_lex_state = 22},
  [4294] = {.lex_state = 22, .external_lex_state = 13},
  [4295] = {.lex_state = 22, .external_lex_state = 18},
  [4296] = {.lex_state = 4, .external_lex_state = 22},
  [4297] = {.lex_state = 0},
  [4298] = {.lex_state = 23, .external_lex_state = 22},
  [4299] = {.lex_state = 22, .external_lex_state = 13},
  [4300] = {.lex_state = 0},
  [4301] = {.lex_state = 0},
  [4302] = {.lex_state = 0},
  [4303] = {.lex_state = 0},
  [4304] = {.lex_state = 0},
  [4305] = {.lex_state = 0},
  [4306] = {.lex_state = 0},
  [4307] = {.lex_state = 0},
  [4308] = {.lex_state = 22, .external_lex_state = 13},
  [4309] = {.lex_state = 22, .external_lex_state = 16},
  [4310] = {.lex_state = 0},
  [4311] = {.lex_state = 22, .external_lex_state = 13},
  [4312] = {.lex_state = 22, .external_lex_state = 16},
  [4313] = {.lex_state = 0},
  [4314] = {.lex_state = 22, .external_lex_state = 13},
  [4315] = {.lex_state = 22, .external_lex_state = 16},
  [4316] = {.lex_state = 22, .external_lex_state = 13},
  [4317] = {.lex_state = 22, .external_lex_state = 13},
  [4318] = {.lex_state = 4, .external_lex_state = 19},
  [4319] = {.lex_state = 22, .external_lex_state = 13},
  [4320] = {.lex_state = 0},
  [4321] = {.lex_state = 0},
  [4322] = {.lex_state = 22, .external_lex_state = 13},
  [4323] = {.lex_state = 22, .external_lex_state = 16},
  [4324] = {.lex_state = 22, .external_lex_state = 13},
  [4325] = {.lex_state = 22, .external_lex_state = 13},
  [4326] = {.lex_state = 22, .external_lex_state = 13},
  [4327] = {.lex_state = 22, .external_lex_state = 16},
  [4328] = {.lex_state = 22, .external_lex_state = 13},
  [4329] = {.lex_state = 0},
  [4330] = {.lex_state = 22, .external_lex_state = 13},
  [4331] = {.lex_state = 22, .external_lex_state = 13},
  [4332] = {.lex_state = 22, .external_lex_state = 13},
  [4333] = {.lex_state = 0},
  [4334] = {.lex_state = 22, .external_lex_state = 13},
  [4335] = {.lex_state = 22, .external_lex_state = 13},
  [4336] = {.lex_state = 22, .external_lex_state = 16},
  [4337] = {.lex_state = 22, .external_lex_state = 13},
  [4338] = {.lex_state = 22, .external_lex_state = 13},
  [4339] = {.lex_state = 22, .external_lex_state = 13},
  [4340] = {.lex_state = 22, .external_lex_state = 13},
  [4341] = {.lex_state = 22, .external_lex_state = 16},
  [4342] = {.lex_state = 22, .external_lex_state = 13},
  [4343] = {.lex_state = 22, .external_lex_state = 13},
  [4344] = {.lex_state = 22, .external_lex_state = 13},
  [4345] = {.lex_state = 22, .external_lex_state = 13},
  [4346] = {.lex_state = 22, .external_lex_state = 13},
  [4347] = {.lex_state = 22, .external_lex_state = 13},
  [4348] = {.lex_state = 22, .external_lex_state = 16},
  [4349] = {.lex_state = 22, .external_lex_state = 13},
  [4350] = {.lex_state = 0},
  [4351] = {.lex_state = 0},
  [4352] = {.lex_state = 22, .external_lex_state = 13},
  [4353] = {.lex_state = 22, .external_lex_state = 13},
  [4354] = {.lex_state = 4, .external_lex_state = 19},
  [4355] = {.lex_state = 22, .external_lex_state = 13},
  [4356] = {.lex_state = 22, .external_lex_state = 13},
  [4357] = {.lex_state = 22, .external_lex_state = 13},
  [4358] = {.lex_state = 22, .external_lex_state = 13},
  [4359] = {.lex_state = 22, .external_lex_state = 16},
  [4360] = {.lex_state = 22, .external_lex_state = 13},
  [4361] = {.lex_state = 18, .external_lex_state = 25},
  [4362] = {.lex_state = 22, .external_lex_state = 13},
  [4363] = {.lex_state = 0},
  [4364] = {.lex_state = 0},
  [4365] = {.lex_state = 0},
  [4366] = {.lex_state = 22, .external_lex_state = 16},
  [4367] = {.lex_state = 22, .external_lex_state = 13},
  [4368] = {.lex_state = 0},
  [4369] = {.lex_state = 0},
  [4370] = {.lex_state = 22, .external_lex_state = 13},
  [4371] = {.lex_state = 22, .external_lex_state = 13},
  [4372] = {.lex_state = 22, .external_lex_state = 16},
  [4373] = {.lex_state = 22, .external_lex_state = 13},
  [4374] = {.lex_state = 22, .external_lex_state = 13},
  [4375] = {.lex_state = 22, .external_lex_state = 13},
  [4376] = {.lex_state = 22, .external_lex_state = 13},
  [4377] = {.lex_state = 0},
  [4378] = {.lex_state = 22, .external_lex_state = 13},
  [4379] = {.lex_state = 22, .external_lex_state = 13},
  [4380] = {.lex_state = 22, .external_lex_state = 16},
  [4381] = {.lex_state = 0},
  [4382] = {.lex_state = 0},
  [4383] = {.lex_state = 22, .external_lex_state = 14},
  [4384] = {.lex_state = 22, .external_lex_state = 19},
  [4385] = {.lex_state = 22, .external_lex_state = 13},
  [4386] = {.lex_state = 22, .external_lex_state = 16},
  [4387] = {.lex_state = 59, .external_lex_state = 17},
  [4388] = {.lex_state = 22, .external_lex_state = 13},
  [4389] = {.lex_state = 0},
  [4390] = {.lex_state = 22, .external_lex_state = 13},
  [4391] = {.lex_state = 22, .external_lex_state = 16},
  [4392] = {.lex_state = 22, .external_lex_state = 16},
  [4393] = {.lex_state = 18, .external_lex_state = 22},
  [4394] = {.lex_state = 22, .external_lex_state = 13},
  [4395] = {.lex_state = 22, .external_lex_state = 13},
  [4396] = {.lex_state = 22, .external_lex_state = 13},
  [4397] = {.lex_state = 17, .external_lex_state = 16},
  [4398] = {.lex_state = 60, .external_lex_state = 17},
  [4399] = {.lex_state = 59, .external_lex_state = 17},
  [4400] = {.lex_state = 22, .external_lex_state = 13},
  [4401] = {.lex_state = 22, .external_lex_state = 16},
  [4402] = {.lex_state = 59, .external_lex_state = 17},
  [4403] = {.lex_state = 22, .external_lex_state = 13},
  [4404] = {.lex_state = 22, .external_lex_state = 13},
  [4405] = {.lex_state = 4, .external_lex_state = 19},
  [4406] = {.lex_state = 22, .external_lex_state = 13},
  [4407] = {.lex_state = 22, .external_lex_state = 13},
  [4408] = {.lex_state = 22, .external_lex_state = 13},
  [4409] = {.lex_state = 4, .external_lex_state = 16},
  [4410] = {.lex_state = 22, .external_lex_state = 13},
  [4411] = {.lex_state = 22, .external_lex_state = 13},
  [4412] = {.lex_state = 0},
  [4413] = {.lex_state = 22, .external_lex_state = 19},
  [4414] = {.lex_state = 4, .external_lex_state = 13},
  [4415] = {.lex_state = 22, .external_lex_state = 16},
  [4416] = {.lex_state = 22, .external_lex_state = 13},
  [4417] = {.lex_state = 4, .external_lex_state = 19},
  [4418] = {.lex_state = 22, .external_lex_state = 13},
  [4419] = {.lex_state = 22, .external_lex_state = 13},
  [4420] = {.lex_state = 65, .external_lex_state = 20},
  [4421] = {.lex_state = 22, .external_lex_state = 13},
  [4422] = {.lex_state = 22, .external_lex_state = 16},
  [4423] = {.lex_state = 22, .external_lex_state = 13},
  [4424] = {.lex_state = 22, .external_lex_state = 13},
  [4425] = {.lex_state = 22, .external_lex_state = 13},
  [4426] = {.lex_state = 22, .external_lex_state = 13},
  [4427] = {.lex_state = 0},
  [4428] = {.lex_state = 22, .external_lex_state = 16},
  [4429] = {.lex_state = 22, .external_lex_state = 19},
  [4430] = {.lex_state = 4, .external_lex_state = 16},
  [4431] = {.lex_state = 22, .external_lex_state = 26},
  [4432] = {.lex_state = 22, .external_lex_state = 26},
  [4433] = {.lex_state = 22, .external_lex_state = 13},
  [4434] = {.lex_state = 0},
  [4435] = {.lex_state = 22, .external_lex_state = 13},
  [4436] = {.lex_state = 22, .external_lex_state = 13},
  [4437] = {.lex_state = 0},
  [4438] = {.lex_state = 22, .external_lex_state = 13},
  [4439] = {.lex_state = 22, .external_lex_state = 16},
  [4440] = {.lex_state = 0},
  [4441] = {.lex_state = 0},
  [4442] = {.lex_state = 22, .external_lex_state = 13},
  [4443] = {.lex_state = 22, .external_lex_state = 13},
  [4444] = {.lex_state = 22, .external_lex_state = 16},
  [4445] = {.lex_state = 22, .external_lex_state = 16},
  [4446] = {.lex_state = 22, .external_lex_state = 16},
  [4447] = {.lex_state = 22, .external_lex_state = 16},
  [4448] = {.lex_state = 22, .external_lex_state = 16},
  [4449] = {.lex_state = 22, .external_lex_state = 13},
  [4450] = {.lex_state = 22, .external_lex_state = 13},
  [4451] = {.lex_state = 22, .external_lex_state = 16},
  [4452] = {.lex_state = 0},
  [4453] = {.lex_state = 22, .external_lex_state = 16},
  [4454] = {.lex_state = 22, .external_lex_state = 13},
  [4455] = {.lex_state = 22, .external_lex_state = 13},
  [4456] = {.lex_state = 0},
  [4457] = {.lex_state = 22, .external_lex_state = 19},
  [4458] = {.lex_state = 22, .external_lex_state = 16},
  [4459] = {.lex_state = 22, .external_lex_state = 13},
  [4460] = {.lex_state = 22, .external_lex_state = 13},
  [4461] = {.lex_state = 22, .external_lex_state = 13},
  [4462] = {.lex_state = 4, .external_lex_state = 10},
  [4463] = {.lex_state = 22, .external_lex_state = 26},
  [4464] = {.lex_state = 59, .external_lex_state = 22},
  [4465] = {.lex_state = 59, .external_lex_state = 22},
  [4466] = {.lex_state = 22, .external_lex_state = 16},
  [4467] = {.lex_state = 22, .external_lex_state = 13},
  [4468] = {.lex_state = 22, .external_lex_state = 13},
  [4469] = {.lex_state = 22, .external_lex_state = 13},
  [4470] = {.lex_state = 23, .external_lex_state = 25},
  [4471] = {.lex_state = 22, .external_lex_state = 16},
  [4472] = {.lex_state = 22, .external_lex_state = 13},
  [4473] = {.lex_state = 22, .external_lex_state = 16},
  [4474] = {.lex_state = 0},
  [4475] = {.lex_state = 4, .external_lex_state = 10},
  [4476] = {.lex_state = 4, .external_lex_state = 10},
  [4477] = {.lex_state = 4, .external_lex_state = 10},
  [4478] = {.lex_state = 22, .external_lex_state = 13},
  [4479] = {.lex_state = 59, .external_lex_state = 22},
  [4480] = {.lex_state = 22, .external_lex_state = 16},
  [4481] = {.lex_state = 22, .external_lex_state = 13},
  [4482] = {.lex_state = 22, .external_lex_state = 13},
  [4483] = {.lex_state = 4, .external_lex_state = 10},
  [4484] = {.lex_state = 22, .external_lex_state = 13},
  [4485] = {.lex_state = 0},
  [4486] = {.lex_state = 22, .external_lex_state = 16},
  [4487] = {.lex_state = 0},
  [4488] = {.lex_state = 22, .external_lex_state = 13},
  [4489] = {.lex_state = 22, .external_lex_state = 14},
  [4490] = {.lex_state = 0},
  [4491] = {.lex_state = 60, .external_lex_state = 17},
  [4492] = {.lex_state = 0},
  [4493] = {.lex_state = 22, .external_lex_state = 16},
  [4494] = {.lex_state = 22, .external_lex_state = 13},
  [4495] = {.lex_state = 0},
  [4496] = {.lex_state = 22, .external_lex_state = 19},
  [4497] = {.lex_state = 22, .external_lex_state = 14},
  [4498] = {.lex_state = 0},
  [4499] = {.lex_state = 22, .external_lex_state = 13},
  [4500] = {.lex_state = 65, .external_lex_state = 20},
  [4501] = {.lex_state = 22, .external_lex_state = 16},
  [4502] = {.lex_state = 22, .external_lex_state = 13},
  [4503] = {.lex_state = 22, .external_lex_state = 26},
  [4504] = {.lex_state = 0},
  [4505] = {.lex_state = 65, .external_lex_state = 20},
  [4506] = {.lex_state = 0},
  [4507] = {.lex_state = 0},
  [4508] = {.lex_state = 0},
  [4509] = {.lex_state = 22, .external_lex_state = 13},
  [4510] = {.lex_state = 0},
  [4511] = {.lex_state = 22, .external_lex_state = 16},
  [4512] = {.lex_state = 22, .external_lex_state = 13},
  [4513] = {.lex_state = 22, .external_lex_state = 26},
  [4514] = {.lex_state = 22, .external_lex_state = 13},
  [4515] = {.lex_state = 65, .external_lex_state = 20},
  [4516] = {.lex_state = 62, .external_lex_state = 24},
  [4517] = {.lex_state = 0},
  [4518] = {.lex_state = 0},
  [4519] = {.lex_state = 22, .external_lex_state = 13},
  [4520] = {.lex_state = 60, .external_lex_state = 17},
  [4521] = {.lex_state = 0},
  [4522] = {.lex_state = 22, .external_lex_state = 13},
  [4523] = {.lex_state = 60, .external_lex_state = 17},
  [4524] = {.lex_state = 4, .external_lex_state = 13},
  [4525] = {.lex_state = 0},
  [4526] = {.lex_state = 0},
  [4527] = {.lex_state = 0},
  [4528] = {.lex_state = 0},
  [4529] = {.lex_state = 0},
  [4530] = {.lex_state = 22, .external_lex_state = 13},
  [4531] = {.lex_state = 4, .external_lex_state = 10},
  [4532] = {.lex_state = 22, .external_lex_state = 13},
  [4533] = {.lex_state = 4, .external_lex_state = 10},
  [4534] = {.lex_state = 22, .external_lex_state = 13},
  [4535] = {.lex_state = 22, .external_lex_state = 13},
  [4536] = {.lex_state = 22, .external_lex_state = 13},
  [4537] = {.lex_state = 0},
  [4538] = {.lex_state = 4, .external_lex_state = 10},
  [4539] = {.lex_state = 4, .external_lex_state = 10},
  [4540] = {.lex_state = 4, .external_lex_state = 10},
  [4541] = {.lex_state = 0},
  [4542] = {.lex_state = 60, .external_lex_state = 17},
  [4543] = {.lex_state = 4, .external_lex_state = 10},
  [4544] = {.lex_state = 22, .external_lex_state = 13},
  [4545] = {.lex_state = 22, .external_lex_state = 13},
  [4546] = {.lex_state = 22, .external_lex_state = 13},
  [4547] = {.lex_state = 4, .external_lex_state = 10},
  [4548] = {.lex_state = 4, .external_lex_state = 10},
  [4549] = {.lex_state = 22, .external_lex_state = 13},
  [4550] = {.lex_state = 22, .external_lex_state = 26},
  [4551] = {.lex_state = 22, .external_lex_state = 19},
  [4552] = {.lex_state = 22, .external_lex_state = 13},
  [4553] = {.lex_state = 22, .external_lex_state = 13},
  [4554] = {.lex_state = 22, .external_lex_state = 26},
  [4555] = {.lex_state = 22, .external_lex_state = 26},
  [4556] = {.lex_state = 22, .external_lex_state = 16},
  [4557] = {.lex_state = 22, .external_lex_state = 13},
  [4558] = {.lex_state = 22, .external_lex_state = 13},
  [4559] = {.lex_state = 22, .external_lex_state = 25},
  [4560] = {.lex_state = 22, .external_lex_state = 13},
  [4561] = {.lex_state = 23, .external_lex_state = 25},
  [4562] = {.lex_state = 4, .external_lex_state = 10},
  [4563] = {.lex_state = 4, .external_lex_state = 10},
  [4564] = {.lex_state = 22, .external_lex_state = 13},
  [4565] = {.lex_state = 4, .external_lex_state = 10},
  [4566] = {.lex_state = 4, .external_lex_state = 10},
  [4567] = {.lex_state = 0},
  [4568] = {.lex_state = 22, .external_lex_state = 13},
  [4569] = {.lex_state = 0},
  [4570] = {.lex_state = 22, .external_lex_state = 13},
  [4571] = {.lex_state = 0},
  [4572] = {.lex_state = 22, .external_lex_state = 13},
  [4573] = {.lex_state = 22, .external_lex_state = 13},
  [4574] = {.lex_state = 22, .external_lex_state = 13},
  [4575] = {.lex_state = 22, .external_lex_state = 13},
  [4576] = {.lex_state = 60, .external_lex_state = 17},
  [4577] = {.lex_state = 60, .external_lex_state = 17},
  [4578] = {.lex_state = 0},
  [4579] = {.lex_state = 4, .external_lex_state = 10},
  [4580] = {.lex_state = 0},
  [4581] = {.lex_state = 22, .external_lex_state = 25},
  [4582] = {.lex_state = 4, .external_lex_state = 10},
  [4583] = {.lex_state = 4, .external_lex_state = 10},
  [4584] = {.lex_state = 4, .external_lex_state = 10},
  [4585] = {.lex_state = 4, .external_lex_state = 10},
  [4586] = {.lex_state = 22, .external_lex_state = 21},
  [4587] = {.lex_state = 22, .external_lex_state = 13},
  [4588] = {.lex_state = 22, .external_lex_state = 16},
  [4589] = {.lex_state = 22, .external_lex_state = 16},
  [4590] = {.lex_state = 0},
  [4591] = {.lex_state = 22, .external_lex_state = 16},
  [4592] = {.lex_state = 22, .external_lex_state = 16},
  [4593] = {.lex_state = 22, .external_lex_state = 16},
  [4594] = {.lex_state = 0},
  [4595] = {.lex_state = 22, .external_lex_state = 16},
  [4596] = {.lex_state = 4, .external_lex_state = 16},
  [4597] = {.lex_state = 22, .external_lex_state = 26},
  [4598] = {.lex_state = 22, .external_lex_state = 16},
  [4599] = {.lex_state = 22, .external_lex_state = 13},
  [4600] = {.lex_state = 4, .external_lex_state = 10},
  [4601] = {.lex_state = 4, .external_lex_state = 10},
  [4602] = {.lex_state = 22, .external_lex_state = 13},
  [4603] = {.lex_state = 22, .external_lex_state = 13},
  [4604] = {.lex_state = 0},
  [4605] = {.lex_state = 60, .external_lex_state = 27},
  [4606] = {.lex_state = 22, .external_lex_state = 14},
  [4607] = {.lex_state = 22, .external_lex_state = 13},
  [4608] = {.lex_state = 22, .external_lex_state = 19},
  [4609] = {.lex_state = 0},
  [4610] = {.lex_state = 0},
  [4611] = {.lex_state = 60, .external_lex_state = 17},
  [4612] = {.lex_state = 0},
  [4613] = {.lex_state = 0},
  [4614] = {.lex_state = 0},
  [4615] = {.lex_state = 22, .external_lex_state = 13},
  [4616] = {.lex_state = 22, .external_lex_state = 16},
  [4617] = {.lex_state = 22, .external_lex_state = 13},
  [4618] = {.lex_state = 22, .external_lex_state = 13},
  [4619] = {.lex_state = 22, .external_lex_state = 16},
  [4620] = {.lex_state = 22, .external_lex_state = 13},
  [4621] = {.lex_state = 0},
  [4622] = {.lex_state = 0},
  [4623] = {.lex_state = 22, .external_lex_state = 13},
  [4624] = {.lex_state = 22, .external_lex_state = 13},
  [4625] = {.lex_state = 22, .external_lex_state = 13},
  [4626] = {.lex_state = 22, .external_lex_state = 13},
  [4627] = {.lex_state = 4, .external_lex_state = 13},
  [4628] = {.lex_state = 22, .external_lex_state = 13},
  [4629] = {.lex_state = 22, .external_lex_state = 13},
  [4630] = {.lex_state = 4, .external_lex_state = 16},
  [4631] = {.lex_state = 22, .external_lex_state = 13},
  [4632] = {.lex_state = 22, .external_lex_state = 16},
  [4633] = {.lex_state = 22, .external_lex_state = 16},
  [4634] = {.lex_state = 22, .external_lex_state = 16},
  [4635] = {.lex_state = 0},
  [4636] = {.lex_state = 22, .external_lex_state = 16},
  [4637] = {.lex_state = 22, .external_lex_state = 13},
  [4638] = {.lex_state = 0},
  [4639] = {.lex_state = 22, .external_lex_state = 16},
  [4640] = {.lex_state = 4, .external_lex_state = 16},
  [4641] = {.lex_state = 22, .external_lex_state = 13},
  [4642] = {.lex_state = 62, .external_lex_state = 24},
  [4643] = {.lex_state = 22, .external_lex_state = 13},
  [4644] = {.lex_state = 22, .external_lex_state = 13},
  [4645] = {.lex_state = 0},
  [4646] = {.lex_state = 22, .external_lex_state = 13},
  [4647] = {.lex_state = 22, .external_lex_state = 16},
  [4648] = {.lex_state = 22, .external_lex_state = 13},
  [4649] = {.lex_state = 22, .external_lex_state = 16},
  [4650] = {.lex_state = 22, .external_lex_state = 13},
  [4651] = {.lex_state = 0},
  [4652] = {.lex_state = 22, .external_lex_state = 16},
  [4653] = {.lex_state = 22, .external_lex_state = 16},
  [4654] = {.lex_state = 22, .external_lex_state = 13},
  [4655] = {.lex_state = 22, .external_lex_state = 16},
  [4656] = {.lex_state = 0},
  [4657] = {.lex_state = 22, .external_lex_state = 25},
  [4658] = {.lex_state = 0},
  [4659] = {.lex_state = 22, .external_lex_state = 13},
  [4660] = {.lex_state = 22, .external_lex_state = 13},
  [4661] = {.lex_state = 22, .external_lex_state = 13},
  [4662] = {.lex_state = 0},
  [4663] = {.lex_state = 0},
  [4664] = {.lex_state = 22, .external_lex_state = 13},
  [4665] = {.lex_state = 0},
  [4666] = {.lex_state = 22, .external_lex_state = 13},
  [4667] = {.lex_state = 0},
  [4668] = {.lex_state = 22, .external_lex_state = 13},
  [4669] = {.lex_state = 4, .external_lex_state = 16},
  [4670] = {.lex_state = 0},
  [4671] = {.lex_state = 17, .external_lex_state = 16},
  [4672] = {.lex_state = 22, .external_lex_state = 21},
  [4673] = {.lex_state = 22, .external_lex_state = 16},
  [4674] = {.lex_state = 22, .external_lex_state = 16},
  [4675] = {.lex_state = 22, .external_lex_state = 13},
  [4676] = {.lex_state = 22, .external_lex_state = 16},
  [4677] = {.lex_state = 22, .external_lex_state = 13},
  [4678] = {.lex_state = 22, .external_lex_state = 16},
  [4679] = {.lex_state = 22, .external_lex_state = 16},
  [4680] = {.lex_state = 22, .external_lex_state = 16},
  [4681] = {.lex_state = 22, .external_lex_state = 16},
  [4682] = {.lex_state = 0},
  [4683] = {.lex_state = 22, .external_lex_state = 16},
  [4684] = {.lex_state = 22, .external_lex_state = 16},
  [4685] = {.lex_state = 22, .external_lex_state = 13},
  [4686] = {.lex_state = 0},
  [4687] = {.lex_state = 22, .external_lex_state = 16},
  [4688] = {.lex_state = 22, .external_lex_state = 13},
  [4689] = {.lex_state = 22, .external_lex_state = 13},
  [4690] = {.lex_state = 22, .external_lex_state = 16},
  [4691] = {.lex_state = 22, .external_lex_state = 16},
  [4692] = {.lex_state = 22, .external_lex_state = 16},
  [4693] = {.lex_state = 22, .external_lex_state = 16},
  [4694] = {.lex_state = 22, .external_lex_state = 16},
  [4695] = {.lex_state = 22, .external_lex_state = 16},
  [4696] = {.lex_state = 0},
  [4697] = {.lex_state = 0},
  [4698] = {.lex_state = 22, .external_lex_state = 13},
  [4699] = {.lex_state = 0},
  [4700] = {.lex_state = 22, .external_lex_state = 16},
  [4701] = {.lex_state = 0},
  [4702] = {.lex_state = 22, .external_lex_state = 16},
  [4703] = {.lex_state = 0},
  [4704] = {.lex_state = 22, .external_lex_state = 16},
  [4705] = {.lex_state = 22, .external_lex_state = 13},
  [4706] = {.lex_state = 22, .external_lex_state = 16},
  [4707] = {.lex_state = 22, .external_lex_state = 13},
  [4708] = {.lex_state = 22, .external_lex_state = 13},
  [4709] = {.lex_state = 22, .external_lex_state = 16},
  [4710] = {.lex_state = 22, .external_lex_state = 16},
  [4711] = {.lex_state = 22, .external_lex_state = 16},
  [4712] = {.lex_state = 0},
  [4713] = {.lex_state = 22, .external_lex_state = 16},
  [4714] = {.lex_state = 22, .external_lex_state = 16},
  [4715] = {.lex_state = 22, .external_lex_state = 16},
  [4716] = {.lex_state = 22, .external_lex_state = 16},
  [4717] = {.lex_state = 0},
  [4718] = {.lex_state = 0},
  [4719] = {.lex_state = 0},
  [4720] = {.lex_state = 22, .external_lex_state = 13},
  [4721] = {.lex_state = 22, .external_lex_state = 16},
  [4722] = {.lex_state = 22, .external_lex_state = 13},
  [4723] = {.lex_state = 22, .external_lex_state = 16},
  [4724] = {.lex_state = 0},
  [4725] = {.lex_state = 22, .external_lex_state = 16},
  [4726] = {.lex_state = 4, .external_lex_state = 15},
  [4727] = {.lex_state = 22, .external_lex_state = 16},
  [4728] = {.lex_state = 22, .external_lex_state = 16},
  [4729] = {.lex_state = 22, .external_lex_state = 16},
  [4730] = {.lex_state = 22, .external_lex_state = 16},
  [4731] = {.lex_state = 22, .external_lex_state = 16},
  [4732] = {.lex_state = 22, .external_lex_state = 16},
  [4733] = {.lex_state = 22, .external_lex_state = 16},
  [4734] = {.lex_state = 0},
  [4735] = {.lex_state = 22, .external_lex_state = 16},
  [4736] = {.lex_state = 22, .external_lex_state = 16},
  [4737] = {.lex_state = 22, .external_lex_state = 16},
  [4738] = {.lex_state = 22, .external_lex_state = 16},
  [4739] = {.lex_state = 22, .external_lex_state = 16},
  [4740] = {.lex_state = 22, .external_lex_state = 16},
  [4741] = {.lex_state = 22, .external_lex_state = 16},
  [4742] = {.lex_state = 22, .external_lex_state = 16},
  [4743] = {.lex_state = 22, .external_lex_state = 16},
  [4744] = {.lex_state = 22, .external_lex_state = 16},
  [4745] = {.lex_state = 22, .external_lex_state = 16},
  [4746] = {.lex_state = 22, .external_lex_state = 16},
  [4747] = {.lex_state = 0},
  [4748] = {.lex_state = 22, .external_lex_state = 16},
  [4749] = {.lex_state = 22, .external_lex_state = 13},
  [4750] = {.lex_state = 0},
  [4751] = {.lex_state = 22, .external_lex_state = 16},
  [4752] = {.lex_state = 21, .external_lex_state = 16},
  [4753] = {.lex_state = 22, .external_lex_state = 16},
  [4754] = {.lex_state = 0},
  [4755] = {.lex_state = 22, .external_lex_state = 13},
  [4756] = {.lex_state = 22, .external_lex_state = 16},
  [4757] = {.lex_state = 22, .external_lex_state = 13},
  [4758] = {.lex_state = 22, .external_lex_state = 16},
  [4759] = {.lex_state = 22, .external_lex_state = 16},
  [4760] = {.lex_state = 22, .external_lex_state = 16},
  [4761] = {.lex_state = 22, .external_lex_state = 13},
  [4762] = {.lex_state = 22, .external_lex_state = 16},
  [4763] = {.lex_state = 22, .external_lex_state = 16},
  [4764] = {.lex_state = 0},
  [4765] = {.lex_state = 22, .external_lex_state = 13},
  [4766] = {.lex_state = 22, .external_lex_state = 16},
  [4767] = {.lex_state = 22, .external_lex_state = 13},
  [4768] = {.lex_state = 22, .external_lex_state = 13},
  [4769] = {.lex_state = 22, .external_lex_state = 16},
  [4770] = {.lex_state = 22, .external_lex_state = 13},
  [4771] = {.lex_state = 22, .external_lex_state = 16},
  [4772] = {.lex_state = 22, .external_lex_state = 13},
  [4773] = {.lex_state = 22, .external_lex_state = 13},
  [4774] = {.lex_state = 22, .external_lex_state = 14},
  [4775] = {.lex_state = 22, .external_lex_state = 13},
  [4776] = {.lex_state = 22, .external_lex_state = 16},
  [4777] = {.lex_state = 22, .external_lex_state = 13},
  [4778] = {.lex_state = 22, .external_lex_state = 16},
  [4779] = {.lex_state = 60, .external_lex_state = 17},
  [4780] = {.lex_state = 22, .external_lex_state = 13},
  [4781] = {.lex_state = 60, .external_lex_state = 27},
  [4782] = {.lex_state = 22, .external_lex_state = 13},
  [4783] = {.lex_state = 22, .external_lex_state = 13},
  [4784] = {.lex_state = 22, .external_lex_state = 16},
  [4785] = {.lex_state = 22, .external_lex_state = 13},
  [4786] = {.lex_state = 22, .external_lex_state = 13},
  [4787] = {.lex_state = 22, .external_lex_state = 13},
  [4788] = {.lex_state = 22, .external_lex_state = 13},
  [4789] = {.lex_state = 22, .external_lex_state = 16},
  [4790] = {.lex_state = 22, .external_lex_state = 13},
  [4791] = {.lex_state = 22, .external_lex_state = 13},
  [4792] = {.lex_state = 22, .external_lex_state = 16},
  [4793] = {.lex_state = 22, .external_lex_state = 13},
  [4794] = {.lex_state = 22, .external_lex_state = 16},
  [4795] = {.lex_state = 0},
  [4796] = {.lex_state = 22, .external_lex_state = 16},
  [4797] = {.lex_state = 22, .external_lex_state = 16},
  [4798] = {.lex_state = 4, .external_lex_state = 16},
  [4799] = {.lex_state = 22, .external_lex_state = 25},
  [4800] = {.lex_state = 22, .external_lex_state = 16},
  [4801] = {.lex_state = 22, .external_lex_state = 16},
  [4802] = {.lex_state = 23, .external_lex_state = 26},
  [4803] = {.lex_state = 22, .external_lex_state = 25},
  [4804] = {.lex_state = 22, .external_lex_state = 16},
  [4805] = {.lex_state = 22, .external_lex_state = 16},
  [4806] = {.lex_state = 0},
  [4807] = {.lex_state = 22, .external_lex_state = 16},
  [4808] = {.lex_state = 22, .external_lex_state = 16},
  [4809] = {.lex_state = 0},
  [4810] = {.lex_state = 4, .external_lex_state = 14},
  [4811] = {.lex_state = 22, .external_lex_state = 16},
  [4812] = {.lex_state = 22, .external_lex_state = 16},
  [4813] = {.lex_state = 22, .external_lex_state = 25},
  [4814] = {.lex_state = 0},
  [4815] = {.lex_state = 22, .external_lex_state = 16},
  [4816] = {.lex_state = 22, .external_lex_state = 16},
  [4817] = {.lex_state = 22, .external_lex_state = 16},
  [4818] = {.lex_state = 0},
  [4819] = {.lex_state = 22, .external_lex_state = 16},
  [4820] = {.lex_state = 22, .external_lex_state = 16},
  [4821] = {.lex_state = 22, .external_lex_state = 16},
  [4822] = {.lex_state = 22, .external_lex_state = 16},
  [4823] = {.lex_state = 4, .external_lex_state = 14},
  [4824] = {.lex_state = 22, .external_lex_state = 16},
  [4825] = {.lex_state = 4, .external_lex_state = 14},
  [4826] = {.lex_state = 22, .external_lex_state = 16},
  [4827] = {.lex_state = 22, .external_lex_state = 16},
  [4828] = {.lex_state = 4, .external_lex_state = 14},
  [4829] = {.lex_state = 22, .external_lex_state = 16},
  [4830] = {.lex_state = 22, .external_lex_state = 26},
  [4831] = {.lex_state = 0},
  [4832] = {.lex_state = 22, .external_lex_state = 16},
  [4833] = {.lex_state = 22, .external_lex_state = 16},
  [4834] = {.lex_state = 22, .external_lex_state = 16},
  [4835] = {.lex_state = 22, .external_lex_state = 16},
  [4836] = {.lex_state = 22, .external_lex_state = 16},
  [4837] = {.lex_state = 23, .external_lex_state = 26},
  [4838] = {.lex_state = 22, .external_lex_state = 16},
  [4839] = {.lex_state = 22, .external_lex_state = 16},
  [4840] = {.lex_state = 22, .external_lex_state = 16},
  [4841] = {.lex_state = 22, .external_lex_state = 16},
  [4842] = {.lex_state = 0},
  [4843] = {.lex_state = 22, .external_lex_state = 16},
  [4844] = {.lex_state = 22, .external_lex_state = 16},
  [4845] = {.lex_state = 22, .external_lex_state = 16},
  [4846] = {.lex_state = 22, .external_lex_state = 16},
  [4847] = {.lex_state = 22, .external_lex_state = 16},
  [4848] = {.lex_state = 22, .external_lex_state = 25},
  [4849] = {.lex_state = 22, .external_lex_state = 25},
  [4850] = {.lex_state = 22, .external_lex_state = 16},
  [4851] = {.lex_state = 22, .external_lex_state = 16},
  [4852] = {.lex_state = 22, .external_lex_state = 16},
  [4853] = {.lex_state = 22, .external_lex_state = 16},
  [4854] = {.lex_state = 4, .external_lex_state = 14},
  [4855] = {.lex_state = 22, .external_lex_state = 16},
  [4856] = {.lex_state = 22, .external_lex_state = 25},
  [4857] = {.lex_state = 22, .external_lex_state = 21},
  [4858] = {.lex_state = 22, .external_lex_state = 16},
  [4859] = {.lex_state = 22, .external_lex_state = 16},
  [4860] = {.lex_state = 22, .external_lex_state = 16},
  [4861] = {.lex_state = 22, .external_lex_state = 16},
  [4862] = {.lex_state = 22, .external_lex_state = 16},
  [4863] = {.lex_state = 22, .external_lex_state = 16},
  [4864] = {.lex_state = 22, .external_lex_state = 16},
  [4865] = {.lex_state = 0},
  [4866] = {.lex_state = 22, .external_lex_state = 16},
  [4867] = {.lex_state = 22, .external_lex_state = 16},
  [4868] = {.lex_state = 22, .external_lex_state = 25},
  [4869] = {.lex_state = 22, .external_lex_state = 16},
  [4870] = {.lex_state = 22, .external_lex_state = 16},
  [4871] = {.lex_state = 22, .external_lex_state = 16},
  [4872] = {.lex_state = 22, .external_lex_state = 16},
  [4873] = {.lex_state = 22, .external_lex_state = 16},
  [4874] = {.lex_state = 22, .external_lex_state = 16},
  [4875] = {.lex_state = 22, .external_lex_state = 16},
  [4876] = {.lex_state = 0},
  [4877] = {.lex_state = 22, .external_lex_state = 16},
  [4878] = {.lex_state = 22, .external_lex_state = 16},
  [4879] = {.lex_state = 0},
  [4880] = {.lex_state = 22, .external_lex_state = 16},
  [4881] = {.lex_state = 22, .external_lex_state = 16},
  [4882] = {.lex_state = 22, .external_lex_state = 25},
  [4883] = {.lex_state = 22, .external_lex_state = 16},
  [4884] = {.lex_state = 22, .external_lex_state = 16},
  [4885] = {.lex_state = 22, .external_lex_state = 16},
  [4886] = {.lex_state = 22, .external_lex_state = 16},
  [4887] = {.lex_state = 22, .external_lex_state = 16},
  [4888] = {.lex_state = 22, .external_lex_state = 16},
  [4889] = {.lex_state = 22, .external_lex_state = 25},
  [4890] = {.lex_state = 22, .external_lex_state = 16},
  [4891] = {.lex_state = 22, .external_lex_state = 16},
  [4892] = {.lex_state = 22, .external_lex_state = 25},
  [4893] = {.lex_state = 0},
  [4894] = {.lex_state = 22, .external_lex_state = 16},
  [4895] = {.lex_state = 22, .external_lex_state = 16},
  [4896] = {.lex_state = 0},
  [4897] = {.lex_state = 22, .external_lex_state = 16},
  [4898] = {.lex_state = 22, .external_lex_state = 16},
  [4899] = {.lex_state = 0},
  [4900] = {.lex_state = 22, .external_lex_state = 25},
  [4901] = {.lex_state = 22, .external_lex_state = 16},
  [4902] = {.lex_state = 22, .external_lex_state = 16},
  [4903] = {.lex_state = 22, .external_lex_state = 16},
  [4904] = {.lex_state = 22, .external_lex_state = 16},
  [4905] = {.lex_state = 22, .external_lex_state = 16},
  [4906] = {.lex_state = 22, .external_lex_state = 16},
  [4907] = {.lex_state = 22, .external_lex_state = 16},
  [4908] = {.lex_state = 18, .external_lex_state = 26},
  [4909] = {.lex_state = 22, .external_lex_state = 16},
  [4910] = {.lex_state = 62, .external_lex_state = 17},
  [4911] = {.lex_state = 0},
  [4912] = {.lex_state = 22, .external_lex_state = 16},
  [4913] = {.lex_state = 22, .external_lex_state = 25},
  [4914] = {.lex_state = 22, .external_lex_state = 25},
  [4915] = {.lex_state = 0},
  [4916] = {.lex_state = 22, .external_lex_state = 25},
  [4917] = {.lex_state = 22, .external_lex_state = 25},
  [4918] = {.lex_state = 22, .external_lex_state = 16},
  [4919] = {.lex_state = 22, .external_lex_state = 16},
  [4920] = {.lex_state = 22, .external_lex_state = 25},
  [4921] = {.lex_state = 22, .external_lex_state = 25},
  [4922] = {.lex_state = 22, .external_lex_state = 16},
  [4923] = {.lex_state = 22, .external_lex_state = 16},
  [4924] = {.lex_state = 22, .external_lex_state = 23},
  [4925] = {.lex_state = 22, .external_lex_state = 16},
  [4926] = {.lex_state = 21, .external_lex_state = 25},
  [4927] = {.lex_state = 0},
  [4928] = {.lex_state = 17, .external_lex_state = 25},
  [4929] = {.lex_state = 62, .external_lex_state = 17},
  [4930] = {.lex_state = 22, .external_lex_state = 16},
  [4931] = {.lex_state = 22, .external_lex_state = 16},
  [4932] = {.lex_state = 22, .external_lex_state = 16},
  [4933] = {.lex_state = 4, .external_lex_state = 14},
  [4934] = {.lex_state = 22, .external_lex_state = 13},
  [4935] = {.lex_state = 0},
  [4936] = {.lex_state = 22, .external_lex_state = 16},
  [4937] = {.lex_state = 4, .external_lex_state = 14},
  [4938] = {.lex_state = 22, .external_lex_state = 16},
  [4939] = {.lex_state = 22, .external_lex_state = 26},
  [4940] = {.lex_state = 62, .external_lex_state = 17},
  [4941] = {.lex_state = 22, .external_lex_state = 16},
  [4942] = {.lex_state = 22, .external_lex_state = 16},
  [4943] = {.lex_state = 22, .external_lex_state = 16},
  [4944] = {.lex_state = 62, .external_lex_state = 17},
  [4945] = {.lex_state = 22, .external_lex_state = 16},
  [4946] = {.lex_state = 22, .external_lex_state = 16},
  [4947] = {.lex_state = 22, .external_lex_state = 16},
  [4948] = {.lex_state = 22, .external_lex_state = 16},
  [4949] = {.lex_state = 22, .external_lex_state = 16},
  [4950] = {.lex_state = 0},
  [4951] = {.lex_state = 22, .external_lex_state = 16},
  [4952] = {.lex_state = 62, .external_lex_state = 17},
  [4953] = {.lex_state = 0},
  [4954] = {.lex_state = 22, .external_lex_state = 16},
  [4955] = {.lex_state = 22, .external_lex_state = 18},
  [4956] = {.lex_state = 22, .external_lex_state = 16},
  [4957] = {.lex_state = 62, .external_lex_state = 17},
  [4958] = {.lex_state = 22, .external_lex_state = 16},
  [4959] = {.lex_state = 22, .external_lex_state = 16},
  [4960] = {.lex_state = 4, .external_lex_state = 22},
  [4961] = {.lex_state = 22, .external_lex_state = 16},
  [4962] = {.lex_state = 22, .external_lex_state = 16},
  [4963] = {.lex_state = 22, .external_lex_state = 16},
  [4964] = {.lex_state = 22, .external_lex_state = 16},
  [4965] = {.lex_state = 22, .external_lex_state = 16},
  [4966] = {.lex_state = 0},
  [4967] = {.lex_state = 22, .external_lex_state = 16},
  [4968] = {.lex_state = 4, .external_lex_state = 14},
  [4969] = {.lex_state = 22, .external_lex_state = 13},
  [4970] = {.lex_state = 22, .external_lex_state = 16},
  [4971] = {.lex_state = 4, .external_lex_state = 14},
  [4972] = {.lex_state = 22, .external_lex_state = 13},
  [4973] = {.lex_state = 22, .external_lex_state = 16},
  [4974] = {.lex_state = 4, .external_lex_state = 14},
  [4975] = {.lex_state = 22, .external_lex_state = 13},
  [4976] = {.lex_state = 22, .external_lex_state = 13},
  [4977] = {.lex_state = 22, .external_lex_state = 16},
  [4978] = {.lex_state = 0},
  [4979] = {.lex_state = 22, .external_lex_state = 13},
  [4980] = {.lex_state = 22, .external_lex_state = 16},
  [4981] = {.lex_state = 22, .external_lex_state = 16},
  [4982] = {.lex_state = 22, .external_lex_state = 16},
  [4983] = {.lex_state = 22, .external_lex_state = 13},
  [4984] = {.lex_state = 22, .external_lex_state = 13},
  [4985] = {.lex_state = 4, .external_lex_state = 14},
  [4986] = {.lex_state = 22, .external_lex_state = 13},
  [4987] = {.lex_state = 22, .external_lex_state = 13},
  [4988] = {.lex_state = 22, .external_lex_state = 16},
  [4989] = {.lex_state = 22, .external_lex_state = 16},
  [4990] = {.lex_state = 22, .external_lex_state = 21},
  [4991] = {.lex_state = 22, .external_lex_state = 16},
  [4992] = {.lex_state = 22, .external_lex_state = 13},
  [4993] = {.lex_state = 22, .external_lex_state = 16},
  [4994] = {.lex_state = 22, .external_lex_state = 16},
  [4995] = {.lex_state = 22, .external_lex_state = 16},
  [4996] = {.lex_state = 22, .external_lex_state = 16},
  [4997] = {.lex_state = 22, .external_lex_state = 16},
  [4998] = {.lex_state = 22, .external_lex_state = 18},
  [4999] = {.lex_state = 4, .external_lex_state = 21},
  [5000] = {.lex_state = 22, .external_lex_state = 13},
  [5001] = {.lex_state = 22, .external_lex_state = 16},
  [5002] = {.lex_state = 22, .external_lex_state = 16},
  [5003] = {.lex_state = 22, .external_lex_state = 16},
  [5004] = {.lex_state = 0},
  [5005] = {.lex_state = 22, .external_lex_state = 13},
  [5006] = {.lex_state = 22, .external_lex_state = 13},
  [5007] = {.lex_state = 22, .external_lex_state = 16},
  [5008] = {.lex_state = 22, .external_lex_state = 25},
  [5009] = {.lex_state = 22, .external_lex_state = 13},
  [5010] = {.lex_state = 4, .external_lex_state = 13},
  [5011] = {.lex_state = 22, .external_lex_state = 16},
  [5012] = {.lex_state = 22, .external_lex_state = 16},
  [5013] = {.lex_state = 22, .external_lex_state = 16},
  [5014] = {.lex_state = 4, .external_lex_state = 16},
  [5015] = {.lex_state = 0},
  [5016] = {.lex_state = 22, .external_lex_state = 13},
  [5017] = {.lex_state = 22, .external_lex_state = 16},
  [5018] = {.lex_state = 22, .external_lex_state = 13},
  [5019] = {.lex_state = 22, .external_lex_state = 13},
  [5020] = {.lex_state = 18, .external_lex_state = 26},
  [5021] = {.lex_state = 59, .external_lex_state = 20},
  [5022] = {.lex_state = 22, .external_lex_state = 13},
  [5023] = {.lex_state = 22, .external_lex_state = 13},
  [5024] = {.lex_state = 22, .external_lex_state = 16},
  [5025] = {.lex_state = 22, .external_lex_state = 16},
  [5026] = {.lex_state = 22, .external_lex_state = 16},
  [5027] = {.lex_state = 22, .external_lex_state = 13},
  [5028] = {.lex_state = 22, .external_lex_state = 16},
  [5029] = {.lex_state = 22, .external_lex_state = 21},
  [5030] = {.lex_state = 22, .external_lex_state = 13},
  [5031] = {.lex_state = 59, .external_lex_state = 20},
  [5032] = {.lex_state = 22, .external_lex_state = 16},
  [5033] = {.lex_state = 22, .external_lex_state = 16},
  [5034] = {.lex_state = 22, .external_lex_state = 16},
  [5035] = {.lex_state = 22, .external_lex_state = 16},
  [5036] = {.lex_state = 22, .external_lex_state = 13},
  [5037] = {.lex_state = 22, .external_lex_state = 13},
  [5038] = {.lex_state = 22, .external_lex_state = 13},
  [5039] = {.lex_state = 22, .external_lex_state = 13},
  [5040] = {.lex_state = 22, .external_lex_state = 16},
  [5041] = {.lex_state = 22, .external_lex_state = 16},
  [5042] = {.lex_state = 60, .external_lex_state = 20},
  [5043] = {.lex_state = 0},
  [5044] = {.lex_state = 22, .external_lex_state = 29},
  [5045] = {.lex_state = 22, .external_lex_state = 16},
  [5046] = {.lex_state = 4, .external_lex_state = 14},
  [5047] = {.lex_state = 22, .external_lex_state = 13},
  [5048] = {.lex_state = 4, .external_lex_state = 13},
  [5049] = {.lex_state = 4, .external_lex_state = 14},
  [5050] = {.lex_state = 4, .external_lex_state = 13},
  [5051] = {.lex_state = 22, .external_lex_state = 25},
  [5052] = {.lex_state = 22, .external_lex_state = 13},
  [5053] = {.lex_state = 22, .external_lex_state = 13},
  [5054] = {.lex_state = 22, .external_lex_state = 13},
  [5055] = {.lex_state = 59, .external_lex_state = 20},
  [5056] = {.lex_state = 4, .external_lex_state = 13},
  [5057] = {.lex_state = 4, .external_lex_state = 13},
  [5058] = {.lex_state = 4, .external_lex_state = 13},
  [5059] = {.lex_state = 4, .external_lex_state = 13},
  [5060] = {.lex_state = 4, .external_lex_state = 13},
  [5061] = {.lex_state = 22, .external_lex_state = 13},
  [5062] = {.lex_state = 22, .external_lex_state = 25},
  [5063] = {.lex_state = 22, .external_lex_state = 13},
  [5064] = {.lex_state = 4, .external_lex_state = 13},
  [5065] = {.lex_state = 22, .external_lex_state = 16},
  [5066] = {.lex_state = 4, .external_lex_state = 13},
  [5067] = {.lex_state = 4, .external_lex_state = 13},
  [5068] = {.lex_state = 4, .external_lex_state = 13},
  [5069] = {.lex_state = 22, .external_lex_state = 13},
  [5070] = {.lex_state = 22, .external_lex_state = 16},
  [5071] = {.lex_state = 4, .external_lex_state = 13},
  [5072] = {.lex_state = 22, .external_lex_state = 13},
  [5073] = {.lex_state = 22, .external_lex_state = 16},
  [5074] = {.lex_state = 22, .external_lex_state = 13},
  [5075] = {.lex_state = 22, .external_lex_state = 13},
  [5076] = {.lex_state = 4, .external_lex_state = 13},
  [5077] = {.lex_state = 4, .external_lex_state = 13},
  [5078] = {.lex_state = 22, .external_lex_state = 16},
  [5079] = {.lex_state = 22, .external_lex_state = 25},
  [5080] = {.lex_state = 22, .external_lex_state = 16},
  [5081] = {.lex_state = 22, .external_lex_state = 16},
  [5082] = {.lex_state = 4, .external_lex_state = 13},
  [5083] = {.lex_state = 22, .external_lex_state = 13},
  [5084] = {.lex_state = 22, .external_lex_state = 16},
  [5085] = {.lex_state = 22, .external_lex_state = 16},
  [5086] = {.lex_state = 22, .external_lex_state = 13},
  [5087] = {.lex_state = 4, .external_lex_state = 13},
  [5088] = {.lex_state = 22, .external_lex_state = 16},
  [5089] = {.lex_state = 4, .external_lex_state = 13},
  [5090] = {.lex_state = 22, .external_lex_state = 29},
  [5091] = {.lex_state = 22, .external_lex_state = 25},
  [5092] = {.lex_state = 0},
  [5093] = {.lex_state = 22, .external_lex_state = 16},
  [5094] = {.lex_state = 4, .external_lex_state = 13},
  [5095] = {.lex_state = 4, .external_lex_state = 13},
  [5096] = {.lex_state = 22, .external_lex_state = 16},
  [5097] = {.lex_state = 4, .external_lex_state = 13},
  [5098] = {.lex_state = 62, .external_lex_state = 17},
  [5099] = {.lex_state = 22, .external_lex_state = 25},
  [5100] = {.lex_state = 62, .external_lex_state = 17},
  [5101] = {.lex_state = 22, .external_lex_state = 25},
  [5102] = {.lex_state = 65, .external_lex_state = 24},
  [5103] = {.lex_state = 22, .external_lex_state = 26},
  [5104] = {.lex_state = 4, .external_lex_state = 13},
  [5105] = {.lex_state = 22, .external_lex_state = 16},
  [5106] = {.lex_state = 4, .external_lex_state = 13},
  [5107] = {.lex_state = 0},
  [5108] = {.lex_state = 22, .external_lex_state = 16},
  [5109] = {.lex_state = 4, .external_lex_state = 14},
  [5110] = {.lex_state = 4, .external_lex_state = 13},
  [5111] = {.lex_state = 4, .external_lex_state = 13},
  [5112] = {.lex_state = 4, .external_lex_state = 13},
  [5113] = {.lex_state = 22, .external_lex_state = 16},
  [5114] = {.lex_state = 22, .external_lex_state = 16},
  [5115] = {.lex_state = 22, .external_lex_state = 16},
  [5116] = {.lex_state = 22, .external_lex_state = 16},
  [5117] = {.lex_state = 22, .external_lex_state = 16},
  [5118] = {.lex_state = 22, .external_lex_state = 16},
  [5119] = {.lex_state = 22, .external_lex_state = 16},
  [5120] = {.lex_state = 22, .external_lex_state = 16},
  [5121] = {.lex_state = 59, .external_lex_state = 20},
  [5122] = {.lex_state = 22, .external_lex_state = 16},
  [5123] = {.lex_state = 60, .external_lex_state = 20},
  [5124] = {.lex_state = 4, .external_lex_state = 14},
  [5125] = {.lex_state = 22, .external_lex_state = 16},
  [5126] = {.lex_state = 4, .external_lex_state = 14},
  [5127] = {.lex_state = 22, .external_lex_state = 16},
  [5128] = {.lex_state = 22, .external_lex_state = 16},
  [5129] = {.lex_state = 4, .external_lex_state = 14},
  [5130] = {.lex_state = 22, .external_lex_state = 16},
  [5131] = {.lex_state = 4, .external_lex_state = 13},
  [5132] = {.lex_state = 4, .external_lex_state = 13},
  [5133] = {.lex_state = 4, .external_lex_state = 13},
  [5134] = {.lex_state = 62, .external_lex_state = 27},
  [5135] = {.lex_state = 65, .external_lex_state = 24},
  [5136] = {.lex_state = 60, .external_lex_state = 20},
  [5137] = {.lex_state = 22, .external_lex_state = 16},
  [5138] = {.lex_state = 0},
  [5139] = {.lex_state = 22, .external_lex_state = 25},
  [5140] = {.lex_state = 22, .external_lex_state = 25},
  [5141] = {.lex_state = 65, .external_lex_state = 24},
  [5142] = {.lex_state = 22, .external_lex_state = 16},
  [5143] = {.lex_state = 22, .external_lex_state = 16},
  [5144] = {.lex_state = 22, .external_lex_state = 25},
  [5145] = {.lex_state = 60, .external_lex_state = 20},
  [5146] = {.lex_state = 22, .external_lex_state = 16},
  [5147] = {.lex_state = 22, .external_lex_state = 16},
  [5148] = {.lex_state = 22, .external_lex_state = 16},
  [5149] = {.lex_state = 0},
  [5150] = {.lex_state = 22, .external_lex_state = 16},
  [5151] = {.lex_state = 22, .external_lex_state = 25},
  [5152] = {.lex_state = 60, .external_lex_state = 20},
  [5153] = {.lex_state = 0},
  [5154] = {.lex_state = 22, .external_lex_state = 16},
  [5155] = {.lex_state = 22, .external_lex_state = 19},
  [5156] = {.lex_state = 22, .external_lex_state = 16},
  [5157] = {.lex_state = 22, .external_lex_state = 21},
  [5158] = {.lex_state = 65, .external_lex_state = 17},
  [5159] = {.lex_state = 22, .external_lex_state = 16},
  [5160] = {.lex_state = 65, .external_lex_state = 17},
  [5161] = {.lex_state = 22, .external_lex_state = 25},
  [5162] = {.lex_state = 65, .external_lex_state = 17},
  [5163] = {.lex_state = 60, .external_lex_state = 20},
  [5164] = {.lex_state = 22, .external_lex_state = 25},
  [5165] = {.lex_state = 22, .external_lex_state = 16},
  [5166] = {.lex_state = 22, .external_lex_state = 25},
  [5167] = {.lex_state = 22, .external_lex_state = 25},
  [5168] = {.lex_state = 22, .external_lex_state = 25},
  [5169] = {.lex_state = 22, .external_lex_state = 16},
  [5170] = {.lex_state = 22, .external_lex_state = 16},
  [5171] = {.lex_state = 22, .external_lex_state = 16},
  [5172] = {.lex_state = 22, .external_lex_state = 25},
  [5173] = {.lex_state = 22, .external_lex_state = 21},
  [5174] = {.lex_state = 4, .external_lex_state = 25},
  [5175] = {.lex_state = 4, .external_lex_state = 25},
  [5176] = {.lex_state = 22, .external_lex_state = 25},
  [5177] = {.lex_state = 0},
  [5178] = {.lex_state = 22, .external_lex_state = 21},
  [5179] = {.lex_state = 60, .external_lex_state = 20},
  [5180] = {.lex_state = 22, .external_lex_state = 25},
  [5181] = {.lex_state = 62, .external_lex_state = 27},
  [5182] = {.lex_state = 22, .external_lex_state = 25},
  [5183] = {.lex_state = 22, .external_lex_state = 25},
  [5184] = {.lex_state = 22, .external_lex_state = 18},
  [5185] = {.lex_state = 22, .external_lex_state = 25},
  [5186] = {.lex_state = 22, .external_lex_state = 16},
  [5187] = {.lex_state = 22, .external_lex_state = 16},
  [5188] = {.lex_state = 62, .external_lex_state = 17},
  [5189] = {.lex_state = 22, .external_lex_state = 25},
  [5190] = {.lex_state = 22, .external_lex_state = 16},
  [5191] = {.lex_state = 22, .external_lex_state = 25},
  [5192] = {.lex_state = 22, .external_lex_state = 25},
  [5193] = {.lex_state = 22, .external_lex_state = 16},
  [5194] = {.lex_state = 22, .external_lex_state = 25},
  [5195] = {.lex_state = 22, .external_lex_state = 16},
  [5196] = {.lex_state = 22, .external_lex_state = 26},
  [5197] = {.lex_state = 22, .external_lex_state = 25},
  [5198] = {.lex_state = 22, .external_lex_state = 16},
  [5199] = {.lex_state = 22, .external_lex_state = 21},
  [5200] = {.lex_state = 22, .external_lex_state = 25},
  [5201] = {.lex_state = 22, .external_lex_state = 25},
  [5202] = {.lex_state = 60, .external_lex_state = 20},
  [5203] = {.lex_state = 22, .external_lex_state = 16},
  [5204] = {.lex_state = 22, .external_lex_state = 16},
  [5205] = {.lex_state = 22, .external_lex_state = 25},
  [5206] = {.lex_state = 22, .external_lex_state = 25},
  [5207] = {.lex_state = 22, .external_lex_state = 16},
  [5208] = {.lex_state = 4, .external_lex_state = 13},
  [5209] = {.lex_state = 22, .external_lex_state = 25},
  [5210] = {.lex_state = 4, .external_lex_state = 13},
  [5211] = {.lex_state = 22, .external_lex_state = 25},
  [5212] = {.lex_state = 0},
  [5213] = {.lex_state = 65, .external_lex_state = 24},
  [5214] = {.lex_state = 22, .external_lex_state = 25},
  [5215] = {.lex_state = 22, .external_lex_state = 25},
  [5216] = {.lex_state = 22, .external_lex_state = 25},
  [5217] = {.lex_state = 22, .external_lex_state = 16},
  [5218] = {.lex_state = 22, .external_lex_state = 25},
  [5219] = {.lex_state = 22, .external_lex_state = 25},
  [5220] = {.lex_state = 22, .external_lex_state = 25},
  [5221] = {.lex_state = 4, .external_lex_state = 13},
  [5222] = {.lex_state = 22, .external_lex_state = 25},
  [5223] = {.lex_state = 4, .external_lex_state = 25},
  [5224] = {.lex_state = 22, .external_lex_state = 16},
  [5225] = {.lex_state = 4, .external_lex_state = 13},
  [5226] = {.lex_state = 22, .external_lex_state = 16},
  [5227] = {.lex_state = 22, .external_lex_state = 25},
  [5228] = {.lex_state = 22, .external_lex_state = 16},
  [5229] = {.lex_state = 22, .external_lex_state = 25},
  [5230] = {.lex_state = 22, .external_lex_state = 16},
  [5231] = {.lex_state = 22, .external_lex_state = 25},
  [5232] = {.lex_state = 22, .external_lex_state = 16},
  [5233] = {.lex_state = 22, .external_lex_state = 16},
  [5234] = {.lex_state = 22, .external_lex_state = 25},
  [5235] = {.lex_state = 22, .external_lex_state = 16},
  [5236] = {.lex_state = 4, .external_lex_state = 13},
  [5237] = {.lex_state = 22, .external_lex_state = 25},
  [5238] = {.lex_state = 4, .external_lex_state = 13},
  [5239] = {.lex_state = 4, .external_lex_state = 13},
  [5240] = {.lex_state = 22, .external_lex_state = 25},
  [5241] = {.lex_state = 4, .external_lex_state = 13},
  [5242] = {.lex_state = 22, .external_lex_state = 25},
  [5243] = {.lex_state = 4, .external_lex_state = 13},
  [5244] = {.lex_state = 22, .external_lex_state = 25},
  [5245] = {.lex_state = 4, .external_lex_state = 13},
  [5246] = {.lex_state = 22, .external_lex_state = 25},
  [5247] = {.lex_state = 22, .external_lex_state = 25},
  [5248] = {.lex_state = 4, .external_lex_state = 10},
  [5249] = {.lex_state = 22, .external_lex_state = 25},
  [5250] = {.lex_state = 22, .external_lex_state = 25},
  [5251] = {.lex_state = 4, .external_lex_state = 13},
  [5252] = {.lex_state = 22, .external_lex_state = 25},
  [5253] = {.lex_state = 22, .external_lex_state = 25},
  [5254] = {.lex_state = 4, .external_lex_state = 14},
  [5255] = {.lex_state = 22, .external_lex_state = 25},
  [5256] = {.lex_state = 4, .external_lex_state = 25},
  [5257] = {.lex_state = 22, .external_lex_state = 25},
  [5258] = {.lex_state = 22, .external_lex_state = 25},
  [5259] = {.lex_state = 22, .external_lex_state = 18},
  [5260] = {.lex_state = 22, .external_lex_state = 25},
  [5261] = {.lex_state = 22, .external_lex_state = 25},
  [5262] = {.lex_state = 22, .external_lex_state = 23},
  [5263] = {.lex_state = 4, .external_lex_state = 14},
  [5264] = {.lex_state = 22, .external_lex_state = 25},
  [5265] = {.lex_state = 22, .external_lex_state = 25},
  [5266] = {.lex_state = 22, .external_lex_state = 25},
  [5267] = {.lex_state = 22, .external_lex_state = 25},
  [5268] = {.lex_state = 22, .external_lex_state = 25},
  [5269] = {.lex_state = 22, .external_lex_state = 25},
  [5270] = {.lex_state = 18, .external_lex_state = 17},
  [5271] = {.lex_state = 4, .external_lex_state = 13},
  [5272] = {.lex_state = 22, .external_lex_state = 25},
  [5273] = {.lex_state = 22, .external_lex_state = 25},
  [5274] = {.lex_state = 22, .external_lex_state = 25},
  [5275] = {.lex_state = 22, .external_lex_state = 25},
  [5276] = {.lex_state = 18, .external_lex_state = 17},
  [5277] = {.lex_state = 22, .external_lex_state = 25},
  [5278] = {.lex_state = 22, .external_lex_state = 25},
  [5279] = {.lex_state = 4, .external_lex_state = 10},
  [5280] = {.lex_state = 4, .external_lex_state = 13},
  [5281] = {.lex_state = 22, .external_lex_state = 18},
  [5282] = {.lex_state = 22, .external_lex_state = 25},
  [5283] = {.lex_state = 22, .external_lex_state = 16},
  [5284] = {.lex_state = 22, .external_lex_state = 25},
  [5285] = {.lex_state = 22, .external_lex_state = 25},
  [5286] = {.lex_state = 22, .external_lex_state = 25},
  [5287] = {.lex_state = 22, .external_lex_state = 25},
  [5288] = {.lex_state = 0},
  [5289] = {.lex_state = 22, .external_lex_state = 25},
  [5290] = {.lex_state = 22, .external_lex_state = 25},
  [5291] = {.lex_state = 22, .external_lex_state = 25},
  [5292] = {.lex_state = 17, .external_lex_state = 25},
  [5293] = {.lex_state = 22, .external_lex_state = 25},
  [5294] = {.lex_state = 0},
  [5295] = {.lex_state = 22, .external_lex_state = 25},
  [5296] = {.lex_state = 22, .external_lex_state = 25},
  [5297] = {.lex_state = 22, .external_lex_state = 13},
  [5298] = {.lex_state = 22, .external_lex_state = 25},
  [5299] = {.lex_state = 22, .external_lex_state = 25},
  [5300] = {.lex_state = 22, .external_lex_state = 29},
  [5301] = {.lex_state = 22, .external_lex_state = 16},
  [5302] = {.lex_state = 22, .external_lex_state = 25},
  [5303] = {.lex_state = 22, .external_lex_state = 25},
  [5304] = {.lex_state = 22, .external_lex_state = 25},
  [5305] = {.lex_state = 4, .external_lex_state = 25},
  [5306] = {.lex_state = 22, .external_lex_state = 25},
  [5307] = {.lex_state = 22, .external_lex_state = 25},
  [5308] = {.lex_state = 22, .external_lex_state = 25},
  [5309] = {.lex_state = 4, .external_lex_state = 14},
  [5310] = {.lex_state = 22, .external_lex_state = 25},
  [5311] = {.lex_state = 22, .external_lex_state = 25},
  [5312] = {.lex_state = 22, .external_lex_state = 25},
  [5313] = {.lex_state = 22, .external_lex_state = 25},
  [5314] = {.lex_state = 4, .external_lex_state = 16},
  [5315] = {.lex_state = 22, .external_lex_state = 25},
  [5316] = {.lex_state = 22, .external_lex_state = 25},
  [5317] = {.lex_state = 22, .external_lex_state = 25},
  [5318] = {.lex_state = 22, .external_lex_state = 25},
  [5319] = {.lex_state = 22, .external_lex_state = 25},
  [5320] = {.lex_state = 22, .external_lex_state = 25},
  [5321] = {.lex_state = 22, .external_lex_state = 25},
  [5322] = {.lex_state = 22, .external_lex_state = 25},
  [5323] = {.lex_state = 60, .external_lex_state = 20},
  [5324] = {.lex_state = 22, .external_lex_state = 18},
  [5325] = {.lex_state = 4, .external_lex_state = 13},
  [5326] = {.lex_state = 22, .external_lex_state = 25},
  [5327] = {.lex_state = 22, .external_lex_state = 25},
  [5328] = {.lex_state = 22, .external_lex_state = 25},
  [5329] = {.lex_state = 4, .external_lex_state = 14},
  [5330] = {.lex_state = 22, .external_lex_state = 25},
  [5331] = {.lex_state = 22, .external_lex_state = 25},
  [5332] = {.lex_state = 4, .external_lex_state = 14},
  [5333] = {.lex_state = 4, .external_lex_state = 13},
  [5334] = {.lex_state = 22, .external_lex_state = 25},
  [5335] = {.lex_state = 4, .external_lex_state = 13},
  [5336] = {.lex_state = 18, .external_lex_state = 17},
  [5337] = {.lex_state = 22, .external_lex_state = 25},
  [5338] = {.lex_state = 22, .external_lex_state = 25},
  [5339] = {.lex_state = 22, .external_lex_state = 25},
  [5340] = {.lex_state = 22, .external_lex_state = 25},
  [5341] = {.lex_state = 22, .external_lex_state = 25},
  [5342] = {.lex_state = 4, .external_lex_state = 14},
  [5343] = {.lex_state = 22, .external_lex_state = 25},
  [5344] = {.lex_state = 4, .external_lex_state = 21},
  [5345] = {.lex_state = 4, .external_lex_state = 10},
  [5346] = {.lex_state = 4, .external_lex_state = 13},
  [5347] = {.lex_state = 22, .external_lex_state = 25},
  [5348] = {.lex_state = 22, .external_lex_state = 25},
  [5349] = {.lex_state = 22, .external_lex_state = 25},
  [5350] = {.lex_state = 4, .external_lex_state = 14},
  [5351] = {.lex_state = 18, .external_lex_state = 17},
  [5352] = {.lex_state = 22, .external_lex_state = 25},
  [5353] = {.lex_state = 22, .external_lex_state = 25},
  [5354] = {.lex_state = 22, .external_lex_state = 25},
  [5355] = {.lex_state = 22, .external_lex_state = 25},
  [5356] = {.lex_state = 22, .external_lex_state = 25},
  [5357] = {.lex_state = 22, .external_lex_state = 25},
  [5358] = {.lex_state = 22, .external_lex_state = 25},
  [5359] = {.lex_state = 22, .external_lex_state = 25},
  [5360] = {.lex_state = 22, .external_lex_state = 26},
  [5361] = {.lex_state = 22, .external_lex_state = 26},
  [5362] = {.lex_state = 22, .external_lex_state = 26},
  [5363] = {.lex_state = 22, .external_lex_state = 19},
  [5364] = {.lex_state = 4, .external_lex_state = 13},
  [5365] = {.lex_state = 22, .external_lex_state = 25},
  [5366] = {.lex_state = 4, .external_lex_state = 13},
  [5367] = {.lex_state = 22, .external_lex_state = 25},
  [5368] = {.lex_state = 22, .external_lex_state = 25},
  [5369] = {.lex_state = 4, .external_lex_state = 10},
  [5370] = {.lex_state = 18, .external_lex_state = 17},
  [5371] = {.lex_state = 4, .external_lex_state = 13},
  [5372] = {.lex_state = 22, .external_lex_state = 25},
  [5373] = {.lex_state = 22, .external_lex_state = 25},
  [5374] = {.lex_state = 22, .external_lex_state = 25},
  [5375] = {.lex_state = 22, .external_lex_state = 26},
  [5376] = {.lex_state = 65, .external_lex_state = 27},
  [5377] = {.lex_state = 21, .external_lex_state = 13},
  [5378] = {.lex_state = 21, .external_lex_state = 13},
  [5379] = {.lex_state = 22, .external_lex_state = 26},
  [5380] = {.lex_state = 22, .external_lex_state = 25},
  [5381] = {.lex_state = 4, .external_lex_state = 26},
  [5382] = {.lex_state = 22, .external_lex_state = 26},
  [5383] = {.lex_state = 22, .external_lex_state = 25},
  [5384] = {.lex_state = 22, .external_lex_state = 26},
  [5385] = {.lex_state = 22, .external_lex_state = 25},
  [5386] = {.lex_state = 22, .external_lex_state = 25},
  [5387] = {.lex_state = 22, .external_lex_state = 25},
  [5388] = {.lex_state = 22, .external_lex_state = 26},
  [5389] = {.lex_state = 22, .external_lex_state = 25},
  [5390] = {.lex_state = 4, .external_lex_state = 10},
  [5391] = {.lex_state = 22, .external_lex_state = 25},
  [5392] = {.lex_state = 22, .external_lex_state = 23},
  [5393] = {.lex_state = 22, .external_lex_state = 26},
  [5394] = {.lex_state = 22, .external_lex_state = 25},
  [5395] = {.lex_state = 4, .external_lex_state = 21},
  [5396] = {.lex_state = 22, .external_lex_state = 26},
  [5397] = {.lex_state = 22, .external_lex_state = 25},
  [5398] = {.lex_state = 22, .external_lex_state = 25},
  [5399] = {.lex_state = 4, .external_lex_state = 16},
  [5400] = {.lex_state = 4, .external_lex_state = 14},
  [5401] = {.lex_state = 22, .external_lex_state = 25},
  [5402] = {.lex_state = 22, .external_lex_state = 25},
  [5403] = {.lex_state = 22, .external_lex_state = 25},
  [5404] = {.lex_state = 22, .external_lex_state = 25},
  [5405] = {.lex_state = 22, .external_lex_state = 21},
  [5406] = {.lex_state = 22, .external_lex_state = 25},
  [5407] = {.lex_state = 22, .external_lex_state = 25},
  [5408] = {.lex_state = 22, .external_lex_state = 25},
  [5409] = {.lex_state = 22, .external_lex_state = 26},
  [5410] = {.lex_state = 4, .external_lex_state = 16},
  [5411] = {.lex_state = 22, .external_lex_state = 25},
  [5412] = {.lex_state = 4, .external_lex_state = 25},
  [5413] = {.lex_state = 22, .external_lex_state = 26},
  [5414] = {.lex_state = 22, .external_lex_state = 25},
  [5415] = {.lex_state = 22, .external_lex_state = 25},
  [5416] = {.lex_state = 4, .external_lex_state = 26},
  [5417] = {.lex_state = 22, .external_lex_state = 25},
  [5418] = {.lex_state = 22, .external_lex_state = 25},
  [5419] = {.lex_state = 22, .external_lex_state = 26},
  [5420] = {.lex_state = 4, .external_lex_state = 13},
  [5421] = {.lex_state = 22, .external_lex_state = 25},
  [5422] = {.lex_state = 22, .external_lex_state = 25},
  [5423] = {.lex_state = 22, .external_lex_state = 25},
  [5424] = {.lex_state = 4, .external_lex_state = 10},
  [5425] = {.lex_state = 22, .external_lex_state = 26},
  [5426] = {.lex_state = 22, .external_lex_state = 25},
  [5427] = {.lex_state = 4, .external_lex_state = 13},
  [5428] = {.lex_state = 22, .external_lex_state = 25},
  [5429] = {.lex_state = 4, .external_lex_state = 13},
  [5430] = {.lex_state = 22, .external_lex_state = 25},
  [5431] = {.lex_state = 22, .external_lex_state = 25},
  [5432] = {.lex_state = 22, .external_lex_state = 25},
  [5433] = {.lex_state = 21, .external_lex_state = 26},
  [5434] = {.lex_state = 22, .external_lex_state = 25},
  [5435] = {.lex_state = 22, .external_lex_state = 26},
  [5436] = {.lex_state = 22, .external_lex_state = 25},
  [5437] = {.lex_state = 22, .external_lex_state = 26},
  [5438] = {.lex_state = 22, .external_lex_state = 25},
  [5439] = {.lex_state = 22, .external_lex_state = 25},
  [5440] = {.lex_state = 22, .external_lex_state = 25},
  [5441] = {.lex_state = 22, .external_lex_state = 25},
  [5442] = {.lex_state = 22, .external_lex_state = 26},
  [5443] = {.lex_state = 22, .external_lex_state = 26},
  [5444] = {.lex_state = 22, .external_lex_state = 26},
  [5445] = {.lex_state = 22, .external_lex_state = 25},
  [5446] = {.lex_state = 22, .external_lex_state = 25},
  [5447] = {.lex_state = 22, .external_lex_state = 25},
  [5448] = {.lex_state = 4, .external_lex_state = 10},
  [5449] = {.lex_state = 22, .external_lex_state = 25},
  [5450] = {.lex_state = 22, .external_lex_state = 25},
  [5451] = {.lex_state = 4, .external_lex_state = 13},
  [5452] = {.lex_state = 22, .external_lex_state = 25},
  [5453] = {.lex_state = 22, .external_lex_state = 25},
  [5454] = {.lex_state = 22, .external_lex_state = 25},
  [5455] = {.lex_state = 22, .external_lex_state = 25},
  [5456] = {.lex_state = 22, .external_lex_state = 25},
  [5457] = {.lex_state = 4, .external_lex_state = 13},
  [5458] = {.lex_state = 65, .external_lex_state = 27},
  [5459] = {.lex_state = 22, .external_lex_state = 25},
  [5460] = {.lex_state = 22, .external_lex_state = 25},
  [5461] = {.lex_state = 22, .external_lex_state = 26},
  [5462] = {.lex_state = 22, .external_lex_state = 26},
  [5463] = {.lex_state = 22, .external_lex_state = 25},
  [5464] = {.lex_state = 22, .external_lex_state = 26},
  [5465] = {.lex_state = 22, .external_lex_state = 25},
  [5466] = {.lex_state = 22, .external_lex_state = 25},
  [5467] = {.lex_state = 59, .external_lex_state = 24},
  [5468] = {.lex_state = 22, .external_lex_state = 25},
  [5469] = {.lex_state = 22, .external_lex_state = 25},
  [5470] = {.lex_state = 22, .external_lex_state = 25},
  [5471] = {.lex_state = 22, .external_lex_state = 25},
  [5472] = {.lex_state = 4, .external_lex_state = 10},
  [5473] = {.lex_state = 22, .external_lex_state = 26},
  [5474] = {.lex_state = 22, .external_lex_state = 25},
  [5475] = {.lex_state = 22, .external_lex_state = 25},
  [5476] = {.lex_state = 22, .external_lex_state = 25},
  [5477] = {.lex_state = 22, .external_lex_state = 25},
  [5478] = {.lex_state = 22, .external_lex_state = 25},
  [5479] = {.lex_state = 22, .external_lex_state = 19},
  [5480] = {.lex_state = 22, .external_lex_state = 25},
  [5481] = {.lex_state = 22, .external_lex_state = 19},
  [5482] = {.lex_state = 22, .external_lex_state = 25},
  [5483] = {.lex_state = 22, .external_lex_state = 26},
  [5484] = {.lex_state = 22, .external_lex_state = 25},
  [5485] = {.lex_state = 0},
  [5486] = {.lex_state = 22, .external_lex_state = 25},
  [5487] = {.lex_state = 4, .external_lex_state = 10},
  [5488] = {.lex_state = 65, .external_lex_state = 27},
  [5489] = {.lex_state = 22, .external_lex_state = 25},
  [5490] = {.lex_state = 22, .external_lex_state = 25},
  [5491] = {.lex_state = 22, .external_lex_state = 26},
  [5492] = {.lex_state = 22, .external_lex_state = 26},
  [5493] = {.lex_state = 4, .external_lex_state = 16},
  [5494] = {.lex_state = 22, .external_lex_state = 25},
  [5495] = {.lex_state = 4, .external_lex_state = 16},
  [5496] = {.lex_state = 22, .external_lex_state = 25},
  [5497] = {.lex_state = 22, .external_lex_state = 25},
  [5498] = {.lex_state = 22, .external_lex_state = 25},
  [5499] = {.lex_state = 22, .external_lex_state = 26},
  [5500] = {.lex_state = 22, .external_lex_state = 26},
  [5501] = {.lex_state = 22, .external_lex_state = 25},
  [5502] = {.lex_state = 4, .external_lex_state = 10},
  [5503] = {.lex_state = 4, .external_lex_state = 13},
  [5504] = {.lex_state = 22, .external_lex_state = 25},
  [5505] = {.lex_state = 4, .external_lex_state = 16},
  [5506] = {.lex_state = 22, .external_lex_state = 26},
  [5507] = {.lex_state = 4, .external_lex_state = 16},
  [5508] = {.lex_state = 4, .external_lex_state = 16},
  [5509] = {.lex_state = 22, .external_lex_state = 25},
  [5510] = {.lex_state = 4, .external_lex_state = 16},
  [5511] = {.lex_state = 4, .external_lex_state = 14},
  [5512] = {.lex_state = 22, .external_lex_state = 25},
  [5513] = {.lex_state = 22, .external_lex_state = 25},
  [5514] = {.lex_state = 22, .external_lex_state = 25},
  [5515] = {.lex_state = 22, .external_lex_state = 25},
  [5516] = {.lex_state = 22, .external_lex_state = 25},
  [5517] = {.lex_state = 22, .external_lex_state = 25},
  [5518] = {.lex_state = 22, .external_lex_state = 26},
  [5519] = {.lex_state = 22, .external_lex_state = 26},
  [5520] = {.lex_state = 22, .external_lex_state = 25},
  [5521] = {.lex_state = 4, .external_lex_state = 16},
  [5522] = {.lex_state = 22, .external_lex_state = 25},
  [5523] = {.lex_state = 22, .external_lex_state = 26},
  [5524] = {.lex_state = 4, .external_lex_state = 16},
  [5525] = {.lex_state = 22, .external_lex_state = 26},
  [5526] = {.lex_state = 22, .external_lex_state = 26},
  [5527] = {.lex_state = 22, .external_lex_state = 25},
  [5528] = {.lex_state = 22, .external_lex_state = 25},
  [5529] = {.lex_state = 4, .external_lex_state = 16},
  [5530] = {.lex_state = 22, .external_lex_state = 25},
  [5531] = {.lex_state = 22, .external_lex_state = 25},
  [5532] = {.lex_state = 22, .external_lex_state = 26},
  [5533] = {.lex_state = 22, .external_lex_state = 26},
  [5534] = {.lex_state = 22, .external_lex_state = 25},
  [5535] = {.lex_state = 22, .external_lex_state = 26},
  [5536] = {.lex_state = 22, .external_lex_state = 25},
  [5537] = {.lex_state = 22, .external_lex_state = 25},
  [5538] = {.lex_state = 4, .external_lex_state = 18},
  [5539] = {.lex_state = 22, .external_lex_state = 25},
  [5540] = {.lex_state = 17, .external_lex_state = 26},
  [5541] = {.lex_state = 22, .external_lex_state = 25},
  [5542] = {.lex_state = 4, .external_lex_state = 16},
  [5543] = {.lex_state = 22, .external_lex_state = 25},
  [5544] = {.lex_state = 22, .external_lex_state = 26},
  [5545] = {.lex_state = 4, .external_lex_state = 16},
  [5546] = {.lex_state = 22, .external_lex_state = 26},
  [5547] = {.lex_state = 22, .external_lex_state = 26},
  [5548] = {.lex_state = 22, .external_lex_state = 25},
  [5549] = {.lex_state = 4, .external_lex_state = 16},
  [5550] = {.lex_state = 22, .external_lex_state = 25},
  [5551] = {.lex_state = 22, .external_lex_state = 25},
  [5552] = {.lex_state = 22, .external_lex_state = 26},
  [5553] = {.lex_state = 59, .external_lex_state = 24},
  [5554] = {.lex_state = 59, .external_lex_state = 24},
  [5555] = {.lex_state = 22, .external_lex_state = 25},
  [5556] = {.lex_state = 4, .external_lex_state = 16},
  [5557] = {.lex_state = 22, .external_lex_state = 23},
  [5558] = {.lex_state = 22, .external_lex_state = 25},
  [5559] = {.lex_state = 22, .external_lex_state = 25},
  [5560] = {.lex_state = 4, .external_lex_state = 16},
  [5561] = {.lex_state = 22, .external_lex_state = 25},
  [5562] = {.lex_state = 22, .external_lex_state = 26},
  [5563] = {.lex_state = 22, .external_lex_state = 25},
  [5564] = {.lex_state = 4, .external_lex_state = 16},
  [5565] = {.lex_state = 22, .external_lex_state = 25},
  [5566] = {.lex_state = 22, .external_lex_state = 25},
  [5567] = {.lex_state = 22, .external_lex_state = 25},
  [5568] = {.lex_state = 22, .external_lex_state = 26},
  [5569] = {.lex_state = 60, .external_lex_state = 24},
  [5570] = {.lex_state = 59, .external_lex_state = 24},
  [5571] = {.lex_state = 22, .external_lex_state = 26},
  [5572] = {.lex_state = 4, .external_lex_state = 18},
  [5573] = {.lex_state = 22, .external_lex_state = 26},
  [5574] = {.lex_state = 22, .external_lex_state = 25},
  [5575] = {.lex_state = 22, .external_lex_state = 26},
  [5576] = {.lex_state = 17, .external_lex_state = 26},
  [5577] = {.lex_state = 22, .external_lex_state = 25},
  [5578] = {.lex_state = 4, .external_lex_state = 18},
  [5579] = {.lex_state = 22, .external_lex_state = 26},
  [5580] = {.lex_state = 22, .external_lex_state = 26},
  [5581] = {.lex_state = 4, .external_lex_state = 25},
  [5582] = {.lex_state = 22, .external_lex_state = 25},
  [5583] = {.lex_state = 22, .external_lex_state = 13},
  [5584] = {.lex_state = 4, .external_lex_state = 18},
  [5585] = {.lex_state = 22, .external_lex_state = 25},
  [5586] = {.lex_state = 22, .external_lex_state = 25},
  [5587] = {.lex_state = 22, .external_lex_state = 26},
  [5588] = {.lex_state = 22, .external_lex_state = 26},
  [5589] = {.lex_state = 22, .external_lex_state = 26},
  [5590] = {.lex_state = 22, .external_lex_state = 26},
  [5591] = {.lex_state = 4, .external_lex_state = 16},
  [5592] = {.lex_state = 22, .external_lex_state = 26},
  [5593] = {.lex_state = 22, .external_lex_state = 25},
  [5594] = {.lex_state = 22, .external_lex_state = 25},
  [5595] = {.lex_state = 22, .external_lex_state = 25},
  [5596] = {.lex_state = 4, .external_lex_state = 16},
  [5597] = {.lex_state = 22, .external_lex_state = 25},
  [5598] = {.lex_state = 22, .external_lex_state = 26},
  [5599] = {.lex_state = 22, .external_lex_state = 25},
  [5600] = {.lex_state = 22, .external_lex_state = 26},
  [5601] = {.lex_state = 22, .external_lex_state = 25},
  [5602] = {.lex_state = 22, .external_lex_state = 25},
  [5603] = {.lex_state = 22, .external_lex_state = 25},
  [5604] = {.lex_state = 22, .external_lex_state = 25},
  [5605] = {.lex_state = 22, .external_lex_state = 25},
  [5606] = {.lex_state = 4, .external_lex_state = 16},
  [5607] = {.lex_state = 22, .external_lex_state = 26},
  [5608] = {.lex_state = 22, .external_lex_state = 25},
  [5609] = {.lex_state = 22, .external_lex_state = 26},
  [5610] = {.lex_state = 22, .external_lex_state = 26},
  [5611] = {.lex_state = 22, .external_lex_state = 26},
  [5612] = {.lex_state = 22, .external_lex_state = 25},
  [5613] = {.lex_state = 22, .external_lex_state = 19},
  [5614] = {.lex_state = 4, .external_lex_state = 18},
  [5615] = {.lex_state = 22, .external_lex_state = 26},
  [5616] = {.lex_state = 22, .external_lex_state = 25},
  [5617] = {.lex_state = 4, .external_lex_state = 16},
  [5618] = {.lex_state = 22, .external_lex_state = 23},
  [5619] = {.lex_state = 22, .external_lex_state = 26},
  [5620] = {.lex_state = 22, .external_lex_state = 25},
  [5621] = {.lex_state = 22, .external_lex_state = 26},
  [5622] = {.lex_state = 22, .external_lex_state = 21},
  [5623] = {.lex_state = 22, .external_lex_state = 25},
  [5624] = {.lex_state = 4, .external_lex_state = 16},
  [5625] = {.lex_state = 22, .external_lex_state = 25},
  [5626] = {.lex_state = 22, .external_lex_state = 25},
  [5627] = {.lex_state = 22, .external_lex_state = 25},
  [5628] = {.lex_state = 22, .external_lex_state = 25},
  [5629] = {.lex_state = 22, .external_lex_state = 25},
  [5630] = {.lex_state = 22, .external_lex_state = 26},
  [5631] = {.lex_state = 22, .external_lex_state = 25},
  [5632] = {.lex_state = 4, .external_lex_state = 16},
  [5633] = {.lex_state = 22, .external_lex_state = 21},
  [5634] = {.lex_state = 4, .external_lex_state = 16},
  [5635] = {.lex_state = 22, .external_lex_state = 25},
  [5636] = {.lex_state = 4, .external_lex_state = 16},
  [5637] = {.lex_state = 4, .external_lex_state = 16},
  [5638] = {.lex_state = 4, .external_lex_state = 13},
  [5639] = {.lex_state = 22, .external_lex_state = 25},
  [5640] = {.lex_state = 22, .external_lex_state = 25},
  [5641] = {.lex_state = 22, .external_lex_state = 19},
  [5642] = {.lex_state = 22, .external_lex_state = 26},
  [5643] = {.lex_state = 22, .external_lex_state = 23},
  [5644] = {.lex_state = 22, .external_lex_state = 13},
  [5645] = {.lex_state = 62, .external_lex_state = 20},
  [5646] = {.lex_state = 22, .external_lex_state = 26},
  [5647] = {.lex_state = 22, .external_lex_state = 25},
  [5648] = {.lex_state = 22, .external_lex_state = 25},
  [5649] = {.lex_state = 60, .external_lex_state = 24},
  [5650] = {.lex_state = 4, .external_lex_state = 16},
  [5651] = {.lex_state = 22, .external_lex_state = 26},
  [5652] = {.lex_state = 60, .external_lex_state = 24},
  [5653] = {.lex_state = 4, .external_lex_state = 18},
  [5654] = {.lex_state = 22, .external_lex_state = 25},
  [5655] = {.lex_state = 22, .external_lex_state = 26},
  [5656] = {.lex_state = 4, .external_lex_state = 18},
  [5657] = {.lex_state = 22, .external_lex_state = 26},
  [5658] = {.lex_state = 22, .external_lex_state = 26},
  [5659] = {.lex_state = 22, .external_lex_state = 26},
  [5660] = {.lex_state = 4, .external_lex_state = 16},
  [5661] = {.lex_state = 22, .external_lex_state = 25},
  [5662] = {.lex_state = 60, .external_lex_state = 24},
  [5663] = {.lex_state = 4, .external_lex_state = 18},
  [5664] = {.lex_state = 22, .external_lex_state = 21},
  [5665] = {.lex_state = 22, .external_lex_state = 26},
  [5666] = {.lex_state = 22, .external_lex_state = 16},
  [5667] = {.lex_state = 22, .external_lex_state = 16},
  [5668] = {.lex_state = 22, .external_lex_state = 16},
  [5669] = {.lex_state = 4, .external_lex_state = 18},
  [5670] = {.lex_state = 4, .external_lex_state = 18},
  [5671] = {.lex_state = 22, .external_lex_state = 16},
  [5672] = {.lex_state = 22, .external_lex_state = 26},
  [5673] = {.lex_state = 22, .external_lex_state = 26},
  [5674] = {.lex_state = 4, .external_lex_state = 16},
  [5675] = {.lex_state = 22, .external_lex_state = 25},
  [5676] = {.lex_state = 22, .external_lex_state = 26},
  [5677] = {.lex_state = 4, .external_lex_state = 16},
  [5678] = {.lex_state = 60, .external_lex_state = 24},
  [5679] = {.lex_state = 4, .external_lex_state = 16},
  [5680] = {.lex_state = 4, .external_lex_state = 16},
  [5681] = {.lex_state = 22, .external_lex_state = 23},
  [5682] = {.lex_state = 22, .external_lex_state = 25},
  [5683] = {.lex_state = 62, .external_lex_state = 20},
  [5684] = {.lex_state = 22, .external_lex_state = 25},
  [5685] = {.lex_state = 60, .external_lex_state = 24},
  [5686] = {.lex_state = 22, .external_lex_state = 16},
  [5687] = {.lex_state = 22, .external_lex_state = 25},
  [5688] = {.lex_state = 22, .external_lex_state = 25},
  [5689] = {.lex_state = 22, .external_lex_state = 26},
  [5690] = {.lex_state = 22, .external_lex_state = 25},
  [5691] = {.lex_state = 22, .external_lex_state = 16},
  [5692] = {.lex_state = 22, .external_lex_state = 25},
  [5693] = {.lex_state = 4, .external_lex_state = 18},
  [5694] = {.lex_state = 22, .external_lex_state = 25},
  [5695] = {.lex_state = 22, .external_lex_state = 19},
  [5696] = {.lex_state = 22, .external_lex_state = 13},
  [5697] = {.lex_state = 4, .external_lex_state = 14},
  [5698] = {.lex_state = 22, .external_lex_state = 25},
  [5699] = {.lex_state = 22, .external_lex_state = 30},
  [5700] = {.lex_state = 22, .external_lex_state = 26},
  [5701] = {.lex_state = 22, .external_lex_state = 26},
  [5702] = {.lex_state = 22, .external_lex_state = 25},
  [5703] = {.lex_state = 59, .external_lex_state = 17},
  [5704] = {.lex_state = 59, .external_lex_state = 17},
  [5705] = {.lex_state = 62, .external_lex_state = 20},
  [5706] = {.lex_state = 22, .external_lex_state = 25},
  [5707] = {.lex_state = 4, .external_lex_state = 25},
  [5708] = {.lex_state = 59, .external_lex_state = 17},
  [5709] = {.lex_state = 4, .external_lex_state = 16},
  [5710] = {.lex_state = 4, .external_lex_state = 18},
  [5711] = {.lex_state = 4, .external_lex_state = 18},
  [5712] = {.lex_state = 18, .external_lex_state = 11},
  [5713] = {.lex_state = 22, .external_lex_state = 26},
  [5714] = {.lex_state = 22, .external_lex_state = 25},
  [5715] = {.lex_state = 18, .external_lex_state = 20},
  [5716] = {.lex_state = 18, .external_lex_state = 20},
  [5717] = {.lex_state = 4, .external_lex_state = 16},
  [5718] = {.lex_state = 62, .external_lex_state = 20},
  [5719] = {.lex_state = 4, .external_lex_state = 16},
  [5720] = {.lex_state = 62, .external_lex_state = 20},
  [5721] = {.lex_state = 4, .external_lex_state = 26},
  [5722] = {.lex_state = 0},
  [5723] = {.lex_state = 22, .external_lex_state = 26},
  [5724] = {.lex_state = 22, .external_lex_state = 25},
  [5725] = {.lex_state = 62, .external_lex_state = 20},
  [5726] = {.lex_state = 22, .external_lex_state = 25},
  [5727] = {.lex_state = 22, .external_lex_state = 26},
  [5728] = {.lex_state = 4, .external_lex_state = 18},
  [5729] = {.lex_state = 18, .external_lex_state = 20},
  [5730] = {.lex_state = 23, .external_lex_state = 11},
  [5731] = {.lex_state = 22, .external_lex_state = 26},
  [5732] = {.lex_state = 62, .external_lex_state = 20},
  [5733] = {.lex_state = 22, .external_lex_state = 26},
  [5734] = {.lex_state = 22, .external_lex_state = 25},
  [5735] = {.lex_state = 22, .external_lex_state = 30},
  [5736] = {.lex_state = 4, .external_lex_state = 18},
  [5737] = {.lex_state = 0},
  [5738] = {.lex_state = 22, .external_lex_state = 26},
  [5739] = {.lex_state = 22, .external_lex_state = 26},
  [5740] = {.lex_state = 18, .external_lex_state = 20},
  [5741] = {.lex_state = 4, .external_lex_state = 18},
  [5742] = {.lex_state = 22, .external_lex_state = 25},
  [5743] = {.lex_state = 4, .external_lex_state = 18},
  [5744] = {.lex_state = 22, .external_lex_state = 26},
  [5745] = {.lex_state = 22, .external_lex_state = 26},
  [5746] = {.lex_state = 22, .external_lex_state = 25},
  [5747] = {.lex_state = 22, .external_lex_state = 25},
  [5748] = {.lex_state = 0},
  [5749] = {.lex_state = 65, .external_lex_state = 20},
  [5750] = {.lex_state = 22, .external_lex_state = 25},
  [5751] = {.lex_state = 22, .external_lex_state = 25},
  [5752] = {.lex_state = 22, .external_lex_state = 25},
  [5753] = {.lex_state = 22, .external_lex_state = 25},
  [5754] = {.lex_state = 22, .external_lex_state = 26},
  [5755] = {.lex_state = 22, .external_lex_state = 25},
  [5756] = {.lex_state = 22, .external_lex_state = 16},
  [5757] = {.lex_state = 4, .external_lex_state = 23},
  [5758] = {.lex_state = 22, .external_lex_state = 13},
  [5759] = {.lex_state = 21, .external_lex_state = 13},
  [5760] = {.lex_state = 21, .external_lex_state = 13},
  [5761] = {.lex_state = 22, .external_lex_state = 13},
  [5762] = {.lex_state = 65, .external_lex_state = 20},
  [5763] = {.lex_state = 22, .external_lex_state = 23},
  [5764] = {.lex_state = 65, .external_lex_state = 20},
  [5765] = {.lex_state = 0},
  [5766] = {.lex_state = 22, .external_lex_state = 26},
  [5767] = {.lex_state = 4, .external_lex_state = 16},
  [5768] = {.lex_state = 0},
  [5769] = {.lex_state = 4, .external_lex_state = 17},
  [5770] = {.lex_state = 0},
  [5771] = {.lex_state = 0},
  [5772] = {.lex_state = 0},
  [5773] = {.lex_state = 22, .external_lex_state = 21},
  [5774] = {.lex_state = 22, .external_lex_state = 26},
  [5775] = {.lex_state = 22, .external_lex_state = 26},
  [5776] = {.lex_state = 0},
  [5777] = {.lex_state = 22, .external_lex_state = 26},
  [5778] = {.lex_state = 22, .external_lex_state = 21},
  [5779] = {.lex_state = 22, .external_lex_state = 26},
  [5780] = {.lex_state = 22, .external_lex_state = 25},
  [5781] = {.lex_state = 0},
  [5782] = {.lex_state = 22, .external_lex_state = 25},
  [5783] = {.lex_state = 0},
  [5784] = {.lex_state = 0},
  [5785] = {.lex_state = 0},
  [5786] = {.lex_state = 0},
  [5787] = {.lex_state = 22, .external_lex_state = 21},
  [5788] = {.lex_state = 22, .external_lex_state = 25},
  [5789] = {.lex_state = 0},
  [5790] = {.lex_state = 4, .external_lex_state = 26},
  [5791] = {.lex_state = 0},
  [5792] = {.lex_state = 0},
  [5793] = {.lex_state = 22, .external_lex_state = 21},
  [5794] = {.lex_state = 22, .external_lex_state = 25},
  [5795] = {.lex_state = 22, .external_lex_state = 21},
  [5796] = {.lex_state = 22, .external_lex_state = 21},
  [5797] = {.lex_state = 0},
  [5798] = {.lex_state = 0},
  [5799] = {.lex_state = 22, .external_lex_state = 25},
  [5800] = {.lex_state = 22, .external_lex_state = 25},
  [5801] = {.lex_state = 0},
  [5802] = {.lex_state = 62, .external_lex_state = 20},
  [5803] = {.lex_state = 62, .external_lex_state = 20},
  [5804] = {.lex_state = 22, .external_lex_state = 26},
  [5805] = {.lex_state = 22, .external_lex_state = 25},
  [5806] = {.lex_state = 0},
  [5807] = {.lex_state = 0},
  [5808] = {.lex_state = 0},
  [5809] = {.lex_state = 0},
  [5810] = {.lex_state = 22, .external_lex_state = 26},
  [5811] = {.lex_state = 22, .external_lex_state = 26},
  [5812] = {.lex_state = 0},
  [5813] = {.lex_state = 22, .external_lex_state = 25},
  [5814] = {.lex_state = 65, .external_lex_state = 27},
  [5815] = {.lex_state = 22, .external_lex_state = 25},
  [5816] = {.lex_state = 22, .external_lex_state = 25},
  [5817] = {.lex_state = 0},
  [5818] = {.lex_state = 22, .external_lex_state = 25},
  [5819] = {.lex_state = 6},
  [5820] = {.lex_state = 4, .external_lex_state = 18},
  [5821] = {.lex_state = 22, .external_lex_state = 25},
  [5822] = {.lex_state = 22, .external_lex_state = 25},
  [5823] = {.lex_state = 22, .external_lex_state = 26},
  [5824] = {.lex_state = 4, .external_lex_state = 18},
  [5825] = {.lex_state = 22, .external_lex_state = 25},
  [5826] = {.lex_state = 4, .external_lex_state = 18},
  [5827] = {.lex_state = 22, .external_lex_state = 26},
  [5828] = {.lex_state = 0},
  [5829] = {.lex_state = 0},
  [5830] = {.lex_state = 0},
  [5831] = {.lex_state = 0},
  [5832] = {.lex_state = 4, .external_lex_state = 18},
  [5833] = {.lex_state = 0},
  [5834] = {.lex_state = 22, .external_lex_state = 25},
  [5835] = {.lex_state = 0},
  [5836] = {.lex_state = 0},
  [5837] = {.lex_state = 4, .external_lex_state = 18},
  [5838] = {.lex_state = 22, .external_lex_state = 25},
  [5839] = {.lex_state = 22, .external_lex_state = 25},
  [5840] = {.lex_state = 22, .external_lex_state = 25},
  [5841] = {.lex_state = 0},
  [5842] = {.lex_state = 60, .external_lex_state = 24},
  [5843] = {.lex_state = 22, .external_lex_state = 26},
  [5844] = {.lex_state = 0},
  [5845] = {.lex_state = 60, .external_lex_state = 24},
  [5846] = {.lex_state = 22, .external_lex_state = 25},
  [5847] = {.lex_state = 0},
  [5848] = {.lex_state = 6},
  [5849] = {.lex_state = 22, .external_lex_state = 25},
  [5850] = {.lex_state = 22, .external_lex_state = 25},
  [5851] = {.lex_state = 4, .external_lex_state = 17},
  [5852] = {.lex_state = 0},
  [5853] = {.lex_state = 4, .external_lex_state = 17},
  [5854] = {.lex_state = 4, .external_lex_state = 23},
  [5855] = {.lex_state = 22, .external_lex_state = 25},
  [5856] = {.lex_state = 22, .external_lex_state = 25},
  [5857] = {.lex_state = 22, .external_lex_state = 25},
  [5858] = {.lex_state = 0},
  [5859] = {.lex_state = 0},
  [5860] = {.lex_state = 22, .external_lex_state = 25},
  [5861] = {.lex_state = 22, .external_lex_state = 16},
  [5862] = {.lex_state = 22, .external_lex_state = 16},
  [5863] = {.lex_state = 0},
  [5864] = {.lex_state = 0},
  [5865] = {.lex_state = 0},
  [5866] = {.lex_state = 22, .external_lex_state = 16},
  [5867] = {.lex_state = 0},
  [5868] = {.lex_state = 4, .external_lex_state = 17},
  [5869] = {.lex_state = 4, .external_lex_state = 18},
  [5870] = {.lex_state = 0},
  [5871] = {.lex_state = 0},
  [5872] = {.lex_state = 4, .external_lex_state = 18},
  [5873] = {.lex_state = 0},
  [5874] = {.lex_state = 0},
  [5875] = {.lex_state = 22, .external_lex_state = 25},
  [5876] = {.lex_state = 0},
  [5877] = {.lex_state = 22, .external_lex_state = 13},
  [5878] = {.lex_state = 22, .external_lex_state = 23},
  [5879] = {.lex_state = 4, .external_lex_state = 26},
  [5880] = {.lex_state = 22, .external_lex_state = 26},
  [5881] = {.lex_state = 0},
  [5882] = {.lex_state = 4, .external_lex_state = 16},
  [5883] = {.lex_state = 22, .external_lex_state = 16},
  [5884] = {.lex_state = 22, .external_lex_state = 16},
  [5885] = {.lex_state = 0},
  [5886] = {.lex_state = 22, .external_lex_state = 16},
  [5887] = {.lex_state = 4, .external_lex_state = 16},
  [5888] = {.lex_state = 0},
  [5889] = {.lex_state = 0},
  [5890] = {.lex_state = 0},
  [5891] = {.lex_state = 0},
  [5892] = {.lex_state = 0},
  [5893] = {.lex_state = 22, .external_lex_state = 16},
  [5894] = {.lex_state = 22, .external_lex_state = 16},
  [5895] = {.lex_state = 22, .external_lex_state = 16},
  [5896] = {.lex_state = 22, .external_lex_state = 16},
  [5897] = {.lex_state = 22, .external_lex_state = 25},
  [5898] = {.lex_state = 22, .external_lex_state = 25},
  [5899] = {.lex_state = 22, .external_lex_state = 26},
  [5900] = {.lex_state = 4, .external_lex_state = 16},
  [5901] = {.lex_state = 4, .external_lex_state = 16},
  [5902] = {.lex_state = 22, .external_lex_state = 16},
  [5903] = {.lex_state = 22, .external_lex_state = 16},
  [5904] = {.lex_state = 22, .external_lex_state = 26},
  [5905] = {.lex_state = 22, .external_lex_state = 16},
  [5906] = {.lex_state = 22, .external_lex_state = 16},
  [5907] = {.lex_state = 22, .external_lex_state = 16},
  [5908] = {.lex_state = 22, .external_lex_state = 25},
  [5909] = {.lex_state = 22, .external_lex_state = 26},
  [5910] = {.lex_state = 22, .external_lex_state = 16},
  [5911] = {.lex_state = 22, .external_lex_state = 16},
  [5912] = {.lex_state = 22, .external_lex_state = 26},
  [5913] = {.lex_state = 22, .external_lex_state = 26},
  [5914] = {.lex_state = 22, .external_lex_state = 26},
  [5915] = {.lex_state = 22, .external_lex_state = 26},
  [5916] = {.lex_state = 22, .external_lex_state = 26},
  [5917] = {.lex_state = 22, .external_lex_state = 16},
  [5918] = {.lex_state = 22, .external_lex_state = 16},
  [5919] = {.lex_state = 22, .external_lex_state = 26},
  [5920] = {.lex_state = 22, .external_lex_state = 26},
  [5921] = {.lex_state = 22, .external_lex_state = 16},
  [5922] = {.lex_state = 22, .external_lex_state = 26},
  [5923] = {.lex_state = 22, .external_lex_state = 26},
  [5924] = {.lex_state = 22, .external_lex_state = 26},
  [5925] = {.lex_state = 22, .external_lex_state = 26},
  [5926] = {.lex_state = 4, .external_lex_state = 16},
  [5927] = {.lex_state = 22, .external_lex_state = 26},
  [5928] = {.lex_state = 22, .external_lex_state = 16},
  [5929] = {.lex_state = 22, .external_lex_state = 26},
  [5930] = {.lex_state = 22, .external_lex_state = 16},
  [5931] = {.lex_state = 22, .external_lex_state = 26},
  [5932] = {.lex_state = 22, .external_lex_state = 30},
  [5933] = {.lex_state = 22, .external_lex_state = 26},
  [5934] = {.lex_state = 22, .external_lex_state = 16},
  [5935] = {.lex_state = 22, .external_lex_state = 26},
  [5936] = {.lex_state = 22, .external_lex_state = 26},
  [5937] = {.lex_state = 22, .external_lex_state = 26},
  [5938] = {.lex_state = 22, .external_lex_state = 26},
  [5939] = {.lex_state = 22, .external_lex_state = 26},
  [5940] = {.lex_state = 22, .external_lex_state = 26},
  [5941] = {.lex_state = 22, .external_lex_state = 26},
  [5942] = {.lex_state = 22, .external_lex_state = 26},
  [5943] = {.lex_state = 22, .external_lex_state = 26},
  [5944] = {.lex_state = 22, .external_lex_state = 26},
  [5945] = {.lex_state = 22, .external_lex_state = 26},
  [5946] = {.lex_state = 22, .external_lex_state = 26},
  [5947] = {.lex_state = 22, .external_lex_state = 16},
  [5948] = {.lex_state = 22, .external_lex_state = 26},
  [5949] = {.lex_state = 22, .external_lex_state = 26},
  [5950] = {.lex_state = 60, .external_lex_state = 24},
  [5951] = {.lex_state = 22, .external_lex_state = 26},
  [5952] = {.lex_state = 22, .external_lex_state = 16},
  [5953] = {.lex_state = 22, .external_lex_state = 25},
  [5954] = {.lex_state = 22, .external_lex_state = 16},
  [5955] = {.lex_state = 22, .external_lex_state = 16},
  [5956] = {.lex_state = 22, .external_lex_state = 16},
  [5957] = {.lex_state = 22, .external_lex_state = 16},
  [5958] = {.lex_state = 22, .external_lex_state = 16},
  [5959] = {.lex_state = 4, .external_lex_state = 16},
  [5960] = {.lex_state = 22, .external_lex_state = 25},
  [5961] = {.lex_state = 22, .external_lex_state = 25},
  [5962] = {.lex_state = 4, .external_lex_state = 16},
  [5963] = {.lex_state = 4, .external_lex_state = 16},
  [5964] = {.lex_state = 4, .external_lex_state = 14},
  [5965] = {.lex_state = 22, .external_lex_state = 26},
  [5966] = {.lex_state = 22, .external_lex_state = 21},
  [5967] = {.lex_state = 22, .external_lex_state = 26},
  [5968] = {.lex_state = 0},
  [5969] = {.lex_state = 21, .external_lex_state = 16},
  [5970] = {.lex_state = 22, .external_lex_state = 26},
  [5971] = {.lex_state = 22, .external_lex_state = 26},
  [5972] = {.lex_state = 22, .external_lex_state = 25},
  [5973] = {.lex_state = 22, .external_lex_state = 26},
  [5974] = {.lex_state = 4, .external_lex_state = 19},
  [5975] = {.lex_state = 22, .external_lex_state = 26},
  [5976] = {.lex_state = 4, .external_lex_state = 19},
  [5977] = {.lex_state = 22, .external_lex_state = 25},
  [5978] = {.lex_state = 0},
  [5979] = {.lex_state = 22, .external_lex_state = 26},
  [5980] = {.lex_state = 22, .external_lex_state = 26},
  [5981] = {.lex_state = 22, .external_lex_state = 25},
  [5982] = {.lex_state = 22, .external_lex_state = 26},
  [5983] = {.lex_state = 22, .external_lex_state = 25},
  [5984] = {.lex_state = 22, .external_lex_state = 26},
  [5985] = {.lex_state = 22, .external_lex_state = 26},
  [5986] = {.lex_state = 22, .external_lex_state = 25},
  [5987] = {.lex_state = 22, .external_lex_state = 26},
  [5988] = {.lex_state = 4, .external_lex_state = 25},
  [5989] = {.lex_state = 22, .external_lex_state = 26},
  [5990] = {.lex_state = 22, .external_lex_state = 26},
  [5991] = {.lex_state = 22, .external_lex_state = 25},
  [5992] = {.lex_state = 22, .external_lex_state = 26},
  [5993] = {.lex_state = 22, .external_lex_state = 26},
  [5994] = {.lex_state = 22, .external_lex_state = 25},
  [5995] = {.lex_state = 22, .external_lex_state = 26},
  [5996] = {.lex_state = 22, .external_lex_state = 26},
  [5997] = {.lex_state = 22, .external_lex_state = 25},
  [5998] = {.lex_state = 22, .external_lex_state = 26},
  [5999] = {.lex_state = 0},
  [6000] = {.lex_state = 22, .external_lex_state = 26},
  [6001] = {.lex_state = 22, .external_lex_state = 26},
  [6002] = {.lex_state = 4, .external_lex_state = 25},
  [6003] = {.lex_state = 22, .external_lex_state = 26},
  [6004] = {.lex_state = 22, .external_lex_state = 26},
  [6005] = {.lex_state = 22, .external_lex_state = 26},
  [6006] = {.lex_state = 22, .external_lex_state = 26},
  [6007] = {.lex_state = 22, .external_lex_state = 26},
  [6008] = {.lex_state = 22, .external_lex_state = 26},
  [6009] = {.lex_state = 22, .external_lex_state = 26},
  [6010] = {.lex_state = 22, .external_lex_state = 25},
  [6011] = {.lex_state = 4, .external_lex_state = 19},
  [6012] = {.lex_state = 21, .external_lex_state = 16},
  [6013] = {.lex_state = 22, .external_lex_state = 21},
  [6014] = {.lex_state = 0},
  [6015] = {.lex_state = 4, .external_lex_state = 19},
  [6016] = {.lex_state = 22, .external_lex_state = 26},
  [6017] = {.lex_state = 22, .external_lex_state = 26},
  [6018] = {.lex_state = 22, .external_lex_state = 26},
  [6019] = {.lex_state = 22, .external_lex_state = 26},
  [6020] = {.lex_state = 4, .external_lex_state = 21},
  [6021] = {.lex_state = 22, .external_lex_state = 26},
  [6022] = {.lex_state = 22, .external_lex_state = 26},
  [6023] = {.lex_state = 4, .external_lex_state = 21},
  [6024] = {.lex_state = 4, .external_lex_state = 21},
  [6025] = {.lex_state = 4, .external_lex_state = 19},
  [6026] = {.lex_state = 0},
  [6027] = {.lex_state = 0},
  [6028] = {.lex_state = 4, .external_lex_state = 19},
  [6029] = {.lex_state = 22, .external_lex_state = 26},
  [6030] = {.lex_state = 4, .external_lex_state = 19},
  [6031] = {.lex_state = 22, .external_lex_state = 26},
  [6032] = {.lex_state = 22, .external_lex_state = 26},
  [6033] = {.lex_state = 4, .external_lex_state = 21},
  [6034] = {.lex_state = 4, .external_lex_state = 26},
  [6035] = {.lex_state = 4, .external_lex_state = 21},
  [6036] = {.lex_state = 4, .external_lex_state = 21},
  [6037] = {.lex_state = 6},
  [6038] = {.lex_state = 0},
  [6039] = {.lex_state = 22, .external_lex_state = 25},
  [6040] = {.lex_state = 60, .external_lex_state = 27},
  [6041] = {.lex_state = 22, .external_lex_state = 13},
  [6042] = {.lex_state = 22, .external_lex_state = 25},
  [6043] = {.lex_state = 4, .external_lex_state = 18},
  [6044] = {.lex_state = 4, .external_lex_state = 26},
  [6045] = {.lex_state = 4, .external_lex_state = 25},
  [6046] = {.lex_state = 22, .external_lex_state = 28},
  [6047] = {.lex_state = 4, .external_lex_state = 13},
  [6048] = {.lex_state = 63, .external_lex_state = 22},
  [6049] = {.lex_state = 4, .external_lex_state = 13},
  [6050] = {.lex_state = 22, .external_lex_state = 25},
  [6051] = {.lex_state = 4, .external_lex_state = 19},
  [6052] = {.lex_state = 4, .external_lex_state = 19},
  [6053] = {.lex_state = 22, .external_lex_state = 25},
  [6054] = {.lex_state = 4, .external_lex_state = 17},
  [6055] = {.lex_state = 21, .external_lex_state = 13},
  [6056] = {.lex_state = 21, .external_lex_state = 13},
  [6057] = {.lex_state = 0},
  [6058] = {.lex_state = 22, .external_lex_state = 25},
  [6059] = {.lex_state = 0},
  [6060] = {.lex_state = 22, .external_lex_state = 13},
  [6061] = {.lex_state = 22, .external_lex_state = 25},
  [6062] = {.lex_state = 22, .external_lex_state = 29},
  [6063] = {.lex_state = 22, .external_lex_state = 25},
  [6064] = {.lex_state = 4, .external_lex_state = 19},
  [6065] = {.lex_state = 0},
  [6066] = {.lex_state = 22, .external_lex_state = 25},
  [6067] = {.lex_state = 22, .external_lex_state = 25},
  [6068] = {.lex_state = 4, .external_lex_state = 16},
  [6069] = {.lex_state = 22, .external_lex_state = 25},
  [6070] = {.lex_state = 4, .external_lex_state = 18},
  [6071] = {.lex_state = 22, .external_lex_state = 26},
  [6072] = {.lex_state = 22, .external_lex_state = 26},
  [6073] = {.lex_state = 4, .external_lex_state = 25},
  [6074] = {.lex_state = 62, .external_lex_state = 24},
  [6075] = {.lex_state = 22, .external_lex_state = 26},
  [6076] = {.lex_state = 22, .external_lex_state = 26},
  [6077] = {.lex_state = 0},
  [6078] = {.lex_state = 22, .external_lex_state = 26},
  [6079] = {.lex_state = 22, .external_lex_state = 28},
  [6080] = {.lex_state = 22, .external_lex_state = 25},
  [6081] = {.lex_state = 22, .external_lex_state = 25},
  [6082] = {.lex_state = 22, .external_lex_state = 25},
  [6083] = {.lex_state = 22, .external_lex_state = 29},
  [6084] = {.lex_state = 22, .external_lex_state = 28},
  [6085] = {.lex_state = 22, .external_lex_state = 26},
  [6086] = {.lex_state = 4, .external_lex_state = 19},
  [6087] = {.lex_state = 22, .external_lex_state = 13},
  [6088] = {.lex_state = 22, .external_lex_state = 25},
  [6089] = {.lex_state = 4, .external_lex_state = 19},
  [6090] = {.lex_state = 22, .external_lex_state = 26},
  [6091] = {.lex_state = 4, .external_lex_state = 19},
  [6092] = {.lex_state = 22, .external_lex_state = 25},
  [6093] = {.lex_state = 0},
  [6094] = {.lex_state = 4, .external_lex_state = 19},
  [6095] = {.lex_state = 22, .external_lex_state = 25},
  [6096] = {.lex_state = 22, .external_lex_state = 21},
  [6097] = {.lex_state = 4, .external_lex_state = 19},
  [6098] = {.lex_state = 22, .external_lex_state = 25},
  [6099] = {.lex_state = 4, .external_lex_state = 19},
  [6100] = {.lex_state = 22, .external_lex_state = 21},
  [6101] = {.lex_state = 22, .external_lex_state = 25},
  [6102] = {.lex_state = 22, .external_lex_state = 25},
  [6103] = {.lex_state = 22, .external_lex_state = 25},
  [6104] = {.lex_state = 22, .external_lex_state = 25},
  [6105] = {.lex_state = 4, .external_lex_state = 25},
  [6106] = {.lex_state = 4, .external_lex_state = 23},
  [6107] = {.lex_state = 22, .external_lex_state = 16},
  [6108] = {.lex_state = 0},
  [6109] = {.lex_state = 22, .external_lex_state = 21},
  [6110] = {.lex_state = 21, .external_lex_state = 16},
  [6111] = {.lex_state = 22, .external_lex_state = 25},
  [6112] = {.lex_state = 21, .external_lex_state = 16},
  [6113] = {.lex_state = 4, .external_lex_state = 25},
  [6114] = {.lex_state = 22, .external_lex_state = 16},
  [6115] = {.lex_state = 22, .external_lex_state = 21},
  [6116] = {.lex_state = 4, .external_lex_state = 19},
  [6117] = {.lex_state = 22, .external_lex_state = 21},
  [6118] = {.lex_state = 22, .external_lex_state = 21},
  [6119] = {.lex_state = 22, .external_lex_state = 26},
  [6120] = {.lex_state = 4, .external_lex_state = 25},
  [6121] = {.lex_state = 22, .external_lex_state = 21},
  [6122] = {.lex_state = 4, .external_lex_state = 18},
  [6123] = {.lex_state = 4, .external_lex_state = 25},
  [6124] = {.lex_state = 22, .external_lex_state = 13},
  [6125] = {.lex_state = 4, .external_lex_state = 25},
  [6126] = {.lex_state = 4, .external_lex_state = 21},
  [6127] = {.lex_state = 4, .external_lex_state = 16},
  [6128] = {.lex_state = 0},
  [6129] = {.lex_state = 22, .external_lex_state = 21},
  [6130] = {.lex_state = 4, .external_lex_state = 16},
  [6131] = {.lex_state = 4, .external_lex_state = 14},
  [6132] = {.lex_state = 4, .external_lex_state = 11},
  [6133] = {.lex_state = 4, .external_lex_state = 19},
  [6134] = {.lex_state = 22, .external_lex_state = 26},
  [6135] = {.lex_state = 4, .external_lex_state = 19},
  [6136] = {.lex_state = 4, .external_lex_state = 16},
  [6137] = {.lex_state = 60, .external_lex_state = 27},
  [6138] = {.lex_state = 22, .external_lex_state = 26},
  [6139] = {.lex_state = 23, .external_lex_state = 12},
  [6140] = {.lex_state = 4, .external_lex_state = 20},
  [6141] = {.lex_state = 4, .external_lex_state = 21},
  [6142] = {.lex_state = 22, .external_lex_state = 26},
  [6143] = {.lex_state = 4, .external_lex_state = 21},
  [6144] = {.lex_state = 22, .external_lex_state = 16},
  [6145] = {.lex_state = 4, .external_lex_state = 25},
  [6146] = {.lex_state = 4, .external_lex_state = 21},
  [6147] = {.lex_state = 4, .external_lex_state = 21},
  [6148] = {.lex_state = 4, .external_lex_state = 21},
  [6149] = {.lex_state = 22, .external_lex_state = 16},
  [6150] = {.lex_state = 4, .external_lex_state = 20},
  [6151] = {.lex_state = 22, .external_lex_state = 21},
  [6152] = {.lex_state = 4, .external_lex_state = 20},
  [6153] = {.lex_state = 22, .external_lex_state = 21},
  [6154] = {.lex_state = 22, .external_lex_state = 26},
  [6155] = {.lex_state = 18, .external_lex_state = 12},
  [6156] = {.lex_state = 22, .external_lex_state = 23},
  [6157] = {.lex_state = 22, .external_lex_state = 23},
  [6158] = {.lex_state = 22, .external_lex_state = 16},
  [6159] = {.lex_state = 18, .external_lex_state = 20},
  [6160] = {.lex_state = 4, .external_lex_state = 20},
  [6161] = {.lex_state = 22, .external_lex_state = 26},
  [6162] = {.lex_state = 22, .external_lex_state = 26},
  [6163] = {.lex_state = 22, .external_lex_state = 26},
  [6164] = {.lex_state = 18, .external_lex_state = 24},
  [6165] = {.lex_state = 22, .external_lex_state = 26},
  [6166] = {.lex_state = 22, .external_lex_state = 26},
  [6167] = {.lex_state = 22, .external_lex_state = 26},
  [6168] = {.lex_state = 22, .external_lex_state = 26},
  [6169] = {.lex_state = 22, .external_lex_state = 26},
  [6170] = {.lex_state = 22, .external_lex_state = 26},
  [6171] = {.lex_state = 0},
  [6172] = {.lex_state = 22, .external_lex_state = 26},
  [6173] = {.lex_state = 22, .external_lex_state = 26},
  [6174] = {.lex_state = 22, .external_lex_state = 26},
  [6175] = {.lex_state = 22, .external_lex_state = 26},
  [6176] = {.lex_state = 22, .external_lex_state = 26},
  [6177] = {.lex_state = 22, .external_lex_state = 26},
  [6178] = {.lex_state = 22, .external_lex_state = 26},
  [6179] = {.lex_state = 22, .external_lex_state = 26},
  [6180] = {.lex_state = 4, .external_lex_state = 21},
  [6181] = {.lex_state = 22, .external_lex_state = 26},
  [6182] = {.lex_state = 18, .external_lex_state = 24},
  [6183] = {.lex_state = 22, .external_lex_state = 26},
  [6184] = {.lex_state = 18, .external_lex_state = 24},
  [6185] = {.lex_state = 22, .external_lex_state = 26},
  [6186] = {.lex_state = 22, .external_lex_state = 26},
  [6187] = {.lex_state = 22, .external_lex_state = 26},
  [6188] = {.lex_state = 0},
  [6189] = {.lex_state = 22, .external_lex_state = 26},
  [6190] = {.lex_state = 22, .external_lex_state = 26},
  [6191] = {.lex_state = 22, .external_lex_state = 26},
  [6192] = {.lex_state = 22, .external_lex_state = 26},
  [6193] = {.lex_state = 4, .external_lex_state = 16},
  [6194] = {.lex_state = 22, .external_lex_state = 26},
  [6195] = {.lex_state = 22, .external_lex_state = 26},
  [6196] = {.lex_state = 22, .external_lex_state = 26},
  [6197] = {.lex_state = 22, .external_lex_state = 26},
  [6198] = {.lex_state = 22, .external_lex_state = 26},
  [6199] = {.lex_state = 0},
  [6200] = {.lex_state = 22, .external_lex_state = 26},
  [6201] = {.lex_state = 22, .external_lex_state = 26},
  [6202] = {.lex_state = 22, .external_lex_state = 26},
  [6203] = {.lex_state = 22, .external_lex_state = 26},
  [6204] = {.lex_state = 22, .external_lex_state = 26},
  [6205] = {.lex_state = 22, .external_lex_state = 26},
  [6206] = {.lex_state = 18, .external_lex_state = 24},
  [6207] = {.lex_state = 0},
  [6208] = {.lex_state = 22, .external_lex_state = 26},
  [6209] = {.lex_state = 22, .external_lex_state = 26},
  [6210] = {.lex_state = 22, .external_lex_state = 26},
  [6211] = {.lex_state = 22, .external_lex_state = 23},
  [6212] = {.lex_state = 22, .external_lex_state = 26},
  [6213] = {.lex_state = 22, .external_lex_state = 26},
  [6214] = {.lex_state = 59, .external_lex_state = 27},
  [6215] = {.lex_state = 22, .external_lex_state = 26},
  [6216] = {.lex_state = 22, .external_lex_state = 23},
  [6217] = {.lex_state = 22, .external_lex_state = 26},
  [6218] = {.lex_state = 4, .external_lex_state = 16},
  [6219] = {.lex_state = 0},
  [6220] = {.lex_state = 22, .external_lex_state = 26},
  [6221] = {.lex_state = 22, .external_lex_state = 23},
  [6222] = {.lex_state = 0},
  [6223] = {.lex_state = 22, .external_lex_state = 26},
  [6224] = {.lex_state = 22, .external_lex_state = 21},
  [6225] = {.lex_state = 22, .external_lex_state = 26},
  [6226] = {.lex_state = 62, .external_lex_state = 24},
  [6227] = {.lex_state = 22, .external_lex_state = 23},
  [6228] = {.lex_state = 22, .external_lex_state = 26},
  [6229] = {.lex_state = 62, .external_lex_state = 24},
  [6230] = {.lex_state = 22, .external_lex_state = 23},
  [6231] = {.lex_state = 0},
  [6232] = {.lex_state = 4, .external_lex_state = 19},
  [6233] = {.lex_state = 22, .external_lex_state = 23},
  [6234] = {.lex_state = 22, .external_lex_state = 26},
  [6235] = {.lex_state = 22, .external_lex_state = 13},
  [6236] = {.lex_state = 22, .external_lex_state = 26},
  [6237] = {.lex_state = 22, .external_lex_state = 26},
  [6238] = {.lex_state = 22, .external_lex_state = 26},
  [6239] = {.lex_state = 4, .external_lex_state = 14},
  [6240] = {.lex_state = 60, .external_lex_state = 27},
  [6241] = {.lex_state = 0},
  [6242] = {.lex_state = 22, .external_lex_state = 26},
  [6243] = {.lex_state = 22, .external_lex_state = 26},
  [6244] = {.lex_state = 60, .external_lex_state = 27},
  [6245] = {.lex_state = 4, .external_lex_state = 16},
  [6246] = {.lex_state = 22, .external_lex_state = 26},
  [6247] = {.lex_state = 22, .external_lex_state = 26},
  [6248] = {.lex_state = 4, .external_lex_state = 21},
  [6249] = {.lex_state = 22, .external_lex_state = 13},
  [6250] = {.lex_state = 22, .external_lex_state = 26},
  [6251] = {.lex_state = 22, .external_lex_state = 26},
  [6252] = {.lex_state = 22, .external_lex_state = 25},
  [6253] = {.lex_state = 22, .external_lex_state = 26},
  [6254] = {.lex_state = 22, .external_lex_state = 26},
  [6255] = {.lex_state = 22, .external_lex_state = 26},
  [6256] = {.lex_state = 22, .external_lex_state = 26},
  [6257] = {.lex_state = 22, .external_lex_state = 13},
  [6258] = {.lex_state = 22, .external_lex_state = 26},
  [6259] = {.lex_state = 22, .external_lex_state = 26},
  [6260] = {.lex_state = 0},
  [6261] = {.lex_state = 22, .external_lex_state = 26},
  [6262] = {.lex_state = 4, .external_lex_state = 16},
  [6263] = {.lex_state = 60, .external_lex_state = 27},
  [6264] = {.lex_state = 22, .external_lex_state = 26},
  [6265] = {.lex_state = 22, .external_lex_state = 26},
  [6266] = {.lex_state = 4, .external_lex_state = 19},
  [6267] = {.lex_state = 22, .external_lex_state = 26},
  [6268] = {.lex_state = 22, .external_lex_state = 26},
  [6269] = {.lex_state = 4, .external_lex_state = 10},
  [6270] = {.lex_state = 4, .external_lex_state = 25},
  [6271] = {.lex_state = 4, .external_lex_state = 25},
  [6272] = {.lex_state = 4, .external_lex_state = 25},
  [6273] = {.lex_state = 4, .external_lex_state = 19},
  [6274] = {.lex_state = 60, .external_lex_state = 27},
  [6275] = {.lex_state = 22, .external_lex_state = 26},
  [6276] = {.lex_state = 22, .external_lex_state = 26},
  [6277] = {.lex_state = 4, .external_lex_state = 25},
  [6278] = {.lex_state = 22, .external_lex_state = 26},
  [6279] = {.lex_state = 22, .external_lex_state = 26},
  [6280] = {.lex_state = 22, .external_lex_state = 26},
  [6281] = {.lex_state = 22, .external_lex_state = 26},
  [6282] = {.lex_state = 59, .external_lex_state = 27},
  [6283] = {.lex_state = 4, .external_lex_state = 25},
  [6284] = {.lex_state = 22, .external_lex_state = 26},
  [6285] = {.lex_state = 22, .external_lex_state = 26},
  [6286] = {.lex_state = 22, .external_lex_state = 26},
  [6287] = {.lex_state = 59, .external_lex_state = 27},
  [6288] = {.lex_state = 22, .external_lex_state = 26},
  [6289] = {.lex_state = 22, .external_lex_state = 26},
  [6290] = {.lex_state = 22, .external_lex_state = 21},
  [6291] = {.lex_state = 4, .external_lex_state = 25},
  [6292] = {.lex_state = 0},
  [6293] = {.lex_state = 22, .external_lex_state = 26},
  [6294] = {.lex_state = 22, .external_lex_state = 26},
  [6295] = {.lex_state = 4, .external_lex_state = 13},
  [6296] = {.lex_state = 22, .external_lex_state = 26},
  [6297] = {.lex_state = 22, .external_lex_state = 26},
  [6298] = {.lex_state = 59, .external_lex_state = 27},
  [6299] = {.lex_state = 4, .external_lex_state = 14},
  [6300] = {.lex_state = 4, .external_lex_state = 25},
  [6301] = {.lex_state = 22, .external_lex_state = 26},
  [6302] = {.lex_state = 4, .external_lex_state = 25},
  [6303] = {.lex_state = 22, .external_lex_state = 21},
  [6304] = {.lex_state = 4, .external_lex_state = 19},
  [6305] = {.lex_state = 4, .external_lex_state = 25},
  [6306] = {.lex_state = 4, .external_lex_state = 25},
  [6307] = {.lex_state = 22, .external_lex_state = 21},
  [6308] = {.lex_state = 22, .external_lex_state = 21},
  [6309] = {.lex_state = 22, .external_lex_state = 21},
  [6310] = {.lex_state = 22, .external_lex_state = 21},
  [6311] = {.lex_state = 22, .external_lex_state = 26},
  [6312] = {.lex_state = 22, .external_lex_state = 26},
  [6313] = {.lex_state = 62, .external_lex_state = 24},
  [6314] = {.lex_state = 4, .external_lex_state = 14},
  [6315] = {.lex_state = 22, .external_lex_state = 26},
  [6316] = {.lex_state = 4, .external_lex_state = 25},
  [6317] = {.lex_state = 22, .external_lex_state = 26},
  [6318] = {.lex_state = 22, .external_lex_state = 26},
  [6319] = {.lex_state = 60, .external_lex_state = 27},
  [6320] = {.lex_state = 22, .external_lex_state = 26},
  [6321] = {.lex_state = 4, .external_lex_state = 25},
  [6322] = {.lex_state = 22, .external_lex_state = 26},
  [6323] = {.lex_state = 22, .external_lex_state = 26},
  [6324] = {.lex_state = 22, .external_lex_state = 26},
  [6325] = {.lex_state = 62, .external_lex_state = 24},
  [6326] = {.lex_state = 4, .external_lex_state = 25},
  [6327] = {.lex_state = 22, .external_lex_state = 26},
  [6328] = {.lex_state = 0},
  [6329] = {.lex_state = 22, .external_lex_state = 26},
  [6330] = {.lex_state = 22, .external_lex_state = 26},
  [6331] = {.lex_state = 4, .external_lex_state = 25},
  [6332] = {.lex_state = 60, .external_lex_state = 27},
  [6333] = {.lex_state = 62, .external_lex_state = 24},
  [6334] = {.lex_state = 22, .external_lex_state = 21},
  [6335] = {.lex_state = 22, .external_lex_state = 26},
  [6336] = {.lex_state = 4, .external_lex_state = 25},
  [6337] = {.lex_state = 62, .external_lex_state = 24},
  [6338] = {.lex_state = 0},
  [6339] = {.lex_state = 22, .external_lex_state = 26},
  [6340] = {.lex_state = 4, .external_lex_state = 13},
  [6341] = {.lex_state = 4, .external_lex_state = 25},
  [6342] = {.lex_state = 22, .external_lex_state = 25},
  [6343] = {.lex_state = 22, .external_lex_state = 26},
  [6344] = {.lex_state = 22, .external_lex_state = 26},
  [6345] = {.lex_state = 22, .external_lex_state = 26},
  [6346] = {.lex_state = 18, .external_lex_state = 21},
  [6347] = {.lex_state = 62, .external_lex_state = 24},
  [6348] = {.lex_state = 22, .external_lex_state = 26},
  [6349] = {.lex_state = 22, .external_lex_state = 16},
  [6350] = {.lex_state = 22, .external_lex_state = 26},
  [6351] = {.lex_state = 22, .external_lex_state = 26},
  [6352] = {.lex_state = 22, .external_lex_state = 26},
  [6353] = {.lex_state = 22, .external_lex_state = 26},
  [6354] = {.lex_state = 22, .external_lex_state = 26},
  [6355] = {.lex_state = 4, .external_lex_state = 25},
  [6356] = {.lex_state = 22, .external_lex_state = 26},
  [6357] = {.lex_state = 22, .external_lex_state = 26},
  [6358] = {.lex_state = 4, .external_lex_state = 25},
  [6359] = {.lex_state = 22, .external_lex_state = 26},
  [6360] = {.lex_state = 22, .external_lex_state = 26},
  [6361] = {.lex_state = 4, .external_lex_state = 25},
  [6362] = {.lex_state = 22, .external_lex_state = 26},
  [6363] = {.lex_state = 0},
  [6364] = {.lex_state = 22, .external_lex_state = 26},
  [6365] = {.lex_state = 0},
  [6366] = {.lex_state = 22, .external_lex_state = 26},
  [6367] = {.lex_state = 65, .external_lex_state = 24},
  [6368] = {.lex_state = 4, .external_lex_state = 25},
  [6369] = {.lex_state = 4, .external_lex_state = 25},
  [6370] = {.lex_state = 4, .external_lex_state = 25},
  [6371] = {.lex_state = 4, .external_lex_state = 26},
  [6372] = {.lex_state = 22, .external_lex_state = 26},
  [6373] = {.lex_state = 22, .external_lex_state = 26},
  [6374] = {.lex_state = 22, .external_lex_state = 26},
  [6375] = {.lex_state = 22, .external_lex_state = 26},
  [6376] = {.lex_state = 0},
  [6377] = {.lex_state = 0},
  [6378] = {.lex_state = 22, .external_lex_state = 26},
  [6379] = {.lex_state = 4, .external_lex_state = 14},
  [6380] = {.lex_state = 22, .external_lex_state = 26},
  [6381] = {.lex_state = 65, .external_lex_state = 24},
  [6382] = {.lex_state = 22, .external_lex_state = 26},
  [6383] = {.lex_state = 22, .external_lex_state = 26},
  [6384] = {.lex_state = 22, .external_lex_state = 26},
  [6385] = {.lex_state = 65, .external_lex_state = 24},
  [6386] = {.lex_state = 4, .external_lex_state = 25},
  [6387] = {.lex_state = 60, .external_lex_state = 27},
  [6388] = {.lex_state = 22, .external_lex_state = 26},
  [6389] = {.lex_state = 22, .external_lex_state = 26},
  [6390] = {.lex_state = 22, .external_lex_state = 26},
  [6391] = {.lex_state = 22, .external_lex_state = 26},
  [6392] = {.lex_state = 4, .external_lex_state = 25},
  [6393] = {.lex_state = 22, .external_lex_state = 26},
  [6394] = {.lex_state = 4, .external_lex_state = 25},
  [6395] = {.lex_state = 22, .external_lex_state = 26},
  [6396] = {.lex_state = 22, .external_lex_state = 25},
  [6397] = {.lex_state = 4, .external_lex_state = 25},
  [6398] = {.lex_state = 22, .external_lex_state = 25},
  [6399] = {.lex_state = 22, .external_lex_state = 26},
  [6400] = {.lex_state = 22, .external_lex_state = 26},
  [6401] = {.lex_state = 22, .external_lex_state = 25},
  [6402] = {.lex_state = 4, .external_lex_state = 25},
  [6403] = {.lex_state = 4, .external_lex_state = 25},
  [6404] = {.lex_state = 59, .external_lex_state = 20},
  [6405] = {.lex_state = 62, .external_lex_state = 24},
  [6406] = {.lex_state = 22, .external_lex_state = 25},
  [6407] = {.lex_state = 22, .external_lex_state = 26},
  [6408] = {.lex_state = 4, .external_lex_state = 14},
  [6409] = {.lex_state = 4, .external_lex_state = 21},
  [6410] = {.lex_state = 22, .external_lex_state = 26},
  [6411] = {.lex_state = 4, .external_lex_state = 25},
  [6412] = {.lex_state = 4, .external_lex_state = 25},
  [6413] = {.lex_state = 4, .external_lex_state = 16},
  [6414] = {.lex_state = 0},
  [6415] = {.lex_state = 22, .external_lex_state = 26},
  [6416] = {.lex_state = 4, .external_lex_state = 25},
  [6417] = {.lex_state = 22, .external_lex_state = 25},
  [6418] = {.lex_state = 22, .external_lex_state = 25},
  [6419] = {.lex_state = 22, .external_lex_state = 26},
  [6420] = {.lex_state = 4, .external_lex_state = 25},
  [6421] = {.lex_state = 22, .external_lex_state = 26},
  [6422] = {.lex_state = 4, .external_lex_state = 25},
  [6423] = {.lex_state = 22, .external_lex_state = 26},
  [6424] = {.lex_state = 22, .external_lex_state = 26},
  [6425] = {.lex_state = 22, .external_lex_state = 26},
  [6426] = {.lex_state = 22, .external_lex_state = 26},
  [6427] = {.lex_state = 4, .external_lex_state = 19},
  [6428] = {.lex_state = 22, .external_lex_state = 26},
  [6429] = {.lex_state = 18, .external_lex_state = 21},
  [6430] = {.lex_state = 4, .external_lex_state = 25},
  [6431] = {.lex_state = 59, .external_lex_state = 20},
  [6432] = {.lex_state = 22, .external_lex_state = 26},
  [6433] = {.lex_state = 22, .external_lex_state = 26},
  [6434] = {.lex_state = 22, .external_lex_state = 26},
  [6435] = {.lex_state = 22, .external_lex_state = 26},
  [6436] = {.lex_state = 4, .external_lex_state = 25},
  [6437] = {.lex_state = 22, .external_lex_state = 26},
  [6438] = {.lex_state = 4, .external_lex_state = 25},
  [6439] = {.lex_state = 59, .external_lex_state = 20},
  [6440] = {.lex_state = 22, .external_lex_state = 26},
  [6441] = {.lex_state = 22, .external_lex_state = 26},
  [6442] = {.lex_state = 0},
  [6443] = {.lex_state = 4, .external_lex_state = 16},
  [6444] = {.lex_state = 22, .external_lex_state = 26},
  [6445] = {.lex_state = 22, .external_lex_state = 26},
  [6446] = {.lex_state = 22, .external_lex_state = 26},
  [6447] = {.lex_state = 22, .external_lex_state = 26},
  [6448] = {.lex_state = 22, .external_lex_state = 26},
  [6449] = {.lex_state = 22},
  [6450] = {.lex_state = 22},
  [6451] = {.lex_state = 4, .external_lex_state = 13},
  [6452] = {.lex_state = 22},
  [6453] = {.lex_state = 4, .external_lex_state = 13},
  [6454] = {.lex_state = 22},
  [6455] = {.lex_state = 22},
  [6456] = {.lex_state = 4, .external_lex_state = 13},
  [6457] = {.lex_state = 22},
  [6458] = {.lex_state = 4, .external_lex_state = 13},
  [6459] = {.lex_state = 22},
  [6460] = {.lex_state = 22},
  [6461] = {.lex_state = 4, .external_lex_state = 18},
  [6462] = {.lex_state = 22},
  [6463] = {.lex_state = 4, .external_lex_state = 13},
  [6464] = {.lex_state = 4, .external_lex_state = 23},
  [6465] = {.lex_state = 4, .external_lex_state = 23},
  [6466] = {.lex_state = 0},
  [6467] = {.lex_state = 4, .external_lex_state = 13},
  [6468] = {.lex_state = 22, .external_lex_state = 25},
  [6469] = {.lex_state = 4, .external_lex_state = 23},
  [6470] = {.lex_state = 4, .external_lex_state = 10},
  [6471] = {.lex_state = 4, .external_lex_state = 13},
  [6472] = {.lex_state = 4, .external_lex_state = 23},
  [6473] = {.lex_state = 4, .external_lex_state = 13},
  [6474] = {.lex_state = 4, .external_lex_state = 13},
  [6475] = {.lex_state = 4, .external_lex_state = 24},
  [6476] = {.lex_state = 4, .external_lex_state = 13},
  [6477] = {.lex_state = 4, .external_lex_state = 13},
  [6478] = {.lex_state = 4, .external_lex_state = 13},
  [6479] = {.lex_state = 4, .external_lex_state = 23},
  [6480] = {.lex_state = 4, .external_lex_state = 18},
  [6481] = {.lex_state = 18, .external_lex_state = 13},
  [6482] = {.lex_state = 4, .external_lex_state = 23},
  [6483] = {.lex_state = 4, .external_lex_state = 13},
  [6484] = {.lex_state = 4, .external_lex_state = 13},
  [6485] = {.lex_state = 4, .external_lex_state = 13},
  [6486] = {.lex_state = 22, .external_lex_state = 28},
  [6487] = {.lex_state = 4, .external_lex_state = 26},
  [6488] = {.lex_state = 4, .external_lex_state = 13},
  [6489] = {.lex_state = 4, .external_lex_state = 13},
  [6490] = {.lex_state = 4, .external_lex_state = 13},
  [6491] = {.lex_state = 4, .external_lex_state = 24},
  [6492] = {.lex_state = 4, .external_lex_state = 24},
  [6493] = {.lex_state = 4, .external_lex_state = 13},
  [6494] = {.lex_state = 62, .external_lex_state = 27},
  [6495] = {.lex_state = 22, .external_lex_state = 28},
  [6496] = {.lex_state = 4, .external_lex_state = 13},
  [6497] = {.lex_state = 4, .external_lex_state = 13},
  [6498] = {.lex_state = 4, .external_lex_state = 13},
  [6499] = {.lex_state = 4, .external_lex_state = 13},
  [6500] = {.lex_state = 22},
  [6501] = {.lex_state = 22},
  [6502] = {.lex_state = 4, .external_lex_state = 13},
  [6503] = {.lex_state = 4, .external_lex_state = 13},
  [6504] = {.lex_state = 4, .external_lex_state = 13},
  [6505] = {.lex_state = 4, .external_lex_state = 13},
  [6506] = {.lex_state = 4, .external_lex_state = 10},
  [6507] = {.lex_state = 4, .external_lex_state = 13},
  [6508] = {.lex_state = 4, .external_lex_state = 13},
  [6509] = {.lex_state = 4, .external_lex_state = 10},
  [6510] = {.lex_state = 4, .external_lex_state = 13},
  [6511] = {.lex_state = 4, .external_lex_state = 13},
  [6512] = {.lex_state = 22},
  [6513] = {.lex_state = 4, .external_lex_state = 13},
  [6514] = {.lex_state = 4, .external_lex_state = 16},
  [6515] = {.lex_state = 22},
  [6516] = {.lex_state = 4, .external_lex_state = 13},
  [6517] = {.lex_state = 22},
  [6518] = {.lex_state = 4, .external_lex_state = 13},
  [6519] = {.lex_state = 4, .external_lex_state = 21},
  [6520] = {.lex_state = 4, .external_lex_state = 13},
  [6521] = {.lex_state = 22},
  [6522] = {.lex_state = 4, .external_lex_state = 13},
  [6523] = {.lex_state = 22},
  [6524] = {.lex_state = 62, .external_lex_state = 27},
  [6525] = {.lex_state = 22},
  [6526] = {.lex_state = 22},
  [6527] = {.lex_state = 4, .external_lex_state = 13},
  [6528] = {.lex_state = 22},
  [6529] = {.lex_state = 4, .external_lex_state = 13},
  [6530] = {.lex_state = 4, .external_lex_state = 13},
  [6531] = {.lex_state = 22},
  [6532] = {.lex_state = 4, .external_lex_state = 13},
  [6533] = {.lex_state = 22},
  [6534] = {.lex_state = 4, .external_lex_state = 24},
  [6535] = {.lex_state = 22},
  [6536] = {.lex_state = 4, .external_lex_state = 13},
  [6537] = {.lex_state = 22},
  [6538] = {.lex_state = 4, .external_lex_state = 13},
  [6539] = {.lex_state = 22, .external_lex_state = 26},
  [6540] = {.lex_state = 4, .external_lex_state = 13},
  [6541] = {.lex_state = 22, .external_lex_state = 26},
  [6542] = {.lex_state = 22, .external_lex_state = 30},
  [6543] = {.lex_state = 4, .external_lex_state = 13},
  [6544] = {.lex_state = 62, .external_lex_state = 27},
  [6545] = {.lex_state = 4, .external_lex_state = 13},
  [6546] = {.lex_state = 4, .external_lex_state = 13},
  [6547] = {.lex_state = 4, .external_lex_state = 13},
  [6548] = {.lex_state = 4, .external_lex_state = 13},
  [6549] = {.lex_state = 62, .external_lex_state = 27},
  [6550] = {.lex_state = 4, .external_lex_state = 10},
  [6551] = {.lex_state = 4, .external_lex_state = 13},
  [6552] = {.lex_state = 22},
  [6553] = {.lex_state = 22},
  [6554] = {.lex_state = 4, .external_lex_state = 13},
  [6555] = {.lex_state = 4, .external_lex_state = 13},
  [6556] = {.lex_state = 4, .external_lex_state = 13},
  [6557] = {.lex_state = 22},
  [6558] = {.lex_state = 62, .external_lex_state = 27},
  [6559] = {.lex_state = 4, .external_lex_state = 13},
  [6560] = {.lex_state = 4, .external_lex_state = 13},
  [6561] = {.lex_state = 22},
  [6562] = {.lex_state = 62, .external_lex_state = 27},
  [6563] = {.lex_state = 4, .external_lex_state = 13},
  [6564] = {.lex_state = 22, .external_lex_state = 28},
  [6565] = {.lex_state = 62, .external_lex_state = 27},
  [6566] = {.lex_state = 4, .external_lex_state = 13},
  [6567] = {.lex_state = 22},
  [6568] = {.lex_state = 22},
  [6569] = {.lex_state = 62, .external_lex_state = 27},
  [6570] = {.lex_state = 4, .external_lex_state = 13},
  [6571] = {.lex_state = 22},
  [6572] = {.lex_state = 4, .external_lex_state = 10},
  [6573] = {.lex_state = 17, .external_lex_state = 21},
  [6574] = {.lex_state = 22},
  [6575] = {.lex_state = 4, .external_lex_state = 13},
  [6576] = {.lex_state = 22},
  [6577] = {.lex_state = 22, .external_lex_state = 28},
  [6578] = {.lex_state = 4, .external_lex_state = 13},
  [6579] = {.lex_state = 4, .external_lex_state = 16},
  [6580] = {.lex_state = 22, .external_lex_state = 13},
  [6581] = {.lex_state = 22, .external_lex_state = 13},
  [6582] = {.lex_state = 22, .external_lex_state = 30},
  [6583] = {.lex_state = 22, .external_lex_state = 16},
  [6584] = {.lex_state = 4, .external_lex_state = 13},
  [6585] = {.lex_state = 22},
  [6586] = {.lex_state = 22},
  [6587] = {.lex_state = 22, .external_lex_state = 16},
  [6588] = {.lex_state = 22},
  [6589] = {.lex_state = 4, .external_lex_state = 10},
  [6590] = {.lex_state = 23, .external_lex_state = 13},
  [6591] = {.lex_state = 4, .external_lex_state = 13},
  [6592] = {.lex_state = 62, .external_lex_state = 27},
  [6593] = {.lex_state = 23, .external_lex_state = 13},
  [6594] = {.lex_state = 4, .external_lex_state = 13},
  [6595] = {.lex_state = 22, .external_lex_state = 28},
  [6596] = {.lex_state = 22},
  [6597] = {.lex_state = 22, .external_lex_state = 26},
  [6598] = {.lex_state = 22, .external_lex_state = 28},
  [6599] = {.lex_state = 4, .external_lex_state = 25},
  [6600] = {.lex_state = 4, .external_lex_state = 13},
  [6601] = {.lex_state = 22, .external_lex_state = 16},
  [6602] = {.lex_state = 22},
  [6603] = {.lex_state = 22},
  [6604] = {.lex_state = 4, .external_lex_state = 13},
  [6605] = {.lex_state = 22},
  [6606] = {.lex_state = 22},
  [6607] = {.lex_state = 22},
  [6608] = {.lex_state = 22},
  [6609] = {.lex_state = 22},
  [6610] = {.lex_state = 22, .external_lex_state = 16},
  [6611] = {.lex_state = 22, .external_lex_state = 26},
  [6612] = {.lex_state = 22},
  [6613] = {.lex_state = 22},
  [6614] = {.lex_state = 22},
  [6615] = {.lex_state = 22, .external_lex_state = 28},
  [6616] = {.lex_state = 22},
  [6617] = {.lex_state = 22, .external_lex_state = 26},
  [6618] = {.lex_state = 22},
  [6619] = {.lex_state = 22, .external_lex_state = 26},
  [6620] = {.lex_state = 22},
  [6621] = {.lex_state = 18, .external_lex_state = 24},
  [6622] = {.lex_state = 22},
  [6623] = {.lex_state = 22, .external_lex_state = 26},
  [6624] = {.lex_state = 22},
  [6625] = {.lex_state = 22},
  [6626] = {.lex_state = 4, .external_lex_state = 12},
  [6627] = {.lex_state = 22},
  [6628] = {.lex_state = 22, .external_lex_state = 26},
  [6629] = {.lex_state = 4, .external_lex_state = 21},
  [6630] = {.lex_state = 22},
  [6631] = {.lex_state = 22},
  [6632] = {.lex_state = 10, .external_lex_state = 27},
  [6633] = {.lex_state = 22},
  [6634] = {.lex_state = 22, .external_lex_state = 29},
  [6635] = {.lex_state = 22, .external_lex_state = 26},
  [6636] = {.lex_state = 22, .external_lex_state = 26},
  [6637] = {.lex_state = 4, .external_lex_state = 16},
  [6638] = {.lex_state = 22},
  [6639] = {.lex_state = 22, .external_lex_state = 23},
  [6640] = {.lex_state = 22, .external_lex_state = 23},
  [6641] = {.lex_state = 22},
  [6642] = {.lex_state = 22},
  [6643] = {.lex_state = 22},
  [6644] = {.lex_state = 22},
  [6645] = {.lex_state = 22},
  [6646] = {.lex_state = 22},
  [6647] = {.lex_state = 59, .external_lex_state = 24},
  [6648] = {.lex_state = 4, .external_lex_state = 25},
  [6649] = {.lex_state = 22, .external_lex_state = 26},
  [6650] = {.lex_state = 59, .external_lex_state = 24},
  [6651] = {.lex_state = 22},
  [6652] = {.lex_state = 59, .external_lex_state = 24},
  [6653] = {.lex_state = 22},
  [6654] = {.lex_state = 18, .external_lex_state = 23},
  [6655] = {.lex_state = 22},
  [6656] = {.lex_state = 22},
  [6657] = {.lex_state = 22},
  [6658] = {.lex_state = 18, .external_lex_state = 17},
  [6659] = {.lex_state = 18, .external_lex_state = 13},
  [6660] = {.lex_state = 4, .external_lex_state = 16},
  [6661] = {.lex_state = 22},
  [6662] = {.lex_state = 4, .external_lex_state = 19},
  [6663] = {.lex_state = 64, .external_lex_state = 22},
  [6664] = {.lex_state = 22},
  [6665] = {.lex_state = 22, .external_lex_state = 23},
  [6666] = {.lex_state = 22, .external_lex_state = 13},
  [6667] = {.lex_state = 22, .external_lex_state = 13},
  [6668] = {.lex_state = 22, .external_lex_state = 23},
  [6669] = {.lex_state = 4, .external_lex_state = 20},
  [6670] = {.lex_state = 22, .external_lex_state = 23},
  [6671] = {.lex_state = 22},
  [6672] = {.lex_state = 4, .external_lex_state = 26},
  [6673] = {.lex_state = 23, .external_lex_state = 13},
  [6674] = {.lex_state = 22},
  [6675] = {.lex_state = 22},
  [6676] = {.lex_state = 22, .external_lex_state = 26},
  [6677] = {.lex_state = 22, .external_lex_state = 26},
  [6678] = {.lex_state = 22, .external_lex_state = 23},
  [6679] = {.lex_state = 4, .external_lex_state = 26},
  [6680] = {.lex_state = 4, .external_lex_state = 26},
  [6681] = {.lex_state = 22},
  [6682] = {.lex_state = 22, .external_lex_state = 23},
  [6683] = {.lex_state = 4, .external_lex_state = 25},
  [6684] = {.lex_state = 4, .external_lex_state = 26},
  [6685] = {.lex_state = 18, .external_lex_state = 15},
  [6686] = {.lex_state = 22, .external_lex_state = 23},
  [6687] = {.lex_state = 4, .external_lex_state = 26},
  [6688] = {.lex_state = 4, .external_lex_state = 25},
  [6689] = {.lex_state = 4, .external_lex_state = 26},
  [6690] = {.lex_state = 4, .external_lex_state = 26},
  [6691] = {.lex_state = 4, .external_lex_state = 18},
  [6692] = {.lex_state = 4, .external_lex_state = 26},
  [6693] = {.lex_state = 4, .external_lex_state = 25},
  [6694] = {.lex_state = 22, .external_lex_state = 23},
  [6695] = {.lex_state = 21, .external_lex_state = 16},
  [6696] = {.lex_state = 4, .external_lex_state = 25},
  [6697] = {.lex_state = 22},
  [6698] = {.lex_state = 18, .external_lex_state = 13},
  [6699] = {.lex_state = 21, .external_lex_state = 16},
  [6700] = {.lex_state = 18, .external_lex_state = 27},
  [6701] = {.lex_state = 18, .external_lex_state = 27},
  [6702] = {.lex_state = 22, .external_lex_state = 26},
  [6703] = {.lex_state = 4, .external_lex_state = 26},
  [6704] = {.lex_state = 22},
  [6705] = {.lex_state = 65, .external_lex_state = 27},
  [6706] = {.lex_state = 22, .external_lex_state = 16},
  [6707] = {.lex_state = 23, .external_lex_state = 15},
  [6708] = {.lex_state = 22, .external_lex_state = 23},
  [6709] = {.lex_state = 22},
  [6710] = {.lex_state = 9, .external_lex_state = 27},
  [6711] = {.lex_state = 22, .external_lex_state = 26},
  [6712] = {.lex_state = 22, .external_lex_state = 23},
  [6713] = {.lex_state = 22},
  [6714] = {.lex_state = 22},
  [6715] = {.lex_state = 23, .external_lex_state = 13},
  [6716] = {.lex_state = 22, .external_lex_state = 13},
  [6717] = {.lex_state = 18, .external_lex_state = 23},
  [6718] = {.lex_state = 22},
  [6719] = {.lex_state = 22},
  [6720] = {.lex_state = 65, .external_lex_state = 27},
  [6721] = {.lex_state = 17, .external_lex_state = 21},
  [6722] = {.lex_state = 22},
  [6723] = {.lex_state = 22, .external_lex_state = 13},
  [6724] = {.lex_state = 21, .external_lex_state = 13},
  [6725] = {.lex_state = 4, .external_lex_state = 26},
  [6726] = {.lex_state = 22},
  [6727] = {.lex_state = 65, .external_lex_state = 27},
  [6728] = {.lex_state = 4, .external_lex_state = 23},
  [6729] = {.lex_state = 4, .external_lex_state = 25},
  [6730] = {.lex_state = 4, .external_lex_state = 26},
  [6731] = {.lex_state = 22},
  [6732] = {.lex_state = 4, .external_lex_state = 26},
  [6733] = {.lex_state = 21, .external_lex_state = 13},
  [6734] = {.lex_state = 4, .external_lex_state = 26},
  [6735] = {.lex_state = 4, .external_lex_state = 18},
  [6736] = {.lex_state = 22, .external_lex_state = 13},
  [6737] = {.lex_state = 4, .external_lex_state = 19},
  [6738] = {.lex_state = 4, .external_lex_state = 26},
  [6739] = {.lex_state = 4, .external_lex_state = 28},
  [6740] = {.lex_state = 4, .external_lex_state = 25},
  [6741] = {.lex_state = 22, .external_lex_state = 26},
  [6742] = {.lex_state = 22, .external_lex_state = 23},
  [6743] = {.lex_state = 22, .external_lex_state = 26},
  [6744] = {.lex_state = 22, .external_lex_state = 25},
  [6745] = {.lex_state = 21, .external_lex_state = 25},
  [6746] = {.lex_state = 21, .external_lex_state = 25},
  [6747] = {.lex_state = 6},
  [6748] = {.lex_state = 6},
  [6749] = {.lex_state = 22},
  [6750] = {.lex_state = 6},
  [6751] = {.lex_state = 4, .external_lex_state = 26},
  [6752] = {.lex_state = 18, .external_lex_state = 27},
  [6753] = {.lex_state = 4, .external_lex_state = 26},
  [6754] = {.lex_state = 4, .external_lex_state = 18},
  [6755] = {.lex_state = 21, .external_lex_state = 25},
  [6756] = {.lex_state = 21, .external_lex_state = 25},
  [6757] = {.lex_state = 22, .external_lex_state = 25},
  [6758] = {.lex_state = 4, .external_lex_state = 26},
  [6759] = {.lex_state = 4, .external_lex_state = 26},
  [6760] = {.lex_state = 4, .external_lex_state = 21},
  [6761] = {.lex_state = 22, .external_lex_state = 26},
  [6762] = {.lex_state = 22, .external_lex_state = 26},
  [6763] = {.lex_state = 4, .external_lex_state = 26},
  [6764] = {.lex_state = 22},
  [6765] = {.lex_state = 22},
  [6766] = {.lex_state = 22},
  [6767] = {.lex_state = 22, .external_lex_state = 26},
  [6768] = {.lex_state = 22, .external_lex_state = 28},
  [6769] = {.lex_state = 64, .external_lex_state = 22},
  [6770] = {.lex_state = 0, .external_lex_state = 19},
  [6771] = {.lex_state = 22, .external_lex_state = 26},
  [6772] = {.lex_state = 63, .external_lex_state = 22},
  [6773] = {.lex_state = 22, .external_lex_state = 28},
  [6774] = {.lex_state = 22},
  [6775] = {.lex_state = 22, .external_lex_state = 28},
  [6776] = {.lex_state = 22, .external_lex_state = 25},
  [6777] = {.lex_state = 4, .external_lex_state = 23},
  [6778] = {.lex_state = 4, .external_lex_state = 23},
  [6779] = {.lex_state = 4, .external_lex_state = 26},
  [6780] = {.lex_state = 4, .external_lex_state = 25},
  [6781] = {.lex_state = 4, .external_lex_state = 26},
  [6782] = {.lex_state = 4, .external_lex_state = 25},
  [6783] = {.lex_state = 4, .external_lex_state = 26},
  [6784] = {.lex_state = 22, .external_lex_state = 26},
  [6785] = {.lex_state = 22, .external_lex_state = 26},
  [6786] = {.lex_state = 4, .external_lex_state = 23},
  [6787] = {.lex_state = 22, .external_lex_state = 23},
  [6788] = {.lex_state = 18, .external_lex_state = 27},
  [6789] = {.lex_state = 4, .external_lex_state = 26},
  [6790] = {.lex_state = 4, .external_lex_state = 18},
  [6791] = {.lex_state = 4, .external_lex_state = 26},
  [6792] = {.lex_state = 22},
  [6793] = {.lex_state = 0, .external_lex_state = 19},
  [6794] = {.lex_state = 4, .external_lex_state = 21},
  [6795] = {.lex_state = 22},
  [6796] = {.lex_state = 22},
  [6797] = {.lex_state = 22},
  [6798] = {.lex_state = 22},
  [6799] = {.lex_state = 4, .external_lex_state = 23},
  [6800] = {.lex_state = 22, .external_lex_state = 23},
  [6801] = {.lex_state = 22},
  [6802] = {.lex_state = 22},
  [6803] = {.lex_state = 0, .external_lex_state = 19},
  [6804] = {.lex_state = 22},
  [6805] = {.lex_state = 22},
  [6806] = {.lex_state = 4, .external_lex_state = 26},
  [6807] = {.lex_state = 22, .external_lex_state = 26},
  [6808] = {.lex_state = 4, .external_lex_state = 26},
  [6809] = {.lex_state = 22},
  [6810] = {.lex_state = 22},
  [6811] = {.lex_state = 22, .external_lex_state = 26},
  [6812] = {.lex_state = 22, .external_lex_state = 26},
  [6813] = {.lex_state = 4, .external_lex_state = 18},
  [6814] = {.lex_state = 4, .external_lex_state = 19},
  [6815] = {.lex_state = 4, .external_lex_state = 26},
  [6816] = {.lex_state = 4, .external_lex_state = 14},
  [6817] = {.lex_state = 4, .external_lex_state = 26},
  [6818] = {.lex_state = 22, .external_lex_state = 26},
  [6819] = {.lex_state = 22, .external_lex_state = 26},
  [6820] = {.lex_state = 22, .external_lex_state = 26},
  [6821] = {.lex_state = 4, .external_lex_state = 26},
  [6822] = {.lex_state = 22},
  [6823] = {.lex_state = 4, .external_lex_state = 26},
  [6824] = {.lex_state = 22},
  [6825] = {.lex_state = 22, .external_lex_state = 26},
  [6826] = {.lex_state = 4, .external_lex_state = 26},
  [6827] = {.lex_state = 22, .external_lex_state = 26},
  [6828] = {.lex_state = 4, .external_lex_state = 26},
  [6829] = {.lex_state = 4, .external_lex_state = 26},
  [6830] = {.lex_state = 4, .external_lex_state = 23},
  [6831] = {.lex_state = 22, .external_lex_state = 23},
  [6832] = {.lex_state = 22, .external_lex_state = 23},
  [6833] = {.lex_state = 4, .external_lex_state = 26},
  [6834] = {.lex_state = 4, .external_lex_state = 26},
  [6835] = {.lex_state = 22},
  [6836] = {.lex_state = 4, .external_lex_state = 26},
  [6837] = {.lex_state = 4, .external_lex_state = 26},
  [6838] = {.lex_state = 4, .external_lex_state = 26},
  [6839] = {.lex_state = 4, .external_lex_state = 26},
  [6840] = {.lex_state = 4, .external_lex_state = 26},
  [6841] = {.lex_state = 22, .external_lex_state = 26},
  [6842] = {.lex_state = 22, .external_lex_state = 26},
  [6843] = {.lex_state = 22},
  [6844] = {.lex_state = 22},
  [6845] = {.lex_state = 22},
  [6846] = {.lex_state = 22, .external_lex_state = 26},
  [6847] = {.lex_state = 4, .external_lex_state = 26},
  [6848] = {.lex_state = 22, .external_lex_state = 26},
  [6849] = {.lex_state = 4, .external_lex_state = 26},
  [6850] = {.lex_state = 4, .external_lex_state = 23},
  [6851] = {.lex_state = 0, .external_lex_state = 19},
  [6852] = {.lex_state = 22, .external_lex_state = 16},
  [6853] = {.lex_state = 22, .external_lex_state = 26},
  [6854] = {.lex_state = 22},
  [6855] = {.lex_state = 22, .external_lex_state = 16},
  [6856] = {.lex_state = 22, .external_lex_state = 26},
  [6857] = {.lex_state = 22},
  [6858] = {.lex_state = 22},
  [6859] = {.lex_state = 4, .external_lex_state = 26},
  [6860] = {.lex_state = 4, .external_lex_state = 28},
  [6861] = {.lex_state = 22, .external_lex_state = 21},
  [6862] = {.lex_state = 4, .external_lex_state = 13},
  [6863] = {.lex_state = 22, .external_lex_state = 21},
  [6864] = {.lex_state = 4, .external_lex_state = 16},
  [6865] = {.lex_state = 4, .external_lex_state = 16},
  [6866] = {.lex_state = 4, .external_lex_state = 16},
  [6867] = {.lex_state = 22, .external_lex_state = 21},
  [6868] = {.lex_state = 22, .external_lex_state = 28},
  [6869] = {.lex_state = 22, .external_lex_state = 21},
  [6870] = {.lex_state = 4, .external_lex_state = 16},
  [6871] = {.lex_state = 4, .external_lex_state = 16},
  [6872] = {.lex_state = 4, .external_lex_state = 16},
  [6873] = {.lex_state = 4, .external_lex_state = 16},
  [6874] = {.lex_state = 4, .external_lex_state = 16},
  [6875] = {.lex_state = 4, .external_lex_state = 16},
  [6876] = {.lex_state = 4, .external_lex_state = 14},
  [6877] = {.lex_state = 4, .external_lex_state = 23},
  [6878] = {.lex_state = 4, .external_lex_state = 16},
  [6879] = {.lex_state = 9, .external_lex_state = 27},
  [6880] = {.lex_state = 4, .external_lex_state = 16},
  [6881] = {.lex_state = 4, .external_lex_state = 16},
  [6882] = {.lex_state = 4, .external_lex_state = 16},
  [6883] = {.lex_state = 4, .external_lex_state = 23},
  [6884] = {.lex_state = 4, .external_lex_state = 23},
  [6885] = {.lex_state = 18, .external_lex_state = 28},
  [6886] = {.lex_state = 4, .external_lex_state = 28},
  [6887] = {.lex_state = 4, .external_lex_state = 16},
  [6888] = {.lex_state = 4, .external_lex_state = 28},
  [6889] = {.lex_state = 4, .external_lex_state = 28},
  [6890] = {.lex_state = 22, .external_lex_state = 26},
  [6891] = {.lex_state = 4, .external_lex_state = 28},
  [6892] = {.lex_state = 22},
  [6893] = {.lex_state = 22, .external_lex_state = 28},
  [6894] = {.lex_state = 4, .external_lex_state = 13},
  [6895] = {.lex_state = 4, .external_lex_state = 28},
  [6896] = {.lex_state = 4, .external_lex_state = 28},
  [6897] = {.lex_state = 22, .external_lex_state = 28},
  [6898] = {.lex_state = 22, .external_lex_state = 28},
  [6899] = {.lex_state = 4, .external_lex_state = 13},
  [6900] = {.lex_state = 22, .external_lex_state = 28},
  [6901] = {.lex_state = 22, .external_lex_state = 28},
  [6902] = {.lex_state = 22, .external_lex_state = 28},
  [6903] = {.lex_state = 4, .external_lex_state = 26},
  [6904] = {.lex_state = 22},
  [6905] = {.lex_state = 22},
  [6906] = {.lex_state = 18, .external_lex_state = 28},
  [6907] = {.lex_state = 4, .external_lex_state = 16},
  [6908] = {.lex_state = 4, .external_lex_state = 13},
  [6909] = {.lex_state = 22, .external_lex_state = 21},
  [6910] = {.lex_state = 22, .external_lex_state = 21},
  [6911] = {.lex_state = 22, .external_lex_state = 25},
  [6912] = {.lex_state = 4, .external_lex_state = 28},
  [6913] = {.lex_state = 22, .external_lex_state = 25},
  [6914] = {.lex_state = 22, .external_lex_state = 21},
  [6915] = {.lex_state = 22, .external_lex_state = 21},
  [6916] = {.lex_state = 4, .external_lex_state = 16},
  [6917] = {.lex_state = 4, .external_lex_state = 16},
  [6918] = {.lex_state = 4, .external_lex_state = 16},
  [6919] = {.lex_state = 4, .external_lex_state = 14},
  [6920] = {.lex_state = 4, .external_lex_state = 13},
  [6921] = {.lex_state = 4, .external_lex_state = 13},
  [6922] = {.lex_state = 13, .external_lex_state = 27},
  [6923] = {.lex_state = 4, .external_lex_state = 16},
  [6924] = {.lex_state = 22, .external_lex_state = 16},
  [6925] = {.lex_state = 22, .external_lex_state = 16},
  [6926] = {.lex_state = 22},
  [6927] = {.lex_state = 4},
  [6928] = {.lex_state = 4, .external_lex_state = 16},
  [6929] = {.lex_state = 22},
  [6930] = {.lex_state = 22},
  [6931] = {.lex_state = 4, .external_lex_state = 16},
  [6932] = {.lex_state = 22},
  [6933] = {.lex_state = 10, .external_lex_state = 27},
  [6934] = {.lex_state = 22},
  [6935] = {.lex_state = 22},
  [6936] = {.lex_state = 22},
  [6937] = {.lex_state = 22},
  [6938] = {.lex_state = 17, .external_lex_state = 23},
  [6939] = {.lex_state = 4, .external_lex_state = 16},
  [6940] = {.lex_state = 22, .external_lex_state = 25},
  [6941] = {.lex_state = 4, .external_lex_state = 16},
  [6942] = {.lex_state = 4, .external_lex_state = 16},
  [6943] = {.lex_state = 4, .external_lex_state = 16},
  [6944] = {.lex_state = 4, .external_lex_state = 16},
  [6945] = {.lex_state = 4, .external_lex_state = 16},
  [6946] = {.lex_state = 22, .external_lex_state = 21},
  [6947] = {.lex_state = 22, .external_lex_state = 21},
  [6948] = {.lex_state = 22, .external_lex_state = 21},
  [6949] = {.lex_state = 22, .external_lex_state = 25},
  [6950] = {.lex_state = 4, .external_lex_state = 29},
  [6951] = {.lex_state = 22},
  [6952] = {.lex_state = 4, .external_lex_state = 16},
  [6953] = {.lex_state = 22, .external_lex_state = 21},
  [6954] = {.lex_state = 22, .external_lex_state = 21},
  [6955] = {.lex_state = 4, .external_lex_state = 28},
  [6956] = {.lex_state = 22, .external_lex_state = 21},
  [6957] = {.lex_state = 17, .external_lex_state = 23},
  [6958] = {.lex_state = 4, .external_lex_state = 13},
  [6959] = {.lex_state = 22, .external_lex_state = 29},
  [6960] = {.lex_state = 4, .external_lex_state = 13},
  [6961] = {.lex_state = 4, .external_lex_state = 16},
  [6962] = {.lex_state = 4, .external_lex_state = 13},
  [6963] = {.lex_state = 4, .external_lex_state = 13},
  [6964] = {.lex_state = 4, .external_lex_state = 16},
  [6965] = {.lex_state = 4, .external_lex_state = 16},
  [6966] = {.lex_state = 4, .external_lex_state = 16},
  [6967] = {.lex_state = 4, .external_lex_state = 14},
  [6968] = {.lex_state = 4, .external_lex_state = 16},
  [6969] = {.lex_state = 4, .external_lex_state = 13},
  [6970] = {.lex_state = 4, .external_lex_state = 13},
  [6971] = {.lex_state = 4, .external_lex_state = 13},
  [6972] = {.lex_state = 4, .external_lex_state = 13},
  [6973] = {.lex_state = 4, .external_lex_state = 13},
  [6974] = {.lex_state = 4, .external_lex_state = 16},
  [6975] = {.lex_state = 4, .external_lex_state = 16},
  [6976] = {.lex_state = 4, .external_lex_state = 13},
  [6977] = {.lex_state = 4, .external_lex_state = 16},
  [6978] = {.lex_state = 4, .external_lex_state = 13},
  [6979] = {.lex_state = 4, .external_lex_state = 13},
  [6980] = {.lex_state = 4, .external_lex_state = 13},
  [6981] = {.lex_state = 4, .external_lex_state = 13},
  [6982] = {.lex_state = 4, .external_lex_state = 13},
  [6983] = {.lex_state = 22, .external_lex_state = 28},
  [6984] = {.lex_state = 22, .external_lex_state = 28},
  [6985] = {.lex_state = 4, .external_lex_state = 28},
  [6986] = {.lex_state = 4, .external_lex_state = 24},
  [6987] = {.lex_state = 4, .external_lex_state = 28},
  [6988] = {.lex_state = 4, .external_lex_state = 16},
  [6989] = {.lex_state = 4, .external_lex_state = 16},
  [6990] = {.lex_state = 4, .external_lex_state = 16},
  [6991] = {.lex_state = 4, .external_lex_state = 16},
  [6992] = {.lex_state = 4, .external_lex_state = 16},
  [6993] = {.lex_state = 22, .external_lex_state = 21},
  [6994] = {.lex_state = 4, .external_lex_state = 13},
  [6995] = {.lex_state = 4, .external_lex_state = 13},
  [6996] = {.lex_state = 22, .external_lex_state = 21},
  [6997] = {.lex_state = 4, .external_lex_state = 13},
  [6998] = {.lex_state = 4, .external_lex_state = 13},
  [6999] = {.lex_state = 4, .external_lex_state = 23},
  [7000] = {.lex_state = 4, .external_lex_state = 13},
  [7001] = {.lex_state = 22, .external_lex_state = 21},
  [7002] = {.lex_state = 4, .external_lex_state = 13},
  [7003] = {.lex_state = 22, .external_lex_state = 21},
  [7004] = {.lex_state = 22, .external_lex_state = 21},
  [7005] = {.lex_state = 4, .external_lex_state = 16},
  [7006] = {.lex_state = 4, .external_lex_state = 16},
  [7007] = {.lex_state = 22, .external_lex_state = 25},
  [7008] = {.lex_state = 4, .external_lex_state = 14},
  [7009] = {.lex_state = 4, .external_lex_state = 16},
  [7010] = {.lex_state = 4, .external_lex_state = 16},
  [7011] = {.lex_state = 4, .external_lex_state = 16},
  [7012] = {.lex_state = 22, .external_lex_state = 16},
  [7013] = {.lex_state = 21, .external_lex_state = 26},
  [7014] = {.lex_state = 21, .external_lex_state = 26},
  [7015] = {.lex_state = 22, .external_lex_state = 16},
  [7016] = {.lex_state = 4, .external_lex_state = 16},
  [7017] = {.lex_state = 4, .external_lex_state = 16},
  [7018] = {.lex_state = 4, .external_lex_state = 16},
  [7019] = {.lex_state = 4, .external_lex_state = 16},
  [7020] = {.lex_state = 4, .external_lex_state = 16},
  [7021] = {.lex_state = 4, .external_lex_state = 16},
  [7022] = {.lex_state = 4, .external_lex_state = 16},
  [7023] = {.lex_state = 4, .external_lex_state = 16},
  [7024] = {.lex_state = 22, .external_lex_state = 26},
  [7025] = {.lex_state = 22, .external_lex_state = 25},
  [7026] = {.lex_state = 4, .external_lex_state = 16},
  [7027] = {.lex_state = 4, .external_lex_state = 16},
  [7028] = {.lex_state = 4, .external_lex_state = 16},
  [7029] = {.lex_state = 22, .external_lex_state = 21},
  [7030] = {.lex_state = 4, .external_lex_state = 16},
  [7031] = {.lex_state = 4, .external_lex_state = 16},
  [7032] = {.lex_state = 4, .external_lex_state = 16},
  [7033] = {.lex_state = 64, .external_lex_state = 27},
  [7034] = {.lex_state = 4, .external_lex_state = 14},
  [7035] = {.lex_state = 22, .external_lex_state = 28},
  [7036] = {.lex_state = 22, .external_lex_state = 28},
  [7037] = {.lex_state = 4},
  [7038] = {.lex_state = 4, .external_lex_state = 26},
  [7039] = {.lex_state = 22, .external_lex_state = 30},
  [7040] = {.lex_state = 22},
  [7041] = {.lex_state = 22, .external_lex_state = 28},
  [7042] = {.lex_state = 4, .external_lex_state = 25},
  [7043] = {.lex_state = 21, .external_lex_state = 25},
  [7044] = {.lex_state = 21, .external_lex_state = 25},
  [7045] = {.lex_state = 18, .external_lex_state = 16},
  [7046] = {.lex_state = 22, .external_lex_state = 28},
  [7047] = {.lex_state = 22, .external_lex_state = 28},
  [7048] = {.lex_state = 4, .external_lex_state = 13},
  [7049] = {.lex_state = 4, .external_lex_state = 25},
  [7050] = {.lex_state = 4, .external_lex_state = 13},
  [7051] = {.lex_state = 4, .external_lex_state = 14},
  [7052] = {.lex_state = 4, .external_lex_state = 27},
  [7053] = {.lex_state = 23, .external_lex_state = 16},
  [7054] = {.lex_state = 4, .external_lex_state = 27},
  [7055] = {.lex_state = 23, .external_lex_state = 16},
  [7056] = {.lex_state = 4, .external_lex_state = 13},
  [7057] = {.lex_state = 4, .external_lex_state = 13},
  [7058] = {.lex_state = 4, .external_lex_state = 13},
  [7059] = {.lex_state = 22, .external_lex_state = 21},
  [7060] = {.lex_state = 4, .external_lex_state = 13},
  [7061] = {.lex_state = 22, .external_lex_state = 21},
  [7062] = {.lex_state = 18, .external_lex_state = 27},
  [7063] = {.lex_state = 4, .external_lex_state = 15},
  [7064] = {.lex_state = 63, .external_lex_state = 22},
  [7065] = {.lex_state = 4, .external_lex_state = 27},
  [7066] = {.lex_state = 23, .external_lex_state = 16},
  [7067] = {.lex_state = 22, .external_lex_state = 21},
  [7068] = {.lex_state = 4, .external_lex_state = 27},
  [7069] = {.lex_state = 22, .external_lex_state = 21},
  [7070] = {.lex_state = 4, .external_lex_state = 13},
  [7071] = {.lex_state = 4, .external_lex_state = 17},
  [7072] = {.lex_state = 22},
  [7073] = {.lex_state = 23, .external_lex_state = 22},
  [7074] = {.lex_state = 22},
  [7075] = {.lex_state = 4, .external_lex_state = 19},
  [7076] = {.lex_state = 4, .external_lex_state = 13},
  [7077] = {.lex_state = 22, .external_lex_state = 26},
  [7078] = {.lex_state = 18, .external_lex_state = 16},
  [7079] = {.lex_state = 4, .external_lex_state = 26},
  [7080] = {.lex_state = 4, .external_lex_state = 26},
  [7081] = {.lex_state = 4, .external_lex_state = 19},
  [7082] = {.lex_state = 23, .external_lex_state = 16},
  [7083] = {.lex_state = 22, .external_lex_state = 16},
  [7084] = {.lex_state = 4, .external_lex_state = 26},
  [7085] = {.lex_state = 18, .external_lex_state = 22},
  [7086] = {.lex_state = 18, .external_lex_state = 16},
  [7087] = {.lex_state = 22},
  [7088] = {.lex_state = 22, .external_lex_state = 26},
  [7089] = {.lex_state = 4, .external_lex_state = 18},
  [7090] = {.lex_state = 4, .external_lex_state = 19},
  [7091] = {.lex_state = 4, .external_lex_state = 13},
  [7092] = {.lex_state = 4, .external_lex_state = 13},
  [7093] = {.lex_state = 4, .external_lex_state = 13},
  [7094] = {.lex_state = 4, .external_lex_state = 13},
  [7095] = {.lex_state = 4, .external_lex_state = 13},
  [7096] = {.lex_state = 4, .external_lex_state = 13},
  [7097] = {.lex_state = 4, .external_lex_state = 13},
  [7098] = {.lex_state = 4, .external_lex_state = 19},
  [7099] = {.lex_state = 11, .external_lex_state = 27},
  [7100] = {.lex_state = 4, .external_lex_state = 13},
  [7101] = {.lex_state = 4, .external_lex_state = 13},
  [7102] = {.lex_state = 4, .external_lex_state = 13},
  [7103] = {.lex_state = 4, .external_lex_state = 13},
  [7104] = {.lex_state = 4, .external_lex_state = 13},
  [7105] = {.lex_state = 4, .external_lex_state = 13},
  [7106] = {.lex_state = 22, .external_lex_state = 21},
  [7107] = {.lex_state = 4, .external_lex_state = 13},
  [7108] = {.lex_state = 4, .external_lex_state = 19},
  [7109] = {.lex_state = 4, .external_lex_state = 13},
  [7110] = {.lex_state = 4, .external_lex_state = 13},
  [7111] = {.lex_state = 21, .external_lex_state = 26},
  [7112] = {.lex_state = 4, .external_lex_state = 13},
  [7113] = {.lex_state = 4, .external_lex_state = 13},
  [7114] = {.lex_state = 4, .external_lex_state = 13},
  [7115] = {.lex_state = 4, .external_lex_state = 13},
  [7116] = {.lex_state = 4, .external_lex_state = 13},
  [7117] = {.lex_state = 4, .external_lex_state = 13},
  [7118] = {.lex_state = 4, .external_lex_state = 13},
  [7119] = {.lex_state = 4, .external_lex_state = 13},
  [7120] = {.lex_state = 22, .external_lex_state = 21},
  [7121] = {.lex_state = 4, .external_lex_state = 13},
  [7122] = {.lex_state = 4, .external_lex_state = 13},
  [7123] = {.lex_state = 4, .external_lex_state = 13},
  [7124] = {.lex_state = 4, .external_lex_state = 13},
  [7125] = {.lex_state = 4, .external_lex_state = 13},
  [7126] = {.lex_state = 59, .external_lex_state = 27},
  [7127] = {.lex_state = 4, .external_lex_state = 13},
  [7128] = {.lex_state = 4, .external_lex_state = 13},
  [7129] = {.lex_state = 4, .external_lex_state = 13},
  [7130] = {.lex_state = 21, .external_lex_state = 26},
  [7131] = {.lex_state = 4, .external_lex_state = 13},
  [7132] = {.lex_state = 22, .external_lex_state = 21},
  [7133] = {.lex_state = 4, .external_lex_state = 13},
  [7134] = {.lex_state = 22},
  [7135] = {.lex_state = 4, .external_lex_state = 13},
  [7136] = {.lex_state = 22, .external_lex_state = 21},
  [7137] = {.lex_state = 59, .external_lex_state = 27},
  [7138] = {.lex_state = 4, .external_lex_state = 13},
  [7139] = {.lex_state = 59, .external_lex_state = 27},
  [7140] = {.lex_state = 4, .external_lex_state = 13},
  [7141] = {.lex_state = 4, .external_lex_state = 13},
  [7142] = {.lex_state = 4, .external_lex_state = 13},
  [7143] = {.lex_state = 4, .external_lex_state = 13},
  [7144] = {.lex_state = 4, .external_lex_state = 13},
  [7145] = {.lex_state = 4, .external_lex_state = 26},
  [7146] = {.lex_state = 4, .external_lex_state = 13},
  [7147] = {.lex_state = 4, .external_lex_state = 13},
  [7148] = {.lex_state = 4, .external_lex_state = 28},
  [7149] = {.lex_state = 4, .external_lex_state = 13},
  [7150] = {.lex_state = 4, .external_lex_state = 13},
  [7151] = {.lex_state = 4, .external_lex_state = 26},
  [7152] = {.lex_state = 4, .external_lex_state = 13},
  [7153] = {.lex_state = 4, .external_lex_state = 16},
  [7154] = {.lex_state = 4, .external_lex_state = 13},
  [7155] = {.lex_state = 4, .external_lex_state = 13},
  [7156] = {.lex_state = 4, .external_lex_state = 13},
  [7157] = {.lex_state = 22, .external_lex_state = 28},
  [7158] = {.lex_state = 22, .external_lex_state = 28},
  [7159] = {.lex_state = 4, .external_lex_state = 13},
  [7160] = {.lex_state = 4, .external_lex_state = 13},
  [7161] = {.lex_state = 4, .external_lex_state = 13},
  [7162] = {.lex_state = 4, .external_lex_state = 13},
  [7163] = {.lex_state = 4, .external_lex_state = 13},
  [7164] = {.lex_state = 4, .external_lex_state = 13},
  [7165] = {.lex_state = 4, .external_lex_state = 28},
  [7166] = {.lex_state = 4, .external_lex_state = 13},
  [7167] = {.lex_state = 4, .external_lex_state = 28},
  [7168] = {.lex_state = 4, .external_lex_state = 13},
  [7169] = {.lex_state = 4, .external_lex_state = 13},
  [7170] = {.lex_state = 4, .external_lex_state = 28},
  [7171] = {.lex_state = 22},
  [7172] = {.lex_state = 4, .external_lex_state = 13},
  [7173] = {.lex_state = 4, .external_lex_state = 13},
  [7174] = {.lex_state = 4, .external_lex_state = 13},
  [7175] = {.lex_state = 4, .external_lex_state = 13},
  [7176] = {.lex_state = 4, .external_lex_state = 13},
  [7177] = {.lex_state = 4, .external_lex_state = 13},
  [7178] = {.lex_state = 4, .external_lex_state = 13},
  [7179] = {.lex_state = 4, .external_lex_state = 13},
  [7180] = {.lex_state = 4, .external_lex_state = 13},
  [7181] = {.lex_state = 4, .external_lex_state = 13},
  [7182] = {.lex_state = 4, .external_lex_state = 13},
  [7183] = {.lex_state = 4, .external_lex_state = 13},
  [7184] = {.lex_state = 22},
  [7185] = {.lex_state = 22},
  [7186] = {.lex_state = 4, .external_lex_state = 16},
  [7187] = {.lex_state = 4, .external_lex_state = 13},
  [7188] = {.lex_state = 4, .external_lex_state = 13},
  [7189] = {.lex_state = 4, .external_lex_state = 13},
  [7190] = {.lex_state = 18, .external_lex_state = 20},
  [7191] = {.lex_state = 4, .external_lex_state = 16},
  [7192] = {.lex_state = 4, .external_lex_state = 13},
  [7193] = {.lex_state = 4, .external_lex_state = 13},
  [7194] = {.lex_state = 4, .external_lex_state = 25},
  [7195] = {.lex_state = 4, .external_lex_state = 13},
  [7196] = {.lex_state = 4, .external_lex_state = 13},
  [7197] = {.lex_state = 22, .external_lex_state = 28},
  [7198] = {.lex_state = 63, .external_lex_state = 22},
  [7199] = {.lex_state = 4, .external_lex_state = 13},
  [7200] = {.lex_state = 4, .external_lex_state = 13},
  [7201] = {.lex_state = 4, .external_lex_state = 13},
  [7202] = {.lex_state = 4, .external_lex_state = 13},
  [7203] = {.lex_state = 22, .external_lex_state = 16},
  [7204] = {.lex_state = 21, .external_lex_state = 16},
  [7205] = {.lex_state = 21, .external_lex_state = 16},
  [7206] = {.lex_state = 22, .external_lex_state = 16},
  [7207] = {.lex_state = 4, .external_lex_state = 13},
  [7208] = {.lex_state = 4, .external_lex_state = 13},
  [7209] = {.lex_state = 4, .external_lex_state = 13},
  [7210] = {.lex_state = 4, .external_lex_state = 13},
  [7211] = {.lex_state = 4, .external_lex_state = 13},
  [7212] = {.lex_state = 4, .external_lex_state = 13},
  [7213] = {.lex_state = 4, .external_lex_state = 13},
  [7214] = {.lex_state = 4, .external_lex_state = 13},
  [7215] = {.lex_state = 4, .external_lex_state = 13},
  [7216] = {.lex_state = 4, .external_lex_state = 13},
  [7217] = {.lex_state = 4, .external_lex_state = 13},
  [7218] = {.lex_state = 4, .external_lex_state = 13},
  [7219] = {.lex_state = 4, .external_lex_state = 13},
  [7220] = {.lex_state = 4, .external_lex_state = 13},
  [7221] = {.lex_state = 4, .external_lex_state = 13},
  [7222] = {.lex_state = 4, .external_lex_state = 19},
  [7223] = {.lex_state = 4, .external_lex_state = 13},
  [7224] = {.lex_state = 4, .external_lex_state = 13},
  [7225] = {.lex_state = 4, .external_lex_state = 13},
  [7226] = {.lex_state = 22, .external_lex_state = 28},
  [7227] = {.lex_state = 22, .external_lex_state = 28},
  [7228] = {.lex_state = 4, .external_lex_state = 13},
  [7229] = {.lex_state = 4, .external_lex_state = 13},
  [7230] = {.lex_state = 4, .external_lex_state = 13},
  [7231] = {.lex_state = 4, .external_lex_state = 13},
  [7232] = {.lex_state = 4, .external_lex_state = 13},
  [7233] = {.lex_state = 4, .external_lex_state = 13},
  [7234] = {.lex_state = 22},
  [7235] = {.lex_state = 4, .external_lex_state = 13},
  [7236] = {.lex_state = 4, .external_lex_state = 13},
  [7237] = {.lex_state = 4, .external_lex_state = 13},
  [7238] = {.lex_state = 4, .external_lex_state = 13},
  [7239] = {.lex_state = 4, .external_lex_state = 13},
  [7240] = {.lex_state = 4, .external_lex_state = 13},
  [7241] = {.lex_state = 4, .external_lex_state = 13},
  [7242] = {.lex_state = 4, .external_lex_state = 13},
  [7243] = {.lex_state = 22, .external_lex_state = 28},
  [7244] = {.lex_state = 4, .external_lex_state = 13},
  [7245] = {.lex_state = 4, .external_lex_state = 13},
  [7246] = {.lex_state = 4, .external_lex_state = 25},
  [7247] = {.lex_state = 22, .external_lex_state = 21},
  [7248] = {.lex_state = 22, .external_lex_state = 21},
  [7249] = {.lex_state = 4, .external_lex_state = 13},
  [7250] = {.lex_state = 4, .external_lex_state = 13},
  [7251] = {.lex_state = 4, .external_lex_state = 13},
  [7252] = {.lex_state = 4, .external_lex_state = 13},
  [7253] = {.lex_state = 4, .external_lex_state = 13},
  [7254] = {.lex_state = 4, .external_lex_state = 13},
  [7255] = {.lex_state = 4, .external_lex_state = 26},
  [7256] = {.lex_state = 7, .external_lex_state = 27},
  [7257] = {.lex_state = 4, .external_lex_state = 19},
  [7258] = {.lex_state = 4, .external_lex_state = 26},
  [7259] = {.lex_state = 4, .external_lex_state = 26},
  [7260] = {.lex_state = 4, .external_lex_state = 16},
  [7261] = {.lex_state = 4, .external_lex_state = 13},
  [7262] = {.lex_state = 22, .external_lex_state = 21},
  [7263] = {.lex_state = 63, .external_lex_state = 22},
  [7264] = {.lex_state = 0},
  [7265] = {.lex_state = 0},
  [7266] = {.lex_state = 0},
  [7267] = {.lex_state = 0},
  [7268] = {.lex_state = 0},
  [7269] = {.lex_state = 0},
  [7270] = {.lex_state = 0},
  [7271] = {.lex_state = 0},
  [7272] = {.lex_state = 22},
  [7273] = {.lex_state = 0},
  [7274] = {.lex_state = 0},
  [7275] = {.lex_state = 0},
  [7276] = {.lex_state = 0},
  [7277] = {.lex_state = 22},
  [7278] = {.lex_state = 4, .external_lex_state = 26},
  [7279] = {.lex_state = 0},
  [7280] = {.lex_state = 0},
  [7281] = {.lex_state = 0},
  [7282] = {.lex_state = 0},
  [7283] = {.lex_state = 0},
  [7284] = {.lex_state = 22},
  [7285] = {.lex_state = 4},
  [7286] = {.lex_state = 0},
  [7287] = {.lex_state = 0},
  [7288] = {.lex_state = 0},
  [7289] = {.lex_state = 22},
  [7290] = {.lex_state = 0},
  [7291] = {.lex_state = 0},
  [7292] = {.lex_state = 0},
  [7293] = {.lex_state = 22, .external_lex_state = 30},
  [7294] = {.lex_state = 22},
  [7295] = {.lex_state = 0},
  [7296] = {.lex_state = 0},
  [7297] = {.lex_state = 22},
  [7298] = {.lex_state = 0},
  [7299] = {.lex_state = 0},
  [7300] = {.lex_state = 22},
  [7301] = {.lex_state = 4},
  [7302] = {.lex_state = 4},
  [7303] = {.lex_state = 0},
  [7304] = {.lex_state = 4},
  [7305] = {.lex_state = 0},
  [7306] = {.lex_state = 4},
  [7307] = {.lex_state = 0},
  [7308] = {.lex_state = 22},
  [7309] = {.lex_state = 0},
  [7310] = {.lex_state = 0},
  [7311] = {.lex_state = 0},
  [7312] = {.lex_state = 0},
  [7313] = {.lex_state = 0},
  [7314] = {.lex_state = 7, .external_lex_state = 27},
  [7315] = {.lex_state = 22},
  [7316] = {.lex_state = 4, .external_lex_state = 26},
  [7317] = {.lex_state = 0},
  [7318] = {.lex_state = 4, .external_lex_state = 26},
  [7319] = {.lex_state = 0, .external_lex_state = 19},
  [7320] = {.lex_state = 22},
  [7321] = {.lex_state = 0},
  [7322] = {.lex_state = 0},
  [7323] = {.lex_state = 0},
  [7324] = {.lex_state = 4},
  [7325] = {.lex_state = 64, .external_lex_state = 22},
  [7326] = {.lex_state = 0},
  [7327] = {.lex_state = 22},
  [7328] = {.lex_state = 0},
  [7329] = {.lex_state = 0},
  [7330] = {.lex_state = 0},
  [7331] = {.lex_state = 0},
  [7332] = {.lex_state = 0},
  [7333] = {.lex_state = 0},
  [7334] = {.lex_state = 0},
  [7335] = {.lex_state = 0},
  [7336] = {.lex_state = 0},
  [7337] = {.lex_state = 22},
  [7338] = {.lex_state = 4, .external_lex_state = 26},
  [7339] = {.lex_state = 0},
  [7340] = {.lex_state = 0},
  [7341] = {.lex_state = 0},
  [7342] = {.lex_state = 0},
  [7343] = {.lex_state = 0},
  [7344] = {.lex_state = 0},
  [7345] = {.lex_state = 0},
  [7346] = {.lex_state = 0},
  [7347] = {.lex_state = 0},
  [7348] = {.lex_state = 0},
  [7349] = {.lex_state = 0},
  [7350] = {.lex_state = 0},
  [7351] = {.lex_state = 0},
  [7352] = {.lex_state = 0},
  [7353] = {.lex_state = 0},
  [7354] = {.lex_state = 0},
  [7355] = {.lex_state = 0},
  [7356] = {.lex_state = 0},
  [7357] = {.lex_state = 0},
  [7358] = {.lex_state = 0},
  [7359] = {.lex_state = 22, .external_lex_state = 25},
  [7360] = {.lex_state = 21, .external_lex_state = 25},
  [7361] = {.lex_state = 21, .external_lex_state = 25},
  [7362] = {.lex_state = 0},
  [7363] = {.lex_state = 0},
  [7364] = {.lex_state = 0},
  [7365] = {.lex_state = 22, .external_lex_state = 25},
  [7366] = {.lex_state = 22},
  [7367] = {.lex_state = 0},
  [7368] = {.lex_state = 0},
  [7369] = {.lex_state = 22},
  [7370] = {.lex_state = 0},
  [7371] = {.lex_state = 22, .external_lex_state = 31},
  [7372] = {.lex_state = 0},
  [7373] = {.lex_state = 0},
  [7374] = {.lex_state = 63, .external_lex_state = 22},
  [7375] = {.lex_state = 67, .external_lex_state = 22},
  [7376] = {.lex_state = 63, .external_lex_state = 22},
  [7377] = {.lex_state = 0},
  [7378] = {.lex_state = 0},
  [7379] = {.lex_state = 0},
  [7380] = {.lex_state = 67, .external_lex_state = 22},
  [7381] = {.lex_state = 22},
  [7382] = {.lex_state = 0},
  [7383] = {.lex_state = 63, .external_lex_state = 22},
  [7384] = {.lex_state = 0},
  [7385] = {.lex_state = 0},
  [7386] = {.lex_state = 0},
  [7387] = {.lex_state = 0},
  [7388] = {.lex_state = 0},
  [7389] = {.lex_state = 0},
  [7390] = {.lex_state = 0},
  [7391] = {.lex_state = 0},
  [7392] = {.lex_state = 0},
  [7393] = {.lex_state = 0},
  [7394] = {.lex_state = 0},
  [7395] = {.lex_state = 0},
  [7396] = {.lex_state = 0},
  [7397] = {.lex_state = 0},
  [7398] = {.lex_state = 0},
  [7399] = {.lex_state = 0},
  [7400] = {.lex_state = 0},
  [7401] = {.lex_state = 0},
  [7402] = {.lex_state = 0},
  [7403] = {.lex_state = 22},
  [7404] = {.lex_state = 0},
  [7405] = {.lex_state = 0},
  [7406] = {.lex_state = 0},
  [7407] = {.lex_state = 0},
  [7408] = {.lex_state = 0},
  [7409] = {.lex_state = 0},
  [7410] = {.lex_state = 0},
  [7411] = {.lex_state = 0},
  [7412] = {.lex_state = 0},
  [7413] = {.lex_state = 0},
  [7414] = {.lex_state = 0},
  [7415] = {.lex_state = 4},
  [7416] = {.lex_state = 0},
  [7417] = {.lex_state = 22, .external_lex_state = 26},
  [7418] = {.lex_state = 0},
  [7419] = {.lex_state = 4},
  [7420] = {.lex_state = 0},
  [7421] = {.lex_state = 0},
  [7422] = {.lex_state = 0},
  [7423] = {.lex_state = 4},
  [7424] = {.lex_state = 4},
  [7425] = {.lex_state = 4},
  [7426] = {.lex_state = 0},
  [7427] = {.lex_state = 4, .external_lex_state = 25},
  [7428] = {.lex_state = 0},
  [7429] = {.lex_state = 0},
  [7430] = {.lex_state = 0},
  [7431] = {.lex_state = 4, .external_lex_state = 25},
  [7432] = {.lex_state = 4, .external_lex_state = 18},
  [7433] = {.lex_state = 0},
  [7434] = {.lex_state = 0},
  [7435] = {.lex_state = 0},
  [7436] = {.lex_state = 0},
  [7437] = {.lex_state = 17, .external_lex_state = 28},
  [7438] = {.lex_state = 22, .external_lex_state = 31},
  [7439] = {.lex_state = 0},
  [7440] = {.lex_state = 0},
  [7441] = {.lex_state = 0},
  [7442] = {.lex_state = 22, .external_lex_state = 21},
  [7443] = {.lex_state = 0},
  [7444] = {.lex_state = 23, .external_lex_state = 25},
  [7445] = {.lex_state = 23, .external_lex_state = 25},
  [7446] = {.lex_state = 4, .external_lex_state = 18},
  [7447] = {.lex_state = 22},
  [7448] = {.lex_state = 0},
  [7449] = {.lex_state = 0},
  [7450] = {.lex_state = 4, .external_lex_state = 16},
  [7451] = {.lex_state = 0},
  [7452] = {.lex_state = 10, .external_lex_state = 27},
  [7453] = {.lex_state = 0},
  [7454] = {.lex_state = 22, .external_lex_state = 26},
  [7455] = {.lex_state = 0},
  [7456] = {.lex_state = 0},
  [7457] = {.lex_state = 0},
  [7458] = {.lex_state = 0},
  [7459] = {.lex_state = 0},
  [7460] = {.lex_state = 0},
  [7461] = {.lex_state = 0},
  [7462] = {.lex_state = 0},
  [7463] = {.lex_state = 64, .external_lex_state = 22},
  [7464] = {.lex_state = 0},
  [7465] = {.lex_state = 0},
  [7466] = {.lex_state = 0},
  [7467] = {.lex_state = 22},
  [7468] = {.lex_state = 0},
  [7469] = {.lex_state = 0},
  [7470] = {.lex_state = 0},
  [7471] = {.lex_state = 0},
  [7472] = {.lex_state = 0},
  [7473] = {.lex_state = 18, .external_lex_state = 21},
  [7474] = {.lex_state = 0},
  [7475] = {.lex_state = 0},
  [7476] = {.lex_state = 0},
  [7477] = {.lex_state = 22},
  [7478] = {.lex_state = 4, .external_lex_state = 25},
  [7479] = {.lex_state = 0},
  [7480] = {.lex_state = 22},
  [7481] = {.lex_state = 0},
  [7482] = {.lex_state = 0},
  [7483] = {.lex_state = 4, .external_lex_state = 25},
  [7484] = {.lex_state = 0},
  [7485] = {.lex_state = 22},
  [7486] = {.lex_state = 4, .external_lex_state = 25},
  [7487] = {.lex_state = 22},
  [7488] = {.lex_state = 0},
  [7489] = {.lex_state = 4, .external_lex_state = 25},
  [7490] = {.lex_state = 0},
  [7491] = {.lex_state = 22},
  [7492] = {.lex_state = 0},
  [7493] = {.lex_state = 4, .external_lex_state = 25},
  [7494] = {.lex_state = 0},
  [7495] = {.lex_state = 0},
  [7496] = {.lex_state = 0},
  [7497] = {.lex_state = 0},
  [7498] = {.lex_state = 4, .external_lex_state = 25},
  [7499] = {.lex_state = 22},
  [7500] = {.lex_state = 0},
  [7501] = {.lex_state = 0},
  [7502] = {.lex_state = 0},
  [7503] = {.lex_state = 0},
  [7504] = {.lex_state = 0},
  [7505] = {.lex_state = 4, .external_lex_state = 25},
  [7506] = {.lex_state = 22},
  [7507] = {.lex_state = 4, .external_lex_state = 25},
  [7508] = {.lex_state = 0},
  [7509] = {.lex_state = 0},
  [7510] = {.lex_state = 0},
  [7511] = {.lex_state = 4, .external_lex_state = 25},
  [7512] = {.lex_state = 0},
  [7513] = {.lex_state = 4, .external_lex_state = 16},
  [7514] = {.lex_state = 0},
  [7515] = {.lex_state = 4, .external_lex_state = 25},
  [7516] = {.lex_state = 22},
  [7517] = {.lex_state = 22, .external_lex_state = 23},
  [7518] = {.lex_state = 4, .external_lex_state = 25},
  [7519] = {.lex_state = 4, .external_lex_state = 16},
  [7520] = {.lex_state = 0},
  [7521] = {.lex_state = 4, .external_lex_state = 16},
  [7522] = {.lex_state = 18, .external_lex_state = 24},
  [7523] = {.lex_state = 0},
  [7524] = {.lex_state = 0},
  [7525] = {.lex_state = 4, .external_lex_state = 25},
  [7526] = {.lex_state = 22},
  [7527] = {.lex_state = 0},
  [7528] = {.lex_state = 0, .external_lex_state = 19},
  [7529] = {.lex_state = 4, .external_lex_state = 25},
  [7530] = {.lex_state = 0},
  [7531] = {.lex_state = 4, .external_lex_state = 20},
  [7532] = {.lex_state = 22},
  [7533] = {.lex_state = 0},
  [7534] = {.lex_state = 4, .external_lex_state = 25},
  [7535] = {.lex_state = 0},
  [7536] = {.lex_state = 0},
  [7537] = {.lex_state = 22},
  [7538] = {.lex_state = 4, .external_lex_state = 25},
  [7539] = {.lex_state = 0},
  [7540] = {.lex_state = 0},
  [7541] = {.lex_state = 0},
  [7542] = {.lex_state = 22},
  [7543] = {.lex_state = 0},
  [7544] = {.lex_state = 0},
  [7545] = {.lex_state = 0},
  [7546] = {.lex_state = 4, .external_lex_state = 18},
  [7547] = {.lex_state = 0},
  [7548] = {.lex_state = 0},
  [7549] = {.lex_state = 4, .external_lex_state = 25},
  [7550] = {.lex_state = 0},
  [7551] = {.lex_state = 0},
  [7552] = {.lex_state = 4, .external_lex_state = 25},
  [7553] = {.lex_state = 18, .external_lex_state = 25},
  [7554] = {.lex_state = 0},
  [7555] = {.lex_state = 0},
  [7556] = {.lex_state = 4, .external_lex_state = 25},
  [7557] = {.lex_state = 0},
  [7558] = {.lex_state = 22, .external_lex_state = 26},
  [7559] = {.lex_state = 4, .external_lex_state = 25},
  [7560] = {.lex_state = 0},
  [7561] = {.lex_state = 4, .external_lex_state = 16},
  [7562] = {.lex_state = 0},
  [7563] = {.lex_state = 4, .external_lex_state = 25},
  [7564] = {.lex_state = 0},
  [7565] = {.lex_state = 0},
  [7566] = {.lex_state = 4, .external_lex_state = 25},
  [7567] = {.lex_state = 0},
  [7568] = {.lex_state = 4, .external_lex_state = 25},
  [7569] = {.lex_state = 0},
  [7570] = {.lex_state = 0},
  [7571] = {.lex_state = 0},
  [7572] = {.lex_state = 0},
  [7573] = {.lex_state = 0},
  [7574] = {.lex_state = 0},
  [7575] = {.lex_state = 18, .external_lex_state = 21},
  [7576] = {.lex_state = 4, .external_lex_state = 25},
  [7577] = {.lex_state = 0},
  [7578] = {.lex_state = 0},
  [7579] = {.lex_state = 4, .external_lex_state = 25},
  [7580] = {.lex_state = 0},
  [7581] = {.lex_state = 4, .external_lex_state = 25},
  [7582] = {.lex_state = 0},
  [7583] = {.lex_state = 0},
  [7584] = {.lex_state = 0},
  [7585] = {.lex_state = 0},
  [7586] = {.lex_state = 0},
  [7587] = {.lex_state = 4, .external_lex_state = 25},
  [7588] = {.lex_state = 0},
  [7589] = {.lex_state = 0},
  [7590] = {.lex_state = 4, .external_lex_state = 16},
  [7591] = {.lex_state = 22},
  [7592] = {.lex_state = 0},
  [7593] = {.lex_state = 23, .external_lex_state = 25},
  [7594] = {.lex_state = 4, .external_lex_state = 25},
  [7595] = {.lex_state = 0},
  [7596] = {.lex_state = 0},
  [7597] = {.lex_state = 4, .external_lex_state = 18},
  [7598] = {.lex_state = 4, .external_lex_state = 22},
  [7599] = {.lex_state = 0},
  [7600] = {.lex_state = 18, .external_lex_state = 21},
  [7601] = {.lex_state = 0},
  [7602] = {.lex_state = 0},
  [7603] = {.lex_state = 0},
  [7604] = {.lex_state = 4, .external_lex_state = 25},
  [7605] = {.lex_state = 0},
  [7606] = {.lex_state = 0},
  [7607] = {.lex_state = 0},
  [7608] = {.lex_state = 0},
  [7609] = {.lex_state = 0},
  [7610] = {.lex_state = 4, .external_lex_state = 25},
  [7611] = {.lex_state = 0},
  [7612] = {.lex_state = 0},
  [7613] = {.lex_state = 4, .external_lex_state = 25},
  [7614] = {.lex_state = 8, .external_lex_state = 27},
  [7615] = {.lex_state = 0},
  [7616] = {.lex_state = 0},
  [7617] = {.lex_state = 4, .external_lex_state = 25},
  [7618] = {.lex_state = 4, .external_lex_state = 25},
  [7619] = {.lex_state = 0},
  [7620] = {.lex_state = 0},
  [7621] = {.lex_state = 0},
  [7622] = {.lex_state = 18, .external_lex_state = 25},
  [7623] = {.lex_state = 0},
  [7624] = {.lex_state = 4, .external_lex_state = 25},
  [7625] = {.lex_state = 0},
  [7626] = {.lex_state = 0},
  [7627] = {.lex_state = 0},
  [7628] = {.lex_state = 0},
  [7629] = {.lex_state = 4, .external_lex_state = 16},
  [7630] = {.lex_state = 4, .external_lex_state = 25},
  [7631] = {.lex_state = 0},
  [7632] = {.lex_state = 0},
  [7633] = {.lex_state = 0},
  [7634] = {.lex_state = 0},
  [7635] = {.lex_state = 4, .external_lex_state = 25},
  [7636] = {.lex_state = 0},
  [7637] = {.lex_state = 0},
  [7638] = {.lex_state = 4, .external_lex_state = 16},
  [7639] = {.lex_state = 4, .external_lex_state = 25},
  [7640] = {.lex_state = 4, .external_lex_state = 16},
  [7641] = {.lex_state = 22},
  [7642] = {.lex_state = 0},
  [7643] = {.lex_state = 0},
  [7644] = {.lex_state = 4, .external_lex_state = 25},
  [7645] = {.lex_state = 0},
  [7646] = {.lex_state = 4, .external_lex_state = 25},
  [7647] = {.lex_state = 0},
  [7648] = {.lex_state = 0},
  [7649] = {.lex_state = 4, .external_lex_state = 16},
  [7650] = {.lex_state = 0},
  [7651] = {.lex_state = 0},
  [7652] = {.lex_state = 0},
  [7653] = {.lex_state = 18},
  [7654] = {.lex_state = 4, .external_lex_state = 16},
  [7655] = {.lex_state = 0},
  [7656] = {.lex_state = 4, .external_lex_state = 16},
  [7657] = {.lex_state = 23, .external_lex_state = 25},
  [7658] = {.lex_state = 4, .external_lex_state = 16},
  [7659] = {.lex_state = 4, .external_lex_state = 16},
  [7660] = {.lex_state = 4, .external_lex_state = 16},
  [7661] = {.lex_state = 0},
  [7662] = {.lex_state = 0},
  [7663] = {.lex_state = 0},
  [7664] = {.lex_state = 0},
  [7665] = {.lex_state = 4, .external_lex_state = 25},
  [7666] = {.lex_state = 0},
  [7667] = {.lex_state = 0},
  [7668] = {.lex_state = 4, .external_lex_state = 25},
  [7669] = {.lex_state = 0},
  [7670] = {.lex_state = 0},
  [7671] = {.lex_state = 4, .external_lex_state = 25},
  [7672] = {.lex_state = 0},
  [7673] = {.lex_state = 0},
  [7674] = {.lex_state = 4, .external_lex_state = 18},
  [7675] = {.lex_state = 0},
  [7676] = {.lex_state = 4, .external_lex_state = 25},
  [7677] = {.lex_state = 0},
  [7678] = {.lex_state = 0},
  [7679] = {.lex_state = 4, .external_lex_state = 25},
  [7680] = {.lex_state = 0},
  [7681] = {.lex_state = 4, .external_lex_state = 25},
  [7682] = {.lex_state = 0},
  [7683] = {.lex_state = 0},
  [7684] = {.lex_state = 4, .external_lex_state = 25},
  [7685] = {.lex_state = 0},
  [7686] = {.lex_state = 0},
  [7687] = {.lex_state = 4, .external_lex_state = 25},
  [7688] = {.lex_state = 0},
  [7689] = {.lex_state = 0},
  [7690] = {.lex_state = 4, .external_lex_state = 16},
  [7691] = {.lex_state = 4, .external_lex_state = 27},
  [7692] = {.lex_state = 0},
  [7693] = {.lex_state = 22, .external_lex_state = 31},
  [7694] = {.lex_state = 22, .external_lex_state = 26},
  [7695] = {.lex_state = 4, .external_lex_state = 16},
  [7696] = {.lex_state = 0},
  [7697] = {.lex_state = 0},
  [7698] = {.lex_state = 0},
  [7699] = {.lex_state = 4, .external_lex_state = 25},
  [7700] = {.lex_state = 0},
  [7701] = {.lex_state = 0},
  [7702] = {.lex_state = 0},
  [7703] = {.lex_state = 0},
  [7704] = {.lex_state = 0},
  [7705] = {.lex_state = 0},
  [7706] = {.lex_state = 4, .external_lex_state = 16},
  [7707] = {.lex_state = 4, .external_lex_state = 16},
  [7708] = {.lex_state = 0},
  [7709] = {.lex_state = 4, .external_lex_state = 16},
  [7710] = {.lex_state = 0},
  [7711] = {.lex_state = 0},
  [7712] = {.lex_state = 4, .external_lex_state = 16},
  [7713] = {.lex_state = 0},
  [7714] = {.lex_state = 0},
  [7715] = {.lex_state = 64, .external_lex_state = 27},
  [7716] = {.lex_state = 0},
  [7717] = {.lex_state = 0},
  [7718] = {.lex_state = 0},
  [7719] = {.lex_state = 0},
  [7720] = {.lex_state = 0},
  [7721] = {.lex_state = 0},
  [7722] = {.lex_state = 0},
  [7723] = {.lex_state = 4, .external_lex_state = 25},
  [7724] = {.lex_state = 0},
  [7725] = {.lex_state = 0},
  [7726] = {.lex_state = 0},
  [7727] = {.lex_state = 4, .external_lex_state = 25},
  [7728] = {.lex_state = 0},
  [7729] = {.lex_state = 0},
  [7730] = {.lex_state = 0},
  [7731] = {.lex_state = 0},
  [7732] = {.lex_state = 0},
  [7733] = {.lex_state = 0},
  [7734] = {.lex_state = 0},
  [7735] = {.lex_state = 0},
  [7736] = {.lex_state = 0},
  [7737] = {.lex_state = 4, .external_lex_state = 25},
  [7738] = {.lex_state = 0},
  [7739] = {.lex_state = 0},
  [7740] = {.lex_state = 4, .external_lex_state = 25},
  [7741] = {.lex_state = 0},
  [7742] = {.lex_state = 0},
  [7743] = {.lex_state = 0},
  [7744] = {.lex_state = 0},
  [7745] = {.lex_state = 0},
  [7746] = {.lex_state = 4, .external_lex_state = 18},
  [7747] = {.lex_state = 4, .external_lex_state = 25},
  [7748] = {.lex_state = 0},
  [7749] = {.lex_state = 4, .external_lex_state = 16},
  [7750] = {.lex_state = 4, .external_lex_state = 25},
  [7751] = {.lex_state = 0},
  [7752] = {.lex_state = 0},
  [7753] = {.lex_state = 0},
  [7754] = {.lex_state = 4, .external_lex_state = 16},
  [7755] = {.lex_state = 0},
  [7756] = {.lex_state = 0},
  [7757] = {.lex_state = 4, .external_lex_state = 25},
  [7758] = {.lex_state = 0},
  [7759] = {.lex_state = 0},
  [7760] = {.lex_state = 0},
  [7761] = {.lex_state = 0},
  [7762] = {.lex_state = 22},
  [7763] = {.lex_state = 0},
  [7764] = {.lex_state = 0},
  [7765] = {.lex_state = 0},
  [7766] = {.lex_state = 4, .external_lex_state = 25},
  [7767] = {.lex_state = 0},
  [7768] = {.lex_state = 0},
  [7769] = {.lex_state = 9, .external_lex_state = 27},
  [7770] = {.lex_state = 22, .external_lex_state = 26},
  [7771] = {.lex_state = 22},
  [7772] = {.lex_state = 0},
  [7773] = {.lex_state = 0},
  [7774] = {.lex_state = 0},
  [7775] = {.lex_state = 22},
  [7776] = {.lex_state = 0},
  [7777] = {.lex_state = 0},
  [7778] = {.lex_state = 4, .external_lex_state = 16},
  [7779] = {.lex_state = 0},
  [7780] = {.lex_state = 0},
  [7781] = {.lex_state = 4, .external_lex_state = 16},
  [7782] = {.lex_state = 0},
  [7783] = {.lex_state = 0},
  [7784] = {.lex_state = 0},
  [7785] = {.lex_state = 0},
  [7786] = {.lex_state = 0},
  [7787] = {.lex_state = 0},
  [7788] = {.lex_state = 0},
  [7789] = {.lex_state = 4},
  [7790] = {.lex_state = 4, .external_lex_state = 25},
  [7791] = {.lex_state = 0},
  [7792] = {.lex_state = 0},
  [7793] = {.lex_state = 0},
  [7794] = {.lex_state = 22},
  [7795] = {.lex_state = 0},
  [7796] = {.lex_state = 22, .external_lex_state = 26},
  [7797] = {.lex_state = 22},
  [7798] = {.lex_state = 0},
  [7799] = {.lex_state = 0},
  [7800] = {.lex_state = 18},
  [7801] = {.lex_state = 0},
  [7802] = {.lex_state = 0},
  [7803] = {.lex_state = 0},
  [7804] = {.lex_state = 0},
  [7805] = {.lex_state = 0},
  [7806] = {.lex_state = 0},
  [7807] = {.lex_state = 10, .external_lex_state = 27},
  [7808] = {.lex_state = 0},
  [7809] = {.lex_state = 0},
  [7810] = {.lex_state = 0, .external_lex_state = 19},
  [7811] = {.lex_state = 0},
  [7812] = {.lex_state = 4, .external_lex_state = 25},
  [7813] = {.lex_state = 0},
  [7814] = {.lex_state = 0},
  [7815] = {.lex_state = 22},
  [7816] = {.lex_state = 0},
  [7817] = {.lex_state = 0},
  [7818] = {.lex_state = 0},
  [7819] = {.lex_state = 0},
  [7820] = {.lex_state = 0},
  [7821] = {.lex_state = 0},
  [7822] = {.lex_state = 22},
  [7823] = {.lex_state = 4, .external_lex_state = 25},
  [7824] = {.lex_state = 0},
  [7825] = {.lex_state = 4, .external_lex_state = 16},
  [7826] = {.lex_state = 0},
  [7827] = {.lex_state = 0},
  [7828] = {.lex_state = 0},
  [7829] = {.lex_state = 0},
  [7830] = {.lex_state = 0},
  [7831] = {.lex_state = 0},
  [7832] = {.lex_state = 0},
  [7833] = {.lex_state = 0},
  [7834] = {.lex_state = 0},
  [7835] = {.lex_state = 0},
  [7836] = {.lex_state = 0},
  [7837] = {.lex_state = 0},
  [7838] = {.lex_state = 0},
  [7839] = {.lex_state = 0},
  [7840] = {.lex_state = 0},
  [7841] = {.lex_state = 4},
  [7842] = {.lex_state = 22},
  [7843] = {.lex_state = 22},
  [7844] = {.lex_state = 22},
  [7845] = {.lex_state = 22},
  [7846] = {.lex_state = 4, .external_lex_state = 16},
  [7847] = {.lex_state = 0},
  [7848] = {.lex_state = 4, .external_lex_state = 25},
  [7849] = {.lex_state = 22},
  [7850] = {.lex_state = 0},
  [7851] = {.lex_state = 0},
  [7852] = {.lex_state = 0},
  [7853] = {.lex_state = 21, .external_lex_state = 26},
  [7854] = {.lex_state = 63, .external_lex_state = 27},
  [7855] = {.lex_state = 21, .external_lex_state = 26},
  [7856] = {.lex_state = 0, .external_lex_state = 19},
  [7857] = {.lex_state = 4, .external_lex_state = 25},
  [7858] = {.lex_state = 0},
  [7859] = {.lex_state = 4, .external_lex_state = 16},
  [7860] = {.lex_state = 4, .external_lex_state = 16},
  [7861] = {.lex_state = 4, .external_lex_state = 16},
  [7862] = {.lex_state = 4, .external_lex_state = 16},
  [7863] = {.lex_state = 0},
  [7864] = {.lex_state = 4, .external_lex_state = 16},
  [7865] = {.lex_state = 4, .external_lex_state = 16},
  [7866] = {.lex_state = 4, .external_lex_state = 16},
  [7867] = {.lex_state = 4, .external_lex_state = 16},
  [7868] = {.lex_state = 0},
  [7869] = {.lex_state = 4, .external_lex_state = 16},
  [7870] = {.lex_state = 4, .external_lex_state = 16},
  [7871] = {.lex_state = 0},
  [7872] = {.lex_state = 4, .external_lex_state = 16},
  [7873] = {.lex_state = 4, .external_lex_state = 16},
  [7874] = {.lex_state = 0},
  [7875] = {.lex_state = 4, .external_lex_state = 16},
  [7876] = {.lex_state = 4, .external_lex_state = 16},
  [7877] = {.lex_state = 0},
  [7878] = {.lex_state = 4, .external_lex_state = 16},
  [7879] = {.lex_state = 4, .external_lex_state = 16},
  [7880] = {.lex_state = 0},
  [7881] = {.lex_state = 4, .external_lex_state = 16},
  [7882] = {.lex_state = 4, .external_lex_state = 16},
  [7883] = {.lex_state = 4, .external_lex_state = 16},
  [7884] = {.lex_state = 4, .external_lex_state = 16},
  [7885] = {.lex_state = 4, .external_lex_state = 16},
  [7886] = {.lex_state = 4, .external_lex_state = 16},
  [7887] = {.lex_state = 0},
  [7888] = {.lex_state = 4, .external_lex_state = 16},
  [7889] = {.lex_state = 0},
  [7890] = {.lex_state = 4, .external_lex_state = 16},
  [7891] = {.lex_state = 4, .external_lex_state = 16},
  [7892] = {.lex_state = 4, .external_lex_state = 16},
  [7893] = {.lex_state = 4, .external_lex_state = 16},
  [7894] = {.lex_state = 4, .external_lex_state = 16},
  [7895] = {.lex_state = 4, .external_lex_state = 16},
  [7896] = {.lex_state = 22},
  [7897] = {.lex_state = 4, .external_lex_state = 16},
  [7898] = {.lex_state = 0},
  [7899] = {.lex_state = 4, .external_lex_state = 16},
  [7900] = {.lex_state = 4, .external_lex_state = 16},
  [7901] = {.lex_state = 0},
  [7902] = {.lex_state = 4, .external_lex_state = 16},
  [7903] = {.lex_state = 0},
  [7904] = {.lex_state = 18, .external_lex_state = 25},
  [7905] = {.lex_state = 0},
  [7906] = {.lex_state = 4, .external_lex_state = 16},
  [7907] = {.lex_state = 4, .external_lex_state = 28},
  [7908] = {.lex_state = 11, .external_lex_state = 27},
  [7909] = {.lex_state = 4, .external_lex_state = 16},
  [7910] = {.lex_state = 4, .external_lex_state = 16},
  [7911] = {.lex_state = 22, .external_lex_state = 23},
  [7912] = {.lex_state = 4, .external_lex_state = 16},
  [7913] = {.lex_state = 4, .external_lex_state = 16},
  [7914] = {.lex_state = 0},
  [7915] = {.lex_state = 4, .external_lex_state = 16},
  [7916] = {.lex_state = 4, .external_lex_state = 16},
  [7917] = {.lex_state = 4, .external_lex_state = 16},
  [7918] = {.lex_state = 4, .external_lex_state = 16},
  [7919] = {.lex_state = 4, .external_lex_state = 29},
  [7920] = {.lex_state = 4, .external_lex_state = 16},
  [7921] = {.lex_state = 4, .external_lex_state = 16},
  [7922] = {.lex_state = 0},
  [7923] = {.lex_state = 4, .external_lex_state = 16},
  [7924] = {.lex_state = 4, .external_lex_state = 16},
  [7925] = {.lex_state = 22, .external_lex_state = 23},
  [7926] = {.lex_state = 22, .external_lex_state = 23},
  [7927] = {.lex_state = 0},
  [7928] = {.lex_state = 4, .external_lex_state = 29},
  [7929] = {.lex_state = 0},
  [7930] = {.lex_state = 4, .external_lex_state = 25},
  [7931] = {.lex_state = 4, .external_lex_state = 16},
  [7932] = {.lex_state = 4, .external_lex_state = 16},
  [7933] = {.lex_state = 4, .external_lex_state = 29},
  [7934] = {.lex_state = 4, .external_lex_state = 16},
  [7935] = {.lex_state = 4, .external_lex_state = 16},
  [7936] = {.lex_state = 0},
  [7937] = {.lex_state = 4, .external_lex_state = 16},
  [7938] = {.lex_state = 4, .external_lex_state = 16},
  [7939] = {.lex_state = 4, .external_lex_state = 16},
  [7940] = {.lex_state = 0},
  [7941] = {.lex_state = 4, .external_lex_state = 16},
  [7942] = {.lex_state = 22, .external_lex_state = 23},
  [7943] = {.lex_state = 4, .external_lex_state = 16},
  [7944] = {.lex_state = 4, .external_lex_state = 28},
  [7945] = {.lex_state = 4, .external_lex_state = 16},
  [7946] = {.lex_state = 22, .external_lex_state = 23},
  [7947] = {.lex_state = 22, .external_lex_state = 23},
  [7948] = {.lex_state = 4, .external_lex_state = 16},
  [7949] = {.lex_state = 0},
  [7950] = {.lex_state = 4, .external_lex_state = 16},
  [7951] = {.lex_state = 4, .external_lex_state = 16},
  [7952] = {.lex_state = 22, .external_lex_state = 23},
  [7953] = {.lex_state = 4, .external_lex_state = 16},
  [7954] = {.lex_state = 4, .external_lex_state = 16},
  [7955] = {.lex_state = 4, .external_lex_state = 16},
  [7956] = {.lex_state = 4, .external_lex_state = 16},
  [7957] = {.lex_state = 22, .external_lex_state = 23},
  [7958] = {.lex_state = 4, .external_lex_state = 16},
  [7959] = {.lex_state = 4, .external_lex_state = 16},
  [7960] = {.lex_state = 22},
  [7961] = {.lex_state = 22, .external_lex_state = 23},
  [7962] = {.lex_state = 4, .external_lex_state = 16},
  [7963] = {.lex_state = 4, .external_lex_state = 16},
  [7964] = {.lex_state = 4, .external_lex_state = 16},
  [7965] = {.lex_state = 4, .external_lex_state = 16},
  [7966] = {.lex_state = 4, .external_lex_state = 16},
  [7967] = {.lex_state = 22, .external_lex_state = 23},
  [7968] = {.lex_state = 4, .external_lex_state = 16},
  [7969] = {.lex_state = 22},
  [7970] = {.lex_state = 4, .external_lex_state = 16},
  [7971] = {.lex_state = 4, .external_lex_state = 16},
  [7972] = {.lex_state = 22},
  [7973] = {.lex_state = 4, .external_lex_state = 16},
  [7974] = {.lex_state = 4, .external_lex_state = 16},
  [7975] = {.lex_state = 22, .external_lex_state = 25},
  [7976] = {.lex_state = 0},
  [7977] = {.lex_state = 4, .external_lex_state = 16},
  [7978] = {.lex_state = 0},
  [7979] = {.lex_state = 22, .external_lex_state = 23},
  [7980] = {.lex_state = 22, .external_lex_state = 25},
  [7981] = {.lex_state = 4, .external_lex_state = 16},
  [7982] = {.lex_state = 4, .external_lex_state = 16},
  [7983] = {.lex_state = 22, .external_lex_state = 23},
  [7984] = {.lex_state = 22},
  [7985] = {.lex_state = 0},
  [7986] = {.lex_state = 0},
  [7987] = {.lex_state = 22, .external_lex_state = 23},
  [7988] = {.lex_state = 0},
  [7989] = {.lex_state = 4, .external_lex_state = 16},
  [7990] = {.lex_state = 4, .external_lex_state = 16},
  [7991] = {.lex_state = 4, .external_lex_state = 16},
  [7992] = {.lex_state = 4, .external_lex_state = 16},
  [7993] = {.lex_state = 4, .external_lex_state = 16},
  [7994] = {.lex_state = 4, .external_lex_state = 16},
  [7995] = {.lex_state = 0},
  [7996] = {.lex_state = 4, .external_lex_state = 16},
  [7997] = {.lex_state = 4, .external_lex_state = 16},
  [7998] = {.lex_state = 0},
  [7999] = {.lex_state = 4, .external_lex_state = 16},
  [8000] = {.lex_state = 22, .external_lex_state = 23},
  [8001] = {.lex_state = 4, .external_lex_state = 16},
  [8002] = {.lex_state = 4, .external_lex_state = 16},
  [8003] = {.lex_state = 4, .external_lex_state = 16},
  [8004] = {.lex_state = 0},
  [8005] = {.lex_state = 4, .external_lex_state = 16},
  [8006] = {.lex_state = 22, .external_lex_state = 23},
  [8007] = {.lex_state = 4, .external_lex_state = 16},
  [8008] = {.lex_state = 4, .external_lex_state = 16},
  [8009] = {.lex_state = 4, .external_lex_state = 16},
  [8010] = {.lex_state = 0},
  [8011] = {.lex_state = 22, .external_lex_state = 23},
  [8012] = {.lex_state = 13, .external_lex_state = 27},
  [8013] = {.lex_state = 0},
  [8014] = {.lex_state = 22},
  [8015] = {.lex_state = 22, .external_lex_state = 23},
  [8016] = {.lex_state = 22, .external_lex_state = 23},
  [8017] = {.lex_state = 22, .external_lex_state = 23},
  [8018] = {.lex_state = 0},
  [8019] = {.lex_state = 4, .external_lex_state = 16},
  [8020] = {.lex_state = 4, .external_lex_state = 16},
  [8021] = {.lex_state = 0},
  [8022] = {.lex_state = 4, .external_lex_state = 16},
  [8023] = {.lex_state = 0},
  [8024] = {.lex_state = 0},
  [8025] = {.lex_state = 0},
  [8026] = {.lex_state = 0},
  [8027] = {.lex_state = 0},
  [8028] = {.lex_state = 22},
  [8029] = {.lex_state = 0},
  [8030] = {.lex_state = 22},
  [8031] = {.lex_state = 4, .external_lex_state = 16},
  [8032] = {.lex_state = 0},
  [8033] = {.lex_state = 0},
  [8034] = {.lex_state = 0},
  [8035] = {.lex_state = 0},
  [8036] = {.lex_state = 4},
  [8037] = {.lex_state = 22},
  [8038] = {.lex_state = 0},
  [8039] = {.lex_state = 0},
  [8040] = {.lex_state = 4, .external_lex_state = 16},
  [8041] = {.lex_state = 0},
  [8042] = {.lex_state = 22},
  [8043] = {.lex_state = 4, .external_lex_state = 16},
  [8044] = {.lex_state = 0},
  [8045] = {.lex_state = 0},
  [8046] = {.lex_state = 0},
  [8047] = {.lex_state = 0},
  [8048] = {.lex_state = 0},
  [8049] = {.lex_state = 0},
  [8050] = {.lex_state = 22, .external_lex_state = 31},
  [8051] = {.lex_state = 0},
  [8052] = {.lex_state = 22},
  [8053] = {.lex_state = 4, .external_lex_state = 16},
  [8054] = {.lex_state = 22, .external_lex_state = 23},
  [8055] = {.lex_state = 0},
  [8056] = {.lex_state = 22},
  [8057] = {.lex_state = 22},
  [8058] = {.lex_state = 0},
  [8059] = {.lex_state = 0},
  [8060] = {.lex_state = 0},
  [8061] = {.lex_state = 4, .external_lex_state = 16},
  [8062] = {.lex_state = 4, .external_lex_state = 16},
  [8063] = {.lex_state = 22, .external_lex_state = 23},
  [8064] = {.lex_state = 4, .external_lex_state = 16},
  [8065] = {.lex_state = 0},
  [8066] = {.lex_state = 4, .external_lex_state = 16},
  [8067] = {.lex_state = 0},
  [8068] = {.lex_state = 0},
  [8069] = {.lex_state = 4, .external_lex_state = 16},
  [8070] = {.lex_state = 0},
  [8071] = {.lex_state = 0},
  [8072] = {.lex_state = 0},
  [8073] = {.lex_state = 0},
  [8074] = {.lex_state = 0},
  [8075] = {.lex_state = 0},
  [8076] = {.lex_state = 0},
  [8077] = {.lex_state = 0},
  [8078] = {.lex_state = 0},
  [8079] = {.lex_state = 0},
  [8080] = {.lex_state = 0},
  [8081] = {.lex_state = 17, .external_lex_state = 28},
  [8082] = {.lex_state = 0},
  [8083] = {.lex_state = 0},
  [8084] = {.lex_state = 0},
  [8085] = {.lex_state = 0},
  [8086] = {.lex_state = 0},
  [8087] = {.lex_state = 0},
  [8088] = {.lex_state = 0},
  [8089] = {.lex_state = 22, .external_lex_state = 23},
  [8090] = {.lex_state = 22},
  [8091] = {.lex_state = 0},
  [8092] = {.lex_state = 0},
  [8093] = {.lex_state = 0},
  [8094] = {.lex_state = 0},
  [8095] = {.lex_state = 0},
  [8096] = {.lex_state = 0},
  [8097] = {.lex_state = 0},
  [8098] = {.lex_state = 0},
  [8099] = {.lex_state = 0},
  [8100] = {.lex_state = 0},
  [8101] = {.lex_state = 4, .external_lex_state = 16},
  [8102] = {.lex_state = 22},
  [8103] = {.lex_state = 22, .external_lex_state = 23},
  [8104] = {.lex_state = 0},
  [8105] = {.lex_state = 0},
  [8106] = {.lex_state = 22, .external_lex_state = 25},
  [8107] = {.lex_state = 4, .external_lex_state = 16},
  [8108] = {.lex_state = 0},
  [8109] = {.lex_state = 22, .external_lex_state = 23},
  [8110] = {.lex_state = 22, .external_lex_state = 25},
  [8111] = {.lex_state = 0},
  [8112] = {.lex_state = 0},
  [8113] = {.lex_state = 63, .external_lex_state = 22},
  [8114] = {.lex_state = 22, .external_lex_state = 23},
  [8115] = {.lex_state = 22, .external_lex_state = 23},
  [8116] = {.lex_state = 4, .external_lex_state = 28},
  [8117] = {.lex_state = 0},
  [8118] = {.lex_state = 0},
  [8119] = {.lex_state = 22},
  [8120] = {.lex_state = 0},
  [8121] = {.lex_state = 0},
  [8122] = {.lex_state = 0},
  [8123] = {.lex_state = 4, .external_lex_state = 16},
  [8124] = {.lex_state = 0},
  [8125] = {.lex_state = 0},
  [8126] = {.lex_state = 0},
  [8127] = {.lex_state = 22},
  [8128] = {.lex_state = 61, .external_lex_state = 27},
  [8129] = {.lex_state = 0},
  [8130] = {.lex_state = 63, .external_lex_state = 22},
  [8131] = {.lex_state = 0},
  [8132] = {.lex_state = 0},
  [8133] = {.lex_state = 0},
  [8134] = {.lex_state = 0},
  [8135] = {.lex_state = 0},
  [8136] = {.lex_state = 0},
  [8137] = {.lex_state = 0},
  [8138] = {.lex_state = 22, .external_lex_state = 21},
  [8139] = {.lex_state = 0},
  [8140] = {.lex_state = 22},
  [8141] = {.lex_state = 4, .external_lex_state = 19},
  [8142] = {.lex_state = 22, .external_lex_state = 23},
  [8143] = {.lex_state = 4, .external_lex_state = 16},
  [8144] = {.lex_state = 4, .external_lex_state = 16},
  [8145] = {.lex_state = 4, .external_lex_state = 16},
  [8146] = {.lex_state = 4, .external_lex_state = 16},
  [8147] = {.lex_state = 0},
  [8148] = {.lex_state = 4, .external_lex_state = 16},
  [8149] = {.lex_state = 22, .external_lex_state = 23},
  [8150] = {.lex_state = 4, .external_lex_state = 16},
  [8151] = {.lex_state = 0},
  [8152] = {.lex_state = 4, .external_lex_state = 16},
  [8153] = {.lex_state = 0},
  [8154] = {.lex_state = 4, .external_lex_state = 16},
  [8155] = {.lex_state = 4, .external_lex_state = 16},
  [8156] = {.lex_state = 4, .external_lex_state = 16},
  [8157] = {.lex_state = 4, .external_lex_state = 16},
  [8158] = {.lex_state = 4, .external_lex_state = 30},
  [8159] = {.lex_state = 4, .external_lex_state = 16},
  [8160] = {.lex_state = 22},
  [8161] = {.lex_state = 22},
  [8162] = {.lex_state = 4, .external_lex_state = 16},
  [8163] = {.lex_state = 22, .external_lex_state = 23},
  [8164] = {.lex_state = 0},
  [8165] = {.lex_state = 0},
  [8166] = {.lex_state = 9, .external_lex_state = 27},
  [8167] = {.lex_state = 4, .external_lex_state = 16},
  [8168] = {.lex_state = 4, .external_lex_state = 21},
  [8169] = {.lex_state = 4, .external_lex_state = 16},
  [8170] = {.lex_state = 4, .external_lex_state = 16},
  [8171] = {.lex_state = 4, .external_lex_state = 16},
  [8172] = {.lex_state = 0},
  [8173] = {.lex_state = 0},
  [8174] = {.lex_state = 4, .external_lex_state = 16},
  [8175] = {.lex_state = 22, .external_lex_state = 23},
  [8176] = {.lex_state = 4, .external_lex_state = 16},
  [8177] = {.lex_state = 4, .external_lex_state = 16},
  [8178] = {.lex_state = 0},
  [8179] = {.lex_state = 4, .external_lex_state = 28},
  [8180] = {.lex_state = 22},
  [8181] = {.lex_state = 4, .external_lex_state = 16},
  [8182] = {.lex_state = 12, .external_lex_state = 27},
  [8183] = {.lex_state = 0},
  [8184] = {.lex_state = 22, .external_lex_state = 28},
  [8185] = {.lex_state = 4, .external_lex_state = 26},
  [8186] = {.lex_state = 13, .external_lex_state = 27},
  [8187] = {.lex_state = 4, .external_lex_state = 30},
  [8188] = {.lex_state = 7, .external_lex_state = 27},
  [8189] = {.lex_state = 4, .external_lex_state = 25},
  [8190] = {.lex_state = 4, .external_lex_state = 26},
  [8191] = {.lex_state = 22, .external_lex_state = 32},
  [8192] = {.lex_state = 9, .external_lex_state = 27},
  [8193] = {.lex_state = 24, .external_lex_state = 27},
  [8194] = {.lex_state = 22, .external_lex_state = 28},
  [8195] = {.lex_state = 22, .external_lex_state = 28},
  [8196] = {.lex_state = 4, .external_lex_state = 26},
  [8197] = {.lex_state = 4, .external_lex_state = 19},
  [8198] = {.lex_state = 22, .external_lex_state = 28},
  [8199] = {.lex_state = 68, .external_lex_state = 22},
  [8200] = {.lex_state = 63, .external_lex_state = 27},
  [8201] = {.lex_state = 9, .external_lex_state = 27},
  [8202] = {.lex_state = 4, .external_lex_state = 21},
  [8203] = {.lex_state = 4, .external_lex_state = 19},
  [8204] = {.lex_state = 4, .external_lex_state = 26},
  [8205] = {.lex_state = 64, .external_lex_state = 22},
  [8206] = {.lex_state = 4, .external_lex_state = 26},
  [8207] = {.lex_state = 68, .external_lex_state = 22},
  [8208] = {.lex_state = 4, .external_lex_state = 26},
  [8209] = {.lex_state = 4, .external_lex_state = 26},
  [8210] = {.lex_state = 64, .external_lex_state = 22},
  [8211] = {.lex_state = 68, .external_lex_state = 22},
  [8212] = {.lex_state = 4, .external_lex_state = 25},
  [8213] = {.lex_state = 4, .external_lex_state = 26},
  [8214] = {.lex_state = 11, .external_lex_state = 27},
  [8215] = {.lex_state = 4, .external_lex_state = 26},
  [8216] = {.lex_state = 4, .external_lex_state = 26},
  [8217] = {.lex_state = 22, .external_lex_state = 32},
  [8218] = {.lex_state = 64, .external_lex_state = 22},
  [8219] = {.lex_state = 4, .external_lex_state = 26},
  [8220] = {.lex_state = 67, .external_lex_state = 22},
  [8221] = {.lex_state = 64, .external_lex_state = 22},
  [8222] = {.lex_state = 4, .external_lex_state = 26},
  [8223] = {.lex_state = 68, .external_lex_state = 22},
  [8224] = {.lex_state = 4, .external_lex_state = 26},
  [8225] = {.lex_state = 18, .external_lex_state = 26},
  [8226] = {.lex_state = 4, .external_lex_state = 19},
  [8227] = {.lex_state = 4, .external_lex_state = 26},
  [8228] = {.lex_state = 4, .external_lex_state = 26},
  [8229] = {.lex_state = 4},
  [8230] = {.lex_state = 9, .external_lex_state = 27},
  [8231] = {.lex_state = 4, .external_lex_state = 25},
  [8232] = {.lex_state = 24, .external_lex_state = 27},
  [8233] = {.lex_state = 22, .external_lex_state = 28},
  [8234] = {.lex_state = 4, .external_lex_state = 26},
  [8235] = {.lex_state = 4, .external_lex_state = 31},
  [8236] = {.lex_state = 4, .external_lex_state = 21},
  [8237] = {.lex_state = 4, .external_lex_state = 26},
  [8238] = {.lex_state = 22, .external_lex_state = 28},
  [8239] = {.lex_state = 22, .external_lex_state = 28},
  [8240] = {.lex_state = 4, .external_lex_state = 26},
  [8241] = {.lex_state = 22, .external_lex_state = 28},
  [8242] = {.lex_state = 9, .external_lex_state = 27},
  [8243] = {.lex_state = 63, .external_lex_state = 22},
  [8244] = {.lex_state = 17},
  [8245] = {.lex_state = 22, .external_lex_state = 28},
  [8246] = {.lex_state = 18, .external_lex_state = 23},
  [8247] = {.lex_state = 4, .external_lex_state = 26},
  [8248] = {.lex_state = 23, .external_lex_state = 26},
  [8249] = {.lex_state = 22, .external_lex_state = 32},
  [8250] = {.lex_state = 22, .external_lex_state = 28},
  [8251] = {.lex_state = 64, .external_lex_state = 22},
  [8252] = {.lex_state = 9, .external_lex_state = 27},
  [8253] = {.lex_state = 10, .external_lex_state = 27},
  [8254] = {.lex_state = 4, .external_lex_state = 26},
  [8255] = {.lex_state = 4, .external_lex_state = 25},
  [8256] = {.lex_state = 4, .external_lex_state = 26},
  [8257] = {.lex_state = 18, .external_lex_state = 23},
  [8258] = {.lex_state = 4, .external_lex_state = 26},
  [8259] = {.lex_state = 22, .external_lex_state = 28},
  [8260] = {.lex_state = 4, .external_lex_state = 25},
  [8261] = {.lex_state = 23, .external_lex_state = 26},
  [8262] = {.lex_state = 22, .external_lex_state = 28},
  [8263] = {.lex_state = 17},
  [8264] = {.lex_state = 22, .external_lex_state = 28},
  [8265] = {.lex_state = 4, .external_lex_state = 25},
  [8266] = {.lex_state = 4, .external_lex_state = 25},
  [8267] = {.lex_state = 4, .external_lex_state = 26},
  [8268] = {.lex_state = 4, .external_lex_state = 25},
  [8269] = {.lex_state = 4, .external_lex_state = 25},
  [8270] = {.lex_state = 4, .external_lex_state = 25},
  [8271] = {.lex_state = 22, .external_lex_state = 31},
  [8272] = {.lex_state = 22, .external_lex_state = 28},
  [8273] = {.lex_state = 4, .external_lex_state = 26},
  [8274] = {.lex_state = 4, .external_lex_state = 25},
  [8275] = {.lex_state = 22, .external_lex_state = 28},
  [8276] = {.lex_state = 4, .external_lex_state = 26},
  [8277] = {.lex_state = 13, .external_lex_state = 27},
  [8278] = {.lex_state = 21, .external_lex_state = 26},
  [8279] = {.lex_state = 64, .external_lex_state = 22},
  [8280] = {.lex_state = 4, .external_lex_state = 25},
  [8281] = {.lex_state = 22, .external_lex_state = 28},
  [8282] = {.lex_state = 22, .external_lex_state = 28},
  [8283] = {.lex_state = 4, .external_lex_state = 25},
  [8284] = {.lex_state = 9, .external_lex_state = 27},
  [8285] = {.lex_state = 4, .external_lex_state = 26},
  [8286] = {.lex_state = 22, .external_lex_state = 28},
  [8287] = {.lex_state = 22, .external_lex_state = 28},
  [8288] = {.lex_state = 21, .external_lex_state = 26},
  [8289] = {.lex_state = 22, .external_lex_state = 28},
  [8290] = {.lex_state = 4, .external_lex_state = 25},
  [8291] = {.lex_state = 4, .external_lex_state = 25},
  [8292] = {.lex_state = 61, .external_lex_state = 27},
  [8293] = {.lex_state = 64, .external_lex_state = 22},
  [8294] = {.lex_state = 10, .external_lex_state = 27},
  [8295] = {.lex_state = 4, .external_lex_state = 25},
  [8296] = {.lex_state = 4, .external_lex_state = 25},
  [8297] = {.lex_state = 4, .external_lex_state = 25},
  [8298] = {.lex_state = 22, .external_lex_state = 32},
  [8299] = {.lex_state = 4, .external_lex_state = 25},
  [8300] = {.lex_state = 4, .external_lex_state = 25},
  [8301] = {.lex_state = 4, .external_lex_state = 30},
  [8302] = {.lex_state = 4, .external_lex_state = 21},
  [8303] = {.lex_state = 22, .external_lex_state = 23},
  [8304] = {.lex_state = 4, .external_lex_state = 25},
  [8305] = {.lex_state = 4, .external_lex_state = 25},
  [8306] = {.lex_state = 4, .external_lex_state = 25},
  [8307] = {.lex_state = 4, .external_lex_state = 26},
  [8308] = {.lex_state = 4, .external_lex_state = 19},
  [8309] = {.lex_state = 22, .external_lex_state = 28},
  [8310] = {.lex_state = 4, .external_lex_state = 25},
  [8311] = {.lex_state = 4, .external_lex_state = 26},
  [8312] = {.lex_state = 22, .external_lex_state = 28},
  [8313] = {.lex_state = 4, .external_lex_state = 25},
  [8314] = {.lex_state = 4, .external_lex_state = 25},
  [8315] = {.lex_state = 4, .external_lex_state = 21},
  [8316] = {.lex_state = 4, .external_lex_state = 21},
  [8317] = {.lex_state = 22, .external_lex_state = 26},
  [8318] = {.lex_state = 4, .external_lex_state = 21},
  [8319] = {.lex_state = 4, .external_lex_state = 25},
  [8320] = {.lex_state = 67, .external_lex_state = 22},
  [8321] = {.lex_state = 4, .external_lex_state = 23},
  [8322] = {.lex_state = 4, .external_lex_state = 25},
  [8323] = {.lex_state = 22, .external_lex_state = 28},
  [8324] = {.lex_state = 4, .external_lex_state = 21},
  [8325] = {.lex_state = 4, .external_lex_state = 26},
  [8326] = {.lex_state = 4, .external_lex_state = 25},
  [8327] = {.lex_state = 4, .external_lex_state = 25},
  [8328] = {.lex_state = 22, .external_lex_state = 28},
  [8329] = {.lex_state = 4, .external_lex_state = 25},
  [8330] = {.lex_state = 4, .external_lex_state = 25},
  [8331] = {.lex_state = 22, .external_lex_state = 23},
  [8332] = {.lex_state = 4, .external_lex_state = 25},
  [8333] = {.lex_state = 64, .external_lex_state = 27},
  [8334] = {.lex_state = 4, .external_lex_state = 21},
  [8335] = {.lex_state = 0, .external_lex_state = 26},
  [8336] = {.lex_state = 22, .external_lex_state = 31},
  [8337] = {.lex_state = 4, .external_lex_state = 25},
  [8338] = {.lex_state = 22, .external_lex_state = 26},
  [8339] = {.lex_state = 4, .external_lex_state = 25},
  [8340] = {.lex_state = 4, .external_lex_state = 25},
  [8341] = {.lex_state = 22, .external_lex_state = 26},
  [8342] = {.lex_state = 4, .external_lex_state = 26},
  [8343] = {.lex_state = 22, .external_lex_state = 26},
  [8344] = {.lex_state = 4, .external_lex_state = 26},
  [8345] = {.lex_state = 4, .external_lex_state = 25},
  [8346] = {.lex_state = 11, .external_lex_state = 27},
  [8347] = {.lex_state = 4, .external_lex_state = 26},
  [8348] = {.lex_state = 4, .external_lex_state = 25},
  [8349] = {.lex_state = 4, .external_lex_state = 25},
  [8350] = {.lex_state = 4, .external_lex_state = 25},
  [8351] = {.lex_state = 18, .external_lex_state = 27},
  [8352] = {.lex_state = 22, .external_lex_state = 26},
  [8353] = {.lex_state = 22, .external_lex_state = 28},
  [8354] = {.lex_state = 4, .external_lex_state = 25},
  [8355] = {.lex_state = 4, .external_lex_state = 25},
  [8356] = {.lex_state = 4, .external_lex_state = 25},
  [8357] = {.lex_state = 4, .external_lex_state = 25},
  [8358] = {.lex_state = 4, .external_lex_state = 25},
  [8359] = {.lex_state = 4, .external_lex_state = 25},
  [8360] = {.lex_state = 4, .external_lex_state = 19},
  [8361] = {.lex_state = 4, .external_lex_state = 26},
  [8362] = {.lex_state = 4, .external_lex_state = 25},
  [8363] = {.lex_state = 4, .external_lex_state = 25},
  [8364] = {.lex_state = 22, .external_lex_state = 26},
  [8365] = {.lex_state = 4, .external_lex_state = 25},
  [8366] = {.lex_state = 4, .external_lex_state = 26},
  [8367] = {.lex_state = 4, .external_lex_state = 25},
  [8368] = {.lex_state = 4, .external_lex_state = 25},
  [8369] = {.lex_state = 4, .external_lex_state = 26},
  [8370] = {.lex_state = 4, .external_lex_state = 25},
  [8371] = {.lex_state = 4, .external_lex_state = 25},
  [8372] = {.lex_state = 4, .external_lex_state = 26},
  [8373] = {.lex_state = 0, .external_lex_state = 26},
  [8374] = {.lex_state = 4, .external_lex_state = 25},
  [8375] = {.lex_state = 4, .external_lex_state = 25},
  [8376] = {.lex_state = 4, .external_lex_state = 25},
  [8377] = {.lex_state = 4, .external_lex_state = 25},
  [8378] = {.lex_state = 10, .external_lex_state = 27},
  [8379] = {.lex_state = 4, .external_lex_state = 26},
  [8380] = {.lex_state = 4, .external_lex_state = 25},
  [8381] = {.lex_state = 4, .external_lex_state = 26},
  [8382] = {.lex_state = 4, .external_lex_state = 26},
  [8383] = {.lex_state = 4, .external_lex_state = 25},
  [8384] = {.lex_state = 4, .external_lex_state = 25},
  [8385] = {.lex_state = 4, .external_lex_state = 25},
  [8386] = {.lex_state = 22, .external_lex_state = 28},
  [8387] = {.lex_state = 18, .external_lex_state = 23},
  [8388] = {.lex_state = 29, .external_lex_state = 27},
  [8389] = {.lex_state = 4, .external_lex_state = 25},
  [8390] = {.lex_state = 4, .external_lex_state = 26},
  [8391] = {.lex_state = 4, .external_lex_state = 25},
  [8392] = {.lex_state = 4, .external_lex_state = 26},
  [8393] = {.lex_state = 4, .external_lex_state = 25},
  [8394] = {.lex_state = 4, .external_lex_state = 26},
  [8395] = {.lex_state = 4, .external_lex_state = 25},
  [8396] = {.lex_state = 4, .external_lex_state = 26},
  [8397] = {.lex_state = 4, .external_lex_state = 25},
  [8398] = {.lex_state = 4, .external_lex_state = 21},
  [8399] = {.lex_state = 4},
  [8400] = {.lex_state = 10, .external_lex_state = 27},
  [8401] = {.lex_state = 29, .external_lex_state = 27},
  [8402] = {.lex_state = 4, .external_lex_state = 25},
  [8403] = {.lex_state = 10, .external_lex_state = 27},
  [8404] = {.lex_state = 4, .external_lex_state = 25},
  [8405] = {.lex_state = 4, .external_lex_state = 21},
  [8406] = {.lex_state = 4, .external_lex_state = 21},
  [8407] = {.lex_state = 23, .external_lex_state = 26},
  [8408] = {.lex_state = 4, .external_lex_state = 25},
  [8409] = {.lex_state = 4, .external_lex_state = 25},
  [8410] = {.lex_state = 4},
  [8411] = {.lex_state = 4, .external_lex_state = 21},
  [8412] = {.lex_state = 4, .external_lex_state = 25},
  [8413] = {.lex_state = 4, .external_lex_state = 21},
  [8414] = {.lex_state = 4, .external_lex_state = 21},
  [8415] = {.lex_state = 4, .external_lex_state = 25},
  [8416] = {.lex_state = 4, .external_lex_state = 26},
  [8417] = {.lex_state = 18, .external_lex_state = 26},
  [8418] = {.lex_state = 4, .external_lex_state = 26},
  [8419] = {.lex_state = 4, .external_lex_state = 25},
  [8420] = {.lex_state = 8, .external_lex_state = 27},
  [8421] = {.lex_state = 4, .external_lex_state = 21},
  [8422] = {.lex_state = 4, .external_lex_state = 25},
  [8423] = {.lex_state = 22, .external_lex_state = 28},
  [8424] = {.lex_state = 4, .external_lex_state = 21},
  [8425] = {.lex_state = 4, .external_lex_state = 21},
  [8426] = {.lex_state = 22, .external_lex_state = 28},
  [8427] = {.lex_state = 10, .external_lex_state = 27},
  [8428] = {.lex_state = 4, .external_lex_state = 21},
  [8429] = {.lex_state = 4, .external_lex_state = 21},
  [8430] = {.lex_state = 4, .external_lex_state = 21},
  [8431] = {.lex_state = 4, .external_lex_state = 25},
  [8432] = {.lex_state = 4, .external_lex_state = 21},
  [8433] = {.lex_state = 4, .external_lex_state = 26},
  [8434] = {.lex_state = 4, .external_lex_state = 25},
  [8435] = {.lex_state = 4, .external_lex_state = 21},
  [8436] = {.lex_state = 4, .external_lex_state = 25},
  [8437] = {.lex_state = 4, .external_lex_state = 21},
  [8438] = {.lex_state = 4, .external_lex_state = 26},
  [8439] = {.lex_state = 4, .external_lex_state = 26},
  [8440] = {.lex_state = 4, .external_lex_state = 25},
  [8441] = {.lex_state = 4, .external_lex_state = 25},
  [8442] = {.lex_state = 4, .external_lex_state = 25},
  [8443] = {.lex_state = 4, .external_lex_state = 25},
  [8444] = {.lex_state = 4, .external_lex_state = 25},
  [8445] = {.lex_state = 4, .external_lex_state = 25},
  [8446] = {.lex_state = 4, .external_lex_state = 25},
  [8447] = {.lex_state = 22, .external_lex_state = 28},
  [8448] = {.lex_state = 4, .external_lex_state = 25},
  [8449] = {.lex_state = 4, .external_lex_state = 25},
  [8450] = {.lex_state = 4, .external_lex_state = 25},
  [8451] = {.lex_state = 4, .external_lex_state = 25},
  [8452] = {.lex_state = 4, .external_lex_state = 25},
  [8453] = {.lex_state = 64, .external_lex_state = 27},
  [8454] = {.lex_state = 4, .external_lex_state = 25},
  [8455] = {.lex_state = 4, .external_lex_state = 25},
  [8456] = {.lex_state = 4, .external_lex_state = 26},
  [8457] = {.lex_state = 4, .external_lex_state = 25},
  [8458] = {.lex_state = 4, .external_lex_state = 25},
  [8459] = {.lex_state = 4, .external_lex_state = 21},
  [8460] = {.lex_state = 4, .external_lex_state = 25},
  [8461] = {.lex_state = 4, .external_lex_state = 21},
  [8462] = {.lex_state = 4, .external_lex_state = 26},
  [8463] = {.lex_state = 4, .external_lex_state = 25},
  [8464] = {.lex_state = 4, .external_lex_state = 25},
  [8465] = {.lex_state = 4, .external_lex_state = 25},
  [8466] = {.lex_state = 4, .external_lex_state = 21},
  [8467] = {.lex_state = 4, .external_lex_state = 21},
  [8468] = {.lex_state = 4, .external_lex_state = 25},
  [8469] = {.lex_state = 4, .external_lex_state = 21},
  [8470] = {.lex_state = 4, .external_lex_state = 21},
  [8471] = {.lex_state = 4, .external_lex_state = 25},
  [8472] = {.lex_state = 4, .external_lex_state = 25},
  [8473] = {.lex_state = 4, .external_lex_state = 25},
  [8474] = {.lex_state = 4, .external_lex_state = 26},
  [8475] = {.lex_state = 7, .external_lex_state = 27},
  [8476] = {.lex_state = 4, .external_lex_state = 24},
  [8477] = {.lex_state = 4, .external_lex_state = 25},
  [8478] = {.lex_state = 4, .external_lex_state = 26},
  [8479] = {.lex_state = 4, .external_lex_state = 25},
  [8480] = {.lex_state = 4, .external_lex_state = 25},
  [8481] = {.lex_state = 4, .external_lex_state = 25},
  [8482] = {.lex_state = 4, .external_lex_state = 26},
  [8483] = {.lex_state = 4, .external_lex_state = 26},
  [8484] = {.lex_state = 4, .external_lex_state = 25},
  [8485] = {.lex_state = 4, .external_lex_state = 25},
  [8486] = {.lex_state = 4, .external_lex_state = 25},
  [8487] = {.lex_state = 4, .external_lex_state = 25},
  [8488] = {.lex_state = 4, .external_lex_state = 25},
  [8489] = {.lex_state = 4, .external_lex_state = 26},
  [8490] = {.lex_state = 4, .external_lex_state = 25},
  [8491] = {.lex_state = 4, .external_lex_state = 26},
  [8492] = {.lex_state = 4, .external_lex_state = 25},
  [8493] = {.lex_state = 4, .external_lex_state = 25},
  [8494] = {.lex_state = 4, .external_lex_state = 25},
  [8495] = {.lex_state = 4, .external_lex_state = 25},
  [8496] = {.lex_state = 4, .external_lex_state = 25},
  [8497] = {.lex_state = 4, .external_lex_state = 25},
  [8498] = {.lex_state = 4, .external_lex_state = 25},
  [8499] = {.lex_state = 4, .external_lex_state = 25},
  [8500] = {.lex_state = 4, .external_lex_state = 26},
  [8501] = {.lex_state = 4, .external_lex_state = 25},
  [8502] = {.lex_state = 23, .external_lex_state = 26},
  [8503] = {.lex_state = 4, .external_lex_state = 25},
  [8504] = {.lex_state = 4, .external_lex_state = 25},
  [8505] = {.lex_state = 4, .external_lex_state = 26},
  [8506] = {.lex_state = 4, .external_lex_state = 25},
  [8507] = {.lex_state = 4, .external_lex_state = 25},
  [8508] = {.lex_state = 4, .external_lex_state = 25},
  [8509] = {.lex_state = 4, .external_lex_state = 25},
  [8510] = {.lex_state = 4, .external_lex_state = 25},
  [8511] = {.lex_state = 4, .external_lex_state = 25},
  [8512] = {.lex_state = 4, .external_lex_state = 25},
  [8513] = {.lex_state = 18, .external_lex_state = 26},
  [8514] = {.lex_state = 4, .external_lex_state = 25},
  [8515] = {.lex_state = 4, .external_lex_state = 25},
  [8516] = {.lex_state = 4, .external_lex_state = 26},
  [8517] = {.lex_state = 4, .external_lex_state = 25},
  [8518] = {.lex_state = 4, .external_lex_state = 25},
  [8519] = {.lex_state = 4, .external_lex_state = 25},
  [8520] = {.lex_state = 4, .external_lex_state = 25},
  [8521] = {.lex_state = 4, .external_lex_state = 26},
  [8522] = {.lex_state = 4, .external_lex_state = 25},
  [8523] = {.lex_state = 4, .external_lex_state = 25},
  [8524] = {.lex_state = 4, .external_lex_state = 25},
  [8525] = {.lex_state = 4, .external_lex_state = 25},
  [8526] = {.lex_state = 4, .external_lex_state = 21},
  [8527] = {.lex_state = 12, .external_lex_state = 27},
  [8528] = {.lex_state = 4, .external_lex_state = 25},
  [8529] = {.lex_state = 4},
  [8530] = {.lex_state = 4, .external_lex_state = 25},
  [8531] = {.lex_state = 4, .external_lex_state = 25},
  [8532] = {.lex_state = 4, .external_lex_state = 19},
  [8533] = {.lex_state = 4, .external_lex_state = 30},
  [8534] = {.lex_state = 4, .external_lex_state = 25},
  [8535] = {.lex_state = 4, .external_lex_state = 25},
  [8536] = {.lex_state = 4, .external_lex_state = 25},
  [8537] = {.lex_state = 4, .external_lex_state = 25},
  [8538] = {.lex_state = 4, .external_lex_state = 26},
  [8539] = {.lex_state = 4, .external_lex_state = 25},
  [8540] = {.lex_state = 4, .external_lex_state = 25},
  [8541] = {.lex_state = 4, .external_lex_state = 25},
  [8542] = {.lex_state = 4, .external_lex_state = 25},
  [8543] = {.lex_state = 4, .external_lex_state = 21},
  [8544] = {.lex_state = 4, .external_lex_state = 25},
  [8545] = {.lex_state = 4, .external_lex_state = 25},
  [8546] = {.lex_state = 4, .external_lex_state = 21},
  [8547] = {.lex_state = 4, .external_lex_state = 25},
  [8548] = {.lex_state = 0, .external_lex_state = 26},
  [8549] = {.lex_state = 4, .external_lex_state = 25},
  [8550] = {.lex_state = 4, .external_lex_state = 26},
  [8551] = {.lex_state = 4, .external_lex_state = 25},
  [8552] = {.lex_state = 4, .external_lex_state = 26},
  [8553] = {.lex_state = 4, .external_lex_state = 25},
  [8554] = {.lex_state = 4, .external_lex_state = 26},
  [8555] = {.lex_state = 4, .external_lex_state = 26},
  [8556] = {.lex_state = 4, .external_lex_state = 23},
  [8557] = {.lex_state = 4, .external_lex_state = 26},
  [8558] = {.lex_state = 4, .external_lex_state = 26},
  [8559] = {.lex_state = 4, .external_lex_state = 26},
  [8560] = {.lex_state = 22},
  [8561] = {.lex_state = 4, .external_lex_state = 26},
  [8562] = {.lex_state = 4, .external_lex_state = 26},
  [8563] = {.lex_state = 4, .external_lex_state = 26},
  [8564] = {.lex_state = 22},
  [8565] = {.lex_state = 4, .external_lex_state = 26},
  [8566] = {.lex_state = 11, .external_lex_state = 27},
  [8567] = {.lex_state = 4, .external_lex_state = 26},
  [8568] = {.lex_state = 4, .external_lex_state = 26},
  [8569] = {.lex_state = 4, .external_lex_state = 26},
  [8570] = {.lex_state = 4, .external_lex_state = 26},
  [8571] = {.lex_state = 0, .external_lex_state = 9},
  [8572] = {.lex_state = 4, .external_lex_state = 26},
  [8573] = {.lex_state = 4, .external_lex_state = 26},
  [8574] = {.lex_state = 4, .external_lex_state = 26},
  [8575] = {.lex_state = 4, .external_lex_state = 26},
  [8576] = {.lex_state = 4, .external_lex_state = 26},
  [8577] = {.lex_state = 22},
  [8578] = {.lex_state = 4, .external_lex_state = 26},
  [8579] = {.lex_state = 4, .external_lex_state = 26},
  [8580] = {.lex_state = 4, .external_lex_state = 26},
  [8581] = {.lex_state = 4, .external_lex_state = 26},
  [8582] = {.lex_state = 4, .external_lex_state = 26},
  [8583] = {.lex_state = 22},
  [8584] = {.lex_state = 4, .external_lex_state = 26},
  [8585] = {.lex_state = 22},
  [8586] = {.lex_state = 4, .external_lex_state = 26},
  [8587] = {.lex_state = 4, .external_lex_state = 26},
  [8588] = {.lex_state = 4, .external_lex_state = 26},
  [8589] = {.lex_state = 4, .external_lex_state = 26},
  [8590] = {.lex_state = 22},
  [8591] = {.lex_state = 4, .external_lex_state = 26},
  [8592] = {.lex_state = 4, .external_lex_state = 26},
  [8593] = {.lex_state = 4, .external_lex_state = 26},
  [8594] = {.lex_state = 4, .external_lex_state = 26},
  [8595] = {.lex_state = 4, .external_lex_state = 26},
  [8596] = {.lex_state = 4, .external_lex_state = 26},
  [8597] = {.lex_state = 4, .external_lex_state = 26},
  [8598] = {.lex_state = 4, .external_lex_state = 26},
  [8599] = {.lex_state = 4, .external_lex_state = 26},
  [8600] = {.lex_state = 6},
  [8601] = {.lex_state = 4, .external_lex_state = 26},
  [8602] = {.lex_state = 4, .external_lex_state = 23},
  [8603] = {.lex_state = 30, .external_lex_state = 27},
  [8604] = {.lex_state = 4, .external_lex_state = 23},
  [8605] = {.lex_state = 4, .external_lex_state = 26},
  [8606] = {.lex_state = 4, .external_lex_state = 26},
  [8607] = {.lex_state = 4, .external_lex_state = 26},
  [8608] = {.lex_state = 4, .external_lex_state = 26},
  [8609] = {.lex_state = 4, .external_lex_state = 26},
  [8610] = {.lex_state = 4, .external_lex_state = 26},
  [8611] = {.lex_state = 22},
  [8612] = {.lex_state = 22},
  [8613] = {.lex_state = 4, .external_lex_state = 26},
  [8614] = {.lex_state = 4, .external_lex_state = 26},
  [8615] = {.lex_state = 4, .external_lex_state = 26},
  [8616] = {.lex_state = 4, .external_lex_state = 26},
  [8617] = {.lex_state = 4, .external_lex_state = 31},
  [8618] = {.lex_state = 4, .external_lex_state = 26},
  [8619] = {.lex_state = 4, .external_lex_state = 26},
  [8620] = {.lex_state = 4, .external_lex_state = 26},
  [8621] = {.lex_state = 22},
  [8622] = {.lex_state = 4, .external_lex_state = 26},
  [8623] = {.lex_state = 4, .external_lex_state = 23},
  [8624] = {.lex_state = 0, .external_lex_state = 9},
  [8625] = {.lex_state = 64, .external_lex_state = 27},
  [8626] = {.lex_state = 6},
  [8627] = {.lex_state = 0, .external_lex_state = 9},
  [8628] = {.lex_state = 64, .external_lex_state = 27},
  [8629] = {.lex_state = 4, .external_lex_state = 26},
  [8630] = {.lex_state = 4, .external_lex_state = 26},
  [8631] = {.lex_state = 4, .external_lex_state = 26},
  [8632] = {.lex_state = 4, .external_lex_state = 26},
  [8633] = {.lex_state = 22},
  [8634] = {.lex_state = 8, .external_lex_state = 27},
  [8635] = {.lex_state = 4, .external_lex_state = 26},
  [8636] = {.lex_state = 18, .external_lex_state = 28},
  [8637] = {.lex_state = 22},
  [8638] = {.lex_state = 68, .external_lex_state = 27},
  [8639] = {.lex_state = 6},
  [8640] = {.lex_state = 4, .external_lex_state = 26},
  [8641] = {.lex_state = 4, .external_lex_state = 26},
  [8642] = {.lex_state = 64, .external_lex_state = 27},
  [8643] = {.lex_state = 64, .external_lex_state = 27},
  [8644] = {.lex_state = 22},
  [8645] = {.lex_state = 4, .external_lex_state = 26},
  [8646] = {.lex_state = 22},
  [8647] = {.lex_state = 4, .external_lex_state = 26},
  [8648] = {.lex_state = 4, .external_lex_state = 26},
  [8649] = {.lex_state = 4, .external_lex_state = 23},
  [8650] = {.lex_state = 4, .external_lex_state = 26},
  [8651] = {.lex_state = 6},
  [8652] = {.lex_state = 4, .external_lex_state = 26},
  [8653] = {.lex_state = 22, .external_lex_state = 32},
  [8654] = {.lex_state = 4, .external_lex_state = 26},
  [8655] = {.lex_state = 67, .external_lex_state = 22},
  [8656] = {.lex_state = 4, .external_lex_state = 26},
  [8657] = {.lex_state = 4, .external_lex_state = 26},
  [8658] = {.lex_state = 4, .external_lex_state = 26},
  [8659] = {.lex_state = 4, .external_lex_state = 32},
  [8660] = {.lex_state = 4, .external_lex_state = 26},
  [8661] = {.lex_state = 22},
  [8662] = {.lex_state = 4, .external_lex_state = 26},
  [8663] = {.lex_state = 4, .external_lex_state = 26},
  [8664] = {.lex_state = 4, .external_lex_state = 26},
  [8665] = {.lex_state = 4, .external_lex_state = 26},
  [8666] = {.lex_state = 4, .external_lex_state = 26},
  [8667] = {.lex_state = 18, .external_lex_state = 28},
  [8668] = {.lex_state = 68, .external_lex_state = 27},
  [8669] = {.lex_state = 64, .external_lex_state = 27},
  [8670] = {.lex_state = 29, .external_lex_state = 27},
  [8671] = {.lex_state = 4, .external_lex_state = 26},
  [8672] = {.lex_state = 4, .external_lex_state = 26},
  [8673] = {.lex_state = 4, .external_lex_state = 26},
  [8674] = {.lex_state = 4, .external_lex_state = 26},
  [8675] = {.lex_state = 4, .external_lex_state = 26},
  [8676] = {.lex_state = 4, .external_lex_state = 26},
  [8677] = {.lex_state = 6},
  [8678] = {.lex_state = 4, .external_lex_state = 26},
  [8679] = {.lex_state = 11, .external_lex_state = 27},
  [8680] = {.lex_state = 4, .external_lex_state = 26},
  [8681] = {.lex_state = 4, .external_lex_state = 26},
  [8682] = {.lex_state = 4, .external_lex_state = 26},
  [8683] = {.lex_state = 4, .external_lex_state = 26},
  [8684] = {.lex_state = 4, .external_lex_state = 26},
  [8685] = {.lex_state = 4, .external_lex_state = 26},
  [8686] = {.lex_state = 4, .external_lex_state = 26},
  [8687] = {.lex_state = 63, .external_lex_state = 27},
  [8688] = {.lex_state = 4, .external_lex_state = 23},
  [8689] = {.lex_state = 4, .external_lex_state = 26},
  [8690] = {.lex_state = 4, .external_lex_state = 26},
  [8691] = {.lex_state = 11, .external_lex_state = 27},
  [8692] = {.lex_state = 4, .external_lex_state = 26},
  [8693] = {.lex_state = 4, .external_lex_state = 23},
  [8694] = {.lex_state = 67, .external_lex_state = 22},
  [8695] = {.lex_state = 4, .external_lex_state = 23},
  [8696] = {.lex_state = 13, .external_lex_state = 27},
  [8697] = {.lex_state = 4, .external_lex_state = 26},
  [8698] = {.lex_state = 13, .external_lex_state = 27},
  [8699] = {.lex_state = 4, .external_lex_state = 26},
  [8700] = {.lex_state = 22, .external_lex_state = 32},
  [8701] = {.lex_state = 4, .external_lex_state = 26},
  [8702] = {.lex_state = 67, .external_lex_state = 22},
  [8703] = {.lex_state = 6},
  [8704] = {.lex_state = 4, .external_lex_state = 23},
  [8705] = {.lex_state = 4, .external_lex_state = 23},
  [8706] = {.lex_state = 10, .external_lex_state = 27},
  [8707] = {.lex_state = 4, .external_lex_state = 26},
  [8708] = {.lex_state = 7, .external_lex_state = 27},
  [8709] = {.lex_state = 6},
  [8710] = {.lex_state = 4, .external_lex_state = 23},
  [8711] = {.lex_state = 4, .external_lex_state = 26},
  [8712] = {.lex_state = 4, .external_lex_state = 23},
  [8713] = {.lex_state = 4, .external_lex_state = 26},
  [8714] = {.lex_state = 4, .external_lex_state = 23},
  [8715] = {.lex_state = 61, .external_lex_state = 27},
  [8716] = {.lex_state = 22},
  [8717] = {.lex_state = 4, .external_lex_state = 23},
  [8718] = {.lex_state = 4, .external_lex_state = 23},
  [8719] = {.lex_state = 29, .external_lex_state = 27},
  [8720] = {.lex_state = 22},
  [8721] = {.lex_state = 0},
  [8722] = {.lex_state = 4, .external_lex_state = 23},
  [8723] = {.lex_state = 4, .external_lex_state = 26},
  [8724] = {.lex_state = 7, .external_lex_state = 27},
  [8725] = {.lex_state = 4, .external_lex_state = 26},
  [8726] = {.lex_state = 4, .external_lex_state = 23},
  [8727] = {.lex_state = 8, .external_lex_state = 27},
  [8728] = {.lex_state = 4, .external_lex_state = 26},
  [8729] = {.lex_state = 22},
  [8730] = {.lex_state = 6},
  [8731] = {.lex_state = 6},
  [8732] = {.lex_state = 4, .external_lex_state = 23},
  [8733] = {.lex_state = 4, .external_lex_state = 26},
  [8734] = {.lex_state = 13, .external_lex_state = 27},
  [8735] = {.lex_state = 22},
  [8736] = {.lex_state = 22},
  [8737] = {.lex_state = 34, .external_lex_state = 27},
  [8738] = {.lex_state = 4, .external_lex_state = 26},
  [8739] = {.lex_state = 4, .external_lex_state = 26},
  [8740] = {.lex_state = 4, .external_lex_state = 26},
  [8741] = {.lex_state = 4, .external_lex_state = 26},
  [8742] = {.lex_state = 11, .external_lex_state = 27},
  [8743] = {.lex_state = 4, .external_lex_state = 26},
  [8744] = {.lex_state = 4, .external_lex_state = 23},
  [8745] = {.lex_state = 0, .external_lex_state = 9},
  [8746] = {.lex_state = 13, .external_lex_state = 27},
  [8747] = {.lex_state = 4, .external_lex_state = 26},
  [8748] = {.lex_state = 4, .external_lex_state = 26},
  [8749] = {.lex_state = 22},
  [8750] = {.lex_state = 4, .external_lex_state = 23},
  [8751] = {.lex_state = 4, .external_lex_state = 23},
  [8752] = {.lex_state = 4, .external_lex_state = 23},
  [8753] = {.lex_state = 4, .external_lex_state = 23},
  [8754] = {.lex_state = 6},
  [8755] = {.lex_state = 22},
  [8756] = {.lex_state = 13, .external_lex_state = 27},
  [8757] = {.lex_state = 4, .external_lex_state = 26},
  [8758] = {.lex_state = 34, .external_lex_state = 27},
  [8759] = {.lex_state = 4, .external_lex_state = 26},
  [8760] = {.lex_state = 4, .external_lex_state = 26},
  [8761] = {.lex_state = 13, .external_lex_state = 27},
  [8762] = {.lex_state = 4, .external_lex_state = 26},
  [8763] = {.lex_state = 22},
  [8764] = {.lex_state = 22},
  [8765] = {.lex_state = 4, .external_lex_state = 26},
  [8766] = {.lex_state = 4, .external_lex_state = 26},
  [8767] = {.lex_state = 4, .external_lex_state = 26},
  [8768] = {.lex_state = 4, .external_lex_state = 27},
  [8769] = {.lex_state = 4, .external_lex_state = 26},
  [8770] = {.lex_state = 4, .external_lex_state = 31},
  [8771] = {.lex_state = 4, .external_lex_state = 26},
  [8772] = {.lex_state = 61, .external_lex_state = 27},
  [8773] = {.lex_state = 7, .external_lex_state = 27},
  [8774] = {.lex_state = 4, .external_lex_state = 23},
  [8775] = {.lex_state = 4, .external_lex_state = 26},
  [8776] = {.lex_state = 4, .external_lex_state = 26},
  [8777] = {.lex_state = 4, .external_lex_state = 26},
  [8778] = {.lex_state = 4, .external_lex_state = 26},
  [8779] = {.lex_state = 4, .external_lex_state = 26},
  [8780] = {.lex_state = 4, .external_lex_state = 26},
  [8781] = {.lex_state = 4, .external_lex_state = 23},
  [8782] = {.lex_state = 24, .external_lex_state = 27},
  [8783] = {.lex_state = 4, .external_lex_state = 23},
  [8784] = {.lex_state = 4, .external_lex_state = 23},
  [8785] = {.lex_state = 4, .external_lex_state = 26},
  [8786] = {.lex_state = 4, .external_lex_state = 26},
  [8787] = {.lex_state = 4, .external_lex_state = 23},
  [8788] = {.lex_state = 6},
  [8789] = {.lex_state = 4, .external_lex_state = 26},
  [8790] = {.lex_state = 4, .external_lex_state = 23},
  [8791] = {.lex_state = 11, .external_lex_state = 27},
  [8792] = {.lex_state = 4, .external_lex_state = 23},
  [8793] = {.lex_state = 6},
  [8794] = {.lex_state = 4, .external_lex_state = 26},
  [8795] = {.lex_state = 4, .external_lex_state = 23},
  [8796] = {.lex_state = 4, .external_lex_state = 26},
  [8797] = {.lex_state = 18, .external_lex_state = 28},
  [8798] = {.lex_state = 4, .external_lex_state = 26},
  [8799] = {.lex_state = 63, .external_lex_state = 27},
  [8800] = {.lex_state = 4, .external_lex_state = 26},
  [8801] = {.lex_state = 22},
  [8802] = {.lex_state = 22},
  [8803] = {.lex_state = 22},
  [8804] = {.lex_state = 4, .external_lex_state = 26},
  [8805] = {.lex_state = 4, .external_lex_state = 26},
  [8806] = {.lex_state = 22},
  [8807] = {.lex_state = 4, .external_lex_state = 26},
  [8808] = {.lex_state = 4, .external_lex_state = 26},
  [8809] = {.lex_state = 4, .external_lex_state = 26},
  [8810] = {.lex_state = 4, .external_lex_state = 26},
  [8811] = {.lex_state = 22},
  [8812] = {.lex_state = 22},
  [8813] = {.lex_state = 4, .external_lex_state = 26},
  [8814] = {.lex_state = 6},
  [8815] = {.lex_state = 11, .external_lex_state = 27},
  [8816] = {.lex_state = 4, .external_lex_state = 23},
  [8817] = {.lex_state = 4, .external_lex_state = 26},
  [8818] = {.lex_state = 4, .external_lex_state = 26},
  [8819] = {.lex_state = 64, .external_lex_state = 27},
  [8820] = {.lex_state = 4, .external_lex_state = 26},
  [8821] = {.lex_state = 4, .external_lex_state = 26},
  [8822] = {.lex_state = 4, .external_lex_state = 26},
  [8823] = {.lex_state = 30, .external_lex_state = 27},
  [8824] = {.lex_state = 6},
  [8825] = {.lex_state = 7, .external_lex_state = 27},
  [8826] = {.lex_state = 4, .external_lex_state = 26},
  [8827] = {.lex_state = 4, .external_lex_state = 26},
  [8828] = {.lex_state = 6},
  [8829] = {.lex_state = 4, .external_lex_state = 26},
  [8830] = {.lex_state = 4, .external_lex_state = 26},
  [8831] = {.lex_state = 4, .external_lex_state = 26},
  [8832] = {.lex_state = 4, .external_lex_state = 26},
  [8833] = {.lex_state = 19, .external_lex_state = 27},
  [8834] = {.lex_state = 4, .external_lex_state = 26},
  [8835] = {.lex_state = 6},
  [8836] = {.lex_state = 12, .external_lex_state = 27},
  [8837] = {.lex_state = 4, .external_lex_state = 26},
  [8838] = {.lex_state = 4, .external_lex_state = 26},
  [8839] = {.lex_state = 4, .external_lex_state = 31},
  [8840] = {.lex_state = 4, .external_lex_state = 26},
  [8841] = {.lex_state = 4, .external_lex_state = 26},
  [8842] = {.lex_state = 4, .external_lex_state = 26},
  [8843] = {.lex_state = 7, .external_lex_state = 27},
  [8844] = {.lex_state = 7, .external_lex_state = 27},
  [8845] = {.lex_state = 12, .external_lex_state = 27},
  [8846] = {.lex_state = 4, .external_lex_state = 26},
  [8847] = {.lex_state = 19, .external_lex_state = 27},
  [8848] = {.lex_state = 4, .external_lex_state = 26},
  [8849] = {.lex_state = 24, .external_lex_state = 27},
  [8850] = {.lex_state = 9, .external_lex_state = 27},
  [8851] = {.lex_state = 6},
  [8852] = {.lex_state = 0},
  [8853] = {.lex_state = 20, .external_lex_state = 27},
  [8854] = {.lex_state = 0},
  [8855] = {.lex_state = 63, .external_lex_state = 27},
  [8856] = {.lex_state = 0},
  [8857] = {.lex_state = 61, .external_lex_state = 27},
  [8858] = {.lex_state = 0},
  [8859] = {.lex_state = 0, .external_lex_state = 19},
  [8860] = {.lex_state = 0},
  [8861] = {.lex_state = 31, .external_lex_state = 27},
  [8862] = {.lex_state = 0, .external_lex_state = 26},
  [8863] = {.lex_state = 6},
  [8864] = {.lex_state = 0},
  [8865] = {.lex_state = 0},
  [8866] = {.lex_state = 18},
  [8867] = {.lex_state = 0},
  [8868] = {.lex_state = 63, .external_lex_state = 27},
  [8869] = {.lex_state = 12, .external_lex_state = 27},
  [8870] = {.lex_state = 0, .external_lex_state = 19},
  [8871] = {.lex_state = 0},
  [8872] = {.lex_state = 61, .external_lex_state = 27},
  [8873] = {.lex_state = 30, .external_lex_state = 27},
  [8874] = {.lex_state = 4, .external_lex_state = 32},
  [8875] = {.lex_state = 0},
  [8876] = {.lex_state = 61, .external_lex_state = 27},
  [8877] = {.lex_state = 0, .external_lex_state = 19},
  [8878] = {.lex_state = 0},
  [8879] = {.lex_state = 67, .external_lex_state = 27},
  [8880] = {.lex_state = 0},
  [8881] = {.lex_state = 0},
  [8882] = {.lex_state = 19, .external_lex_state = 27},
  [8883] = {.lex_state = 28, .external_lex_state = 22},
  [8884] = {.lex_state = 12, .external_lex_state = 27},
  [8885] = {.lex_state = 31, .external_lex_state = 27},
  [8886] = {.lex_state = 0},
  [8887] = {.lex_state = 24, .external_lex_state = 27},
  [8888] = {.lex_state = 12, .external_lex_state = 27},
  [8889] = {.lex_state = 0},
  [8890] = {.lex_state = 28, .external_lex_state = 22},
  [8891] = {.lex_state = 0},
  [8892] = {.lex_state = 66, .external_lex_state = 27},
  [8893] = {.lex_state = 0, .external_lex_state = 19},
  [8894] = {.lex_state = 0, .external_lex_state = 19},
  [8895] = {.lex_state = 0},
  [8896] = {.lex_state = 11, .external_lex_state = 27},
  [8897] = {.lex_state = 0},
  [8898] = {.lex_state = 61, .external_lex_state = 27},
  [8899] = {.lex_state = 4, .external_lex_state = 32},
  [8900] = {.lex_state = 0, .external_lex_state = 19},
  [8901] = {.lex_state = 0},
  [8902] = {.lex_state = 8, .external_lex_state = 27},
  [8903] = {.lex_state = 63, .external_lex_state = 27},
  [8904] = {.lex_state = 20, .external_lex_state = 27},
  [8905] = {.lex_state = 61, .external_lex_state = 27},
  [8906] = {.lex_state = 66, .external_lex_state = 27},
  [8907] = {.lex_state = 61, .external_lex_state = 27},
  [8908] = {.lex_state = 0, .external_lex_state = 19},
  [8909] = {.lex_state = 0},
  [8910] = {.lex_state = 28, .external_lex_state = 22},
  [8911] = {.lex_state = 0},
  [8912] = {.lex_state = 28, .external_lex_state = 22},
  [8913] = {.lex_state = 0, .external_lex_state = 19},
  [8914] = {.lex_state = 7, .external_lex_state = 27},
  [8915] = {.lex_state = 68, .external_lex_state = 22},
  [8916] = {.lex_state = 0},
  [8917] = {.lex_state = 0},
  [8918] = {.lex_state = 0},
  [8919] = {.lex_state = 68, .external_lex_state = 27},
  [8920] = {.lex_state = 30, .external_lex_state = 27},
  [8921] = {.lex_state = 4, .external_lex_state = 28},
  [8922] = {.lex_state = 4, .external_lex_state = 28},
  [8923] = {.lex_state = 4, .external_lex_state = 28},
  [8924] = {.lex_state = 4, .external_lex_state = 28},
  [8925] = {.lex_state = 37, .external_lex_state = 22},
  [8926] = {.lex_state = 0},
  [8927] = {.lex_state = 0},
  [8928] = {.lex_state = 8, .external_lex_state = 27},
  [8929] = {.lex_state = 0, .external_lex_state = 19},
  [8930] = {.lex_state = 18},
  [8931] = {.lex_state = 8, .external_lex_state = 27},
  [8932] = {.lex_state = 0},
  [8933] = {.lex_state = 0, .external_lex_state = 26},
  [8934] = {.lex_state = 63, .external_lex_state = 27},
  [8935] = {.lex_state = 68, .external_lex_state = 22},
  [8936] = {.lex_state = 4, .external_lex_state = 28},
  [8937] = {.lex_state = 19, .external_lex_state = 27},
  [8938] = {.lex_state = 0, .external_lex_state = 19},
  [8939] = {.lex_state = 0},
  [8940] = {.lex_state = 0, .external_lex_state = 26},
  [8941] = {.lex_state = 0},
  [8942] = {.lex_state = 37, .external_lex_state = 22},
  [8943] = {.lex_state = 63, .external_lex_state = 27},
  [8944] = {.lex_state = 68, .external_lex_state = 22},
  [8945] = {.lex_state = 4, .external_lex_state = 28},
  [8946] = {.lex_state = 64, .external_lex_state = 27},
  [8947] = {.lex_state = 0},
  [8948] = {.lex_state = 0, .external_lex_state = 26},
  [8949] = {.lex_state = 0},
  [8950] = {.lex_state = 0},
  [8951] = {.lex_state = 24, .external_lex_state = 27},
  [8952] = {.lex_state = 4, .external_lex_state = 28},
  [8953] = {.lex_state = 4, .external_lex_state = 28},
  [8954] = {.lex_state = 4, .external_lex_state = 28},
  [8955] = {.lex_state = 0},
  [8956] = {.lex_state = 0},
  [8957] = {.lex_state = 0},
  [8958] = {.lex_state = 8, .external_lex_state = 27},
  [8959] = {.lex_state = 0},
  [8960] = {.lex_state = 0},
  [8961] = {.lex_state = 0, .external_lex_state = 26},
  [8962] = {.lex_state = 0},
  [8963] = {.lex_state = 4, .external_lex_state = 28},
  [8964] = {.lex_state = 0},
  [8965] = {.lex_state = 24, .external_lex_state = 27},
  [8966] = {.lex_state = 0},
  [8967] = {.lex_state = 0, .external_lex_state = 19},
  [8968] = {.lex_state = 0, .external_lex_state = 26},
  [8969] = {.lex_state = 0},
  [8970] = {.lex_state = 34, .external_lex_state = 27},
  [8971] = {.lex_state = 4, .external_lex_state = 28},
  [8972] = {.lex_state = 0, .external_lex_state = 19},
  [8973] = {.lex_state = 0, .external_lex_state = 19},
  [8974] = {.lex_state = 37, .external_lex_state = 22},
  [8975] = {.lex_state = 0},
  [8976] = {.lex_state = 67, .external_lex_state = 27},
  [8977] = {.lex_state = 37, .external_lex_state = 22},
  [8978] = {.lex_state = 0, .external_lex_state = 19},
  [8979] = {.lex_state = 0},
  [8980] = {.lex_state = 0, .external_lex_state = 19},
  [8981] = {.lex_state = 0},
  [8982] = {.lex_state = 4, .external_lex_state = 28},
  [8983] = {.lex_state = 0, .external_lex_state = 19},
  [8984] = {.lex_state = 0},
  [8985] = {.lex_state = 0, .external_lex_state = 19},
  [8986] = {.lex_state = 4, .external_lex_state = 28},
  [8987] = {.lex_state = 68, .external_lex_state = 27},
  [8988] = {.lex_state = 4, .external_lex_state = 28},
  [8989] = {.lex_state = 4, .external_lex_state = 28},
  [8990] = {.lex_state = 0},
  [8991] = {.lex_state = 0},
  [8992] = {.lex_state = 0},
  [8993] = {.lex_state = 0, .external_lex_state = 19},
  [8994] = {.lex_state = 4, .external_lex_state = 28},
  [8995] = {.lex_state = 4, .external_lex_state = 28},
  [8996] = {.lex_state = 4, .external_lex_state = 28},
  [8997] = {.lex_state = 12, .external_lex_state = 27},
  [8998] = {.lex_state = 4, .external_lex_state = 28},
  [8999] = {.lex_state = 8, .external_lex_state = 27},
  [9000] = {.lex_state = 4, .external_lex_state = 28},
  [9001] = {.lex_state = 0, .external_lex_state = 19},
  [9002] = {.lex_state = 0, .external_lex_state = 19},
  [9003] = {.lex_state = 4, .external_lex_state = 28},
  [9004] = {.lex_state = 0, .external_lex_state = 19},
  [9005] = {.lex_state = 8, .external_lex_state = 27},
  [9006] = {.lex_state = 0},
  [9007] = {.lex_state = 0, .external_lex_state = 26},
  [9008] = {.lex_state = 0, .external_lex_state = 26},
  [9009] = {.lex_state = 0, .external_lex_state = 19},
  [9010] = {.lex_state = 0},
  [9011] = {.lex_state = 4, .external_lex_state = 28},
  [9012] = {.lex_state = 4, .external_lex_state = 28},
  [9013] = {.lex_state = 13, .external_lex_state = 27},
  [9014] = {.lex_state = 12, .external_lex_state = 27},
  [9015] = {.lex_state = 4, .external_lex_state = 28},
  [9016] = {.lex_state = 4, .external_lex_state = 28},
  [9017] = {.lex_state = 0},
  [9018] = {.lex_state = 0, .external_lex_state = 19},
  [9019] = {.lex_state = 34, .external_lex_state = 27},
  [9020] = {.lex_state = 63, .external_lex_state = 27},
  [9021] = {.lex_state = 12, .external_lex_state = 27},
  [9022] = {.lex_state = 29, .external_lex_state = 27},
  [9023] = {.lex_state = 0},
  [9024] = {.lex_state = 0, .external_lex_state = 19},
  [9025] = {.lex_state = 4, .external_lex_state = 32},
  [9026] = {.lex_state = 29, .external_lex_state = 27},
  [9027] = {.lex_state = 0, .external_lex_state = 26},
  [9028] = {.lex_state = 0},
  [9029] = {.lex_state = 4, .external_lex_state = 28},
  [9030] = {.lex_state = 4, .external_lex_state = 28},
  [9031] = {.lex_state = 4, .external_lex_state = 28},
  [9032] = {.lex_state = 4, .external_lex_state = 28},
  [9033] = {.lex_state = 0},
  [9034] = {.lex_state = 4, .external_lex_state = 28},
  [9035] = {.lex_state = 0},
  [9036] = {.lex_state = 4, .external_lex_state = 28},
  [9037] = {.lex_state = 18},
  [9038] = {.lex_state = 29, .external_lex_state = 27},
  [9039] = {.lex_state = 70},
  [9040] = {.lex_state = 4},
  [9041] = {.lex_state = 70},
  [9042] = {.lex_state = 70},
  [9043] = {.lex_state = 41, .external_lex_state = 27},
  [9044] = {.lex_state = 26},
  [9045] = {.lex_state = 70},
  [9046] = {.lex_state = 68, .external_lex_state = 27},
  [9047] = {.lex_state = 4},
  [9048] = {.lex_state = 70},
  [9049] = {.lex_state = 4},
  [9050] = {.lex_state = 70},
  [9051] = {.lex_state = 63, .external_lex_state = 27},
  [9052] = {.lex_state = 4},
  [9053] = {.lex_state = 70},
  [9054] = {.lex_state = 26},
  [9055] = {.lex_state = 30, .external_lex_state = 27},
  [9056] = {.lex_state = 41, .external_lex_state = 27},
  [9057] = {.lex_state = 70},
  [9058] = {.lex_state = 70},
  [9059] = {.lex_state = 41, .external_lex_state = 27},
  [9060] = {.lex_state = 70},
  [9061] = {.lex_state = 70},
  [9062] = {.lex_state = 0},
  [9063] = {.lex_state = 4},
  [9064] = {.lex_state = 70},
  [9065] = {.lex_state = 41, .external_lex_state = 27},
  [9066] = {.lex_state = 70},
  [9067] = {.lex_state = 19, .external_lex_state = 27},
  [9068] = {.lex_state = 67, .external_lex_state = 27},
  [9069] = {.lex_state = 0, .external_lex_state = 19},
  [9070] = {.lex_state = 70},
  [9071] = {.lex_state = 20, .external_lex_state = 27},
  [9072] = {.lex_state = 70},
  [9073] = {.lex_state = 70},
  [9074] = {.lex_state = 70},
  [9075] = {.lex_state = 30, .external_lex_state = 27},
  [9076] = {.lex_state = 26},
  [9077] = {.lex_state = 12, .external_lex_state = 27},
  [9078] = {.lex_state = 70},
  [9079] = {.lex_state = 70},
  [9080] = {.lex_state = 70},
  [9081] = {.lex_state = 4},
  [9082] = {.lex_state = 66, .external_lex_state = 27},
  [9083] = {.lex_state = 4},
  [9084] = {.lex_state = 26},
  [9085] = {.lex_state = 4},
  [9086] = {.lex_state = 26},
  [9087] = {.lex_state = 26},
  [9088] = {.lex_state = 70},
  [9089] = {.lex_state = 30, .external_lex_state = 27},
  [9090] = {.lex_state = 70},
  [9091] = {.lex_state = 37, .external_lex_state = 22},
  [9092] = {.lex_state = 70},
  [9093] = {.lex_state = 4},
  [9094] = {.lex_state = 67, .external_lex_state = 27},
  [9095] = {.lex_state = 70},
  [9096] = {.lex_state = 70},
  [9097] = {.lex_state = 34, .external_lex_state = 27},
  [9098] = {.lex_state = 70},
  [9099] = {.lex_state = 70},
  [9100] = {.lex_state = 70},
  [9101] = {.lex_state = 0, .external_lex_state = 19},
  [9102] = {.lex_state = 70},
  [9103] = {.lex_state = 34, .external_lex_state = 27},
  [9104] = {.lex_state = 70},
  [9105] = {.lex_state = 34, .external_lex_state = 27},
  [9106] = {.lex_state = 70},
  [9107] = {.lex_state = 0, .external_lex_state = 19},
  [9108] = {.lex_state = 70},
  [9109] = {.lex_state = 70},
  [9110] = {.lex_state = 61, .external_lex_state = 27},
  [9111] = {.lex_state = 31, .external_lex_state = 27},
  [9112] = {.lex_state = 26},
  [9113] = {.lex_state = 70},
  [9114] = {.lex_state = 70},
  [9115] = {.lex_state = 20, .external_lex_state = 27},
  [9116] = {.lex_state = 4},
  [9117] = {.lex_state = 68, .external_lex_state = 27},
  [9118] = {.lex_state = 70},
  [9119] = {.lex_state = 26},
  [9120] = {.lex_state = 70},
  [9121] = {.lex_state = 68, .external_lex_state = 27},
  [9122] = {.lex_state = 24},
  [9123] = {.lex_state = 4},
  [9124] = {.lex_state = 70},
  [9125] = {.lex_state = 4},
  [9126] = {.lex_state = 4},
  [9127] = {.lex_state = 4},
  [9128] = {.lex_state = 70},
  [9129] = {.lex_state = 4},
  [9130] = {.lex_state = 4},
  [9131] = {.lex_state = 70},
  [9132] = {.lex_state = 4},
  [9133] = {.lex_state = 4},
  [9134] = {.lex_state = 4},
  [9135] = {.lex_state = 66, .external_lex_state = 27},
  [9136] = {.lex_state = 0},
  [9137] = {.lex_state = 28, .external_lex_state = 22},
  [9138] = {.lex_state = 70},
  [9139] = {.lex_state = 70},
  [9140] = {.lex_state = 70},
  [9141] = {.lex_state = 70},
  [9142] = {.lex_state = 25, .external_lex_state = 27},
  [9143] = {.lex_state = 4},
  [9144] = {.lex_state = 4},
  [9145] = {.lex_state = 25, .external_lex_state = 27},
  [9146] = {.lex_state = 4},
  [9147] = {.lex_state = 26},
  [9148] = {.lex_state = 31, .external_lex_state = 27},
  [9149] = {.lex_state = 0, .external_lex_state = 26},
  [9150] = {.lex_state = 70},
  [9151] = {.lex_state = 70},
  [9152] = {.lex_state = 70},
  [9153] = {.lex_state = 70},
  [9154] = {.lex_state = 8, .external_lex_state = 27},
  [9155] = {.lex_state = 4},
  [9156] = {.lex_state = 4},
  [9157] = {.lex_state = 4},
  [9158] = {.lex_state = 4},
  [9159] = {.lex_state = 25, .external_lex_state = 27},
  [9160] = {.lex_state = 4},
  [9161] = {.lex_state = 4},
  [9162] = {.lex_state = 26},
  [9163] = {.lex_state = 70},
  [9164] = {.lex_state = 70},
  [9165] = {.lex_state = 4},
  [9166] = {.lex_state = 26},
  [9167] = {.lex_state = 26},
  [9168] = {.lex_state = 19, .external_lex_state = 27},
  [9169] = {.lex_state = 19, .external_lex_state = 27},
  [9170] = {.lex_state = 4},
  [9171] = {.lex_state = 4},
  [9172] = {.lex_state = 70},
  [9173] = {.lex_state = 70},
  [9174] = {.lex_state = 0},
  [9175] = {.lex_state = 24},
  [9176] = {.lex_state = 0},
  [9177] = {.lex_state = 25, .external_lex_state = 27},
  [9178] = {.lex_state = 28, .external_lex_state = 26},
  [9179] = {.lex_state = 0},
  [9180] = {.lex_state = 67, .external_lex_state = 27},
  [9181] = {.lex_state = 0},
  [9182] = {.lex_state = 28, .external_lex_state = 27},
  [9183] = {.lex_state = 0},
  [9184] = {.lex_state = 0},
  [9185] = {.lex_state = 32},
  [9186] = {.lex_state = 35, .external_lex_state = 27},
  [9187] = {.lex_state = 28, .external_lex_state = 27},
  [9188] = {.lex_state = 67, .external_lex_state = 27},
  [9189] = {.lex_state = 67, .external_lex_state = 27},
  [9190] = {.lex_state = 0},
  [9191] = {.lex_state = 0},
  [9192] = {.lex_state = 25, .external_lex_state = 27},
  [9193] = {.lex_state = 28, .external_lex_state = 26},
  [9194] = {.lex_state = 0},
  [9195] = {.lex_state = 24},
  [9196] = {.lex_state = 37, .external_lex_state = 26},
  [9197] = {.lex_state = 31, .external_lex_state = 27},
  [9198] = {.lex_state = 0},
  [9199] = {.lex_state = 31, .external_lex_state = 27},
  [9200] = {.lex_state = 0},
  [9201] = {.lex_state = 26},
  [9202] = {.lex_state = 20, .external_lex_state = 27},
  [9203] = {.lex_state = 0},
  [9204] = {.lex_state = 35, .external_lex_state = 27},
  [9205] = {.lex_state = 31, .external_lex_state = 27},
  [9206] = {.lex_state = 35, .external_lex_state = 27},
  [9207] = {.lex_state = 28, .external_lex_state = 27},
  [9208] = {.lex_state = 66, .external_lex_state = 27},
  [9209] = {.lex_state = 35, .external_lex_state = 27},
  [9210] = {.lex_state = 0},
  [9211] = {.lex_state = 0},
  [9212] = {.lex_state = 0},
  [9213] = {.lex_state = 0},
  [9214] = {.lex_state = 0},
  [9215] = {.lex_state = 44, .external_lex_state = 27},
  [9216] = {.lex_state = 26},
  [9217] = {.lex_state = 0},
  [9218] = {.lex_state = 0},
  [9219] = {.lex_state = 37, .external_lex_state = 26},
  [9220] = {.lex_state = 0},
  [9221] = {.lex_state = 0, .external_lex_state = 19},
  [9222] = {.lex_state = 0},
  [9223] = {.lex_state = 0},
  [9224] = {.lex_state = 26},
  [9225] = {.lex_state = 0},
  [9226] = {.lex_state = 21, .external_lex_state = 26},
  [9227] = {.lex_state = 66, .external_lex_state = 27},
  [9228] = {.lex_state = 0},
  [9229] = {.lex_state = 66, .external_lex_state = 27},
  [9230] = {.lex_state = 44, .external_lex_state = 27},
  [9231] = {.lex_state = 0},
  [9232] = {.lex_state = 20, .external_lex_state = 27},
  [9233] = {.lex_state = 44, .external_lex_state = 27},
  [9234] = {.lex_state = 0},
  [9235] = {.lex_state = 44, .external_lex_state = 27},
  [9236] = {.lex_state = 42, .external_lex_state = 27},
  [9237] = {.lex_state = 0},
  [9238] = {.lex_state = 0},
  [9239] = {.lex_state = 0},
  [9240] = {.lex_state = 0},
  [9241] = {.lex_state = 0, .external_lex_state = 19},
  [9242] = {.lex_state = 0},
  [9243] = {.lex_state = 0},
  [9244] = {.lex_state = 42, .external_lex_state = 27},
  [9245] = {.lex_state = 0, .external_lex_state = 19},
  [9246] = {.lex_state = 41, .external_lex_state = 27},
  [9247] = {.lex_state = 0},
  [9248] = {.lex_state = 0},
  [9249] = {.lex_state = 0},
  [9250] = {.lex_state = 0},
  [9251] = {.lex_state = 28, .external_lex_state = 27},
  [9252] = {.lex_state = 0},
  [9253] = {.lex_state = 26},
  [9254] = {.lex_state = 20, .external_lex_state = 27},
  [9255] = {.lex_state = 0},
  [9256] = {.lex_state = 0},
  [9257] = {.lex_state = 0},
  [9258] = {.lex_state = 24},
  [9259] = {.lex_state = 0},
  [9260] = {.lex_state = 0},
  [9261] = {.lex_state = 42, .external_lex_state = 27},
  [9262] = {.lex_state = 0},
  [9263] = {.lex_state = 0},
  [9264] = {.lex_state = 0, .external_lex_state = 19},
  [9265] = {.lex_state = 0},
  [9266] = {.lex_state = 0},
  [9267] = {.lex_state = 21, .external_lex_state = 26},
  [9268] = {.lex_state = 0},
  [9269] = {.lex_state = 0},
  [9270] = {.lex_state = 0},
  [9271] = {.lex_state = 0},
  [9272] = {.lex_state = 0},
  [9273] = {.lex_state = 0},
  [9274] = {.lex_state = 32},
  [9275] = {.lex_state = 0},
  [9276] = {.lex_state = 0},
  [9277] = {.lex_state = 32},
  [9278] = {.lex_state = 32},
  [9279] = {.lex_state = 42, .external_lex_state = 27},
  [9280] = {.lex_state = 0},
  [9281] = {.lex_state = 0},
  [9282] = {.lex_state = 0},
  [9283] = {.lex_state = 27},
  [9284] = {.lex_state = 0, .external_lex_state = 19},
  [9285] = {.lex_state = 37, .external_lex_state = 27},
  [9286] = {.lex_state = 0},
  [9287] = {.lex_state = 0},
  [9288] = {.lex_state = 0},
  [9289] = {.lex_state = 70},
  [9290] = {.lex_state = 43, .external_lex_state = 27},
  [9291] = {.lex_state = 0},
  [9292] = {.lex_state = 0},
  [9293] = {.lex_state = 0},
  [9294] = {.lex_state = 0},
  [9295] = {.lex_state = 25},
  [9296] = {.lex_state = 25},
  [9297] = {.lex_state = 0},
  [9298] = {.lex_state = 0},
  [9299] = {.lex_state = 70},
  [9300] = {.lex_state = 0},
  [9301] = {.lex_state = 0},
  [9302] = {.lex_state = 70},
  [9303] = {.lex_state = 0},
  [9304] = {.lex_state = 0, .external_lex_state = 26},
  [9305] = {.lex_state = 43, .external_lex_state = 27},
  [9306] = {.lex_state = 0},
  [9307] = {.lex_state = 35, .external_lex_state = 27},
  [9308] = {.lex_state = 0},
  [9309] = {.lex_state = 37, .external_lex_state = 27},
  [9310] = {.lex_state = 0},
  [9311] = {.lex_state = 36, .external_lex_state = 27},
  [9312] = {.lex_state = 0},
  [9313] = {.lex_state = 0, .external_lex_state = 26},
  [9314] = {.lex_state = 0},
  [9315] = {.lex_state = 0},
  [9316] = {.lex_state = 0},
  [9317] = {.lex_state = 0},
  [9318] = {.lex_state = 0},
  [9319] = {.lex_state = 0},
  [9320] = {.lex_state = 0},
  [9321] = {.lex_state = 0},
  [9322] = {.lex_state = 0},
  [9323] = {.lex_state = 0},
  [9324] = {.lex_state = 0},
  [9325] = {.lex_state = 0},
  [9326] = {.lex_state = 0, .external_lex_state = 26},
  [9327] = {.lex_state = 0, .external_lex_state = 19},
  [9328] = {.lex_state = 0},
  [9329] = {.lex_state = 0},
  [9330] = {.lex_state = 0},
  [9331] = {.lex_state = 0, .external_lex_state = 19},
  [9332] = {.lex_state = 36, .external_lex_state = 27},
  [9333] = {.lex_state = 0},
  [9334] = {.lex_state = 0},
  [9335] = {.lex_state = 0},
  [9336] = {.lex_state = 0},
  [9337] = {.lex_state = 0},
  [9338] = {.lex_state = 27},
  [9339] = {.lex_state = 0},
  [9340] = {.lex_state = 0, .external_lex_state = 19},
  [9341] = {.lex_state = 0},
  [9342] = {.lex_state = 36, .external_lex_state = 27},
  [9343] = {.lex_state = 0, .external_lex_state = 26},
  [9344] = {.lex_state = 25},
  [9345] = {.lex_state = 37, .external_lex_state = 27},
  [9346] = {.lex_state = 0},
  [9347] = {.lex_state = 0},
  [9348] = {.lex_state = 0},
  [9349] = {.lex_state = 0},
  [9350] = {.lex_state = 37, .external_lex_state = 27},
  [9351] = {.lex_state = 36, .external_lex_state = 27},
  [9352] = {.lex_state = 41},
  [9353] = {.lex_state = 27},
  [9354] = {.lex_state = 0},
  [9355] = {.lex_state = 0},
  [9356] = {.lex_state = 43, .external_lex_state = 27},
  [9357] = {.lex_state = 27},
  [9358] = {.lex_state = 0},
  [9359] = {.lex_state = 0},
  [9360] = {.lex_state = 0},
  [9361] = {.lex_state = 0},
  [9362] = {.lex_state = 25, .external_lex_state = 27},
  [9363] = {.lex_state = 0},
  [9364] = {.lex_state = 0},
  [9365] = {.lex_state = 0},
  [9366] = {.lex_state = 0},
  [9367] = {.lex_state = 0},
  [9368] = {.lex_state = 27},
  [9369] = {.lex_state = 0},
  [9370] = {.lex_state = 0},
  [9371] = {.lex_state = 0},
  [9372] = {.lex_state = 42, .external_lex_state = 27},
  [9373] = {.lex_state = 0},
  [9374] = {.lex_state = 27},
  [9375] = {.lex_state = 0},
  [9376] = {.lex_state = 0},
  [9377] = {.lex_state = 0},
  [9378] = {.lex_state = 0},
  [9379] = {.lex_state = 0},
  [9380] = {.lex_state = 0},
  [9381] = {.lex_state = 27},
  [9382] = {.lex_state = 0},
  [9383] = {.lex_state = 0},
  [9384] = {.lex_state = 27},
  [9385] = {.lex_state = 0},
  [9386] = {.lex_state = 0},
  [9387] = {.lex_state = 27},
  [9388] = {.lex_state = 27},
  [9389] = {.lex_state = 0},
  [9390] = {.lex_state = 0},
  [9391] = {.lex_state = 0},
  [9392] = {.lex_state = 0},
  [9393] = {.lex_state = 41},
  [9394] = {.lex_state = 0},
  [9395] = {.lex_state = 28, .external_lex_state = 27},
  [9396] = {.lex_state = 0},
  [9397] = {.lex_state = 44, .external_lex_state = 27},
  [9398] = {.lex_state = 0},
  [9399] = {.lex_state = 0},
  [9400] = {.lex_state = 23, .external_lex_state = 27},
  [9401] = {.lex_state = 0},
  [9402] = {.lex_state = 0},
  [9403] = {.lex_state = 23, .external_lex_state = 27},
  [9404] = {.lex_state = 43, .external_lex_state = 27},
  [9405] = {.lex_state = 0},
  [9406] = {.lex_state = 0},
  [9407] = {.lex_state = 33},
  [9408] = {.lex_state = 23, .external_lex_state = 27},
  [9409] = {.lex_state = 0, .external_lex_state = 26},
  [9410] = {.lex_state = 0},
  [9411] = {.lex_state = 0},
  [9412] = {.lex_state = 23, .external_lex_state = 27},
  [9413] = {.lex_state = 0},
  [9414] = {.lex_state = 0},
  [9415] = {.lex_state = 0},
  [9416] = {.lex_state = 0},
  [9417] = {.lex_state = 27},
  [9418] = {.lex_state = 27},
  [9419] = {.lex_state = 0},
  [9420] = {.lex_state = 0},
  [9421] = {.lex_state = 0},
  [9422] = {.lex_state = 0},
  [9423] = {.lex_state = 27},
  [9424] = {.lex_state = 0, .external_lex_state = 26},
  [9425] = {.lex_state = 0},
  [9426] = {.lex_state = 0},
  [9427] = {.lex_state = 0},
  [9428] = {.lex_state = 0},
  [9429] = {.lex_state = 0},
  [9430] = {.lex_state = 0, .external_lex_state = 26},
  [9431] = {.lex_state = 0, .external_lex_state = 26},
  [9432] = {.lex_state = 0},
  [9433] = {.lex_state = 27},
  [9434] = {.lex_state = 0},
  [9435] = {.lex_state = 0},
  [9436] = {.lex_state = 44},
  [9437] = {.lex_state = 0},
  [9438] = {.lex_state = 27},
  [9439] = {.lex_state = 27},
  [9440] = {.lex_state = 0},
  [9441] = {.lex_state = 0},
  [9442] = {.lex_state = 27},
  [9443] = {.lex_state = 0, .external_lex_state = 19},
  [9444] = {.lex_state = 23, .external_lex_state = 27},
  [9445] = {.lex_state = 25},
  [9446] = {.lex_state = 43, .external_lex_state = 27},
  [9447] = {.lex_state = 0},
  [9448] = {.lex_state = 0},
  [9449] = {.lex_state = 27},
  [9450] = {.lex_state = 35},
  [9451] = {.lex_state = 0, .external_lex_state = 26},
  [9452] = {.lex_state = 27},
  [9453] = {.lex_state = 0, .external_lex_state = 26},
  [9454] = {.lex_state = 28},
  [9455] = {.lex_state = 0},
  [9456] = {.lex_state = 21},
  [9457] = {.lex_state = 27},
  [9458] = {.lex_state = 0},
  [9459] = {.lex_state = 0},
  [9460] = {.lex_state = 0, .external_lex_state = 26},
  [9461] = {.lex_state = 27},
  [9462] = {.lex_state = 0, .external_lex_state = 26},
  [9463] = {.lex_state = 37, .external_lex_state = 27},
  [9464] = {.lex_state = 0},
  [9465] = {.lex_state = 27},
  [9466] = {.lex_state = 42},
  [9467] = {.lex_state = 27},
  [9468] = {.lex_state = 0, .external_lex_state = 26},
  [9469] = {.lex_state = 0},
  [9470] = {.lex_state = 0},
  [9471] = {.lex_state = 25},
  [9472] = {.lex_state = 0},
  [9473] = {.lex_state = 0, .external_lex_state = 19},
  [9474] = {.lex_state = 0},
  [9475] = {.lex_state = 27},
  [9476] = {.lex_state = 0},
  [9477] = {.lex_state = 0},
  [9478] = {.lex_state = 0},
  [9479] = {.lex_state = 0},
  [9480] = {.lex_state = 0},
  [9481] = {.lex_state = 0, .external_lex_state = 26},
  [9482] = {.lex_state = 0, .external_lex_state = 19},
  [9483] = {.lex_state = 28},
  [9484] = {.lex_state = 27},
  [9485] = {.lex_state = 0},
  [9486] = {.lex_state = 0},
  [9487] = {.lex_state = 0, .external_lex_state = 26},
  [9488] = {.lex_state = 0, .external_lex_state = 26},
  [9489] = {.lex_state = 0},
  [9490] = {.lex_state = 27},
  [9491] = {.lex_state = 44},
  [9492] = {.lex_state = 0, .external_lex_state = 19},
  [9493] = {.lex_state = 27},
  [9494] = {.lex_state = 25},
  [9495] = {.lex_state = 0},
  [9496] = {.lex_state = 0},
  [9497] = {.lex_state = 0, .external_lex_state = 26},
  [9498] = {.lex_state = 0},
  [9499] = {.lex_state = 0, .external_lex_state = 19},
  [9500] = {.lex_state = 0},
  [9501] = {.lex_state = 25},
  [9502] = {.lex_state = 33},
  [9503] = {.lex_state = 0},
  [9504] = {.lex_state = 0, .external_lex_state = 26},
  [9505] = {.lex_state = 0, .external_lex_state = 19},
  [9506] = {.lex_state = 0},
  [9507] = {.lex_state = 35},
  [9508] = {.lex_state = 42},
  [9509] = {.lex_state = 0},
  [9510] = {.lex_state = 25},
  [9511] = {.lex_state = 0},
  [9512] = {.lex_state = 0},
  [9513] = {.lex_state = 0},
  [9514] = {.lex_state = 0, .external_lex_state = 26},
  [9515] = {.lex_state = 36, .external_lex_state = 27},
  [9516] = {.lex_state = 0},
  [9517] = {.lex_state = 0},
  [9518] = {.lex_state = 27},
  [9519] = {.lex_state = 0},
  [9520] = {.lex_state = 0},
  [9521] = {.lex_state = 27},
  [9522] = {.lex_state = 33},
  [9523] = {.lex_state = 0},
  [9524] = {.lex_state = 0},
  [9525] = {.lex_state = 0},
  [9526] = {.lex_state = 33},
  [9527] = {.lex_state = 0, .external_lex_state = 26},
  [9528] = {.lex_state = 33},
  [9529] = {.lex_state = 0},
  [9530] = {.lex_state = 0},
  [9531] = {.lex_state = 0, .external_lex_state = 26},
  [9532] = {.lex_state = 0, .external_lex_state = 26},
  [9533] = {.lex_state = 25},
  [9534] = {.lex_state = 25},
  [9535] = {.lex_state = 33},
  [9536] = {.lex_state = 25},
  [9537] = {.lex_state = 25},
  [9538] = {.lex_state = 25},
  [9539] = {.lex_state = 25},
  [9540] = {.lex_state = 25},
  [9541] = {.lex_state = 25},
  [9542] = {.lex_state = 0},
  [9543] = {.lex_state = 36},
  [9544] = {.lex_state = 21},
  [9545] = {.lex_state = 33},
  [9546] = {.lex_state = 21},
  [9547] = {.lex_state = 33},
  [9548] = {.lex_state = 25},
  [9549] = {.lex_state = 25},
  [9550] = {.lex_state = 25},
  [9551] = {.lex_state = 25},
  [9552] = {.lex_state = 25},
  [9553] = {.lex_state = 0},
  [9554] = {.lex_state = 43},
  [9555] = {.lex_state = 25},
  [9556] = {.lex_state = 0},
  [9557] = {.lex_state = 36},
  [9558] = {.lex_state = 25},
  [9559] = {.lex_state = 0, .external_lex_state = 26},
  [9560] = {.lex_state = 0, .external_lex_state = 26},
  [9561] = {.lex_state = 0},
  [9562] = {.lex_state = 0, .external_lex_state = 26},
  [9563] = {.lex_state = 0, .external_lex_state = 26},
  [9564] = {.lex_state = 0, .external_lex_state = 26},
  [9565] = {.lex_state = 21},
  [9566] = {.lex_state = 21},
  [9567] = {.lex_state = 0, .external_lex_state = 26},
  [9568] = {.lex_state = 21},
  [9569] = {.lex_state = 0, .external_lex_state = 26},
  [9570] = {.lex_state = 0, .external_lex_state = 26},
  [9571] = {.lex_state = 21},
  [9572] = {.lex_state = 0},
  [9573] = {.lex_state = 0},
  [9574] = {.lex_state = 0, .external_lex_state = 26},
  [9575] = {.lex_state = 0, .external_lex_state = 26},
  [9576] = {.lex_state = 21},
  [9577] = {.lex_state = 0, .external_lex_state = 26},
  [9578] = {.lex_state = 33},
  [9579] = {.lex_state = 0, .external_lex_state = 26},
  [9580] = {.lex_state = 33},
  [9581] = {.lex_state = 21},
  [9582] = {.lex_state = 37},
  [9583] = {.lex_state = 21},
  [9584] = {.lex_state = 33},
  [9585] = {.lex_state = 0},
  [9586] = {.lex_state = 0, .external_lex_state = 26},
  [9587] = {.lex_state = 33},
  [9588] = {.lex_state = 21},
  [9589] = {.lex_state = 21},
  [9590] = {.lex_state = 33},
  [9591] = {.lex_state = 21},
  [9592] = {.lex_state = 21},
  [9593] = {.lex_state = 21},
  [9594] = {.lex_state = 21},
  [9595] = {.lex_state = 0},
  [9596] = {.lex_state = 27},
  [9597] = {.lex_state = 33},
  [9598] = {.lex_state = 21},
  [9599] = {.lex_state = 21},
  [9600] = {.lex_state = 21},
  [9601] = {.lex_state = 21},
  [9602] = {.lex_state = 33},
  [9603] = {.lex_state = 33},
  [9604] = {.lex_state = 0, .external_lex_state = 26},
  [9605] = {.lex_state = 21},
  [9606] = {.lex_state = 21},
  [9607] = {.lex_state = 21},
  [9608] = {.lex_state = 21},
  [9609] = {.lex_state = 33},
  [9610] = {.lex_state = 33},
  [9611] = {.lex_state = 33},
  [9612] = {.lex_state = 21},
  [9613] = {.lex_state = 33},
  [9614] = {.lex_state = 21},
  [9615] = {.lex_state = 0, .external_lex_state = 26},
  [9616] = {.lex_state = 21},
  [9617] = {.lex_state = 21},
  [9618] = {.lex_state = 0, .external_lex_state = 26},
  [9619] = {.lex_state = 33},
  [9620] = {.lex_state = 27},
  [9621] = {.lex_state = 27},
  [9622] = {.lex_state = 27},
  [9623] = {.lex_state = 21},
  [9624] = {.lex_state = 21},
  [9625] = {.lex_state = 27},
  [9626] = {.lex_state = 37},
  [9627] = {.lex_state = 21},
  [9628] = {.lex_state = 21},
  [9629] = {.lex_state = 21},
  [9630] = {.lex_state = 21},
  [9631] = {.lex_state = 33},
  [9632] = {.lex_state = 21},
  [9633] = {.lex_state = 21},
  [9634] = {.lex_state = 0, .external_lex_state = 26},
  [9635] = {.lex_state = 0},
  [9636] = {.lex_state = 21},
  [9637] = {.lex_state = 21},
  [9638] = {.lex_state = 0, .external_lex_state = 26},
  [9639] = {.lex_state = 21},
  [9640] = {.lex_state = 21},
  [9641] = {.lex_state = 0, .external_lex_state = 26},
  [9642] = {.lex_state = 0},
  [9643] = {.lex_state = 21},
  [9644] = {.lex_state = 21},
  [9645] = {.lex_state = 27},
  [9646] = {.lex_state = 21},
  [9647] = {.lex_state = 21},
  [9648] = {.lex_state = 21},
  [9649] = {.lex_state = 21},
  [9650] = {.lex_state = 21},
  [9651] = {.lex_state = 0},
  [9652] = {.lex_state = 21},
  [9653] = {.lex_state = 43},
  [9654] = {.lex_state = 21},
  [9655] = {.lex_state = 21},
  [9656] = {.lex_state = 0, .external_lex_state = 26},
  [9657] = {.lex_state = 0},
  [9658] = {.lex_state = 21},
  [9659] = {.lex_state = 25},
  [9660] = {.lex_state = 21},
  [9661] = {.lex_state = 21},
  [9662] = {.lex_state = 21},
  [9663] = {.lex_state = 0, .external_lex_state = 26},
  [9664] = {.lex_state = 0, .external_lex_state = 26},
  [9665] = {.lex_state = 27},
  [9666] = {.lex_state = 27},
  [9667] = {.lex_state = 0, .external_lex_state = 26},
  [9668] = {.lex_state = 0, .external_lex_state = 26},
  [9669] = {.lex_state = 0, .external_lex_state = 26},
  [9670] = {.lex_state = 0, .external_lex_state = 26},
  [9671] = {.lex_state = 0},
  [9672] = {.lex_state = 0, .external_lex_state = 26},
  [9673] = {.lex_state = 0, .external_lex_state = 26},
  [9674] = {.lex_state = 27},
  [9675] = {.lex_state = 27},
  [9676] = {.lex_state = 27},
  [9677] = {.lex_state = 0, .external_lex_state = 26},
  [9678] = {.lex_state = 0, .external_lex_state = 26},
  [9679] = {.lex_state = 23},
  [9680] = {.lex_state = 0, .external_lex_state = 26},
  [9681] = {.lex_state = 0, .external_lex_state = 26},
  [9682] = {.lex_state = 25},
  [9683] = {.lex_state = 0, .external_lex_state = 26},
  [9684] = {.lex_state = 0, .external_lex_state = 26},
  [9685] = {.lex_state = 27},
  [9686] = {.lex_state = 23},
  [9687] = {.lex_state = 0, .external_lex_state = 26},
  [9688] = {.lex_state = 0},
  [9689] = {.lex_state = 27},
  [9690] = {.lex_state = 27},
  [9691] = {.lex_state = 27},
  [9692] = {.lex_state = 0, .external_lex_state = 26},
  [9693] = {.lex_state = 27},
  [9694] = {.lex_state = 27},
  [9695] = {.lex_state = 0, .external_lex_state = 26},
  [9696] = {.lex_state = 0, .external_lex_state = 26},
  [9697] = {.lex_state = 0, .external_lex_state = 26},
  [9698] = {.lex_state = 0, .external_lex_state = 26},
  [9699] = {.lex_state = 0},
  [9700] = {.lex_state = 0, .external_lex_state = 26},
  [9701] = {.lex_state = 0, .external_lex_state = 26},
  [9702] = {.lex_state = 21},
  [9703] = {.lex_state = 0},
  [9704] = {.lex_state = 0},
  [9705] = {.lex_state = 0, .external_lex_state = 26},
  [9706] = {.lex_state = 0, .external_lex_state = 26},
  [9707] = {.lex_state = 0},
  [9708] = {.lex_state = 0},
  [9709] = {.lex_state = 0},
  [9710] = {.lex_state = 0},
  [9711] = {.lex_state = 21},
  [9712] = {.lex_state = 21},
  [9713] = {.lex_state = 0, .external_lex_state = 26},
  [9714] = {.lex_state = 0, .external_lex_state = 26},
  [9715] = {.lex_state = 21},
  [9716] = {.lex_state = 21},
  [9717] = {.lex_state = 21},
  [9718] = {.lex_state = 0},
  [9719] = {.lex_state = 0},
  [9720] = {.lex_state = 0},
  [9721] = {.lex_state = 0},
  [9722] = {.lex_state = 21},
  [9723] = {.lex_state = 0},
  [9724] = {.lex_state = 0, .external_lex_state = 26},
  [9725] = {.lex_state = 0, .external_lex_state = 26},
  [9726] = {.lex_state = 0},
  [9727] = {.lex_state = 0},
  [9728] = {.lex_state = 21},
  [9729] = {.lex_state = 0},
  [9730] = {.lex_state = 0},
  [9731] = {.lex_state = 21},
  [9732] = {.lex_state = 0, .external_lex_state = 26},
  [9733] = {.lex_state = 0},
  [9734] = {.lex_state = 0},
  [9735] = {.lex_state = 0},
  [9736] = {.lex_state = 0},
  [9737] = {.lex_state = 0},
  [9738] = {.lex_state = 0},
  [9739] = {.lex_state = 0},
  [9740] = {.lex_state = 0},
  [9741] = {.lex_state = 0},
  [9742] = {.lex_state = 0},
  [9743] = {.lex_state = 0},
  [9744] = {.lex_state = 0},
  [9745] = {.lex_state = 0, .external_lex_state = 26},
  [9746] = {.lex_state = 0},
  [9747] = {.lex_state = 21},
  [9748] = {.lex_state = 0},
  [9749] = {.lex_state = 0},
  [9750] = {.lex_state = 0},
  [9751] = {.lex_state = 0},
  [9752] = {.lex_state = 21},
  [9753] = {.lex_state = 0},
  [9754] = {.lex_state = 0},
  [9755] = {.lex_state = 0},
  [9756] = {.lex_state = 0, .external_lex_state = 26},
  [9757] = {.lex_state = 0},
  [9758] = {.lex_state = 0},
  [9759] = {.lex_state = 21},
  [9760] = {.lex_state = 0},
  [9761] = {.lex_state = 0},
  [9762] = {.lex_state = 21},
  [9763] = {.lex_state = 21},
  [9764] = {.lex_state = 0},
  [9765] = {.lex_state = 0},
  [9766] = {.lex_state = 0},
  [9767] = {.lex_state = 21},
  [9768] = {.lex_state = 21},
  [9769] = {.lex_state = 21},
  [9770] = {.lex_state = 21},
  [9771] = {.lex_state = 0},
  [9772] = {.lex_state = 21},
  [9773] = {.lex_state = 0, .external_lex_state = 26},
  [9774] = {.lex_state = 21},
  [9775] = {.lex_state = 0},
  [9776] = {.lex_state = 21},
  [9777] = {.lex_state = 21},
  [9778] = {.lex_state = 0},
  [9779] = {.lex_state = 0},
  [9780] = {.lex_state = 21},
  [9781] = {.lex_state = 21},
  [9782] = {.lex_state = 0},
  [9783] = {.lex_state = 21},
  [9784] = {.lex_state = 21},
  [9785] = {.lex_state = 21},
  [9786] = {.lex_state = 21},
  [9787] = {.lex_state = 0},
  [9788] = {.lex_state = 21},
  [9789] = {.lex_state = 0},
  [9790] = {.lex_state = 0, .external_lex_state = 26},
  [9791] = {.lex_state = 21},
  [9792] = {.lex_state = 0},
  [9793] = {.lex_state = 21},
  [9794] = {.lex_state = 0},
  [9795] = {.lex_state = 21},
  [9796] = {.lex_state = 0},
  [9797] = {.lex_state = 0},
  [9798] = {.lex_state = 21},
  [9799] = {.lex_state = 21},
  [9800] = {.lex_state = 21},
  [9801] = {.lex_state = 0},
  [9802] = {.lex_state = 21},
  [9803] = {.lex_state = 21},
  [9804] = {.lex_state = 0},
  [9805] = {.lex_state = 21},
  [9806] = {.lex_state = 0},
  [9807] = {.lex_state = 21},
  [9808] = {.lex_state = 0, .external_lex_state = 26},
  [9809] = {.lex_state = 21},
  [9810] = {.lex_state = 0},
  [9811] = {.lex_state = 21},
  [9812] = {.lex_state = 21},
  [9813] = {.lex_state = 0},
  [9814] = {.lex_state = 0},
  [9815] = {.lex_state = 21},
  [9816] = {.lex_state = 21},
  [9817] = {.lex_state = 21},
  [9818] = {.lex_state = 21},
  [9819] = {.lex_state = 21},
  [9820] = {.lex_state = 21},
  [9821] = {.lex_state = 21},
  [9822] = {.lex_state = 21},
  [9823] = {.lex_state = 0},
  [9824] = {.lex_state = 21},
  [9825] = {.lex_state = 0},
  [9826] = {.lex_state = 21},
  [9827] = {.lex_state = 21},
  [9828] = {.lex_state = 21},
  [9829] = {.lex_state = 21},
  [9830] = {.lex_state = 21},
  [9831] = {.lex_state = 0},
  [9832] = {.lex_state = 21},
  [9833] = {.lex_state = 21},
  [9834] = {.lex_state = 21},
  [9835] = {.lex_state = 21},
  [9836] = {.lex_state = 21},
  [9837] = {.lex_state = 21},
  [9838] = {.lex_state = 21},
  [9839] = {.lex_state = 0},
  [9840] = {.lex_state = 0},
  [9841] = {.lex_state = 21},
  [9842] = {.lex_state = 0, .external_lex_state = 26},
  [9843] = {.lex_state = 21},
  [9844] = {.lex_state = 21},
  [9845] = {.lex_state = 21},
  [9846] = {.lex_state = 21},
  [9847] = {.lex_state = 0},
  [9848] = {.lex_state = 0},
  [9849] = {.lex_state = 21},
  [9850] = {.lex_state = 21},
  [9851] = {.lex_state = 21},
  [9852] = {.lex_state = 21},
  [9853] = {.lex_state = 21},
  [9854] = {.lex_state = 21},
  [9855] = {.lex_state = 21},
  [9856] = {.lex_state = 0},
  [9857] = {.lex_state = 0},
  [9858] = {.lex_state = 0},
  [9859] = {.lex_state = 0},
  [9860] = {.lex_state = 21},
  [9861] = {.lex_state = 0},
  [9862] = {.lex_state = 21},
  [9863] = {.lex_state = 21},
  [9864] = {.lex_state = 21},
  [9865] = {.lex_state = 21},
  [9866] = {.lex_state = 21},
  [9867] = {.lex_state = 0, .external_lex_state = 26},
  [9868] = {.lex_state = 21},
  [9869] = {.lex_state = 21},
  [9870] = {.lex_state = 21},
  [9871] = {.lex_state = 21},
  [9872] = {.lex_state = 21},
  [9873] = {.lex_state = 21},
  [9874] = {.lex_state = 21},
  [9875] = {.lex_state = 0, .external_lex_state = 26},
  [9876] = {.lex_state = 21},
  [9877] = {.lex_state = 21},
  [9878] = {.lex_state = 0},
  [9879] = {.lex_state = 0},
  [9880] = {.lex_state = 21},
  [9881] = {.lex_state = 21},
  [9882] = {.lex_state = 21},
  [9883] = {.lex_state = 0},
  [9884] = {.lex_state = 0},
  [9885] = {.lex_state = 21},
  [9886] = {.lex_state = 0},
  [9887] = {.lex_state = 21},
  [9888] = {.lex_state = 21},
  [9889] = {.lex_state = 21},
  [9890] = {.lex_state = 21},
  [9891] = {.lex_state = 0},
  [9892] = {.lex_state = 21},
  [9893] = {.lex_state = 21},
  [9894] = {.lex_state = 21},
  [9895] = {.lex_state = 21},
  [9896] = {.lex_state = 21},
  [9897] = {.lex_state = 21},
  [9898] = {.lex_state = 21},
  [9899] = {.lex_state = 21},
  [9900] = {.lex_state = 21},
  [9901] = {.lex_state = 21},
  [9902] = {.lex_state = 21},
  [9903] = {.lex_state = 21},
  [9904] = {.lex_state = 21},
  [9905] = {.lex_state = 0},
  [9906] = {.lex_state = 21},
  [9907] = {.lex_state = 21},
  [9908] = {.lex_state = 0},
  [9909] = {.lex_state = 21},
  [9910] = {.lex_state = 21},
  [9911] = {.lex_state = 21},
  [9912] = {.lex_state = 0},
  [9913] = {.lex_state = 0, .external_lex_state = 26},
  [9914] = {.lex_state = 0, .external_lex_state = 26},
  [9915] = {.lex_state = 0},
  [9916] = {.lex_state = 0},
  [9917] = {.lex_state = 0},
  [9918] = {.lex_state = 0, .external_lex_state = 26},
  [9919] = {.lex_state = 0},
  [9920] = {.lex_state = 0},
  [9921] = {.lex_state = 0},
  [9922] = {.lex_state = 0, .external_lex_state = 26},
  [9923] = {.lex_state = 0, .external_lex_state = 26},
  [9924] = {.lex_state = 0},
  [9925] = {.lex_state = 0, .external_lex_state = 26},
  [9926] = {.lex_state = 0},
  [9927] = {.lex_state = 0},
  [9928] = {.lex_state = 0},
  [9929] = {.lex_state = 0, .external_lex_state = 26},
  [9930] = {.lex_state = 0, .external_lex_state = 26},
  [9931] = {.lex_state = 0, .external_lex_state = 26},
  [9932] = {.lex_state = 0, .external_lex_state = 26},
  [9933] = {.lex_state = 0},
  [9934] = {.lex_state = 0},
  [9935] = {.lex_state = 0, .external_lex_state = 26},
  [9936] = {.lex_state = 0, .external_lex_state = 26},
  [9937] = {.lex_state = 0, .external_lex_state = 26},
  [9938] = {.lex_state = 0, .external_lex_state = 26},
  [9939] = {.lex_state = 0},
  [9940] = {.lex_state = 0},
  [9941] = {.lex_state = 0},
  [9942] = {.lex_state = 0, .external_lex_state = 26},
  [9943] = {.lex_state = 0, .external_lex_state = 26},
  [9944] = {.lex_state = 0},
  [9945] = {.lex_state = 0},
  [9946] = {.lex_state = 0},
  [9947] = {.lex_state = 0},
  [9948] = {.lex_state = 0},
  [9949] = {.lex_state = 0, .external_lex_state = 26},
  [9950] = {.lex_state = 0, .external_lex_state = 26},
  [9951] = {.lex_state = 0},
  [9952] = {.lex_state = 0, .external_lex_state = 26},
  [9953] = {.lex_state = 0, .external_lex_state = 26},
  [9954] = {.lex_state = 0},
  [9955] = {.lex_state = 0, .external_lex_state = 26},
  [9956] = {.lex_state = 0},
  [9957] = {.lex_state = 0, .external_lex_state = 26},
  [9958] = {.lex_state = 0},
  [9959] = {.lex_state = 0, .external_lex_state = 26},
  [9960] = {.lex_state = 0},
  [9961] = {.lex_state = 0},
  [9962] = {.lex_state = 0},
  [9963] = {.lex_state = 0},
  [9964] = {.lex_state = 0},
  [9965] = {.lex_state = 0},
  [9966] = {.lex_state = 0},
  [9967] = {.lex_state = 0, .external_lex_state = 26},
  [9968] = {.lex_state = 0},
  [9969] = {.lex_state = 0},
  [9970] = {.lex_state = 0},
  [9971] = {.lex_state = 0, .external_lex_state = 26},
  [9972] = {.lex_state = 0},
  [9973] = {.lex_state = 0},
  [9974] = {.lex_state = 0},
  [9975] = {.lex_state = 0},
  [9976] = {.lex_state = 0, .external_lex_state = 26},
  [9977] = {.lex_state = 0},
  [9978] = {.lex_state = 0, .external_lex_state = 26},
  [9979] = {.lex_state = 0, .external_lex_state = 26},
  [9980] = {.lex_state = 0},
  [9981] = {.lex_state = 0, .external_lex_state = 26},
  [9982] = {.lex_state = 0, .external_lex_state = 26},
  [9983] = {.lex_state = 0, .external_lex_state = 26},
  [9984] = {.lex_state = 0, .external_lex_state = 26},
  [9985] = {.lex_state = 0},
  [9986] = {.lex_state = 0},
  [9987] = {.lex_state = 0},
  [9988] = {.lex_state = 0},
  [9989] = {.lex_state = 0, .external_lex_state = 26},
  [9990] = {.lex_state = 0, .external_lex_state = 26},
  [9991] = {.lex_state = 0, .external_lex_state = 26},
  [9992] = {.lex_state = 0},
  [9993] = {.lex_state = 0},
  [9994] = {.lex_state = 0, .external_lex_state = 26},
  [9995] = {.lex_state = 0},
  [9996] = {.lex_state = 0, .external_lex_state = 26},
  [9997] = {.lex_state = 0},
  [9998] = {.lex_state = 0, .external_lex_state = 26},
  [9999] = {.lex_state = 0, .external_lex_state = 26},
  [10000] = {.lex_state = 0},
  [10001] = {.lex_state = 0, .external_lex_state = 26},
  [10002] = {.lex_state = 0, .external_lex_state = 26},
  [10003] = {.lex_state = 0, .external_lex_state = 26},
  [10004] = {.lex_state = 0, .external_lex_state = 26},
  [10005] = {.lex_state = 0, .external_lex_state = 26},
  [10006] = {.lex_state = 0, .external_lex_state = 26},
  [10007] = {.lex_state = 0, .external_lex_state = 26},
  [10008] = {.lex_state = 0, .external_lex_state = 26},
  [10009] = {.lex_state = 0, .external_lex_state = 26},
  [10010] = {.lex_state = 0, .external_lex_state = 26},
  [10011] = {.lex_state = 0},
  [10012] = {.lex_state = 0},
  [10013] = {.lex_state = 0, .external_lex_state = 26},
  [10014] = {.lex_state = 0, .external_lex_state = 26},
  [10015] = {.lex_state = 0},
  [10016] = {.lex_state = 0, .external_lex_state = 26},
  [10017] = {.lex_state = 0, .external_lex_state = 26},
  [10018] = {.lex_state = 0, .external_lex_state = 26},
  [10019] = {.lex_state = 0},
  [10020] = {.lex_state = 0, .external_lex_state = 26},
  [10021] = {.lex_state = 0},
  [10022] = {.lex_state = 0, .external_lex_state = 26},
  [10023] = {.lex_state = 0, .external_lex_state = 26},
  [10024] = {.lex_state = 0, .external_lex_state = 26},
  [10025] = {.lex_state = 0},
  [10026] = {.lex_state = 0, .external_lex_state = 26},
  [10027] = {.lex_state = 0, .external_lex_state = 26},
  [10028] = {.lex_state = 0},
  [10029] = {.lex_state = 0, .external_lex_state = 26},
  [10030] = {.lex_state = 0, .external_lex_state = 26},
  [10031] = {.lex_state = 0, .external_lex_state = 26},
  [10032] = {.lex_state = 0, .external_lex_state = 26},
  [10033] = {.lex_state = 0, .external_lex_state = 26},
  [10034] = {.lex_state = 0, .external_lex_state = 26},
  [10035] = {.lex_state = 0},
  [10036] = {.lex_state = 0, .external_lex_state = 26},
  [10037] = {.lex_state = 0, .external_lex_state = 26},
  [10038] = {.lex_state = 0, .external_lex_state = 26},
  [10039] = {.lex_state = 0},
  [10040] = {.lex_state = 0, .external_lex_state = 26},
  [10041] = {.lex_state = 0},
  [10042] = {.lex_state = 0, .external_lex_state = 26},
  [10043] = {.lex_state = 0, .external_lex_state = 26},
  [10044] = {.lex_state = 0, .external_lex_state = 26},
  [10045] = {.lex_state = 0},
  [10046] = {.lex_state = 0},
  [10047] = {.lex_state = 0, .external_lex_state = 26},
  [10048] = {.lex_state = 0, .external_lex_state = 26},
  [10049] = {.lex_state = 0, .external_lex_state = 26},
  [10050] = {.lex_state = 0, .external_lex_state = 26},
  [10051] = {.lex_state = 0},
  [10052] = {.lex_state = 0, .external_lex_state = 26},
  [10053] = {.lex_state = 0, .external_lex_state = 26},
  [10054] = {.lex_state = 0, .external_lex_state = 26},
  [10055] = {.lex_state = 0},
  [10056] = {.lex_state = 0, .external_lex_state = 26},
  [10057] = {.lex_state = 0},
  [10058] = {.lex_state = 0},
  [10059] = {.lex_state = 0, .external_lex_state = 26},
  [10060] = {.lex_state = 0, .external_lex_state = 26},
  [10061] = {.lex_state = 0},
  [10062] = {.lex_state = 0, .external_lex_state = 26},
  [10063] = {.lex_state = 0},
  [10064] = {.lex_state = 0, .external_lex_state = 26},
  [10065] = {.lex_state = 0, .external_lex_state = 26},
  [10066] = {.lex_state = 0, .external_lex_state = 26},
  [10067] = {.lex_state = 0, .external_lex_state = 26},
  [10068] = {.lex_state = 0, .external_lex_state = 26},
  [10069] = {.lex_state = 0},
  [10070] = {.lex_state = 0, .external_lex_state = 26},
  [10071] = {.lex_state = 0, .external_lex_state = 26},
  [10072] = {.lex_state = 0, .external_lex_state = 26},
  [10073] = {.lex_state = 0},
  [10074] = {.lex_state = 0, .external_lex_state = 26},
  [10075] = {.lex_state = 0, .external_lex_state = 26},
  [10076] = {.lex_state = 0, .external_lex_state = 26},
  [10077] = {.lex_state = 0, .external_lex_state = 26},
  [10078] = {.lex_state = 0, .external_lex_state = 26},
  [10079] = {.lex_state = 0, .external_lex_state = 26},
  [10080] = {.lex_state = 0, .external_lex_state = 26},
  [10081] = {.lex_state = 0},
  [10082] = {.lex_state = 0, .external_lex_state = 26},
  [10083] = {.lex_state = 0, .external_lex_state = 26},
  [10084] = {.lex_state = 0},
  [10085] = {.lex_state = 0},
  [10086] = {.lex_state = 0, .external_lex_state = 26},
  [10087] = {.lex_state = 0},
  [10088] = {.lex_state = 0, .external_lex_state = 26},
  [10089] = {.lex_state = 0},
  [10090] = {.lex_state = 0},
  [10091] = {.lex_state = 0, .external_lex_state = 26},
  [10092] = {.lex_state = 0, .external_lex_state = 26},
  [10093] = {.lex_state = 0},
  [10094] = {.lex_state = 0},
  [10095] = {.lex_state = 0},
  [10096] = {.lex_state = 0},
  [10097] = {.lex_state = 0, .external_lex_state = 26},
  [10098] = {.lex_state = 0},
  [10099] = {.lex_state = 0, .external_lex_state = 26},
  [10100] = {.lex_state = 0, .external_lex_state = 26},
  [10101] = {.lex_state = 0, .external_lex_state = 26},
  [10102] = {.lex_state = 0, .external_lex_state = 26},
  [10103] = {.lex_state = 0},
  [10104] = {.lex_state = 0, .external_lex_state = 26},
  [10105] = {.lex_state = 0, .external_lex_state = 26},
  [10106] = {.lex_state = 0, .external_lex_state = 26},
  [10107] = {.lex_state = 0},
  [10108] = {.lex_state = 0, .external_lex_state = 26},
  [10109] = {.lex_state = 0, .external_lex_state = 26},
  [10110] = {.lex_state = 0},
  [10111] = {.lex_state = 0, .external_lex_state = 26},
  [10112] = {.lex_state = 0, .external_lex_state = 26},
  [10113] = {.lex_state = 0},
  [10114] = {.lex_state = 0},
  [10115] = {.lex_state = 0},
  [10116] = {.lex_state = 0, .external_lex_state = 26},
  [10117] = {.lex_state = 0, .external_lex_state = 26},
  [10118] = {.lex_state = 0},
  [10119] = {.lex_state = 0, .external_lex_state = 26},
  [10120] = {.lex_state = 0, .external_lex_state = 26},
  [10121] = {.lex_state = 0, .external_lex_state = 26},
  [10122] = {.lex_state = 0, .external_lex_state = 26},
  [10123] = {.lex_state = 0},
  [10124] = {.lex_state = 0},
  [10125] = {.lex_state = 0},
  [10126] = {.lex_state = 0},
  [10127] = {.lex_state = 0},
  [10128] = {.lex_state = 0},
  [10129] = {.lex_state = 0},
  [10130] = {.lex_state = 0},
  [10131] = {.lex_state = 0},
  [10132] = {.lex_state = 0},
  [10133] = {.lex_state = 0},
  [10134] = {.lex_state = 0},
  [10135] = {.lex_state = 0},
  [10136] = {.lex_state = 0, .external_lex_state = 34},
  [10137] = {.lex_state = 0},
  [10138] = {.lex_state = 0, .external_lex_state = 35},
  [10139] = {.lex_state = 0},
  [10140] = {.lex_state = 0, .external_lex_state = 34},
  [10141] = {.lex_state = 0},
  [10142] = {.lex_state = 0},
  [10143] = {.lex_state = 0},
  [10144] = {.lex_state = 0},
  [10145] = {.lex_state = 0, .external_lex_state = 35},
  [10146] = {.lex_state = 0, .external_lex_state = 34},
  [10147] = {.lex_state = 0},
  [10148] = {.lex_state = 0},
  [10149] = {.lex_state = 0},
  [10150] = {.lex_state = 0},
  [10151] = {.lex_state = 0},
  [10152] = {.lex_state = 0},
  [10153] = {.lex_state = 0},
  [10154] = {.lex_state = 0},
  [10155] = {.lex_state = 0},
  [10156] = {.lex_state = 0},
  [10157] = {.lex_state = 0},
  [10158] = {.lex_state = 0},
  [10159] = {.lex_state = 0},
  [10160] = {.lex_state = 0},
  [10161] = {.lex_state = 0},
  [10162] = {.lex_state = 0},
  [10163] = {.lex_state = 0},
  [10164] = {.lex_state = 0},
  [10165] = {.lex_state = 0},
  [10166] = {.lex_state = 0},
  [10167] = {.lex_state = 0, .external_lex_state = 34},
  [10168] = {.lex_state = 0},
  [10169] = {.lex_state = 0},
  [10170] = {.lex_state = 0},
  [10171] = {.lex_state = 0},
  [10172] = {.lex_state = 0},
  [10173] = {.lex_state = 0},
  [10174] = {.lex_state = 0},
  [10175] = {.lex_state = 0},
  [10176] = {.lex_state = 0, .external_lex_state = 35},
  [10177] = {.lex_state = 0},
  [10178] = {.lex_state = 0},
  [10179] = {.lex_state = 0, .external_lex_state = 34},
  [10180] = {.lex_state = 0},
  [10181] = {.lex_state = 0},
  [10182] = {.lex_state = 0},
  [10183] = {.lex_state = 0},
  [10184] = {.lex_state = 0},
  [10185] = {.lex_state = 0},
  [10186] = {.lex_state = 0},
  [10187] = {.lex_state = 0},
  [10188] = {.lex_state = 0},
  [10189] = {.lex_state = 0},
  [10190] = {.lex_state = 0},
  [10191] = {.lex_state = 0},
  [10192] = {.lex_state = 0},
  [10193] = {.lex_state = 0},
  [10194] = {.lex_state = 0},
  [10195] = {.lex_state = 0},
  [10196] = {.lex_state = 0},
  [10197] = {.lex_state = 0},
  [10198] = {.lex_state = 0},
  [10199] = {.lex_state = 0},
  [10200] = {.lex_state = 0},
  [10201] = {.lex_state = 0},
  [10202] = {.lex_state = 0},
  [10203] = {.lex_state = 0},
  [10204] = {.lex_state = 0},
  [10205] = {.lex_state = 0},
  [10206] = {.lex_state = 0},
  [10207] = {.lex_state = 0},
  [10208] = {.lex_state = 0, .external_lex_state = 34},
  [10209] = {.lex_state = 0, .external_lex_state = 35},
  [10210] = {.lex_state = 0},
  [10211] = {.lex_state = 0, .external_lex_state = 35},
  [10212] = {.lex_state = 0, .external_lex_state = 34},
  [10213] = {.lex_state = 0, .external_lex_state = 35},
  [10214] = {.lex_state = 0},
  [10215] = {.lex_state = 0},
  [10216] = {.lex_state = 0},
  [10217] = {.lex_state = 0},
  [10218] = {.lex_state = 0},
  [10219] = {.lex_state = 0},
  [10220] = {.lex_state = 0, .external_lex_state = 34},
  [10221] = {.lex_state = 0},
  [10222] = {.lex_state = 0},
  [10223] = {.lex_state = 0},
  [10224] = {.lex_state = 0},
  [10225] = {.lex_state = 0},
  [10226] = {.lex_state = 0},
  [10227] = {.lex_state = 0},
  [10228] = {.lex_state = 0},
  [10229] = {.lex_state = 0},
  [10230] = {.lex_state = 0},
  [10231] = {.lex_state = 0},
  [10232] = {.lex_state = 0},
  [10233] = {.lex_state = 0},
  [10234] = {.lex_state = 0},
  [10235] = {.lex_state = 0},
  [10236] = {.lex_state = 0},
  [10237] = {.lex_state = 0},
  [10238] = {.lex_state = 0},
  [10239] = {.lex_state = 0, .external_lex_state = 35},
  [10240] = {.lex_state = 0},
  [10241] = {.lex_state = 0, .external_lex_state = 34},
  [10242] = {.lex_state = 0},
  [10243] = {.lex_state = 0},
  [10244] = {.lex_state = 0},
  [10245] = {.lex_state = 0},
  [10246] = {.lex_state = 0},
  [10247] = {.lex_state = 0},
  [10248] = {.lex_state = 0},
  [10249] = {.lex_state = 0},
  [10250] = {.lex_state = 0},
  [10251] = {.lex_state = 0},
  [10252] = {.lex_state = 0},
  [10253] = {.lex_state = 0},
  [10254] = {.lex_state = 0},
  [10255] = {.lex_state = 0},
  [10256] = {.lex_state = 0},
  [10257] = {.lex_state = 0},
  [10258] = {.lex_state = 0},
  [10259] = {.lex_state = 0},
  [10260] = {.lex_state = 0},
  [10261] = {.lex_state = 0},
  [10262] = {.lex_state = 0},
  [10263] = {.lex_state = 0},
  [10264] = {.lex_state = 0},
  [10265] = {.lex_state = 0},
  [10266] = {.lex_state = 0},
  [10267] = {.lex_state = 0, .external_lex_state = 34},
  [10268] = {.lex_state = 0},
  [10269] = {.lex_state = 0},
  [10270] = {.lex_state = 0},
  [10271] = {.lex_state = 0},
  [10272] = {.lex_state = 0},
  [10273] = {.lex_state = 0},
  [10274] = {.lex_state = 0},
  [10275] = {.lex_state = 0},
  [10276] = {.lex_state = 0},
  [10277] = {.lex_state = 0},
  [10278] = {.lex_state = 0},
  [10279] = {.lex_state = 0, .external_lex_state = 35},
  [10280] = {.lex_state = 0},
  [10281] = {.lex_state = 0},
  [10282] = {.lex_state = 0, .external_lex_state = 34},
  [10283] = {.lex_state = 0},
  [10284] = {.lex_state = 0},
  [10285] = {.lex_state = 0},
  [10286] = {.lex_state = 0},
  [10287] = {.lex_state = 0},
  [10288] = {.lex_state = 0, .external_lex_state = 35},
  [10289] = {.lex_state = 0},
  [10290] = {.lex_state = 0},
  [10291] = {.lex_state = 0, .external_lex_state = 34},
  [10292] = {.lex_state = 0},
  [10293] = {.lex_state = 0},
  [10294] = {.lex_state = 0},
  [10295] = {.lex_state = 0, .external_lex_state = 35},
  [10296] = {.lex_state = 0},
  [10297] = {.lex_state = 0},
  [10298] = {.lex_state = 0},
  [10299] = {.lex_state = 0},
  [10300] = {.lex_state = 0},
  [10301] = {.lex_state = 0},
  [10302] = {.lex_state = 0},
  [10303] = {.lex_state = 0},
  [10304] = {.lex_state = 0},
  [10305] = {.lex_state = 0},
  [10306] = {.lex_state = 0},
  [10307] = {.lex_state = 0},
  [10308] = {.lex_state = 0},
  [10309] = {.lex_state = 0},
  [10310] = {.lex_state = 0},
  [10311] = {.lex_state = 0},
  [10312] = {.lex_state = 0},
  [10313] = {.lex_state = 0},
  [10314] = {.lex_state = 0},
  [10315] = {.lex_state = 0},
  [10316] = {.lex_state = 0},
  [10317] = {.lex_state = 0},
  [10318] = {.lex_state = 0},
  [10319] = {.lex_state = 0},
  [10320] = {.lex_state = 0},
  [10321] = {.lex_state = 0},
  [10322] = {.lex_state = 0},
  [10323] = {.lex_state = 0},
  [10324] = {.lex_state = 0},
  [10325] = {.lex_state = 0},
  [10326] = {.lex_state = 0},
  [10327] = {.lex_state = 0, .external_lex_state = 35},
  [10328] = {.lex_state = 0},
  [10329] = {.lex_state = 0},
  [10330] = {.lex_state = 0, .external_lex_state = 34},
  [10331] = {.lex_state = 0},
  [10332] = {.lex_state = 0},
  [10333] = {.lex_state = 0},
  [10334] = {.lex_state = 0},
  [10335] = {.lex_state = 0},
  [10336] = {.lex_state = 0},
  [10337] = {.lex_state = 0},
  [10338] = {.lex_state = 0},
  [10339] = {.lex_state = 0},
  [10340] = {.lex_state = 0},
  [10341] = {.lex_state = 0},
  [10342] = {.lex_state = 0},
  [10343] = {.lex_state = 0},
  [10344] = {.lex_state = 0},
  [10345] = {.lex_state = 0},
  [10346] = {.lex_state = 0},
  [10347] = {.lex_state = 0},
  [10348] = {.lex_state = 0},
  [10349] = {.lex_state = 0},
  [10350] = {.lex_state = 0},
  [10351] = {.lex_state = 0},
  [10352] = {.lex_state = 0},
  [10353] = {.lex_state = 0},
  [10354] = {.lex_state = 0},
  [10355] = {.lex_state = 0},
  [10356] = {.lex_state = 0},
  [10357] = {.lex_state = 0},
  [10358] = {.lex_state = 0},
  [10359] = {.lex_state = 0},
  [10360] = {.lex_state = 0},
  [10361] = {.lex_state = 0},
  [10362] = {.lex_state = 0},
  [10363] = {.lex_state = 0},
  [10364] = {.lex_state = 0},
  [10365] = {.lex_state = 0},
  [10366] = {.lex_state = 0},
  [10367] = {.lex_state = 0},
  [10368] = {.lex_state = 0},
  [10369] = {.lex_state = 0},
  [10370] = {.lex_state = 0},
  [10371] = {.lex_state = 0},
  [10372] = {.lex_state = 0},
  [10373] = {.lex_state = 0},
  [10374] = {.lex_state = 0},
  [10375] = {.lex_state = 0, .external_lex_state = 34},
  [10376] = {.lex_state = 0, .external_lex_state = 35},
  [10377] = {.lex_state = 0},
  [10378] = {.lex_state = 0},
  [10379] = {.lex_state = 0},
  [10380] = {.lex_state = 0},
  [10381] = {.lex_state = 0},
  [10382] = {.lex_state = 0},
  [10383] = {.lex_state = 0},
  [10384] = {.lex_state = 0},
  [10385] = {.lex_state = 0},
  [10386] = {.lex_state = 0},
  [10387] = {.lex_state = 0},
  [10388] = {.lex_state = 0},
  [10389] = {.lex_state = 0},
  [10390] = {.lex_state = 0},
  [10391] = {.lex_state = 0},
  [10392] = {.lex_state = 0},
  [10393] = {.lex_state = 0},
  [10394] = {.lex_state = 0},
  [10395] = {.lex_state = 0},
  [10396] = {.lex_state = 0},
  [10397] = {.lex_state = 0},
  [10398] = {.lex_state = 0},
  [10399] = {.lex_state = 0},
  [10400] = {.lex_state = 0},
  [10401] = {.lex_state = 0},
  [10402] = {.lex_state = 0},
  [10403] = {.lex_state = 0},
  [10404] = {.lex_state = 0},
  [10405] = {.lex_state = 0},
  [10406] = {.lex_state = 0},
  [10407] = {.lex_state = 0},
  [10408] = {.lex_state = 0},
  [10409] = {.lex_state = 0},
  [10410] = {.lex_state = 0},
  [10411] = {.lex_state = 0},
  [10412] = {.lex_state = 0},
  [10413] = {.lex_state = 0},
  [10414] = {.lex_state = 0},
  [10415] = {.lex_state = 0},
  [10416] = {.lex_state = 0},
  [10417] = {.lex_state = 0, .external_lex_state = 35},
  [10418] = {.lex_state = 0, .external_lex_state = 35},
  [10419] = {.lex_state = 0},
  [10420] = {.lex_state = 0, .external_lex_state = 34},
  [10421] = {.lex_state = 0},
  [10422] = {.lex_state = 0},
  [10423] = {.lex_state = 0},
  [10424] = {.lex_state = 0, .external_lex_state = 34},
  [10425] = {.lex_state = 0},
  [10426] = {.lex_state = 0},
  [10427] = {.lex_state = 0},
  [10428] = {.lex_state = 0},
  [10429] = {.lex_state = 0},
  [10430] = {.lex_state = 0},
  [10431] = {.lex_state = 0},
  [10432] = {.lex_state = 0},
  [10433] = {.lex_state = 0},
  [10434] = {.lex_state = 0},
  [10435] = {.lex_state = 0},
  [10436] = {.lex_state = 0},
  [10437] = {.lex_state = 0},
  [10438] = {.lex_state = 0},
  [10439] = {.lex_state = 0},
  [10440] = {.lex_state = 0},
  [10441] = {.lex_state = 0},
  [10442] = {.lex_state = 0},
  [10443] = {.lex_state = 0},
  [10444] = {.lex_state = 0},
  [10445] = {.lex_state = 0},
  [10446] = {.lex_state = 0},
  [10447] = {.lex_state = 0},
  [10448] = {.lex_state = 0},
  [10449] = {.lex_state = 0},
  [10450] = {.lex_state = 0},
  [10451] = {.lex_state = 0},
  [10452] = {.lex_state = 0},
  [10453] = {.lex_state = 0},
  [10454] = {.lex_state = 0},
  [10455] = {.lex_state = 0},
  [10456] = {.lex_state = 0},
  [10457] = {.lex_state = 0},
  [10458] = {.lex_state = 0},
  [10459] = {.lex_state = 0},
  [10460] = {.lex_state = 0},
  [10461] = {.lex_state = 0},
  [10462] = {.lex_state = 0},
  [10463] = {.lex_state = 0},
  [10464] = {.lex_state = 0},
  [10465] = {.lex_state = 0},
  [10466] = {.lex_state = 0},
  [10467] = {.lex_state = 0},
  [10468] = {.lex_state = 0},
  [10469] = {.lex_state = 0},
  [10470] = {.lex_state = 0},
  [10471] = {.lex_state = 0},
  [10472] = {.lex_state = 0, .external_lex_state = 34},
  [10473] = {.lex_state = 0},
  [10474] = {.lex_state = 0},
  [10475] = {.lex_state = 0},
  [10476] = {.lex_state = 0},
  [10477] = {.lex_state = 0},
  [10478] = {.lex_state = 0},
  [10479] = {.lex_state = 0},
  [10480] = {.lex_state = 0},
  [10481] = {.lex_state = 0},
  [10482] = {.lex_state = 0},
  [10483] = {.lex_state = 0},
  [10484] = {.lex_state = 0},
  [10485] = {.lex_state = 0, .external_lex_state = 34},
  [10486] = {.lex_state = 0, .external_lex_state = 35},
  [10487] = {.lex_state = 0},
  [10488] = {.lex_state = 0},
  [10489] = {.lex_state = 0},
  [10490] = {.lex_state = 0},
  [10491] = {.lex_state = 0, .external_lex_state = 35},
  [10492] = {.lex_state = 0, .external_lex_state = 35},
  [10493] = {.lex_state = 0},
  [10494] = {.lex_state = 0},
  [10495] = {.lex_state = 0},
  [10496] = {.lex_state = 0},
  [10497] = {.lex_state = 0, .external_lex_state = 34},
  [10498] = {.lex_state = 0},
  [10499] = {.lex_state = 0},
  [10500] = {.lex_state = 0},
  [10501] = {.lex_state = 0},
  [10502] = {.lex_state = 0},
  [10503] = {.lex_state = 0},
  [10504] = {.lex_state = 0},
  [10505] = {.lex_state = 0},
  [10506] = {.lex_state = 0, .external_lex_state = 34},
  [10507] = {.lex_state = 0},
  [10508] = {.lex_state = 0},
  [10509] = {.lex_state = 0},
  [10510] = {.lex_state = 0},
  [10511] = {.lex_state = 0},
  [10512] = {.lex_state = 0},
  [10513] = {.lex_state = 0},
  [10514] = {.lex_state = 0},
  [10515] = {.lex_state = 0},
  [10516] = {.lex_state = 0},
  [10517] = {.lex_state = 0},
  [10518] = {.lex_state = 0},
  [10519] = {.lex_state = 0},
  [10520] = {.lex_state = 0},
  [10521] = {.lex_state = 0},
  [10522] = {.lex_state = 0},
  [10523] = {.lex_state = 0},
  [10524] = {.lex_state = 0},
  [10525] = {.lex_state = 0},
  [10526] = {.lex_state = 0},
  [10527] = {.lex_state = 0},
  [10528] = {.lex_state = 0},
  [10529] = {.lex_state = 0},
  [10530] = {.lex_state = 0},
  [10531] = {.lex_state = 0},
  [10532] = {.lex_state = 0},
  [10533] = {.lex_state = 0},
  [10534] = {.lex_state = 0},
  [10535] = {.lex_state = 0, .external_lex_state = 35},
  [10536] = {.lex_state = 0},
  [10537] = {.lex_state = 0, .external_lex_state = 34},
  [10538] = {.lex_state = 0},
  [10539] = {.lex_state = 0},
  [10540] = {.lex_state = 0, .external_lex_state = 35},
  [10541] = {.lex_state = 0},
  [10542] = {.lex_state = 0},
  [10543] = {.lex_state = 0, .external_lex_state = 34},
  [10544] = {.lex_state = 0},
  [10545] = {.lex_state = 0},
  [10546] = {.lex_state = 0},
  [10547] = {.lex_state = 0},
  [10548] = {.lex_state = 0, .external_lex_state = 34},
  [10549] = {.lex_state = 0, .external_lex_state = 35},
  [10550] = {.lex_state = 0},
  [10551] = {.lex_state = 0},
  [10552] = {.lex_state = 0},
  [10553] = {.lex_state = 0, .external_lex_state = 34},
  [10554] = {.lex_state = 0},
  [10555] = {.lex_state = 0, .external_lex_state = 35},
  [10556] = {.lex_state = 0},
  [10557] = {.lex_state = 0},
  [10558] = {.lex_state = 0},
  [10559] = {.lex_state = 0, .external_lex_state = 35},
  [10560] = {.lex_state = 0},
  [10561] = {.lex_state = 0},
  [10562] = {.lex_state = 0},
  [10563] = {.lex_state = 0},
  [10564] = {.lex_state = 0},
  [10565] = {.lex_state = 0},
  [10566] = {.lex_state = 0},
  [10567] = {.lex_state = 0, .external_lex_state = 35},
  [10568] = {.lex_state = 0},
  [10569] = {.lex_state = 0, .external_lex_state = 35},
  [10570] = {.lex_state = 0, .external_lex_state = 34},
  [10571] = {.lex_state = 0, .external_lex_state = 34},
  [10572] = {.lex_state = 0, .external_lex_state = 35},
  [10573] = {.lex_state = 0},
  [10574] = {.lex_state = 0, .external_lex_state = 35},
  [10575] = {.lex_state = 0},
  [10576] = {.lex_state = 0},
  [10577] = {.lex_state = 0},
  [10578] = {.lex_state = 0},
  [10579] = {.lex_state = 0},
  [10580] = {.lex_state = 0, .external_lex_state = 34},
  [10581] = {.lex_state = 0},
  [10582] = {.lex_state = 0, .external_lex_state = 34},
  [10583] = {.lex_state = 0},
  [10584] = {.lex_state = 0},
  [10585] = {.lex_state = 0},
  [10586] = {.lex_state = 0},
  [10587] = {.lex_state = 0},
  [10588] = {.lex_state = 0},
  [10589] = {.lex_state = 0},
  [10590] = {.lex_state = 0},
  [10591] = {.lex_state = 0, .external_lex_state = 35},
  [10592] = {.lex_state = 0},
  [10593] = {.lex_state = 0},
  [10594] = {.lex_state = 0},
  [10595] = {.lex_state = 0},
  [10596] = {.lex_state = 0},
  [10597] = {.lex_state = 0},
  [10598] = {.lex_state = 0},
  [10599] = {.lex_state = 0},
  [10600] = {.lex_state = 0},
  [10601] = {.lex_state = 0},
  [10602] = {.lex_state = 0},
  [10603] = {.lex_state = 0},
  [10604] = {.lex_state = 0},
  [10605] = {.lex_state = 0},
  [10606] = {.lex_state = 0},
  [10607] = {.lex_state = 0},
  [10608] = {.lex_state = 0},
  [10609] = {.lex_state = 0},
  [10610] = {.lex_state = 0},
  [10611] = {.lex_state = 0},
  [10612] = {.lex_state = 0},
  [10613] = {.lex_state = 0},
  [10614] = {.lex_state = 0, .external_lex_state = 35},
  [10615] = {.lex_state = 0},
  [10616] = {.lex_state = 0},
  [10617] = {.lex_state = 0},
  [10618] = {.lex_state = 0},
  [10619] = {.lex_state = 0},
  [10620] = {.lex_state = 0},
  [10621] = {.lex_state = 0},
  [10622] = {.lex_state = 0},
  [10623] = {.lex_state = 0, .external_lex_state = 34},
  [10624] = {.lex_state = 0, .external_lex_state = 35},
  [10625] = {.lex_state = 0},
  [10626] = {.lex_state = 0, .external_lex_state = 35},
  [10627] = {.lex_state = 0},
  [10628] = {.lex_state = 0},
  [10629] = {.lex_state = 0},
  [10630] = {.lex_state = 0, .external_lex_state = 34},
  [10631] = {.lex_state = 0},
  [10632] = {.lex_state = 0},
  [10633] = {.lex_state = 0, .external_lex_state = 34},
  [10634] = {.lex_state = 0},
  [10635] = {.lex_state = 0},
  [10636] = {.lex_state = 0},
  [10637] = {.lex_state = 0},
  [10638] = {.lex_state = 0},
  [10639] = {.lex_state = 0},
  [10640] = {.lex_state = 0},
  [10641] = {.lex_state = 0},
  [10642] = {.lex_state = 0},
  [10643] = {.lex_state = 0},
  [10644] = {.lex_state = 0},
  [10645] = {.lex_state = 0},
  [10646] = {.lex_state = 0},
  [10647] = {.lex_state = 0},
  [10648] = {.lex_state = 0},
  [10649] = {.lex_state = 0},
  [10650] = {.lex_state = 0},
  [10651] = {.lex_state = 0},
  [10652] = {.lex_state = 0},
  [10653] = {.lex_state = 0},
  [10654] = {.lex_state = 0},
  [10655] = {.lex_state = 0},
  [10656] = {.lex_state = 0},
  [10657] = {.lex_state = 0},
  [10658] = {.lex_state = 0},
  [10659] = {.lex_state = 0},
  [10660] = {.lex_state = 0},
  [10661] = {.lex_state = 0},
  [10662] = {.lex_state = 0},
  [10663] = {.lex_state = 0},
  [10664] = {.lex_state = 0, .external_lex_state = 34},
  [10665] = {.lex_state = 0},
  [10666] = {.lex_state = 0},
  [10667] = {.lex_state = 0, .external_lex_state = 35},
  [10668] = {.lex_state = 0, .external_lex_state = 34},
  [10669] = {.lex_state = 0, .external_lex_state = 35},
  [10670] = {.lex_state = 0, .external_lex_state = 34},
  [10671] = {.lex_state = 0},
  [10672] = {.lex_state = 0},
  [10673] = {.lex_state = 0, .external_lex_state = 35},
  [10674] = {.lex_state = 0},
  [10675] = {.lex_state = 0},
  [10676] = {.lex_state = 0},
  [10677] = {.lex_state = 0},
  [10678] = {.lex_state = 0},
  [10679] = {.lex_state = 0},
  [10680] = {.lex_state = 0},
  [10681] = {.lex_state = 0},
  [10682] = {.lex_state = 0},
  [10683] = {.lex_state = 0},
  [10684] = {.lex_state = 0},
  [10685] = {.lex_state = 0},
  [10686] = {.lex_state = 0},
  [10687] = {.lex_state = 0},
  [10688] = {.lex_state = 0},
  [10689] = {.lex_state = 0},
  [10690] = {.lex_state = 0},
  [10691] = {.lex_state = 0},
  [10692] = {.lex_state = 0},
  [10693] = {.lex_state = 0},
  [10694] = {.lex_state = 0},
  [10695] = {.lex_state = 0},
  [10696] = {.lex_state = 0},
  [10697] = {.lex_state = 0},
  [10698] = {.lex_state = 0},
  [10699] = {.lex_state = 0},
  [10700] = {.lex_state = 0},
  [10701] = {.lex_state = 0},
  [10702] = {.lex_state = 0},
  [10703] = {.lex_state = 0},
  [10704] = {.lex_state = 0},
  [10705] = {.lex_state = 0},
  [10706] = {.lex_state = 0},
  [10707] = {.lex_state = 0},
  [10708] = {.lex_state = 0},
  [10709] = {.lex_state = 0},
  [10710] = {.lex_state = 0},
  [10711] = {.lex_state = 0, .external_lex_state = 35},
  [10712] = {.lex_state = 0},
  [10713] = {.lex_state = 0},
  [10714] = {.lex_state = 0},
  [10715] = {.lex_state = 0},
  [10716] = {.lex_state = 0},
  [10717] = {.lex_state = 0},
  [10718] = {.lex_state = 0},
  [10719] = {.lex_state = 0},
  [10720] = {.lex_state = 0, .external_lex_state = 35},
  [10721] = {.lex_state = 0},
  [10722] = {.lex_state = 0},
  [10723] = {.lex_state = 0, .external_lex_state = 35},
  [10724] = {.lex_state = 0},
  [10725] = {.lex_state = 0},
  [10726] = {.lex_state = 0, .external_lex_state = 34},
  [10727] = {.lex_state = 0, .external_lex_state = 35},
  [10728] = {.lex_state = 0, .external_lex_state = 34},
  [10729] = {.lex_state = 0},
  [10730] = {.lex_state = 0},
  [10731] = {.lex_state = 0},
  [10732] = {.lex_state = 0},
  [10733] = {.lex_state = 0},
  [10734] = {.lex_state = 0},
  [10735] = {.lex_state = 0, .external_lex_state = 35},
  [10736] = {.lex_state = 0},
  [10737] = {.lex_state = 0},
  [10738] = {.lex_state = 0},
  [10739] = {.lex_state = 0},
  [10740] = {.lex_state = 0},
  [10741] = {.lex_state = 0},
  [10742] = {.lex_state = 0},
  [10743] = {.lex_state = 0},
  [10744] = {.lex_state = 0},
  [10745] = {.lex_state = 0},
  [10746] = {.lex_state = 0, .external_lex_state = 34},
  [10747] = {.lex_state = 0},
  [10748] = {.lex_state = 0},
  [10749] = {.lex_state = 0, .external_lex_state = 34},
  [10750] = {.lex_state = 0},
  [10751] = {.lex_state = 0},
  [10752] = {.lex_state = 0},
  [10753] = {.lex_state = 0},
  [10754] = {.lex_state = 0},
  [10755] = {.lex_state = 0},
  [10756] = {.lex_state = 0},
  [10757] = {.lex_state = 0},
  [10758] = {.lex_state = 0},
  [10759] = {.lex_state = 0},
  [10760] = {.lex_state = 0},
  [10761] = {.lex_state = 0},
  [10762] = {.lex_state = 0},
  [10763] = {.lex_state = 0},
  [10764] = {.lex_state = 0},
  [10765] = {.lex_state = 0},
  [10766] = {.lex_state = 0},
  [10767] = {.lex_state = 0},
  [10768] = {.lex_state = 0},
  [10769] = {.lex_state = 0},
  [10770] = {.lex_state = 0},
  [10771] = {.lex_state = 0},
  [10772] = {.lex_state = 0},
  [10773] = {.lex_state = 0},
  [10774] = {.lex_state = 0},
  [10775] = {.lex_state = 0},
  [10776] = {.lex_state = 0},
  [10777] = {.lex_state = 0},
  [10778] = {.lex_state = 0},
  [10779] = {.lex_state = 0},
  [10780] = {.lex_state = 0},
  [10781] = {.lex_state = 0},
  [10782] = {.lex_state = 0},
  [10783] = {.lex_state = 0},
  [10784] = {.lex_state = 0},
  [10785] = {.lex_state = 0},
  [10786] = {.lex_state = 0},
  [10787] = {.lex_state = 0},
  [10788] = {.lex_state = 0},
  [10789] = {.lex_state = 0},
  [10790] = {.lex_state = 0},
  [10791] = {.lex_state = 0},
  [10792] = {.lex_state = 0},
  [10793] = {.lex_state = 0},
  [10794] = {.lex_state = 0},
  [10795] = {.lex_state = 0, .external_lex_state = 34},
  [10796] = {.lex_state = 0},
  [10797] = {.lex_state = 0},
  [10798] = {.lex_state = 0, .external_lex_state = 35},
  [10799] = {.lex_state = 0},
  [10800] = {.lex_state = 0},
  [10801] = {.lex_state = 0},
  [10802] = {.lex_state = 0},
  [10803] = {.lex_state = 0},
  [10804] = {.lex_state = 0},
  [10805] = {.lex_state = 0},
  [10806] = {.lex_state = 0, .external_lex_state = 35},
  [10807] = {.lex_state = 0, .external_lex_state = 35},
  [10808] = {.lex_state = 0},
  [10809] = {.lex_state = 0, .external_lex_state = 34},
  [10810] = {.lex_state = 0},
  [10811] = {.lex_state = 0},
  [10812] = {.lex_state = 0},
  [10813] = {.lex_state = 0},
  [10814] = {.lex_state = 0},
  [10815] = {.lex_state = 0},
  [10816] = {.lex_state = 0},
  [10817] = {.lex_state = 0},
  [10818] = {.lex_state = 0},
  [10819] = {.lex_state = 0},
  [10820] = {.lex_state = 0},
  [10821] = {.lex_state = 0},
  [10822] = {.lex_state = 0},
  [10823] = {.lex_state = 0},
  [10824] = {.lex_state = 0},
  [10825] = {.lex_state = 0},
  [10826] = {.lex_state = 0},
  [10827] = {.lex_state = 0},
  [10828] = {.lex_state = 0},
  [10829] = {.lex_state = 0},
  [10830] = {.lex_state = 0},
  [10831] = {.lex_state = 0},
  [10832] = {.lex_state = 0},
  [10833] = {.lex_state = 0},
  [10834] = {.lex_state = 0},
  [10835] = {.lex_state = 0, .external_lex_state = 34},
  [10836] = {.lex_state = 0},
  [10837] = {.lex_state = 0},
  [10838] = {.lex_state = 0},
  [10839] = {.lex_state = 0},
  [10840] = {.lex_state = 0},
  [10841] = {.lex_state = 0},
  [10842] = {.lex_state = 0},
  [10843] = {.lex_state = 0},
  [10844] = {.lex_state = 0},
  [10845] = {.lex_state = 0},
  [10846] = {.lex_state = 0},
  [10847] = {.lex_state = 0},
  [10848] = {.lex_state = 0},
  [10849] = {.lex_state = 0},
  [10850] = {.lex_state = 0},
  [10851] = {.lex_state = 0},
  [10852] = {.lex_state = 0},
  [10853] = {.lex_state = 0},
  [10854] = {.lex_state = 0},
  [10855] = {.lex_state = 0},
  [10856] = {.lex_state = 0, .external_lex_state = 35},
  [10857] = {.lex_state = 0},
  [10858] = {.lex_state = 0},
  [10859] = {.lex_state = 0, .external_lex_state = 34},
  [10860] = {.lex_state = 0},
  [10861] = {.lex_state = 0},
  [10862] = {.lex_state = 0},
  [10863] = {.lex_state = 0},
  [10864] = {.lex_state = 0},
  [10865] = {.lex_state = 0},
  [10866] = {.lex_state = 0},
  [10867] = {.lex_state = 0},
  [10868] = {.lex_state = 0},
  [10869] = {.lex_state = 0},
  [10870] = {.lex_state = 0},
  [10871] = {.lex_state = 0},
  [10872] = {.lex_state = 0},
  [10873] = {.lex_state = 0, .external_lex_state = 34},
  [10874] = {.lex_state = 0},
  [10875] = {.lex_state = 0},
  [10876] = {.lex_state = 0},
  [10877] = {.lex_state = 0, .external_lex_state = 34},
  [10878] = {.lex_state = 0},
  [10879] = {.lex_state = 0},
  [10880] = {.lex_state = 0, .external_lex_state = 35},
  [10881] = {.lex_state = 0, .external_lex_state = 34},
  [10882] = {.lex_state = 0},
  [10883] = {.lex_state = 0, .external_lex_state = 35},
  [10884] = {.lex_state = 0},
  [10885] = {.lex_state = 0, .external_lex_state = 35},
  [10886] = {.lex_state = 0},
  [10887] = {.lex_state = 0, .external_lex_state = 35},
  [10888] = {.lex_state = 0},
  [10889] = {.lex_state = 0},
  [10890] = {.lex_state = 0},
  [10891] = {.lex_state = 0, .external_lex_state = 34},
  [10892] = {.lex_state = 0},
  [10893] = {.lex_state = 0, .external_lex_state = 34},
  [10894] = {.lex_state = 0},
  [10895] = {.lex_state = 0},
  [10896] = {.lex_state = 0},
  [10897] = {.lex_state = 0},
  [10898] = {.lex_state = 0},
  [10899] = {.lex_state = 0, .external_lex_state = 35},
  [10900] = {.lex_state = 0},
  [10901] = {.lex_state = 0},
  [10902] = {.lex_state = 0},
  [10903] = {.lex_state = 0},
  [10904] = {.lex_state = 0},
  [10905] = {.lex_state = 0},
  [10906] = {.lex_state = 0},
  [10907] = {.lex_state = 0},
  [10908] = {.lex_state = 0},
  [10909] = {.lex_state = 0},
  [10910] = {.lex_state = 0},
  [10911] = {.lex_state = 0},
  [10912] = {.lex_state = 0},
  [10913] = {.lex_state = 0},
  [10914] = {.lex_state = 0},
  [10915] = {.lex_state = 0, .external_lex_state = 35},
  [10916] = {.lex_state = 0},
  [10917] = {.lex_state = 0},
  [10918] = {.lex_state = 0},
  [10919] = {.lex_state = 0},
  [10920] = {.lex_state = 0},
  [10921] = {.lex_state = 0},
  [10922] = {.lex_state = 0},
  [10923] = {.lex_state = 0},
  [10924] = {.lex_state = 0},
  [10925] = {.lex_state = 0},
  [10926] = {.lex_state = 0, .external_lex_state = 34},
  [10927] = {.lex_state = 0},
  [10928] = {.lex_state = 0},
  [10929] = {.lex_state = 0},
  [10930] = {.lex_state = 0, .external_lex_state = 34},
  [10931] = {.lex_state = 0},
  [10932] = {.lex_state = 0},
  [10933] = {.lex_state = 0},
  [10934] = {.lex_state = 0},
  [10935] = {.lex_state = 0},
  [10936] = {.lex_state = 0},
  [10937] = {.lex_state = 0},
  [10938] = {.lex_state = 0},
  [10939] = {.lex_state = 0},
  [10940] = {.lex_state = 0},
  [10941] = {.lex_state = 0, .external_lex_state = 35},
  [10942] = {.lex_state = 0},
  [10943] = {.lex_state = 0},
  [10944] = {.lex_state = 45},
  [10945] = {.lex_state = 45},
  [10946] = {.lex_state = 0},
  [10947] = {.lex_state = 0},
  [10948] = {.lex_state = 0},
  [10949] = {.lex_state = 0},
  [10950] = {.lex_state = 0},
  [10951] = {.lex_state = 0},
  [10952] = {.lex_state = 0},
  [10953] = {.lex_state = 0},
  [10954] = {.lex_state = 0},
  [10955] = {.lex_state = 0},
  [10956] = {.lex_state = 0},
  [10957] = {.lex_state = 0},
  [10958] = {.lex_state = 0},
  [10959] = {.lex_state = 0},
  [10960] = {.lex_state = 0},
  [10961] = {.lex_state = 0},
  [10962] = {.lex_state = 0},
  [10963] = {.lex_state = 0},
  [10964] = {.lex_state = 45},
  [10965] = {.lex_state = 0},
  [10966] = {.lex_state = 0},
  [10967] = {.lex_state = 0},
  [10968] = {.lex_state = 0},
  [10969] = {.lex_state = 0},
  [10970] = {.lex_state = 0},
  [10971] = {.lex_state = 0},
  [10972] = {.lex_state = 0},
  [10973] = {.lex_state = 0},
  [10974] = {.lex_state = 0},
  [10975] = {.lex_state = 0},
  [10976] = {.lex_state = 0},
  [10977] = {.lex_state = 0},
  [10978] = {.lex_state = 0},
  [10979] = {.lex_state = 45},
  [10980] = {.lex_state = 0},
  [10981] = {.lex_state = 0},
  [10982] = {.lex_state = 0},
  [10983] = {.lex_state = 0},
  [10984] = {.lex_state = 0},
  [10985] = {.lex_state = 0},
  [10986] = {.lex_state = 0},
  [10987] = {.lex_state = 0},
  [10988] = {.lex_state = 0},
  [10989] = {.lex_state = 0},
  [10990] = {.lex_state = 0},
  [10991] = {.lex_state = 0},
  [10992] = {.lex_state = 0},
  [10993] = {.lex_state = 0},
  [10994] = {.lex_state = 0},
  [10995] = {.lex_state = 0},
  [10996] = {.lex_state = 0},
  [10997] = {.lex_state = 0},
  [10998] = {.lex_state = 0},
  [10999] = {.lex_state = 0},
  [11000] = {.lex_state = 0},
  [11001] = {.lex_state = 0},
  [11002] = {.lex_state = 0},
  [11003] = {.lex_state = 0},
  [11004] = {.lex_state = 0},
  [11005] = {.lex_state = 0},
  [11006] = {.lex_state = 45},
  [11007] = {.lex_state = 0},
  [11008] = {.lex_state = 0},
  [11009] = {.lex_state = 0, .external_lex_state = 35},
  [11010] = {.lex_state = 0},
  [11011] = {.lex_state = 0},
  [11012] = {.lex_state = 0},
  [11013] = {.lex_state = 0},
  [11014] = {.lex_state = 0},
  [11015] = {.lex_state = 0},
  [11016] = {.lex_state = 0},
  [11017] = {.lex_state = 0},
  [11018] = {.lex_state = 0},
  [11019] = {.lex_state = 0},
  [11020] = {.lex_state = 45},
  [11021] = {.lex_state = 0},
  [11022] = {.lex_state = 0},
  [11023] = {.lex_state = 0},
  [11024] = {.lex_state = 0},
  [11025] = {.lex_state = 0},
  [11026] = {.lex_state = 0},
  [11027] = {.lex_state = 0},
  [11028] = {.lex_state = 0},
  [11029] = {.lex_state = 0},
  [11030] = {.lex_state = 0},
  [11031] = {.lex_state = 0},
  [11032] = {.lex_state = 45},
  [11033] = {.lex_state = 0},
  [11034] = {.lex_state = 0},
  [11035] = {.lex_state = 0},
  [11036] = {.lex_state = 0},
  [11037] = {.lex_state = 0},
  [11038] = {.lex_state = 45},
  [11039] = {.lex_state = 0},
  [11040] = {.lex_state = 0},
  [11041] = {.lex_state = 0},
  [11042] = {.lex_state = 45},
  [11043] = {.lex_state = 0},
  [11044] = {.lex_state = 0},
  [11045] = {.lex_state = 0},
  [11046] = {.lex_state = 0},
  [11047] = {.lex_state = 0},
  [11048] = {.lex_state = 0},
  [11049] = {.lex_state = 0},
  [11050] = {.lex_state = 0},
  [11051] = {.lex_state = 0},
  [11052] = {.lex_state = 0},
  [11053] = {.lex_state = 45},
  [11054] = {.lex_state = 0},
  [11055] = {.lex_state = 0},
  [11056] = {.lex_state = 0},
  [11057] = {.lex_state = 0},
  [11058] = {.lex_state = 0},
  [11059] = {.lex_state = 0},
  [11060] = {.lex_state = 0},
  [11061] = {.lex_state = 45},
  [11062] = {.lex_state = 0},
  [11063] = {.lex_state = 0},
  [11064] = {.lex_state = 0},
  [11065] = {.lex_state = 0},
  [11066] = {.lex_state = 0},
  [11067] = {.lex_state = 0},
  [11068] = {.lex_state = 45},
  [11069] = {.lex_state = 45},
  [11070] = {.lex_state = 0},
  [11071] = {.lex_state = 0},
  [11072] = {.lex_state = 0},
  [11073] = {.lex_state = 0},
  [11074] = {.lex_state = 0},
  [11075] = {.lex_state = 0},
  [11076] = {.lex_state = 0},
  [11077] = {.lex_state = 0},
  [11078] = {.lex_state = 0},
  [11079] = {.lex_state = 0},
  [11080] = {.lex_state = 0},
  [11081] = {.lex_state = 0},
  [11082] = {.lex_state = 0},
  [11083] = {.lex_state = 0},
  [11084] = {.lex_state = 0},
  [11085] = {.lex_state = 0},
  [11086] = {.lex_state = 45},
  [11087] = {.lex_state = 0},
  [11088] = {.lex_state = 0},
  [11089] = {.lex_state = 0},
  [11090] = {.lex_state = 0, .external_lex_state = 34},
  [11091] = {.lex_state = 0},
  [11092] = {.lex_state = 0},
  [11093] = {.lex_state = 45},
  [11094] = {.lex_state = 0},
  [11095] = {.lex_state = 0},
  [11096] = {.lex_state = 0},
  [11097] = {.lex_state = 0},
  [11098] = {.lex_state = 0},
  [11099] = {.lex_state = 0},
  [11100] = {.lex_state = 0, .external_lex_state = 35},
  [11101] = {.lex_state = 0},
  [11102] = {.lex_state = 0},
  [11103] = {.lex_state = 0},
  [11104] = {.lex_state = 0},
  [11105] = {.lex_state = 0},
  [11106] = {.lex_state = 0},
  [11107] = {.lex_state = 0},
  [11108] = {.lex_state = 45},
  [11109] = {.lex_state = 0},
  [11110] = {.lex_state = 0},
  [11111] = {.lex_state = 0},
  [11112] = {.lex_state = 0},
  [11113] = {.lex_state = 0},
  [11114] = {.lex_state = 0},
  [11115] = {.lex_state = 0},
  [11116] = {.lex_state = 45},
  [11117] = {.lex_state = 0},
  [11118] = {.lex_state = 0},
  [11119] = {.lex_state = 0},
  [11120] = {.lex_state = 0},
  [11121] = {.lex_state = 0},
  [11122] = {.lex_state = 0},
  [11123] = {.lex_state = 0},
  [11124] = {.lex_state = 0},
  [11125] = {.lex_state = 0},
  [11126] = {.lex_state = 45},
  [11127] = {.lex_state = 0},
  [11128] = {.lex_state = 0},
  [11129] = {.lex_state = 45},
  [11130] = {.lex_state = 0},
  [11131] = {.lex_state = 0},
  [11132] = {.lex_state = 0},
  [11133] = {.lex_state = 0},
  [11134] = {.lex_state = 0},
  [11135] = {.lex_state = 0},
  [11136] = {.lex_state = 0},
  [11137] = {.lex_state = 0},
  [11138] = {.lex_state = 0},
  [11139] = {.lex_state = 0},
  [11140] = {.lex_state = 0, .external_lex_state = 34},
  [11141] = {.lex_state = 0},
  [11142] = {.lex_state = 0},
  [11143] = {.lex_state = 0},
  [11144] = {.lex_state = 0},
  [11145] = {.lex_state = 0},
  [11146] = {.lex_state = 0},
  [11147] = {.lex_state = 0},
  [11148] = {.lex_state = 0},
  [11149] = {.lex_state = 0},
  [11150] = {.lex_state = 0},
  [11151] = {.lex_state = 0, .external_lex_state = 34},
  [11152] = {.lex_state = 0},
  [11153] = {.lex_state = 0},
  [11154] = {.lex_state = 0},
  [11155] = {.lex_state = 0},
  [11156] = {.lex_state = 0},
  [11157] = {.lex_state = 0},
  [11158] = {.lex_state = 0},
  [11159] = {.lex_state = 0},
  [11160] = {.lex_state = 0},
  [11161] = {.lex_state = 0},
  [11162] = {.lex_state = 0},
  [11163] = {.lex_state = 0},
  [11164] = {.lex_state = 0},
  [11165] = {.lex_state = 0},
  [11166] = {.lex_state = 0, .external_lex_state = 35},
  [11167] = {.lex_state = 0},
  [11168] = {.lex_state = 0},
  [11169] = {.lex_state = 0},
  [11170] = {.lex_state = 0},
  [11171] = {.lex_state = 0},
  [11172] = {.lex_state = 0},
  [11173] = {.lex_state = 0},
  [11174] = {.lex_state = 0},
  [11175] = {.lex_state = 45},
  [11176] = {.lex_state = 45},
  [11177] = {.lex_state = 0},
  [11178] = {.lex_state = 0},
  [11179] = {.lex_state = 0},
  [11180] = {.lex_state = 0},
  [11181] = {.lex_state = 0},
  [11182] = {.lex_state = 0},
  [11183] = {.lex_state = 0},
  [11184] = {.lex_state = 0},
  [11185] = {.lex_state = 0},
  [11186] = {.lex_state = 0},
  [11187] = {.lex_state = 0},
  [11188] = {.lex_state = 0},
  [11189] = {.lex_state = 45},
  [11190] = {.lex_state = 45},
  [11191] = {.lex_state = 0},
  [11192] = {.lex_state = 0},
  [11193] = {.lex_state = 0},
  [11194] = {.lex_state = 0},
  [11195] = {.lex_state = 0},
  [11196] = {.lex_state = 45},
  [11197] = {.lex_state = 0},
  [11198] = {.lex_state = 0},
  [11199] = {.lex_state = 0},
  [11200] = {.lex_state = 0},
  [11201] = {.lex_state = 0},
  [11202] = {.lex_state = 0},
  [11203] = {.lex_state = 0},
  [11204] = {.lex_state = 0},
  [11205] = {.lex_state = 45},
  [11206] = {.lex_state = 0},
  [11207] = {.lex_state = 0},
  [11208] = {.lex_state = 0},
  [11209] = {.lex_state = 0},
  [11210] = {.lex_state = 0},
  [11211] = {.lex_state = 0},
  [11212] = {.lex_state = 0},
  [11213] = {.lex_state = 0},
  [11214] = {.lex_state = 0},
  [11215] = {.lex_state = 0},
  [11216] = {.lex_state = 0},
  [11217] = {.lex_state = 0},
  [11218] = {.lex_state = 45},
  [11219] = {.lex_state = 0},
  [11220] = {.lex_state = 45},
  [11221] = {.lex_state = 0},
  [11222] = {.lex_state = 0},
  [11223] = {.lex_state = 0},
  [11224] = {.lex_state = 0},
  [11225] = {.lex_state = 0},
  [11226] = {.lex_state = 0},
  [11227] = {.lex_state = 0},
  [11228] = {.lex_state = 0},
  [11229] = {.lex_state = 0},
  [11230] = {.lex_state = 45},
  [11231] = {.lex_state = 0},
  [11232] = {.lex_state = 0},
  [11233] = {.lex_state = 0},
  [11234] = {.lex_state = 0},
  [11235] = {.lex_state = 0},
  [11236] = {.lex_state = 0},
  [11237] = {.lex_state = 0},
  [11238] = {.lex_state = 0},
  [11239] = {.lex_state = 0},
  [11240] = {.lex_state = 0},
  [11241] = {.lex_state = 0},
  [11242] = {.lex_state = 45},
  [11243] = {.lex_state = 45},
  [11244] = {.lex_state = 0},
  [11245] = {.lex_state = 0},
  [11246] = {.lex_state = 0},
  [11247] = {.lex_state = 0},
  [11248] = {.lex_state = 45},
  [11249] = {.lex_state = 0},
  [11250] = {.lex_state = 0},
  [11251] = {.lex_state = 0},
  [11252] = {.lex_state = 0},
  [11253] = {.lex_state = 0},
  [11254] = {.lex_state = 0},
  [11255] = {.lex_state = 0},
  [11256] = {.lex_state = 45},
  [11257] = {.lex_state = 0},
  [11258] = {.lex_state = 0},
  [11259] = {.lex_state = 0},
  [11260] = {.lex_state = 0},
  [11261] = {.lex_state = 0},
  [11262] = {.lex_state = 0},
  [11263] = {.lex_state = 45},
  [11264] = {.lex_state = 45},
  [11265] = {.lex_state = 0},
  [11266] = {.lex_state = 0},
  [11267] = {.lex_state = 0},
  [11268] = {.lex_state = 45},
  [11269] = {.lex_state = 45},
  [11270] = {.lex_state = 0},
  [11271] = {.lex_state = 45},
  [11272] = {.lex_state = 0},
  [11273] = {.lex_state = 0},
  [11274] = {.lex_state = 0},
  [11275] = {.lex_state = 0},
  [11276] = {.lex_state = 0},
  [11277] = {.lex_state = 0},
  [11278] = {.lex_state = 0},
  [11279] = {.lex_state = 45},
  [11280] = {.lex_state = 45},
  [11281] = {.lex_state = 0},
  [11282] = {.lex_state = 0},
  [11283] = {.lex_state = 0},
  [11284] = {.lex_state = 0},
  [11285] = {.lex_state = 0},
  [11286] = {.lex_state = 0},
  [11287] = {.lex_state = 0},
  [11288] = {.lex_state = 0},
  [11289] = {.lex_state = 0},
  [11290] = {.lex_state = 0},
  [11291] = {.lex_state = 0},
  [11292] = {.lex_state = 0},
  [11293] = {.lex_state = 0},
  [11294] = {.lex_state = 0},
  [11295] = {.lex_state = 45},
  [11296] = {.lex_state = 45},
  [11297] = {.lex_state = 0},
  [11298] = {.lex_state = 0},
  [11299] = {.lex_state = 0},
  [11300] = {.lex_state = 0},
  [11301] = {.lex_state = 0, .external_lex_state = 35},
  [11302] = {.lex_state = 0},
  [11303] = {.lex_state = 45},
  [11304] = {.lex_state = 0},
  [11305] = {.lex_state = 0},
  [11306] = {.lex_state = 0},
  [11307] = {.lex_state = 0, .external_lex_state = 34},
  [11308] = {.lex_state = 0},
  [11309] = {.lex_state = 0},
  [11310] = {.lex_state = 0},
  [11311] = {.lex_state = 0},
  [11312] = {.lex_state = 0},
  [11313] = {.lex_state = 0},
  [11314] = {.lex_state = 0},
  [11315] = {.lex_state = 0},
  [11316] = {.lex_state = 0},
  [11317] = {.lex_state = 0},
  [11318] = {.lex_state = 0},
  [11319] = {.lex_state = 0},
  [11320] = {.lex_state = 0},
  [11321] = {.lex_state = 0},
  [11322] = {.lex_state = 0},
  [11323] = {.lex_state = 0},
  [11324] = {.lex_state = 0},
  [11325] = {.lex_state = 0},
  [11326] = {.lex_state = 0},
  [11327] = {.lex_state = 0},
  [11328] = {.lex_state = 0},
  [11329] = {.lex_state = 0},
  [11330] = {.lex_state = 0},
  [11331] = {.lex_state = 0},
  [11332] = {.lex_state = 0},
  [11333] = {.lex_state = 0},
  [11334] = {.lex_state = 0},
  [11335] = {.lex_state = 0},
  [11336] = {.lex_state = 0},
  [11337] = {.lex_state = 0},
  [11338] = {.lex_state = 0},
  [11339] = {.lex_state = 0},
  [11340] = {.lex_state = 0},
  [11341] = {.lex_state = 0},
  [11342] = {.lex_state = 0},
  [11343] = {.lex_state = 0},
  [11344] = {.lex_state = 0},
  [11345] = {.lex_state = 0},
  [11346] = {.lex_state = 0},
  [11347] = {.lex_state = 0},
  [11348] = {.lex_state = 0},
  [11349] = {.lex_state = 0},
  [11350] = {.lex_state = 0},
  [11351] = {.lex_state = 0},
  [11352] = {.lex_state = 0},
  [11353] = {.lex_state = 0},
  [11354] = {.lex_state = 0},
  [11355] = {.lex_state = 0},
  [11356] = {.lex_state = 0},
  [11357] = {.lex_state = 0},
  [11358] = {.lex_state = 0},
  [11359] = {.lex_state = 0},
  [11360] = {.lex_state = 0},
  [11361] = {.lex_state = 0},
  [11362] = {.lex_state = 0},
  [11363] = {.lex_state = 0},
  [11364] = {.lex_state = 0},
  [11365] = {.lex_state = 0},
  [11366] = {.lex_state = 0},
  [11367] = {.lex_state = 0},
  [11368] = {.lex_state = 0},
  [11369] = {.lex_state = 0},
  [11370] = {.lex_state = 0},
  [11371] = {.lex_state = 0},
  [11372] = {.lex_state = 0},
  [11373] = {.lex_state = 0},
  [11374] = {.lex_state = 0},
  [11375] = {.lex_state = 0},
  [11376] = {.lex_state = 0},
  [11377] = {.lex_state = 0},
  [11378] = {.lex_state = 0},
  [11379] = {.lex_state = 0},
  [11380] = {.lex_state = 0},
  [11381] = {.lex_state = 0},
  [11382] = {.lex_state = 0},
  [11383] = {.lex_state = 0},
  [11384] = {.lex_state = 0},
  [11385] = {.lex_state = 0},
  [11386] = {.lex_state = 0},
  [11387] = {.lex_state = 0},
  [11388] = {.lex_state = 0},
  [11389] = {.lex_state = 0},
  [11390] = {.lex_state = 0},
  [11391] = {.lex_state = 0},
  [11392] = {.lex_state = 0},
  [11393] = {.lex_state = 0},
  [11394] = {.lex_state = 0},
  [11395] = {.lex_state = 0},
  [11396] = {.lex_state = 0},
  [11397] = {.lex_state = 0},
  [11398] = {.lex_state = 0},
  [11399] = {.lex_state = 0},
  [11400] = {.lex_state = 0},
  [11401] = {.lex_state = 0},
  [11402] = {.lex_state = 0},
  [11403] = {.lex_state = 0},
  [11404] = {.lex_state = 0},
  [11405] = {.lex_state = 0},
  [11406] = {.lex_state = 0},
  [11407] = {.lex_state = 0},
  [11408] = {.lex_state = 0},
  [11409] = {.lex_state = 0},
  [11410] = {.lex_state = 0},
  [11411] = {.lex_state = 0},
  [11412] = {.lex_state = 0},
  [11413] = {.lex_state = 0},
  [11414] = {.lex_state = 0},
  [11415] = {.lex_state = 0},
  [11416] = {.lex_state = 0},
  [11417] = {.lex_state = 0},
  [11418] = {.lex_state = 0},
  [11419] = {.lex_state = 0},
  [11420] = {.lex_state = 0},
  [11421] = {.lex_state = 0},
  [11422] = {.lex_state = 0},
  [11423] = {.lex_state = 0},
  [11424] = {.lex_state = 0},
  [11425] = {.lex_state = 0},
  [11426] = {.lex_state = 0},
  [11427] = {.lex_state = 0},
  [11428] = {.lex_state = 0},
  [11429] = {.lex_state = 0},
  [11430] = {.lex_state = 0},
  [11431] = {.lex_state = 0},
  [11432] = {.lex_state = 0},
  [11433] = {.lex_state = 0},
  [11434] = {.lex_state = 0},
  [11435] = {.lex_state = 0},
  [11436] = {.lex_state = 0},
  [11437] = {.lex_state = 0},
  [11438] = {.lex_state = 0},
  [11439] = {.lex_state = 0},
  [11440] = {.lex_state = 0},
  [11441] = {.lex_state = 0},
  [11442] = {.lex_state = 0},
  [11443] = {.lex_state = 0},
  [11444] = {.lex_state = 0},
  [11445] = {.lex_state = 0},
  [11446] = {.lex_state = 0},
  [11447] = {.lex_state = 0},
  [11448] = {.lex_state = 0},
  [11449] = {.lex_state = 0},
  [11450] = {.lex_state = 0},
  [11451] = {.lex_state = 0},
  [11452] = {.lex_state = 0},
  [11453] = {.lex_state = 0},
  [11454] = {.lex_state = 0},
  [11455] = {.lex_state = 0},
  [11456] = {.lex_state = 0},
  [11457] = {.lex_state = 0},
  [11458] = {.lex_state = 0},
  [11459] = {.lex_state = 0},
  [11460] = {.lex_state = 0},
  [11461] = {.lex_state = 0},
  [11462] = {.lex_state = 0},
  [11463] = {.lex_state = 0},
  [11464] = {.lex_state = 0},
  [11465] = {.lex_state = 0},
  [11466] = {.lex_state = 0},
  [11467] = {.lex_state = 0},
  [11468] = {.lex_state = 0},
  [11469] = {.lex_state = 0},
  [11470] = {.lex_state = 0},
  [11471] = {.lex_state = 0},
  [11472] = {.lex_state = 0},
  [11473] = {.lex_state = 0},
  [11474] = {.lex_state = 0},
  [11475] = {.lex_state = 0},
  [11476] = {.lex_state = 0},
  [11477] = {.lex_state = 0},
  [11478] = {.lex_state = 0},
  [11479] = {.lex_state = 0},
  [11480] = {.lex_state = 0},
  [11481] = {.lex_state = 0},
  [11482] = {.lex_state = 0},
  [11483] = {.lex_state = 0},
  [11484] = {.lex_state = 0},
  [11485] = {.lex_state = 0},
  [11486] = {.lex_state = 0},
  [11487] = {.lex_state = 0},
  [11488] = {.lex_state = 0},
  [11489] = {.lex_state = 0},
  [11490] = {.lex_state = 0},
  [11491] = {.lex_state = 0},
  [11492] = {.lex_state = 0},
  [11493] = {.lex_state = 0},
  [11494] = {.lex_state = 0},
  [11495] = {.lex_state = 0},
  [11496] = {.lex_state = 0},
  [11497] = {.lex_state = 0},
  [11498] = {.lex_state = 0},
  [11499] = {.lex_state = 0},
  [11500] = {.lex_state = 0},
  [11501] = {.lex_state = 0},
  [11502] = {.lex_state = 0},
  [11503] = {.lex_state = 0},
  [11504] = {.lex_state = 0},
  [11505] = {.lex_state = 0},
  [11506] = {.lex_state = 0},
  [11507] = {.lex_state = 0},
  [11508] = {.lex_state = 0},
  [11509] = {.lex_state = 0},
  [11510] = {.lex_state = 0},
  [11511] = {.lex_state = 0},
  [11512] = {.lex_state = 0},
  [11513] = {.lex_state = 0},
  [11514] = {.lex_state = 0},
  [11515] = {.lex_state = 0},
  [11516] = {.lex_state = 0},
  [11517] = {.lex_state = 0},
  [11518] = {.lex_state = 0},
  [11519] = {.lex_state = 0},
  [11520] = {.lex_state = 0},
  [11521] = {.lex_state = 0},
  [11522] = {.lex_state = 0},
  [11523] = {.lex_state = 0},
  [11524] = {.lex_state = 0},
  [11525] = {.lex_state = 0},
  [11526] = {.lex_state = 0},
  [11527] = {.lex_state = 0},
  [11528] = {.lex_state = 0},
  [11529] = {.lex_state = 0},
  [11530] = {.lex_state = 0},
  [11531] = {.lex_state = 0},
  [11532] = {.lex_state = 0},
  [11533] = {.lex_state = 0},
  [11534] = {.lex_state = 0},
  [11535] = {.lex_state = 0},
  [11536] = {.lex_state = 0},
  [11537] = {.lex_state = 0},
  [11538] = {.lex_state = 0},
  [11539] = {.lex_state = 0},
  [11540] = {.lex_state = 0},
  [11541] = {.lex_state = 0},
  [11542] = {.lex_state = 0},
  [11543] = {.lex_state = 0},
  [11544] = {.lex_state = 0},
  [11545] = {.lex_state = 0},
  [11546] = {.lex_state = 0},
  [11547] = {.lex_state = 0},
  [11548] = {.lex_state = 0},
  [11549] = {.lex_state = 0},
  [11550] = {.lex_state = 0},
  [11551] = {.lex_state = 0},
  [11552] = {.lex_state = 0},
  [11553] = {.lex_state = 0},
  [11554] = {.lex_state = 0},
  [11555] = {.lex_state = 0},
  [11556] = {.lex_state = 0},
  [11557] = {.lex_state = 0},
  [11558] = {.lex_state = 0},
  [11559] = {.lex_state = 0},
  [11560] = {.lex_state = 0},
  [11561] = {.lex_state = 0},
  [11562] = {.lex_state = 0},
  [11563] = {.lex_state = 0},
  [11564] = {.lex_state = 0},
  [11565] = {.lex_state = 0},
  [11566] = {.lex_state = 0},
  [11567] = {.lex_state = 0},
  [11568] = {.lex_state = 0},
  [11569] = {.lex_state = 0},
  [11570] = {.lex_state = 0},
  [11571] = {.lex_state = 0},
  [11572] = {.lex_state = 0},
  [11573] = {.lex_state = 0},
  [11574] = {.lex_state = 0},
  [11575] = {.lex_state = 0},
  [11576] = {.lex_state = 0},
  [11577] = {.lex_state = 0},
  [11578] = {.lex_state = 0},
  [11579] = {.lex_state = 0},
  [11580] = {.lex_state = 0},
  [11581] = {.lex_state = 0},
  [11582] = {.lex_state = 0},
  [11583] = {.lex_state = 0},
  [11584] = {.lex_state = 0},
  [11585] = {.lex_state = 0},
  [11586] = {.lex_state = 0},
  [11587] = {.lex_state = 0},
  [11588] = {.lex_state = 0},
  [11589] = {.lex_state = 0},
  [11590] = {.lex_state = 0},
  [11591] = {.lex_state = 0},
  [11592] = {.lex_state = 0},
  [11593] = {.lex_state = 0},
  [11594] = {.lex_state = 0},
  [11595] = {.lex_state = 0},
  [11596] = {.lex_state = 0},
  [11597] = {.lex_state = 0},
  [11598] = {.lex_state = 0},
  [11599] = {.lex_state = 0},
  [11600] = {.lex_state = 0},
  [11601] = {.lex_state = 0},
  [11602] = {.lex_state = 0},
  [11603] = {.lex_state = 0},
  [11604] = {.lex_state = 0},
  [11605] = {.lex_state = 0},
  [11606] = {.lex_state = 0},
  [11607] = {.lex_state = 0},
  [11608] = {.lex_state = 0},
  [11609] = {.lex_state = 0},
  [11610] = {.lex_state = 0},
  [11611] = {.lex_state = 0},
  [11612] = {.lex_state = 0},
  [11613] = {.lex_state = 0},
  [11614] = {.lex_state = 0},
  [11615] = {.lex_state = 0},
  [11616] = {.lex_state = 0},
  [11617] = {.lex_state = 0},
  [11618] = {.lex_state = 0},
  [11619] = {.lex_state = 0},
  [11620] = {.lex_state = 0},
  [11621] = {.lex_state = 0},
  [11622] = {.lex_state = 0},
  [11623] = {.lex_state = 0},
  [11624] = {.lex_state = 0},
  [11625] = {.lex_state = 0},
  [11626] = {.lex_state = 0},
  [11627] = {.lex_state = 0},
  [11628] = {.lex_state = 0},
  [11629] = {.lex_state = 0},
  [11630] = {.lex_state = 0},
  [11631] = {.lex_state = 0},
  [11632] = {.lex_state = 0},
  [11633] = {.lex_state = 0},
  [11634] = {.lex_state = 0},
  [11635] = {.lex_state = 0},
  [11636] = {.lex_state = 0},
  [11637] = {.lex_state = 0},
  [11638] = {.lex_state = 0},
  [11639] = {.lex_state = 0},
  [11640] = {.lex_state = 0},
  [11641] = {.lex_state = 0},
  [11642] = {.lex_state = 0},
  [11643] = {.lex_state = 0},
  [11644] = {.lex_state = 0},
  [11645] = {.lex_state = 0},
  [11646] = {.lex_state = 0},
  [11647] = {.lex_state = 0},
  [11648] = {.lex_state = 0},
  [11649] = {.lex_state = 0},
  [11650] = {.lex_state = 0},
  [11651] = {.lex_state = 0},
  [11652] = {.lex_state = 0},
  [11653] = {.lex_state = 0},
  [11654] = {.lex_state = 0},
  [11655] = {.lex_state = 0},
  [11656] = {.lex_state = 0},
  [11657] = {.lex_state = 0},
  [11658] = {.lex_state = 0},
  [11659] = {.lex_state = 0},
  [11660] = {.lex_state = 0},
  [11661] = {.lex_state = 0},
  [11662] = {.lex_state = 0},
  [11663] = {.lex_state = 0},
  [11664] = {.lex_state = 0},
  [11665] = {.lex_state = 0},
  [11666] = {.lex_state = 0},
  [11667] = {.lex_state = 0},
  [11668] = {.lex_state = 0},
  [11669] = {.lex_state = 0},
  [11670] = {.lex_state = 0},
  [11671] = {.lex_state = 0},
  [11672] = {.lex_state = 0},
  [11673] = {.lex_state = 0},
  [11674] = {.lex_state = 0},
  [11675] = {.lex_state = 0},
  [11676] = {.lex_state = 0},
  [11677] = {.lex_state = 0},
  [11678] = {.lex_state = 0},
  [11679] = {.lex_state = 0},
  [11680] = {.lex_state = 0},
  [11681] = {.lex_state = 0},
  [11682] = {.lex_state = 0},
  [11683] = {.lex_state = 0},
  [11684] = {.lex_state = 0},
  [11685] = {.lex_state = 0},
  [11686] = {.lex_state = 0},
  [11687] = {.lex_state = 0},
  [11688] = {.lex_state = 0},
  [11689] = {.lex_state = 0},
  [11690] = {.lex_state = 0},
  [11691] = {.lex_state = 0},
  [11692] = {.lex_state = 0},
  [11693] = {.lex_state = 0},
  [11694] = {.lex_state = 0},
  [11695] = {.lex_state = 0},
  [11696] = {.lex_state = 0},
  [11697] = {.lex_state = 0},
  [11698] = {.lex_state = 0},
  [11699] = {.lex_state = 0},
  [11700] = {.lex_state = 0},
  [11701] = {.lex_state = 0},
  [11702] = {.lex_state = 0},
  [11703] = {.lex_state = 0},
  [11704] = {.lex_state = 0},
  [11705] = {.lex_state = 0},
  [11706] = {.lex_state = 0},
  [11707] = {.lex_state = 0},
  [11708] = {.lex_state = 0},
  [11709] = {.lex_state = 0},
  [11710] = {.lex_state = 0},
  [11711] = {.lex_state = 0},
  [11712] = {.lex_state = 0},
  [11713] = {.lex_state = 0},
  [11714] = {.lex_state = 0},
  [11715] = {.lex_state = 0},
  [11716] = {.lex_state = 0},
  [11717] = {.lex_state = 0},
  [11718] = {.lex_state = 0},
  [11719] = {.lex_state = 0},
  [11720] = {.lex_state = 0},
  [11721] = {.lex_state = 0},
  [11722] = {.lex_state = 0},
  [11723] = {.lex_state = 0},
  [11724] = {.lex_state = 0},
  [11725] = {.lex_state = 0},
  [11726] = {.lex_state = 0},
  [11727] = {.lex_state = 0},
  [11728] = {.lex_state = 0},
  [11729] = {.lex_state = 0},
  [11730] = {.lex_state = 0},
  [11731] = {.lex_state = 0},
  [11732] = {.lex_state = 0},
  [11733] = {.lex_state = 0},
  [11734] = {.lex_state = 0},
  [11735] = {.lex_state = 0},
  [11736] = {.lex_state = 0},
  [11737] = {.lex_state = 0},
  [11738] = {.lex_state = 0},
  [11739] = {.lex_state = 0},
  [11740] = {.lex_state = 0},
  [11741] = {.lex_state = 0},
  [11742] = {.lex_state = 0},
  [11743] = {.lex_state = 0},
  [11744] = {.lex_state = 0},
  [11745] = {.lex_state = 0},
  [11746] = {.lex_state = 0},
  [11747] = {.lex_state = 0},
  [11748] = {.lex_state = 0},
  [11749] = {.lex_state = 0},
  [11750] = {.lex_state = 0},
  [11751] = {.lex_state = 0},
  [11752] = {.lex_state = 0},
  [11753] = {.lex_state = 0},
  [11754] = {.lex_state = 0},
  [11755] = {.lex_state = 0},
  [11756] = {.lex_state = 0},
  [11757] = {.lex_state = 0},
  [11758] = {.lex_state = 0},
  [11759] = {.lex_state = 0},
  [11760] = {.lex_state = 0},
  [11761] = {.lex_state = 0},
  [11762] = {.lex_state = 0},
  [11763] = {.lex_state = 0},
  [11764] = {.lex_state = 0},
  [11765] = {.lex_state = 0},
  [11766] = {.lex_state = 0},
  [11767] = {.lex_state = 0},
  [11768] = {.lex_state = 0},
  [11769] = {.lex_state = 0},
  [11770] = {.lex_state = 0},
  [11771] = {.lex_state = 0},
  [11772] = {.lex_state = 0},
  [11773] = {.lex_state = 0},
  [11774] = {.lex_state = 0},
  [11775] = {.lex_state = 0},
  [11776] = {.lex_state = 0},
  [11777] = {.lex_state = 0},
  [11778] = {.lex_state = 0},
  [11779] = {.lex_state = 0},
  [11780] = {.lex_state = 0},
  [11781] = {.lex_state = 0},
  [11782] = {.lex_state = 0},
  [11783] = {.lex_state = 0},
  [11784] = {.lex_state = 0},
  [11785] = {.lex_state = 0},
  [11786] = {.lex_state = 0},
  [11787] = {.lex_state = 0},
  [11788] = {.lex_state = 0},
  [11789] = {.lex_state = 0},
  [11790] = {.lex_state = 0},
  [11791] = {.lex_state = 0},
  [11792] = {.lex_state = 0},
  [11793] = {.lex_state = 0},
  [11794] = {.lex_state = 0},
  [11795] = {.lex_state = 0},
  [11796] = {.lex_state = 0},
  [11797] = {.lex_state = 0},
  [11798] = {.lex_state = 0},
  [11799] = {.lex_state = 0},
  [11800] = {.lex_state = 0},
  [11801] = {.lex_state = 0},
  [11802] = {.lex_state = 0},
  [11803] = {.lex_state = 0},
  [11804] = {.lex_state = 0},
  [11805] = {.lex_state = 0},
  [11806] = {.lex_state = 0},
  [11807] = {.lex_state = 0},
  [11808] = {.lex_state = 0},
  [11809] = {.lex_state = 0},
  [11810] = {.lex_state = 0},
  [11811] = {.lex_state = 0},
  [11812] = {.lex_state = 0},
  [11813] = {.lex_state = 0},
  [11814] = {.lex_state = 0},
  [11815] = {.lex_state = 0},
  [11816] = {.lex_state = 0},
  [11817] = {.lex_state = 0},
  [11818] = {.lex_state = 0},
  [11819] = {.lex_state = 0},
  [11820] = {.lex_state = 0},
  [11821] = {.lex_state = 0},
  [11822] = {.lex_state = 0},
  [11823] = {.lex_state = 0},
  [11824] = {.lex_state = 0},
  [11825] = {.lex_state = 0},
  [11826] = {.lex_state = 0},
  [11827] = {.lex_state = 0},
  [11828] = {.lex_state = 0},
  [11829] = {.lex_state = 0},
  [11830] = {.lex_state = 0},
  [11831] = {.lex_state = 0},
  [11832] = {.lex_state = 0},
  [11833] = {.lex_state = 0},
  [11834] = {.lex_state = 0},
  [11835] = {.lex_state = 0},
  [11836] = {.lex_state = 0},
  [11837] = {.lex_state = 0},
  [11838] = {.lex_state = 0},
  [11839] = {.lex_state = 0},
  [11840] = {.lex_state = 0},
  [11841] = {.lex_state = 0},
  [11842] = {.lex_state = 0},
  [11843] = {.lex_state = 0},
  [11844] = {.lex_state = 0},
  [11845] = {.lex_state = 0},
  [11846] = {.lex_state = 0},
  [11847] = {.lex_state = 0},
  [11848] = {.lex_state = 0},
  [11849] = {.lex_state = 0},
  [11850] = {.lex_state = 0},
  [11851] = {.lex_state = 0},
  [11852] = {.lex_state = 0},
  [11853] = {.lex_state = 0},
  [11854] = {.lex_state = 0},
  [11855] = {.lex_state = 0},
  [11856] = {.lex_state = 0},
  [11857] = {.lex_state = 0},
  [11858] = {.lex_state = 0},
  [11859] = {.lex_state = 0},
  [11860] = {.lex_state = 0},
  [11861] = {.lex_state = 0},
  [11862] = {.lex_state = 0},
  [11863] = {.lex_state = 0},
  [11864] = {.lex_state = 0},
  [11865] = {.lex_state = 0},
  [11866] = {.lex_state = 0},
  [11867] = {.lex_state = 0},
  [11868] = {.lex_state = 0},
  [11869] = {.lex_state = 0},
  [11870] = {.lex_state = 0},
  [11871] = {.lex_state = 0},
  [11872] = {.lex_state = 0},
  [11873] = {.lex_state = 0},
  [11874] = {.lex_state = 0},
  [11875] = {.lex_state = 0},
  [11876] = {.lex_state = 0},
  [11877] = {.lex_state = 0},
  [11878] = {.lex_state = 0},
  [11879] = {.lex_state = 0},
  [11880] = {.lex_state = 0},
  [11881] = {.lex_state = 0},
  [11882] = {.lex_state = 0},
  [11883] = {.lex_state = 0},
  [11884] = {.lex_state = 0},
  [11885] = {.lex_state = 0},
  [11886] = {.lex_state = 0},
  [11887] = {.lex_state = 0},
  [11888] = {.lex_state = 0},
  [11889] = {.lex_state = 0},
  [11890] = {.lex_state = 0},
  [11891] = {.lex_state = 0},
  [11892] = {.lex_state = 0},
  [11893] = {.lex_state = 0},
  [11894] = {.lex_state = 0},
  [11895] = {.lex_state = 0},
  [11896] = {.lex_state = 0},
  [11897] = {.lex_state = 0},
  [11898] = {.lex_state = 0},
  [11899] = {.lex_state = 0},
  [11900] = {.lex_state = 0},
  [11901] = {.lex_state = 0},
  [11902] = {.lex_state = 0},
  [11903] = {.lex_state = 0},
  [11904] = {.lex_state = 0},
  [11905] = {.lex_state = 0},
  [11906] = {.lex_state = 0},
  [11907] = {.lex_state = 0},
  [11908] = {.lex_state = 0},
  [11909] = {.lex_state = 0},
  [11910] = {.lex_state = 0},
  [11911] = {.lex_state = 0},
  [11912] = {.lex_state = 0},
  [11913] = {.lex_state = 0},
  [11914] = {.lex_state = 0},
  [11915] = {.lex_state = 0},
  [11916] = {.lex_state = 0},
  [11917] = {.lex_state = 0},
  [11918] = {.lex_state = 0},
  [11919] = {.lex_state = 0},
  [11920] = {.lex_state = 0},
  [11921] = {.lex_state = 0},
  [11922] = {.lex_state = 0},
  [11923] = {.lex_state = 0},
  [11924] = {.lex_state = 0},
  [11925] = {.lex_state = 0},
  [11926] = {.lex_state = 0},
  [11927] = {.lex_state = 0},
  [11928] = {.lex_state = 0},
  [11929] = {.lex_state = 0},
  [11930] = {.lex_state = 0},
  [11931] = {.lex_state = 0},
  [11932] = {.lex_state = 0},
  [11933] = {.lex_state = 0},
  [11934] = {.lex_state = 0},
  [11935] = {.lex_state = 0},
  [11936] = {.lex_state = 0},
  [11937] = {.lex_state = 0},
  [11938] = {.lex_state = 0},
  [11939] = {.lex_state = 0},
  [11940] = {.lex_state = 0},
  [11941] = {.lex_state = 0},
  [11942] = {.lex_state = 0},
  [11943] = {.lex_state = 0},
  [11944] = {.lex_state = 0},
  [11945] = {.lex_state = 0},
  [11946] = {.lex_state = 0},
  [11947] = {.lex_state = 0},
  [11948] = {.lex_state = 0},
  [11949] = {.lex_state = 0},
  [11950] = {.lex_state = 0},
  [11951] = {.lex_state = 0},
  [11952] = {.lex_state = 0},
  [11953] = {.lex_state = 0},
  [11954] = {.lex_state = 0},
  [11955] = {.lex_state = 0},
  [11956] = {.lex_state = 0},
  [11957] = {.lex_state = 0},
  [11958] = {.lex_state = 0},
  [11959] = {.lex_state = 0},
  [11960] = {.lex_state = 0},
  [11961] = {.lex_state = 0},
  [11962] = {.lex_state = 0},
  [11963] = {.lex_state = 0},
  [11964] = {.lex_state = 0},
  [11965] = {.lex_state = 0},
  [11966] = {.lex_state = 0},
  [11967] = {.lex_state = 0},
  [11968] = {.lex_state = 0},
  [11969] = {.lex_state = 0},
  [11970] = {.lex_state = 0},
  [11971] = {.lex_state = 0},
  [11972] = {.lex_state = 0},
  [11973] = {.lex_state = 0},
  [11974] = {.lex_state = 0},
  [11975] = {.lex_state = 0},
  [11976] = {.lex_state = 0},
  [11977] = {.lex_state = 0},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__simple_string = 1,
  ts_external_token__simple_multiline_string = 2,
  ts_external_token__interpolated_string_middle = 3,
  ts_external_token__interpolated_string_end = 4,
  ts_external_token__interpolated_multiline_string_middle = 5,
  ts_external_token__interpolated_multiline_string_end = 6,
  ts_external_token_else = 7,
  ts_external_token_catch = 8,
  ts_external_token_finally = 9,
  ts_external_token_extends = 10,
  ts_external_token_with = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__simple_string] = sym__simple_string,
  [ts_external_token__simple_multiline_string] = sym__simple_multiline_string,
  [ts_external_token__interpolated_string_middle] = sym__interpolated_string_middle,
  [ts_external_token__interpolated_string_end] = sym__interpolated_string_end,
  [ts_external_token__interpolated_multiline_string_middle] = sym__interpolated_multiline_string_middle,
  [ts_external_token__interpolated_multiline_string_end] = sym__interpolated_multiline_string_end,
  [ts_external_token_else] = anon_sym_else,
  [ts_external_token_catch] = anon_sym_catch,
  [ts_external_token_finally] = anon_sym_finally,
  [ts_external_token_extends] = anon_sym_extends,
  [ts_external_token_with] = anon_sym_with,
};

static const bool ts_external_scanner_states[36][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__interpolated_string_middle] = true,
    [ts_external_token__interpolated_string_end] = true,
    [ts_external_token__interpolated_multiline_string_middle] = true,
    [ts_external_token__interpolated_multiline_string_end] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_with] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [3] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [4] = {
    [ts_external_token__simple_string] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token_else] = true,
  },
  [6] = {
    [ts_external_token__simple_string] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [7] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token__simple_multiline_string] = true,
  },
  [8] = {
    [ts_external_token__simple_string] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token_else] = true,
  },
  [9] = {
    [ts_external_token__simple_string] = true,
    [ts_external_token__simple_multiline_string] = true,
  },
  [10] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_extends] = true,
  },
  [11] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [12] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [13] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [14] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_extends] = true,
  },
  [15] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [16] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [17] = {
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [18] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_extends] = true,
  },
  [19] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_extends] = true,
  },
  [20] = {
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [21] = {
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [22] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_with] = true,
  },
  [23] = {
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [24] = {
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [25] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
  },
  [26] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [27] = {
    [ts_external_token_with] = true,
  },
  [28] = {
    [ts_external_token_else] = true,
  },
  [29] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [30] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_finally] = true,
  },
  [31] = {
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [32] = {
    [ts_external_token_finally] = true,
  },
  [33] = {
    [ts_external_token_extends] = true,
  },
  [34] = {
    [ts_external_token__interpolated_string_middle] = true,
    [ts_external_token__interpolated_string_end] = true,
  },
  [35] = {
    [ts_external_token__interpolated_multiline_string_middle] = true,
    [ts_external_token__interpolated_multiline_string_end] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_given] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_trait] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_LT_COLON] = ACTIONS(1),
    [anon_sym_GT_COLON] = ACTIONS(1),
    [anon_sym_LT_PERCENT] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_sealed] = ACTIONS(1),
    [anon_sym_implicit] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [sym_integer_literal] = ACTIONS(1),
    [sym_floating_point_literal] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_character_literal] = ACTIONS(1),
    [sym_symbol_literal] = ACTIONS(1),
    [sym__interpolated_string_start] = ACTIONS(1),
    [sym__interpolated_multiline_string_start] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [sym_null_literal] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__simple_string] = ACTIONS(1),
    [sym__simple_multiline_string] = ACTIONS(1),
    [sym__interpolated_string_middle] = ACTIONS(1),
    [sym__interpolated_string_end] = ACTIONS(1),
    [sym__interpolated_multiline_string_middle] = ACTIONS(1),
    [sym__interpolated_multiline_string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_compilation_unit] = STATE(11962),
    [sym__top_level_definition] = STATE(1050),
    [sym_package_clause] = STATE(1050),
    [sym_package_object] = STATE(1050),
    [sym_import_declaration] = STATE(1050),
    [sym_object_definition] = STATE(1050),
    [sym_class_definition] = STATE(1050),
    [sym_trait_definition] = STATE(1050),
    [sym_annotation] = STATE(3844),
    [sym_val_definition] = STATE(1050),
    [sym_val_declaration] = STATE(1050),
    [sym__start_val] = STATE(3622),
    [sym_var_declaration] = STATE(1050),
    [sym_var_definition] = STATE(1050),
    [sym__start_var] = STATE(3621),
    [sym_type_definition] = STATE(1050),
    [sym_function_definition] = STATE(1050),
    [sym_function_declaration] = STATE(1050),
    [sym_modifiers] = STATE(9346),
    [sym_access_modifier] = STATE(4814),
    [aux_sym_compilation_unit_repeat1] = STATE(1050),
    [aux_sym_object_definition_repeat1] = STATE(3844),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_package] = ACTIONS(7),
    [anon_sym_object] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_case] = ACTIONS(13),
    [anon_sym_class] = ACTIONS(15),
    [anon_sym_trait] = ACTIONS(17),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_def] = ACTIONS(27),
    [anon_sym_abstract] = ACTIONS(29),
    [anon_sym_final] = ACTIONS(29),
    [anon_sym_sealed] = ACTIONS(29),
    [anon_sym_implicit] = ACTIONS(29),
    [anon_sym_lazy] = ACTIONS(29),
    [anon_sym_override] = ACTIONS(29),
    [anon_sym_private] = ACTIONS(31),
    [anon_sym_protected] = ACTIONS(31),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_import_declaration] = STATE(4346),
    [sym_object_definition] = STATE(4346),
    [sym_class_definition] = STATE(4346),
    [sym_trait_definition] = STATE(4346),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(4346),
    [sym_val_declaration] = STATE(4346),
    [sym__start_val] = STATE(3788),
    [sym_var_declaration] = STATE(4346),
    [sym_var_definition] = STATE(4346),
    [sym__start_var] = STATE(3787),
    [sym_type_definition] = STATE(4346),
    [sym_function_definition] = STATE(4346),
    [sym_function_declaration] = STATE(4346),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(4346),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(3871),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11810),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(33),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_RBRACE] = ACTIONS(43),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(55),
    [anon_sym_var] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(71),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_throw] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [3] = {
    [sym_import_declaration] = STATE(4346),
    [sym_object_definition] = STATE(4346),
    [sym_class_definition] = STATE(4346),
    [sym_trait_definition] = STATE(4346),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(4346),
    [sym_val_declaration] = STATE(4346),
    [sym__start_val] = STATE(3743),
    [sym_var_declaration] = STATE(4346),
    [sym_var_definition] = STATE(4346),
    [sym__start_var] = STATE(3747),
    [sym_type_definition] = STATE(4346),
    [sym_function_definition] = STATE(4346),
    [sym_function_declaration] = STATE(4346),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(4346),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(3855),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11949),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_RBRACE] = ACTIONS(43),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(99),
    [anon_sym_var] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(105),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(97),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(109),
    [anon_sym_throw] = ACTIONS(111),
    [anon_sym_while] = ACTIONS(113),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(115),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [4] = {
    [sym_import_declaration] = STATE(2149),
    [sym_object_definition] = STATE(2149),
    [sym_class_definition] = STATE(2149),
    [sym_trait_definition] = STATE(2149),
    [sym_annotation] = STATE(3923),
    [sym_val_definition] = STATE(2149),
    [sym_val_declaration] = STATE(2149),
    [sym__start_val] = STATE(3754),
    [sym_var_declaration] = STATE(2149),
    [sym_var_definition] = STATE(2149),
    [sym__start_var] = STATE(3756),
    [sym_type_definition] = STATE(2149),
    [sym_function_definition] = STATE(2149),
    [sym_function_declaration] = STATE(2149),
    [sym_modifiers] = STATE(9286),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(2149),
    [sym_block] = STATE(2204),
    [sym_expression] = STATE(1105),
    [sym_if_expression] = STATE(2204),
    [sym_match_expression] = STATE(2204),
    [sym_try_expression] = STATE(2204),
    [sym_bindings] = STATE(11563),
    [sym_lambda_expression] = STATE(2204),
    [sym_case_block] = STATE(2204),
    [sym_assignment_expression] = STATE(2204),
    [sym_generic_function] = STATE(2204),
    [sym_call_expression] = STATE(2204),
    [sym_field_expression] = STATE(2204),
    [sym_instance_expression] = STATE(2204),
    [sym_ascription_expression] = STATE(2204),
    [sym_infix_expression] = STATE(2204),
    [sym_postfix_expression] = STATE(2204),
    [sym_prefix_expression] = STATE(2204),
    [sym_tuple_expression] = STATE(2204),
    [sym_parenthesized_expression] = STATE(2204),
    [sym_boolean_literal] = STATE(2204),
    [sym_interpolated_string_expression] = STATE(2204),
    [sym_string] = STATE(2204),
    [sym_unit] = STATE(2204),
    [sym_return_expression] = STATE(2204),
    [sym_throw_expression] = STATE(2204),
    [sym_while_expression] = STATE(2204),
    [sym_do_while_expression] = STATE(2204),
    [sym_for_expression] = STATE(2204),
    [aux_sym_object_definition_repeat1] = STATE(3923),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(43),
    [sym_identifier] = ACTIONS(117),
    [anon_sym_package] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(119),
    [anon_sym_import] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_case] = ACTIONS(125),
    [anon_sym_class] = ACTIONS(127),
    [anon_sym_trait] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(133),
    [anon_sym_var] = ACTIONS(135),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(145),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(149),
    [sym_floating_point_literal] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_character_literal] = ACTIONS(151),
    [sym_symbol_literal] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(149),
    [anon_sym_return] = ACTIONS(155),
    [anon_sym_throw] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(165),
    [sym__simple_multiline_string] = ACTIONS(165),
  },
  [5] = {
    [sym_import_declaration] = STATE(4346),
    [sym_object_definition] = STATE(4346),
    [sym_class_definition] = STATE(4346),
    [sym_trait_definition] = STATE(4346),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(4346),
    [sym_val_declaration] = STATE(4346),
    [sym__start_val] = STATE(3751),
    [sym_var_declaration] = STATE(4346),
    [sym_var_definition] = STATE(4346),
    [sym__start_var] = STATE(3752),
    [sym_type_definition] = STATE(4346),
    [sym_function_definition] = STATE(4346),
    [sym_function_declaration] = STATE(4346),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(4346),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(3992),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11805),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(169),
    [anon_sym_COMMA] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(173),
    [anon_sym_var] = ACTIONS(175),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(181),
    [anon_sym_BANG] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(171),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_throw] = ACTIONS(185),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(189),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [6] = {
    [sym_import_declaration] = STATE(2299),
    [sym_object_definition] = STATE(2299),
    [sym_class_definition] = STATE(2299),
    [sym_trait_definition] = STATE(2299),
    [sym_annotation] = STATE(3904),
    [sym_val_definition] = STATE(2299),
    [sym_val_declaration] = STATE(2299),
    [sym__start_val] = STATE(3716),
    [sym_var_declaration] = STATE(2299),
    [sym_var_definition] = STATE(2299),
    [sym__start_var] = STATE(3717),
    [sym_type_definition] = STATE(2299),
    [sym_function_definition] = STATE(2299),
    [sym_function_declaration] = STATE(2299),
    [sym_modifiers] = STATE(9349),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(2299),
    [sym_block] = STATE(2262),
    [sym_expression] = STATE(1163),
    [sym_if_expression] = STATE(2262),
    [sym_match_expression] = STATE(2262),
    [sym_try_expression] = STATE(2262),
    [sym_bindings] = STATE(11538),
    [sym_lambda_expression] = STATE(2262),
    [sym_case_block] = STATE(2262),
    [sym_assignment_expression] = STATE(2262),
    [sym_generic_function] = STATE(2262),
    [sym_call_expression] = STATE(2262),
    [sym_field_expression] = STATE(2262),
    [sym_instance_expression] = STATE(2262),
    [sym_ascription_expression] = STATE(2262),
    [sym_infix_expression] = STATE(2262),
    [sym_postfix_expression] = STATE(2262),
    [sym_prefix_expression] = STATE(2262),
    [sym_tuple_expression] = STATE(2262),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_boolean_literal] = STATE(2262),
    [sym_interpolated_string_expression] = STATE(2262),
    [sym_string] = STATE(2262),
    [sym_unit] = STATE(2262),
    [sym_return_expression] = STATE(2262),
    [sym_throw_expression] = STATE(2262),
    [sym_while_expression] = STATE(2262),
    [sym_do_while_expression] = STATE(2262),
    [sym_for_expression] = STATE(2262),
    [aux_sym_object_definition_repeat1] = STATE(3904),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(43),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_package] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_case] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_trait] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(207),
    [anon_sym_var] = ACTIONS(209),
    [anon_sym_type] = ACTIONS(211),
    [anon_sym_def] = ACTIONS(213),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(219),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(223),
    [sym_floating_point_literal] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [sym_character_literal] = ACTIONS(225),
    [sym_symbol_literal] = ACTIONS(223),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(223),
    [anon_sym_return] = ACTIONS(229),
    [anon_sym_throw] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(239),
    [sym__simple_multiline_string] = ACTIONS(239),
  },
  [7] = {
    [sym_import_declaration] = STATE(6981),
    [sym_object_definition] = STATE(6981),
    [sym_class_definition] = STATE(6981),
    [sym_trait_definition] = STATE(6981),
    [sym_annotation] = STATE(3942),
    [sym_val_definition] = STATE(6981),
    [sym_val_declaration] = STATE(6981),
    [sym__start_val] = STATE(3711),
    [sym_var_declaration] = STATE(6981),
    [sym_var_definition] = STATE(6981),
    [sym__start_var] = STATE(3731),
    [sym_type_definition] = STATE(6981),
    [sym_function_definition] = STATE(6981),
    [sym_function_declaration] = STATE(6981),
    [sym_modifiers] = STATE(9410),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(6981),
    [sym_block] = STATE(7002),
    [sym_expression] = STATE(4627),
    [sym_if_expression] = STATE(7002),
    [sym_match_expression] = STATE(7002),
    [sym_try_expression] = STATE(7002),
    [sym_bindings] = STATE(11845),
    [sym_lambda_expression] = STATE(7002),
    [sym_case_block] = STATE(7002),
    [sym_assignment_expression] = STATE(7002),
    [sym_generic_function] = STATE(7002),
    [sym_call_expression] = STATE(7002),
    [sym_field_expression] = STATE(7002),
    [sym_instance_expression] = STATE(7002),
    [sym_ascription_expression] = STATE(7002),
    [sym_infix_expression] = STATE(7002),
    [sym_postfix_expression] = STATE(7002),
    [sym_prefix_expression] = STATE(7002),
    [sym_tuple_expression] = STATE(7002),
    [sym_parenthesized_expression] = STATE(7002),
    [sym_boolean_literal] = STATE(7002),
    [sym_interpolated_string_expression] = STATE(7002),
    [sym_string] = STATE(7002),
    [sym_unit] = STATE(7002),
    [sym_return_expression] = STATE(7002),
    [sym_throw_expression] = STATE(7002),
    [sym_while_expression] = STATE(7002),
    [sym_do_while_expression] = STATE(7002),
    [sym_for_expression] = STATE(7002),
    [aux_sym_object_definition_repeat1] = STATE(3942),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(243),
    [anon_sym_import] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(247),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_case] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(251),
    [anon_sym_trait] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(255),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(257),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_type] = ACTIONS(261),
    [anon_sym_def] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(269),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_TILDE] = ACTIONS(255),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(273),
    [sym_floating_point_literal] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(277),
    [anon_sym_false] = ACTIONS(277),
    [sym_character_literal] = ACTIONS(275),
    [sym_symbol_literal] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_throw] = ACTIONS(281),
    [anon_sym_while] = ACTIONS(283),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_for] = ACTIONS(287),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(289),
    [sym__simple_multiline_string] = ACTIONS(289),
  },
  [8] = {
    [sym_import_declaration] = STATE(5085),
    [sym_object_definition] = STATE(5085),
    [sym_class_definition] = STATE(5085),
    [sym_trait_definition] = STATE(5085),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(5085),
    [sym_val_declaration] = STATE(5085),
    [sym__start_val] = STATE(3703),
    [sym_var_declaration] = STATE(5085),
    [sym_var_definition] = STATE(5085),
    [sym__start_var] = STATE(3704),
    [sym_type_definition] = STATE(5085),
    [sym_function_definition] = STATE(5085),
    [sym_function_declaration] = STATE(5085),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(5085),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(4045),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11510),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(291),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_RBRACE] = ACTIONS(43),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_var] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(315),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_TILDE] = ACTIONS(305),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(331),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [9] = {
    [sym_import_declaration] = STATE(5085),
    [sym_object_definition] = STATE(5085),
    [sym_class_definition] = STATE(5085),
    [sym_trait_definition] = STATE(5085),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(5085),
    [sym_val_declaration] = STATE(5085),
    [sym__start_val] = STATE(3713),
    [sym_var_declaration] = STATE(5085),
    [sym_var_definition] = STATE(5085),
    [sym__start_var] = STATE(3714),
    [sym_type_definition] = STATE(5085),
    [sym_function_definition] = STATE(5085),
    [sym_function_declaration] = STATE(5085),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(5085),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(4769),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11811),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_COMMA] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(345),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(347),
    [anon_sym_var] = ACTIONS(349),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(315),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(353),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_TILDE] = ACTIONS(345),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(359),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(363),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [10] = {
    [sym_import_declaration] = STATE(5085),
    [sym_object_definition] = STATE(5085),
    [sym_class_definition] = STATE(5085),
    [sym_trait_definition] = STATE(5085),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(5085),
    [sym_val_declaration] = STATE(5085),
    [sym__start_val] = STATE(3791),
    [sym_var_declaration] = STATE(5085),
    [sym_var_definition] = STATE(5085),
    [sym__start_var] = STATE(3776),
    [sym_type_definition] = STATE(5085),
    [sym_function_definition] = STATE(5085),
    [sym_function_declaration] = STATE(5085),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(5085),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(4068),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11529),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(365),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_RBRACE] = ACTIONS(43),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(369),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(315),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(375),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(377),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_TILDE] = ACTIONS(367),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(379),
    [anon_sym_throw] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(385),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [11] = {
    [sym_import_declaration] = STATE(4346),
    [sym_object_definition] = STATE(4346),
    [sym_class_definition] = STATE(4346),
    [sym_trait_definition] = STATE(4346),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(4346),
    [sym_val_declaration] = STATE(4346),
    [sym__start_val] = STATE(3762),
    [sym_var_declaration] = STATE(4346),
    [sym_var_definition] = STATE(4346),
    [sym__start_var] = STATE(3764),
    [sym_type_definition] = STATE(4346),
    [sym_function_definition] = STATE(4346),
    [sym_function_declaration] = STATE(4346),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(4346),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4664),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11657),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(389),
    [anon_sym_DASH] = ACTIONS(389),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(391),
    [anon_sym_var] = ACTIONS(393),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(397),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(399),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(389),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(401),
    [anon_sym_throw] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(407),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [12] = {
    [sym_import_declaration] = STATE(6087),
    [sym_object_definition] = STATE(6087),
    [sym_class_definition] = STATE(6087),
    [sym_trait_definition] = STATE(6087),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(6087),
    [sym_val_declaration] = STATE(6087),
    [sym__start_val] = STATE(3751),
    [sym_var_declaration] = STATE(6087),
    [sym_var_definition] = STATE(6087),
    [sym__start_var] = STATE(3752),
    [sym_type_definition] = STATE(6087),
    [sym_function_definition] = STATE(6087),
    [sym_function_declaration] = STATE(6087),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(6947),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4160),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11805),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(169),
    [anon_sym_COMMA] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(173),
    [anon_sym_var] = ACTIONS(175),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(181),
    [anon_sym_BANG] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(171),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_throw] = ACTIONS(185),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(189),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [13] = {
    [sym_import_declaration] = STATE(1816),
    [sym_object_definition] = STATE(1816),
    [sym_class_definition] = STATE(1816),
    [sym_trait_definition] = STATE(1816),
    [sym_annotation] = STATE(3923),
    [sym_val_definition] = STATE(1816),
    [sym_val_declaration] = STATE(1816),
    [sym__start_val] = STATE(3754),
    [sym_var_declaration] = STATE(1816),
    [sym_var_definition] = STATE(1816),
    [sym__start_var] = STATE(3756),
    [sym_type_definition] = STATE(1816),
    [sym_function_definition] = STATE(1816),
    [sym_function_declaration] = STATE(1816),
    [sym_modifiers] = STATE(9286),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(2589),
    [sym_block] = STATE(2204),
    [sym_expression] = STATE(1114),
    [sym_if_expression] = STATE(2204),
    [sym_match_expression] = STATE(2204),
    [sym_try_expression] = STATE(2204),
    [sym_bindings] = STATE(11563),
    [sym_lambda_expression] = STATE(2204),
    [sym_case_block] = STATE(2204),
    [sym_assignment_expression] = STATE(2204),
    [sym_generic_function] = STATE(2204),
    [sym_call_expression] = STATE(2204),
    [sym_field_expression] = STATE(2204),
    [sym_instance_expression] = STATE(2204),
    [sym_ascription_expression] = STATE(2204),
    [sym_infix_expression] = STATE(2204),
    [sym_postfix_expression] = STATE(2204),
    [sym_prefix_expression] = STATE(2204),
    [sym_tuple_expression] = STATE(2204),
    [sym_parenthesized_expression] = STATE(2204),
    [sym_boolean_literal] = STATE(2204),
    [sym_interpolated_string_expression] = STATE(2204),
    [sym_string] = STATE(2204),
    [sym_unit] = STATE(2204),
    [sym_return_expression] = STATE(2204),
    [sym_throw_expression] = STATE(2204),
    [sym_while_expression] = STATE(2204),
    [sym_do_while_expression] = STATE(2204),
    [sym_for_expression] = STATE(2204),
    [aux_sym_object_definition_repeat1] = STATE(3923),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(43),
    [sym_identifier] = ACTIONS(117),
    [anon_sym_package] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(119),
    [anon_sym_import] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_case] = ACTIONS(125),
    [anon_sym_class] = ACTIONS(127),
    [anon_sym_trait] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(133),
    [anon_sym_var] = ACTIONS(135),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(145),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(149),
    [sym_floating_point_literal] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_character_literal] = ACTIONS(151),
    [sym_symbol_literal] = ACTIONS(149),
    [sym_null_literal] = ACTIONS(149),
    [anon_sym_return] = ACTIONS(155),
    [anon_sym_throw] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(165),
    [sym__simple_multiline_string] = ACTIONS(165),
  },
  [14] = {
    [sym_import_declaration] = STATE(5426),
    [sym_object_definition] = STATE(5426),
    [sym_class_definition] = STATE(5426),
    [sym_trait_definition] = STATE(5426),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(5426),
    [sym_val_declaration] = STATE(5426),
    [sym__start_val] = STATE(3732),
    [sym_var_declaration] = STATE(5426),
    [sym_var_definition] = STATE(5426),
    [sym__start_var] = STATE(3737),
    [sym_type_definition] = STATE(5426),
    [sym_function_definition] = STATE(5426),
    [sym_function_declaration] = STATE(5426),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(5426),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(5008),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11807),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_DASH] = ACTIONS(423),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(425),
    [anon_sym_var] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(447),
    [anon_sym_throw] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(455),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [15] = {
    [sym_import_declaration] = STATE(5426),
    [sym_object_definition] = STATE(5426),
    [sym_class_definition] = STATE(5426),
    [sym_trait_definition] = STATE(5426),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(5426),
    [sym_val_declaration] = STATE(5426),
    [sym__start_val] = STATE(3719),
    [sym_var_declaration] = STATE(5426),
    [sym_var_definition] = STATE(5426),
    [sym__start_var] = STATE(3720),
    [sym_type_definition] = STATE(5426),
    [sym_function_definition] = STATE(5426),
    [sym_function_declaration] = STATE(5426),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(5426),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(4559),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11516),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(461),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(43),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(465),
    [anon_sym_var] = ACTIONS(467),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(469),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(471),
    [anon_sym_new] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_TILDE] = ACTIONS(463),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(475),
    [anon_sym_throw] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(481),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [16] = {
    [sym_import_declaration] = STATE(7706),
    [sym_object_definition] = STATE(7706),
    [sym_class_definition] = STATE(7706),
    [sym_trait_definition] = STATE(7706),
    [sym_annotation] = STATE(3943),
    [sym_val_definition] = STATE(7706),
    [sym_val_declaration] = STATE(7706),
    [sym__start_val] = STATE(3772),
    [sym_var_declaration] = STATE(7706),
    [sym_var_definition] = STATE(7706),
    [sym__start_var] = STATE(3775),
    [sym_type_definition] = STATE(7706),
    [sym_function_definition] = STATE(7706),
    [sym_function_declaration] = STATE(7706),
    [sym_modifiers] = STATE(9380),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(7706),
    [sym_block] = STATE(7649),
    [sym_expression] = STATE(5314),
    [sym_if_expression] = STATE(7649),
    [sym_match_expression] = STATE(7649),
    [sym_try_expression] = STATE(7649),
    [sym_bindings] = STATE(11771),
    [sym_lambda_expression] = STATE(7649),
    [sym_case_block] = STATE(7649),
    [sym_assignment_expression] = STATE(7649),
    [sym_generic_function] = STATE(7649),
    [sym_call_expression] = STATE(7649),
    [sym_field_expression] = STATE(7649),
    [sym_instance_expression] = STATE(7649),
    [sym_ascription_expression] = STATE(7649),
    [sym_infix_expression] = STATE(7649),
    [sym_postfix_expression] = STATE(7649),
    [sym_prefix_expression] = STATE(7649),
    [sym_tuple_expression] = STATE(7649),
    [sym_parenthesized_expression] = STATE(7649),
    [sym_boolean_literal] = STATE(7649),
    [sym_interpolated_string_expression] = STATE(7649),
    [sym_string] = STATE(7649),
    [sym_unit] = STATE(7649),
    [sym_return_expression] = STATE(7649),
    [sym_throw_expression] = STATE(7649),
    [sym_while_expression] = STATE(7649),
    [sym_do_while_expression] = STATE(7649),
    [sym_for_expression] = STATE(7649),
    [aux_sym_object_definition_repeat1] = STATE(3943),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(485),
    [anon_sym_import] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_case] = ACTIONS(491),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_trait] = ACTIONS(495),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(499),
    [anon_sym_var] = ACTIONS(501),
    [anon_sym_type] = ACTIONS(503),
    [anon_sym_def] = ACTIONS(505),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(513),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(515),
    [sym_floating_point_literal] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(517),
    [sym_symbol_literal] = ACTIONS(515),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_throw] = ACTIONS(523),
    [anon_sym_while] = ACTIONS(525),
    [anon_sym_do] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(531),
    [sym__simple_multiline_string] = ACTIONS(531),
  },
  [17] = {
    [sym_import_declaration] = STATE(2792),
    [sym_object_definition] = STATE(2792),
    [sym_class_definition] = STATE(2792),
    [sym_trait_definition] = STATE(2792),
    [sym_annotation] = STATE(3912),
    [sym_val_definition] = STATE(2792),
    [sym_val_declaration] = STATE(2792),
    [sym__start_val] = STATE(3739),
    [sym_var_declaration] = STATE(2792),
    [sym_var_definition] = STATE(2792),
    [sym__start_var] = STATE(3741),
    [sym_type_definition] = STATE(2792),
    [sym_function_definition] = STATE(2792),
    [sym_function_declaration] = STATE(2792),
    [sym_modifiers] = STATE(9354),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(2792),
    [sym_block] = STATE(2734),
    [sym_expression] = STATE(1384),
    [sym_if_expression] = STATE(2734),
    [sym_match_expression] = STATE(2734),
    [sym_try_expression] = STATE(2734),
    [sym_bindings] = STATE(11390),
    [sym_lambda_expression] = STATE(2734),
    [sym_case_block] = STATE(2734),
    [sym_assignment_expression] = STATE(2734),
    [sym_generic_function] = STATE(2734),
    [sym_call_expression] = STATE(2734),
    [sym_field_expression] = STATE(2734),
    [sym_instance_expression] = STATE(2734),
    [sym_ascription_expression] = STATE(2734),
    [sym_infix_expression] = STATE(2734),
    [sym_postfix_expression] = STATE(2734),
    [sym_prefix_expression] = STATE(2734),
    [sym_tuple_expression] = STATE(2734),
    [sym_parenthesized_expression] = STATE(2734),
    [sym_boolean_literal] = STATE(2734),
    [sym_interpolated_string_expression] = STATE(2734),
    [sym_string] = STATE(2734),
    [sym_unit] = STATE(2734),
    [sym_return_expression] = STATE(2734),
    [sym_throw_expression] = STATE(2734),
    [sym_while_expression] = STATE(2734),
    [sym_do_while_expression] = STATE(2734),
    [sym_for_expression] = STATE(2734),
    [aux_sym_object_definition_repeat1] = STATE(3912),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(43),
    [sym_identifier] = ACTIONS(533),
    [anon_sym_package] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_import] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_case] = ACTIONS(541),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_trait] = ACTIONS(545),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(547),
    [anon_sym_DASH] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(549),
    [anon_sym_var] = ACTIONS(551),
    [anon_sym_type] = ACTIONS(553),
    [anon_sym_def] = ACTIONS(555),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(559),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(565),
    [sym_floating_point_literal] = ACTIONS(567),
    [anon_sym_true] = ACTIONS(569),
    [anon_sym_false] = ACTIONS(569),
    [sym_character_literal] = ACTIONS(567),
    [sym_symbol_literal] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_do] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(581),
    [sym__simple_multiline_string] = ACTIONS(581),
  },
  [18] = {
    [sym_import_declaration] = STATE(5426),
    [sym_object_definition] = STATE(5426),
    [sym_class_definition] = STATE(5426),
    [sym_trait_definition] = STATE(5426),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(5426),
    [sym_val_declaration] = STATE(5426),
    [sym__start_val] = STATE(3783),
    [sym_var_declaration] = STATE(5426),
    [sym_var_definition] = STATE(5426),
    [sym__start_var] = STATE(3777),
    [sym_type_definition] = STATE(5426),
    [sym_function_definition] = STATE(5426),
    [sym_function_declaration] = STATE(5426),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(5426),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(4581),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11693),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(461),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(43),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(585),
    [anon_sym_DASH] = ACTIONS(585),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(587),
    [anon_sym_var] = ACTIONS(589),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(593),
    [anon_sym_new] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(585),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(597),
    [anon_sym_throw] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(601),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(603),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [19] = {
    [sym_import_declaration] = STATE(1888),
    [sym_object_definition] = STATE(1888),
    [sym_class_definition] = STATE(1888),
    [sym_trait_definition] = STATE(1888),
    [sym_annotation] = STATE(3923),
    [sym_val_definition] = STATE(1888),
    [sym_val_declaration] = STATE(1888),
    [sym__start_val] = STATE(3754),
    [sym_var_declaration] = STATE(1888),
    [sym_var_definition] = STATE(1888),
    [sym__start_var] = STATE(3756),
    [sym_type_definition] = STATE(1888),
    [sym_function_definition] = STATE(1888),
    [sym_function_declaration] = STATE(1888),
    [sym_modifiers] = STATE(9286),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(2204),
    [sym_expression] = STATE(1201),
    [sym_if_expression] = STATE(2204),
    [sym_match_expression] = STATE(2204),
    [sym_try_expression] = STATE(2204),
    [sym_bindings] = STATE(11563),
    [sym_lambda_expression] = STATE(2204),
    [sym_case_block] = STATE(2204),
    [sym_assignment_expression] = STATE(2204),
    [sym_generic_function] = STATE(2204),
    [sym_call_expression] = STATE(2204),
    [sym_field_expression] = STATE(2204),
    [sym_instance_expression] = STATE(2204),
    [sym_ascription_expression] = STATE(2204),
    [sym_infix_expression] = STATE(2204),
    [sym_postfix_expression] = STATE(2204),
    [sym_prefix_expression] = STATE(2204),
    [sym_tuple_expression] = STATE(2204),
    [sym_parenthesized_expression] = STATE(2204),
    [sym_boolean_literal] = STATE(2204),
    [sym_interpolated_string_expression] = STATE(2204),
    [sym_string] = STATE(2204),
    [sym_unit] = STATE(2204),
    [sym_return_expression] = STATE(2204),
    [sym_throw_expression] = STATE(2204),
    [sym_while_expression] = STATE(2204),
    [sym_do_while_expression] = STATE(2204),
    [sym_for_expression] = STATE(2204),
    [aux_sym_object_definition_repeat1] = STATE(3923),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(605),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_package] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(607),
    [anon_sym_import] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(607),
    [anon_sym_trait] = ACTIONS(607),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(607),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(607),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(607),
    [anon_sym_def] = ACTIONS(607),
    [anon_sym_abstract] = ACTIONS(607),
    [anon_sym_final] = ACTIONS(607),
    [anon_sym_sealed] = ACTIONS(607),
    [anon_sym_implicit] = ACTIONS(607),
    [anon_sym_lazy] = ACTIONS(607),
    [anon_sym_override] = ACTIONS(607),
    [anon_sym_private] = ACTIONS(607),
    [anon_sym_protected] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_else] = ACTIONS(607),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(145),
    [anon_sym_catch] = ACTIONS(607),
    [anon_sym_finally] = ACTIONS(607),
    [anon_sym_new] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(149),
    [sym_floating_point_literal] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_character_literal] = ACTIONS(151),
    [sym_symbol_literal] = ACTIONS(149),
    [sym_null_literal] = ACTIONS(149),
    [anon_sym_return] = ACTIONS(155),
    [anon_sym_throw] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(165),
    [sym__simple_multiline_string] = ACTIONS(165),
  },
  [20] = {
    [sym_import_declaration] = STATE(5085),
    [sym_object_definition] = STATE(5085),
    [sym_class_definition] = STATE(5085),
    [sym_trait_definition] = STATE(5085),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(5085),
    [sym_val_declaration] = STATE(5085),
    [sym__start_val] = STATE(3721),
    [sym_var_declaration] = STATE(5085),
    [sym_var_definition] = STATE(5085),
    [sym__start_var] = STATE(3722),
    [sym_type_definition] = STATE(5085),
    [sym_function_definition] = STATE(5085),
    [sym_function_declaration] = STATE(5085),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(5085),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(4872),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11647),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(613),
    [anon_sym_var] = ACTIONS(615),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(619),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(611),
    [anon_sym_TILDE] = ACTIONS(611),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(629),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [21] = {
    [sym_import_declaration] = STATE(6604),
    [sym_object_definition] = STATE(6604),
    [sym_class_definition] = STATE(6604),
    [sym_trait_definition] = STATE(6604),
    [sym_annotation] = STATE(3942),
    [sym_val_definition] = STATE(6604),
    [sym_val_declaration] = STATE(6604),
    [sym__start_val] = STATE(3711),
    [sym_var_declaration] = STATE(6604),
    [sym_var_definition] = STATE(6604),
    [sym__start_var] = STATE(3731),
    [sym_type_definition] = STATE(6604),
    [sym_function_definition] = STATE(6604),
    [sym_function_declaration] = STATE(6604),
    [sym_modifiers] = STATE(9410),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(8435),
    [sym_block] = STATE(7002),
    [sym_expression] = STATE(4414),
    [sym_if_expression] = STATE(7002),
    [sym_match_expression] = STATE(7002),
    [sym_try_expression] = STATE(7002),
    [sym_bindings] = STATE(11845),
    [sym_lambda_expression] = STATE(7002),
    [sym_case_block] = STATE(7002),
    [sym_assignment_expression] = STATE(7002),
    [sym_generic_function] = STATE(7002),
    [sym_call_expression] = STATE(7002),
    [sym_field_expression] = STATE(7002),
    [sym_instance_expression] = STATE(7002),
    [sym_ascription_expression] = STATE(7002),
    [sym_infix_expression] = STATE(7002),
    [sym_postfix_expression] = STATE(7002),
    [sym_prefix_expression] = STATE(7002),
    [sym_tuple_expression] = STATE(7002),
    [sym_parenthesized_expression] = STATE(7002),
    [sym_boolean_literal] = STATE(7002),
    [sym_interpolated_string_expression] = STATE(7002),
    [sym_string] = STATE(7002),
    [sym_unit] = STATE(7002),
    [sym_return_expression] = STATE(7002),
    [sym_throw_expression] = STATE(7002),
    [sym_while_expression] = STATE(7002),
    [sym_do_while_expression] = STATE(7002),
    [sym_for_expression] = STATE(7002),
    [aux_sym_object_definition_repeat1] = STATE(3942),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(243),
    [anon_sym_import] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(247),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_case] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(251),
    [anon_sym_trait] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(255),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(257),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_type] = ACTIONS(261),
    [anon_sym_def] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(269),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_TILDE] = ACTIONS(255),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(273),
    [sym_floating_point_literal] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(277),
    [anon_sym_false] = ACTIONS(277),
    [sym_character_literal] = ACTIONS(275),
    [sym_symbol_literal] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_throw] = ACTIONS(281),
    [anon_sym_while] = ACTIONS(283),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_for] = ACTIONS(287),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(289),
    [sym__simple_multiline_string] = ACTIONS(289),
  },
  [22] = {
    [sym_import_declaration] = STATE(4319),
    [sym_object_definition] = STATE(4319),
    [sym_class_definition] = STATE(4319),
    [sym_trait_definition] = STATE(4319),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(4319),
    [sym_val_declaration] = STATE(4319),
    [sym__start_val] = STATE(3751),
    [sym_var_declaration] = STATE(4319),
    [sym_var_definition] = STATE(4319),
    [sym__start_var] = STATE(3752),
    [sym_type_definition] = STATE(4319),
    [sym_function_definition] = STATE(4319),
    [sym_function_declaration] = STATE(4319),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4294),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11805),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(169),
    [anon_sym_COMMA] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(173),
    [anon_sym_var] = ACTIONS(175),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_RPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_else] = ACTIONS(607),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_catch] = ACTIONS(607),
    [anon_sym_finally] = ACTIONS(607),
    [anon_sym_new] = ACTIONS(181),
    [anon_sym_BANG] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(171),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_throw] = ACTIONS(185),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(189),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [23] = {
    [sym_import_declaration] = STATE(6610),
    [sym_object_definition] = STATE(6610),
    [sym_class_definition] = STATE(6610),
    [sym_trait_definition] = STATE(6610),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(6610),
    [sym_val_declaration] = STATE(6610),
    [sym__start_val] = STATE(3713),
    [sym_var_declaration] = STATE(6610),
    [sym_var_definition] = STATE(6610),
    [sym__start_var] = STATE(3714),
    [sym_type_definition] = STATE(6610),
    [sym_function_definition] = STATE(6610),
    [sym_function_declaration] = STATE(6610),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(7957),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(4762),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11811),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_COMMA] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(345),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(347),
    [anon_sym_var] = ACTIONS(349),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(315),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(353),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_TILDE] = ACTIONS(345),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(359),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(363),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [24] = {
    [sym_import_declaration] = STATE(6315),
    [sym_object_definition] = STATE(6315),
    [sym_class_definition] = STATE(6315),
    [sym_trait_definition] = STATE(6315),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(6315),
    [sym_val_declaration] = STATE(6315),
    [sym__start_val] = STATE(3765),
    [sym_var_declaration] = STATE(6315),
    [sym_var_definition] = STATE(6315),
    [sym__start_var] = STATE(3769),
    [sym_type_definition] = STATE(6315),
    [sym_function_definition] = STATE(6315),
    [sym_function_declaration] = STATE(6315),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(6315),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(5103),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11501),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(631),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(43),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(647),
    [anon_sym_var] = ACTIONS(649),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(657),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(645),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(669),
    [anon_sym_throw] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(677),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [25] = {
    [sym_import_declaration] = STATE(6315),
    [sym_object_definition] = STATE(6315),
    [sym_class_definition] = STATE(6315),
    [sym_trait_definition] = STATE(6315),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(6315),
    [sym_val_declaration] = STATE(6315),
    [sym__start_val] = STATE(3688),
    [sym_var_declaration] = STATE(6315),
    [sym_var_definition] = STATE(6315),
    [sym__start_var] = STATE(3689),
    [sym_type_definition] = STATE(6315),
    [sym_function_definition] = STATE(6315),
    [sym_function_declaration] = STATE(6315),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(6315),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(4830),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(43),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(685),
    [anon_sym_var] = ACTIONS(687),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(683),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [26] = {
    [sym_import_declaration] = STATE(6581),
    [sym_object_definition] = STATE(6581),
    [sym_class_definition] = STATE(6581),
    [sym_trait_definition] = STATE(6581),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(6581),
    [sym_val_declaration] = STATE(6581),
    [sym__start_val] = STATE(3743),
    [sym_var_declaration] = STATE(6581),
    [sym_var_definition] = STATE(6581),
    [sym__start_var] = STATE(3747),
    [sym_type_definition] = STATE(6581),
    [sym_function_definition] = STATE(6581),
    [sym_function_declaration] = STATE(6581),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(6947),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4575),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11949),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(99),
    [anon_sym_var] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(105),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(97),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(109),
    [anon_sym_throw] = ACTIONS(111),
    [anon_sym_while] = ACTIONS(113),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(115),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [27] = {
    [sym_import_declaration] = STATE(2090),
    [sym_object_definition] = STATE(2090),
    [sym_class_definition] = STATE(2090),
    [sym_trait_definition] = STATE(2090),
    [sym_annotation] = STATE(3904),
    [sym_val_definition] = STATE(2090),
    [sym_val_declaration] = STATE(2090),
    [sym__start_val] = STATE(3716),
    [sym_var_declaration] = STATE(2090),
    [sym_var_definition] = STATE(2090),
    [sym__start_var] = STATE(3717),
    [sym_type_definition] = STATE(2090),
    [sym_function_definition] = STATE(2090),
    [sym_function_declaration] = STATE(2090),
    [sym_modifiers] = STATE(9349),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(2931),
    [sym_block] = STATE(2262),
    [sym_expression] = STATE(1158),
    [sym_if_expression] = STATE(2262),
    [sym_match_expression] = STATE(2262),
    [sym_try_expression] = STATE(2262),
    [sym_bindings] = STATE(11538),
    [sym_lambda_expression] = STATE(2262),
    [sym_case_block] = STATE(2262),
    [sym_assignment_expression] = STATE(2262),
    [sym_generic_function] = STATE(2262),
    [sym_call_expression] = STATE(2262),
    [sym_field_expression] = STATE(2262),
    [sym_instance_expression] = STATE(2262),
    [sym_ascription_expression] = STATE(2262),
    [sym_infix_expression] = STATE(2262),
    [sym_postfix_expression] = STATE(2262),
    [sym_prefix_expression] = STATE(2262),
    [sym_tuple_expression] = STATE(2262),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_boolean_literal] = STATE(2262),
    [sym_interpolated_string_expression] = STATE(2262),
    [sym_string] = STATE(2262),
    [sym_unit] = STATE(2262),
    [sym_return_expression] = STATE(2262),
    [sym_throw_expression] = STATE(2262),
    [sym_while_expression] = STATE(2262),
    [sym_do_while_expression] = STATE(2262),
    [sym_for_expression] = STATE(2262),
    [aux_sym_object_definition_repeat1] = STATE(3904),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(43),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_package] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_case] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_trait] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(207),
    [anon_sym_var] = ACTIONS(209),
    [anon_sym_type] = ACTIONS(211),
    [anon_sym_def] = ACTIONS(213),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(219),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(223),
    [sym_floating_point_literal] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [sym_character_literal] = ACTIONS(225),
    [sym_symbol_literal] = ACTIONS(223),
    [sym_null_literal] = ACTIONS(223),
    [anon_sym_return] = ACTIONS(229),
    [anon_sym_throw] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(239),
    [sym__simple_multiline_string] = ACTIONS(239),
  },
  [28] = {
    [sym_import_declaration] = STATE(6315),
    [sym_object_definition] = STATE(6315),
    [sym_class_definition] = STATE(6315),
    [sym_trait_definition] = STATE(6315),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(6315),
    [sym_val_declaration] = STATE(6315),
    [sym__start_val] = STATE(3691),
    [sym_var_declaration] = STATE(6315),
    [sym_var_definition] = STATE(6315),
    [sym__start_var] = STATE(3696),
    [sym_type_definition] = STATE(6315),
    [sym_function_definition] = STATE(6315),
    [sym_function_declaration] = STATE(6315),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(6315),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(5914),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11347),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(705),
    [anon_sym_COMMA] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(709),
    [anon_sym_var] = ACTIONS(711),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(707),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(719),
    [anon_sym_throw] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(723),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(725),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [29] = {
    [sym_import_declaration] = STATE(4319),
    [sym_object_definition] = STATE(4319),
    [sym_class_definition] = STATE(4319),
    [sym_trait_definition] = STATE(4319),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(4319),
    [sym_val_declaration] = STATE(4319),
    [sym__start_val] = STATE(3751),
    [sym_var_declaration] = STATE(4319),
    [sym_var_definition] = STATE(4319),
    [sym__start_var] = STATE(3752),
    [sym_type_definition] = STATE(4319),
    [sym_function_definition] = STATE(4319),
    [sym_function_declaration] = STATE(4319),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4294),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11805),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(169),
    [anon_sym_COMMA] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(173),
    [anon_sym_var] = ACTIONS(175),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_else] = ACTIONS(727),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_catch] = ACTIONS(727),
    [anon_sym_finally] = ACTIONS(727),
    [anon_sym_new] = ACTIONS(181),
    [anon_sym_BANG] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(171),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_throw] = ACTIONS(185),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(189),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [30] = {
    [sym_import_declaration] = STATE(8371),
    [sym_object_definition] = STATE(8371),
    [sym_class_definition] = STATE(8371),
    [sym_trait_definition] = STATE(8371),
    [sym_annotation] = STATE(3952),
    [sym_val_definition] = STATE(8371),
    [sym_val_declaration] = STATE(8371),
    [sym__start_val] = STATE(3786),
    [sym_var_declaration] = STATE(8371),
    [sym_var_definition] = STATE(8371),
    [sym__start_var] = STATE(3785),
    [sym_type_definition] = STATE(8371),
    [sym_function_definition] = STATE(8371),
    [sym_function_declaration] = STATE(8371),
    [sym_modifiers] = STATE(9316),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(8371),
    [sym_block] = STATE(8393),
    [sym_expression] = STATE(5412),
    [sym_if_expression] = STATE(8393),
    [sym_match_expression] = STATE(8393),
    [sym_try_expression] = STATE(8393),
    [sym_bindings] = STATE(11824),
    [sym_lambda_expression] = STATE(8393),
    [sym_case_block] = STATE(8393),
    [sym_assignment_expression] = STATE(8393),
    [sym_generic_function] = STATE(8393),
    [sym_call_expression] = STATE(8393),
    [sym_field_expression] = STATE(8393),
    [sym_instance_expression] = STATE(8393),
    [sym_ascription_expression] = STATE(8393),
    [sym_infix_expression] = STATE(8393),
    [sym_postfix_expression] = STATE(8393),
    [sym_prefix_expression] = STATE(8393),
    [sym_tuple_expression] = STATE(8393),
    [sym_parenthesized_expression] = STATE(8393),
    [sym_boolean_literal] = STATE(8393),
    [sym_interpolated_string_expression] = STATE(8393),
    [sym_string] = STATE(8393),
    [sym_unit] = STATE(8393),
    [sym_return_expression] = STATE(8393),
    [sym_throw_expression] = STATE(8393),
    [sym_while_expression] = STATE(8393),
    [sym_do_while_expression] = STATE(8393),
    [sym_for_expression] = STATE(8393),
    [aux_sym_object_definition_repeat1] = STATE(3952),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(737),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_case] = ACTIONS(739),
    [anon_sym_class] = ACTIONS(741),
    [anon_sym_trait] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(745),
    [anon_sym_DASH] = ACTIONS(745),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(747),
    [anon_sym_var] = ACTIONS(749),
    [anon_sym_type] = ACTIONS(751),
    [anon_sym_def] = ACTIONS(753),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_if] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(759),
    [anon_sym_new] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(763),
    [sym_floating_point_literal] = ACTIONS(765),
    [anon_sym_true] = ACTIONS(767),
    [anon_sym_false] = ACTIONS(767),
    [sym_character_literal] = ACTIONS(765),
    [sym_symbol_literal] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(763),
    [anon_sym_return] = ACTIONS(769),
    [anon_sym_throw] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(773),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(777),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(779),
    [sym__simple_multiline_string] = ACTIONS(779),
  },
  [31] = {
    [sym_import_declaration] = STATE(2863),
    [sym_object_definition] = STATE(2863),
    [sym_class_definition] = STATE(2863),
    [sym_trait_definition] = STATE(2863),
    [sym_annotation] = STATE(3872),
    [sym_val_definition] = STATE(2863),
    [sym_val_declaration] = STATE(2863),
    [sym__start_val] = STATE(3701),
    [sym_var_declaration] = STATE(2863),
    [sym_var_definition] = STATE(2863),
    [sym__start_var] = STATE(3702),
    [sym_type_definition] = STATE(2863),
    [sym_function_definition] = STATE(2863),
    [sym_function_declaration] = STATE(2863),
    [sym_modifiers] = STATE(9339),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(2863),
    [sym_block] = STATE(2999),
    [sym_expression] = STATE(1613),
    [sym_if_expression] = STATE(2999),
    [sym_match_expression] = STATE(2999),
    [sym_try_expression] = STATE(2999),
    [sym_bindings] = STATE(11869),
    [sym_lambda_expression] = STATE(2999),
    [sym_case_block] = STATE(2999),
    [sym_assignment_expression] = STATE(2999),
    [sym_generic_function] = STATE(2999),
    [sym_call_expression] = STATE(2999),
    [sym_field_expression] = STATE(2999),
    [sym_instance_expression] = STATE(2999),
    [sym_ascription_expression] = STATE(2999),
    [sym_infix_expression] = STATE(2999),
    [sym_postfix_expression] = STATE(2999),
    [sym_prefix_expression] = STATE(2999),
    [sym_tuple_expression] = STATE(2999),
    [sym_parenthesized_expression] = STATE(2999),
    [sym_boolean_literal] = STATE(2999),
    [sym_interpolated_string_expression] = STATE(2999),
    [sym_string] = STATE(2999),
    [sym_unit] = STATE(2999),
    [sym_return_expression] = STATE(2999),
    [sym_throw_expression] = STATE(2999),
    [sym_while_expression] = STATE(2999),
    [sym_do_while_expression] = STATE(2999),
    [sym_for_expression] = STATE(2999),
    [aux_sym_object_definition_repeat1] = STATE(3872),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(43),
    [sym_identifier] = ACTIONS(781),
    [anon_sym_package] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(787),
    [anon_sym_case] = ACTIONS(789),
    [anon_sym_class] = ACTIONS(791),
    [anon_sym_trait] = ACTIONS(793),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(797),
    [anon_sym_var] = ACTIONS(799),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_def] = ACTIONS(803),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(809),
    [anon_sym_new] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(795),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(813),
    [sym_floating_point_literal] = ACTIONS(815),
    [anon_sym_true] = ACTIONS(817),
    [anon_sym_false] = ACTIONS(817),
    [sym_character_literal] = ACTIONS(815),
    [sym_symbol_literal] = ACTIONS(813),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(813),
    [anon_sym_return] = ACTIONS(819),
    [anon_sym_throw] = ACTIONS(821),
    [anon_sym_while] = ACTIONS(823),
    [anon_sym_do] = ACTIONS(825),
    [anon_sym_for] = ACTIONS(827),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(829),
    [sym__simple_multiline_string] = ACTIONS(829),
  },
  [32] = {
    [sym_import_declaration] = STATE(1888),
    [sym_object_definition] = STATE(1888),
    [sym_class_definition] = STATE(1888),
    [sym_trait_definition] = STATE(1888),
    [sym_annotation] = STATE(3923),
    [sym_val_definition] = STATE(1888),
    [sym_val_declaration] = STATE(1888),
    [sym__start_val] = STATE(3754),
    [sym_var_declaration] = STATE(1888),
    [sym_var_definition] = STATE(1888),
    [sym__start_var] = STATE(3756),
    [sym_type_definition] = STATE(1888),
    [sym_function_definition] = STATE(1888),
    [sym_function_declaration] = STATE(1888),
    [sym_modifiers] = STATE(9286),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(2204),
    [sym_expression] = STATE(1201),
    [sym_if_expression] = STATE(2204),
    [sym_match_expression] = STATE(2204),
    [sym_try_expression] = STATE(2204),
    [sym_bindings] = STATE(11563),
    [sym_lambda_expression] = STATE(2204),
    [sym_case_block] = STATE(2204),
    [sym_assignment_expression] = STATE(2204),
    [sym_generic_function] = STATE(2204),
    [sym_call_expression] = STATE(2204),
    [sym_field_expression] = STATE(2204),
    [sym_instance_expression] = STATE(2204),
    [sym_ascription_expression] = STATE(2204),
    [sym_infix_expression] = STATE(2204),
    [sym_postfix_expression] = STATE(2204),
    [sym_prefix_expression] = STATE(2204),
    [sym_tuple_expression] = STATE(2204),
    [sym_parenthesized_expression] = STATE(2204),
    [sym_boolean_literal] = STATE(2204),
    [sym_interpolated_string_expression] = STATE(2204),
    [sym_string] = STATE(2204),
    [sym_unit] = STATE(2204),
    [sym_return_expression] = STATE(2204),
    [sym_throw_expression] = STATE(2204),
    [sym_while_expression] = STATE(2204),
    [sym_do_while_expression] = STATE(2204),
    [sym_for_expression] = STATE(2204),
    [aux_sym_object_definition_repeat1] = STATE(3923),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(729),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_package] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(727),
    [anon_sym_class] = ACTIONS(727),
    [anon_sym_trait] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(727),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(727),
    [anon_sym_var] = ACTIONS(727),
    [anon_sym_type] = ACTIONS(727),
    [anon_sym_def] = ACTIONS(727),
    [anon_sym_abstract] = ACTIONS(727),
    [anon_sym_final] = ACTIONS(727),
    [anon_sym_sealed] = ACTIONS(727),
    [anon_sym_implicit] = ACTIONS(727),
    [anon_sym_lazy] = ACTIONS(727),
    [anon_sym_override] = ACTIONS(727),
    [anon_sym_private] = ACTIONS(727),
    [anon_sym_protected] = ACTIONS(727),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_else] = ACTIONS(727),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(145),
    [anon_sym_catch] = ACTIONS(727),
    [anon_sym_finally] = ACTIONS(727),
    [anon_sym_new] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(149),
    [sym_floating_point_literal] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_character_literal] = ACTIONS(151),
    [sym_symbol_literal] = ACTIONS(149),
    [sym_null_literal] = ACTIONS(149),
    [anon_sym_return] = ACTIONS(155),
    [anon_sym_throw] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(165),
    [sym__simple_multiline_string] = ACTIONS(165),
  },
  [33] = {
    [sym_import_declaration] = STATE(6925),
    [sym_object_definition] = STATE(6925),
    [sym_class_definition] = STATE(6925),
    [sym_trait_definition] = STATE(6925),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(6925),
    [sym_val_declaration] = STATE(6925),
    [sym__start_val] = STATE(3703),
    [sym_var_declaration] = STATE(6925),
    [sym_var_definition] = STATE(6925),
    [sym__start_var] = STATE(3704),
    [sym_type_definition] = STATE(6925),
    [sym_function_definition] = STATE(6925),
    [sym_function_declaration] = STATE(6925),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(7957),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(5012),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11510),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(291),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_var] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(315),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_TILDE] = ACTIONS(305),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(331),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [34] = {
    [sym_import_declaration] = STATE(7070),
    [sym_object_definition] = STATE(7070),
    [sym_class_definition] = STATE(7070),
    [sym_trait_definition] = STATE(7070),
    [sym_annotation] = STATE(3942),
    [sym_val_definition] = STATE(7070),
    [sym_val_declaration] = STATE(7070),
    [sym__start_val] = STATE(3711),
    [sym_var_declaration] = STATE(7070),
    [sym_var_definition] = STATE(7070),
    [sym__start_var] = STATE(3731),
    [sym_type_definition] = STATE(7070),
    [sym_function_definition] = STATE(7070),
    [sym_function_declaration] = STATE(7070),
    [sym_modifiers] = STATE(9410),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(7002),
    [sym_expression] = STATE(5077),
    [sym_if_expression] = STATE(7002),
    [sym_match_expression] = STATE(7002),
    [sym_try_expression] = STATE(7002),
    [sym_bindings] = STATE(11845),
    [sym_lambda_expression] = STATE(7002),
    [sym_case_block] = STATE(7002),
    [sym_assignment_expression] = STATE(7002),
    [sym_generic_function] = STATE(7002),
    [sym_call_expression] = STATE(7002),
    [sym_field_expression] = STATE(7002),
    [sym_instance_expression] = STATE(7002),
    [sym_ascription_expression] = STATE(7002),
    [sym_infix_expression] = STATE(7002),
    [sym_postfix_expression] = STATE(7002),
    [sym_prefix_expression] = STATE(7002),
    [sym_tuple_expression] = STATE(7002),
    [sym_parenthesized_expression] = STATE(7002),
    [sym_boolean_literal] = STATE(7002),
    [sym_interpolated_string_expression] = STATE(7002),
    [sym_string] = STATE(7002),
    [sym_unit] = STATE(7002),
    [sym_return_expression] = STATE(7002),
    [sym_throw_expression] = STATE(7002),
    [sym_while_expression] = STATE(7002),
    [sym_do_while_expression] = STATE(7002),
    [sym_for_expression] = STATE(7002),
    [aux_sym_object_definition_repeat1] = STATE(3942),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(243),
    [anon_sym_import] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_EQ_GT] = ACTIONS(727),
    [anon_sym_case] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(251),
    [anon_sym_trait] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(255),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(257),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_type] = ACTIONS(261),
    [anon_sym_def] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_else] = ACTIONS(727),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(269),
    [anon_sym_catch] = ACTIONS(727),
    [anon_sym_finally] = ACTIONS(727),
    [anon_sym_new] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_TILDE] = ACTIONS(255),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(273),
    [sym_floating_point_literal] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(277),
    [anon_sym_false] = ACTIONS(277),
    [sym_character_literal] = ACTIONS(275),
    [sym_symbol_literal] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_throw] = ACTIONS(281),
    [anon_sym_while] = ACTIONS(283),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_for] = ACTIONS(287),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(289),
    [sym__simple_multiline_string] = ACTIONS(289),
  },
  [35] = {
    [sym_import_declaration] = STATE(2246),
    [sym_object_definition] = STATE(2246),
    [sym_class_definition] = STATE(2246),
    [sym_trait_definition] = STATE(2246),
    [sym_annotation] = STATE(3912),
    [sym_val_definition] = STATE(2246),
    [sym_val_declaration] = STATE(2246),
    [sym__start_val] = STATE(3739),
    [sym_var_declaration] = STATE(2246),
    [sym_var_definition] = STATE(2246),
    [sym__start_var] = STATE(3741),
    [sym_type_definition] = STATE(2246),
    [sym_function_definition] = STATE(2246),
    [sym_function_declaration] = STATE(2246),
    [sym_modifiers] = STATE(9354),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(3078),
    [sym_block] = STATE(2734),
    [sym_expression] = STATE(1391),
    [sym_if_expression] = STATE(2734),
    [sym_match_expression] = STATE(2734),
    [sym_try_expression] = STATE(2734),
    [sym_bindings] = STATE(11390),
    [sym_lambda_expression] = STATE(2734),
    [sym_case_block] = STATE(2734),
    [sym_assignment_expression] = STATE(2734),
    [sym_generic_function] = STATE(2734),
    [sym_call_expression] = STATE(2734),
    [sym_field_expression] = STATE(2734),
    [sym_instance_expression] = STATE(2734),
    [sym_ascription_expression] = STATE(2734),
    [sym_infix_expression] = STATE(2734),
    [sym_postfix_expression] = STATE(2734),
    [sym_prefix_expression] = STATE(2734),
    [sym_tuple_expression] = STATE(2734),
    [sym_parenthesized_expression] = STATE(2734),
    [sym_boolean_literal] = STATE(2734),
    [sym_interpolated_string_expression] = STATE(2734),
    [sym_string] = STATE(2734),
    [sym_unit] = STATE(2734),
    [sym_return_expression] = STATE(2734),
    [sym_throw_expression] = STATE(2734),
    [sym_while_expression] = STATE(2734),
    [sym_do_while_expression] = STATE(2734),
    [sym_for_expression] = STATE(2734),
    [aux_sym_object_definition_repeat1] = STATE(3912),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(43),
    [sym_identifier] = ACTIONS(533),
    [anon_sym_package] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_import] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_case] = ACTIONS(541),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_trait] = ACTIONS(545),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(547),
    [anon_sym_DASH] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(549),
    [anon_sym_var] = ACTIONS(551),
    [anon_sym_type] = ACTIONS(553),
    [anon_sym_def] = ACTIONS(555),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(559),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(565),
    [sym_floating_point_literal] = ACTIONS(567),
    [anon_sym_true] = ACTIONS(569),
    [anon_sym_false] = ACTIONS(569),
    [sym_character_literal] = ACTIONS(567),
    [sym_symbol_literal] = ACTIONS(565),
    [sym_null_literal] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_do] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(581),
    [sym__simple_multiline_string] = ACTIONS(581),
  },
  [36] = {
    [sym_import_declaration] = STATE(2248),
    [sym_object_definition] = STATE(2248),
    [sym_class_definition] = STATE(2248),
    [sym_trait_definition] = STATE(2248),
    [sym_annotation] = STATE(3904),
    [sym_val_definition] = STATE(2248),
    [sym_val_declaration] = STATE(2248),
    [sym__start_val] = STATE(3716),
    [sym_var_declaration] = STATE(2248),
    [sym_var_definition] = STATE(2248),
    [sym__start_var] = STATE(3717),
    [sym_type_definition] = STATE(2248),
    [sym_function_definition] = STATE(2248),
    [sym_function_declaration] = STATE(2248),
    [sym_modifiers] = STATE(9349),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(2262),
    [sym_expression] = STATE(1385),
    [sym_if_expression] = STATE(2262),
    [sym_match_expression] = STATE(2262),
    [sym_try_expression] = STATE(2262),
    [sym_bindings] = STATE(11538),
    [sym_lambda_expression] = STATE(2262),
    [sym_case_block] = STATE(2262),
    [sym_assignment_expression] = STATE(2262),
    [sym_generic_function] = STATE(2262),
    [sym_call_expression] = STATE(2262),
    [sym_field_expression] = STATE(2262),
    [sym_instance_expression] = STATE(2262),
    [sym_ascription_expression] = STATE(2262),
    [sym_infix_expression] = STATE(2262),
    [sym_postfix_expression] = STATE(2262),
    [sym_prefix_expression] = STATE(2262),
    [sym_tuple_expression] = STATE(2262),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_boolean_literal] = STATE(2262),
    [sym_interpolated_string_expression] = STATE(2262),
    [sym_string] = STATE(2262),
    [sym_unit] = STATE(2262),
    [sym_return_expression] = STATE(2262),
    [sym_throw_expression] = STATE(2262),
    [sym_while_expression] = STATE(2262),
    [sym_do_while_expression] = STATE(2262),
    [sym_for_expression] = STATE(2262),
    [aux_sym_object_definition_repeat1] = STATE(3904),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(729),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_package] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(727),
    [anon_sym_class] = ACTIONS(727),
    [anon_sym_trait] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(727),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(727),
    [anon_sym_var] = ACTIONS(727),
    [anon_sym_type] = ACTIONS(727),
    [anon_sym_def] = ACTIONS(727),
    [anon_sym_abstract] = ACTIONS(727),
    [anon_sym_final] = ACTIONS(727),
    [anon_sym_sealed] = ACTIONS(727),
    [anon_sym_implicit] = ACTIONS(727),
    [anon_sym_lazy] = ACTIONS(727),
    [anon_sym_override] = ACTIONS(727),
    [anon_sym_private] = ACTIONS(727),
    [anon_sym_protected] = ACTIONS(727),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(219),
    [anon_sym_catch] = ACTIONS(727),
    [anon_sym_finally] = ACTIONS(727),
    [anon_sym_new] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(223),
    [sym_floating_point_literal] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [sym_character_literal] = ACTIONS(225),
    [sym_symbol_literal] = ACTIONS(223),
    [sym_null_literal] = ACTIONS(223),
    [anon_sym_return] = ACTIONS(229),
    [anon_sym_throw] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(239),
    [sym__simple_multiline_string] = ACTIONS(239),
  },
  [37] = {
    [sym_import_declaration] = STATE(6667),
    [sym_object_definition] = STATE(6667),
    [sym_class_definition] = STATE(6667),
    [sym_trait_definition] = STATE(6667),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(6667),
    [sym_val_declaration] = STATE(6667),
    [sym__start_val] = STATE(3762),
    [sym_var_declaration] = STATE(6667),
    [sym_var_definition] = STATE(6667),
    [sym__start_var] = STATE(3764),
    [sym_type_definition] = STATE(6667),
    [sym_function_definition] = STATE(6667),
    [sym_function_declaration] = STATE(6667),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(6947),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4322),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11657),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(389),
    [anon_sym_DASH] = ACTIONS(389),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(391),
    [anon_sym_var] = ACTIONS(393),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(397),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(399),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(389),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(401),
    [anon_sym_throw] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(407),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [38] = {
    [sym_import_declaration] = STATE(6940),
    [sym_object_definition] = STATE(6940),
    [sym_class_definition] = STATE(6940),
    [sym_trait_definition] = STATE(6940),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(6940),
    [sym_val_declaration] = STATE(6940),
    [sym__start_val] = STATE(3732),
    [sym_var_declaration] = STATE(6940),
    [sym_var_definition] = STATE(6940),
    [sym__start_var] = STATE(3737),
    [sym_type_definition] = STATE(6940),
    [sym_function_definition] = STATE(6940),
    [sym_function_declaration] = STATE(6940),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(8262),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(4799),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11807),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_DASH] = ACTIONS(423),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(425),
    [anon_sym_var] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(447),
    [anon_sym_throw] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(455),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [39] = {
    [sym_import_declaration] = STATE(8559),
    [sym_object_definition] = STATE(8559),
    [sym_class_definition] = STATE(8559),
    [sym_trait_definition] = STATE(8559),
    [sym_annotation] = STATE(3936),
    [sym_val_definition] = STATE(8559),
    [sym_val_declaration] = STATE(8559),
    [sym__start_val] = STATE(3758),
    [sym_var_declaration] = STATE(8559),
    [sym_var_definition] = STATE(8559),
    [sym__start_var] = STATE(3761),
    [sym_type_definition] = STATE(8559),
    [sym_function_definition] = STATE(8559),
    [sym_function_declaration] = STATE(8559),
    [sym_modifiers] = STATE(9378),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(8559),
    [sym_block] = STATE(8601),
    [sym_expression] = STATE(6371),
    [sym_if_expression] = STATE(8601),
    [sym_match_expression] = STATE(8601),
    [sym_try_expression] = STATE(8601),
    [sym_bindings] = STATE(11636),
    [sym_lambda_expression] = STATE(8601),
    [sym_case_block] = STATE(8601),
    [sym_assignment_expression] = STATE(8601),
    [sym_generic_function] = STATE(8601),
    [sym_call_expression] = STATE(8601),
    [sym_field_expression] = STATE(8601),
    [sym_instance_expression] = STATE(8601),
    [sym_ascription_expression] = STATE(8601),
    [sym_infix_expression] = STATE(8601),
    [sym_postfix_expression] = STATE(8601),
    [sym_prefix_expression] = STATE(8601),
    [sym_tuple_expression] = STATE(8601),
    [sym_parenthesized_expression] = STATE(8601),
    [sym_boolean_literal] = STATE(8601),
    [sym_interpolated_string_expression] = STATE(8601),
    [sym_string] = STATE(8601),
    [sym_unit] = STATE(8601),
    [sym_return_expression] = STATE(8601),
    [sym_throw_expression] = STATE(8601),
    [sym_while_expression] = STATE(8601),
    [sym_do_while_expression] = STATE(8601),
    [sym_for_expression] = STATE(8601),
    [aux_sym_object_definition_repeat1] = STATE(3936),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_import] = ACTIONS(835),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_class] = ACTIONS(841),
    [anon_sym_trait] = ACTIONS(843),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(847),
    [anon_sym_var] = ACTIONS(849),
    [anon_sym_type] = ACTIONS(851),
    [anon_sym_def] = ACTIONS(853),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(859),
    [anon_sym_new] = ACTIONS(861),
    [anon_sym_BANG] = ACTIONS(845),
    [anon_sym_TILDE] = ACTIONS(845),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(863),
    [sym_floating_point_literal] = ACTIONS(865),
    [anon_sym_true] = ACTIONS(867),
    [anon_sym_false] = ACTIONS(867),
    [sym_character_literal] = ACTIONS(865),
    [sym_symbol_literal] = ACTIONS(863),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(863),
    [anon_sym_return] = ACTIONS(869),
    [anon_sym_throw] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(873),
    [anon_sym_do] = ACTIONS(875),
    [anon_sym_for] = ACTIONS(877),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(879),
    [sym__simple_multiline_string] = ACTIONS(879),
  },
  [40] = {
    [sym_import_declaration] = STATE(5081),
    [sym_object_definition] = STATE(5081),
    [sym_class_definition] = STATE(5081),
    [sym_trait_definition] = STATE(5081),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(5081),
    [sym_val_declaration] = STATE(5081),
    [sym__start_val] = STATE(3713),
    [sym_var_declaration] = STATE(5081),
    [sym_var_definition] = STATE(5081),
    [sym__start_var] = STATE(3714),
    [sym_type_definition] = STATE(5081),
    [sym_function_definition] = STATE(5081),
    [sym_function_declaration] = STATE(5081),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(5150),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11811),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_COMMA] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(345),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(347),
    [anon_sym_var] = ACTIONS(349),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(353),
    [anon_sym_catch] = ACTIONS(727),
    [anon_sym_finally] = ACTIONS(727),
    [anon_sym_new] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_TILDE] = ACTIONS(345),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(359),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(363),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [41] = {
    [sym_import_declaration] = STATE(4319),
    [sym_object_definition] = STATE(4319),
    [sym_class_definition] = STATE(4319),
    [sym_trait_definition] = STATE(4319),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(4319),
    [sym_val_declaration] = STATE(4319),
    [sym__start_val] = STATE(3743),
    [sym_var_declaration] = STATE(4319),
    [sym_var_definition] = STATE(4319),
    [sym__start_var] = STATE(3747),
    [sym_type_definition] = STATE(4319),
    [sym_function_definition] = STATE(4319),
    [sym_function_declaration] = STATE(4319),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4210),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11949),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(99),
    [anon_sym_var] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_else] = ACTIONS(727),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(105),
    [anon_sym_catch] = ACTIONS(727),
    [anon_sym_finally] = ACTIONS(727),
    [anon_sym_new] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(97),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(109),
    [anon_sym_throw] = ACTIONS(111),
    [anon_sym_while] = ACTIONS(113),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(115),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [42] = {
    [sym_import_declaration] = STATE(5081),
    [sym_object_definition] = STATE(5081),
    [sym_class_definition] = STATE(5081),
    [sym_trait_definition] = STATE(5081),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(5081),
    [sym_val_declaration] = STATE(5081),
    [sym__start_val] = STATE(3713),
    [sym_var_declaration] = STATE(5081),
    [sym_var_definition] = STATE(5081),
    [sym__start_var] = STATE(3714),
    [sym_type_definition] = STATE(5081),
    [sym_function_definition] = STATE(5081),
    [sym_function_declaration] = STATE(5081),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(5150),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11811),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_COMMA] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(345),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(347),
    [anon_sym_var] = ACTIONS(349),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_RPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(353),
    [anon_sym_catch] = ACTIONS(607),
    [anon_sym_finally] = ACTIONS(607),
    [anon_sym_new] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_TILDE] = ACTIONS(345),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(359),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(363),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [43] = {
    [sym_import_declaration] = STATE(7070),
    [sym_object_definition] = STATE(7070),
    [sym_class_definition] = STATE(7070),
    [sym_trait_definition] = STATE(7070),
    [sym_annotation] = STATE(3942),
    [sym_val_definition] = STATE(7070),
    [sym_val_declaration] = STATE(7070),
    [sym__start_val] = STATE(3711),
    [sym_var_declaration] = STATE(7070),
    [sym_var_definition] = STATE(7070),
    [sym__start_var] = STATE(3731),
    [sym_type_definition] = STATE(7070),
    [sym_function_definition] = STATE(7070),
    [sym_function_declaration] = STATE(7070),
    [sym_modifiers] = STATE(9410),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(7002),
    [sym_expression] = STATE(5077),
    [sym_if_expression] = STATE(7002),
    [sym_match_expression] = STATE(7002),
    [sym_try_expression] = STATE(7002),
    [sym_bindings] = STATE(11845),
    [sym_lambda_expression] = STATE(7002),
    [sym_case_block] = STATE(7002),
    [sym_assignment_expression] = STATE(7002),
    [sym_generic_function] = STATE(7002),
    [sym_call_expression] = STATE(7002),
    [sym_field_expression] = STATE(7002),
    [sym_instance_expression] = STATE(7002),
    [sym_ascription_expression] = STATE(7002),
    [sym_infix_expression] = STATE(7002),
    [sym_postfix_expression] = STATE(7002),
    [sym_prefix_expression] = STATE(7002),
    [sym_tuple_expression] = STATE(7002),
    [sym_parenthesized_expression] = STATE(7002),
    [sym_boolean_literal] = STATE(7002),
    [sym_interpolated_string_expression] = STATE(7002),
    [sym_string] = STATE(7002),
    [sym_unit] = STATE(7002),
    [sym_return_expression] = STATE(7002),
    [sym_throw_expression] = STATE(7002),
    [sym_while_expression] = STATE(7002),
    [sym_do_while_expression] = STATE(7002),
    [sym_for_expression] = STATE(7002),
    [aux_sym_object_definition_repeat1] = STATE(3942),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(243),
    [anon_sym_import] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_EQ_GT] = ACTIONS(607),
    [anon_sym_case] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(251),
    [anon_sym_trait] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(255),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(257),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_type] = ACTIONS(261),
    [anon_sym_def] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_else] = ACTIONS(607),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(269),
    [anon_sym_catch] = ACTIONS(607),
    [anon_sym_finally] = ACTIONS(607),
    [anon_sym_new] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_TILDE] = ACTIONS(255),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(273),
    [sym_floating_point_literal] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(277),
    [anon_sym_false] = ACTIONS(277),
    [sym_character_literal] = ACTIONS(275),
    [sym_symbol_literal] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_throw] = ACTIONS(281),
    [anon_sym_while] = ACTIONS(283),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_for] = ACTIONS(287),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(289),
    [sym__simple_multiline_string] = ACTIONS(289),
  },
  [44] = {
    [sym_import_declaration] = STATE(4319),
    [sym_object_definition] = STATE(4319),
    [sym_class_definition] = STATE(4319),
    [sym_trait_definition] = STATE(4319),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(4319),
    [sym_val_declaration] = STATE(4319),
    [sym__start_val] = STATE(3743),
    [sym_var_declaration] = STATE(4319),
    [sym_var_definition] = STATE(4319),
    [sym__start_var] = STATE(3747),
    [sym_type_definition] = STATE(4319),
    [sym_function_definition] = STATE(4319),
    [sym_function_declaration] = STATE(4319),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4210),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11949),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(99),
    [anon_sym_var] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_RPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_else] = ACTIONS(607),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(105),
    [anon_sym_catch] = ACTIONS(607),
    [anon_sym_finally] = ACTIONS(607),
    [anon_sym_new] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(97),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(109),
    [anon_sym_throw] = ACTIONS(111),
    [anon_sym_while] = ACTIONS(113),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(115),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [45] = {
    [sym_import_declaration] = STATE(2248),
    [sym_object_definition] = STATE(2248),
    [sym_class_definition] = STATE(2248),
    [sym_trait_definition] = STATE(2248),
    [sym_annotation] = STATE(3904),
    [sym_val_definition] = STATE(2248),
    [sym_val_declaration] = STATE(2248),
    [sym__start_val] = STATE(3716),
    [sym_var_declaration] = STATE(2248),
    [sym_var_definition] = STATE(2248),
    [sym__start_var] = STATE(3717),
    [sym_type_definition] = STATE(2248),
    [sym_function_definition] = STATE(2248),
    [sym_function_declaration] = STATE(2248),
    [sym_modifiers] = STATE(9349),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(2262),
    [sym_expression] = STATE(1385),
    [sym_if_expression] = STATE(2262),
    [sym_match_expression] = STATE(2262),
    [sym_try_expression] = STATE(2262),
    [sym_bindings] = STATE(11538),
    [sym_lambda_expression] = STATE(2262),
    [sym_case_block] = STATE(2262),
    [sym_assignment_expression] = STATE(2262),
    [sym_generic_function] = STATE(2262),
    [sym_call_expression] = STATE(2262),
    [sym_field_expression] = STATE(2262),
    [sym_instance_expression] = STATE(2262),
    [sym_ascription_expression] = STATE(2262),
    [sym_infix_expression] = STATE(2262),
    [sym_postfix_expression] = STATE(2262),
    [sym_prefix_expression] = STATE(2262),
    [sym_tuple_expression] = STATE(2262),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_boolean_literal] = STATE(2262),
    [sym_interpolated_string_expression] = STATE(2262),
    [sym_string] = STATE(2262),
    [sym_unit] = STATE(2262),
    [sym_return_expression] = STATE(2262),
    [sym_throw_expression] = STATE(2262),
    [sym_while_expression] = STATE(2262),
    [sym_do_while_expression] = STATE(2262),
    [sym_for_expression] = STATE(2262),
    [aux_sym_object_definition_repeat1] = STATE(3904),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(605),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_package] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(607),
    [anon_sym_import] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(607),
    [anon_sym_trait] = ACTIONS(607),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(607),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(607),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(607),
    [anon_sym_def] = ACTIONS(607),
    [anon_sym_abstract] = ACTIONS(607),
    [anon_sym_final] = ACTIONS(607),
    [anon_sym_sealed] = ACTIONS(607),
    [anon_sym_implicit] = ACTIONS(607),
    [anon_sym_lazy] = ACTIONS(607),
    [anon_sym_override] = ACTIONS(607),
    [anon_sym_private] = ACTIONS(607),
    [anon_sym_protected] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(219),
    [anon_sym_catch] = ACTIONS(607),
    [anon_sym_finally] = ACTIONS(607),
    [anon_sym_new] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(223),
    [sym_floating_point_literal] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [sym_character_literal] = ACTIONS(225),
    [sym_symbol_literal] = ACTIONS(223),
    [sym_null_literal] = ACTIONS(223),
    [anon_sym_return] = ACTIONS(229),
    [anon_sym_throw] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(239),
    [sym__simple_multiline_string] = ACTIONS(239),
  },
  [46] = {
    [sym_import_declaration] = STATE(7153),
    [sym_object_definition] = STATE(7153),
    [sym_class_definition] = STATE(7153),
    [sym_trait_definition] = STATE(7153),
    [sym_annotation] = STATE(3943),
    [sym_val_definition] = STATE(7153),
    [sym_val_declaration] = STATE(7153),
    [sym__start_val] = STATE(3772),
    [sym_var_declaration] = STATE(7153),
    [sym_var_definition] = STATE(7153),
    [sym__start_var] = STATE(3775),
    [sym_type_definition] = STATE(7153),
    [sym_function_definition] = STATE(7153),
    [sym_function_declaration] = STATE(7153),
    [sym_modifiers] = STATE(9380),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(8752),
    [sym_block] = STATE(7649),
    [sym_expression] = STATE(5014),
    [sym_if_expression] = STATE(7649),
    [sym_match_expression] = STATE(7649),
    [sym_try_expression] = STATE(7649),
    [sym_bindings] = STATE(11771),
    [sym_lambda_expression] = STATE(7649),
    [sym_case_block] = STATE(7649),
    [sym_assignment_expression] = STATE(7649),
    [sym_generic_function] = STATE(7649),
    [sym_call_expression] = STATE(7649),
    [sym_field_expression] = STATE(7649),
    [sym_instance_expression] = STATE(7649),
    [sym_ascription_expression] = STATE(7649),
    [sym_infix_expression] = STATE(7649),
    [sym_postfix_expression] = STATE(7649),
    [sym_prefix_expression] = STATE(7649),
    [sym_tuple_expression] = STATE(7649),
    [sym_parenthesized_expression] = STATE(7649),
    [sym_boolean_literal] = STATE(7649),
    [sym_interpolated_string_expression] = STATE(7649),
    [sym_string] = STATE(7649),
    [sym_unit] = STATE(7649),
    [sym_return_expression] = STATE(7649),
    [sym_throw_expression] = STATE(7649),
    [sym_while_expression] = STATE(7649),
    [sym_do_while_expression] = STATE(7649),
    [sym_for_expression] = STATE(7649),
    [aux_sym_object_definition_repeat1] = STATE(3943),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(485),
    [anon_sym_import] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_case] = ACTIONS(491),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_trait] = ACTIONS(495),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(499),
    [anon_sym_var] = ACTIONS(501),
    [anon_sym_type] = ACTIONS(503),
    [anon_sym_def] = ACTIONS(505),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(513),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(515),
    [sym_floating_point_literal] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(517),
    [sym_symbol_literal] = ACTIONS(515),
    [sym_null_literal] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_throw] = ACTIONS(523),
    [anon_sym_while] = ACTIONS(525),
    [anon_sym_do] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(531),
    [sym__simple_multiline_string] = ACTIONS(531),
  },
  [47] = {
    [sym_import_declaration] = STATE(5426),
    [sym_object_definition] = STATE(5426),
    [sym_class_definition] = STATE(5426),
    [sym_trait_definition] = STATE(5426),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(5426),
    [sym_val_declaration] = STATE(5426),
    [sym__start_val] = STATE(3748),
    [sym_var_declaration] = STATE(5426),
    [sym_var_definition] = STATE(5426),
    [sym__start_var] = STATE(3749),
    [sym_type_definition] = STATE(5426),
    [sym_function_definition] = STATE(5426),
    [sym_function_declaration] = STATE(5426),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(5426),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(5953),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11487),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(461),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(885),
    [anon_sym_var] = ACTIONS(887),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(883),
    [anon_sym_TILDE] = ACTIONS(883),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_throw] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(899),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(901),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [48] = {
    [sym_import_declaration] = STATE(6315),
    [sym_object_definition] = STATE(6315),
    [sym_class_definition] = STATE(6315),
    [sym_trait_definition] = STATE(6315),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(6315),
    [sym_val_declaration] = STATE(6315),
    [sym__start_val] = STATE(3708),
    [sym_var_declaration] = STATE(6315),
    [sym_var_definition] = STATE(6315),
    [sym__start_var] = STATE(3709),
    [sym_type_definition] = STATE(6315),
    [sym_function_definition] = STATE(6315),
    [sym_function_declaration] = STATE(6315),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(6315),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6288),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11637),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(903),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(905),
    [anon_sym_DASH] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(907),
    [anon_sym_var] = ACTIONS(909),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(913),
    [anon_sym_new] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(905),
    [anon_sym_TILDE] = ACTIONS(905),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(43),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(919),
    [anon_sym_while] = ACTIONS(921),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(923),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(43),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [49] = {
    [sym_import_declaration] = STATE(7427),
    [sym_object_definition] = STATE(7427),
    [sym_class_definition] = STATE(7427),
    [sym_trait_definition] = STATE(7427),
    [sym_annotation] = STATE(3952),
    [sym_val_definition] = STATE(7427),
    [sym_val_declaration] = STATE(7427),
    [sym__start_val] = STATE(3786),
    [sym_var_declaration] = STATE(7427),
    [sym_var_definition] = STATE(7427),
    [sym__start_var] = STATE(3785),
    [sym_type_definition] = STATE(7427),
    [sym_function_definition] = STATE(7427),
    [sym_function_declaration] = STATE(7427),
    [sym_modifiers] = STATE(9316),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(9012),
    [sym_block] = STATE(8393),
    [sym_expression] = STATE(5581),
    [sym_if_expression] = STATE(8393),
    [sym_match_expression] = STATE(8393),
    [sym_try_expression] = STATE(8393),
    [sym_bindings] = STATE(11824),
    [sym_lambda_expression] = STATE(8393),
    [sym_case_block] = STATE(8393),
    [sym_assignment_expression] = STATE(8393),
    [sym_generic_function] = STATE(8393),
    [sym_call_expression] = STATE(8393),
    [sym_field_expression] = STATE(8393),
    [sym_instance_expression] = STATE(8393),
    [sym_ascription_expression] = STATE(8393),
    [sym_infix_expression] = STATE(8393),
    [sym_postfix_expression] = STATE(8393),
    [sym_prefix_expression] = STATE(8393),
    [sym_tuple_expression] = STATE(8393),
    [sym_parenthesized_expression] = STATE(8393),
    [sym_boolean_literal] = STATE(8393),
    [sym_interpolated_string_expression] = STATE(8393),
    [sym_string] = STATE(8393),
    [sym_unit] = STATE(8393),
    [sym_return_expression] = STATE(8393),
    [sym_throw_expression] = STATE(8393),
    [sym_while_expression] = STATE(8393),
    [sym_do_while_expression] = STATE(8393),
    [sym_for_expression] = STATE(8393),
    [aux_sym_object_definition_repeat1] = STATE(3952),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(737),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_case] = ACTIONS(739),
    [anon_sym_class] = ACTIONS(741),
    [anon_sym_trait] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(745),
    [anon_sym_DASH] = ACTIONS(745),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(747),
    [anon_sym_var] = ACTIONS(749),
    [anon_sym_type] = ACTIONS(751),
    [anon_sym_def] = ACTIONS(753),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_if] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(759),
    [anon_sym_new] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(763),
    [sym_floating_point_literal] = ACTIONS(765),
    [anon_sym_true] = ACTIONS(767),
    [anon_sym_false] = ACTIONS(767),
    [sym_character_literal] = ACTIONS(765),
    [sym_symbol_literal] = ACTIONS(763),
    [sym_null_literal] = ACTIONS(763),
    [anon_sym_return] = ACTIONS(769),
    [anon_sym_throw] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(773),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(777),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(779),
    [sym__simple_multiline_string] = ACTIONS(779),
  },
  [50] = {
    [sym_import_declaration] = STATE(2768),
    [sym_object_definition] = STATE(2768),
    [sym_class_definition] = STATE(2768),
    [sym_trait_definition] = STATE(2768),
    [sym_annotation] = STATE(3912),
    [sym_val_definition] = STATE(2768),
    [sym_val_declaration] = STATE(2768),
    [sym__start_val] = STATE(3739),
    [sym_var_declaration] = STATE(2768),
    [sym_var_definition] = STATE(2768),
    [sym__start_var] = STATE(3741),
    [sym_type_definition] = STATE(2768),
    [sym_function_definition] = STATE(2768),
    [sym_function_declaration] = STATE(2768),
    [sym_modifiers] = STATE(9354),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(2734),
    [sym_expression] = STATE(1619),
    [sym_if_expression] = STATE(2734),
    [sym_match_expression] = STATE(2734),
    [sym_try_expression] = STATE(2734),
    [sym_bindings] = STATE(11390),
    [sym_lambda_expression] = STATE(2734),
    [sym_case_block] = STATE(2734),
    [sym_assignment_expression] = STATE(2734),
    [sym_generic_function] = STATE(2734),
    [sym_call_expression] = STATE(2734),
    [sym_field_expression] = STATE(2734),
    [sym_instance_expression] = STATE(2734),
    [sym_ascription_expression] = STATE(2734),
    [sym_infix_expression] = STATE(2734),
    [sym_postfix_expression] = STATE(2734),
    [sym_prefix_expression] = STATE(2734),
    [sym_tuple_expression] = STATE(2734),
    [sym_parenthesized_expression] = STATE(2734),
    [sym_boolean_literal] = STATE(2734),
    [sym_interpolated_string_expression] = STATE(2734),
    [sym_string] = STATE(2734),
    [sym_unit] = STATE(2734),
    [sym_return_expression] = STATE(2734),
    [sym_throw_expression] = STATE(2734),
    [sym_while_expression] = STATE(2734),
    [sym_do_while_expression] = STATE(2734),
    [sym_for_expression] = STATE(2734),
    [aux_sym_object_definition_repeat1] = STATE(3912),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(605),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_package] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(607),
    [anon_sym_import] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(607),
    [anon_sym_trait] = ACTIONS(607),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(547),
    [anon_sym_DASH] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(607),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(607),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(607),
    [anon_sym_def] = ACTIONS(607),
    [anon_sym_abstract] = ACTIONS(607),
    [anon_sym_final] = ACTIONS(607),
    [anon_sym_sealed] = ACTIONS(607),
    [anon_sym_implicit] = ACTIONS(607),
    [anon_sym_lazy] = ACTIONS(607),
    [anon_sym_override] = ACTIONS(607),
    [anon_sym_private] = ACTIONS(607),
    [anon_sym_protected] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(559),
    [anon_sym_else] = ACTIONS(607),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(565),
    [sym_floating_point_literal] = ACTIONS(567),
    [anon_sym_true] = ACTIONS(569),
    [anon_sym_false] = ACTIONS(569),
    [sym_character_literal] = ACTIONS(567),
    [sym_symbol_literal] = ACTIONS(565),
    [sym_null_literal] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_do] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(581),
    [sym__simple_multiline_string] = ACTIONS(581),
  },
  [51] = {
    [sym_import_declaration] = STATE(7590),
    [sym_object_definition] = STATE(7590),
    [sym_class_definition] = STATE(7590),
    [sym_trait_definition] = STATE(7590),
    [sym_annotation] = STATE(3943),
    [sym_val_definition] = STATE(7590),
    [sym_val_declaration] = STATE(7590),
    [sym__start_val] = STATE(3772),
    [sym_var_declaration] = STATE(7590),
    [sym_var_definition] = STATE(7590),
    [sym__start_var] = STATE(3775),
    [sym_type_definition] = STATE(7590),
    [sym_function_definition] = STATE(7590),
    [sym_function_declaration] = STATE(7590),
    [sym_modifiers] = STATE(9380),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(7649),
    [sym_expression] = STATE(5926),
    [sym_if_expression] = STATE(7649),
    [sym_match_expression] = STATE(7649),
    [sym_try_expression] = STATE(7649),
    [sym_bindings] = STATE(11771),
    [sym_lambda_expression] = STATE(7649),
    [sym_case_block] = STATE(7649),
    [sym_assignment_expression] = STATE(7649),
    [sym_generic_function] = STATE(7649),
    [sym_call_expression] = STATE(7649),
    [sym_field_expression] = STATE(7649),
    [sym_instance_expression] = STATE(7649),
    [sym_ascription_expression] = STATE(7649),
    [sym_infix_expression] = STATE(7649),
    [sym_postfix_expression] = STATE(7649),
    [sym_prefix_expression] = STATE(7649),
    [sym_tuple_expression] = STATE(7649),
    [sym_parenthesized_expression] = STATE(7649),
    [sym_boolean_literal] = STATE(7649),
    [sym_interpolated_string_expression] = STATE(7649),
    [sym_string] = STATE(7649),
    [sym_unit] = STATE(7649),
    [sym_return_expression] = STATE(7649),
    [sym_throw_expression] = STATE(7649),
    [sym_while_expression] = STATE(7649),
    [sym_do_while_expression] = STATE(7649),
    [sym_for_expression] = STATE(7649),
    [aux_sym_object_definition_repeat1] = STATE(3943),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(485),
    [anon_sym_import] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_EQ_GT] = ACTIONS(607),
    [anon_sym_case] = ACTIONS(491),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_trait] = ACTIONS(495),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(499),
    [anon_sym_var] = ACTIONS(501),
    [anon_sym_type] = ACTIONS(503),
    [anon_sym_def] = ACTIONS(505),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_catch] = ACTIONS(607),
    [anon_sym_finally] = ACTIONS(607),
    [anon_sym_new] = ACTIONS(513),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(515),
    [sym_floating_point_literal] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(517),
    [sym_symbol_literal] = ACTIONS(515),
    [sym_null_literal] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_throw] = ACTIONS(523),
    [anon_sym_while] = ACTIONS(525),
    [anon_sym_do] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(531),
    [sym__simple_multiline_string] = ACTIONS(531),
  },
  [52] = {
    [sym_import_declaration] = STATE(7015),
    [sym_object_definition] = STATE(7015),
    [sym_class_definition] = STATE(7015),
    [sym_trait_definition] = STATE(7015),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(7015),
    [sym_val_declaration] = STATE(7015),
    [sym__start_val] = STATE(3721),
    [sym_var_declaration] = STATE(7015),
    [sym_var_definition] = STATE(7015),
    [sym__start_var] = STATE(3722),
    [sym_type_definition] = STATE(7015),
    [sym_function_definition] = STATE(7015),
    [sym_function_declaration] = STATE(7015),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(7957),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(4963),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11647),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(613),
    [anon_sym_var] = ACTIONS(615),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(619),
    [anon_sym_catch] = ACTIONS(35),
    [anon_sym_finally] = ACTIONS(35),
    [anon_sym_new] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(611),
    [anon_sym_TILDE] = ACTIONS(611),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(629),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [53] = {
    [sym_import_declaration] = STATE(5648),
    [sym_object_definition] = STATE(5648),
    [sym_class_definition] = STATE(5648),
    [sym_trait_definition] = STATE(5648),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(5648),
    [sym_val_declaration] = STATE(5648),
    [sym__start_val] = STATE(3732),
    [sym_var_declaration] = STATE(5648),
    [sym_var_definition] = STATE(5648),
    [sym__start_var] = STATE(3737),
    [sym_type_definition] = STATE(5648),
    [sym_function_definition] = STATE(5648),
    [sym_function_declaration] = STATE(5648),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(5734),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11807),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_DASH] = ACTIONS(423),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(425),
    [anon_sym_var] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_RPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_else] = ACTIONS(607),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(447),
    [anon_sym_throw] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(455),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [54] = {
    [sym_import_declaration] = STATE(5081),
    [sym_object_definition] = STATE(5081),
    [sym_class_definition] = STATE(5081),
    [sym_trait_definition] = STATE(5081),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(5081),
    [sym_val_declaration] = STATE(5081),
    [sym__start_val] = STATE(3703),
    [sym_var_declaration] = STATE(5081),
    [sym_var_definition] = STATE(5081),
    [sym__start_var] = STATE(3704),
    [sym_type_definition] = STATE(5081),
    [sym_function_definition] = STATE(5081),
    [sym_function_declaration] = STATE(5081),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(4556),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11510),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_var] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_RPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_catch] = ACTIONS(607),
    [anon_sym_finally] = ACTIONS(607),
    [anon_sym_new] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_TILDE] = ACTIONS(305),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(331),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [55] = {
    [sym_import_declaration] = STATE(5648),
    [sym_object_definition] = STATE(5648),
    [sym_class_definition] = STATE(5648),
    [sym_trait_definition] = STATE(5648),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(5648),
    [sym_val_declaration] = STATE(5648),
    [sym__start_val] = STATE(3732),
    [sym_var_declaration] = STATE(5648),
    [sym_var_definition] = STATE(5648),
    [sym__start_var] = STATE(3737),
    [sym_type_definition] = STATE(5648),
    [sym_function_definition] = STATE(5648),
    [sym_function_declaration] = STATE(5648),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(5734),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11807),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_DASH] = ACTIONS(423),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(425),
    [anon_sym_var] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_else] = ACTIONS(727),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(423),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(447),
    [anon_sym_throw] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(455),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [56] = {
    [sym_import_declaration] = STATE(4319),
    [sym_object_definition] = STATE(4319),
    [sym_class_definition] = STATE(4319),
    [sym_trait_definition] = STATE(4319),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(4319),
    [sym_val_declaration] = STATE(4319),
    [sym__start_val] = STATE(3762),
    [sym_var_declaration] = STATE(4319),
    [sym_var_definition] = STATE(4319),
    [sym__start_var] = STATE(3764),
    [sym_type_definition] = STATE(4319),
    [sym_function_definition] = STATE(4319),
    [sym_function_declaration] = STATE(4319),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4969),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11657),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(389),
    [anon_sym_DASH] = ACTIONS(389),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(391),
    [anon_sym_var] = ACTIONS(393),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_else] = ACTIONS(607),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(397),
    [anon_sym_catch] = ACTIONS(607),
    [anon_sym_finally] = ACTIONS(607),
    [anon_sym_new] = ACTIONS(399),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(389),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(401),
    [anon_sym_throw] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(407),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [57] = {
    [sym_import_declaration] = STATE(4319),
    [sym_object_definition] = STATE(4319),
    [sym_class_definition] = STATE(4319),
    [sym_trait_definition] = STATE(4319),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(4319),
    [sym_val_declaration] = STATE(4319),
    [sym__start_val] = STATE(3762),
    [sym_var_declaration] = STATE(4319),
    [sym_var_definition] = STATE(4319),
    [sym__start_var] = STATE(3764),
    [sym_type_definition] = STATE(4319),
    [sym_function_definition] = STATE(4319),
    [sym_function_declaration] = STATE(4319),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4969),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11657),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(389),
    [anon_sym_DASH] = ACTIONS(389),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(391),
    [anon_sym_var] = ACTIONS(393),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_else] = ACTIONS(727),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(397),
    [anon_sym_catch] = ACTIONS(727),
    [anon_sym_finally] = ACTIONS(727),
    [anon_sym_new] = ACTIONS(399),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(389),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(401),
    [anon_sym_throw] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(407),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [58] = {
    [sym_import_declaration] = STATE(5081),
    [sym_object_definition] = STATE(5081),
    [sym_class_definition] = STATE(5081),
    [sym_trait_definition] = STATE(5081),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(5081),
    [sym_val_declaration] = STATE(5081),
    [sym__start_val] = STATE(3703),
    [sym_var_declaration] = STATE(5081),
    [sym_var_definition] = STATE(5081),
    [sym__start_var] = STATE(3704),
    [sym_type_definition] = STATE(5081),
    [sym_function_definition] = STATE(5081),
    [sym_function_declaration] = STATE(5081),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(4556),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11510),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_var] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_catch] = ACTIONS(727),
    [anon_sym_finally] = ACTIONS(727),
    [anon_sym_new] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_TILDE] = ACTIONS(305),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(331),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [59] = {
    [sym_import_declaration] = STATE(2768),
    [sym_object_definition] = STATE(2768),
    [sym_class_definition] = STATE(2768),
    [sym_trait_definition] = STATE(2768),
    [sym_annotation] = STATE(3912),
    [sym_val_definition] = STATE(2768),
    [sym_val_declaration] = STATE(2768),
    [sym__start_val] = STATE(3739),
    [sym_var_declaration] = STATE(2768),
    [sym_var_definition] = STATE(2768),
    [sym__start_var] = STATE(3741),
    [sym_type_definition] = STATE(2768),
    [sym_function_definition] = STATE(2768),
    [sym_function_declaration] = STATE(2768),
    [sym_modifiers] = STATE(9354),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(2734),
    [sym_expression] = STATE(1619),
    [sym_if_expression] = STATE(2734),
    [sym_match_expression] = STATE(2734),
    [sym_try_expression] = STATE(2734),
    [sym_bindings] = STATE(11390),
    [sym_lambda_expression] = STATE(2734),
    [sym_case_block] = STATE(2734),
    [sym_assignment_expression] = STATE(2734),
    [sym_generic_function] = STATE(2734),
    [sym_call_expression] = STATE(2734),
    [sym_field_expression] = STATE(2734),
    [sym_instance_expression] = STATE(2734),
    [sym_ascription_expression] = STATE(2734),
    [sym_infix_expression] = STATE(2734),
    [sym_postfix_expression] = STATE(2734),
    [sym_prefix_expression] = STATE(2734),
    [sym_tuple_expression] = STATE(2734),
    [sym_parenthesized_expression] = STATE(2734),
    [sym_boolean_literal] = STATE(2734),
    [sym_interpolated_string_expression] = STATE(2734),
    [sym_string] = STATE(2734),
    [sym_unit] = STATE(2734),
    [sym_return_expression] = STATE(2734),
    [sym_throw_expression] = STATE(2734),
    [sym_while_expression] = STATE(2734),
    [sym_do_while_expression] = STATE(2734),
    [sym_for_expression] = STATE(2734),
    [aux_sym_object_definition_repeat1] = STATE(3912),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(729),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_package] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(727),
    [anon_sym_class] = ACTIONS(727),
    [anon_sym_trait] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(547),
    [anon_sym_DASH] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(727),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(727),
    [anon_sym_var] = ACTIONS(727),
    [anon_sym_type] = ACTIONS(727),
    [anon_sym_def] = ACTIONS(727),
    [anon_sym_abstract] = ACTIONS(727),
    [anon_sym_final] = ACTIONS(727),
    [anon_sym_sealed] = ACTIONS(727),
    [anon_sym_implicit] = ACTIONS(727),
    [anon_sym_lazy] = ACTIONS(727),
    [anon_sym_override] = ACTIONS(727),
    [anon_sym_private] = ACTIONS(727),
    [anon_sym_protected] = ACTIONS(727),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(559),
    [anon_sym_else] = ACTIONS(727),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(565),
    [sym_floating_point_literal] = ACTIONS(567),
    [anon_sym_true] = ACTIONS(569),
    [anon_sym_false] = ACTIONS(569),
    [sym_character_literal] = ACTIONS(567),
    [sym_symbol_literal] = ACTIONS(565),
    [sym_null_literal] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_do] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(581),
    [sym__simple_multiline_string] = ACTIONS(581),
  },
  [60] = {
    [sym_import_declaration] = STATE(7590),
    [sym_object_definition] = STATE(7590),
    [sym_class_definition] = STATE(7590),
    [sym_trait_definition] = STATE(7590),
    [sym_annotation] = STATE(3943),
    [sym_val_definition] = STATE(7590),
    [sym_val_declaration] = STATE(7590),
    [sym__start_val] = STATE(3772),
    [sym_var_declaration] = STATE(7590),
    [sym_var_definition] = STATE(7590),
    [sym__start_var] = STATE(3775),
    [sym_type_definition] = STATE(7590),
    [sym_function_definition] = STATE(7590),
    [sym_function_declaration] = STATE(7590),
    [sym_modifiers] = STATE(9380),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(7649),
    [sym_expression] = STATE(5926),
    [sym_if_expression] = STATE(7649),
    [sym_match_expression] = STATE(7649),
    [sym_try_expression] = STATE(7649),
    [sym_bindings] = STATE(11771),
    [sym_lambda_expression] = STATE(7649),
    [sym_case_block] = STATE(7649),
    [sym_assignment_expression] = STATE(7649),
    [sym_generic_function] = STATE(7649),
    [sym_call_expression] = STATE(7649),
    [sym_field_expression] = STATE(7649),
    [sym_instance_expression] = STATE(7649),
    [sym_ascription_expression] = STATE(7649),
    [sym_infix_expression] = STATE(7649),
    [sym_postfix_expression] = STATE(7649),
    [sym_prefix_expression] = STATE(7649),
    [sym_tuple_expression] = STATE(7649),
    [sym_parenthesized_expression] = STATE(7649),
    [sym_boolean_literal] = STATE(7649),
    [sym_interpolated_string_expression] = STATE(7649),
    [sym_string] = STATE(7649),
    [sym_unit] = STATE(7649),
    [sym_return_expression] = STATE(7649),
    [sym_throw_expression] = STATE(7649),
    [sym_while_expression] = STATE(7649),
    [sym_do_while_expression] = STATE(7649),
    [sym_for_expression] = STATE(7649),
    [aux_sym_object_definition_repeat1] = STATE(3943),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(485),
    [anon_sym_import] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_EQ_GT] = ACTIONS(727),
    [anon_sym_case] = ACTIONS(491),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_trait] = ACTIONS(495),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(499),
    [anon_sym_var] = ACTIONS(501),
    [anon_sym_type] = ACTIONS(503),
    [anon_sym_def] = ACTIONS(505),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_catch] = ACTIONS(727),
    [anon_sym_finally] = ACTIONS(727),
    [anon_sym_new] = ACTIONS(513),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(515),
    [sym_floating_point_literal] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(517),
    [sym_symbol_literal] = ACTIONS(515),
    [sym_null_literal] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_throw] = ACTIONS(523),
    [anon_sym_while] = ACTIONS(525),
    [anon_sym_do] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(531),
    [sym__simple_multiline_string] = ACTIONS(531),
  },
  [61] = {
    [sym_import_declaration] = STATE(8106),
    [sym_object_definition] = STATE(8106),
    [sym_class_definition] = STATE(8106),
    [sym_trait_definition] = STATE(8106),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(8106),
    [sym_val_declaration] = STATE(8106),
    [sym__start_val] = STATE(3719),
    [sym_var_declaration] = STATE(8106),
    [sym_var_definition] = STATE(8106),
    [sym__start_var] = STATE(3720),
    [sym_type_definition] = STATE(8106),
    [sym_function_definition] = STATE(8106),
    [sym_function_declaration] = STATE(8106),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(8262),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(5629),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11516),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(461),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(465),
    [anon_sym_var] = ACTIONS(467),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(469),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(471),
    [anon_sym_new] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_TILDE] = ACTIONS(463),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(475),
    [anon_sym_throw] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(481),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [62] = {
    [sym_import_declaration] = STATE(2750),
    [sym_object_definition] = STATE(2750),
    [sym_class_definition] = STATE(2750),
    [sym_trait_definition] = STATE(2750),
    [sym_annotation] = STATE(3872),
    [sym_val_definition] = STATE(2750),
    [sym_val_declaration] = STATE(2750),
    [sym__start_val] = STATE(3701),
    [sym_var_declaration] = STATE(2750),
    [sym_var_definition] = STATE(2750),
    [sym__start_var] = STATE(3702),
    [sym_type_definition] = STATE(2750),
    [sym_function_definition] = STATE(2750),
    [sym_function_declaration] = STATE(2750),
    [sym_modifiers] = STATE(9339),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(3119),
    [sym_block] = STATE(2999),
    [sym_expression] = STATE(1453),
    [sym_if_expression] = STATE(2999),
    [sym_match_expression] = STATE(2999),
    [sym_try_expression] = STATE(2999),
    [sym_bindings] = STATE(11869),
    [sym_lambda_expression] = STATE(2999),
    [sym_case_block] = STATE(2999),
    [sym_assignment_expression] = STATE(2999),
    [sym_generic_function] = STATE(2999),
    [sym_call_expression] = STATE(2999),
    [sym_field_expression] = STATE(2999),
    [sym_instance_expression] = STATE(2999),
    [sym_ascription_expression] = STATE(2999),
    [sym_infix_expression] = STATE(2999),
    [sym_postfix_expression] = STATE(2999),
    [sym_prefix_expression] = STATE(2999),
    [sym_tuple_expression] = STATE(2999),
    [sym_parenthesized_expression] = STATE(2999),
    [sym_boolean_literal] = STATE(2999),
    [sym_interpolated_string_expression] = STATE(2999),
    [sym_string] = STATE(2999),
    [sym_unit] = STATE(2999),
    [sym_return_expression] = STATE(2999),
    [sym_throw_expression] = STATE(2999),
    [sym_while_expression] = STATE(2999),
    [sym_do_while_expression] = STATE(2999),
    [sym_for_expression] = STATE(2999),
    [aux_sym_object_definition_repeat1] = STATE(3872),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(43),
    [sym_identifier] = ACTIONS(781),
    [anon_sym_package] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(787),
    [anon_sym_case] = ACTIONS(789),
    [anon_sym_class] = ACTIONS(791),
    [anon_sym_trait] = ACTIONS(793),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(797),
    [anon_sym_var] = ACTIONS(799),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_def] = ACTIONS(803),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(809),
    [anon_sym_new] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(795),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(813),
    [sym_floating_point_literal] = ACTIONS(815),
    [anon_sym_true] = ACTIONS(817),
    [anon_sym_false] = ACTIONS(817),
    [sym_character_literal] = ACTIONS(815),
    [sym_symbol_literal] = ACTIONS(813),
    [sym_null_literal] = ACTIONS(813),
    [anon_sym_return] = ACTIONS(819),
    [anon_sym_throw] = ACTIONS(821),
    [anon_sym_while] = ACTIONS(823),
    [anon_sym_do] = ACTIONS(825),
    [anon_sym_for] = ACTIONS(827),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(829),
    [sym__simple_multiline_string] = ACTIONS(829),
  },
  [63] = {
    [sym_import_declaration] = STATE(7417),
    [sym_object_definition] = STATE(7417),
    [sym_class_definition] = STATE(7417),
    [sym_trait_definition] = STATE(7417),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(7417),
    [sym_val_declaration] = STATE(7417),
    [sym__start_val] = STATE(3691),
    [sym_var_declaration] = STATE(7417),
    [sym_var_definition] = STATE(7417),
    [sym__start_var] = STATE(3696),
    [sym_type_definition] = STATE(7417),
    [sym_function_definition] = STATE(7417),
    [sym_function_declaration] = STATE(7417),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(8735),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(5843),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11347),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(705),
    [anon_sym_COMMA] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(709),
    [anon_sym_var] = ACTIONS(711),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(707),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(719),
    [anon_sym_throw] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(723),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(725),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [64] = {
    [sym_import_declaration] = STATE(2881),
    [sym_object_definition] = STATE(2881),
    [sym_class_definition] = STATE(2881),
    [sym_trait_definition] = STATE(2881),
    [sym_annotation] = STATE(3872),
    [sym_val_definition] = STATE(2881),
    [sym_val_declaration] = STATE(2881),
    [sym__start_val] = STATE(3701),
    [sym_var_declaration] = STATE(2881),
    [sym_var_definition] = STATE(2881),
    [sym__start_var] = STATE(3702),
    [sym_type_definition] = STATE(2881),
    [sym_function_definition] = STATE(2881),
    [sym_function_declaration] = STATE(2881),
    [sym_modifiers] = STATE(9339),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(2999),
    [sym_expression] = STATE(1717),
    [sym_if_expression] = STATE(2999),
    [sym_match_expression] = STATE(2999),
    [sym_try_expression] = STATE(2999),
    [sym_bindings] = STATE(11869),
    [sym_lambda_expression] = STATE(2999),
    [sym_case_block] = STATE(2999),
    [sym_assignment_expression] = STATE(2999),
    [sym_generic_function] = STATE(2999),
    [sym_call_expression] = STATE(2999),
    [sym_field_expression] = STATE(2999),
    [sym_instance_expression] = STATE(2999),
    [sym_ascription_expression] = STATE(2999),
    [sym_infix_expression] = STATE(2999),
    [sym_postfix_expression] = STATE(2999),
    [sym_prefix_expression] = STATE(2999),
    [sym_tuple_expression] = STATE(2999),
    [sym_parenthesized_expression] = STATE(2999),
    [sym_boolean_literal] = STATE(2999),
    [sym_interpolated_string_expression] = STATE(2999),
    [sym_string] = STATE(2999),
    [sym_unit] = STATE(2999),
    [sym_return_expression] = STATE(2999),
    [sym_throw_expression] = STATE(2999),
    [sym_while_expression] = STATE(2999),
    [sym_do_while_expression] = STATE(2999),
    [sym_for_expression] = STATE(2999),
    [aux_sym_object_definition_repeat1] = STATE(3872),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(605),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_package] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(607),
    [anon_sym_import] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(607),
    [anon_sym_trait] = ACTIONS(607),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(607),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(607),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(607),
    [anon_sym_def] = ACTIONS(607),
    [anon_sym_abstract] = ACTIONS(607),
    [anon_sym_final] = ACTIONS(607),
    [anon_sym_sealed] = ACTIONS(607),
    [anon_sym_implicit] = ACTIONS(607),
    [anon_sym_lazy] = ACTIONS(607),
    [anon_sym_override] = ACTIONS(607),
    [anon_sym_private] = ACTIONS(607),
    [anon_sym_protected] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(809),
    [anon_sym_new] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(795),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(813),
    [sym_floating_point_literal] = ACTIONS(815),
    [anon_sym_true] = ACTIONS(817),
    [anon_sym_false] = ACTIONS(817),
    [sym_character_literal] = ACTIONS(815),
    [sym_symbol_literal] = ACTIONS(813),
    [sym_null_literal] = ACTIONS(813),
    [anon_sym_return] = ACTIONS(819),
    [anon_sym_throw] = ACTIONS(821),
    [anon_sym_while] = ACTIONS(823),
    [anon_sym_do] = ACTIONS(825),
    [anon_sym_for] = ACTIONS(827),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(829),
    [sym__simple_multiline_string] = ACTIONS(829),
  },
  [65] = {
    [sym_import_declaration] = STATE(5648),
    [sym_object_definition] = STATE(5648),
    [sym_class_definition] = STATE(5648),
    [sym_trait_definition] = STATE(5648),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(5648),
    [sym_val_declaration] = STATE(5648),
    [sym__start_val] = STATE(3719),
    [sym_var_declaration] = STATE(5648),
    [sym_var_definition] = STATE(5648),
    [sym__start_var] = STATE(3720),
    [sym_type_definition] = STATE(5648),
    [sym_function_definition] = STATE(5648),
    [sym_function_declaration] = STATE(5648),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(5151),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11516),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(461),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(465),
    [anon_sym_var] = ACTIONS(467),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_RPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(469),
    [anon_sym_else] = ACTIONS(607),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(471),
    [anon_sym_new] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_TILDE] = ACTIONS(463),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(475),
    [anon_sym_throw] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(481),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [66] = {
    [sym_import_declaration] = STATE(6085),
    [sym_object_definition] = STATE(6085),
    [sym_class_definition] = STATE(6085),
    [sym_trait_definition] = STATE(6085),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(6085),
    [sym_val_declaration] = STATE(6085),
    [sym__start_val] = STATE(3691),
    [sym_var_declaration] = STATE(6085),
    [sym_var_definition] = STATE(6085),
    [sym__start_var] = STATE(3696),
    [sym_type_definition] = STATE(6085),
    [sym_function_definition] = STATE(6085),
    [sym_function_declaration] = STATE(6085),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6031),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11347),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(705),
    [anon_sym_COMMA] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(709),
    [anon_sym_var] = ACTIONS(711),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_RPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(707),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(719),
    [anon_sym_throw] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(723),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(725),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [67] = {
    [sym_import_declaration] = STATE(8352),
    [sym_object_definition] = STATE(8352),
    [sym_class_definition] = STATE(8352),
    [sym_trait_definition] = STATE(8352),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(8352),
    [sym_val_declaration] = STATE(8352),
    [sym__start_val] = STATE(3688),
    [sym_var_declaration] = STATE(8352),
    [sym_var_definition] = STATE(8352),
    [sym__start_var] = STATE(3689),
    [sym_type_definition] = STATE(8352),
    [sym_function_definition] = STATE(8352),
    [sym_function_declaration] = STATE(8352),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(8735),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6119),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(685),
    [anon_sym_var] = ACTIONS(687),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(683),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [68] = {
    [sym_import_declaration] = STATE(2881),
    [sym_object_definition] = STATE(2881),
    [sym_class_definition] = STATE(2881),
    [sym_trait_definition] = STATE(2881),
    [sym_annotation] = STATE(3872),
    [sym_val_definition] = STATE(2881),
    [sym_val_declaration] = STATE(2881),
    [sym__start_val] = STATE(3701),
    [sym_var_declaration] = STATE(2881),
    [sym_var_definition] = STATE(2881),
    [sym__start_var] = STATE(3702),
    [sym_type_definition] = STATE(2881),
    [sym_function_definition] = STATE(2881),
    [sym_function_declaration] = STATE(2881),
    [sym_modifiers] = STATE(9339),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(2999),
    [sym_expression] = STATE(1717),
    [sym_if_expression] = STATE(2999),
    [sym_match_expression] = STATE(2999),
    [sym_try_expression] = STATE(2999),
    [sym_bindings] = STATE(11869),
    [sym_lambda_expression] = STATE(2999),
    [sym_case_block] = STATE(2999),
    [sym_assignment_expression] = STATE(2999),
    [sym_generic_function] = STATE(2999),
    [sym_call_expression] = STATE(2999),
    [sym_field_expression] = STATE(2999),
    [sym_instance_expression] = STATE(2999),
    [sym_ascription_expression] = STATE(2999),
    [sym_infix_expression] = STATE(2999),
    [sym_postfix_expression] = STATE(2999),
    [sym_prefix_expression] = STATE(2999),
    [sym_tuple_expression] = STATE(2999),
    [sym_parenthesized_expression] = STATE(2999),
    [sym_boolean_literal] = STATE(2999),
    [sym_interpolated_string_expression] = STATE(2999),
    [sym_string] = STATE(2999),
    [sym_unit] = STATE(2999),
    [sym_return_expression] = STATE(2999),
    [sym_throw_expression] = STATE(2999),
    [sym_while_expression] = STATE(2999),
    [sym_do_while_expression] = STATE(2999),
    [sym_for_expression] = STATE(2999),
    [aux_sym_object_definition_repeat1] = STATE(3872),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(729),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_package] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(727),
    [anon_sym_class] = ACTIONS(727),
    [anon_sym_trait] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(727),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(727),
    [anon_sym_var] = ACTIONS(727),
    [anon_sym_type] = ACTIONS(727),
    [anon_sym_def] = ACTIONS(727),
    [anon_sym_abstract] = ACTIONS(727),
    [anon_sym_final] = ACTIONS(727),
    [anon_sym_sealed] = ACTIONS(727),
    [anon_sym_implicit] = ACTIONS(727),
    [anon_sym_lazy] = ACTIONS(727),
    [anon_sym_override] = ACTIONS(727),
    [anon_sym_private] = ACTIONS(727),
    [anon_sym_protected] = ACTIONS(727),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(809),
    [anon_sym_new] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(795),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(813),
    [sym_floating_point_literal] = ACTIONS(815),
    [anon_sym_true] = ACTIONS(817),
    [anon_sym_false] = ACTIONS(817),
    [sym_character_literal] = ACTIONS(815),
    [sym_symbol_literal] = ACTIONS(813),
    [sym_null_literal] = ACTIONS(813),
    [anon_sym_return] = ACTIONS(819),
    [anon_sym_throw] = ACTIONS(821),
    [anon_sym_while] = ACTIONS(823),
    [anon_sym_do] = ACTIONS(825),
    [anon_sym_for] = ACTIONS(827),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(829),
    [sym__simple_multiline_string] = ACTIONS(829),
  },
  [69] = {
    [sym_import_declaration] = STATE(8329),
    [sym_object_definition] = STATE(8329),
    [sym_class_definition] = STATE(8329),
    [sym_trait_definition] = STATE(8329),
    [sym_annotation] = STATE(3952),
    [sym_val_definition] = STATE(8329),
    [sym_val_declaration] = STATE(8329),
    [sym__start_val] = STATE(3786),
    [sym_var_declaration] = STATE(8329),
    [sym_var_definition] = STATE(8329),
    [sym__start_var] = STATE(3785),
    [sym_type_definition] = STATE(8329),
    [sym_function_definition] = STATE(8329),
    [sym_function_declaration] = STATE(8329),
    [sym_modifiers] = STATE(9316),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(8393),
    [sym_expression] = STATE(6125),
    [sym_if_expression] = STATE(8393),
    [sym_match_expression] = STATE(8393),
    [sym_try_expression] = STATE(8393),
    [sym_bindings] = STATE(11824),
    [sym_lambda_expression] = STATE(8393),
    [sym_case_block] = STATE(8393),
    [sym_assignment_expression] = STATE(8393),
    [sym_generic_function] = STATE(8393),
    [sym_call_expression] = STATE(8393),
    [sym_field_expression] = STATE(8393),
    [sym_instance_expression] = STATE(8393),
    [sym_ascription_expression] = STATE(8393),
    [sym_infix_expression] = STATE(8393),
    [sym_postfix_expression] = STATE(8393),
    [sym_prefix_expression] = STATE(8393),
    [sym_tuple_expression] = STATE(8393),
    [sym_parenthesized_expression] = STATE(8393),
    [sym_boolean_literal] = STATE(8393),
    [sym_interpolated_string_expression] = STATE(8393),
    [sym_string] = STATE(8393),
    [sym_unit] = STATE(8393),
    [sym_return_expression] = STATE(8393),
    [sym_throw_expression] = STATE(8393),
    [sym_while_expression] = STATE(8393),
    [sym_do_while_expression] = STATE(8393),
    [sym_for_expression] = STATE(8393),
    [aux_sym_object_definition_repeat1] = STATE(3952),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_EQ_GT] = ACTIONS(607),
    [anon_sym_case] = ACTIONS(739),
    [anon_sym_class] = ACTIONS(741),
    [anon_sym_trait] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(745),
    [anon_sym_DASH] = ACTIONS(745),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(747),
    [anon_sym_var] = ACTIONS(749),
    [anon_sym_type] = ACTIONS(751),
    [anon_sym_def] = ACTIONS(753),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(607),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(759),
    [anon_sym_new] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(763),
    [sym_floating_point_literal] = ACTIONS(765),
    [anon_sym_true] = ACTIONS(767),
    [anon_sym_false] = ACTIONS(767),
    [sym_character_literal] = ACTIONS(765),
    [sym_symbol_literal] = ACTIONS(763),
    [sym_null_literal] = ACTIONS(763),
    [anon_sym_return] = ACTIONS(769),
    [anon_sym_throw] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(773),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(777),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(779),
    [sym__simple_multiline_string] = ACTIONS(779),
  },
  [70] = {
    [sym_import_declaration] = STATE(6085),
    [sym_object_definition] = STATE(6085),
    [sym_class_definition] = STATE(6085),
    [sym_trait_definition] = STATE(6085),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(6085),
    [sym_val_declaration] = STATE(6085),
    [sym__start_val] = STATE(3691),
    [sym_var_declaration] = STATE(6085),
    [sym_var_definition] = STATE(6085),
    [sym__start_var] = STATE(3696),
    [sym_type_definition] = STATE(6085),
    [sym_function_definition] = STATE(6085),
    [sym_function_declaration] = STATE(6085),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6031),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11347),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(705),
    [anon_sym_COMMA] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(709),
    [anon_sym_var] = ACTIONS(711),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(707),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(719),
    [anon_sym_throw] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(723),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(725),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [71] = {
    [sym_import_declaration] = STATE(5648),
    [sym_object_definition] = STATE(5648),
    [sym_class_definition] = STATE(5648),
    [sym_trait_definition] = STATE(5648),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(5648),
    [sym_val_declaration] = STATE(5648),
    [sym__start_val] = STATE(3719),
    [sym_var_declaration] = STATE(5648),
    [sym_var_definition] = STATE(5648),
    [sym__start_var] = STATE(3720),
    [sym_type_definition] = STATE(5648),
    [sym_function_definition] = STATE(5648),
    [sym_function_declaration] = STATE(5648),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(5151),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11516),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(461),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(465),
    [anon_sym_var] = ACTIONS(467),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(469),
    [anon_sym_else] = ACTIONS(727),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(471),
    [anon_sym_new] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_TILDE] = ACTIONS(463),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(475),
    [anon_sym_throw] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(481),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [72] = {
    [sym_import_declaration] = STATE(5081),
    [sym_object_definition] = STATE(5081),
    [sym_class_definition] = STATE(5081),
    [sym_trait_definition] = STATE(5081),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(5081),
    [sym_val_declaration] = STATE(5081),
    [sym__start_val] = STATE(3721),
    [sym_var_declaration] = STATE(5081),
    [sym_var_definition] = STATE(5081),
    [sym__start_var] = STATE(3722),
    [sym_type_definition] = STATE(5081),
    [sym_function_definition] = STATE(5081),
    [sym_function_declaration] = STATE(5081),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(5893),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11647),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(613),
    [anon_sym_var] = ACTIONS(615),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(619),
    [anon_sym_catch] = ACTIONS(607),
    [anon_sym_finally] = ACTIONS(607),
    [anon_sym_new] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(611),
    [anon_sym_TILDE] = ACTIONS(611),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(629),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [73] = {
    [sym_import_declaration] = STATE(8329),
    [sym_object_definition] = STATE(8329),
    [sym_class_definition] = STATE(8329),
    [sym_trait_definition] = STATE(8329),
    [sym_annotation] = STATE(3952),
    [sym_val_definition] = STATE(8329),
    [sym_val_declaration] = STATE(8329),
    [sym__start_val] = STATE(3786),
    [sym_var_declaration] = STATE(8329),
    [sym_var_definition] = STATE(8329),
    [sym__start_var] = STATE(3785),
    [sym_type_definition] = STATE(8329),
    [sym_function_definition] = STATE(8329),
    [sym_function_declaration] = STATE(8329),
    [sym_modifiers] = STATE(9316),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(8393),
    [sym_expression] = STATE(6125),
    [sym_if_expression] = STATE(8393),
    [sym_match_expression] = STATE(8393),
    [sym_try_expression] = STATE(8393),
    [sym_bindings] = STATE(11824),
    [sym_lambda_expression] = STATE(8393),
    [sym_case_block] = STATE(8393),
    [sym_assignment_expression] = STATE(8393),
    [sym_generic_function] = STATE(8393),
    [sym_call_expression] = STATE(8393),
    [sym_field_expression] = STATE(8393),
    [sym_instance_expression] = STATE(8393),
    [sym_ascription_expression] = STATE(8393),
    [sym_infix_expression] = STATE(8393),
    [sym_postfix_expression] = STATE(8393),
    [sym_prefix_expression] = STATE(8393),
    [sym_tuple_expression] = STATE(8393),
    [sym_parenthesized_expression] = STATE(8393),
    [sym_boolean_literal] = STATE(8393),
    [sym_interpolated_string_expression] = STATE(8393),
    [sym_string] = STATE(8393),
    [sym_unit] = STATE(8393),
    [sym_return_expression] = STATE(8393),
    [sym_throw_expression] = STATE(8393),
    [sym_while_expression] = STATE(8393),
    [sym_do_while_expression] = STATE(8393),
    [sym_for_expression] = STATE(8393),
    [aux_sym_object_definition_repeat1] = STATE(3952),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_EQ_GT] = ACTIONS(727),
    [anon_sym_case] = ACTIONS(739),
    [anon_sym_class] = ACTIONS(741),
    [anon_sym_trait] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(745),
    [anon_sym_DASH] = ACTIONS(745),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(747),
    [anon_sym_var] = ACTIONS(749),
    [anon_sym_type] = ACTIONS(751),
    [anon_sym_def] = ACTIONS(753),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(727),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(759),
    [anon_sym_new] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(763),
    [sym_floating_point_literal] = ACTIONS(765),
    [anon_sym_true] = ACTIONS(767),
    [anon_sym_false] = ACTIONS(767),
    [sym_character_literal] = ACTIONS(765),
    [sym_symbol_literal] = ACTIONS(763),
    [sym_null_literal] = ACTIONS(763),
    [anon_sym_return] = ACTIONS(769),
    [anon_sym_throw] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(773),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(777),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(779),
    [sym__simple_multiline_string] = ACTIONS(779),
  },
  [74] = {
    [sym_import_declaration] = STATE(7975),
    [sym_object_definition] = STATE(7975),
    [sym_class_definition] = STATE(7975),
    [sym_trait_definition] = STATE(7975),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(7975),
    [sym_val_declaration] = STATE(7975),
    [sym__start_val] = STATE(3748),
    [sym_var_declaration] = STATE(7975),
    [sym_var_definition] = STATE(7975),
    [sym__start_var] = STATE(3749),
    [sym_type_definition] = STATE(7975),
    [sym_function_definition] = STATE(7975),
    [sym_function_declaration] = STATE(7975),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(8262),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(5849),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11487),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(461),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(885),
    [anon_sym_var] = ACTIONS(887),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_else] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(883),
    [anon_sym_TILDE] = ACTIONS(883),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_throw] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(899),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(901),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [75] = {
    [sym_import_declaration] = STATE(5081),
    [sym_object_definition] = STATE(5081),
    [sym_class_definition] = STATE(5081),
    [sym_trait_definition] = STATE(5081),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(5081),
    [sym_val_declaration] = STATE(5081),
    [sym__start_val] = STATE(3721),
    [sym_var_declaration] = STATE(5081),
    [sym_var_definition] = STATE(5081),
    [sym__start_var] = STATE(3722),
    [sym_type_definition] = STATE(5081),
    [sym_function_definition] = STATE(5081),
    [sym_function_declaration] = STATE(5081),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(5893),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11647),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(613),
    [anon_sym_var] = ACTIONS(615),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(619),
    [anon_sym_catch] = ACTIONS(727),
    [anon_sym_finally] = ACTIONS(727),
    [anon_sym_new] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(611),
    [anon_sym_TILDE] = ACTIONS(611),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(629),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [76] = {
    [sym_import_declaration] = STATE(8190),
    [sym_object_definition] = STATE(8190),
    [sym_class_definition] = STATE(8190),
    [sym_trait_definition] = STATE(8190),
    [sym_annotation] = STATE(3936),
    [sym_val_definition] = STATE(8190),
    [sym_val_declaration] = STATE(8190),
    [sym__start_val] = STATE(3758),
    [sym_var_declaration] = STATE(8190),
    [sym_var_definition] = STATE(8190),
    [sym__start_var] = STATE(3761),
    [sym_type_definition] = STATE(8190),
    [sym_function_definition] = STATE(8190),
    [sym_function_declaration] = STATE(8190),
    [sym_modifiers] = STATE(9378),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(9171),
    [sym_block] = STATE(8601),
    [sym_expression] = STATE(6044),
    [sym_if_expression] = STATE(8601),
    [sym_match_expression] = STATE(8601),
    [sym_try_expression] = STATE(8601),
    [sym_bindings] = STATE(11636),
    [sym_lambda_expression] = STATE(8601),
    [sym_case_block] = STATE(8601),
    [sym_assignment_expression] = STATE(8601),
    [sym_generic_function] = STATE(8601),
    [sym_call_expression] = STATE(8601),
    [sym_field_expression] = STATE(8601),
    [sym_instance_expression] = STATE(8601),
    [sym_ascription_expression] = STATE(8601),
    [sym_infix_expression] = STATE(8601),
    [sym_postfix_expression] = STATE(8601),
    [sym_prefix_expression] = STATE(8601),
    [sym_tuple_expression] = STATE(8601),
    [sym_parenthesized_expression] = STATE(8601),
    [sym_boolean_literal] = STATE(8601),
    [sym_interpolated_string_expression] = STATE(8601),
    [sym_string] = STATE(8601),
    [sym_unit] = STATE(8601),
    [sym_return_expression] = STATE(8601),
    [sym_throw_expression] = STATE(8601),
    [sym_while_expression] = STATE(8601),
    [sym_do_while_expression] = STATE(8601),
    [sym_for_expression] = STATE(8601),
    [aux_sym_object_definition_repeat1] = STATE(3936),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_import] = ACTIONS(835),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_EQ_GT] = ACTIONS(35),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_class] = ACTIONS(841),
    [anon_sym_trait] = ACTIONS(843),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(847),
    [anon_sym_var] = ACTIONS(849),
    [anon_sym_type] = ACTIONS(851),
    [anon_sym_def] = ACTIONS(853),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(859),
    [anon_sym_new] = ACTIONS(861),
    [anon_sym_BANG] = ACTIONS(845),
    [anon_sym_TILDE] = ACTIONS(845),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(863),
    [sym_floating_point_literal] = ACTIONS(865),
    [anon_sym_true] = ACTIONS(867),
    [anon_sym_false] = ACTIONS(867),
    [sym_character_literal] = ACTIONS(865),
    [sym_symbol_literal] = ACTIONS(863),
    [sym_null_literal] = ACTIONS(863),
    [anon_sym_return] = ACTIONS(869),
    [anon_sym_throw] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(873),
    [anon_sym_do] = ACTIONS(875),
    [anon_sym_for] = ACTIONS(877),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(879),
    [sym__simple_multiline_string] = ACTIONS(879),
  },
  [77] = {
    [sym_import_declaration] = STATE(6085),
    [sym_object_definition] = STATE(6085),
    [sym_class_definition] = STATE(6085),
    [sym_trait_definition] = STATE(6085),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(6085),
    [sym_val_declaration] = STATE(6085),
    [sym__start_val] = STATE(3688),
    [sym_var_declaration] = STATE(6085),
    [sym_var_definition] = STATE(6085),
    [sym__start_var] = STATE(3689),
    [sym_type_definition] = STATE(6085),
    [sym_function_definition] = STATE(6085),
    [sym_function_declaration] = STATE(6085),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(5573),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(685),
    [anon_sym_var] = ACTIONS(687),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(683),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [78] = {
    [sym_import_declaration] = STATE(8631),
    [sym_object_definition] = STATE(8631),
    [sym_class_definition] = STATE(8631),
    [sym_trait_definition] = STATE(8631),
    [sym_annotation] = STATE(3936),
    [sym_val_definition] = STATE(8631),
    [sym_val_declaration] = STATE(8631),
    [sym__start_val] = STATE(3758),
    [sym_var_declaration] = STATE(8631),
    [sym_var_definition] = STATE(8631),
    [sym__start_var] = STATE(3761),
    [sym_type_definition] = STATE(8631),
    [sym_function_definition] = STATE(8631),
    [sym_function_declaration] = STATE(8631),
    [sym_modifiers] = STATE(9378),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(8601),
    [sym_expression] = STATE(6487),
    [sym_if_expression] = STATE(8601),
    [sym_match_expression] = STATE(8601),
    [sym_try_expression] = STATE(8601),
    [sym_bindings] = STATE(11636),
    [sym_lambda_expression] = STATE(8601),
    [sym_case_block] = STATE(8601),
    [sym_assignment_expression] = STATE(8601),
    [sym_generic_function] = STATE(8601),
    [sym_call_expression] = STATE(8601),
    [sym_field_expression] = STATE(8601),
    [sym_instance_expression] = STATE(8601),
    [sym_ascription_expression] = STATE(8601),
    [sym_infix_expression] = STATE(8601),
    [sym_postfix_expression] = STATE(8601),
    [sym_prefix_expression] = STATE(8601),
    [sym_tuple_expression] = STATE(8601),
    [sym_parenthesized_expression] = STATE(8601),
    [sym_boolean_literal] = STATE(8601),
    [sym_interpolated_string_expression] = STATE(8601),
    [sym_string] = STATE(8601),
    [sym_unit] = STATE(8601),
    [sym_return_expression] = STATE(8601),
    [sym_throw_expression] = STATE(8601),
    [sym_while_expression] = STATE(8601),
    [sym_do_while_expression] = STATE(8601),
    [sym_for_expression] = STATE(8601),
    [aux_sym_object_definition_repeat1] = STATE(3936),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_import] = ACTIONS(835),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_EQ_GT] = ACTIONS(727),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_class] = ACTIONS(841),
    [anon_sym_trait] = ACTIONS(843),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(847),
    [anon_sym_var] = ACTIONS(849),
    [anon_sym_type] = ACTIONS(851),
    [anon_sym_def] = ACTIONS(853),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(859),
    [anon_sym_new] = ACTIONS(861),
    [anon_sym_BANG] = ACTIONS(845),
    [anon_sym_TILDE] = ACTIONS(845),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(863),
    [sym_floating_point_literal] = ACTIONS(865),
    [anon_sym_true] = ACTIONS(867),
    [anon_sym_false] = ACTIONS(867),
    [sym_character_literal] = ACTIONS(865),
    [sym_symbol_literal] = ACTIONS(863),
    [sym_null_literal] = ACTIONS(863),
    [anon_sym_return] = ACTIONS(869),
    [anon_sym_throw] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(873),
    [anon_sym_do] = ACTIONS(875),
    [anon_sym_for] = ACTIONS(877),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(879),
    [sym__simple_multiline_string] = ACTIONS(879),
  },
  [79] = {
    [sym_import_declaration] = STATE(5648),
    [sym_object_definition] = STATE(5648),
    [sym_class_definition] = STATE(5648),
    [sym_trait_definition] = STATE(5648),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(5648),
    [sym_val_declaration] = STATE(5648),
    [sym__start_val] = STATE(3748),
    [sym_var_declaration] = STATE(5648),
    [sym_var_definition] = STATE(5648),
    [sym__start_var] = STATE(3749),
    [sym_type_definition] = STATE(5648),
    [sym_function_definition] = STATE(5648),
    [sym_function_declaration] = STATE(5648),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(6010),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11487),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(461),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(885),
    [anon_sym_var] = ACTIONS(887),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_else] = ACTIONS(727),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(883),
    [anon_sym_TILDE] = ACTIONS(883),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_throw] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(901),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [80] = {
    [sym_import_declaration] = STATE(8631),
    [sym_object_definition] = STATE(8631),
    [sym_class_definition] = STATE(8631),
    [sym_trait_definition] = STATE(8631),
    [sym_annotation] = STATE(3936),
    [sym_val_definition] = STATE(8631),
    [sym_val_declaration] = STATE(8631),
    [sym__start_val] = STATE(3758),
    [sym_var_declaration] = STATE(8631),
    [sym_var_definition] = STATE(8631),
    [sym__start_var] = STATE(3761),
    [sym_type_definition] = STATE(8631),
    [sym_function_definition] = STATE(8631),
    [sym_function_declaration] = STATE(8631),
    [sym_modifiers] = STATE(9378),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(8601),
    [sym_expression] = STATE(6487),
    [sym_if_expression] = STATE(8601),
    [sym_match_expression] = STATE(8601),
    [sym_try_expression] = STATE(8601),
    [sym_bindings] = STATE(11636),
    [sym_lambda_expression] = STATE(8601),
    [sym_case_block] = STATE(8601),
    [sym_assignment_expression] = STATE(8601),
    [sym_generic_function] = STATE(8601),
    [sym_call_expression] = STATE(8601),
    [sym_field_expression] = STATE(8601),
    [sym_instance_expression] = STATE(8601),
    [sym_ascription_expression] = STATE(8601),
    [sym_infix_expression] = STATE(8601),
    [sym_postfix_expression] = STATE(8601),
    [sym_prefix_expression] = STATE(8601),
    [sym_tuple_expression] = STATE(8601),
    [sym_parenthesized_expression] = STATE(8601),
    [sym_boolean_literal] = STATE(8601),
    [sym_interpolated_string_expression] = STATE(8601),
    [sym_string] = STATE(8601),
    [sym_unit] = STATE(8601),
    [sym_return_expression] = STATE(8601),
    [sym_throw_expression] = STATE(8601),
    [sym_while_expression] = STATE(8601),
    [sym_do_while_expression] = STATE(8601),
    [sym_for_expression] = STATE(8601),
    [aux_sym_object_definition_repeat1] = STATE(3936),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_import] = ACTIONS(835),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_EQ_GT] = ACTIONS(607),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_class] = ACTIONS(841),
    [anon_sym_trait] = ACTIONS(843),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(847),
    [anon_sym_var] = ACTIONS(849),
    [anon_sym_type] = ACTIONS(851),
    [anon_sym_def] = ACTIONS(853),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(859),
    [anon_sym_new] = ACTIONS(861),
    [anon_sym_BANG] = ACTIONS(845),
    [anon_sym_TILDE] = ACTIONS(845),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(863),
    [sym_floating_point_literal] = ACTIONS(865),
    [anon_sym_true] = ACTIONS(867),
    [anon_sym_false] = ACTIONS(867),
    [sym_character_literal] = ACTIONS(865),
    [sym_symbol_literal] = ACTIONS(863),
    [sym_null_literal] = ACTIONS(863),
    [anon_sym_return] = ACTIONS(869),
    [anon_sym_throw] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(873),
    [anon_sym_do] = ACTIONS(875),
    [anon_sym_for] = ACTIONS(877),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(879),
    [sym__simple_multiline_string] = ACTIONS(879),
  },
  [81] = {
    [sym_import_declaration] = STATE(8343),
    [sym_object_definition] = STATE(8343),
    [sym_class_definition] = STATE(8343),
    [sym_trait_definition] = STATE(8343),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(8343),
    [sym_val_declaration] = STATE(8343),
    [sym__start_val] = STATE(3708),
    [sym_var_declaration] = STATE(8343),
    [sym_var_definition] = STATE(8343),
    [sym__start_var] = STATE(3709),
    [sym_type_definition] = STATE(8343),
    [sym_function_definition] = STATE(8343),
    [sym_function_declaration] = STATE(8343),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(8735),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6161),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11637),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(903),
    [anon_sym_DOT] = ACTIONS(35),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_PLUS] = ACTIONS(905),
    [anon_sym_DASH] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(35),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_val] = ACTIONS(907),
    [anon_sym_var] = ACTIONS(909),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_try] = ACTIONS(913),
    [anon_sym_new] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(905),
    [anon_sym_TILDE] = ACTIONS(905),
    [sym_operator_identifier] = ACTIONS(35),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(919),
    [anon_sym_while] = ACTIONS(921),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(923),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [82] = {
    [sym_import_declaration] = STATE(6085),
    [sym_object_definition] = STATE(6085),
    [sym_class_definition] = STATE(6085),
    [sym_trait_definition] = STATE(6085),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(6085),
    [sym_val_declaration] = STATE(6085),
    [sym__start_val] = STATE(3688),
    [sym_var_declaration] = STATE(6085),
    [sym_var_definition] = STATE(6085),
    [sym__start_var] = STATE(3689),
    [sym_type_definition] = STATE(6085),
    [sym_function_definition] = STATE(6085),
    [sym_function_declaration] = STATE(6085),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(5573),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(685),
    [anon_sym_var] = ACTIONS(687),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_RPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(683),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [83] = {
    [sym_import_declaration] = STATE(5648),
    [sym_object_definition] = STATE(5648),
    [sym_class_definition] = STATE(5648),
    [sym_trait_definition] = STATE(5648),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(5648),
    [sym_val_declaration] = STATE(5648),
    [sym__start_val] = STATE(3748),
    [sym_var_declaration] = STATE(5648),
    [sym_var_definition] = STATE(5648),
    [sym__start_var] = STATE(3749),
    [sym_type_definition] = STATE(5648),
    [sym_function_definition] = STATE(5648),
    [sym_function_declaration] = STATE(5648),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(6010),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11487),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(461),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(885),
    [anon_sym_var] = ACTIONS(887),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_else] = ACTIONS(607),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(883),
    [anon_sym_TILDE] = ACTIONS(883),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_throw] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(901),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [84] = {
    [sym_import_declaration] = STATE(6085),
    [sym_object_definition] = STATE(6085),
    [sym_class_definition] = STATE(6085),
    [sym_trait_definition] = STATE(6085),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(6085),
    [sym_val_declaration] = STATE(6085),
    [sym__start_val] = STATE(3708),
    [sym_var_declaration] = STATE(6085),
    [sym_var_definition] = STATE(6085),
    [sym__start_var] = STATE(3709),
    [sym_type_definition] = STATE(6085),
    [sym_function_definition] = STATE(6085),
    [sym_function_declaration] = STATE(6085),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6677),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11637),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(905),
    [anon_sym_DASH] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(727),
    [anon_sym_val] = ACTIONS(907),
    [anon_sym_var] = ACTIONS(909),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_match] = ACTIONS(727),
    [anon_sym_try] = ACTIONS(913),
    [anon_sym_new] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(905),
    [anon_sym_TILDE] = ACTIONS(905),
    [sym_operator_identifier] = ACTIONS(727),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(919),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(923),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [85] = {
    [sym_import_declaration] = STATE(6085),
    [sym_object_definition] = STATE(6085),
    [sym_class_definition] = STATE(6085),
    [sym_trait_definition] = STATE(6085),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(6085),
    [sym_val_declaration] = STATE(6085),
    [sym__start_val] = STATE(3708),
    [sym_var_declaration] = STATE(6085),
    [sym_var_definition] = STATE(6085),
    [sym__start_var] = STATE(3709),
    [sym_type_definition] = STATE(6085),
    [sym_function_definition] = STATE(6085),
    [sym_function_declaration] = STATE(6085),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6677),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11637),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(607),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(905),
    [anon_sym_DASH] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(607),
    [anon_sym_val] = ACTIONS(907),
    [anon_sym_var] = ACTIONS(909),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(913),
    [anon_sym_new] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(905),
    [anon_sym_TILDE] = ACTIONS(905),
    [sym_operator_identifier] = ACTIONS(607),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(919),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(923),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [86] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11699),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(10073),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(10073),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(929),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [87] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11611),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9987),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9987),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(947),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [88] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11883),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9997),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9997),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [89] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11816),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9940),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9940),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(951),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [90] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11385),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9919),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9919),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [91] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11799),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(10123),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(10123),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(955),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [92] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11725),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9972),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9972),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(957),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [93] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11575),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9963),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9963),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [94] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11629),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9933),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9933),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [95] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11506),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9941),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9941),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(963),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [96] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11606),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(10069),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(10069),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [97] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11377),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9970),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9970),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(967),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [98] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11491),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9956),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9956),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(969),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [99] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11874),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9958),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9958),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [100] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11957),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9980),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9980),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(973),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [101] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11826),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(10055),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(10055),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(975),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [102] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11456),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(10103),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(10103),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(977),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [103] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11373),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9985),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9985),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [104] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11472),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(10012),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(10012),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(981),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [105] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11376),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(10114),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(10114),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(983),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [106] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11542),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9928),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9928),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(985),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [107] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11632),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(10015),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(10015),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [108] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11466),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(10019),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(10019),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(989),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [109] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11496),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_case_clause] = STATE(9973),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [aux_sym_case_block_repeat1] = STATE(9973),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_case] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [110] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11595),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(993),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [111] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11835),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(997),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [112] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11365),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(999),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [113] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11383),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [114] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11846),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1003),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [115] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11625),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1005),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [116] = {
    [sym_import_declaration] = STATE(9732),
    [sym_object_definition] = STATE(9732),
    [sym_class_definition] = STATE(9732),
    [sym_trait_definition] = STATE(9732),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(9732),
    [sym_val_declaration] = STATE(9732),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(9732),
    [sym_var_definition] = STATE(9732),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(9732),
    [sym_function_definition] = STATE(9732),
    [sym_function_declaration] = STATE(9732),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11178),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(5526),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1007),
    [anon_sym_case] = ACTIONS(1009),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [117] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11449),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1011),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [118] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11717),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [119] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11513),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1015),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [120] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11701),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1017),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [121] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11891),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1019),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [122] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11830),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1021),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [123] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11528),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1023),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [124] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11511),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1025),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [125] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11908),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1027),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [126] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11947),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [127] = {
    [sym_import_declaration] = STATE(9732),
    [sym_object_definition] = STATE(9732),
    [sym_class_definition] = STATE(9732),
    [sym_trait_definition] = STATE(9732),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(9732),
    [sym_val_declaration] = STATE(9732),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(9732),
    [sym_var_definition] = STATE(9732),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(9732),
    [sym_function_definition] = STATE(9732),
    [sym_function_declaration] = STATE(9732),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11144),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(5526),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1031),
    [anon_sym_case] = ACTIONS(1033),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [128] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11868),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1035),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [129] = {
    [sym_import_declaration] = STATE(10092),
    [sym_object_definition] = STATE(10092),
    [sym_class_definition] = STATE(10092),
    [sym_trait_definition] = STATE(10092),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(10092),
    [sym_val_declaration] = STATE(10092),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(10092),
    [sym_var_definition] = STATE(10092),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(10092),
    [sym_function_definition] = STATE(10092),
    [sym_function_declaration] = STATE(10092),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym__block] = STATE(11867),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6142),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [130] = {
    [sym_import_declaration] = STATE(9937),
    [sym_object_definition] = STATE(9937),
    [sym_class_definition] = STATE(9937),
    [sym_trait_definition] = STATE(9937),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(9937),
    [sym_val_declaration] = STATE(9937),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(9937),
    [sym_var_definition] = STATE(9937),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(9937),
    [sym_function_definition] = STATE(9937),
    [sym_function_declaration] = STATE(9937),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(5573),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(607),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [131] = {
    [sym_import_declaration] = STATE(9937),
    [sym_object_definition] = STATE(9937),
    [sym_class_definition] = STATE(9937),
    [sym_trait_definition] = STATE(9937),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(9937),
    [sym_val_declaration] = STATE(9937),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(9937),
    [sym_var_definition] = STATE(9937),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(9937),
    [sym_function_definition] = STATE(9937),
    [sym_function_declaration] = STATE(9937),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(5573),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [132] = {
    [sym_import_declaration] = STATE(9937),
    [sym_object_definition] = STATE(9937),
    [sym_class_definition] = STATE(9937),
    [sym_trait_definition] = STATE(9937),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(9937),
    [sym_val_declaration] = STATE(9937),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(9937),
    [sym_var_definition] = STATE(9937),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(9937),
    [sym_function_definition] = STATE(9937),
    [sym_function_declaration] = STATE(9937),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(5573),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [133] = {
    [sym_import_declaration] = STATE(9937),
    [sym_object_definition] = STATE(9937),
    [sym_class_definition] = STATE(9937),
    [sym_trait_definition] = STATE(9937),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(9937),
    [sym_val_declaration] = STATE(9937),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(9937),
    [sym_var_definition] = STATE(9937),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(9937),
    [sym_function_definition] = STATE(9937),
    [sym_function_declaration] = STATE(9937),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(5573),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(727),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [134] = {
    [sym_import_declaration] = STATE(5648),
    [sym_object_definition] = STATE(5648),
    [sym_class_definition] = STATE(5648),
    [sym_trait_definition] = STATE(5648),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(5648),
    [sym_val_declaration] = STATE(5648),
    [sym__start_val] = STATE(3719),
    [sym_var_declaration] = STATE(5648),
    [sym_var_definition] = STATE(5648),
    [sym__start_var] = STATE(3720),
    [sym_type_definition] = STATE(5648),
    [sym_function_definition] = STATE(5648),
    [sym_function_declaration] = STATE(5648),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(5151),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11516),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(461),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(465),
    [anon_sym_var] = ACTIONS(467),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(469),
    [anon_sym_try] = ACTIONS(471),
    [anon_sym_new] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1039),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(475),
    [anon_sym_throw] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [135] = {
    [sym_import_declaration] = STATE(6085),
    [sym_object_definition] = STATE(6085),
    [sym_class_definition] = STATE(6085),
    [sym_trait_definition] = STATE(6085),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(6085),
    [sym_val_declaration] = STATE(6085),
    [sym__start_val] = STATE(3691),
    [sym_var_declaration] = STATE(6085),
    [sym_var_definition] = STATE(6085),
    [sym__start_var] = STATE(3696),
    [sym_type_definition] = STATE(6085),
    [sym_function_definition] = STATE(6085),
    [sym_function_declaration] = STATE(6085),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6031),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11347),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(705),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(1041),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(709),
    [anon_sym_var] = ACTIONS(711),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(719),
    [anon_sym_throw] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(723),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [136] = {
    [sym_import_declaration] = STATE(6085),
    [sym_object_definition] = STATE(6085),
    [sym_class_definition] = STATE(6085),
    [sym_trait_definition] = STATE(6085),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(6085),
    [sym_val_declaration] = STATE(6085),
    [sym__start_val] = STATE(3765),
    [sym_var_declaration] = STATE(6085),
    [sym_var_definition] = STATE(6085),
    [sym__start_var] = STATE(3769),
    [sym_type_definition] = STATE(6085),
    [sym_function_definition] = STATE(6085),
    [sym_function_declaration] = STATE(6085),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(5909),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11501),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(631),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(1043),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(647),
    [anon_sym_var] = ACTIONS(649),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(657),
    [anon_sym_try] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(1043),
    [anon_sym_TILDE] = ACTIONS(1043),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(669),
    [anon_sym_throw] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(677),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [137] = {
    [sym_import_declaration] = STATE(2248),
    [sym_object_definition] = STATE(2248),
    [sym_class_definition] = STATE(2248),
    [sym_trait_definition] = STATE(2248),
    [sym_annotation] = STATE(3904),
    [sym_val_definition] = STATE(2248),
    [sym_val_declaration] = STATE(2248),
    [sym__start_val] = STATE(3716),
    [sym_var_declaration] = STATE(2248),
    [sym_var_definition] = STATE(2248),
    [sym__start_var] = STATE(3717),
    [sym_type_definition] = STATE(2248),
    [sym_function_definition] = STATE(2248),
    [sym_function_declaration] = STATE(2248),
    [sym_modifiers] = STATE(9349),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(2262),
    [sym_expression] = STATE(1385),
    [sym_if_expression] = STATE(2262),
    [sym_match_expression] = STATE(2262),
    [sym_try_expression] = STATE(2262),
    [sym_bindings] = STATE(11538),
    [sym_lambda_expression] = STATE(2262),
    [sym_case_block] = STATE(2262),
    [sym_assignment_expression] = STATE(2262),
    [sym_generic_function] = STATE(2262),
    [sym_call_expression] = STATE(2262),
    [sym_field_expression] = STATE(2262),
    [sym_instance_expression] = STATE(2262),
    [sym_ascription_expression] = STATE(2262),
    [sym_infix_expression] = STATE(2262),
    [sym_postfix_expression] = STATE(2262),
    [sym_prefix_expression] = STATE(2262),
    [sym_tuple_expression] = STATE(2262),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_boolean_literal] = STATE(2262),
    [sym_interpolated_string_expression] = STATE(2262),
    [sym_string] = STATE(2262),
    [sym_unit] = STATE(2262),
    [sym_return_expression] = STATE(2262),
    [sym_throw_expression] = STATE(2262),
    [sym_while_expression] = STATE(2262),
    [sym_do_while_expression] = STATE(2262),
    [sym_for_expression] = STATE(2262),
    [aux_sym_object_definition_repeat1] = STATE(3904),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_object] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_case] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_trait] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(1045),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(207),
    [anon_sym_var] = ACTIONS(209),
    [anon_sym_type] = ACTIONS(211),
    [anon_sym_def] = ACTIONS(213),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_try] = ACTIONS(219),
    [anon_sym_new] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(1045),
    [anon_sym_TILDE] = ACTIONS(1045),
    [sym_integer_literal] = ACTIONS(223),
    [sym_floating_point_literal] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [sym_character_literal] = ACTIONS(225),
    [sym_symbol_literal] = ACTIONS(223),
    [sym_null_literal] = ACTIONS(223),
    [anon_sym_return] = ACTIONS(229),
    [anon_sym_throw] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(239),
    [sym__simple_multiline_string] = ACTIONS(239),
  },
  [138] = {
    [sym_import_declaration] = STATE(8631),
    [sym_object_definition] = STATE(8631),
    [sym_class_definition] = STATE(8631),
    [sym_trait_definition] = STATE(8631),
    [sym_annotation] = STATE(3936),
    [sym_val_definition] = STATE(8631),
    [sym_val_declaration] = STATE(8631),
    [sym__start_val] = STATE(3758),
    [sym_var_declaration] = STATE(8631),
    [sym_var_definition] = STATE(8631),
    [sym__start_var] = STATE(3761),
    [sym_type_definition] = STATE(8631),
    [sym_function_definition] = STATE(8631),
    [sym_function_declaration] = STATE(8631),
    [sym_modifiers] = STATE(9378),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(8601),
    [sym_expression] = STATE(6487),
    [sym_if_expression] = STATE(8601),
    [sym_match_expression] = STATE(8601),
    [sym_try_expression] = STATE(8601),
    [sym_bindings] = STATE(11636),
    [sym_lambda_expression] = STATE(8601),
    [sym_case_block] = STATE(8601),
    [sym_assignment_expression] = STATE(8601),
    [sym_generic_function] = STATE(8601),
    [sym_call_expression] = STATE(8601),
    [sym_field_expression] = STATE(8601),
    [sym_instance_expression] = STATE(8601),
    [sym_ascription_expression] = STATE(8601),
    [sym_infix_expression] = STATE(8601),
    [sym_postfix_expression] = STATE(8601),
    [sym_prefix_expression] = STATE(8601),
    [sym_tuple_expression] = STATE(8601),
    [sym_parenthesized_expression] = STATE(8601),
    [sym_boolean_literal] = STATE(8601),
    [sym_interpolated_string_expression] = STATE(8601),
    [sym_string] = STATE(8601),
    [sym_unit] = STATE(8601),
    [sym_return_expression] = STATE(8601),
    [sym_throw_expression] = STATE(8601),
    [sym_while_expression] = STATE(8601),
    [sym_do_while_expression] = STATE(8601),
    [sym_for_expression] = STATE(8601),
    [aux_sym_object_definition_repeat1] = STATE(3936),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_import] = ACTIONS(835),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_class] = ACTIONS(841),
    [anon_sym_trait] = ACTIONS(843),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(847),
    [anon_sym_var] = ACTIONS(849),
    [anon_sym_type] = ACTIONS(851),
    [anon_sym_def] = ACTIONS(853),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_try] = ACTIONS(859),
    [anon_sym_new] = ACTIONS(861),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [sym_integer_literal] = ACTIONS(863),
    [sym_floating_point_literal] = ACTIONS(865),
    [anon_sym_true] = ACTIONS(867),
    [anon_sym_false] = ACTIONS(867),
    [sym_character_literal] = ACTIONS(865),
    [sym_symbol_literal] = ACTIONS(863),
    [sym_null_literal] = ACTIONS(863),
    [anon_sym_return] = ACTIONS(869),
    [anon_sym_throw] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(873),
    [anon_sym_do] = ACTIONS(875),
    [anon_sym_for] = ACTIONS(877),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(879),
    [sym__simple_multiline_string] = ACTIONS(879),
  },
  [139] = {
    [sym_import_declaration] = STATE(5648),
    [sym_object_definition] = STATE(5648),
    [sym_class_definition] = STATE(5648),
    [sym_trait_definition] = STATE(5648),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(5648),
    [sym_val_declaration] = STATE(5648),
    [sym__start_val] = STATE(3748),
    [sym_var_declaration] = STATE(5648),
    [sym_var_definition] = STATE(5648),
    [sym__start_var] = STATE(3749),
    [sym_type_definition] = STATE(5648),
    [sym_function_definition] = STATE(5648),
    [sym_function_declaration] = STATE(5648),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(6010),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11487),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(461),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(885),
    [anon_sym_var] = ACTIONS(887),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_throw] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(899),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(901),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [140] = {
    [sym_import_declaration] = STATE(5081),
    [sym_object_definition] = STATE(5081),
    [sym_class_definition] = STATE(5081),
    [sym_trait_definition] = STATE(5081),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(5081),
    [sym_val_declaration] = STATE(5081),
    [sym__start_val] = STATE(3703),
    [sym_var_declaration] = STATE(5081),
    [sym_var_definition] = STATE(5081),
    [sym__start_var] = STATE(3704),
    [sym_type_definition] = STATE(5081),
    [sym_function_definition] = STATE(5081),
    [sym_function_declaration] = STATE(5081),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(4556),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11510),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(291),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_var] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_new] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(1051),
    [anon_sym_TILDE] = ACTIONS(1051),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(331),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [141] = {
    [sym_import_declaration] = STATE(6085),
    [sym_object_definition] = STATE(6085),
    [sym_class_definition] = STATE(6085),
    [sym_trait_definition] = STATE(6085),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(6085),
    [sym_val_declaration] = STATE(6085),
    [sym__start_val] = STATE(3688),
    [sym_var_declaration] = STATE(6085),
    [sym_var_definition] = STATE(6085),
    [sym__start_var] = STATE(3689),
    [sym_type_definition] = STATE(6085),
    [sym_function_definition] = STATE(6085),
    [sym_function_declaration] = STATE(6085),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(5573),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(685),
    [anon_sym_var] = ACTIONS(687),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [142] = {
    [sym_import_declaration] = STATE(2768),
    [sym_object_definition] = STATE(2768),
    [sym_class_definition] = STATE(2768),
    [sym_trait_definition] = STATE(2768),
    [sym_annotation] = STATE(3912),
    [sym_val_definition] = STATE(2768),
    [sym_val_declaration] = STATE(2768),
    [sym__start_val] = STATE(3739),
    [sym_var_declaration] = STATE(2768),
    [sym_var_definition] = STATE(2768),
    [sym__start_var] = STATE(3741),
    [sym_type_definition] = STATE(2768),
    [sym_function_definition] = STATE(2768),
    [sym_function_declaration] = STATE(2768),
    [sym_modifiers] = STATE(9354),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(2734),
    [sym_expression] = STATE(1619),
    [sym_if_expression] = STATE(2734),
    [sym_match_expression] = STATE(2734),
    [sym_try_expression] = STATE(2734),
    [sym_bindings] = STATE(11390),
    [sym_lambda_expression] = STATE(2734),
    [sym_case_block] = STATE(2734),
    [sym_assignment_expression] = STATE(2734),
    [sym_generic_function] = STATE(2734),
    [sym_call_expression] = STATE(2734),
    [sym_field_expression] = STATE(2734),
    [sym_instance_expression] = STATE(2734),
    [sym_ascription_expression] = STATE(2734),
    [sym_infix_expression] = STATE(2734),
    [sym_postfix_expression] = STATE(2734),
    [sym_prefix_expression] = STATE(2734),
    [sym_tuple_expression] = STATE(2734),
    [sym_parenthesized_expression] = STATE(2734),
    [sym_boolean_literal] = STATE(2734),
    [sym_interpolated_string_expression] = STATE(2734),
    [sym_string] = STATE(2734),
    [sym_unit] = STATE(2734),
    [sym_return_expression] = STATE(2734),
    [sym_throw_expression] = STATE(2734),
    [sym_while_expression] = STATE(2734),
    [sym_do_while_expression] = STATE(2734),
    [sym_for_expression] = STATE(2734),
    [aux_sym_object_definition_repeat1] = STATE(3912),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(533),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_import] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_case] = ACTIONS(541),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_trait] = ACTIONS(545),
    [anon_sym_PLUS] = ACTIONS(1053),
    [anon_sym_DASH] = ACTIONS(547),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(549),
    [anon_sym_var] = ACTIONS(551),
    [anon_sym_type] = ACTIONS(553),
    [anon_sym_def] = ACTIONS(555),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_BANG] = ACTIONS(1053),
    [anon_sym_TILDE] = ACTIONS(1053),
    [sym_integer_literal] = ACTIONS(565),
    [sym_floating_point_literal] = ACTIONS(567),
    [anon_sym_true] = ACTIONS(569),
    [anon_sym_false] = ACTIONS(569),
    [sym_character_literal] = ACTIONS(567),
    [sym_symbol_literal] = ACTIONS(565),
    [sym_null_literal] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_do] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(581),
    [sym__simple_multiline_string] = ACTIONS(581),
  },
  [143] = {
    [sym_import_declaration] = STATE(4319),
    [sym_object_definition] = STATE(4319),
    [sym_class_definition] = STATE(4319),
    [sym_trait_definition] = STATE(4319),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(4319),
    [sym_val_declaration] = STATE(4319),
    [sym__start_val] = STATE(3762),
    [sym_var_declaration] = STATE(4319),
    [sym_var_definition] = STATE(4319),
    [sym__start_var] = STATE(3764),
    [sym_type_definition] = STATE(4319),
    [sym_function_definition] = STATE(4319),
    [sym_function_declaration] = STATE(4319),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4969),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11657),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(1055),
    [anon_sym_DASH] = ACTIONS(389),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(391),
    [anon_sym_var] = ACTIONS(393),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_try] = ACTIONS(397),
    [anon_sym_new] = ACTIONS(399),
    [anon_sym_BANG] = ACTIONS(1055),
    [anon_sym_TILDE] = ACTIONS(1055),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(401),
    [anon_sym_throw] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [144] = {
    [sym_import_declaration] = STATE(4319),
    [sym_object_definition] = STATE(4319),
    [sym_class_definition] = STATE(4319),
    [sym_trait_definition] = STATE(4319),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(4319),
    [sym_val_declaration] = STATE(4319),
    [sym__start_val] = STATE(3788),
    [sym_var_declaration] = STATE(4319),
    [sym_var_definition] = STATE(4319),
    [sym__start_var] = STATE(3787),
    [sym_type_definition] = STATE(4319),
    [sym_function_definition] = STATE(4319),
    [sym_function_declaration] = STATE(4319),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4088),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11810),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(33),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(55),
    [anon_sym_var] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_try] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(1057),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_throw] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [145] = {
    [sym_import_declaration] = STATE(8329),
    [sym_object_definition] = STATE(8329),
    [sym_class_definition] = STATE(8329),
    [sym_trait_definition] = STATE(8329),
    [sym_annotation] = STATE(3952),
    [sym_val_definition] = STATE(8329),
    [sym_val_declaration] = STATE(8329),
    [sym__start_val] = STATE(3786),
    [sym_var_declaration] = STATE(8329),
    [sym_var_definition] = STATE(8329),
    [sym__start_var] = STATE(3785),
    [sym_type_definition] = STATE(8329),
    [sym_function_definition] = STATE(8329),
    [sym_function_declaration] = STATE(8329),
    [sym_modifiers] = STATE(9316),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(8393),
    [sym_expression] = STATE(6125),
    [sym_if_expression] = STATE(8393),
    [sym_match_expression] = STATE(8393),
    [sym_try_expression] = STATE(8393),
    [sym_bindings] = STATE(11824),
    [sym_lambda_expression] = STATE(8393),
    [sym_case_block] = STATE(8393),
    [sym_assignment_expression] = STATE(8393),
    [sym_generic_function] = STATE(8393),
    [sym_call_expression] = STATE(8393),
    [sym_field_expression] = STATE(8393),
    [sym_instance_expression] = STATE(8393),
    [sym_ascription_expression] = STATE(8393),
    [sym_infix_expression] = STATE(8393),
    [sym_postfix_expression] = STATE(8393),
    [sym_prefix_expression] = STATE(8393),
    [sym_tuple_expression] = STATE(8393),
    [sym_parenthesized_expression] = STATE(8393),
    [sym_boolean_literal] = STATE(8393),
    [sym_interpolated_string_expression] = STATE(8393),
    [sym_string] = STATE(8393),
    [sym_unit] = STATE(8393),
    [sym_return_expression] = STATE(8393),
    [sym_throw_expression] = STATE(8393),
    [sym_while_expression] = STATE(8393),
    [sym_do_while_expression] = STATE(8393),
    [sym_for_expression] = STATE(8393),
    [aux_sym_object_definition_repeat1] = STATE(3952),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(737),
    [anon_sym_case] = ACTIONS(739),
    [anon_sym_class] = ACTIONS(741),
    [anon_sym_trait] = ACTIONS(743),
    [anon_sym_PLUS] = ACTIONS(1059),
    [anon_sym_DASH] = ACTIONS(745),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(747),
    [anon_sym_var] = ACTIONS(749),
    [anon_sym_type] = ACTIONS(751),
    [anon_sym_def] = ACTIONS(753),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_if] = ACTIONS(757),
    [anon_sym_try] = ACTIONS(759),
    [anon_sym_new] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(1059),
    [anon_sym_TILDE] = ACTIONS(1059),
    [sym_integer_literal] = ACTIONS(763),
    [sym_floating_point_literal] = ACTIONS(765),
    [anon_sym_true] = ACTIONS(767),
    [anon_sym_false] = ACTIONS(767),
    [sym_character_literal] = ACTIONS(765),
    [sym_symbol_literal] = ACTIONS(763),
    [sym_null_literal] = ACTIONS(763),
    [anon_sym_return] = ACTIONS(769),
    [anon_sym_throw] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(773),
    [anon_sym_do] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(777),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(779),
    [sym__simple_multiline_string] = ACTIONS(779),
  },
  [146] = {
    [sym_import_declaration] = STATE(6085),
    [sym_object_definition] = STATE(6085),
    [sym_class_definition] = STATE(6085),
    [sym_trait_definition] = STATE(6085),
    [sym_annotation] = STATE(3829),
    [sym_val_definition] = STATE(6085),
    [sym_val_declaration] = STATE(6085),
    [sym__start_val] = STATE(3708),
    [sym_var_declaration] = STATE(6085),
    [sym_var_definition] = STATE(6085),
    [sym__start_var] = STATE(3709),
    [sym_type_definition] = STATE(6085),
    [sym_function_definition] = STATE(6085),
    [sym_function_declaration] = STATE(6085),
    [sym_modifiers] = STATE(9359),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(6677),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11637),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3829),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(903),
    [anon_sym_object] = ACTIONS(633),
    [anon_sym_import] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(641),
    [anon_sym_trait] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(1061),
    [anon_sym_DASH] = ACTIONS(905),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(907),
    [anon_sym_var] = ACTIONS(909),
    [anon_sym_type] = ACTIONS(651),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_try] = ACTIONS(913),
    [anon_sym_new] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(1061),
    [anon_sym_TILDE] = ACTIONS(1061),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(919),
    [anon_sym_while] = ACTIONS(921),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(923),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [147] = {
    [sym_import_declaration] = STATE(7070),
    [sym_object_definition] = STATE(7070),
    [sym_class_definition] = STATE(7070),
    [sym_trait_definition] = STATE(7070),
    [sym_annotation] = STATE(3942),
    [sym_val_definition] = STATE(7070),
    [sym_val_declaration] = STATE(7070),
    [sym__start_val] = STATE(3711),
    [sym_var_declaration] = STATE(7070),
    [sym_var_definition] = STATE(7070),
    [sym__start_var] = STATE(3731),
    [sym_type_definition] = STATE(7070),
    [sym_function_definition] = STATE(7070),
    [sym_function_declaration] = STATE(7070),
    [sym_modifiers] = STATE(9410),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(7002),
    [sym_expression] = STATE(5077),
    [sym_if_expression] = STATE(7002),
    [sym_match_expression] = STATE(7002),
    [sym_try_expression] = STATE(7002),
    [sym_bindings] = STATE(11845),
    [sym_lambda_expression] = STATE(7002),
    [sym_case_block] = STATE(7002),
    [sym_assignment_expression] = STATE(7002),
    [sym_generic_function] = STATE(7002),
    [sym_call_expression] = STATE(7002),
    [sym_field_expression] = STATE(7002),
    [sym_instance_expression] = STATE(7002),
    [sym_ascription_expression] = STATE(7002),
    [sym_infix_expression] = STATE(7002),
    [sym_postfix_expression] = STATE(7002),
    [sym_prefix_expression] = STATE(7002),
    [sym_tuple_expression] = STATE(7002),
    [sym_parenthesized_expression] = STATE(7002),
    [sym_boolean_literal] = STATE(7002),
    [sym_interpolated_string_expression] = STATE(7002),
    [sym_string] = STATE(7002),
    [sym_unit] = STATE(7002),
    [sym_return_expression] = STATE(7002),
    [sym_throw_expression] = STATE(7002),
    [sym_while_expression] = STATE(7002),
    [sym_do_while_expression] = STATE(7002),
    [sym_for_expression] = STATE(7002),
    [aux_sym_object_definition_repeat1] = STATE(3942),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(241),
    [anon_sym_object] = ACTIONS(243),
    [anon_sym_import] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(247),
    [anon_sym_case] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(251),
    [anon_sym_trait] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(257),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_type] = ACTIONS(261),
    [anon_sym_def] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_try] = ACTIONS(269),
    [anon_sym_new] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(1063),
    [anon_sym_TILDE] = ACTIONS(1063),
    [sym_integer_literal] = ACTIONS(273),
    [sym_floating_point_literal] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(277),
    [anon_sym_false] = ACTIONS(277),
    [sym_character_literal] = ACTIONS(275),
    [sym_symbol_literal] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_throw] = ACTIONS(281),
    [anon_sym_while] = ACTIONS(283),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_for] = ACTIONS(287),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(289),
    [sym__simple_multiline_string] = ACTIONS(289),
  },
  [148] = {
    [sym_import_declaration] = STATE(1888),
    [sym_object_definition] = STATE(1888),
    [sym_class_definition] = STATE(1888),
    [sym_trait_definition] = STATE(1888),
    [sym_annotation] = STATE(3923),
    [sym_val_definition] = STATE(1888),
    [sym_val_declaration] = STATE(1888),
    [sym__start_val] = STATE(3754),
    [sym_var_declaration] = STATE(1888),
    [sym_var_definition] = STATE(1888),
    [sym__start_var] = STATE(3756),
    [sym_type_definition] = STATE(1888),
    [sym_function_definition] = STATE(1888),
    [sym_function_declaration] = STATE(1888),
    [sym_modifiers] = STATE(9286),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(2204),
    [sym_expression] = STATE(1201),
    [sym_if_expression] = STATE(2204),
    [sym_match_expression] = STATE(2204),
    [sym_try_expression] = STATE(2204),
    [sym_bindings] = STATE(11563),
    [sym_lambda_expression] = STATE(2204),
    [sym_case_block] = STATE(2204),
    [sym_assignment_expression] = STATE(2204),
    [sym_generic_function] = STATE(2204),
    [sym_call_expression] = STATE(2204),
    [sym_field_expression] = STATE(2204),
    [sym_instance_expression] = STATE(2204),
    [sym_ascription_expression] = STATE(2204),
    [sym_infix_expression] = STATE(2204),
    [sym_postfix_expression] = STATE(2204),
    [sym_prefix_expression] = STATE(2204),
    [sym_tuple_expression] = STATE(2204),
    [sym_parenthesized_expression] = STATE(2204),
    [sym_boolean_literal] = STATE(2204),
    [sym_interpolated_string_expression] = STATE(2204),
    [sym_string] = STATE(2204),
    [sym_unit] = STATE(2204),
    [sym_return_expression] = STATE(2204),
    [sym_throw_expression] = STATE(2204),
    [sym_while_expression] = STATE(2204),
    [sym_do_while_expression] = STATE(2204),
    [sym_for_expression] = STATE(2204),
    [aux_sym_object_definition_repeat1] = STATE(3923),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(119),
    [anon_sym_import] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_case] = ACTIONS(125),
    [anon_sym_class] = ACTIONS(127),
    [anon_sym_trait] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(1065),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(133),
    [anon_sym_var] = ACTIONS(135),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_try] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(1065),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_integer_literal] = ACTIONS(149),
    [sym_floating_point_literal] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_character_literal] = ACTIONS(151),
    [sym_symbol_literal] = ACTIONS(149),
    [sym_null_literal] = ACTIONS(149),
    [anon_sym_return] = ACTIONS(155),
    [anon_sym_throw] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(165),
    [sym__simple_multiline_string] = ACTIONS(165),
  },
  [149] = {
    [sym_import_declaration] = STATE(9937),
    [sym_object_definition] = STATE(9937),
    [sym_class_definition] = STATE(9937),
    [sym_trait_definition] = STATE(9937),
    [sym_annotation] = STATE(3806),
    [sym_val_definition] = STATE(9937),
    [sym_val_declaration] = STATE(9937),
    [sym__start_val] = STATE(3589),
    [sym_var_declaration] = STATE(9937),
    [sym_var_definition] = STATE(9937),
    [sym__start_var] = STATE(3590),
    [sym_type_definition] = STATE(9937),
    [sym_function_definition] = STATE(9937),
    [sym_function_declaration] = STATE(9937),
    [sym_modifiers] = STATE(9300),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(6138),
    [sym_expression] = STATE(5573),
    [sym_if_expression] = STATE(6138),
    [sym_match_expression] = STATE(6138),
    [sym_try_expression] = STATE(6138),
    [sym_bindings] = STATE(11890),
    [sym_lambda_expression] = STATE(6138),
    [sym_case_block] = STATE(6138),
    [sym_assignment_expression] = STATE(6138),
    [sym_generic_function] = STATE(6138),
    [sym_call_expression] = STATE(6138),
    [sym_field_expression] = STATE(6138),
    [sym_instance_expression] = STATE(6138),
    [sym_ascription_expression] = STATE(6138),
    [sym_infix_expression] = STATE(6138),
    [sym_postfix_expression] = STATE(6138),
    [sym_prefix_expression] = STATE(6138),
    [sym_tuple_expression] = STATE(6138),
    [sym_parenthesized_expression] = STATE(6138),
    [sym_boolean_literal] = STATE(6138),
    [sym_interpolated_string_expression] = STATE(6138),
    [sym_string] = STATE(6138),
    [sym_unit] = STATE(6138),
    [sym_return_expression] = STATE(6138),
    [sym_throw_expression] = STATE(6138),
    [sym_while_expression] = STATE(6138),
    [sym_do_while_expression] = STATE(6138),
    [sym_for_expression] = STATE(6138),
    [aux_sym_object_definition_repeat1] = STATE(3806),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(937),
    [sym_integer_literal] = ACTIONS(663),
    [sym_floating_point_literal] = ACTIONS(665),
    [anon_sym_true] = ACTIONS(667),
    [anon_sym_false] = ACTIONS(667),
    [sym_character_literal] = ACTIONS(665),
    [sym_symbol_literal] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(663),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(679),
  },
  [150] = {
    [sym_import_declaration] = STATE(5081),
    [sym_object_definition] = STATE(5081),
    [sym_class_definition] = STATE(5081),
    [sym_trait_definition] = STATE(5081),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(5081),
    [sym_val_declaration] = STATE(5081),
    [sym__start_val] = STATE(3791),
    [sym_var_declaration] = STATE(5081),
    [sym_var_definition] = STATE(5081),
    [sym__start_var] = STATE(3776),
    [sym_type_definition] = STATE(5081),
    [sym_function_definition] = STATE(5081),
    [sym_function_declaration] = STATE(5081),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(4598),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11529),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1067),
    [anon_sym_DASH] = ACTIONS(367),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(369),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_try] = ACTIONS(375),
    [anon_sym_new] = ACTIONS(377),
    [anon_sym_BANG] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(379),
    [anon_sym_throw] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [151] = {
    [sym_import_declaration] = STATE(7590),
    [sym_object_definition] = STATE(7590),
    [sym_class_definition] = STATE(7590),
    [sym_trait_definition] = STATE(7590),
    [sym_annotation] = STATE(3943),
    [sym_val_definition] = STATE(7590),
    [sym_val_declaration] = STATE(7590),
    [sym__start_val] = STATE(3772),
    [sym_var_declaration] = STATE(7590),
    [sym_var_definition] = STATE(7590),
    [sym__start_var] = STATE(3775),
    [sym_type_definition] = STATE(7590),
    [sym_function_definition] = STATE(7590),
    [sym_function_declaration] = STATE(7590),
    [sym_modifiers] = STATE(9380),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(7649),
    [sym_expression] = STATE(5926),
    [sym_if_expression] = STATE(7649),
    [sym_match_expression] = STATE(7649),
    [sym_try_expression] = STATE(7649),
    [sym_bindings] = STATE(11771),
    [sym_lambda_expression] = STATE(7649),
    [sym_case_block] = STATE(7649),
    [sym_assignment_expression] = STATE(7649),
    [sym_generic_function] = STATE(7649),
    [sym_call_expression] = STATE(7649),
    [sym_field_expression] = STATE(7649),
    [sym_instance_expression] = STATE(7649),
    [sym_ascription_expression] = STATE(7649),
    [sym_infix_expression] = STATE(7649),
    [sym_postfix_expression] = STATE(7649),
    [sym_prefix_expression] = STATE(7649),
    [sym_tuple_expression] = STATE(7649),
    [sym_parenthesized_expression] = STATE(7649),
    [sym_boolean_literal] = STATE(7649),
    [sym_interpolated_string_expression] = STATE(7649),
    [sym_string] = STATE(7649),
    [sym_unit] = STATE(7649),
    [sym_return_expression] = STATE(7649),
    [sym_throw_expression] = STATE(7649),
    [sym_while_expression] = STATE(7649),
    [sym_do_while_expression] = STATE(7649),
    [sym_for_expression] = STATE(7649),
    [aux_sym_object_definition_repeat1] = STATE(3943),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_object] = ACTIONS(485),
    [anon_sym_import] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_case] = ACTIONS(491),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_trait] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1069),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(499),
    [anon_sym_var] = ACTIONS(501),
    [anon_sym_type] = ACTIONS(503),
    [anon_sym_def] = ACTIONS(505),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_new] = ACTIONS(513),
    [anon_sym_BANG] = ACTIONS(1069),
    [anon_sym_TILDE] = ACTIONS(1069),
    [sym_integer_literal] = ACTIONS(515),
    [sym_floating_point_literal] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(517),
    [sym_symbol_literal] = ACTIONS(515),
    [sym_null_literal] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_throw] = ACTIONS(523),
    [anon_sym_while] = ACTIONS(525),
    [anon_sym_do] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(531),
    [sym__simple_multiline_string] = ACTIONS(531),
  },
  [152] = {
    [sym_import_declaration] = STATE(5081),
    [sym_object_definition] = STATE(5081),
    [sym_class_definition] = STATE(5081),
    [sym_trait_definition] = STATE(5081),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(5081),
    [sym_val_declaration] = STATE(5081),
    [sym__start_val] = STATE(3721),
    [sym_var_declaration] = STATE(5081),
    [sym_var_definition] = STATE(5081),
    [sym__start_var] = STATE(3722),
    [sym_type_definition] = STATE(5081),
    [sym_function_definition] = STATE(5081),
    [sym_function_declaration] = STATE(5081),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(5893),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11647),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1071),
    [anon_sym_DASH] = ACTIONS(611),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(613),
    [anon_sym_var] = ACTIONS(615),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_try] = ACTIONS(619),
    [anon_sym_new] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(1071),
    [anon_sym_TILDE] = ACTIONS(1071),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(627),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(629),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [153] = {
    [sym_import_declaration] = STATE(4319),
    [sym_object_definition] = STATE(4319),
    [sym_class_definition] = STATE(4319),
    [sym_trait_definition] = STATE(4319),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(4319),
    [sym_val_declaration] = STATE(4319),
    [sym__start_val] = STATE(3743),
    [sym_var_declaration] = STATE(4319),
    [sym_var_definition] = STATE(4319),
    [sym__start_var] = STATE(3747),
    [sym_type_definition] = STATE(4319),
    [sym_function_definition] = STATE(4319),
    [sym_function_declaration] = STATE(4319),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4210),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11949),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(99),
    [anon_sym_var] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_try] = ACTIONS(105),
    [anon_sym_new] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1073),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(109),
    [anon_sym_throw] = ACTIONS(111),
    [anon_sym_while] = ACTIONS(113),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [154] = {
    [sym_import_declaration] = STATE(2881),
    [sym_object_definition] = STATE(2881),
    [sym_class_definition] = STATE(2881),
    [sym_trait_definition] = STATE(2881),
    [sym_annotation] = STATE(3872),
    [sym_val_definition] = STATE(2881),
    [sym_val_declaration] = STATE(2881),
    [sym__start_val] = STATE(3701),
    [sym_var_declaration] = STATE(2881),
    [sym_var_definition] = STATE(2881),
    [sym__start_var] = STATE(3702),
    [sym_type_definition] = STATE(2881),
    [sym_function_definition] = STATE(2881),
    [sym_function_declaration] = STATE(2881),
    [sym_modifiers] = STATE(9339),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(2999),
    [sym_expression] = STATE(1717),
    [sym_if_expression] = STATE(2999),
    [sym_match_expression] = STATE(2999),
    [sym_try_expression] = STATE(2999),
    [sym_bindings] = STATE(11869),
    [sym_lambda_expression] = STATE(2999),
    [sym_case_block] = STATE(2999),
    [sym_assignment_expression] = STATE(2999),
    [sym_generic_function] = STATE(2999),
    [sym_call_expression] = STATE(2999),
    [sym_field_expression] = STATE(2999),
    [sym_instance_expression] = STATE(2999),
    [sym_ascription_expression] = STATE(2999),
    [sym_infix_expression] = STATE(2999),
    [sym_postfix_expression] = STATE(2999),
    [sym_prefix_expression] = STATE(2999),
    [sym_tuple_expression] = STATE(2999),
    [sym_parenthesized_expression] = STATE(2999),
    [sym_boolean_literal] = STATE(2999),
    [sym_interpolated_string_expression] = STATE(2999),
    [sym_string] = STATE(2999),
    [sym_unit] = STATE(2999),
    [sym_return_expression] = STATE(2999),
    [sym_throw_expression] = STATE(2999),
    [sym_while_expression] = STATE(2999),
    [sym_do_while_expression] = STATE(2999),
    [sym_for_expression] = STATE(2999),
    [aux_sym_object_definition_repeat1] = STATE(3872),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(781),
    [anon_sym_object] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(787),
    [anon_sym_case] = ACTIONS(789),
    [anon_sym_class] = ACTIONS(791),
    [anon_sym_trait] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(797),
    [anon_sym_var] = ACTIONS(799),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_def] = ACTIONS(803),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_try] = ACTIONS(809),
    [anon_sym_new] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [sym_integer_literal] = ACTIONS(813),
    [sym_floating_point_literal] = ACTIONS(815),
    [anon_sym_true] = ACTIONS(817),
    [anon_sym_false] = ACTIONS(817),
    [sym_character_literal] = ACTIONS(815),
    [sym_symbol_literal] = ACTIONS(813),
    [sym_null_literal] = ACTIONS(813),
    [anon_sym_return] = ACTIONS(819),
    [anon_sym_throw] = ACTIONS(821),
    [anon_sym_while] = ACTIONS(823),
    [anon_sym_do] = ACTIONS(825),
    [anon_sym_for] = ACTIONS(827),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(829),
    [sym__simple_multiline_string] = ACTIONS(829),
  },
  [155] = {
    [sym_import_declaration] = STATE(5648),
    [sym_object_definition] = STATE(5648),
    [sym_class_definition] = STATE(5648),
    [sym_trait_definition] = STATE(5648),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(5648),
    [sym_val_declaration] = STATE(5648),
    [sym__start_val] = STATE(3783),
    [sym_var_declaration] = STATE(5648),
    [sym_var_definition] = STATE(5648),
    [sym__start_var] = STATE(3777),
    [sym_type_definition] = STATE(5648),
    [sym_function_definition] = STATE(5648),
    [sym_function_declaration] = STATE(5648),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(5302),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11693),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(461),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(587),
    [anon_sym_var] = ACTIONS(589),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_try] = ACTIONS(593),
    [anon_sym_new] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_TILDE] = ACTIONS(1077),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(597),
    [anon_sym_throw] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(601),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(603),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [156] = {
    [sym_import_declaration] = STATE(4319),
    [sym_object_definition] = STATE(4319),
    [sym_class_definition] = STATE(4319),
    [sym_trait_definition] = STATE(4319),
    [sym_annotation] = STATE(3918),
    [sym_val_definition] = STATE(4319),
    [sym_val_declaration] = STATE(4319),
    [sym__start_val] = STATE(3751),
    [sym_var_declaration] = STATE(4319),
    [sym_var_definition] = STATE(4319),
    [sym__start_var] = STATE(3752),
    [sym_type_definition] = STATE(4319),
    [sym_function_definition] = STATE(4319),
    [sym_function_declaration] = STATE(4319),
    [sym_modifiers] = STATE(9402),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4294),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11805),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [aux_sym_object_definition_repeat1] = STATE(3918),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_object] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_case] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_trait] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(173),
    [anon_sym_var] = ACTIONS(175),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_def] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_new] = ACTIONS(181),
    [anon_sym_BANG] = ACTIONS(1079),
    [anon_sym_TILDE] = ACTIONS(1079),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_throw] = ACTIONS(185),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [157] = {
    [sym_import_declaration] = STATE(5081),
    [sym_object_definition] = STATE(5081),
    [sym_class_definition] = STATE(5081),
    [sym_trait_definition] = STATE(5081),
    [sym_annotation] = STATE(3886),
    [sym_val_definition] = STATE(5081),
    [sym_val_declaration] = STATE(5081),
    [sym__start_val] = STATE(3713),
    [sym_var_declaration] = STATE(5081),
    [sym_var_definition] = STATE(5081),
    [sym__start_var] = STATE(3714),
    [sym_type_definition] = STATE(5081),
    [sym_function_definition] = STATE(5081),
    [sym_function_declaration] = STATE(5081),
    [sym_modifiers] = STATE(9323),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(5150),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11811),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [aux_sym_object_definition_repeat1] = STATE(3886),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_object] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_trait] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1081),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(347),
    [anon_sym_var] = ACTIONS(349),
    [anon_sym_type] = ACTIONS(311),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_try] = ACTIONS(353),
    [anon_sym_new] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(359),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [158] = {
    [sym_import_declaration] = STATE(5648),
    [sym_object_definition] = STATE(5648),
    [sym_class_definition] = STATE(5648),
    [sym_trait_definition] = STATE(5648),
    [sym_annotation] = STATE(3909),
    [sym_val_definition] = STATE(5648),
    [sym_val_declaration] = STATE(5648),
    [sym__start_val] = STATE(3732),
    [sym_var_declaration] = STATE(5648),
    [sym_var_definition] = STATE(5648),
    [sym__start_var] = STATE(3737),
    [sym_type_definition] = STATE(5648),
    [sym_function_definition] = STATE(5648),
    [sym_function_declaration] = STATE(5648),
    [sym_modifiers] = STATE(9308),
    [sym_access_modifier] = STATE(4814),
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(5734),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11807),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [aux_sym_object_definition_repeat1] = STATE(3909),
    [aux_sym_modifiers_repeat1] = STATE(4814),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_object] = ACTIONS(411),
    [anon_sym_import] = ACTIONS(413),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_trait] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(423),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_val] = ACTIONS(425),
    [anon_sym_var] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_def] = ACTIONS(431),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(447),
    [anon_sym_throw] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(455),
    [sym_comment] = ACTIONS(3),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [159] = {
    [sym_block] = STATE(2204),
    [sym_expression] = STATE(1256),
    [sym_if_expression] = STATE(2204),
    [sym_match_expression] = STATE(2204),
    [sym_try_expression] = STATE(2204),
    [sym_bindings] = STATE(11563),
    [sym_lambda_expression] = STATE(2204),
    [sym_case_block] = STATE(2204),
    [sym_assignment_expression] = STATE(2204),
    [sym_generic_function] = STATE(2204),
    [sym_call_expression] = STATE(2204),
    [sym_field_expression] = STATE(2204),
    [sym_instance_expression] = STATE(2204),
    [sym_ascription_expression] = STATE(2204),
    [sym_infix_expression] = STATE(2204),
    [sym_postfix_expression] = STATE(2204),
    [sym_prefix_expression] = STATE(2204),
    [sym_tuple_expression] = STATE(2204),
    [sym_parenthesized_expression] = STATE(2204),
    [sym_boolean_literal] = STATE(2204),
    [sym_interpolated_string_expression] = STATE(2204),
    [sym_string] = STATE(2204),
    [sym_unit] = STATE(2204),
    [sym_return_expression] = STATE(2204),
    [sym_throw_expression] = STATE(2204),
    [sym_while_expression] = STATE(2204),
    [sym_do_while_expression] = STATE(2204),
    [sym_for_expression] = STATE(2204),
    [ts_builtin_sym_end] = ACTIONS(1085),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_package] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1087),
    [anon_sym_class] = ACTIONS(1087),
    [anon_sym_trait] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_AT] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_val] = ACTIONS(1087),
    [anon_sym_var] = ACTIONS(1087),
    [anon_sym_type] = ACTIONS(1087),
    [anon_sym_def] = ACTIONS(1087),
    [anon_sym_abstract] = ACTIONS(1087),
    [anon_sym_final] = ACTIONS(1087),
    [anon_sym_sealed] = ACTIONS(1087),
    [anon_sym_implicit] = ACTIONS(1087),
    [anon_sym_lazy] = ACTIONS(1087),
    [anon_sym_override] = ACTIONS(1087),
    [anon_sym_private] = ACTIONS(1087),
    [anon_sym_protected] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_else] = ACTIONS(1087),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(145),
    [anon_sym_catch] = ACTIONS(1087),
    [anon_sym_finally] = ACTIONS(1087),
    [anon_sym_new] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(149),
    [sym_floating_point_literal] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_character_literal] = ACTIONS(151),
    [sym_symbol_literal] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(1085),
    [sym_null_literal] = ACTIONS(149),
    [anon_sym_return] = ACTIONS(155),
    [anon_sym_throw] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1085),
    [sym__simple_string] = ACTIONS(165),
    [sym__simple_multiline_string] = ACTIONS(165),
  },
  [160] = {
    [sym_block] = STATE(2204),
    [sym_expression] = STATE(1133),
    [sym_if_expression] = STATE(2204),
    [sym_match_expression] = STATE(2204),
    [sym_try_expression] = STATE(2204),
    [sym_bindings] = STATE(11563),
    [sym_lambda_expression] = STATE(2204),
    [sym_case_block] = STATE(2204),
    [sym_assignment_expression] = STATE(2204),
    [sym_generic_function] = STATE(2204),
    [sym_call_expression] = STATE(2204),
    [sym_field_expression] = STATE(2204),
    [sym_instance_expression] = STATE(2204),
    [sym_ascription_expression] = STATE(2204),
    [sym_infix_expression] = STATE(2204),
    [sym_postfix_expression] = STATE(2204),
    [sym_prefix_expression] = STATE(2204),
    [sym_tuple_expression] = STATE(2204),
    [sym_parenthesized_expression] = STATE(2204),
    [sym_boolean_literal] = STATE(2204),
    [sym_interpolated_string_expression] = STATE(2204),
    [sym_string] = STATE(2204),
    [sym_unit] = STATE(2204),
    [sym_return_expression] = STATE(2204),
    [sym_throw_expression] = STATE(2204),
    [sym_while_expression] = STATE(2204),
    [sym_do_while_expression] = STATE(2204),
    [sym_for_expression] = STATE(2204),
    [ts_builtin_sym_end] = ACTIONS(1089),
    [sym_identifier] = ACTIONS(117),
    [anon_sym_package] = ACTIONS(1091),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_import] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_trait] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_val] = ACTIONS(1091),
    [anon_sym_var] = ACTIONS(1091),
    [anon_sym_type] = ACTIONS(1091),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_abstract] = ACTIONS(1091),
    [anon_sym_final] = ACTIONS(1091),
    [anon_sym_sealed] = ACTIONS(1091),
    [anon_sym_implicit] = ACTIONS(1091),
    [anon_sym_lazy] = ACTIONS(1091),
    [anon_sym_override] = ACTIONS(1091),
    [anon_sym_private] = ACTIONS(1091),
    [anon_sym_protected] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(145),
    [anon_sym_catch] = ACTIONS(1091),
    [anon_sym_finally] = ACTIONS(1091),
    [anon_sym_new] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(149),
    [sym_floating_point_literal] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_character_literal] = ACTIONS(151),
    [sym_symbol_literal] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(1089),
    [sym_null_literal] = ACTIONS(149),
    [anon_sym_return] = ACTIONS(155),
    [anon_sym_throw] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__simple_string] = ACTIONS(165),
    [sym__simple_multiline_string] = ACTIONS(165),
  },
  [161] = {
    [sym_block] = STATE(2262),
    [sym_expression] = STATE(1421),
    [sym_if_expression] = STATE(2262),
    [sym_match_expression] = STATE(2262),
    [sym_try_expression] = STATE(2262),
    [sym_bindings] = STATE(11538),
    [sym_lambda_expression] = STATE(2262),
    [sym_case_block] = STATE(2262),
    [sym_assignment_expression] = STATE(2262),
    [sym_generic_function] = STATE(2262),
    [sym_call_expression] = STATE(2262),
    [sym_field_expression] = STATE(2262),
    [sym_instance_expression] = STATE(2262),
    [sym_ascription_expression] = STATE(2262),
    [sym_infix_expression] = STATE(2262),
    [sym_postfix_expression] = STATE(2262),
    [sym_prefix_expression] = STATE(2262),
    [sym_tuple_expression] = STATE(2262),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_boolean_literal] = STATE(2262),
    [sym_interpolated_string_expression] = STATE(2262),
    [sym_string] = STATE(2262),
    [sym_unit] = STATE(2262),
    [sym_return_expression] = STATE(2262),
    [sym_throw_expression] = STATE(2262),
    [sym_while_expression] = STATE(2262),
    [sym_do_while_expression] = STATE(2262),
    [sym_for_expression] = STATE(2262),
    [ts_builtin_sym_end] = ACTIONS(1085),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_package] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1087),
    [anon_sym_class] = ACTIONS(1087),
    [anon_sym_trait] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_AT] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_val] = ACTIONS(1087),
    [anon_sym_var] = ACTIONS(1087),
    [anon_sym_type] = ACTIONS(1087),
    [anon_sym_def] = ACTIONS(1087),
    [anon_sym_abstract] = ACTIONS(1087),
    [anon_sym_final] = ACTIONS(1087),
    [anon_sym_sealed] = ACTIONS(1087),
    [anon_sym_implicit] = ACTIONS(1087),
    [anon_sym_lazy] = ACTIONS(1087),
    [anon_sym_override] = ACTIONS(1087),
    [anon_sym_private] = ACTIONS(1087),
    [anon_sym_protected] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(219),
    [anon_sym_catch] = ACTIONS(1087),
    [anon_sym_finally] = ACTIONS(1087),
    [anon_sym_new] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(223),
    [sym_floating_point_literal] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [sym_character_literal] = ACTIONS(225),
    [sym_symbol_literal] = ACTIONS(223),
    [anon_sym_SEMI] = ACTIONS(1085),
    [sym_null_literal] = ACTIONS(223),
    [anon_sym_return] = ACTIONS(229),
    [anon_sym_throw] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1085),
    [sym__simple_string] = ACTIONS(239),
    [sym__simple_multiline_string] = ACTIONS(239),
  },
  [162] = {
    [sym_block] = STATE(2262),
    [sym_expression] = STATE(1356),
    [sym_if_expression] = STATE(2262),
    [sym_match_expression] = STATE(2262),
    [sym_try_expression] = STATE(2262),
    [sym_bindings] = STATE(11538),
    [sym_lambda_expression] = STATE(2262),
    [sym_case_block] = STATE(2262),
    [sym_assignment_expression] = STATE(2262),
    [sym_generic_function] = STATE(2262),
    [sym_call_expression] = STATE(2262),
    [sym_field_expression] = STATE(2262),
    [sym_instance_expression] = STATE(2262),
    [sym_ascription_expression] = STATE(2262),
    [sym_infix_expression] = STATE(2262),
    [sym_postfix_expression] = STATE(2262),
    [sym_prefix_expression] = STATE(2262),
    [sym_tuple_expression] = STATE(2262),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_boolean_literal] = STATE(2262),
    [sym_interpolated_string_expression] = STATE(2262),
    [sym_string] = STATE(2262),
    [sym_unit] = STATE(2262),
    [sym_return_expression] = STATE(2262),
    [sym_throw_expression] = STATE(2262),
    [sym_while_expression] = STATE(2262),
    [sym_do_while_expression] = STATE(2262),
    [sym_for_expression] = STATE(2262),
    [ts_builtin_sym_end] = ACTIONS(1089),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_package] = ACTIONS(1091),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_import] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_trait] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_val] = ACTIONS(1091),
    [anon_sym_var] = ACTIONS(1091),
    [anon_sym_type] = ACTIONS(1091),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_abstract] = ACTIONS(1091),
    [anon_sym_final] = ACTIONS(1091),
    [anon_sym_sealed] = ACTIONS(1091),
    [anon_sym_implicit] = ACTIONS(1091),
    [anon_sym_lazy] = ACTIONS(1091),
    [anon_sym_override] = ACTIONS(1091),
    [anon_sym_private] = ACTIONS(1091),
    [anon_sym_protected] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(219),
    [anon_sym_catch] = ACTIONS(1091),
    [anon_sym_finally] = ACTIONS(1091),
    [anon_sym_new] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(223),
    [sym_floating_point_literal] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(227),
    [anon_sym_false] = ACTIONS(227),
    [sym_character_literal] = ACTIONS(225),
    [sym_symbol_literal] = ACTIONS(223),
    [anon_sym_SEMI] = ACTIONS(1089),
    [sym_null_literal] = ACTIONS(223),
    [anon_sym_return] = ACTIONS(229),
    [anon_sym_throw] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__simple_string] = ACTIONS(239),
    [sym__simple_multiline_string] = ACTIONS(239),
  },
  [163] = {
    [sym_block] = STATE(2734),
    [sym_expression] = STATE(1609),
    [sym_if_expression] = STATE(2734),
    [sym_match_expression] = STATE(2734),
    [sym_try_expression] = STATE(2734),
    [sym_bindings] = STATE(11390),
    [sym_lambda_expression] = STATE(2734),
    [sym_case_block] = STATE(2734),
    [sym_assignment_expression] = STATE(2734),
    [sym_generic_function] = STATE(2734),
    [sym_call_expression] = STATE(2734),
    [sym_field_expression] = STATE(2734),
    [sym_instance_expression] = STATE(2734),
    [sym_ascription_expression] = STATE(2734),
    [sym_infix_expression] = STATE(2734),
    [sym_postfix_expression] = STATE(2734),
    [sym_prefix_expression] = STATE(2734),
    [sym_tuple_expression] = STATE(2734),
    [sym_parenthesized_expression] = STATE(2734),
    [sym_boolean_literal] = STATE(2734),
    [sym_interpolated_string_expression] = STATE(2734),
    [sym_string] = STATE(2734),
    [sym_unit] = STATE(2734),
    [sym_return_expression] = STATE(2734),
    [sym_throw_expression] = STATE(2734),
    [sym_while_expression] = STATE(2734),
    [sym_do_while_expression] = STATE(2734),
    [sym_for_expression] = STATE(2734),
    [ts_builtin_sym_end] = ACTIONS(1089),
    [sym_identifier] = ACTIONS(533),
    [anon_sym_package] = ACTIONS(1091),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_import] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_trait] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(547),
    [anon_sym_DASH] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_val] = ACTIONS(1091),
    [anon_sym_var] = ACTIONS(1091),
    [anon_sym_type] = ACTIONS(1091),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_abstract] = ACTIONS(1091),
    [anon_sym_final] = ACTIONS(1091),
    [anon_sym_sealed] = ACTIONS(1091),
    [anon_sym_implicit] = ACTIONS(1091),
    [anon_sym_lazy] = ACTIONS(1091),
    [anon_sym_override] = ACTIONS(1091),
    [anon_sym_private] = ACTIONS(1091),
    [anon_sym_protected] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(557),
    [anon_sym_if] = ACTIONS(559),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(565),
    [sym_floating_point_literal] = ACTIONS(567),
    [anon_sym_true] = ACTIONS(569),
    [anon_sym_false] = ACTIONS(569),
    [sym_character_literal] = ACTIONS(567),
    [sym_symbol_literal] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(1089),
    [sym_null_literal] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_do] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__simple_string] = ACTIONS(581),
    [sym__simple_multiline_string] = ACTIONS(581),
  },
  [164] = {
    [sym_block] = STATE(2734),
    [sym_expression] = STATE(1593),
    [sym_if_expression] = STATE(2734),
    [sym_match_expression] = STATE(2734),
    [sym_try_expression] = STATE(2734),
    [sym_bindings] = STATE(11390),
    [sym_lambda_expression] = STATE(2734),
    [sym_case_block] = STATE(2734),
    [sym_assignment_expression] = STATE(2734),
    [sym_generic_function] = STATE(2734),
    [sym_call_expression] = STATE(2734),
    [sym_field_expression] = STATE(2734),
    [sym_instance_expression] = STATE(2734),
    [sym_ascription_expression] = STATE(2734),
    [sym_infix_expression] = STATE(2734),
    [sym_postfix_expression] = STATE(2734),
    [sym_prefix_expression] = STATE(2734),
    [sym_tuple_expression] = STATE(2734),
    [sym_parenthesized_expression] = STATE(2734),
    [sym_boolean_literal] = STATE(2734),
    [sym_interpolated_string_expression] = STATE(2734),
    [sym_string] = STATE(2734),
    [sym_unit] = STATE(2734),
    [sym_return_expression] = STATE(2734),
    [sym_throw_expression] = STATE(2734),
    [sym_while_expression] = STATE(2734),
    [sym_do_while_expression] = STATE(2734),
    [sym_for_expression] = STATE(2734),
    [ts_builtin_sym_end] = ACTIONS(1085),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_package] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1087),
    [anon_sym_class] = ACTIONS(1087),
    [anon_sym_trait] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(547),
    [anon_sym_DASH] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_AT] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_val] = ACTIONS(1087),
    [anon_sym_var] = ACTIONS(1087),
    [anon_sym_type] = ACTIONS(1087),
    [anon_sym_def] = ACTIONS(1087),
    [anon_sym_abstract] = ACTIONS(1087),
    [anon_sym_final] = ACTIONS(1087),
    [anon_sym_sealed] = ACTIONS(1087),
    [anon_sym_implicit] = ACTIONS(1087),
    [anon_sym_lazy] = ACTIONS(1087),
    [anon_sym_override] = ACTIONS(1087),
    [anon_sym_private] = ACTIONS(1087),
    [anon_sym_protected] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(559),
    [anon_sym_else] = ACTIONS(1087),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(565),
    [sym_floating_point_literal] = ACTIONS(567),
    [anon_sym_true] = ACTIONS(569),
    [anon_sym_false] = ACTIONS(569),
    [sym_character_literal] = ACTIONS(567),
    [sym_symbol_literal] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(1085),
    [sym_null_literal] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_do] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1085),
    [sym__simple_string] = ACTIONS(581),
    [sym__simple_multiline_string] = ACTIONS(581),
  },
  [165] = {
    [sym_block] = STATE(2732),
    [sym_expression] = STATE(1509),
    [sym_if_expression] = STATE(2732),
    [sym_match_expression] = STATE(2732),
    [sym_try_expression] = STATE(2732),
    [sym_bindings] = STATE(11350),
    [sym_lambda_expression] = STATE(2732),
    [sym_case_block] = STATE(2732),
    [sym_assignment_expression] = STATE(2732),
    [sym_generic_function] = STATE(2732),
    [sym_call_expression] = STATE(2732),
    [sym_field_expression] = STATE(2732),
    [sym_instance_expression] = STATE(2732),
    [sym_ascription_expression] = STATE(2732),
    [sym_infix_expression] = STATE(2732),
    [sym_postfix_expression] = STATE(2732),
    [sym_prefix_expression] = STATE(2732),
    [sym_tuple_expression] = STATE(2732),
    [sym_parenthesized_expression] = STATE(2732),
    [sym_boolean_literal] = STATE(2732),
    [sym_interpolated_string_expression] = STATE(2732),
    [sym_string] = STATE(2732),
    [sym_unit] = STATE(2732),
    [sym_return_expression] = STATE(2732),
    [sym_throw_expression] = STATE(2732),
    [sym_while_expression] = STATE(2732),
    [sym_do_while_expression] = STATE(2732),
    [sym_for_expression] = STATE(2732),
    [ts_builtin_sym_end] = ACTIONS(1085),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_package] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1087),
    [anon_sym_class] = ACTIONS(1087),
    [anon_sym_trait] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_AT] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_val] = ACTIONS(1087),
    [anon_sym_var] = ACTIONS(1087),
    [anon_sym_type] = ACTIONS(1087),
    [anon_sym_def] = ACTIONS(1087),
    [anon_sym_abstract] = ACTIONS(1087),
    [anon_sym_final] = ACTIONS(1087),
    [anon_sym_sealed] = ACTIONS(1087),
    [anon_sym_implicit] = ACTIONS(1087),
    [anon_sym_lazy] = ACTIONS(1087),
    [anon_sym_override] = ACTIONS(1087),
    [anon_sym_private] = ACTIONS(1087),
    [anon_sym_protected] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_else] = ACTIONS(1087),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(1097),
    [anon_sym_catch] = ACTIONS(1087),
    [anon_sym_finally] = ACTIONS(1087),
    [anon_sym_new] = ACTIONS(1099),
    [anon_sym_BANG] = ACTIONS(1093),
    [anon_sym_TILDE] = ACTIONS(1093),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_symbol_literal] = ACTIONS(1101),
    [sym_null_literal] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1107),
    [anon_sym_throw] = ACTIONS(1109),
    [anon_sym_while] = ACTIONS(1111),
    [anon_sym_do] = ACTIONS(1113),
    [anon_sym_for] = ACTIONS(1115),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(1117),
    [sym__simple_multiline_string] = ACTIONS(1117),
  },
  [166] = {
    [sym_block] = STATE(2732),
    [sym_expression] = STATE(1503),
    [sym_if_expression] = STATE(2732),
    [sym_match_expression] = STATE(2732),
    [sym_try_expression] = STATE(2732),
    [sym_bindings] = STATE(11350),
    [sym_lambda_expression] = STATE(2732),
    [sym_case_block] = STATE(2732),
    [sym_assignment_expression] = STATE(2732),
    [sym_generic_function] = STATE(2732),
    [sym_call_expression] = STATE(2732),
    [sym_field_expression] = STATE(2732),
    [sym_instance_expression] = STATE(2732),
    [sym_ascription_expression] = STATE(2732),
    [sym_infix_expression] = STATE(2732),
    [sym_postfix_expression] = STATE(2732),
    [sym_prefix_expression] = STATE(2732),
    [sym_tuple_expression] = STATE(2732),
    [sym_parenthesized_expression] = STATE(2732),
    [sym_boolean_literal] = STATE(2732),
    [sym_interpolated_string_expression] = STATE(2732),
    [sym_string] = STATE(2732),
    [sym_unit] = STATE(2732),
    [sym_return_expression] = STATE(2732),
    [sym_throw_expression] = STATE(2732),
    [sym_while_expression] = STATE(2732),
    [sym_do_while_expression] = STATE(2732),
    [sym_for_expression] = STATE(2732),
    [ts_builtin_sym_end] = ACTIONS(1089),
    [sym_identifier] = ACTIONS(1119),
    [anon_sym_package] = ACTIONS(1091),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_import] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1121),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_trait] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_val] = ACTIONS(1091),
    [anon_sym_var] = ACTIONS(1091),
    [anon_sym_type] = ACTIONS(1091),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_abstract] = ACTIONS(1091),
    [anon_sym_final] = ACTIONS(1091),
    [anon_sym_sealed] = ACTIONS(1091),
    [anon_sym_implicit] = ACTIONS(1091),
    [anon_sym_lazy] = ACTIONS(1091),
    [anon_sym_override] = ACTIONS(1091),
    [anon_sym_private] = ACTIONS(1091),
    [anon_sym_protected] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1097),
    [anon_sym_catch] = ACTIONS(1091),
    [anon_sym_finally] = ACTIONS(1091),
    [anon_sym_new] = ACTIONS(1099),
    [anon_sym_BANG] = ACTIONS(1093),
    [anon_sym_TILDE] = ACTIONS(1093),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_symbol_literal] = ACTIONS(1101),
    [sym_null_literal] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1107),
    [anon_sym_throw] = ACTIONS(1109),
    [anon_sym_while] = ACTIONS(1111),
    [anon_sym_do] = ACTIONS(1113),
    [anon_sym_for] = ACTIONS(1115),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(1117),
    [sym__simple_multiline_string] = ACTIONS(1117),
  },
  [167] = {
    [sym_block] = STATE(2966),
    [sym_expression] = STATE(1876),
    [sym_if_expression] = STATE(2966),
    [sym_match_expression] = STATE(2966),
    [sym_try_expression] = STATE(2966),
    [sym_bindings] = STATE(11450),
    [sym_lambda_expression] = STATE(2966),
    [sym_case_block] = STATE(2966),
    [sym_assignment_expression] = STATE(2966),
    [sym_generic_function] = STATE(2966),
    [sym_call_expression] = STATE(2966),
    [sym_field_expression] = STATE(2966),
    [sym_instance_expression] = STATE(2966),
    [sym_ascription_expression] = STATE(2966),
    [sym_infix_expression] = STATE(2966),
    [sym_postfix_expression] = STATE(2966),
    [sym_prefix_expression] = STATE(2966),
    [sym_tuple_expression] = STATE(2966),
    [sym_parenthesized_expression] = STATE(2966),
    [sym_boolean_literal] = STATE(2966),
    [sym_interpolated_string_expression] = STATE(2966),
    [sym_string] = STATE(2966),
    [sym_unit] = STATE(2966),
    [sym_return_expression] = STATE(2966),
    [sym_throw_expression] = STATE(2966),
    [sym_while_expression] = STATE(2966),
    [sym_do_while_expression] = STATE(2966),
    [sym_for_expression] = STATE(2966),
    [ts_builtin_sym_end] = ACTIONS(1085),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_package] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1087),
    [anon_sym_class] = ACTIONS(1087),
    [anon_sym_trait] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_AT] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_val] = ACTIONS(1087),
    [anon_sym_var] = ACTIONS(1087),
    [anon_sym_type] = ACTIONS(1087),
    [anon_sym_def] = ACTIONS(1087),
    [anon_sym_abstract] = ACTIONS(1087),
    [anon_sym_final] = ACTIONS(1087),
    [anon_sym_sealed] = ACTIONS(1087),
    [anon_sym_implicit] = ACTIONS(1087),
    [anon_sym_lazy] = ACTIONS(1087),
    [anon_sym_override] = ACTIONS(1087),
    [anon_sym_private] = ACTIONS(1087),
    [anon_sym_protected] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(1129),
    [anon_sym_catch] = ACTIONS(1087),
    [anon_sym_finally] = ACTIONS(1087),
    [anon_sym_new] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(1133),
    [sym_floating_point_literal] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [sym_character_literal] = ACTIONS(1135),
    [sym_symbol_literal] = ACTIONS(1133),
    [sym_null_literal] = ACTIONS(1133),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_throw] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(1145),
    [anon_sym_for] = ACTIONS(1147),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(1149),
    [sym__simple_multiline_string] = ACTIONS(1149),
  },
  [168] = {
    [sym_block] = STATE(2966),
    [sym_expression] = STATE(1820),
    [sym_if_expression] = STATE(2966),
    [sym_match_expression] = STATE(2966),
    [sym_try_expression] = STATE(2966),
    [sym_bindings] = STATE(11450),
    [sym_lambda_expression] = STATE(2966),
    [sym_case_block] = STATE(2966),
    [sym_assignment_expression] = STATE(2966),
    [sym_generic_function] = STATE(2966),
    [sym_call_expression] = STATE(2966),
    [sym_field_expression] = STATE(2966),
    [sym_instance_expression] = STATE(2966),
    [sym_ascription_expression] = STATE(2966),
    [sym_infix_expression] = STATE(2966),
    [sym_postfix_expression] = STATE(2966),
    [sym_prefix_expression] = STATE(2966),
    [sym_tuple_expression] = STATE(2966),
    [sym_parenthesized_expression] = STATE(2966),
    [sym_boolean_literal] = STATE(2966),
    [sym_interpolated_string_expression] = STATE(2966),
    [sym_string] = STATE(2966),
    [sym_unit] = STATE(2966),
    [sym_return_expression] = STATE(2966),
    [sym_throw_expression] = STATE(2966),
    [sym_while_expression] = STATE(2966),
    [sym_do_while_expression] = STATE(2966),
    [sym_for_expression] = STATE(2966),
    [ts_builtin_sym_end] = ACTIONS(1089),
    [sym_identifier] = ACTIONS(1151),
    [anon_sym_package] = ACTIONS(1091),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_import] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_trait] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_val] = ACTIONS(1091),
    [anon_sym_var] = ACTIONS(1091),
    [anon_sym_type] = ACTIONS(1091),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_abstract] = ACTIONS(1091),
    [anon_sym_final] = ACTIONS(1091),
    [anon_sym_sealed] = ACTIONS(1091),
    [anon_sym_implicit] = ACTIONS(1091),
    [anon_sym_lazy] = ACTIONS(1091),
    [anon_sym_override] = ACTIONS(1091),
    [anon_sym_private] = ACTIONS(1091),
    [anon_sym_protected] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1155),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1129),
    [anon_sym_catch] = ACTIONS(1091),
    [anon_sym_finally] = ACTIONS(1091),
    [anon_sym_new] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(1133),
    [sym_floating_point_literal] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [sym_character_literal] = ACTIONS(1135),
    [sym_symbol_literal] = ACTIONS(1133),
    [sym_null_literal] = ACTIONS(1133),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_throw] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(1145),
    [anon_sym_for] = ACTIONS(1147),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(1149),
    [sym__simple_multiline_string] = ACTIONS(1149),
  },
  [169] = {
    [sym_block] = STATE(2999),
    [sym_expression] = STATE(1832),
    [sym_if_expression] = STATE(2999),
    [sym_match_expression] = STATE(2999),
    [sym_try_expression] = STATE(2999),
    [sym_bindings] = STATE(11869),
    [sym_lambda_expression] = STATE(2999),
    [sym_case_block] = STATE(2999),
    [sym_assignment_expression] = STATE(2999),
    [sym_generic_function] = STATE(2999),
    [sym_call_expression] = STATE(2999),
    [sym_field_expression] = STATE(2999),
    [sym_instance_expression] = STATE(2999),
    [sym_ascription_expression] = STATE(2999),
    [sym_infix_expression] = STATE(2999),
    [sym_postfix_expression] = STATE(2999),
    [sym_prefix_expression] = STATE(2999),
    [sym_tuple_expression] = STATE(2999),
    [sym_parenthesized_expression] = STATE(2999),
    [sym_boolean_literal] = STATE(2999),
    [sym_interpolated_string_expression] = STATE(2999),
    [sym_string] = STATE(2999),
    [sym_unit] = STATE(2999),
    [sym_return_expression] = STATE(2999),
    [sym_throw_expression] = STATE(2999),
    [sym_while_expression] = STATE(2999),
    [sym_do_while_expression] = STATE(2999),
    [sym_for_expression] = STATE(2999),
    [ts_builtin_sym_end] = ACTIONS(1085),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_package] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1087),
    [anon_sym_class] = ACTIONS(1087),
    [anon_sym_trait] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_AT] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_val] = ACTIONS(1087),
    [anon_sym_var] = ACTIONS(1087),
    [anon_sym_type] = ACTIONS(1087),
    [anon_sym_def] = ACTIONS(1087),
    [anon_sym_abstract] = ACTIONS(1087),
    [anon_sym_final] = ACTIONS(1087),
    [anon_sym_sealed] = ACTIONS(1087),
    [anon_sym_implicit] = ACTIONS(1087),
    [anon_sym_lazy] = ACTIONS(1087),
    [anon_sym_override] = ACTIONS(1087),
    [anon_sym_private] = ACTIONS(1087),
    [anon_sym_protected] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(809),
    [anon_sym_new] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(795),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(813),
    [sym_floating_point_literal] = ACTIONS(815),
    [anon_sym_true] = ACTIONS(817),
    [anon_sym_false] = ACTIONS(817),
    [sym_character_literal] = ACTIONS(815),
    [sym_symbol_literal] = ACTIONS(813),
    [anon_sym_SEMI] = ACTIONS(1085),
    [sym_null_literal] = ACTIONS(813),
    [anon_sym_return] = ACTIONS(819),
    [anon_sym_throw] = ACTIONS(821),
    [anon_sym_while] = ACTIONS(823),
    [anon_sym_do] = ACTIONS(825),
    [anon_sym_for] = ACTIONS(827),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1085),
    [sym__simple_string] = ACTIONS(829),
    [sym__simple_multiline_string] = ACTIONS(829),
  },
  [170] = {
    [sym_block] = STATE(2999),
    [sym_expression] = STATE(1810),
    [sym_if_expression] = STATE(2999),
    [sym_match_expression] = STATE(2999),
    [sym_try_expression] = STATE(2999),
    [sym_bindings] = STATE(11869),
    [sym_lambda_expression] = STATE(2999),
    [sym_case_block] = STATE(2999),
    [sym_assignment_expression] = STATE(2999),
    [sym_generic_function] = STATE(2999),
    [sym_call_expression] = STATE(2999),
    [sym_field_expression] = STATE(2999),
    [sym_instance_expression] = STATE(2999),
    [sym_ascription_expression] = STATE(2999),
    [sym_infix_expression] = STATE(2999),
    [sym_postfix_expression] = STATE(2999),
    [sym_prefix_expression] = STATE(2999),
    [sym_tuple_expression] = STATE(2999),
    [sym_parenthesized_expression] = STATE(2999),
    [sym_boolean_literal] = STATE(2999),
    [sym_interpolated_string_expression] = STATE(2999),
    [sym_string] = STATE(2999),
    [sym_unit] = STATE(2999),
    [sym_return_expression] = STATE(2999),
    [sym_throw_expression] = STATE(2999),
    [sym_while_expression] = STATE(2999),
    [sym_do_while_expression] = STATE(2999),
    [sym_for_expression] = STATE(2999),
    [ts_builtin_sym_end] = ACTIONS(1089),
    [sym_identifier] = ACTIONS(781),
    [anon_sym_package] = ACTIONS(1091),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_import] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(787),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_trait] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_val] = ACTIONS(1091),
    [anon_sym_var] = ACTIONS(1091),
    [anon_sym_type] = ACTIONS(1091),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_abstract] = ACTIONS(1091),
    [anon_sym_final] = ACTIONS(1091),
    [anon_sym_sealed] = ACTIONS(1091),
    [anon_sym_implicit] = ACTIONS(1091),
    [anon_sym_lazy] = ACTIONS(1091),
    [anon_sym_override] = ACTIONS(1091),
    [anon_sym_private] = ACTIONS(1091),
    [anon_sym_protected] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(809),
    [anon_sym_new] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(795),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(813),
    [sym_floating_point_literal] = ACTIONS(815),
    [anon_sym_true] = ACTIONS(817),
    [anon_sym_false] = ACTIONS(817),
    [sym_character_literal] = ACTIONS(815),
    [sym_symbol_literal] = ACTIONS(813),
    [anon_sym_SEMI] = ACTIONS(1089),
    [sym_null_literal] = ACTIONS(813),
    [anon_sym_return] = ACTIONS(819),
    [anon_sym_throw] = ACTIONS(821),
    [anon_sym_while] = ACTIONS(823),
    [anon_sym_do] = ACTIONS(825),
    [anon_sym_for] = ACTIONS(827),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__simple_string] = ACTIONS(829),
    [sym__simple_multiline_string] = ACTIONS(829),
  },
  [171] = {
    [sym_block] = STATE(3088),
    [sym_expression] = STATE(1943),
    [sym_if_expression] = STATE(3088),
    [sym_match_expression] = STATE(3088),
    [sym_try_expression] = STATE(3088),
    [sym_bindings] = STATE(11808),
    [sym_lambda_expression] = STATE(3088),
    [sym_case_block] = STATE(3088),
    [sym_assignment_expression] = STATE(3088),
    [sym_generic_function] = STATE(3088),
    [sym_call_expression] = STATE(3088),
    [sym_field_expression] = STATE(3088),
    [sym_instance_expression] = STATE(3088),
    [sym_ascription_expression] = STATE(3088),
    [sym_infix_expression] = STATE(3088),
    [sym_postfix_expression] = STATE(3088),
    [sym_prefix_expression] = STATE(3088),
    [sym_tuple_expression] = STATE(3088),
    [sym_parenthesized_expression] = STATE(3088),
    [sym_boolean_literal] = STATE(3088),
    [sym_interpolated_string_expression] = STATE(3088),
    [sym_string] = STATE(3088),
    [sym_unit] = STATE(3088),
    [sym_return_expression] = STATE(3088),
    [sym_throw_expression] = STATE(3088),
    [sym_while_expression] = STATE(3088),
    [sym_do_while_expression] = STATE(3088),
    [sym_for_expression] = STATE(3088),
    [ts_builtin_sym_end] = ACTIONS(1089),
    [sym_identifier] = ACTIONS(1157),
    [anon_sym_package] = ACTIONS(1091),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_import] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1159),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_trait] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1161),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_val] = ACTIONS(1091),
    [anon_sym_var] = ACTIONS(1091),
    [anon_sym_type] = ACTIONS(1091),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_abstract] = ACTIONS(1091),
    [anon_sym_final] = ACTIONS(1091),
    [anon_sym_sealed] = ACTIONS(1091),
    [anon_sym_implicit] = ACTIONS(1091),
    [anon_sym_lazy] = ACTIONS(1091),
    [anon_sym_override] = ACTIONS(1091),
    [anon_sym_private] = ACTIONS(1091),
    [anon_sym_protected] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1165),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1167),
    [anon_sym_new] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1161),
    [anon_sym_TILDE] = ACTIONS(1161),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(1171),
    [sym_floating_point_literal] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [sym_character_literal] = ACTIONS(1173),
    [sym_symbol_literal] = ACTIONS(1171),
    [sym_null_literal] = ACTIONS(1171),
    [anon_sym_return] = ACTIONS(1177),
    [anon_sym_throw] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1181),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1185),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(1187),
    [sym__simple_multiline_string] = ACTIONS(1187),
  },
  [172] = {
    [sym_block] = STATE(3088),
    [sym_expression] = STATE(2195),
    [sym_if_expression] = STATE(3088),
    [sym_match_expression] = STATE(3088),
    [sym_try_expression] = STATE(3088),
    [sym_bindings] = STATE(11808),
    [sym_lambda_expression] = STATE(3088),
    [sym_case_block] = STATE(3088),
    [sym_assignment_expression] = STATE(3088),
    [sym_generic_function] = STATE(3088),
    [sym_call_expression] = STATE(3088),
    [sym_field_expression] = STATE(3088),
    [sym_instance_expression] = STATE(3088),
    [sym_ascription_expression] = STATE(3088),
    [sym_infix_expression] = STATE(3088),
    [sym_postfix_expression] = STATE(3088),
    [sym_prefix_expression] = STATE(3088),
    [sym_tuple_expression] = STATE(3088),
    [sym_parenthesized_expression] = STATE(3088),
    [sym_boolean_literal] = STATE(3088),
    [sym_interpolated_string_expression] = STATE(3088),
    [sym_string] = STATE(3088),
    [sym_unit] = STATE(3088),
    [sym_return_expression] = STATE(3088),
    [sym_throw_expression] = STATE(3088),
    [sym_while_expression] = STATE(3088),
    [sym_do_while_expression] = STATE(3088),
    [sym_for_expression] = STATE(3088),
    [ts_builtin_sym_end] = ACTIONS(1085),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_package] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1087),
    [anon_sym_class] = ACTIONS(1087),
    [anon_sym_trait] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1161),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_AT] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_val] = ACTIONS(1087),
    [anon_sym_var] = ACTIONS(1087),
    [anon_sym_type] = ACTIONS(1087),
    [anon_sym_def] = ACTIONS(1087),
    [anon_sym_abstract] = ACTIONS(1087),
    [anon_sym_final] = ACTIONS(1087),
    [anon_sym_sealed] = ACTIONS(1087),
    [anon_sym_implicit] = ACTIONS(1087),
    [anon_sym_lazy] = ACTIONS(1087),
    [anon_sym_override] = ACTIONS(1087),
    [anon_sym_private] = ACTIONS(1087),
    [anon_sym_protected] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1165),
    [anon_sym_else] = ACTIONS(1087),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(1167),
    [anon_sym_new] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1161),
    [anon_sym_TILDE] = ACTIONS(1161),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(1171),
    [sym_floating_point_literal] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [sym_character_literal] = ACTIONS(1173),
    [sym_symbol_literal] = ACTIONS(1171),
    [sym_null_literal] = ACTIONS(1171),
    [anon_sym_return] = ACTIONS(1177),
    [anon_sym_throw] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1181),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1185),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(1187),
    [sym__simple_multiline_string] = ACTIONS(1187),
  },
  [173] = {
    [sym_block] = STATE(3162),
    [sym_expression] = STATE(2336),
    [sym_if_expression] = STATE(3162),
    [sym_match_expression] = STATE(3162),
    [sym_try_expression] = STATE(3162),
    [sym_bindings] = STATE(11716),
    [sym_lambda_expression] = STATE(3162),
    [sym_case_block] = STATE(3162),
    [sym_assignment_expression] = STATE(3162),
    [sym_generic_function] = STATE(3162),
    [sym_call_expression] = STATE(3162),
    [sym_field_expression] = STATE(3162),
    [sym_instance_expression] = STATE(3162),
    [sym_ascription_expression] = STATE(3162),
    [sym_infix_expression] = STATE(3162),
    [sym_postfix_expression] = STATE(3162),
    [sym_prefix_expression] = STATE(3162),
    [sym_tuple_expression] = STATE(3162),
    [sym_parenthesized_expression] = STATE(3162),
    [sym_boolean_literal] = STATE(3162),
    [sym_interpolated_string_expression] = STATE(3162),
    [sym_string] = STATE(3162),
    [sym_unit] = STATE(3162),
    [sym_return_expression] = STATE(3162),
    [sym_throw_expression] = STATE(3162),
    [sym_while_expression] = STATE(3162),
    [sym_do_while_expression] = STATE(3162),
    [sym_for_expression] = STATE(3162),
    [ts_builtin_sym_end] = ACTIONS(1085),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_package] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1087),
    [anon_sym_class] = ACTIONS(1087),
    [anon_sym_trait] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_AT] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_val] = ACTIONS(1087),
    [anon_sym_var] = ACTIONS(1087),
    [anon_sym_type] = ACTIONS(1087),
    [anon_sym_def] = ACTIONS(1087),
    [anon_sym_abstract] = ACTIONS(1087),
    [anon_sym_final] = ACTIONS(1087),
    [anon_sym_sealed] = ACTIONS(1087),
    [anon_sym_implicit] = ACTIONS(1087),
    [anon_sym_lazy] = ACTIONS(1087),
    [anon_sym_override] = ACTIONS(1087),
    [anon_sym_private] = ACTIONS(1087),
    [anon_sym_protected] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(1193),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(1197),
    [sym_floating_point_literal] = ACTIONS(1199),
    [anon_sym_true] = ACTIONS(1201),
    [anon_sym_false] = ACTIONS(1201),
    [sym_character_literal] = ACTIONS(1199),
    [sym_symbol_literal] = ACTIONS(1197),
    [sym_null_literal] = ACTIONS(1197),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_throw] = ACTIONS(1205),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1209),
    [anon_sym_for] = ACTIONS(1211),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(1213),
    [sym__simple_multiline_string] = ACTIONS(1213),
  },
  [174] = {
    [sym_block] = STATE(3162),
    [sym_expression] = STATE(2237),
    [sym_if_expression] = STATE(3162),
    [sym_match_expression] = STATE(3162),
    [sym_try_expression] = STATE(3162),
    [sym_bindings] = STATE(11716),
    [sym_lambda_expression] = STATE(3162),
    [sym_case_block] = STATE(3162),
    [sym_assignment_expression] = STATE(3162),
    [sym_generic_function] = STATE(3162),
    [sym_call_expression] = STATE(3162),
    [sym_field_expression] = STATE(3162),
    [sym_instance_expression] = STATE(3162),
    [sym_ascription_expression] = STATE(3162),
    [sym_infix_expression] = STATE(3162),
    [sym_postfix_expression] = STATE(3162),
    [sym_prefix_expression] = STATE(3162),
    [sym_tuple_expression] = STATE(3162),
    [sym_parenthesized_expression] = STATE(3162),
    [sym_boolean_literal] = STATE(3162),
    [sym_interpolated_string_expression] = STATE(3162),
    [sym_string] = STATE(3162),
    [sym_unit] = STATE(3162),
    [sym_return_expression] = STATE(3162),
    [sym_throw_expression] = STATE(3162),
    [sym_while_expression] = STATE(3162),
    [sym_do_while_expression] = STATE(3162),
    [sym_for_expression] = STATE(3162),
    [ts_builtin_sym_end] = ACTIONS(1089),
    [sym_identifier] = ACTIONS(1215),
    [anon_sym_package] = ACTIONS(1091),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_import] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1091),
    [anon_sym_trait] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_val] = ACTIONS(1091),
    [anon_sym_var] = ACTIONS(1091),
    [anon_sym_type] = ACTIONS(1091),
    [anon_sym_def] = ACTIONS(1091),
    [anon_sym_abstract] = ACTIONS(1091),
    [anon_sym_final] = ACTIONS(1091),
    [anon_sym_sealed] = ACTIONS(1091),
    [anon_sym_implicit] = ACTIONS(1091),
    [anon_sym_lazy] = ACTIONS(1091),
    [anon_sym_override] = ACTIONS(1091),
    [anon_sym_private] = ACTIONS(1091),
    [anon_sym_protected] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1193),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(1197),
    [sym_floating_point_literal] = ACTIONS(1199),
    [anon_sym_true] = ACTIONS(1201),
    [anon_sym_false] = ACTIONS(1201),
    [sym_character_literal] = ACTIONS(1199),
    [sym_symbol_literal] = ACTIONS(1197),
    [sym_null_literal] = ACTIONS(1197),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_throw] = ACTIONS(1205),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1209),
    [anon_sym_for] = ACTIONS(1211),
    [sym_comment] = ACTIONS(91),
    [sym__simple_string] = ACTIONS(1213),
    [sym__simple_multiline_string] = ACTIONS(1213),
  },
  [175] = {
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4225),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11949),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_RBRACE] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_RPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_else] = ACTIONS(1087),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(105),
    [anon_sym_catch] = ACTIONS(1087),
    [anon_sym_finally] = ACTIONS(1087),
    [anon_sym_new] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(97),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(1085),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(109),
    [anon_sym_throw] = ACTIONS(111),
    [anon_sym_while] = ACTIONS(113),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(115),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1085),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [176] = {
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(3562),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11949),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [sym_identifier] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(105),
    [anon_sym_catch] = ACTIONS(1091),
    [anon_sym_finally] = ACTIONS(1091),
    [anon_sym_new] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(97),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(1089),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(109),
    [anon_sym_throw] = ACTIONS(111),
    [anon_sym_while] = ACTIONS(113),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(115),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [177] = {
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4142),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11810),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_RBRACE] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_RPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_else] = ACTIONS(1087),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(71),
    [anon_sym_catch] = ACTIONS(1087),
    [anon_sym_finally] = ACTIONS(1087),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(1085),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_throw] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1085),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [178] = {
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(3562),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11810),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [sym_identifier] = ACTIONS(33),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(71),
    [anon_sym_catch] = ACTIONS(1091),
    [anon_sym_finally] = ACTIONS(1091),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(1089),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_throw] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [179] = {
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(4787),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11805),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_COMMA] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_RPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_else] = ACTIONS(1087),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_catch] = ACTIONS(1087),
    [anon_sym_finally] = ACTIONS(1087),
    [anon_sym_new] = ACTIONS(181),
    [anon_sym_BANG] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(171),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(1085),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_throw] = ACTIONS(185),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(189),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1085),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [180] = {
    [sym_block] = STATE(4376),
    [sym_expression] = STATE(3562),
    [sym_if_expression] = STATE(4376),
    [sym_match_expression] = STATE(4376),
    [sym_try_expression] = STATE(4376),
    [sym_bindings] = STATE(11805),
    [sym_lambda_expression] = STATE(4376),
    [sym_case_block] = STATE(4376),
    [sym_assignment_expression] = STATE(4376),
    [sym_generic_function] = STATE(4376),
    [sym_call_expression] = STATE(4376),
    [sym_field_expression] = STATE(4376),
    [sym_instance_expression] = STATE(4376),
    [sym_ascription_expression] = STATE(4376),
    [sym_infix_expression] = STATE(4376),
    [sym_postfix_expression] = STATE(4376),
    [sym_prefix_expression] = STATE(4376),
    [sym_tuple_expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(4376),
    [sym_boolean_literal] = STATE(4376),
    [sym_interpolated_string_expression] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_return_expression] = STATE(4376),
    [sym_throw_expression] = STATE(4376),
    [sym_while_expression] = STATE(4376),
    [sym_do_while_expression] = STATE(4376),
    [sym_for_expression] = STATE(4376),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_catch] = ACTIONS(1091),
    [anon_sym_finally] = ACTIONS(1091),
    [anon_sym_new] = ACTIONS(181),
    [anon_sym_BANG] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(171),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(75),
    [sym_floating_point_literal] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(77),
    [sym_symbol_literal] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(1089),
    [sym_null_literal] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_throw] = ACTIONS(185),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(189),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__simple_string] = ACTIONS(93),
    [sym__simple_multiline_string] = ACTIONS(93),
  },
  [181] = {
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(4647),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11510),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_RBRACE] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_RPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_catch] = ACTIONS(1087),
    [anon_sym_finally] = ACTIONS(1087),
    [anon_sym_new] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_TILDE] = ACTIONS(305),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(1085),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(331),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1085),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [182] = {
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(3700),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11510),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [sym_identifier] = ACTIONS(291),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(315),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_catch] = ACTIONS(1091),
    [anon_sym_finally] = ACTIONS(1091),
    [anon_sym_new] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_TILDE] = ACTIONS(305),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(1089),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(331),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(337),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [183] = {
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(3929),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11516),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_case] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(469),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(471),
    [anon_sym_new] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_TILDE] = ACTIONS(463),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [anon_sym_SEMI] = ACTIONS(1089),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(475),
    [anon_sym_throw] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(481),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [184] = {
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(3700),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11811),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(345),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(315),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(353),
    [anon_sym_catch] = ACTIONS(1091),
    [anon_sym_finally] = ACTIONS(1091),
    [anon_sym_new] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_TILDE] = ACTIONS(345),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(1089),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(359),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(363),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [185] = {
    [sym_block] = STATE(5602),
    [sym_expression] = STATE(5227),
    [sym_if_expression] = STATE(5602),
    [sym_match_expression] = STATE(5602),
    [sym_try_expression] = STATE(5602),
    [sym_bindings] = STATE(11516),
    [sym_lambda_expression] = STATE(5602),
    [sym_case_block] = STATE(5602),
    [sym_assignment_expression] = STATE(5602),
    [sym_generic_function] = STATE(5602),
    [sym_call_expression] = STATE(5602),
    [sym_field_expression] = STATE(5602),
    [sym_instance_expression] = STATE(5602),
    [sym_ascription_expression] = STATE(5602),
    [sym_infix_expression] = STATE(5602),
    [sym_postfix_expression] = STATE(5602),
    [sym_prefix_expression] = STATE(5602),
    [sym_tuple_expression] = STATE(5602),
    [sym_parenthesized_expression] = STATE(5602),
    [sym_boolean_literal] = STATE(5602),
    [sym_interpolated_string_expression] = STATE(5602),
    [sym_string] = STATE(5602),
    [sym_unit] = STATE(5602),
    [sym_return_expression] = STATE(5602),
    [sym_throw_expression] = STATE(5602),
    [sym_while_expression] = STATE(5602),
    [sym_do_while_expression] = STATE(5602),
    [sym_for_expression] = STATE(5602),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_RBRACE] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_RPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(469),
    [anon_sym_else] = ACTIONS(1087),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(471),
    [anon_sym_new] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_TILDE] = ACTIONS(463),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(441),
    [sym_floating_point_literal] = ACTIONS(443),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [sym_character_literal] = ACTIONS(443),
    [sym_symbol_literal] = ACTIONS(441),
    [anon_sym_SEMI] = ACTIONS(1085),
    [sym_null_literal] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(475),
    [anon_sym_throw] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_do] = ACTIONS(453),
    [anon_sym_for] = ACTIONS(481),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1085),
    [sym__simple_string] = ACTIONS(457),
    [sym__simple_multiline_string] = ACTIONS(457),
  },
  [186] = {
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(4589),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11529),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_RBRACE] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_RPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(375),
    [anon_sym_catch] = ACTIONS(1087),
    [anon_sym_finally] = ACTIONS(1087),
    [anon_sym_new] = ACTIONS(377),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_TILDE] = ACTIONS(367),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(1085),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(379),
    [anon_sym_throw] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(385),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1085),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [187] = {
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(3700),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11529),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [sym_identifier] = ACTIONS(365),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(315),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(375),
    [anon_sym_catch] = ACTIONS(1091),
    [anon_sym_finally] = ACTIONS(1091),
    [anon_sym_new] = ACTIONS(377),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_TILDE] = ACTIONS(367),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(1089),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(379),
    [anon_sym_throw] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(385),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [188] = {
    [sym_block] = STATE(5146),
    [sym_expression] = STATE(5080),
    [sym_if_expression] = STATE(5146),
    [sym_match_expression] = STATE(5146),
    [sym_try_expression] = STATE(5146),
    [sym_bindings] = STATE(11811),
    [sym_lambda_expression] = STATE(5146),
    [sym_case_block] = STATE(5146),
    [sym_assignment_expression] = STATE(5146),
    [sym_generic_function] = STATE(5146),
    [sym_call_expression] = STATE(5146),
    [sym_field_expression] = STATE(5146),
    [sym_instance_expression] = STATE(5146),
    [sym_ascription_expression] = STATE(5146),
    [sym_infix_expression] = STATE(5146),
    [sym_postfix_expression] = STATE(5146),
    [sym_prefix_expression] = STATE(5146),
    [sym_tuple_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_boolean_literal] = STATE(5146),
    [sym_interpolated_string_expression] = STATE(5146),
    [sym_string] = STATE(5146),
    [sym_unit] = STATE(5146),
    [sym_return_expression] = STATE(5146),
    [sym_throw_expression] = STATE(5146),
    [sym_while_expression] = STATE(5146),
    [sym_do_while_expression] = STATE(5146),
    [sym_for_expression] = STATE(5146),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_COMMA] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(345),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_RPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(353),
    [anon_sym_catch] = ACTIONS(1087),
    [anon_sym_finally] = ACTIONS(1087),
    [anon_sym_new] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_TILDE] = ACTIONS(345),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(323),
    [sym_floating_point_literal] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(327),
    [anon_sym_false] = ACTIONS(327),
    [sym_character_literal] = ACTIONS(325),
    [sym_symbol_literal] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(1085),
    [sym_null_literal] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_throw] = ACTIONS(359),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_do] = ACTIONS(335),
    [anon_sym_for] = ACTIONS(363),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1085),
    [sym__simple_string] = ACTIONS(339),
    [sym__simple_multiline_string] = ACTIONS(339),
  },
  [189] = {
    [sym_block] = STATE(7002),
    [sym_expression] = STATE(5243),
    [sym_if_expression] = STATE(7002),
    [sym_match_expression] = STATE(7002),
    [sym_try_expression] = STATE(7002),
    [sym_bindings] = STATE(11845),
    [sym_lambda_expression] = STATE(7002),
    [sym_case_block] = STATE(7002),
    [sym_assignment_expression] = STATE(7002),
    [sym_generic_function] = STATE(7002),
    [sym_call_expression] = STATE(7002),
    [sym_field_expression] = STATE(7002),
    [sym_instance_expression] = STATE(7002),
    [sym_ascription_expression] = STATE(7002),
    [sym_infix_expression] = STATE(7002),
    [sym_postfix_expression] = STATE(7002),
    [sym_prefix_expression] = STATE(7002),
    [sym_tuple_expression] = STATE(7002),
    [sym_parenthesized_expression] = STATE(7002),
    [sym_boolean_literal] = STATE(7002),
    [sym_interpolated_string_expression] = STATE(7002),
    [sym_string] = STATE(7002),
    [sym_unit] = STATE(7002),
    [sym_return_expression] = STATE(7002),
    [sym_throw_expression] = STATE(7002),
    [sym_while_expression] = STATE(7002),
    [sym_do_while_expression] = STATE(7002),
    [sym_for_expression] = STATE(7002),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_EQ_GT] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(255),
    [anon_sym_COLON] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_else] = ACTIONS(1087),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(269),
    [anon_sym_catch] = ACTIONS(1087),
    [anon_sym_finally] = ACTIONS(1087),
    [anon_sym_new] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_TILDE] = ACTIONS(255),
    [sym_operator_identifier] = ACTIONS(1087),
    [sym_integer_literal] = ACTIONS(273),
    [sym_floating_point_literal] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(277),
    [anon_sym_false] = ACTIONS(277),
    [sym_character_literal] = ACTIONS(275),
    [sym_symbol_literal] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(1085),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_throw] = ACTIONS(281),
    [anon_sym_while] = ACTIONS(283),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_for] = ACTIONS(287),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1085),
    [sym__simple_string] = ACTIONS(289),
    [sym__simple_multiline_string] = ACTIONS(289),
  },
  [190] = {
    [sym_block] = STATE(7002),
    [sym_expression] = STATE(5271),
    [sym_if_expression] = STATE(7002),
    [sym_match_expression] = STATE(7002),
    [sym_try_expression] = STATE(7002),
    [sym_bindings] = STATE(11845),
    [sym_lambda_expression] = STATE(7002),
    [sym_case_block] = STATE(7002),
    [sym_assignment_expression] = STATE(7002),
    [sym_generic_function] = STATE(7002),
    [sym_call_expression] = STATE(7002),
    [sym_field_expression] = STATE(7002),
    [sym_instance_expression] = STATE(7002),
    [sym_ascription_expression] = STATE(7002),
    [sym_infix_expression] = STATE(7002),
    [sym_postfix_expression] = STATE(7002),
    [sym_prefix_expression] = STATE(7002),
    [sym_tuple_expression] = STATE(7002),
    [sym_parenthesized_expression] = STATE(7002),
    [sym_boolean_literal] = STATE(7002),
    [sym_interpolated_string_expression] = STATE(7002),
    [sym_string] = STATE(7002),
    [sym_unit] = STATE(7002),
    [sym_return_expression] = STATE(7002),
    [sym_throw_expression] = STATE(7002),
    [sym_while_expression] = STATE(7002),
    [sym_do_while_expression] = STATE(7002),
    [sym_for_expression] = STATE(7002),
    [sym_identifier] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(247),
    [anon_sym_EQ_GT] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(255),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(267),
    [anon_sym_else] = ACTIONS(1091),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(269),
    [anon_sym_catch] = ACTIONS(1091),
    [anon_sym_finally] = ACTIONS(1091),
    [anon_sym_new] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_TILDE] = ACTIONS(255),
    [sym_operator_identifier] = ACTIONS(1091),
    [sym_integer_literal] = ACTIONS(273),
    [sym_floating_point_literal] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(277),
    [anon_sym_false] = ACTIONS(277),
    [sym_character_literal] = ACTIONS(275),
    [sym_symbol_literal] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(1089),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_throw] = ACTIONS(281),
    [anon_sym_while] = ACTIONS(283),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_for] = ACTIONS(287),
    [sym_comment] = ACTIONS(91),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__simple_string] = ACTIONS(289),
    [sym__simple_multiline_string] = ACTIONS(289),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    STATE(4990), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1089), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1225), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 8,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_operator_identifier,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [109] = 22,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(3562), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1089), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(389), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 8,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_operator_identifier,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [218] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(5606), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1089), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(497), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 8,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_operator_identifier,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [327] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5442), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(683), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1087), 7,
      anon_sym_DOT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [430] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(3929), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(423), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1089), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1091), 6,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_operator_identifier,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [539] = 18,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(5083), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(389), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(1087), 10,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [640] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    STATE(5622), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1225), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(1087), 9,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [743] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(4056), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(683), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1089), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1091), 6,
      anon_sym_DOT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_operator_identifier,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [852] = 18,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(5331), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(585), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1087), 8,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [953] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(5750), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(423), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1087), 7,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [1056] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(3929), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(585), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1089), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1091), 6,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_operator_identifier,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [1165] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(5634), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(497), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(1087), 9,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [1268] = 18,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(5906), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(611), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(1087), 9,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [1368] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    STATE(5966), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1085), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(1253), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1087), 9,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [1470] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    STATE(6146), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1085), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1269), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1087), 10,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [1572] = 18,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(5533), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(645), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1087), 7,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [1672] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(4056), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(645), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1089), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1091), 5,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_operator_identifier,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [1780] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LBRACK,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(6180), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1269), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 9,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_operator_identifier,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [1888] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1309), 1,
      anon_sym_if,
    ACTIONS(1311), 1,
      anon_sym_try,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1321), 1,
      anon_sym_return,
    ACTIONS(1323), 1,
      anon_sym_throw,
    ACTIONS(1325), 1,
      anon_sym_while,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1329), 1,
      anon_sym_for,
    STATE(5763), 1,
      sym_expression,
    STATE(11367), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1089), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1305), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 7,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_operator_identifier,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [1996] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(3700), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1089), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(611), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 7,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_operator_identifier,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [2104] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6305), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(745), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(1087), 8,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [2206] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_if,
    ACTIONS(1311), 1,
      anon_sym_try,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1321), 1,
      anon_sym_return,
    ACTIONS(1323), 1,
      anon_sym_throw,
    ACTIONS(1325), 1,
      anon_sym_while,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1329), 1,
      anon_sym_for,
    STATE(6156), 1,
      sym_expression,
    STATE(11367), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1305), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(1087), 8,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [2308] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    STATE(6168), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(707), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1087), 6,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(1085), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [2410] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    ACTIONS(1333), 1,
      sym_identifier,
    STATE(4990), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1089), 2,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1253), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 8,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_operator_identifier,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [2518] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6341), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1089), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(745), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 7,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_operator_identifier,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [2626] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(703), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    STATE(4056), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(707), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1089), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1091), 5,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_operator_identifier,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [2734] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    STATE(6783), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(845), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(1087), 7,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [2835] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym_identifier,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_if,
    ACTIONS(1345), 1,
      anon_sym_try,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1355), 1,
      anon_sym_return,
    ACTIONS(1357), 1,
      anon_sym_throw,
    ACTIONS(1359), 1,
      anon_sym_while,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1363), 1,
      anon_sym_for,
    STATE(6046), 1,
      sym_expression,
    STATE(11705), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1089), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1339), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 6,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_operator_identifier,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [2942] = 18,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    STATE(6151), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1085), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1367), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1087), 10,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [3041] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LBRACK,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      anon_sym_while,
    STATE(4990), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1367), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 8,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_operator_identifier,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [3148] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(855), 1,
      anon_sym_LPAREN,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    STATE(6753), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1089), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(845), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 6,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_operator_identifier,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [3255] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1387), 1,
      anon_sym_if,
    ACTIONS(1389), 1,
      anon_sym_try,
    ACTIONS(1391), 1,
      anon_sym_new,
    ACTIONS(1393), 1,
      anon_sym_return,
    ACTIONS(1395), 1,
      anon_sym_throw,
    ACTIONS(1397), 1,
      anon_sym_while,
    ACTIONS(1399), 1,
      anon_sym_for,
    STATE(6708), 1,
      sym_expression,
    STATE(11809), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1085), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(1385), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1087), 8,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [3356] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      sym_identifier,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_if,
    ACTIONS(1411), 1,
      anon_sym_try,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1421), 1,
      anon_sym_return,
    ACTIONS(1423), 1,
      anon_sym_throw,
    ACTIONS(1425), 1,
      anon_sym_while,
    ACTIONS(1427), 1,
      anon_sym_do,
    ACTIONS(1429), 1,
      anon_sym_for,
    STATE(6799), 1,
      sym_expression,
    STATE(11384), 1,
      sym_bindings,
    ACTIONS(1417), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1419), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1431), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1415), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1405), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 8,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_operator_identifier,
    STATE(8816), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [3463] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1387), 1,
      anon_sym_if,
    ACTIONS(1389), 1,
      anon_sym_try,
    ACTIONS(1391), 1,
      anon_sym_new,
    ACTIONS(1393), 1,
      anon_sym_return,
    ACTIONS(1395), 1,
      anon_sym_throw,
    ACTIONS(1397), 1,
      anon_sym_while,
    ACTIONS(1399), 1,
      anon_sym_for,
    ACTIONS(1433), 1,
      sym_identifier,
    STATE(5763), 1,
      sym_expression,
    STATE(11809), 1,
      sym_bindings,
    ACTIONS(1089), 2,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1385), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 7,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_operator_identifier,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [3570] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1343), 1,
      anon_sym_if,
    ACTIONS(1345), 1,
      anon_sym_try,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1355), 1,
      anon_sym_return,
    ACTIONS(1357), 1,
      anon_sym_throw,
    ACTIONS(1359), 1,
      anon_sym_while,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1363), 1,
      anon_sym_for,
    STATE(6773), 1,
      sym_expression,
    STATE(11705), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1339), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(1087), 7,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [3671] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_if,
    ACTIONS(1411), 1,
      anon_sym_try,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1421), 1,
      anon_sym_return,
    ACTIONS(1423), 1,
      anon_sym_throw,
    ACTIONS(1425), 1,
      anon_sym_while,
    ACTIONS(1427), 1,
      anon_sym_do,
    ACTIONS(1429), 1,
      anon_sym_for,
    STATE(6778), 1,
      sym_expression,
    STATE(11384), 1,
      sym_bindings,
    ACTIONS(1417), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1419), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1431), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1085), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1415), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1405), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1087), 9,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    STATE(8816), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [3772] = 18,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(5986), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(883), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(1087), 8,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [3871] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(3929), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1089), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(883), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 6,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_operator_identifier,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [3978] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(921), 1,
      anon_sym_while,
    ACTIONS(923), 1,
      anon_sym_for,
    STATE(4056), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1089), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(905), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 5,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_operator_identifier,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [4084] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1439), 1,
      anon_sym_if,
    ACTIONS(1441), 1,
      anon_sym_try,
    ACTIONS(1443), 1,
      anon_sym_new,
    ACTIONS(1445), 1,
      anon_sym_return,
    ACTIONS(1447), 1,
      anon_sym_throw,
    ACTIONS(1449), 1,
      anon_sym_while,
    ACTIONS(1451), 1,
      anon_sym_for,
    STATE(5763), 1,
      sym_expression,
    STATE(11599), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1437), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 7,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_operator_identifier,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [4190] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6766), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1089), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1457), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 5,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_operator_identifier,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [4296] = 18,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1439), 1,
      anon_sym_if,
    ACTIONS(1441), 1,
      anon_sym_try,
    ACTIONS(1443), 1,
      anon_sym_new,
    ACTIONS(1445), 1,
      anon_sym_return,
    ACTIONS(1447), 1,
      anon_sym_throw,
    ACTIONS(1451), 1,
      anon_sym_for,
    STATE(6831), 1,
      sym_expression,
    STATE(11599), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1085), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1437), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1087), 9,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [4394] = 18,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(923), 1,
      anon_sym_for,
    STATE(6784), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(905), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(1087), 7,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [4492] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(7072), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1457), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1085), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(1087), 6,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [4592] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1489), 1,
      anon_sym_try,
    ACTIONS(1491), 1,
      anon_sym_new,
    ACTIONS(1499), 1,
      anon_sym_return,
    ACTIONS(1501), 1,
      anon_sym_throw,
    ACTIONS(1503), 1,
      anon_sym_while,
    ACTIONS(1505), 1,
      anon_sym_do,
    ACTIONS(1507), 1,
      anon_sym_for,
    STATE(6860), 1,
      sym_expression,
    STATE(11594), 1,
      sym_bindings,
    ACTIONS(1495), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1497), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1509), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1085), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1493), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1485), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1087), 8,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    STATE(9032), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [4692] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1513), 1,
      anon_sym_if,
    ACTIONS(1515), 1,
      anon_sym_try,
    ACTIONS(1517), 1,
      anon_sym_new,
    ACTIONS(1519), 1,
      anon_sym_return,
    ACTIONS(1521), 1,
      anon_sym_throw,
    ACTIONS(1523), 1,
      anon_sym_while,
    ACTIONS(1525), 1,
      anon_sym_for,
    STATE(7046), 1,
      sym_expression,
    STATE(11806), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1085), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(1511), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1087), 7,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [4792] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1513), 1,
      anon_sym_if,
    ACTIONS(1515), 1,
      anon_sym_try,
    ACTIONS(1517), 1,
      anon_sym_new,
    ACTIONS(1519), 1,
      anon_sym_return,
    ACTIONS(1521), 1,
      anon_sym_throw,
    ACTIONS(1523), 1,
      anon_sym_while,
    ACTIONS(1525), 1,
      anon_sym_for,
    ACTIONS(1527), 1,
      sym_identifier,
    STATE(6046), 1,
      sym_expression,
    STATE(11806), 1,
      sym_bindings,
    ACTIONS(1089), 2,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1511), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 6,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_operator_identifier,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [4898] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LBRACK,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1489), 1,
      anon_sym_try,
    ACTIONS(1491), 1,
      anon_sym_new,
    ACTIONS(1499), 1,
      anon_sym_return,
    ACTIONS(1501), 1,
      anon_sym_throw,
    ACTIONS(1503), 1,
      anon_sym_while,
    ACTIONS(1505), 1,
      anon_sym_do,
    ACTIONS(1507), 1,
      anon_sym_for,
    ACTIONS(1529), 1,
      sym_identifier,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(1533), 1,
      anon_sym_LPAREN,
    STATE(7148), 1,
      sym_expression,
    STATE(11594), 1,
      sym_bindings,
    ACTIONS(1495), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1497), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1509), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1493), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1485), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 7,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_operator_identifier,
    STATE(9032), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [5004] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LBRACK,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(1541), 1,
      anon_sym_LPAREN,
    ACTIONS(1543), 1,
      anon_sym_if,
    ACTIONS(1545), 1,
      anon_sym_try,
    ACTIONS(1547), 1,
      anon_sym_new,
    ACTIONS(1555), 1,
      anon_sym_return,
    ACTIONS(1557), 1,
      anon_sym_throw,
    ACTIONS(1559), 1,
      anon_sym_while,
    ACTIONS(1561), 1,
      anon_sym_do,
    ACTIONS(1563), 1,
      anon_sym_for,
    STATE(7285), 1,
      sym_expression,
    STATE(11872), 1,
      sym_bindings,
    ACTIONS(1551), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1565), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1549), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1539), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 6,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_operator_identifier,
    STATE(9116), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [5109] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1567), 1,
      sym_identifier,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_try,
    ACTIONS(1575), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_return,
    ACTIONS(1579), 1,
      anon_sym_throw,
    ACTIONS(1581), 1,
      anon_sym_while,
    ACTIONS(1583), 1,
      anon_sym_for,
    STATE(6046), 1,
      sym_expression,
    STATE(11844), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1569), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 6,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_operator_identifier,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [5214] = 18,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_try,
    ACTIONS(1575), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_return,
    ACTIONS(1579), 1,
      anon_sym_throw,
    ACTIONS(1583), 1,
      anon_sym_for,
    STATE(6984), 1,
      sym_expression,
    STATE(11844), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1085), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1569), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1087), 8,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [5311] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1543), 1,
      anon_sym_if,
    ACTIONS(1545), 1,
      anon_sym_try,
    ACTIONS(1547), 1,
      anon_sym_new,
    ACTIONS(1555), 1,
      anon_sym_return,
    ACTIONS(1557), 1,
      anon_sym_throw,
    ACTIONS(1559), 1,
      anon_sym_while,
    ACTIONS(1561), 1,
      anon_sym_do,
    ACTIONS(1563), 1,
      anon_sym_for,
    STATE(7302), 1,
      sym_expression,
    STATE(11872), 1,
      sym_bindings,
    ACTIONS(1551), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1565), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1085), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1549), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1539), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1087), 7,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    STATE(9116), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [5410] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(6766), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1089), 2,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1587), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 5,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_operator_identifier,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [5515] = 19,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7775), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1085), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(1587), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1087), 6,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [5614] = 18,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    STATE(7843), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1085), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1603), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1087), 7,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [5710] = 22,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LBRACK,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(6766), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1603), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1091), 5,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_operator_identifier,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [5814] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1625), 1,
      anon_sym_RPAREN,
    STATE(6586), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [5916] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1627), 1,
      anon_sym_RPAREN,
    STATE(6801), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [6018] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_RPAREN,
    STATE(6608), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [6120] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_RPAREN,
    STATE(6576), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [6222] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1633), 1,
      anon_sym_RPAREN,
    STATE(6460), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [6324] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1635), 1,
      anon_sym_RPAREN,
    STATE(6796), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [6426] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1637), 1,
      anon_sym_RPAREN,
    STATE(6553), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [6528] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1639), 1,
      anon_sym_RPAREN,
    STATE(6718), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [6630] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1641), 1,
      anon_sym_RPAREN,
    STATE(6774), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [6732] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_RPAREN,
    STATE(6797), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [6834] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1645), 1,
      anon_sym_RPAREN,
    STATE(6535), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [6936] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1647), 1,
      anon_sym_RPAREN,
    STATE(6633), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [7038] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1649), 1,
      anon_sym_RPAREN,
    STATE(6614), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [7140] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1651), 1,
      anon_sym_RPAREN,
    STATE(6854), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [7242] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1653), 1,
      anon_sym_RPAREN,
    STATE(6822), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [7344] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_RPAREN,
    STATE(6844), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [7446] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1657), 1,
      anon_sym_RPAREN,
    STATE(6810), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [7548] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1659), 1,
      anon_sym_RPAREN,
    STATE(6714), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [7650] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1661), 1,
      anon_sym_RPAREN,
    STATE(6625), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [7752] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1663), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [7854] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1665), 1,
      anon_sym_RPAREN,
    STATE(6500), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [7956] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1667), 1,
      anon_sym_RPAREN,
    STATE(6606), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [8058] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1669), 1,
      anon_sym_RPAREN,
    STATE(6835), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [8160] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1621), 1,
      sym_identifier,
    ACTIONS(1671), 1,
      anon_sym_RPAREN,
    STATE(6749), 1,
      sym_expression,
    STATE(10658), 1,
      sym_binding,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [8262] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1673), 1,
      anon_sym_RPAREN,
    STATE(6620), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [8361] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1675), 1,
      anon_sym_RPAREN,
    STATE(6798), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [8460] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    ACTIONS(1677), 1,
      anon_sym_yield,
    STATE(6436), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [8559] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    ACTIONS(1681), 1,
      anon_sym_yield,
    STATE(7845), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [8658] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    ACTIONS(1683), 1,
      anon_sym_yield,
    STATE(6398), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [8757] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    ACTIONS(1685), 1,
      anon_sym_yield,
    STATE(1403), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [8856] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1687), 1,
      anon_sym_RPAREN,
    STATE(6804), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [8955] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      sym_identifier,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_DASH,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_if,
    ACTIONS(809), 1,
      anon_sym_try,
    ACTIONS(811), 1,
      anon_sym_new,
    ACTIONS(819), 1,
      anon_sym_return,
    ACTIONS(821), 1,
      anon_sym_throw,
    ACTIONS(823), 1,
      anon_sym_while,
    ACTIONS(825), 1,
      anon_sym_do,
    ACTIONS(827), 1,
      anon_sym_for,
    ACTIONS(1689), 1,
      anon_sym_yield,
    STATE(1712), 1,
      sym_expression,
    STATE(11869), 1,
      sym_bindings,
    ACTIONS(815), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(817), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(829), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(813), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1075), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2999), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [9054] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(703), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_DASH,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    ACTIONS(1691), 1,
      anon_sym_yield,
    STATE(6018), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1041), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [9153] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1693), 1,
      anon_sym_RPAREN,
    STATE(6824), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [9252] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    ACTIONS(1697), 1,
      anon_sym_yield,
    STATE(8030), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [9351] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1699), 1,
      anon_sym_RPAREN,
    STATE(6624), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [9450] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    ACTIONS(1701), 1,
      anon_sym_yield,
    STATE(4473), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [9549] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_DASH,
    ACTIONS(1095), 1,
      anon_sym_if,
    ACTIONS(1097), 1,
      anon_sym_try,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_return,
    ACTIONS(1109), 1,
      anon_sym_throw,
    ACTIONS(1111), 1,
      anon_sym_while,
    ACTIONS(1113), 1,
      anon_sym_do,
    ACTIONS(1115), 1,
      anon_sym_for,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_yield,
    STATE(1451), 1,
      sym_expression,
    STATE(11350), 1,
      sym_bindings,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1117), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1101), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1703), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2732), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [9648] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1707), 1,
      anon_sym_RPAREN,
    STATE(6765), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [9747] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1709), 1,
      anon_sym_RPAREN,
    STATE(6845), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [9846] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1711), 1,
      anon_sym_RPAREN,
    STATE(6858), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [9945] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1713), 1,
      anon_sym_RPAREN,
    STATE(6809), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [10044] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1715), 1,
      anon_sym_RPAREN,
    STATE(6613), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [10143] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1717), 1,
      anon_sym_RPAREN,
    STATE(6523), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [10242] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(1161), 1,
      anon_sym_DASH,
    ACTIONS(1163), 1,
      anon_sym_LPAREN,
    ACTIONS(1165), 1,
      anon_sym_if,
    ACTIONS(1167), 1,
      anon_sym_try,
    ACTIONS(1169), 1,
      anon_sym_new,
    ACTIONS(1177), 1,
      anon_sym_return,
    ACTIONS(1179), 1,
      anon_sym_throw,
    ACTIONS(1181), 1,
      anon_sym_while,
    ACTIONS(1183), 1,
      anon_sym_do,
    ACTIONS(1185), 1,
      anon_sym_for,
    ACTIONS(1721), 1,
      anon_sym_yield,
    STATE(2121), 1,
      sym_expression,
    STATE(11808), 1,
      sym_bindings,
    ACTIONS(1173), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1187), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1171), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1719), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3088), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [10341] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    ACTIONS(1723), 1,
      anon_sym_yield,
    STATE(1260), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [10440] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1725), 1,
      anon_sym_RPAREN,
    STATE(6571), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [10539] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1225), 1,
      anon_sym_DASH,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    ACTIONS(1729), 1,
      anon_sym_yield,
    STATE(5795), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1727), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [10638] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1731), 1,
      anon_sym_RPAREN,
    STATE(6574), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [10737] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    ACTIONS(1733), 1,
      anon_sym_yield,
    STATE(4063), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [10836] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1735), 1,
      anon_sym_RPAREN,
    STATE(6726), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [10935] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    ACTIONS(1737), 1,
      anon_sym_yield,
    STATE(4909), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [11034] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1739), 1,
      anon_sym_RPAREN,
    STATE(6526), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [11133] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1741), 1,
      anon_sym_RPAREN,
    STATE(6719), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [11232] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_DASH,
    ACTIONS(1439), 1,
      anon_sym_if,
    ACTIONS(1441), 1,
      anon_sym_try,
    ACTIONS(1443), 1,
      anon_sym_new,
    ACTIONS(1445), 1,
      anon_sym_return,
    ACTIONS(1447), 1,
      anon_sym_throw,
    ACTIONS(1449), 1,
      anon_sym_while,
    ACTIONS(1451), 1,
      anon_sym_for,
    ACTIONS(1745), 1,
      anon_sym_yield,
    STATE(6678), 1,
      sym_expression,
    STATE(11599), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1743), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [11331] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1747), 1,
      anon_sym_RPAREN,
    STATE(6646), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [11430] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_DASH,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1489), 1,
      anon_sym_try,
    ACTIONS(1491), 1,
      anon_sym_new,
    ACTIONS(1499), 1,
      anon_sym_return,
    ACTIONS(1501), 1,
      anon_sym_throw,
    ACTIONS(1503), 1,
      anon_sym_while,
    ACTIONS(1505), 1,
      anon_sym_do,
    ACTIONS(1507), 1,
      anon_sym_for,
    ACTIONS(1529), 1,
      sym_identifier,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(1533), 1,
      anon_sym_LPAREN,
    ACTIONS(1751), 1,
      anon_sym_yield,
    STATE(6888), 1,
      sym_expression,
    STATE(11594), 1,
      sym_bindings,
    ACTIONS(1495), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1497), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1509), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1493), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1749), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9032), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [11529] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_yield,
    STATE(7184), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [11628] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1755), 1,
      anon_sym_RPAREN,
    STATE(6557), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [11727] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(845), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_LPAREN,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    ACTIONS(1757), 1,
      anon_sym_yield,
    STATE(6689), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1047), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [11826] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1759), 1,
      anon_sym_RPAREN,
    STATE(6512), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [11925] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1761), 1,
      anon_sym_RPAREN,
    STATE(6627), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [12024] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1763), 1,
      anon_sym_RPAREN,
    STATE(6843), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [12123] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1765), 1,
      anon_sym_RPAREN,
    STATE(6713), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [12222] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_identifier,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1405), 1,
      anon_sym_DASH,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_if,
    ACTIONS(1411), 1,
      anon_sym_try,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1421), 1,
      anon_sym_return,
    ACTIONS(1423), 1,
      anon_sym_throw,
    ACTIONS(1425), 1,
      anon_sym_while,
    ACTIONS(1427), 1,
      anon_sym_do,
    ACTIONS(1429), 1,
      anon_sym_for,
    ACTIONS(1769), 1,
      anon_sym_yield,
    STATE(6465), 1,
      sym_expression,
    STATE(11384), 1,
      sym_bindings,
    ACTIONS(1417), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1419), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1431), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1415), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1767), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8816), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [12321] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1771), 1,
      anon_sym_RPAREN,
    STATE(6709), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [12420] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1773), 1,
      anon_sym_RPAREN,
    STATE(6704), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [12519] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_LPAREN,
    ACTIONS(1543), 1,
      anon_sym_if,
    ACTIONS(1545), 1,
      anon_sym_try,
    ACTIONS(1547), 1,
      anon_sym_new,
    ACTIONS(1555), 1,
      anon_sym_return,
    ACTIONS(1557), 1,
      anon_sym_throw,
    ACTIONS(1559), 1,
      anon_sym_while,
    ACTIONS(1561), 1,
      anon_sym_do,
    ACTIONS(1563), 1,
      anon_sym_for,
    ACTIONS(1777), 1,
      anon_sym_yield,
    STATE(7424), 1,
      sym_expression,
    STATE(11872), 1,
      sym_bindings,
    ACTIONS(1551), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1565), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1549), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1775), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9116), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [12618] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1779), 1,
      anon_sym_RPAREN,
    STATE(6697), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [12717] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    ACTIONS(1781), 1,
      anon_sym_yield,
    STATE(4975), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [12816] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1783), 1,
      anon_sym_RPAREN,
    STATE(6681), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [12915] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DASH,
    ACTIONS(1127), 1,
      anon_sym_if,
    ACTIONS(1129), 1,
      anon_sym_try,
    ACTIONS(1131), 1,
      anon_sym_new,
    ACTIONS(1139), 1,
      anon_sym_return,
    ACTIONS(1141), 1,
      anon_sym_throw,
    ACTIONS(1143), 1,
      anon_sym_while,
    ACTIONS(1145), 1,
      anon_sym_do,
    ACTIONS(1147), 1,
      anon_sym_for,
    ACTIONS(1151), 1,
      sym_identifier,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(1155), 1,
      anon_sym_LPAREN,
    ACTIONS(1787), 1,
      anon_sym_yield,
    STATE(1841), 1,
      sym_expression,
    STATE(11450), 1,
      sym_bindings,
    ACTIONS(1135), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1149), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1133), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1785), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2966), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [13014] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1789), 1,
      anon_sym_RPAREN,
    STATE(6675), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [13113] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1791), 1,
      anon_sym_RPAREN,
    STATE(6674), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [13212] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1793), 1,
      anon_sym_RPAREN,
    STATE(6671), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [13311] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1795), 1,
      anon_sym_RPAREN,
    STATE(6661), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [13410] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1797), 1,
      anon_sym_RPAREN,
    STATE(6657), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [13509] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1799), 1,
      anon_sym_RPAREN,
    STATE(6612), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [13608] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1801), 1,
      anon_sym_RPAREN,
    STATE(6653), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [13707] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1803), 1,
      anon_sym_RPAREN,
    STATE(6638), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [13806] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1805), 1,
      anon_sym_RPAREN,
    STATE(6561), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [13905] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      anon_sym_DASH,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(921), 1,
      anon_sym_while,
    ACTIONS(923), 1,
      anon_sym_for,
    ACTIONS(1807), 1,
      anon_sym_yield,
    STATE(6635), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1061), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [14004] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1809), 1,
      anon_sym_RPAREN,
    STATE(6631), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [14103] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1367), 1,
      anon_sym_DASH,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      anon_sym_while,
    ACTIONS(1813), 1,
      anon_sym_yield,
    STATE(6117), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1811), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [14202] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1815), 1,
      anon_sym_RPAREN,
    STATE(6764), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [14301] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1817), 1,
      anon_sym_RPAREN,
    STATE(6630), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [14400] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1819), 1,
      anon_sym_RPAREN,
    STATE(6622), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [14499] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1821), 1,
      anon_sym_RPAREN,
    STATE(6618), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [14598] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1823), 1,
      anon_sym_RPAREN,
    STATE(6731), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [14697] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1385), 1,
      anon_sym_DASH,
    ACTIONS(1387), 1,
      anon_sym_if,
    ACTIONS(1389), 1,
      anon_sym_try,
    ACTIONS(1391), 1,
      anon_sym_new,
    ACTIONS(1393), 1,
      anon_sym_return,
    ACTIONS(1395), 1,
      anon_sym_throw,
    ACTIONS(1397), 1,
      anon_sym_while,
    ACTIONS(1399), 1,
      anon_sym_for,
    ACTIONS(1433), 1,
      sym_identifier,
    ACTIONS(1827), 1,
      anon_sym_yield,
    STATE(6640), 1,
      sym_expression,
    STATE(11809), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1825), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [14796] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1829), 1,
      anon_sym_RPAREN,
    STATE(6588), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [14895] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1831), 1,
      anon_sym_RPAREN,
    STATE(6616), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [14994] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    ACTIONS(1833), 1,
      anon_sym_yield,
    STATE(5827), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [15093] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1835), 1,
      anon_sym_RPAREN,
    STATE(6722), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [15192] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1837), 1,
      anon_sym_RPAREN,
    STATE(6607), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [15291] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1839), 1,
      anon_sym_RPAREN,
    STATE(6609), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [15390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1841), 1,
      anon_sym_RPAREN,
    STATE(6603), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [15489] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1843), 1,
      anon_sym_RPAREN,
    STATE(6602), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [15588] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    ACTIONS(1845), 1,
      anon_sym_yield,
    STATE(4700), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [15687] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    ACTIONS(1847), 1,
      anon_sym_yield,
    STATE(4914), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [15786] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    ACTIONS(1849), 1,
      anon_sym_yield,
    STATE(5635), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [15885] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1851), 1,
      anon_sym_RPAREN,
    STATE(6596), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [15984] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1853), 1,
      anon_sym_RPAREN,
    STATE(6664), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [16083] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    ACTIONS(1855), 1,
      anon_sym_yield,
    STATE(5667), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [16182] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1857), 1,
      anon_sym_RPAREN,
    STATE(6656), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [16281] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1859), 1,
      anon_sym_RPAREN,
    STATE(6568), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [16380] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1861), 1,
      anon_sym_RPAREN,
    STATE(6567), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [16479] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1305), 1,
      anon_sym_DASH,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1309), 1,
      anon_sym_if,
    ACTIONS(1311), 1,
      anon_sym_try,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1321), 1,
      anon_sym_return,
    ACTIONS(1323), 1,
      anon_sym_throw,
    ACTIONS(1325), 1,
      anon_sym_while,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1329), 1,
      anon_sym_for,
    ACTIONS(1865), 1,
      anon_sym_yield,
    STATE(6227), 1,
      sym_expression,
    STATE(11367), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1863), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [16578] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1867), 1,
      anon_sym_RPAREN,
    STATE(6537), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [16677] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1869), 1,
      anon_sym_RPAREN,
    STATE(6655), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [16776] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1871), 1,
      anon_sym_RPAREN,
    STATE(6462), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [16875] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    ACTIONS(1873), 1,
      anon_sym_yield,
    STATE(4848), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [16974] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1875), 1,
      anon_sym_RPAREN,
    STATE(6531), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [17073] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1877), 1,
      anon_sym_RPAREN,
    STATE(6528), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [17172] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1879), 1,
      anon_sym_RPAREN,
    STATE(6525), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [17271] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1881), 1,
      anon_sym_RPAREN,
    STATE(6552), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [17370] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1883), 1,
      anon_sym_RPAREN,
    STATE(6521), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [17469] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1885), 1,
      anon_sym_RPAREN,
    STATE(6517), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [17568] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1887), 1,
      anon_sym_RPAREN,
    STATE(6857), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [17667] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1511), 1,
      anon_sym_DASH,
    ACTIONS(1513), 1,
      anon_sym_if,
    ACTIONS(1515), 1,
      anon_sym_try,
    ACTIONS(1517), 1,
      anon_sym_new,
    ACTIONS(1519), 1,
      anon_sym_return,
    ACTIONS(1521), 1,
      anon_sym_throw,
    ACTIONS(1523), 1,
      anon_sym_while,
    ACTIONS(1525), 1,
      anon_sym_for,
    ACTIONS(1527), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_yield,
    STATE(6897), 1,
      sym_expression,
    STATE(11806), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1889), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [17766] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1893), 1,
      anon_sym_RPAREN,
    STATE(6651), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [17865] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1567), 1,
      sym_identifier,
    ACTIONS(1569), 1,
      anon_sym_DASH,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_try,
    ACTIONS(1575), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_return,
    ACTIONS(1579), 1,
      anon_sym_throw,
    ACTIONS(1581), 1,
      anon_sym_while,
    ACTIONS(1583), 1,
      anon_sym_for,
    ACTIONS(1897), 1,
      anon_sym_yield,
    STATE(7227), 1,
      sym_expression,
    STATE(11844), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1895), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [17964] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1899), 1,
      anon_sym_RPAREN,
    STATE(6515), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [18063] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1901), 1,
      anon_sym_RPAREN,
    STATE(6645), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [18162] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DASH,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    ACTIONS(1905), 1,
      anon_sym_yield,
    STATE(6023), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1903), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [18261] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    ACTIONS(1907), 1,
      anon_sym_yield,
    STATE(4552), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [18360] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_RPAREN,
    STATE(6644), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [18459] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_RPAREN,
    STATE(6605), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [18558] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    ACTIONS(1913), 1,
      anon_sym_yield,
    STATE(5589), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1043), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [18657] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1915), 1,
      anon_sym_RPAREN,
    STATE(6501), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [18756] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1917), 1,
      anon_sym_RPAREN,
    STATE(6643), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [18855] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1919), 1,
      anon_sym_RPAREN,
    STATE(6642), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [18954] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1921), 1,
      anon_sym_RPAREN,
    STATE(6641), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [19053] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    ACTIONS(1923), 1,
      anon_sym_yield,
    STATE(4062), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [19152] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1925), 1,
      anon_sym_RPAREN,
    STATE(6455), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [19251] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1927), 1,
      anon_sym_RPAREN,
    STATE(6802), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [19350] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1253), 1,
      anon_sym_DASH,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    ACTIONS(1333), 1,
      sym_identifier,
    ACTIONS(1931), 1,
      anon_sym_yield,
    STATE(6309), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1929), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [19449] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1933), 1,
      anon_sym_RPAREN,
    STATE(6454), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [19548] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1935), 1,
      anon_sym_RPAREN,
    STATE(6585), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [19647] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1937), 1,
      anon_sym_RPAREN,
    STATE(6452), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [19746] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1939), 1,
      anon_sym_RPAREN,
    STATE(6449), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [19845] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym_identifier,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1339), 1,
      anon_sym_DASH,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_if,
    ACTIONS(1345), 1,
      anon_sym_try,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1355), 1,
      anon_sym_return,
    ACTIONS(1357), 1,
      anon_sym_throw,
    ACTIONS(1359), 1,
      anon_sym_while,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1363), 1,
      anon_sym_for,
    ACTIONS(1943), 1,
      anon_sym_yield,
    STATE(6598), 1,
      sym_expression,
    STATE(11705), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1941), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [19944] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(1945), 1,
      anon_sym_yield,
    STATE(5887), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [20043] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1947), 1,
      anon_sym_RPAREN,
    STATE(6450), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [20142] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1949), 1,
      anon_sym_RPAREN,
    STATE(6457), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [20241] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_RPAREN,
    STATE(6459), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [20340] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_yield,
    STATE(2294), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [20439] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(1957), 1,
      anon_sym_yield,
    STATE(1479), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [20538] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    ACTIONS(1959), 1,
      anon_sym_RPAREN,
    STATE(6533), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [20637] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    ACTIONS(1961), 1,
      anon_sym_yield,
    STATE(5210), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [20736] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7960), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [20832] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(7134), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [20928] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(3985), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [21024] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(3800), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [21120] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(5747), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [21216] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(5746), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [21312] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1253), 1,
      anon_sym_DASH,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    ACTIONS(1333), 1,
      sym_identifier,
    STATE(6129), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1929), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [21408] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2482), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [21504] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1385), 1,
      anon_sym_DASH,
    ACTIONS(1387), 1,
      anon_sym_if,
    ACTIONS(1389), 1,
      anon_sym_try,
    ACTIONS(1391), 1,
      anon_sym_new,
    ACTIONS(1393), 1,
      anon_sym_return,
    ACTIONS(1395), 1,
      anon_sym_throw,
    ACTIONS(1397), 1,
      anon_sym_while,
    ACTIONS(1399), 1,
      anon_sym_for,
    ACTIONS(1433), 1,
      sym_identifier,
    STATE(5681), 1,
      sym_expression,
    STATE(11809), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1825), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [21600] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1385), 1,
      anon_sym_DASH,
    ACTIONS(1387), 1,
      anon_sym_if,
    ACTIONS(1389), 1,
      anon_sym_try,
    ACTIONS(1391), 1,
      anon_sym_new,
    ACTIONS(1393), 1,
      anon_sym_return,
    ACTIONS(1395), 1,
      anon_sym_throw,
    ACTIONS(1397), 1,
      anon_sym_while,
    ACTIONS(1399), 1,
      anon_sym_for,
    ACTIONS(1433), 1,
      sym_identifier,
    STATE(5392), 1,
      sym_expression,
    STATE(11809), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1825), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [21696] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(5962), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [21792] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(5794), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [21888] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(5788), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [21984] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2501), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [22080] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(5335), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [22176] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6905), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [22272] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1367), 1,
      anon_sym_DASH,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      anon_sym_while,
    STATE(5178), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1811), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [22368] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1567), 1,
      sym_identifier,
    ACTIONS(1569), 1,
      anon_sym_DASH,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_try,
    ACTIONS(1575), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_return,
    ACTIONS(1579), 1,
      anon_sym_throw,
    ACTIONS(1581), 1,
      anon_sym_while,
    ACTIONS(1583), 1,
      anon_sym_for,
    STATE(7157), 1,
      sym_expression,
    STATE(11844), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1895), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [22464] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym_identifier,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1339), 1,
      anon_sym_DASH,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_if,
    ACTIONS(1345), 1,
      anon_sym_try,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1355), 1,
      anon_sym_return,
    ACTIONS(1357), 1,
      anon_sym_throw,
    ACTIONS(1359), 1,
      anon_sym_while,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1363), 1,
      anon_sym_for,
    STATE(6564), 1,
      sym_expression,
    STATE(11705), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1941), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [22560] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    STATE(4746), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [22656] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    STATE(1468), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [22752] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    STATE(4748), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [22848] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(5901), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [22944] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(5333), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [23040] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1385), 1,
      anon_sym_DASH,
    ACTIONS(1387), 1,
      anon_sym_if,
    ACTIONS(1389), 1,
      anon_sym_try,
    ACTIONS(1391), 1,
      anon_sym_new,
    ACTIONS(1393), 1,
      anon_sym_return,
    ACTIONS(1395), 1,
      anon_sym_throw,
    ACTIONS(1397), 1,
      anon_sym_while,
    ACTIONS(1399), 1,
      anon_sym_for,
    ACTIONS(1433), 1,
      sym_identifier,
    STATE(5557), 1,
      sym_expression,
    STATE(11809), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1825), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [23136] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(5208), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [23232] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2477), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [23328] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(4395), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [23424] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2521), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [23520] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DASH,
    ACTIONS(1127), 1,
      anon_sym_if,
    ACTIONS(1129), 1,
      anon_sym_try,
    ACTIONS(1131), 1,
      anon_sym_new,
    ACTIONS(1139), 1,
      anon_sym_return,
    ACTIONS(1141), 1,
      anon_sym_throw,
    ACTIONS(1143), 1,
      anon_sym_while,
    ACTIONS(1145), 1,
      anon_sym_do,
    ACTIONS(1147), 1,
      anon_sym_for,
    ACTIONS(1151), 1,
      sym_identifier,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(1155), 1,
      anon_sym_LPAREN,
    STATE(1672), 1,
      sym_expression,
    STATE(11450), 1,
      sym_bindings,
    ACTIONS(1135), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1149), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1133), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1785), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2966), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [23616] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(4331), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [23712] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    STATE(3650), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [23808] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2513), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [23904] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    STATE(1481), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [24000] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DASH,
    ACTIONS(1127), 1,
      anon_sym_if,
    ACTIONS(1129), 1,
      anon_sym_try,
    ACTIONS(1131), 1,
      anon_sym_new,
    ACTIONS(1139), 1,
      anon_sym_return,
    ACTIONS(1141), 1,
      anon_sym_throw,
    ACTIONS(1143), 1,
      anon_sym_while,
    ACTIONS(1145), 1,
      anon_sym_do,
    ACTIONS(1147), 1,
      anon_sym_for,
    ACTIONS(1151), 1,
      sym_identifier,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(1155), 1,
      anon_sym_LPAREN,
    STATE(1665), 1,
      sym_expression,
    STATE(11450), 1,
      sym_bindings,
    ACTIONS(1135), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1149), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1133), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1785), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2966), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [24096] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1567), 1,
      sym_identifier,
    ACTIONS(1569), 1,
      anon_sym_DASH,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_try,
    ACTIONS(1575), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_return,
    ACTIONS(1579), 1,
      anon_sym_throw,
    ACTIONS(1581), 1,
      anon_sym_while,
    ACTIONS(1583), 1,
      anon_sym_for,
    STATE(7158), 1,
      sym_expression,
    STATE(11844), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1895), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [24192] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1225), 1,
      anon_sym_DASH,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    STATE(5173), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1727), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [24288] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_DASH,
    ACTIONS(1095), 1,
      anon_sym_if,
    ACTIONS(1097), 1,
      anon_sym_try,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_return,
    ACTIONS(1109), 1,
      anon_sym_throw,
    ACTIONS(1111), 1,
      anon_sym_while,
    ACTIONS(1113), 1,
      anon_sym_do,
    ACTIONS(1115), 1,
      anon_sym_for,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    STATE(1575), 1,
      sym_expression,
    STATE(11350), 1,
      sym_bindings,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1117), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1101), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1703), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2732), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [24384] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1367), 1,
      anon_sym_DASH,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      anon_sym_while,
    STATE(6224), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1811), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [24480] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    STATE(3642), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [24576] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    STATE(5114), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [24672] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    STATE(5116), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [24768] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2522), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [24864] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(4332), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [24960] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1567), 1,
      sym_identifier,
    ACTIONS(1569), 1,
      anon_sym_DASH,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_try,
    ACTIONS(1575), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_return,
    ACTIONS(1579), 1,
      anon_sym_throw,
    ACTIONS(1581), 1,
      anon_sym_while,
    ACTIONS(1583), 1,
      anon_sym_for,
    STATE(6983), 1,
      sym_expression,
    STATE(11844), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1895), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [25056] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2264), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [25152] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_DASH,
    ACTIONS(1095), 1,
      anon_sym_if,
    ACTIONS(1097), 1,
      anon_sym_try,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_return,
    ACTIONS(1109), 1,
      anon_sym_throw,
    ACTIONS(1111), 1,
      anon_sym_while,
    ACTIONS(1113), 1,
      anon_sym_do,
    ACTIONS(1115), 1,
      anon_sym_for,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    STATE(1135), 1,
      sym_expression,
    STATE(11350), 1,
      sym_bindings,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1117), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1101), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1703), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2732), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [25248] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2293), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [25344] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(4451), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [25440] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    STATE(1496), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [25536] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1367), 1,
      anon_sym_DASH,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      anon_sym_while,
    STATE(5173), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1811), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [25632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    STATE(4827), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [25728] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(5959), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [25824] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(5297), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [25920] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    STATE(4824), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [26016] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(5963), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [26112] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      anon_sym_DASH,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(921), 1,
      anon_sym_while,
    ACTIONS(923), 1,
      anon_sym_for,
    STATE(6842), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1061), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [26208] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1567), 1,
      sym_identifier,
    ACTIONS(1569), 1,
      anon_sym_DASH,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_try,
    ACTIONS(1575), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_return,
    ACTIONS(1579), 1,
      anon_sym_throw,
    ACTIONS(1581), 1,
      anon_sym_while,
    ACTIONS(1583), 1,
      anon_sym_for,
    STATE(7197), 1,
      sym_expression,
    STATE(11844), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1895), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [26304] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym_identifier,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1339), 1,
      anon_sym_DASH,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_if,
    ACTIONS(1345), 1,
      anon_sym_try,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1355), 1,
      anon_sym_return,
    ACTIONS(1357), 1,
      anon_sym_throw,
    ACTIONS(1359), 1,
      anon_sym_while,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1363), 1,
      anon_sym_for,
    STATE(6595), 1,
      sym_expression,
    STATE(11705), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1941), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [26400] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1253), 1,
      anon_sym_DASH,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    ACTIONS(1333), 1,
      sym_identifier,
    STATE(5029), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1929), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [26496] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1511), 1,
      anon_sym_DASH,
    ACTIONS(1513), 1,
      anon_sym_if,
    ACTIONS(1515), 1,
      anon_sym_try,
    ACTIONS(1517), 1,
      anon_sym_new,
    ACTIONS(1519), 1,
      anon_sym_return,
    ACTIONS(1521), 1,
      anon_sym_throw,
    ACTIONS(1523), 1,
      anon_sym_while,
    ACTIONS(1525), 1,
      anon_sym_for,
    ACTIONS(1527), 1,
      sym_identifier,
    STATE(7041), 1,
      sym_expression,
    STATE(11806), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1889), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [26592] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5701), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [26688] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DASH,
    ACTIONS(1127), 1,
      anon_sym_if,
    ACTIONS(1129), 1,
      anon_sym_try,
    ACTIONS(1131), 1,
      anon_sym_new,
    ACTIONS(1139), 1,
      anon_sym_return,
    ACTIONS(1141), 1,
      anon_sym_throw,
    ACTIONS(1143), 1,
      anon_sym_while,
    ACTIONS(1145), 1,
      anon_sym_do,
    ACTIONS(1147), 1,
      anon_sym_for,
    ACTIONS(1151), 1,
      sym_identifier,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(1155), 1,
      anon_sym_LPAREN,
    STATE(1874), 1,
      sym_expression,
    STATE(11450), 1,
      sym_bindings,
    ACTIONS(1135), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1149), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1133), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1785), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2966), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [26784] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1511), 1,
      anon_sym_DASH,
    ACTIONS(1513), 1,
      anon_sym_if,
    ACTIONS(1515), 1,
      anon_sym_try,
    ACTIONS(1517), 1,
      anon_sym_new,
    ACTIONS(1519), 1,
      anon_sym_return,
    ACTIONS(1521), 1,
      anon_sym_throw,
    ACTIONS(1523), 1,
      anon_sym_while,
    ACTIONS(1525), 1,
      anon_sym_for,
    ACTIONS(1527), 1,
      sym_identifier,
    STATE(6868), 1,
      sym_expression,
    STATE(11806), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1889), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [26880] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      anon_sym_DASH,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(921), 1,
      anon_sym_while,
    ACTIONS(923), 1,
      anon_sym_for,
    STATE(6841), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1061), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [26976] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(6792), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [27072] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1253), 1,
      anon_sym_DASH,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    ACTIONS(1333), 1,
      sym_identifier,
    STATE(5199), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1929), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [27168] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1385), 1,
      anon_sym_DASH,
    ACTIONS(1387), 1,
      anon_sym_if,
    ACTIONS(1389), 1,
      anon_sym_try,
    ACTIONS(1391), 1,
      anon_sym_new,
    ACTIONS(1393), 1,
      anon_sym_return,
    ACTIONS(1395), 1,
      anon_sym_throw,
    ACTIONS(1397), 1,
      anon_sym_while,
    ACTIONS(1399), 1,
      anon_sym_for,
    ACTIONS(1433), 1,
      sym_identifier,
    STATE(5643), 1,
      sym_expression,
    STATE(11809), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1825), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [27264] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(6795), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [27360] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(703), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_DASH,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    STATE(6008), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1041), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [27456] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    STATE(1511), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [27552] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(703), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_DASH,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    STATE(6009), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1041), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [27648] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1225), 1,
      anon_sym_DASH,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    STATE(5178), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1727), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [27744] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(4311), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [27840] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1253), 1,
      anon_sym_DASH,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    ACTIONS(1333), 1,
      sym_identifier,
    STATE(6310), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1929), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [27936] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    STATE(1539), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [28032] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2311), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [28128] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(4093), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [28224] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1253), 1,
      anon_sym_DASH,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    ACTIONS(1333), 1,
      sym_identifier,
    STATE(6308), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1929), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [28320] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(4066), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [28416] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2450), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [28512] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(4094), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [28608] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(5110), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [28704] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(3642), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [28800] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(4314), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [28896] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    STATE(1594), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [28992] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_identifier,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1405), 1,
      anon_sym_DASH,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_if,
    ACTIONS(1411), 1,
      anon_sym_try,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1421), 1,
      anon_sym_return,
    ACTIONS(1423), 1,
      anon_sym_throw,
    ACTIONS(1425), 1,
      anon_sym_while,
    ACTIONS(1427), 1,
      anon_sym_do,
    ACTIONS(1429), 1,
      anon_sym_for,
    STATE(6786), 1,
      sym_expression,
    STATE(11384), 1,
      sym_bindings,
    ACTIONS(1417), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1419), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1431), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1415), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1767), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8816), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [29088] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(5632), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [29184] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    STATE(3902), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [29280] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1253), 1,
      anon_sym_DASH,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    ACTIONS(1333), 1,
      sym_identifier,
    STATE(6307), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1929), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [29376] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6904), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [29472] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(5106), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [29568] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1253), 1,
      anon_sym_DASH,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    ACTIONS(1333), 1,
      sym_identifier,
    STATE(6303), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1929), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [29664] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1253), 1,
      anon_sym_DASH,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    ACTIONS(1333), 1,
      sym_identifier,
    STATE(6290), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1929), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [29760] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_DASH,
    ACTIONS(1439), 1,
      anon_sym_if,
    ACTIONS(1441), 1,
      anon_sym_try,
    ACTIONS(1443), 1,
      anon_sym_new,
    ACTIONS(1445), 1,
      anon_sym_return,
    ACTIONS(1447), 1,
      anon_sym_throw,
    ACTIONS(1449), 1,
      anon_sym_while,
    ACTIONS(1451), 1,
      anon_sym_for,
    STATE(6800), 1,
      sym_expression,
    STATE(11599), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1743), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [29856] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(3650), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [29952] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(5495), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [30048] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(5588), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1043), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [30144] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_DASH,
    ACTIONS(1439), 1,
      anon_sym_if,
    ACTIONS(1441), 1,
      anon_sym_try,
    ACTIONS(1443), 1,
      anon_sym_new,
    ACTIONS(1445), 1,
      anon_sym_return,
    ACTIONS(1447), 1,
      anon_sym_throw,
    ACTIONS(1449), 1,
      anon_sym_while,
    ACTIONS(1451), 1,
      anon_sym_for,
    STATE(6787), 1,
      sym_expression,
    STATE(11599), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1743), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [30240] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1511), 1,
      anon_sym_DASH,
    ACTIONS(1513), 1,
      anon_sym_if,
    ACTIONS(1515), 1,
      anon_sym_try,
    ACTIONS(1517), 1,
      anon_sym_new,
    ACTIONS(1519), 1,
      anon_sym_return,
    ACTIONS(1521), 1,
      anon_sym_throw,
    ACTIONS(1523), 1,
      anon_sym_while,
    ACTIONS(1525), 1,
      anon_sym_for,
    ACTIONS(1527), 1,
      sym_identifier,
    STATE(6084), 1,
      sym_expression,
    STATE(11806), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1889), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [30336] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DASH,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(6020), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1903), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [30432] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(5167), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [30528] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(5239), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [30624] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(5236), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [30720] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1253), 1,
      anon_sym_DASH,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    ACTIONS(1333), 1,
      sym_identifier,
    STATE(6121), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1929), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [30816] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DASH,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(6024), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1903), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [30912] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(5592), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1043), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [31008] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(5095), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [31104] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(4061), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [31200] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(4570), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [31296] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    STATE(4813), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [31392] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1511), 1,
      anon_sym_DASH,
    ACTIONS(1513), 1,
      anon_sym_if,
    ACTIONS(1515), 1,
      anon_sym_try,
    ACTIONS(1517), 1,
      anon_sym_new,
    ACTIONS(1519), 1,
      anon_sym_return,
    ACTIONS(1521), 1,
      anon_sym_throw,
    ACTIONS(1523), 1,
      anon_sym_while,
    ACTIONS(1525), 1,
      anon_sym_for,
    ACTIONS(1527), 1,
      sym_identifier,
    STATE(6079), 1,
      sym_expression,
    STATE(11806), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1889), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [31488] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2233), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [31584] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(4549), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [31680] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1567), 1,
      sym_identifier,
    ACTIONS(1569), 1,
      anon_sym_DASH,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_try,
    ACTIONS(1575), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_return,
    ACTIONS(1579), 1,
      anon_sym_throw,
    ACTIONS(1581), 1,
      anon_sym_while,
    ACTIONS(1583), 1,
      anon_sym_for,
    STATE(7226), 1,
      sym_expression,
    STATE(11844), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1895), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [31776] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6302), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [31872] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(5882), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [31968] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(4544), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [32064] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(3989), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [32160] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(4628), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [32256] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(4534), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [32352] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6951), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [32448] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2249), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [32544] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DASH,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(6033), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1903), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [32640] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(4532), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [32736] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(5600), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1043), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [32832] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(4790), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [32928] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(3524), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [33024] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(167), 1,
      sym_identifier,
    ACTIONS(171), 1,
      anon_sym_DASH,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_try,
    ACTIONS(181), 1,
      anon_sym_new,
    ACTIONS(183), 1,
      anon_sym_return,
    ACTIONS(185), 1,
      anon_sym_throw,
    ACTIONS(187), 1,
      anon_sym_while,
    ACTIONS(189), 1,
      anon_sym_for,
    STATE(3525), 1,
      sym_expression,
    STATE(11805), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1079), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [33120] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    STATE(4649), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [33216] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(5493), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [33312] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1305), 1,
      anon_sym_DASH,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1309), 1,
      anon_sym_if,
    ACTIONS(1311), 1,
      anon_sym_try,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1321), 1,
      anon_sym_return,
    ACTIONS(1323), 1,
      anon_sym_throw,
    ACTIONS(1325), 1,
      anon_sym_while,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1329), 1,
      anon_sym_for,
    STATE(6230), 1,
      sym_expression,
    STATE(11367), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1863), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [33408] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym_identifier,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1339), 1,
      anon_sym_DASH,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_if,
    ACTIONS(1345), 1,
      anon_sym_try,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1355), 1,
      anon_sym_return,
    ACTIONS(1357), 1,
      anon_sym_throw,
    ACTIONS(1359), 1,
      anon_sym_while,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1363), 1,
      anon_sym_for,
    STATE(6615), 1,
      sym_expression,
    STATE(11705), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1941), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [33504] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(4030), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [33600] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6300), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [33696] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6145), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [33792] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1511), 1,
      anon_sym_DASH,
    ACTIONS(1513), 1,
      anon_sym_if,
    ACTIONS(1515), 1,
      anon_sym_try,
    ACTIONS(1517), 1,
      anon_sym_new,
    ACTIONS(1519), 1,
      anon_sym_return,
    ACTIONS(1521), 1,
      anon_sym_throw,
    ACTIONS(1523), 1,
      anon_sym_while,
    ACTIONS(1525), 1,
      anon_sym_for,
    ACTIONS(1527), 1,
      sym_identifier,
    STATE(6893), 1,
      sym_expression,
    STATE(11806), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1889), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [33888] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(3525), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [33984] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1511), 1,
      anon_sym_DASH,
    ACTIONS(1513), 1,
      anon_sym_if,
    ACTIONS(1515), 1,
      anon_sym_try,
    ACTIONS(1517), 1,
      anon_sym_new,
    ACTIONS(1519), 1,
      anon_sym_return,
    ACTIONS(1521), 1,
      anon_sym_throw,
    ACTIONS(1523), 1,
      anon_sym_while,
    ACTIONS(1525), 1,
      anon_sym_for,
    ACTIONS(1527), 1,
      sym_identifier,
    STATE(6898), 1,
      sym_expression,
    STATE(11806), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1889), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [34080] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1511), 1,
      anon_sym_DASH,
    ACTIONS(1513), 1,
      anon_sym_if,
    ACTIONS(1515), 1,
      anon_sym_try,
    ACTIONS(1517), 1,
      anon_sym_new,
    ACTIONS(1519), 1,
      anon_sym_return,
    ACTIONS(1521), 1,
      anon_sym_throw,
    ACTIONS(1523), 1,
      anon_sym_while,
    ACTIONS(1525), 1,
      anon_sym_for,
    ACTIONS(1527), 1,
      sym_identifier,
    STATE(6900), 1,
      sym_expression,
    STATE(11806), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1889), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [34176] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(4055), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [34272] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1253), 1,
      anon_sym_DASH,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    ACTIONS(1333), 1,
      sym_identifier,
    STATE(6334), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1929), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [34368] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(3524), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [34464] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1511), 1,
      anon_sym_DASH,
    ACTIONS(1513), 1,
      anon_sym_if,
    ACTIONS(1515), 1,
      anon_sym_try,
    ACTIONS(1517), 1,
      anon_sym_new,
    ACTIONS(1519), 1,
      anon_sym_return,
    ACTIONS(1521), 1,
      anon_sym_throw,
    ACTIONS(1523), 1,
      anon_sym_while,
    ACTIONS(1525), 1,
      anon_sym_for,
    ACTIONS(1527), 1,
      sym_identifier,
    STATE(6901), 1,
      sym_expression,
    STATE(11806), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1889), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [34560] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(4197), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [34656] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(5636), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [34752] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1511), 1,
      anon_sym_DASH,
    ACTIONS(1513), 1,
      anon_sym_if,
    ACTIONS(1515), 1,
      anon_sym_try,
    ACTIONS(1517), 1,
      anon_sym_new,
    ACTIONS(1519), 1,
      anon_sym_return,
    ACTIONS(1521), 1,
      anon_sym_throw,
    ACTIONS(1523), 1,
      anon_sym_while,
    ACTIONS(1525), 1,
      anon_sym_for,
    ACTIONS(1527), 1,
      sym_identifier,
    STATE(6902), 1,
      sym_expression,
    STATE(11806), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1889), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [34848] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1511), 1,
      anon_sym_DASH,
    ACTIONS(1513), 1,
      anon_sym_if,
    ACTIONS(1515), 1,
      anon_sym_try,
    ACTIONS(1517), 1,
      anon_sym_new,
    ACTIONS(1519), 1,
      anon_sym_return,
    ACTIONS(1521), 1,
      anon_sym_throw,
    ACTIONS(1523), 1,
      anon_sym_while,
    ACTIONS(1525), 1,
      anon_sym_for,
    ACTIONS(1527), 1,
      sym_identifier,
    STATE(7047), 1,
      sym_expression,
    STATE(11806), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1889), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [34944] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1253), 1,
      anon_sym_DASH,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    ACTIONS(1333), 1,
      sym_identifier,
    STATE(5178), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1929), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [35040] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_DASH,
    ACTIONS(1439), 1,
      anon_sym_if,
    ACTIONS(1441), 1,
      anon_sym_try,
    ACTIONS(1443), 1,
      anon_sym_new,
    ACTIONS(1445), 1,
      anon_sym_return,
    ACTIONS(1447), 1,
      anon_sym_throw,
    ACTIONS(1449), 1,
      anon_sym_while,
    ACTIONS(1451), 1,
      anon_sym_for,
    STATE(6832), 1,
      sym_expression,
    STATE(11599), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1743), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [35136] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1253), 1,
      anon_sym_DASH,
    ACTIONS(1255), 1,
      anon_sym_if,
    ACTIONS(1257), 1,
      anon_sym_try,
    ACTIONS(1259), 1,
      anon_sym_new,
    ACTIONS(1261), 1,
      anon_sym_return,
    ACTIONS(1263), 1,
      anon_sym_throw,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(1267), 1,
      anon_sym_for,
    ACTIONS(1333), 1,
      sym_identifier,
    STATE(5173), 1,
      sym_expression,
    STATE(11804), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1929), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [35232] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(5221), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [35328] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(5611), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1043), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [35424] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6926), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [35520] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2458), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [35616] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(4987), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [35712] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(5621), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1043), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [35808] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DASH,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(6035), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1903), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [35904] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2455), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [36000] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DASH,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(6036), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1903), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [36096] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DASH,
    ACTIONS(1127), 1,
      anon_sym_if,
    ACTIONS(1129), 1,
      anon_sym_try,
    ACTIONS(1131), 1,
      anon_sym_new,
    ACTIONS(1139), 1,
      anon_sym_return,
    ACTIONS(1141), 1,
      anon_sym_throw,
    ACTIONS(1143), 1,
      anon_sym_while,
    ACTIONS(1145), 1,
      anon_sym_do,
    ACTIONS(1147), 1,
      anon_sym_for,
    ACTIONS(1151), 1,
      sym_identifier,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(1155), 1,
      anon_sym_LPAREN,
    STATE(1781), 1,
      sym_expression,
    STATE(11450), 1,
      sym_bindings,
    ACTIONS(1135), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1149), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1133), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1785), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2966), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [36192] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(4992), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [36288] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(5631), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [36384] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_identifier,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1405), 1,
      anon_sym_DASH,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_if,
    ACTIONS(1411), 1,
      anon_sym_try,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1421), 1,
      anon_sym_return,
    ACTIONS(1423), 1,
      anon_sym_throw,
    ACTIONS(1425), 1,
      anon_sym_while,
    ACTIONS(1427), 1,
      anon_sym_do,
    ACTIONS(1429), 1,
      anon_sym_for,
    STATE(6482), 1,
      sym_expression,
    STATE(11384), 1,
      sym_bindings,
    ACTIONS(1417), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1419), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1431), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1415), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1767), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8816), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [36480] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1305), 1,
      anon_sym_DASH,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1309), 1,
      anon_sym_if,
    ACTIONS(1311), 1,
      anon_sym_try,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1321), 1,
      anon_sym_return,
    ACTIONS(1323), 1,
      anon_sym_throw,
    ACTIONS(1325), 1,
      anon_sym_while,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1329), 1,
      anon_sym_for,
    STATE(6221), 1,
      sym_expression,
    STATE(11367), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1863), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [36576] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(3593), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [36672] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(5320), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [36768] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(5637), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [36864] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    STATE(4592), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [36960] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    STATE(4591), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [37056] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1225), 1,
      anon_sym_DASH,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    STATE(5405), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1727), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [37152] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(5010), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [37248] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(5523), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1043), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [37344] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_identifier,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1405), 1,
      anon_sym_DASH,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_if,
    ACTIONS(1411), 1,
      anon_sym_try,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1421), 1,
      anon_sym_return,
    ACTIONS(1423), 1,
      anon_sym_throw,
    ACTIONS(1425), 1,
      anon_sym_while,
    ACTIONS(1427), 1,
      anon_sym_do,
    ACTIONS(1429), 1,
      anon_sym_for,
    STATE(6479), 1,
      sym_expression,
    STATE(11384), 1,
      sym_bindings,
    ACTIONS(1417), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1419), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1431), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1415), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1767), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8816), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [37440] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1567), 1,
      sym_identifier,
    ACTIONS(1569), 1,
      anon_sym_DASH,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_try,
    ACTIONS(1575), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_return,
    ACTIONS(1579), 1,
      anon_sym_throw,
    ACTIONS(1581), 1,
      anon_sym_while,
    ACTIONS(1583), 1,
      anon_sym_for,
    STATE(7243), 1,
      sym_expression,
    STATE(11844), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1895), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [37536] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DASH,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(6143), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1903), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [37632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2307), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [37728] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DASH,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(6147), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1903), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [37824] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_DASH,
    ACTIONS(1095), 1,
      anon_sym_if,
    ACTIONS(1097), 1,
      anon_sym_try,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_return,
    ACTIONS(1109), 1,
      anon_sym_throw,
    ACTIONS(1111), 1,
      anon_sym_while,
    ACTIONS(1113), 1,
      anon_sym_do,
    ACTIONS(1115), 1,
      anon_sym_for,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    STATE(1516), 1,
      sym_expression,
    STATE(11350), 1,
      sym_bindings,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1117), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1101), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1703), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2732), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [37920] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    STATE(4674), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [38016] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    STATE(4849), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [38112] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2424), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [38208] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(5666), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [38304] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    STATE(4673), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [38400] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(4669), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [38496] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(4162), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1043), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [38592] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(5225), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [38688] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DASH,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(6141), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1903), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [38784] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DASH,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(6126), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1903), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [38880] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(845), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_LPAREN,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    STATE(6732), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1047), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [38976] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1063), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [39072] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1305), 1,
      anon_sym_DASH,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1309), 1,
      anon_sym_if,
    ACTIONS(1311), 1,
      anon_sym_try,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1321), 1,
      anon_sym_return,
    ACTIONS(1323), 1,
      anon_sym_throw,
    ACTIONS(1325), 1,
      anon_sym_while,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1329), 1,
      anon_sym_for,
    STATE(6233), 1,
      sym_expression,
    STATE(11367), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1863), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [39168] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(3982), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [39264] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(5668), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [39360] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DASH,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(4999), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1903), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [39456] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(845), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_LPAREN,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    STATE(6734), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1047), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [39552] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(4219), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1043), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [39648] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    STATE(4687), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [39744] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2384), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [39840] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      anon_sym_DASH,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(921), 1,
      anon_sym_while,
    ACTIONS(923), 1,
      anon_sym_for,
    STATE(6785), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1061), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [39936] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(4048), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [40032] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(5661), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [40128] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2372), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [40224] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(3985), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [40320] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(4913), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [40416] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_LPAREN,
    ACTIONS(1543), 1,
      anon_sym_if,
    ACTIONS(1545), 1,
      anon_sym_try,
    ACTIONS(1547), 1,
      anon_sym_new,
    ACTIONS(1555), 1,
      anon_sym_return,
    ACTIONS(1557), 1,
      anon_sym_throw,
    ACTIONS(1559), 1,
      anon_sym_while,
    ACTIONS(1561), 1,
      anon_sym_do,
    ACTIONS(1563), 1,
      anon_sym_for,
    STATE(8036), 1,
      sym_expression,
    STATE(11872), 1,
      sym_bindings,
    ACTIONS(1551), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1565), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1549), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1775), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9116), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [40512] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2333), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [40608] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(4856), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [40704] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    STATE(4766), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [40800] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(4916), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [40896] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(5684), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [40992] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym_identifier,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1339), 1,
      anon_sym_DASH,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_if,
    ACTIONS(1345), 1,
      anon_sym_try,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1355), 1,
      anon_sym_return,
    ACTIONS(1357), 1,
      anon_sym_throw,
    ACTIONS(1359), 1,
      anon_sym_while,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1363), 1,
      anon_sym_for,
    STATE(6495), 1,
      sym_expression,
    STATE(11705), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1941), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [41088] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(5687), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [41184] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(5690), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [41280] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5823), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [41376] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    STATE(1118), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [41472] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      anon_sym_DASH,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(921), 1,
      anon_sym_while,
    ACTIONS(923), 1,
      anon_sym_for,
    STATE(6611), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1061), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [41568] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(5671), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [41664] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(5752), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [41760] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6892), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [41856] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    STATE(1577), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [41952] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym_identifier,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1339), 1,
      anon_sym_DASH,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_if,
    ACTIONS(1345), 1,
      anon_sym_try,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1355), 1,
      anon_sym_return,
    ACTIONS(1357), 1,
      anon_sym_throw,
    ACTIONS(1359), 1,
      anon_sym_while,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1363), 1,
      anon_sym_for,
    STATE(6486), 1,
      sym_expression,
    STATE(11705), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1941), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [42048] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    STATE(4711), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [42144] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    STATE(1585), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [42240] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_DASH,
    ACTIONS(1095), 1,
      anon_sym_if,
    ACTIONS(1097), 1,
      anon_sym_try,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_return,
    ACTIONS(1109), 1,
      anon_sym_throw,
    ACTIONS(1111), 1,
      anon_sym_while,
    ACTIONS(1113), 1,
      anon_sym_do,
    ACTIONS(1115), 1,
      anon_sym_for,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    STATE(1514), 1,
      sym_expression,
    STATE(11350), 1,
      sym_bindings,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1117), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1101), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1703), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2732), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [42336] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(4939), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1043), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [42432] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      anon_sym_DASH,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(921), 1,
      anon_sym_while,
    ACTIONS(923), 1,
      anon_sym_for,
    STATE(6617), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1061), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [42528] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1567), 1,
      sym_identifier,
    ACTIONS(1569), 1,
      anon_sym_DASH,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_try,
    ACTIONS(1575), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_return,
    ACTIONS(1579), 1,
      anon_sym_throw,
    ACTIONS(1581), 1,
      anon_sym_while,
    ACTIONS(1583), 1,
      anon_sym_for,
    STATE(6084), 1,
      sym_expression,
    STATE(11844), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1895), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [42624] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(4917), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [42720] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1385), 1,
      anon_sym_DASH,
    ACTIONS(1387), 1,
      anon_sym_if,
    ACTIONS(1389), 1,
      anon_sym_try,
    ACTIONS(1391), 1,
      anon_sym_new,
    ACTIONS(1393), 1,
      anon_sym_return,
    ACTIONS(1395), 1,
      anon_sym_throw,
    ACTIONS(1397), 1,
      anon_sym_while,
    ACTIONS(1399), 1,
      anon_sym_for,
    ACTIONS(1433), 1,
      sym_identifier,
    STATE(6639), 1,
      sym_expression,
    STATE(11809), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1825), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [42816] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_DASH,
    ACTIONS(1439), 1,
      anon_sym_if,
    ACTIONS(1441), 1,
      anon_sym_try,
    ACTIONS(1443), 1,
      anon_sym_new,
    ACTIONS(1445), 1,
      anon_sym_return,
    ACTIONS(1447), 1,
      anon_sym_throw,
    ACTIONS(1449), 1,
      anon_sym_while,
    ACTIONS(1451), 1,
      anon_sym_for,
    STATE(6742), 1,
      sym_expression,
    STATE(11599), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1743), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [42912] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      anon_sym_DASH,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(921), 1,
      anon_sym_while,
    ACTIONS(923), 1,
      anon_sym_for,
    STATE(4219), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1061), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [43008] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(4022), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [43104] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1194), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [43200] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(4021), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [43296] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(5686), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [43392] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1385), 1,
      anon_sym_DASH,
    ACTIONS(1387), 1,
      anon_sym_if,
    ACTIONS(1389), 1,
      anon_sym_try,
    ACTIONS(1391), 1,
      anon_sym_new,
    ACTIONS(1393), 1,
      anon_sym_return,
    ACTIONS(1395), 1,
      anon_sym_throw,
    ACTIONS(1397), 1,
      anon_sym_while,
    ACTIONS(1399), 1,
      anon_sym_for,
    ACTIONS(1433), 1,
      sym_identifier,
    STATE(6668), 1,
      sym_expression,
    STATE(11809), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1825), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [43488] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(3525), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [43584] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(5691), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [43680] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_identifier,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1405), 1,
      anon_sym_DASH,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_if,
    ACTIONS(1411), 1,
      anon_sym_try,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1421), 1,
      anon_sym_return,
    ACTIONS(1423), 1,
      anon_sym_throw,
    ACTIONS(1425), 1,
      anon_sym_while,
    ACTIONS(1427), 1,
      anon_sym_do,
    ACTIONS(1429), 1,
      anon_sym_for,
    STATE(5757), 1,
      sym_expression,
    STATE(11384), 1,
      sym_bindings,
    ACTIONS(1417), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1419), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1431), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1415), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1767), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8816), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [43776] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(3576), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [43872] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(4110), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [43968] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(3524), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [44064] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    STATE(1587), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [44160] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1385), 1,
      anon_sym_DASH,
    ACTIONS(1387), 1,
      anon_sym_if,
    ACTIONS(1389), 1,
      anon_sym_try,
    ACTIONS(1391), 1,
      anon_sym_new,
    ACTIONS(1393), 1,
      anon_sym_return,
    ACTIONS(1395), 1,
      anon_sym_throw,
    ACTIONS(1397), 1,
      anon_sym_while,
    ACTIONS(1399), 1,
      anon_sym_for,
    ACTIONS(1433), 1,
      sym_identifier,
    STATE(6670), 1,
      sym_expression,
    STATE(11809), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1825), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [44256] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      anon_sym_DASH,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(921), 1,
      anon_sym_while,
    ACTIONS(923), 1,
      anon_sym_for,
    STATE(6628), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1061), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [44352] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1385), 1,
      anon_sym_DASH,
    ACTIONS(1387), 1,
      anon_sym_if,
    ACTIONS(1389), 1,
      anon_sym_try,
    ACTIONS(1391), 1,
      anon_sym_new,
    ACTIONS(1393), 1,
      anon_sym_return,
    ACTIONS(1395), 1,
      anon_sym_throw,
    ACTIONS(1397), 1,
      anon_sym_while,
    ACTIONS(1399), 1,
      anon_sym_for,
    ACTIONS(1433), 1,
      sym_identifier,
    STATE(6686), 1,
      sym_expression,
    STATE(11809), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1825), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [44448] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1385), 1,
      anon_sym_DASH,
    ACTIONS(1387), 1,
      anon_sym_if,
    ACTIONS(1389), 1,
      anon_sym_try,
    ACTIONS(1391), 1,
      anon_sym_new,
    ACTIONS(1393), 1,
      anon_sym_return,
    ACTIONS(1395), 1,
      anon_sym_throw,
    ACTIONS(1397), 1,
      anon_sym_while,
    ACTIONS(1399), 1,
      anon_sym_for,
    ACTIONS(1433), 1,
      sym_identifier,
    STATE(6694), 1,
      sym_expression,
    STATE(11809), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1825), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [44544] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1385), 1,
      anon_sym_DASH,
    ACTIONS(1387), 1,
      anon_sym_if,
    ACTIONS(1389), 1,
      anon_sym_try,
    ACTIONS(1391), 1,
      anon_sym_new,
    ACTIONS(1393), 1,
      anon_sym_return,
    ACTIONS(1395), 1,
      anon_sym_throw,
    ACTIONS(1397), 1,
      anon_sym_while,
    ACTIONS(1399), 1,
      anon_sym_for,
    ACTIONS(1433), 1,
      sym_identifier,
    STATE(6712), 1,
      sym_expression,
    STATE(11809), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1825), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [44640] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    STATE(4868), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [44736] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6929), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [44832] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(4920), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [44928] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6930), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [45024] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(5907), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [45120] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7844), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [45216] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(4921), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [45312] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6932), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [45408] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(4114), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [45504] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1367), 1,
      anon_sym_DASH,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      anon_sym_while,
    STATE(6118), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1811), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [45600] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5904), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [45696] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2243), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [45792] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2335), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [45888] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(8140), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [45984] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5899), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [46080] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5672), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [46176] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5880), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [46272] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7337), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [46368] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1305), 1,
      anon_sym_DASH,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1309), 1,
      anon_sym_if,
    ACTIONS(1311), 1,
      anon_sym_try,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1321), 1,
      anon_sym_return,
    ACTIONS(1323), 1,
      anon_sym_throw,
    ACTIONS(1325), 1,
      anon_sym_while,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1329), 1,
      anon_sym_for,
    STATE(6216), 1,
      sym_expression,
    STATE(11367), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1863), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [46464] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1367), 1,
      anon_sym_DASH,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      anon_sym_while,
    STATE(6115), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1811), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [46560] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6795), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [46656] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(4616), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [46752] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1305), 1,
      anon_sym_DASH,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1309), 1,
      anon_sym_if,
    ACTIONS(1311), 1,
      anon_sym_try,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1321), 1,
      anon_sym_return,
    ACTIONS(1323), 1,
      anon_sym_throw,
    ACTIONS(1325), 1,
      anon_sym_while,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1329), 1,
      anon_sym_for,
    STATE(6211), 1,
      sym_expression,
    STATE(11367), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1863), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [46848] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7320), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [46944] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6113), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [47040] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      anon_sym_DASH,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(921), 1,
      anon_sym_while,
    ACTIONS(923), 1,
      anon_sym_for,
    STATE(6761), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1061), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [47136] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2320), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [47232] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6120), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [47328] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(5334), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [47424] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5673), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [47520] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [47616] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DASH,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(6409), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1903), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [47712] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(5318), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [47808] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      anon_sym_DASH,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(921), 1,
      anon_sym_while,
    ACTIONS(923), 1,
      anon_sym_for,
    STATE(6636), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1061), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [47904] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5676), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [48000] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DASH,
    ACTIONS(1127), 1,
      anon_sym_if,
    ACTIONS(1129), 1,
      anon_sym_try,
    ACTIONS(1131), 1,
      anon_sym_new,
    ACTIONS(1139), 1,
      anon_sym_return,
    ACTIONS(1141), 1,
      anon_sym_throw,
    ACTIONS(1143), 1,
      anon_sym_while,
    ACTIONS(1145), 1,
      anon_sym_do,
    ACTIONS(1147), 1,
      anon_sym_for,
    ACTIONS(1151), 1,
      sym_identifier,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(1155), 1,
      anon_sym_LPAREN,
    STATE(1843), 1,
      sym_expression,
    STATE(11450), 1,
      sym_bindings,
    ACTIONS(1135), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1149), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1133), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1785), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2966), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [48096] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1367), 1,
      anon_sym_DASH,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      anon_sym_while,
    STATE(6109), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1811), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [48192] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7272), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [48288] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_identifier,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1405), 1,
      anon_sym_DASH,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_if,
    ACTIONS(1411), 1,
      anon_sym_try,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1421), 1,
      anon_sym_return,
    ACTIONS(1423), 1,
      anon_sym_throw,
    ACTIONS(1425), 1,
      anon_sym_while,
    ACTIONS(1427), 1,
      anon_sym_do,
    ACTIONS(1429), 1,
      anon_sym_for,
    STATE(6777), 1,
      sym_expression,
    STATE(11384), 1,
      sym_bindings,
    ACTIONS(1417), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1419), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1431), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1415), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1767), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8816), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [48384] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1305), 1,
      anon_sym_DASH,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1309), 1,
      anon_sym_if,
    ACTIONS(1311), 1,
      anon_sym_try,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1321), 1,
      anon_sym_return,
    ACTIONS(1323), 1,
      anon_sym_throw,
    ACTIONS(1325), 1,
      anon_sym_while,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1329), 1,
      anon_sym_for,
    STATE(4924), 1,
      sym_expression,
    STATE(11367), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1863), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [48480] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_identifier,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1405), 1,
      anon_sym_DASH,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_if,
    ACTIONS(1411), 1,
      anon_sym_try,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1421), 1,
      anon_sym_return,
    ACTIONS(1423), 1,
      anon_sym_throw,
    ACTIONS(1425), 1,
      anon_sym_while,
    ACTIONS(1427), 1,
      anon_sym_do,
    ACTIONS(1429), 1,
      anon_sym_for,
    STATE(6472), 1,
      sym_expression,
    STATE(11384), 1,
      sym_bindings,
    ACTIONS(1417), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1419), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1431), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1415), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1767), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8816), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [48576] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2235), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [48672] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6792), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [48768] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(4223), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [48864] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2288), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [48960] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    STATE(1409), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [49056] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(4972), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [49152] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5689), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [49248] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7487), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [49344] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2304), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [49440] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1305), 1,
      anon_sym_DASH,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1309), 1,
      anon_sym_if,
    ACTIONS(1311), 1,
      anon_sym_try,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1321), 1,
      anon_sym_return,
    ACTIONS(1323), 1,
      anon_sym_throw,
    ACTIONS(1325), 1,
      anon_sym_while,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1329), 1,
      anon_sym_for,
    STATE(6157), 1,
      sym_expression,
    STATE(11367), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1863), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [49536] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(5238), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [49632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(5241), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [49728] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1367), 1,
      anon_sym_DASH,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      anon_sym_while,
    STATE(6100), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1811), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [49824] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2449), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [49920] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1567), 1,
      sym_identifier,
    ACTIONS(1569), 1,
      anon_sym_DASH,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_try,
    ACTIONS(1575), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_return,
    ACTIONS(1579), 1,
      anon_sym_throw,
    ACTIONS(1581), 1,
      anon_sym_while,
    ACTIONS(1583), 1,
      anon_sym_for,
    STATE(6079), 1,
      sym_expression,
    STATE(11844), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1895), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [50016] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1367), 1,
      anon_sym_DASH,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      anon_sym_while,
    STATE(6096), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1811), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [50112] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(4976), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [50208] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym_identifier,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1339), 1,
      anon_sym_DASH,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_if,
    ACTIONS(1345), 1,
      anon_sym_try,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1355), 1,
      anon_sym_return,
    ACTIONS(1357), 1,
      anon_sym_throw,
    ACTIONS(1359), 1,
      anon_sym_while,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1363), 1,
      anon_sym_for,
    STATE(6768), 1,
      sym_expression,
    STATE(11705), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1941), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [50304] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5912), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [50400] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(4069), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [50496] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_identifier,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1405), 1,
      anon_sym_DASH,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_if,
    ACTIONS(1411), 1,
      anon_sym_try,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1421), 1,
      anon_sym_return,
    ACTIONS(1423), 1,
      anon_sym_throw,
    ACTIONS(1425), 1,
      anon_sym_while,
    ACTIONS(1427), 1,
      anon_sym_do,
    ACTIONS(1429), 1,
      anon_sym_for,
    STATE(6850), 1,
      sym_expression,
    STATE(11384), 1,
      sym_bindings,
    ACTIONS(1417), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1419), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1431), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1415), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1767), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8816), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [50592] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(4979), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [50688] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    STATE(4889), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [50784] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1225), 1,
      anon_sym_DASH,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    STATE(5633), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1727), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [50880] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(7171), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [50976] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    STATE(4892), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [51072] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1367), 1,
      anon_sym_DASH,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      anon_sym_while,
    STATE(6153), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1811), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [51168] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6934), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [51264] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      sym_identifier,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_DASH,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_if,
    ACTIONS(809), 1,
      anon_sym_try,
    ACTIONS(811), 1,
      anon_sym_new,
    ACTIONS(819), 1,
      anon_sym_return,
    ACTIONS(821), 1,
      anon_sym_throw,
    ACTIONS(823), 1,
      anon_sym_while,
    ACTIONS(825), 1,
      anon_sym_do,
    ACTIONS(827), 1,
      anon_sym_for,
    STATE(1842), 1,
      sym_expression,
    STATE(11869), 1,
      sym_bindings,
    ACTIONS(815), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(817), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(829), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(813), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1075), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2999), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [51360] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    STATE(4941), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [51456] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(6066), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [51552] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      sym_identifier,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_DASH,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_if,
    ACTIONS(809), 1,
      anon_sym_try,
    ACTIONS(811), 1,
      anon_sym_new,
    ACTIONS(819), 1,
      anon_sym_return,
    ACTIONS(821), 1,
      anon_sym_throw,
    ACTIONS(823), 1,
      anon_sym_while,
    ACTIONS(825), 1,
      anon_sym_do,
    ACTIONS(827), 1,
      anon_sym_for,
    STATE(1838), 1,
      sym_expression,
    STATE(11869), 1,
      sym_bindings,
    ACTIONS(815), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(817), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(829), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(813), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1075), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2999), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [51648] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6935), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [51744] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_identifier,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1405), 1,
      anon_sym_DASH,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_if,
    ACTIONS(1411), 1,
      anon_sym_try,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1421), 1,
      anon_sym_return,
    ACTIONS(1423), 1,
      anon_sym_throw,
    ACTIONS(1425), 1,
      anon_sym_while,
    ACTIONS(1427), 1,
      anon_sym_do,
    ACTIONS(1429), 1,
      anon_sym_for,
    STATE(5854), 1,
      sym_expression,
    STATE(11384), 1,
      sym_bindings,
    ACTIONS(1417), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1419), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1431), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1415), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1767), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8816), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [51840] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6936), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [51936] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    STATE(1410), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [52032] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1567), 1,
      sym_identifier,
    ACTIONS(1569), 1,
      anon_sym_DASH,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_try,
    ACTIONS(1575), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_return,
    ACTIONS(1579), 1,
      anon_sym_throw,
    ACTIONS(1581), 1,
      anon_sym_while,
    ACTIONS(1583), 1,
      anon_sym_for,
    STATE(7035), 1,
      sym_expression,
    STATE(11844), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1895), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [52128] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(3525), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [52224] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_LPAREN,
    ACTIONS(1543), 1,
      anon_sym_if,
    ACTIONS(1545), 1,
      anon_sym_try,
    ACTIONS(1547), 1,
      anon_sym_new,
    ACTIONS(1555), 1,
      anon_sym_return,
    ACTIONS(1557), 1,
      anon_sym_throw,
    ACTIONS(1559), 1,
      anon_sym_while,
    ACTIONS(1561), 1,
      anon_sym_do,
    ACTIONS(1563), 1,
      anon_sym_for,
    STATE(7425), 1,
      sym_expression,
    STATE(11872), 1,
      sym_bindings,
    ACTIONS(1551), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1565), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1549), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1775), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9116), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [52320] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1367), 1,
      anon_sym_DASH,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      anon_sym_while,
    STATE(4857), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1811), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [52416] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5700), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [52512] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(255), 1,
      anon_sym_DASH,
    ACTIONS(265), 1,
      anon_sym_LPAREN,
    ACTIONS(267), 1,
      anon_sym_if,
    ACTIONS(269), 1,
      anon_sym_try,
    ACTIONS(271), 1,
      anon_sym_new,
    ACTIONS(279), 1,
      anon_sym_return,
    ACTIONS(281), 1,
      anon_sym_throw,
    ACTIONS(283), 1,
      anon_sym_while,
    ACTIONS(285), 1,
      anon_sym_do,
    ACTIONS(287), 1,
      anon_sym_for,
    STATE(5245), 1,
      sym_expression,
    STATE(11845), 1,
      sym_bindings,
    ACTIONS(275), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(277), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(289), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(273), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1063), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7002), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [52608] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2296), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [52704] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(3524), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [52800] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_identifier,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1405), 1,
      anon_sym_DASH,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_if,
    ACTIONS(1411), 1,
      anon_sym_try,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1421), 1,
      anon_sym_return,
    ACTIONS(1423), 1,
      anon_sym_throw,
    ACTIONS(1425), 1,
      anon_sym_while,
    ACTIONS(1427), 1,
      anon_sym_do,
    ACTIONS(1429), 1,
      anon_sym_for,
    STATE(6469), 1,
      sym_expression,
    STATE(11384), 1,
      sym_bindings,
    ACTIONS(1417), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1419), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1431), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1415), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1767), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8816), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [52896] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_DASH,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1489), 1,
      anon_sym_try,
    ACTIONS(1491), 1,
      anon_sym_new,
    ACTIONS(1499), 1,
      anon_sym_return,
    ACTIONS(1501), 1,
      anon_sym_throw,
    ACTIONS(1503), 1,
      anon_sym_while,
    ACTIONS(1505), 1,
      anon_sym_do,
    ACTIONS(1507), 1,
      anon_sym_for,
    ACTIONS(1529), 1,
      sym_identifier,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(1533), 1,
      anon_sym_LPAREN,
    STATE(6985), 1,
      sym_expression,
    STATE(11594), 1,
      sym_bindings,
    ACTIONS(1495), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1497), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1509), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1493), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1749), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9032), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [52992] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_identifier,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1405), 1,
      anon_sym_DASH,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_if,
    ACTIONS(1411), 1,
      anon_sym_try,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1421), 1,
      anon_sym_return,
    ACTIONS(1423), 1,
      anon_sym_throw,
    ACTIONS(1425), 1,
      anon_sym_while,
    ACTIONS(1427), 1,
      anon_sym_do,
    ACTIONS(1429), 1,
      anon_sym_for,
    STATE(6464), 1,
      sym_expression,
    STATE(11384), 1,
      sym_bindings,
    ACTIONS(1417), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1419), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1431), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1415), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1767), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8816), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [53088] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(845), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_LPAREN,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    STATE(6808), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1047), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [53184] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(845), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_LPAREN,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    STATE(6806), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1047), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [53280] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5657), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [53376] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_LPAREN,
    ACTIONS(1543), 1,
      anon_sym_if,
    ACTIONS(1545), 1,
      anon_sym_try,
    ACTIONS(1547), 1,
      anon_sym_new,
    ACTIONS(1555), 1,
      anon_sym_return,
    ACTIONS(1557), 1,
      anon_sym_throw,
    ACTIONS(1559), 1,
      anon_sym_while,
    ACTIONS(1561), 1,
      anon_sym_do,
    ACTIONS(1563), 1,
      anon_sym_for,
    STATE(7423), 1,
      sym_expression,
    STATE(11872), 1,
      sym_bindings,
    ACTIONS(1551), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1565), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1549), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1775), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9116), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [53472] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(5925), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1043), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [53568] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7277), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [53664] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(5674), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [53760] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(5677), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [53856] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(3993), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [53952] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2290), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [54048] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      sym_identifier,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_DASH,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_if,
    ACTIONS(809), 1,
      anon_sym_try,
    ACTIONS(811), 1,
      anon_sym_new,
    ACTIONS(819), 1,
      anon_sym_return,
    ACTIONS(821), 1,
      anon_sym_throw,
    ACTIONS(823), 1,
      anon_sym_while,
    ACTIONS(825), 1,
      anon_sym_do,
    ACTIONS(827), 1,
      anon_sym_for,
    STATE(1839), 1,
      sym_expression,
    STATE(11869), 1,
      sym_bindings,
    ACTIONS(815), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(817), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(829), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(813), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1075), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2999), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [54144] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(3793), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [54240] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5580), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [54336] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2289), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [54432] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      sym_identifier,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_DASH,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_if,
    ACTIONS(809), 1,
      anon_sym_try,
    ACTIONS(811), 1,
      anon_sym_new,
    ACTIONS(819), 1,
      anon_sym_return,
    ACTIONS(821), 1,
      anon_sym_throw,
    ACTIONS(823), 1,
      anon_sym_while,
    ACTIONS(825), 1,
      anon_sym_do,
    ACTIONS(827), 1,
      anon_sym_for,
    STATE(1855), 1,
      sym_expression,
    STATE(11869), 1,
      sym_bindings,
    ACTIONS(815), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(817), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(829), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(813), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1075), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2999), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [54528] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(5927), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1043), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [54624] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(4934), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [54720] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    STATE(3804), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [54816] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(1161), 1,
      anon_sym_DASH,
    ACTIONS(1163), 1,
      anon_sym_LPAREN,
    ACTIONS(1165), 1,
      anon_sym_if,
    ACTIONS(1167), 1,
      anon_sym_try,
    ACTIONS(1169), 1,
      anon_sym_new,
    ACTIONS(1177), 1,
      anon_sym_return,
    ACTIONS(1179), 1,
      anon_sym_throw,
    ACTIONS(1181), 1,
      anon_sym_while,
    ACTIONS(1183), 1,
      anon_sym_do,
    ACTIONS(1185), 1,
      anon_sym_for,
    STATE(2193), 1,
      sym_expression,
    STATE(11808), 1,
      sym_bindings,
    ACTIONS(1173), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1187), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1171), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1719), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3088), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [54912] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1198), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [55008] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(6937), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [55104] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym_identifier,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1339), 1,
      anon_sym_DASH,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_if,
    ACTIONS(1345), 1,
      anon_sym_try,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1355), 1,
      anon_sym_return,
    ACTIONS(1357), 1,
      anon_sym_throw,
    ACTIONS(1359), 1,
      anon_sym_while,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1363), 1,
      anon_sym_for,
    STATE(6775), 1,
      sym_expression,
    STATE(11705), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1941), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [55200] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_LPAREN,
    ACTIONS(1543), 1,
      anon_sym_if,
    ACTIONS(1545), 1,
      anon_sym_try,
    ACTIONS(1547), 1,
      anon_sym_new,
    ACTIONS(1555), 1,
      anon_sym_return,
    ACTIONS(1557), 1,
      anon_sym_throw,
    ACTIONS(1559), 1,
      anon_sym_while,
    ACTIONS(1561), 1,
      anon_sym_do,
    ACTIONS(1563), 1,
      anon_sym_for,
    STATE(7419), 1,
      sym_expression,
    STATE(11872), 1,
      sym_bindings,
    ACTIONS(1551), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1565), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1549), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1775), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9116), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [55296] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    STATE(4907), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [55392] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1193), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [55488] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7822), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [55584] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7284), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [55680] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5571), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [55776] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(5019), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [55872] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(5018), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [55968] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    STATE(1537), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [56064] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(3985), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [56160] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2287), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [56256] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(5983), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [56352] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(8056), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [56448] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_LPAREN,
    ACTIONS(1543), 1,
      anon_sym_if,
    ACTIONS(1545), 1,
      anon_sym_try,
    ACTIONS(1547), 1,
      anon_sym_new,
    ACTIONS(1555), 1,
      anon_sym_return,
    ACTIONS(1557), 1,
      anon_sym_throw,
    ACTIONS(1559), 1,
      anon_sym_while,
    ACTIONS(1561), 1,
      anon_sym_do,
    ACTIONS(1563), 1,
      anon_sym_for,
    STATE(7415), 1,
      sym_expression,
    STATE(11872), 1,
      sym_bindings,
    ACTIONS(1551), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1565), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1549), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1775), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9116), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [56544] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(7040), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [56640] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    STATE(3908), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [56736] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(1161), 1,
      anon_sym_DASH,
    ACTIONS(1163), 1,
      anon_sym_LPAREN,
    ACTIONS(1165), 1,
      anon_sym_if,
    ACTIONS(1167), 1,
      anon_sym_try,
    ACTIONS(1169), 1,
      anon_sym_new,
    ACTIONS(1177), 1,
      anon_sym_return,
    ACTIONS(1179), 1,
      anon_sym_throw,
    ACTIONS(1181), 1,
      anon_sym_while,
    ACTIONS(1183), 1,
      anon_sym_do,
    ACTIONS(1185), 1,
      anon_sym_for,
    STATE(2197), 1,
      sym_expression,
    STATE(11808), 1,
      sym_bindings,
    ACTIONS(1173), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1187), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1171), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1719), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3088), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [56832] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    STATE(4900), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [56928] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    STATE(1079), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [57024] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_LPAREN,
    ACTIONS(1543), 1,
      anon_sym_if,
    ACTIONS(1545), 1,
      anon_sym_try,
    ACTIONS(1547), 1,
      anon_sym_new,
    ACTIONS(1555), 1,
      anon_sym_return,
    ACTIONS(1557), 1,
      anon_sym_throw,
    ACTIONS(1559), 1,
      anon_sym_while,
    ACTIONS(1561), 1,
      anon_sym_do,
    ACTIONS(1563), 1,
      anon_sym_for,
    STATE(7324), 1,
      sym_expression,
    STATE(11872), 1,
      sym_bindings,
    ACTIONS(1551), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1565), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1549), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1775), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9116), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [57120] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(6252), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [57216] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(4984), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [57312] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(6418), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [57408] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(1161), 1,
      anon_sym_DASH,
    ACTIONS(1163), 1,
      anon_sym_LPAREN,
    ACTIONS(1165), 1,
      anon_sym_if,
    ACTIONS(1167), 1,
      anon_sym_try,
    ACTIONS(1169), 1,
      anon_sym_new,
    ACTIONS(1177), 1,
      anon_sym_return,
    ACTIONS(1179), 1,
      anon_sym_throw,
    ACTIONS(1181), 1,
      anon_sym_while,
    ACTIONS(1183), 1,
      anon_sym_do,
    ACTIONS(1185), 1,
      anon_sym_for,
    STATE(2199), 1,
      sym_expression,
    STATE(11808), 1,
      sym_bindings,
    ACTIONS(1173), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1187), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1171), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1719), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3088), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [57504] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    STATE(5189), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [57600] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(5991), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [57696] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(5994), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [57792] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7308), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [57888] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_LPAREN,
    ACTIONS(1543), 1,
      anon_sym_if,
    ACTIONS(1545), 1,
      anon_sym_try,
    ACTIONS(1547), 1,
      anon_sym_new,
    ACTIONS(1555), 1,
      anon_sym_return,
    ACTIONS(1557), 1,
      anon_sym_throw,
    ACTIONS(1559), 1,
      anon_sym_while,
    ACTIONS(1561), 1,
      anon_sym_do,
    ACTIONS(1563), 1,
      anon_sym_for,
    STATE(7301), 1,
      sym_expression,
    STATE(11872), 1,
      sym_bindings,
    ACTIONS(1551), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1565), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1549), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1775), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9116), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [57984] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7289), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [58080] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    STATE(4853), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [58176] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(6417), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [58272] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      sym_identifier,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_DASH,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_if,
    ACTIONS(809), 1,
      anon_sym_try,
    ACTIONS(811), 1,
      anon_sym_new,
    ACTIONS(819), 1,
      anon_sym_return,
    ACTIONS(821), 1,
      anon_sym_throw,
    ACTIONS(823), 1,
      anon_sym_while,
    ACTIONS(825), 1,
      anon_sym_do,
    ACTIONS(827), 1,
      anon_sym_for,
    STATE(1713), 1,
      sym_expression,
    STATE(11869), 1,
      sym_bindings,
    ACTIONS(815), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(817), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(829), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(813), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1075), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2999), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [58368] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1173), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [58464] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6412), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [58560] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    STATE(4815), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [58656] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    STATE(4812), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [58752] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    STATE(5065), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [58848] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6438), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [58944] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1175), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [59040] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(1161), 1,
      anon_sym_DASH,
    ACTIONS(1163), 1,
      anon_sym_LPAREN,
    ACTIONS(1165), 1,
      anon_sym_if,
    ACTIONS(1167), 1,
      anon_sym_try,
    ACTIONS(1169), 1,
      anon_sym_new,
    ACTIONS(1177), 1,
      anon_sym_return,
    ACTIONS(1179), 1,
      anon_sym_throw,
    ACTIONS(1181), 1,
      anon_sym_while,
    ACTIONS(1183), 1,
      anon_sym_do,
    ACTIONS(1185), 1,
      anon_sym_for,
    STATE(2046), 1,
      sym_expression,
    STATE(11808), 1,
      sym_bindings,
    ACTIONS(1173), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1187), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1171), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1719), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3088), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [59136] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(4162), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [59232] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_DASH,
    ACTIONS(1439), 1,
      anon_sym_if,
    ACTIONS(1441), 1,
      anon_sym_try,
    ACTIONS(1443), 1,
      anon_sym_new,
    ACTIONS(1445), 1,
      anon_sym_return,
    ACTIONS(1447), 1,
      anon_sym_throw,
    ACTIONS(1449), 1,
      anon_sym_while,
    ACTIONS(1451), 1,
      anon_sym_for,
    STATE(6682), 1,
      sym_expression,
    STATE(11599), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1743), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [59328] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    STATE(1400), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [59424] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    STATE(3938), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [59520] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym_identifier,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1339), 1,
      anon_sym_DASH,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_if,
    ACTIONS(1345), 1,
      anon_sym_try,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1355), 1,
      anon_sym_return,
    ACTIONS(1357), 1,
      anon_sym_throw,
    ACTIONS(1359), 1,
      anon_sym_while,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1363), 1,
      anon_sym_for,
    STATE(6079), 1,
      sym_expression,
    STATE(11705), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1941), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [59616] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6411), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [59712] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_DASH,
    ACTIONS(1095), 1,
      anon_sym_if,
    ACTIONS(1097), 1,
      anon_sym_try,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_return,
    ACTIONS(1109), 1,
      anon_sym_throw,
    ACTIONS(1111), 1,
      anon_sym_while,
    ACTIONS(1113), 1,
      anon_sym_do,
    ACTIONS(1115), 1,
      anon_sym_for,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    STATE(1179), 1,
      sym_expression,
    STATE(11350), 1,
      sym_bindings,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1117), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1101), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1703), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2732), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [59808] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7294), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [59904] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym_identifier,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1339), 1,
      anon_sym_DASH,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_if,
    ACTIONS(1345), 1,
      anon_sym_try,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1355), 1,
      anon_sym_return,
    ACTIONS(1357), 1,
      anon_sym_throw,
    ACTIONS(1359), 1,
      anon_sym_while,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1363), 1,
      anon_sym_for,
    STATE(6084), 1,
      sym_expression,
    STATE(11705), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1941), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [60000] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(4219), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [60096] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(4041), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [60192] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(4039), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [60288] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7849), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [60384] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5713), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [60480] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(6406), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [60576] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    STATE(1405), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [60672] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(5086), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [60768] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DASH,
    ACTIONS(1127), 1,
      anon_sym_if,
    ACTIONS(1129), 1,
      anon_sym_try,
    ACTIONS(1131), 1,
      anon_sym_new,
    ACTIONS(1139), 1,
      anon_sym_return,
    ACTIONS(1141), 1,
      anon_sym_throw,
    ACTIONS(1143), 1,
      anon_sym_while,
    ACTIONS(1145), 1,
      anon_sym_do,
    ACTIONS(1147), 1,
      anon_sym_for,
    ACTIONS(1151), 1,
      sym_identifier,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(1155), 1,
      anon_sym_LPAREN,
    STATE(1815), 1,
      sym_expression,
    STATE(11450), 1,
      sym_bindings,
    ACTIONS(1135), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1149), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1133), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1785), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2966), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [60864] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5723), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [60960] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(1161), 1,
      anon_sym_DASH,
    ACTIONS(1163), 1,
      anon_sym_LPAREN,
    ACTIONS(1165), 1,
      anon_sym_if,
    ACTIONS(1167), 1,
      anon_sym_try,
    ACTIONS(1169), 1,
      anon_sym_new,
    ACTIONS(1177), 1,
      anon_sym_return,
    ACTIONS(1179), 1,
      anon_sym_throw,
    ACTIONS(1181), 1,
      anon_sym_while,
    ACTIONS(1183), 1,
      anon_sym_do,
    ACTIONS(1185), 1,
      anon_sym_for,
    STATE(2202), 1,
      sym_expression,
    STATE(11808), 1,
      sym_bindings,
    ACTIONS(1173), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1187), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1171), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1719), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3088), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [61056] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5444), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [61152] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(8057), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [61248] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2373), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [61344] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7842), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [61440] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7300), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [61536] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(7074), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [61632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(1161), 1,
      anon_sym_DASH,
    ACTIONS(1163), 1,
      anon_sym_LPAREN,
    ACTIONS(1165), 1,
      anon_sym_if,
    ACTIONS(1167), 1,
      anon_sym_try,
    ACTIONS(1169), 1,
      anon_sym_new,
    ACTIONS(1177), 1,
      anon_sym_return,
    ACTIONS(1179), 1,
      anon_sym_throw,
    ACTIONS(1181), 1,
      anon_sym_while,
    ACTIONS(1183), 1,
      anon_sym_do,
    ACTIONS(1185), 1,
      anon_sym_for,
    STATE(2198), 1,
      sym_expression,
    STATE(11808), 1,
      sym_bindings,
    ACTIONS(1173), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1187), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1171), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1719), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3088), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [61728] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(6401), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [61824] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(6396), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [61920] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      sym_identifier,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_DASH,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_if,
    ACTIONS(809), 1,
      anon_sym_try,
    ACTIONS(811), 1,
      anon_sym_new,
    ACTIONS(819), 1,
      anon_sym_return,
    ACTIONS(821), 1,
      anon_sym_throw,
    ACTIONS(823), 1,
      anon_sym_while,
    ACTIONS(825), 1,
      anon_sym_do,
    ACTIONS(827), 1,
      anon_sym_for,
    STATE(1711), 1,
      sym_expression,
    STATE(11869), 1,
      sym_bindings,
    ACTIONS(815), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(817), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(829), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(813), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1075), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2999), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [62016] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(845), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_LPAREN,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    STATE(6690), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1047), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [62112] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(6050), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [62208] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(6042), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [62304] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym_identifier,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1339), 1,
      anon_sym_DASH,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_if,
    ACTIONS(1345), 1,
      anon_sym_try,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1355), 1,
      anon_sym_return,
    ACTIONS(1357), 1,
      anon_sym_throw,
    ACTIONS(1359), 1,
      anon_sym_while,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1363), 1,
      anon_sym_for,
    STATE(6577), 1,
      sym_expression,
    STATE(11705), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1941), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [62400] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7815), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [62496] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    STATE(1407), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [62592] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(703), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_DASH,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    STATE(6000), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1041), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [62688] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(703), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_DASH,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    STATE(6001), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1041), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [62784] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_DASH,
    ACTIONS(1439), 1,
      anon_sym_if,
    ACTIONS(1441), 1,
      anon_sym_try,
    ACTIONS(1443), 1,
      anon_sym_new,
    ACTIONS(1445), 1,
      anon_sym_return,
    ACTIONS(1447), 1,
      anon_sym_throw,
    ACTIONS(1449), 1,
      anon_sym_while,
    ACTIONS(1451), 1,
      anon_sym_for,
    STATE(5681), 1,
      sym_expression,
    STATE(11599), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1743), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [62880] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1225), 1,
      anon_sym_DASH,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    STATE(4672), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1727), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [62976] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6420), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [63072] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7797), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [63168] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7794), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [63264] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(845), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_LPAREN,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    STATE(6687), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1047), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [63360] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_DASH,
    ACTIONS(1439), 1,
      anon_sym_if,
    ACTIONS(1441), 1,
      anon_sym_try,
    ACTIONS(1443), 1,
      anon_sym_new,
    ACTIONS(1445), 1,
      anon_sym_return,
    ACTIONS(1447), 1,
      anon_sym_throw,
    ACTIONS(1449), 1,
      anon_sym_while,
    ACTIONS(1451), 1,
      anon_sym_for,
    STATE(5392), 1,
      sym_expression,
    STATE(11599), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1743), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [63456] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(5915), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1043), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [63552] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1248), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [63648] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7771), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [63744] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DASH,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_if,
    ACTIONS(659), 1,
      anon_sym_try,
    ACTIONS(661), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_return,
    ACTIONS(671), 1,
      anon_sym_throw,
    ACTIONS(673), 1,
      anon_sym_while,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(677), 1,
      anon_sym_for,
    STATE(5916), 1,
      sym_expression,
    STATE(11501), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1043), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [63840] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    STATE(1416), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [63936] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    STATE(4588), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [64032] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(703), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_DASH,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    STATE(6017), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1041), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [64128] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    STATE(1422), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [64224] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7315), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [64320] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(845), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_LPAREN,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    STATE(6684), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1047), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [64416] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    STATE(1578), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [64512] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    STATE(1583), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [64608] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(703), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_DASH,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    STATE(6019), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1041), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [64704] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5727), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [64800] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    STATE(4445), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [64896] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7369), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [64992] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(4148), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [65088] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(703), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_DASH,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    STATE(6021), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1041), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [65184] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    STATE(4446), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [65280] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7403), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [65376] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(703), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_DASH,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    STATE(6029), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1041), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [65472] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5811), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [65568] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(703), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_DASH,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    STATE(6032), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1041), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [65664] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(5628), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [65760] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5810), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [65856] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7366), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [65952] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(703), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_DASH,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    STATE(6167), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1041), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [66048] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(845), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_LPAREN,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    STATE(6680), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1047), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [66144] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6402), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [66240] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    STATE(4447), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [66336] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(703), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_DASH,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    STATE(4219), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1041), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [66432] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    STATE(4035), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [66528] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(881), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_if,
    ACTIONS(891), 1,
      anon_sym_try,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_return,
    ACTIONS(897), 1,
      anon_sym_throw,
    ACTIONS(899), 1,
      anon_sym_while,
    ACTIONS(901), 1,
      anon_sym_for,
    STATE(3982), 1,
      sym_expression,
    STATE(11487), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1049), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [66624] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(4163), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [66720] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7467), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [66816] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    STATE(3642), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [66912] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    STATE(1420), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [67008] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    STATE(4458), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [67104] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(8028), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [67200] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1072), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [67296] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7477), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [67392] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(4028), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [67488] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(4027), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [67584] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1367), 1,
      anon_sym_DASH,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      anon_sym_while,
    STATE(6013), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1811), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [67680] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    STATE(3982), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [67776] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_DASH,
    ACTIONS(1095), 1,
      anon_sym_if,
    ACTIONS(1097), 1,
      anon_sym_try,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_return,
    ACTIONS(1109), 1,
      anon_sym_throw,
    ACTIONS(1111), 1,
      anon_sym_while,
    ACTIONS(1113), 1,
      anon_sym_do,
    ACTIONS(1115), 1,
      anon_sym_for,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    STATE(1455), 1,
      sym_expression,
    STATE(11350), 1,
      sym_bindings,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1117), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1101), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1703), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2732), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [67872] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_DASH,
    ACTIONS(1439), 1,
      anon_sym_if,
    ACTIONS(1441), 1,
      anon_sym_try,
    ACTIONS(1443), 1,
      anon_sym_new,
    ACTIONS(1445), 1,
      anon_sym_return,
    ACTIONS(1447), 1,
      anon_sym_throw,
    ACTIONS(1449), 1,
      anon_sym_while,
    ACTIONS(1451), 1,
      anon_sym_for,
    STATE(5618), 1,
      sym_expression,
    STATE(11599), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1743), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [67968] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      sym_identifier,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_DASH,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_if,
    ACTIONS(809), 1,
      anon_sym_try,
    ACTIONS(811), 1,
      anon_sym_new,
    ACTIONS(819), 1,
      anon_sym_return,
    ACTIONS(821), 1,
      anon_sym_throw,
    ACTIONS(823), 1,
      anon_sym_while,
    ACTIONS(825), 1,
      anon_sym_do,
    ACTIONS(827), 1,
      anon_sym_for,
    STATE(1699), 1,
      sym_expression,
    STATE(11869), 1,
      sym_bindings,
    ACTIONS(815), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(817), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(829), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(813), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1075), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2999), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [68064] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    STATE(4480), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [68160] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5804), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [68256] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(845), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_LPAREN,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    STATE(6679), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1047), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [68352] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_DASH,
    ACTIONS(1095), 1,
      anon_sym_if,
    ACTIONS(1097), 1,
      anon_sym_try,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_return,
    ACTIONS(1109), 1,
      anon_sym_throw,
    ACTIONS(1111), 1,
      anon_sym_while,
    ACTIONS(1113), 1,
      anon_sym_do,
    ACTIONS(1115), 1,
      anon_sym_for,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    STATE(1622), 1,
      sym_expression,
    STATE(11350), 1,
      sym_bindings,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1117), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1101), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1703), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2732), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [68448] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    STATE(5231), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [68544] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    STATE(3985), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [68640] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7485), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [68736] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(5200), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [68832] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(5905), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [68928] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(5903), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [69024] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_DASH,
    ACTIONS(1095), 1,
      anon_sym_if,
    ACTIONS(1097), 1,
      anon_sym_try,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_return,
    ACTIONS(1109), 1,
      anon_sym_throw,
    ACTIONS(1111), 1,
      anon_sym_while,
    ACTIONS(1113), 1,
      anon_sym_do,
    ACTIONS(1115), 1,
      anon_sym_for,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    STATE(1426), 1,
      sym_expression,
    STATE(11350), 1,
      sym_bindings,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1117), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1101), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1703), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2732), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [69120] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      anon_sym_DASH,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(921), 1,
      anon_sym_while,
    ACTIONS(923), 1,
      anon_sym_for,
    STATE(4162), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1061), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [69216] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1225), 1,
      anon_sym_DASH,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    STATE(5773), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1727), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [69312] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7491), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [69408] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(845), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_LPAREN,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    STATE(6781), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1047), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [69504] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    STATE(1534), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [69600] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_DASH,
    ACTIONS(557), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_if,
    ACTIONS(561), 1,
      anon_sym_try,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(571), 1,
      anon_sym_return,
    ACTIONS(573), 1,
      anon_sym_throw,
    ACTIONS(575), 1,
      anon_sym_while,
    ACTIONS(577), 1,
      anon_sym_do,
    ACTIONS(579), 1,
      anon_sym_for,
    STATE(1482), 1,
      sym_expression,
    STATE(11390), 1,
      sym_bindings,
    ACTIONS(567), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(569), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(581), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(565), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1053), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2734), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [69696] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(7087), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [69792] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(345), 1,
      anon_sym_DASH,
    ACTIONS(351), 1,
      anon_sym_if,
    ACTIONS(353), 1,
      anon_sym_try,
    ACTIONS(355), 1,
      anon_sym_new,
    ACTIONS(357), 1,
      anon_sym_return,
    ACTIONS(359), 1,
      anon_sym_throw,
    ACTIONS(361), 1,
      anon_sym_while,
    ACTIONS(363), 1,
      anon_sym_for,
    STATE(4050), 1,
      sym_expression,
    STATE(11811), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1081), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [69888] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_DASH,
    ACTIONS(1095), 1,
      anon_sym_if,
    ACTIONS(1097), 1,
      anon_sym_try,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_return,
    ACTIONS(1109), 1,
      anon_sym_throw,
    ACTIONS(1111), 1,
      anon_sym_while,
    ACTIONS(1113), 1,
      anon_sym_do,
    ACTIONS(1115), 1,
      anon_sym_for,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    STATE(1450), 1,
      sym_expression,
    STATE(11350), 1,
      sym_bindings,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1117), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1101), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1703), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2732), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [69984] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(3982), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [70080] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_DASH,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1489), 1,
      anon_sym_try,
    ACTIONS(1491), 1,
      anon_sym_new,
    ACTIONS(1499), 1,
      anon_sym_return,
    ACTIONS(1501), 1,
      anon_sym_throw,
    ACTIONS(1503), 1,
      anon_sym_while,
    ACTIONS(1505), 1,
      anon_sym_do,
    ACTIONS(1507), 1,
      anon_sym_for,
    ACTIONS(1529), 1,
      sym_identifier,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(1533), 1,
      anon_sym_LPAREN,
    STATE(7165), 1,
      sym_expression,
    STATE(11594), 1,
      sym_bindings,
    ACTIONS(1495), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1497), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1509), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1493), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1749), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9032), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [70176] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DASH,
    ACTIONS(1127), 1,
      anon_sym_if,
    ACTIONS(1129), 1,
      anon_sym_try,
    ACTIONS(1131), 1,
      anon_sym_new,
    ACTIONS(1139), 1,
      anon_sym_return,
    ACTIONS(1141), 1,
      anon_sym_throw,
    ACTIONS(1143), 1,
      anon_sym_while,
    ACTIONS(1145), 1,
      anon_sym_do,
    ACTIONS(1147), 1,
      anon_sym_for,
    ACTIONS(1151), 1,
      sym_identifier,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(1155), 1,
      anon_sym_LPAREN,
    STATE(1878), 1,
      sym_expression,
    STATE(11450), 1,
      sym_bindings,
    ACTIONS(1135), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1149), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1133), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1785), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2966), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [70272] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(3644), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [70368] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7499), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [70464] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DASH,
    ACTIONS(1127), 1,
      anon_sym_if,
    ACTIONS(1129), 1,
      anon_sym_try,
    ACTIONS(1131), 1,
      anon_sym_new,
    ACTIONS(1139), 1,
      anon_sym_return,
    ACTIONS(1141), 1,
      anon_sym_throw,
    ACTIONS(1143), 1,
      anon_sym_while,
    ACTIONS(1145), 1,
      anon_sym_do,
    ACTIONS(1147), 1,
      anon_sym_for,
    ACTIONS(1151), 1,
      sym_identifier,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(1155), 1,
      anon_sym_LPAREN,
    STATE(1879), 1,
      sym_expression,
    STATE(11450), 1,
      sym_bindings,
    ACTIONS(1135), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1149), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1133), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1785), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2966), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [70560] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6368), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [70656] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(1161), 1,
      anon_sym_DASH,
    ACTIONS(1163), 1,
      anon_sym_LPAREN,
    ACTIONS(1165), 1,
      anon_sym_if,
    ACTIONS(1167), 1,
      anon_sym_try,
    ACTIONS(1169), 1,
      anon_sym_new,
    ACTIONS(1177), 1,
      anon_sym_return,
    ACTIONS(1179), 1,
      anon_sym_throw,
    ACTIONS(1181), 1,
      anon_sym_while,
    ACTIONS(1183), 1,
      anon_sym_do,
    ACTIONS(1185), 1,
      anon_sym_for,
    STATE(2150), 1,
      sym_expression,
    STATE(11808), 1,
      sym_bindings,
    ACTIONS(1173), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1187), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1171), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1719), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3088), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [70752] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    STATE(5216), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [70848] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6361), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [70944] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    STATE(5215), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [71040] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_DASH,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1489), 1,
      anon_sym_try,
    ACTIONS(1491), 1,
      anon_sym_new,
    ACTIONS(1499), 1,
      anon_sym_return,
    ACTIONS(1501), 1,
      anon_sym_throw,
    ACTIONS(1503), 1,
      anon_sym_while,
    ACTIONS(1505), 1,
      anon_sym_do,
    ACTIONS(1507), 1,
      anon_sym_for,
    ACTIONS(1529), 1,
      sym_identifier,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(1533), 1,
      anon_sym_LPAREN,
    STATE(6886), 1,
      sym_expression,
    STATE(11594), 1,
      sym_bindings,
    ACTIONS(1495), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1497), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1509), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1493), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1749), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9032), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [71136] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2260), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [71232] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1147), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [71328] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1225), 1,
      anon_sym_DASH,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    STATE(4586), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1727), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [71424] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1139), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [71520] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(5756), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [71616] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(609), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_DASH,
    ACTIONS(617), 1,
      anon_sym_if,
    ACTIONS(619), 1,
      anon_sym_try,
    ACTIONS(621), 1,
      anon_sym_new,
    ACTIONS(623), 1,
      anon_sym_return,
    ACTIONS(625), 1,
      anon_sym_throw,
    ACTIONS(627), 1,
      anon_sym_while,
    ACTIONS(629), 1,
      anon_sym_for,
    STATE(5886), 1,
      sym_expression,
    STATE(11647), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1071), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [71712] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_DASH,
    ACTIONS(1095), 1,
      anon_sym_if,
    ACTIONS(1097), 1,
      anon_sym_try,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_return,
    ACTIONS(1109), 1,
      anon_sym_throw,
    ACTIONS(1111), 1,
      anon_sym_while,
    ACTIONS(1113), 1,
      anon_sym_do,
    ACTIONS(1115), 1,
      anon_sym_for,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    STATE(1433), 1,
      sym_expression,
    STATE(11350), 1,
      sym_bindings,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1117), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1101), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1703), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2732), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [71808] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(365), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_DASH,
    ACTIONS(373), 1,
      anon_sym_if,
    ACTIONS(375), 1,
      anon_sym_try,
    ACTIONS(377), 1,
      anon_sym_new,
    ACTIONS(379), 1,
      anon_sym_return,
    ACTIONS(381), 1,
      anon_sym_throw,
    ACTIONS(383), 1,
      anon_sym_while,
    ACTIONS(385), 1,
      anon_sym_for,
    STATE(3650), 1,
      sym_expression,
    STATE(11529), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1067), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [71904] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1225), 1,
      anon_sym_DASH,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    STATE(5664), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1727), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [72000] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1305), 1,
      anon_sym_DASH,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1309), 1,
      anon_sym_if,
    ACTIONS(1311), 1,
      anon_sym_try,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1321), 1,
      anon_sym_return,
    ACTIONS(1323), 1,
      anon_sym_throw,
    ACTIONS(1325), 1,
      anon_sym_while,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1329), 1,
      anon_sym_for,
    STATE(5681), 1,
      sym_expression,
    STATE(11367), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1863), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [72096] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(583), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_DASH,
    ACTIONS(591), 1,
      anon_sym_if,
    ACTIONS(593), 1,
      anon_sym_try,
    ACTIONS(595), 1,
      anon_sym_new,
    ACTIONS(597), 1,
      anon_sym_return,
    ACTIONS(599), 1,
      anon_sym_throw,
    ACTIONS(601), 1,
      anon_sym_while,
    ACTIONS(603), 1,
      anon_sym_for,
    STATE(5326), 1,
      sym_expression,
    STATE(11693), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1077), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [72192] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DASH,
    ACTIONS(1127), 1,
      anon_sym_if,
    ACTIONS(1129), 1,
      anon_sym_try,
    ACTIONS(1131), 1,
      anon_sym_new,
    ACTIONS(1139), 1,
      anon_sym_return,
    ACTIONS(1141), 1,
      anon_sym_throw,
    ACTIONS(1143), 1,
      anon_sym_while,
    ACTIONS(1145), 1,
      anon_sym_do,
    ACTIONS(1147), 1,
      anon_sym_for,
    ACTIONS(1151), 1,
      sym_identifier,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(1155), 1,
      anon_sym_LPAREN,
    STATE(1390), 1,
      sym_expression,
    STATE(11450), 1,
      sym_bindings,
    ACTIONS(1135), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1149), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1133), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1785), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2966), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [72288] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_DASH,
    ACTIONS(1095), 1,
      anon_sym_if,
    ACTIONS(1097), 1,
      anon_sym_try,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_return,
    ACTIONS(1109), 1,
      anon_sym_throw,
    ACTIONS(1111), 1,
      anon_sym_while,
    ACTIONS(1113), 1,
      anon_sym_do,
    ACTIONS(1115), 1,
      anon_sym_for,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    STATE(1505), 1,
      sym_expression,
    STATE(11350), 1,
      sym_bindings,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1117), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1101), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1703), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2732), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [72384] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2257), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [72480] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1305), 1,
      anon_sym_DASH,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1309), 1,
      anon_sym_if,
    ACTIONS(1311), 1,
      anon_sym_try,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1321), 1,
      anon_sym_return,
    ACTIONS(1323), 1,
      anon_sym_throw,
    ACTIONS(1325), 1,
      anon_sym_while,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1329), 1,
      anon_sym_for,
    STATE(5392), 1,
      sym_expression,
    STATE(11367), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1863), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [72576] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7506), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [72672] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(8127), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [72768] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym_identifier,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_DASH,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_if,
    ACTIONS(437), 1,
      anon_sym_try,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_return,
    ACTIONS(449), 1,
      anon_sym_throw,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(455), 1,
      anon_sym_for,
    STATE(5566), 1,
      sym_expression,
    STATE(11807), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1083), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [72864] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(845), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_LPAREN,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    STATE(6789), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1047), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [72960] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(4161), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [73056] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    STATE(1364), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [73152] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    STATE(1367), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [73248] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7516), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [73344] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(6306), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [73440] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_DASH,
    ACTIONS(1439), 1,
      anon_sym_if,
    ACTIONS(1441), 1,
      anon_sym_try,
    ACTIONS(1443), 1,
      anon_sym_new,
    ACTIONS(1445), 1,
      anon_sym_return,
    ACTIONS(1447), 1,
      anon_sym_throw,
    ACTIONS(1449), 1,
      anon_sym_while,
    ACTIONS(1451), 1,
      anon_sym_for,
    STATE(6665), 1,
      sym_expression,
    STATE(11599), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1743), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [73536] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    STATE(5330), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [73632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_DASH,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1489), 1,
      anon_sym_try,
    ACTIONS(1491), 1,
      anon_sym_new,
    ACTIONS(1499), 1,
      anon_sym_return,
    ACTIONS(1501), 1,
      anon_sym_throw,
    ACTIONS(1503), 1,
      anon_sym_while,
    ACTIONS(1505), 1,
      anon_sym_do,
    ACTIONS(1507), 1,
      anon_sym_for,
    ACTIONS(1529), 1,
      sym_identifier,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(1533), 1,
      anon_sym_LPAREN,
    STATE(6889), 1,
      sym_expression,
    STATE(11594), 1,
      sym_bindings,
    ACTIONS(1495), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1497), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1509), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1493), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1749), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9032), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [73728] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LPAREN,
    ACTIONS(453), 1,
      anon_sym_do,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_DASH,
    ACTIONS(469), 1,
      anon_sym_if,
    ACTIONS(471), 1,
      anon_sym_try,
    ACTIONS(473), 1,
      anon_sym_new,
    ACTIONS(475), 1,
      anon_sym_return,
    ACTIONS(477), 1,
      anon_sym_throw,
    ACTIONS(479), 1,
      anon_sym_while,
    ACTIONS(481), 1,
      anon_sym_for,
    STATE(5328), 1,
      sym_expression,
    STATE(11516), 1,
      sym_bindings,
    ACTIONS(443), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(445), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(457), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(441), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1039), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5602), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [73824] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(7185), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [73920] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5779), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [74016] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1225), 1,
      anon_sym_DASH,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    STATE(5778), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1727), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [74112] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_do,
    ACTIONS(1567), 1,
      sym_identifier,
    ACTIONS(1569), 1,
      anon_sym_DASH,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_try,
    ACTIONS(1575), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_return,
    ACTIONS(1579), 1,
      anon_sym_throw,
    ACTIONS(1581), 1,
      anon_sym_while,
    ACTIONS(1583), 1,
      anon_sym_for,
    STATE(7036), 1,
      sym_expression,
    STATE(11844), 1,
      sym_bindings,
    ACTIONS(1351), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1365), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1349), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1895), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8194), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [74208] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_DASH,
    ACTIONS(1095), 1,
      anon_sym_if,
    ACTIONS(1097), 1,
      anon_sym_try,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_return,
    ACTIONS(1109), 1,
      anon_sym_throw,
    ACTIONS(1111), 1,
      anon_sym_while,
    ACTIONS(1113), 1,
      anon_sym_do,
    ACTIONS(1115), 1,
      anon_sym_for,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    STATE(1493), 1,
      sym_expression,
    STATE(11350), 1,
      sym_bindings,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1117), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1101), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1703), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2732), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [74304] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1134), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [74400] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5777), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [74496] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1250), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [74592] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_LPAREN,
    ACTIONS(1543), 1,
      anon_sym_if,
    ACTIONS(1545), 1,
      anon_sym_try,
    ACTIONS(1547), 1,
      anon_sym_new,
    ACTIONS(1555), 1,
      anon_sym_return,
    ACTIONS(1557), 1,
      anon_sym_throw,
    ACTIONS(1559), 1,
      anon_sym_while,
    ACTIONS(1561), 1,
      anon_sym_do,
    ACTIONS(1563), 1,
      anon_sym_for,
    STATE(7304), 1,
      sym_expression,
    STATE(11872), 1,
      sym_bindings,
    ACTIONS(1551), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1565), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1549), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1775), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9116), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [74688] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1243), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [74784] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(8042), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [74880] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DASH,
    ACTIONS(1271), 1,
      anon_sym_if,
    ACTIONS(1273), 1,
      anon_sym_try,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1283), 1,
      anon_sym_return,
    ACTIONS(1285), 1,
      anon_sym_throw,
    ACTIONS(1287), 1,
      anon_sym_while,
    ACTIONS(1289), 1,
      anon_sym_do,
    ACTIONS(1291), 1,
      anon_sym_for,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(5344), 1,
      sym_expression,
    STATE(11728), 1,
      sym_bindings,
    ACTIONS(1279), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1281), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1293), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1277), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1903), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8470), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [74976] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5775), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [75072] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1244), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [75168] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(6134), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [75264] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(8052), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [75360] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5774), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [75456] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(6792), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [75552] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_DASH,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1489), 1,
      anon_sym_try,
    ACTIONS(1491), 1,
      anon_sym_new,
    ACTIONS(1499), 1,
      anon_sym_return,
    ACTIONS(1501), 1,
      anon_sym_throw,
    ACTIONS(1503), 1,
      anon_sym_while,
    ACTIONS(1505), 1,
      anon_sym_do,
    ACTIONS(1507), 1,
      anon_sym_for,
    ACTIONS(1529), 1,
      sym_identifier,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(1533), 1,
      anon_sym_LPAREN,
    STATE(6955), 1,
      sym_expression,
    STATE(11594), 1,
      sym_bindings,
    ACTIONS(1495), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1497), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1509), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1493), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1749), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9032), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [75648] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(4015), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [75744] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(8090), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [75840] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_DASH,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1489), 1,
      anon_sym_try,
    ACTIONS(1491), 1,
      anon_sym_new,
    ACTIONS(1499), 1,
      anon_sym_return,
    ACTIONS(1501), 1,
      anon_sym_throw,
    ACTIONS(1503), 1,
      anon_sym_while,
    ACTIONS(1505), 1,
      anon_sym_do,
    ACTIONS(1507), 1,
      anon_sym_for,
    ACTIONS(1529), 1,
      sym_identifier,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(1533), 1,
      anon_sym_LPAREN,
    STATE(7170), 1,
      sym_expression,
    STATE(11594), 1,
      sym_bindings,
    ACTIONS(1495), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1497), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1509), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1493), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1749), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9032), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [75936] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_if,
    ACTIONS(511), 1,
      anon_sym_try,
    ACTIONS(513), 1,
      anon_sym_new,
    ACTIONS(521), 1,
      anon_sym_return,
    ACTIONS(523), 1,
      anon_sym_throw,
    ACTIONS(525), 1,
      anon_sym_while,
    ACTIONS(527), 1,
      anon_sym_do,
    ACTIONS(529), 1,
      anon_sym_for,
    STATE(4258), 1,
      sym_expression,
    STATE(11771), 1,
      sym_bindings,
    ACTIONS(517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(531), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1069), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7649), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [76032] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(8014), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [76128] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(8119), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [76224] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1305), 1,
      anon_sym_DASH,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1309), 1,
      anon_sym_if,
    ACTIONS(1311), 1,
      anon_sym_try,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1321), 1,
      anon_sym_return,
    ACTIONS(1323), 1,
      anon_sym_throw,
    ACTIONS(1325), 1,
      anon_sym_while,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1329), 1,
      anon_sym_for,
    STATE(5262), 1,
      sym_expression,
    STATE(11367), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1863), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [76320] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5731), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [76416] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_DASH,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1489), 1,
      anon_sym_try,
    ACTIONS(1491), 1,
      anon_sym_new,
    ACTIONS(1499), 1,
      anon_sym_return,
    ACTIONS(1501), 1,
      anon_sym_throw,
    ACTIONS(1503), 1,
      anon_sym_while,
    ACTIONS(1505), 1,
      anon_sym_do,
    ACTIONS(1507), 1,
      anon_sym_for,
    ACTIONS(1529), 1,
      sym_identifier,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(1533), 1,
      anon_sym_LPAREN,
    STATE(7167), 1,
      sym_expression,
    STATE(11594), 1,
      sym_bindings,
    ACTIONS(1495), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1497), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1509), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1493), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1749), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9032), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [76512] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7526), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [76608] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5659), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [76704] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(8161), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [76800] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(6795), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [76896] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5766), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [76992] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(4017), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [77088] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(1161), 1,
      anon_sym_DASH,
    ACTIONS(1163), 1,
      anon_sym_LPAREN,
    ACTIONS(1165), 1,
      anon_sym_if,
    ACTIONS(1167), 1,
      anon_sym_try,
    ACTIONS(1169), 1,
      anon_sym_new,
    ACTIONS(1177), 1,
      anon_sym_return,
    ACTIONS(1179), 1,
      anon_sym_throw,
    ACTIONS(1181), 1,
      anon_sym_while,
    ACTIONS(1183), 1,
      anon_sym_do,
    ACTIONS(1185), 1,
      anon_sym_for,
    STATE(2123), 1,
      sym_expression,
    STATE(11808), 1,
      sym_bindings,
    ACTIONS(1173), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1187), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1171), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1719), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3088), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [77184] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1132), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [77280] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(8180), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [77376] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5733), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [77472] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      anon_sym_DASH,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(921), 1,
      anon_sym_while,
    ACTIONS(923), 1,
      anon_sym_for,
    STATE(6807), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1061), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [77568] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5754), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [77664] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      anon_sym_DASH,
    ACTIONS(911), 1,
      anon_sym_if,
    ACTIONS(913), 1,
      anon_sym_try,
    ACTIONS(915), 1,
      anon_sym_new,
    ACTIONS(917), 1,
      anon_sym_return,
    ACTIONS(919), 1,
      anon_sym_throw,
    ACTIONS(921), 1,
      anon_sym_while,
    ACTIONS(923), 1,
      anon_sym_for,
    STATE(6848), 1,
      sym_expression,
    STATE(11637), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1061), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [77760] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(8160), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [77856] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1225), 1,
      anon_sym_DASH,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    STATE(5796), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1727), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [77952] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(845), 1,
      anon_sym_DASH,
    ACTIONS(855), 1,
      anon_sym_LPAREN,
    ACTIONS(857), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_try,
    ACTIONS(861), 1,
      anon_sym_new,
    ACTIONS(869), 1,
      anon_sym_return,
    ACTIONS(871), 1,
      anon_sym_throw,
    ACTIONS(873), 1,
      anon_sym_while,
    ACTIONS(875), 1,
      anon_sym_do,
    ACTIONS(877), 1,
      anon_sym_for,
    STATE(6791), 1,
      sym_expression,
    STATE(11636), 1,
      sym_bindings,
    ACTIONS(865), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(867), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(879), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(863), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1047), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8601), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [78048] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      sym_identifier,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_DASH,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_if,
    ACTIONS(809), 1,
      anon_sym_try,
    ACTIONS(811), 1,
      anon_sym_new,
    ACTIONS(819), 1,
      anon_sym_return,
    ACTIONS(821), 1,
      anon_sym_throw,
    ACTIONS(823), 1,
      anon_sym_while,
    ACTIONS(825), 1,
      anon_sym_do,
    ACTIONS(827), 1,
      anon_sym_for,
    STATE(1681), 1,
      sym_expression,
    STATE(11869), 1,
      sym_bindings,
    ACTIONS(815), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(817), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(829), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(813), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1075), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2999), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [78144] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(8102), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [78240] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7972), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [78336] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1457), 1,
      anon_sym_DASH,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_if,
    ACTIONS(1463), 1,
      anon_sym_try,
    ACTIONS(1465), 1,
      anon_sym_new,
    ACTIONS(1473), 1,
      anon_sym_return,
    ACTIONS(1475), 1,
      anon_sym_throw,
    ACTIONS(1477), 1,
      anon_sym_while,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1481), 1,
      anon_sym_for,
    STATE(7234), 1,
      sym_expression,
    STATE(11907), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1623), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [78432] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1367), 1,
      anon_sym_DASH,
    ACTIONS(1369), 1,
      anon_sym_if,
    ACTIONS(1371), 1,
      anon_sym_try,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_return,
    ACTIONS(1377), 1,
      anon_sym_throw,
    ACTIONS(1379), 1,
      anon_sym_for,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      anon_sym_while,
    STATE(5157), 1,
      sym_expression,
    STATE(11833), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1811), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [78528] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      sym_identifier,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_DASH,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_if,
    ACTIONS(809), 1,
      anon_sym_try,
    ACTIONS(811), 1,
      anon_sym_new,
    ACTIONS(819), 1,
      anon_sym_return,
    ACTIONS(821), 1,
      anon_sym_throw,
    ACTIONS(823), 1,
      anon_sym_while,
    ACTIONS(825), 1,
      anon_sym_do,
    ACTIONS(827), 1,
      anon_sym_for,
    STATE(1678), 1,
      sym_expression,
    STATE(11869), 1,
      sym_bindings,
    ACTIONS(815), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(817), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(829), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(813), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1075), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2999), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [78624] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7984), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [78720] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(8037), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [78816] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_identifier,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(131), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    ACTIONS(143), 1,
      anon_sym_if,
    ACTIONS(145), 1,
      anon_sym_try,
    ACTIONS(147), 1,
      anon_sym_new,
    ACTIONS(155), 1,
      anon_sym_return,
    ACTIONS(157), 1,
      anon_sym_throw,
    ACTIONS(159), 1,
      anon_sym_while,
    ACTIONS(161), 1,
      anon_sym_do,
    ACTIONS(163), 1,
      anon_sym_for,
    STATE(1238), 1,
      sym_expression,
    STATE(11563), 1,
      sym_bindings,
    ACTIONS(151), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(165), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(149), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1065), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2204), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [78912] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    STATE(1269), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [79008] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      sym_identifier,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(205), 1,
      anon_sym_DASH,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_try,
    ACTIONS(221), 1,
      anon_sym_new,
    ACTIONS(229), 1,
      anon_sym_return,
    ACTIONS(231), 1,
      anon_sym_throw,
    ACTIONS(233), 1,
      anon_sym_while,
    ACTIONS(235), 1,
      anon_sym_do,
    ACTIONS(237), 1,
      anon_sym_for,
    STATE(1268), 1,
      sym_expression,
    STATE(11538), 1,
      sym_bindings,
    ACTIONS(225), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(227), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(239), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(223), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1045), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2262), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [79104] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_DASH,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1489), 1,
      anon_sym_try,
    ACTIONS(1491), 1,
      anon_sym_new,
    ACTIONS(1499), 1,
      anon_sym_return,
    ACTIONS(1501), 1,
      anon_sym_throw,
    ACTIONS(1503), 1,
      anon_sym_while,
    ACTIONS(1505), 1,
      anon_sym_do,
    ACTIONS(1507), 1,
      anon_sym_for,
    ACTIONS(1529), 1,
      sym_identifier,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(1533), 1,
      anon_sym_LPAREN,
    STATE(6891), 1,
      sym_expression,
    STATE(11594), 1,
      sym_bindings,
    ACTIONS(1495), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1497), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1509), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1493), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1749), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9032), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [79200] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(97), 1,
      anon_sym_DASH,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(105), 1,
      anon_sym_try,
    ACTIONS(107), 1,
      anon_sym_new,
    ACTIONS(109), 1,
      anon_sym_return,
    ACTIONS(111), 1,
      anon_sym_throw,
    ACTIONS(113), 1,
      anon_sym_while,
    ACTIONS(115), 1,
      anon_sym_for,
    STATE(4032), 1,
      sym_expression,
    STATE(11949), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1073), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [79296] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7969), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [79392] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(4038), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [79488] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    STATE(3650), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [79584] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_do,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_DASH,
    ACTIONS(1439), 1,
      anon_sym_if,
    ACTIONS(1441), 1,
      anon_sym_try,
    ACTIONS(1443), 1,
      anon_sym_new,
    ACTIONS(1445), 1,
      anon_sym_return,
    ACTIONS(1447), 1,
      anon_sym_throw,
    ACTIONS(1449), 1,
      anon_sym_while,
    ACTIONS(1451), 1,
      anon_sym_for,
    STATE(5878), 1,
      sym_expression,
    STATE(11599), 1,
      sym_bindings,
    ACTIONS(1317), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1319), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1331), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1315), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1743), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(7911), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [79680] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7532), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [79776] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7896), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [79872] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1225), 1,
      anon_sym_DASH,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    STATE(5793), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1727), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [79968] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    STATE(3642), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [80064] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_identifier,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DASH,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_if,
    ACTIONS(759), 1,
      anon_sym_try,
    ACTIONS(761), 1,
      anon_sym_new,
    ACTIONS(769), 1,
      anon_sym_return,
    ACTIONS(771), 1,
      anon_sym_throw,
    ACTIONS(773), 1,
      anon_sym_while,
    ACTIONS(775), 1,
      anon_sym_do,
    ACTIONS(777), 1,
      anon_sym_for,
    STATE(5988), 1,
      sym_expression,
    STATE(11824), 1,
      sym_bindings,
    ACTIONS(765), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(767), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(779), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(763), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1059), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8393), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [80160] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7591), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [80256] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    STATE(4636), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [80352] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2353), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [80448] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    STATE(4634), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [80544] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7447), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [80640] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_DASH,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1489), 1,
      anon_sym_try,
    ACTIONS(1491), 1,
      anon_sym_new,
    ACTIONS(1499), 1,
      anon_sym_return,
    ACTIONS(1501), 1,
      anon_sym_throw,
    ACTIONS(1503), 1,
      anon_sym_while,
    ACTIONS(1505), 1,
      anon_sym_do,
    ACTIONS(1507), 1,
      anon_sym_for,
    ACTIONS(1529), 1,
      sym_identifier,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(1533), 1,
      anon_sym_LPAREN,
    STATE(6895), 1,
      sym_expression,
    STATE(11594), 1,
      sym_bindings,
    ACTIONS(1495), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1497), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1509), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1493), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1749), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9032), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [80736] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DASH,
    ACTIONS(1127), 1,
      anon_sym_if,
    ACTIONS(1129), 1,
      anon_sym_try,
    ACTIONS(1131), 1,
      anon_sym_new,
    ACTIONS(1139), 1,
      anon_sym_return,
    ACTIONS(1141), 1,
      anon_sym_throw,
    ACTIONS(1143), 1,
      anon_sym_while,
    ACTIONS(1145), 1,
      anon_sym_do,
    ACTIONS(1147), 1,
      anon_sym_for,
    ACTIONS(1151), 1,
      sym_identifier,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(1155), 1,
      anon_sym_LPAREN,
    STATE(1278), 1,
      sym_expression,
    STATE(11450), 1,
      sym_bindings,
    ACTIONS(1135), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1149), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1133), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1785), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2966), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [80832] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(1161), 1,
      anon_sym_DASH,
    ACTIONS(1163), 1,
      anon_sym_LPAREN,
    ACTIONS(1165), 1,
      anon_sym_if,
    ACTIONS(1167), 1,
      anon_sym_try,
    ACTIONS(1169), 1,
      anon_sym_new,
    ACTIONS(1177), 1,
      anon_sym_return,
    ACTIONS(1179), 1,
      anon_sym_throw,
    ACTIONS(1181), 1,
      anon_sym_while,
    ACTIONS(1183), 1,
      anon_sym_do,
    ACTIONS(1185), 1,
      anon_sym_for,
    STATE(2107), 1,
      sym_expression,
    STATE(11808), 1,
      sym_bindings,
    ACTIONS(1173), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1187), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1171), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1719), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3088), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [80928] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1603), 1,
      anon_sym_DASH,
    ACTIONS(1605), 1,
      anon_sym_if,
    ACTIONS(1607), 1,
      anon_sym_try,
    ACTIONS(1609), 1,
      anon_sym_new,
    ACTIONS(1611), 1,
      anon_sym_return,
    ACTIONS(1613), 1,
      anon_sym_throw,
    ACTIONS(1615), 1,
      anon_sym_for,
    ACTIONS(1617), 1,
      sym_identifier,
    ACTIONS(1619), 1,
      anon_sym_while,
    STATE(7537), 1,
      sym_expression,
    STATE(11382), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1695), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [81024] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7381), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [81120] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5738), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [81216] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(4065), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [81312] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DASH,
    ACTIONS(1191), 1,
      anon_sym_if,
    ACTIONS(1193), 1,
      anon_sym_try,
    ACTIONS(1195), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_return,
    ACTIONS(1205), 1,
      anon_sym_throw,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(1209), 1,
      anon_sym_do,
    ACTIONS(1211), 1,
      anon_sym_for,
    ACTIONS(1215), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(1219), 1,
      anon_sym_LPAREN,
    STATE(2345), 1,
      sym_expression,
    STATE(11716), 1,
      sym_bindings,
    ACTIONS(1199), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1201), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1213), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1197), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1953), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3162), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [81408] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7327), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [81504] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7762), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [81600] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5739), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [81696] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      sym_identifier,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_DASH,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_if,
    ACTIONS(809), 1,
      anon_sym_try,
    ACTIONS(811), 1,
      anon_sym_new,
    ACTIONS(819), 1,
      anon_sym_return,
    ACTIONS(821), 1,
      anon_sym_throw,
    ACTIONS(823), 1,
      anon_sym_while,
    ACTIONS(825), 1,
      anon_sym_do,
    ACTIONS(827), 1,
      anon_sym_for,
    STATE(1690), 1,
      sym_expression,
    STATE(11869), 1,
      sym_bindings,
    ACTIONS(815), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(817), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(829), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(813), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1075), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2999), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [81792] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(1225), 1,
      anon_sym_DASH,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_if,
    ACTIONS(1231), 1,
      anon_sym_try,
    ACTIONS(1233), 1,
      anon_sym_new,
    ACTIONS(1241), 1,
      anon_sym_return,
    ACTIONS(1243), 1,
      anon_sym_throw,
    ACTIONS(1245), 1,
      anon_sym_while,
    ACTIONS(1247), 1,
      anon_sym_do,
    ACTIONS(1249), 1,
      anon_sym_for,
    STATE(5787), 1,
      sym_expression,
    STATE(11534), 1,
      sym_bindings,
    ACTIONS(1237), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1239), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1251), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1235), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1727), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6869), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [81888] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5745), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [81984] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7641), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [82080] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7297), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [82176] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_DASH,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1489), 1,
      anon_sym_try,
    ACTIONS(1491), 1,
      anon_sym_new,
    ACTIONS(1499), 1,
      anon_sym_return,
    ACTIONS(1501), 1,
      anon_sym_throw,
    ACTIONS(1503), 1,
      anon_sym_while,
    ACTIONS(1505), 1,
      anon_sym_do,
    ACTIONS(1507), 1,
      anon_sym_for,
    ACTIONS(1529), 1,
      sym_identifier,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(1533), 1,
      anon_sym_LPAREN,
    STATE(6896), 1,
      sym_expression,
    STATE(11594), 1,
      sym_bindings,
    ACTIONS(1495), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1497), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1509), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1493), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1749), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9032), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [82272] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(681), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_DASH,
    ACTIONS(689), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      anon_sym_try,
    ACTIONS(693), 1,
      anon_sym_new,
    ACTIONS(695), 1,
      anon_sym_return,
    ACTIONS(697), 1,
      anon_sym_throw,
    ACTIONS(699), 1,
      anon_sym_while,
    ACTIONS(701), 1,
      anon_sym_for,
    STATE(5744), 1,
      sym_expression,
    STATE(11890), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(937), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [82368] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      sym_identifier,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_DASH,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_if,
    ACTIONS(809), 1,
      anon_sym_try,
    ACTIONS(811), 1,
      anon_sym_new,
    ACTIONS(819), 1,
      anon_sym_return,
    ACTIONS(821), 1,
      anon_sym_throw,
    ACTIONS(823), 1,
      anon_sym_while,
    ACTIONS(825), 1,
      anon_sym_do,
    ACTIONS(827), 1,
      anon_sym_for,
    STATE(1686), 1,
      sym_expression,
    STATE(11869), 1,
      sym_bindings,
    ACTIONS(815), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(817), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(829), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(813), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1075), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2999), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [82464] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_DASH,
    ACTIONS(395), 1,
      anon_sym_if,
    ACTIONS(397), 1,
      anon_sym_try,
    ACTIONS(399), 1,
      anon_sym_new,
    ACTIONS(401), 1,
      anon_sym_return,
    ACTIONS(403), 1,
      anon_sym_throw,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_for,
    STATE(4983), 1,
      sym_expression,
    STATE(11657), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1055), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [82560] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_do,
    ACTIONS(703), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_DASH,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_try,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_return,
    ACTIONS(721), 1,
      anon_sym_throw,
    ACTIONS(723), 1,
      anon_sym_while,
    ACTIONS(725), 1,
      anon_sym_for,
    STATE(4162), 1,
      sym_expression,
    STATE(11347), 1,
      sym_bindings,
    ACTIONS(665), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(667), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(679), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(663), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1041), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(6138), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [82656] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      sym_identifier,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_DASH,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_if,
    ACTIONS(809), 1,
      anon_sym_try,
    ACTIONS(811), 1,
      anon_sym_new,
    ACTIONS(819), 1,
      anon_sym_return,
    ACTIONS(821), 1,
      anon_sym_throw,
    ACTIONS(823), 1,
      anon_sym_while,
    ACTIONS(825), 1,
      anon_sym_do,
    ACTIONS(827), 1,
      anon_sym_for,
    STATE(1830), 1,
      sym_expression,
    STATE(11869), 1,
      sym_bindings,
    ACTIONS(815), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(817), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(829), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(813), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1075), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(2999), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [82752] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_LPAREN,
    ACTIONS(1543), 1,
      anon_sym_if,
    ACTIONS(1545), 1,
      anon_sym_try,
    ACTIONS(1547), 1,
      anon_sym_new,
    ACTIONS(1555), 1,
      anon_sym_return,
    ACTIONS(1557), 1,
      anon_sym_throw,
    ACTIONS(1559), 1,
      anon_sym_while,
    ACTIONS(1561), 1,
      anon_sym_do,
    ACTIONS(1563), 1,
      anon_sym_for,
    STATE(7306), 1,
      sym_expression,
    STATE(11872), 1,
      sym_bindings,
    ACTIONS(1551), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1565), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1549), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1775), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(9116), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [82848] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7480), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [82944] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    STATE(4680), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [83040] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_DASH,
    ACTIONS(315), 1,
      anon_sym_LPAREN,
    ACTIONS(317), 1,
      anon_sym_if,
    ACTIONS(319), 1,
      anon_sym_try,
    ACTIONS(321), 1,
      anon_sym_new,
    ACTIONS(329), 1,
      anon_sym_return,
    ACTIONS(331), 1,
      anon_sym_throw,
    ACTIONS(333), 1,
      anon_sym_while,
    ACTIONS(335), 1,
      anon_sym_do,
    ACTIONS(337), 1,
      anon_sym_for,
    STATE(4679), 1,
      sym_expression,
    STATE(11510), 1,
      sym_bindings,
    ACTIONS(325), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(327), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(339), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(323), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1051), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(5146), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [83136] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(1161), 1,
      anon_sym_DASH,
    ACTIONS(1163), 1,
      anon_sym_LPAREN,
    ACTIONS(1165), 1,
      anon_sym_if,
    ACTIONS(1167), 1,
      anon_sym_try,
    ACTIONS(1169), 1,
      anon_sym_new,
    ACTIONS(1177), 1,
      anon_sym_return,
    ACTIONS(1179), 1,
      anon_sym_throw,
    ACTIONS(1181), 1,
      anon_sym_while,
    ACTIONS(1183), 1,
      anon_sym_do,
    ACTIONS(1185), 1,
      anon_sym_for,
    STATE(2191), 1,
      sym_expression,
    STATE(11808), 1,
      sym_bindings,
    ACTIONS(1173), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1187), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1171), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1719), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(3088), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [83232] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(1459), 1,
      anon_sym_LPAREN,
    ACTIONS(1479), 1,
      anon_sym_do,
    ACTIONS(1585), 1,
      sym_identifier,
    ACTIONS(1587), 1,
      anon_sym_DASH,
    ACTIONS(1589), 1,
      anon_sym_if,
    ACTIONS(1591), 1,
      anon_sym_try,
    ACTIONS(1593), 1,
      anon_sym_new,
    ACTIONS(1595), 1,
      anon_sym_return,
    ACTIONS(1597), 1,
      anon_sym_throw,
    ACTIONS(1599), 1,
      anon_sym_while,
    ACTIONS(1601), 1,
      anon_sym_for,
    STATE(7542), 1,
      sym_expression,
    STATE(11813), 1,
      sym_bindings,
    ACTIONS(1469), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1483), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(1467), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1679), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(8661), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [83328] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      anon_sym_DASH,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_if,
    ACTIONS(71), 1,
      anon_sym_try,
    ACTIONS(73), 1,
      anon_sym_new,
    ACTIONS(81), 1,
      anon_sym_return,
    ACTIONS(83), 1,
      anon_sym_throw,
    ACTIONS(85), 1,
      anon_sym_while,
    ACTIONS(87), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_for,
    STATE(4060), 1,
      sym_expression,
    STATE(11810), 1,
      sym_bindings,
    ACTIONS(77), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(79), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(93), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(75), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    ACTIONS(1057), 3,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(4376), 26,
      sym_block,
      sym_if_expression,
      sym_match_expression,
      sym_try_expression,
      sym_lambda_expression,
      sym_case_block,
      sym_assignment_expression,
      sym_generic_function,
      sym_call_expression,
      sym_field_expression,
      sym_instance_expression,
      sym_ascription_expression,
      sym_infix_expression,
      sym_postfix_expression,
      sym_prefix_expression,
      sym_tuple_expression,
      sym_parenthesized_expression,
      sym_boolean_literal,
      sym_interpolated_string_expression,
      sym_string,
      sym_unit,
      sym_return_expression,
      sym_throw_expression,
      sym_while_expression,
      sym_do_while_expression,
      sym_for_expression,
  [83424] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_package,
    ACTIONS(9), 1,
      anon_sym_object,
    ACTIONS(11), 1,
      anon_sym_import,
    ACTIONS(13), 1,
      anon_sym_case,
    ACTIONS(15), 1,
      anon_sym_class,
    ACTIONS(17), 1,
      anon_sym_trait,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(21), 1,
      anon_sym_val,
    ACTIONS(23), 1,
      anon_sym_var,
    ACTIONS(25), 1,
      anon_sym_type,
    ACTIONS(27), 1,
      anon_sym_def,
    ACTIONS(1963), 1,
      ts_builtin_sym_end,
    STATE(3621), 1,
      sym__start_var,
    STATE(3622), 1,
      sym__start_val,
    STATE(9346), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3844), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    STATE(1051), 15,
      sym__top_level_definition,
      sym_package_clause,
      sym_package_object,
      sym_import_declaration,
      sym_object_definition,
      sym_class_definition,
      sym_trait_definition,
      sym_val_definition,
      sym_val_declaration,
      sym_var_declaration,
      sym_var_definition,
      sym_type_definition,
      sym_function_definition,
      sym_function_declaration,
      aux_sym_compilation_unit_repeat1,
  [83510] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      ts_builtin_sym_end,
    ACTIONS(1967), 1,
      anon_sym_package,
    ACTIONS(1970), 1,
      anon_sym_object,
    ACTIONS(1973), 1,
      anon_sym_import,
    ACTIONS(1976), 1,
      anon_sym_case,
    ACTIONS(1979), 1,
      anon_sym_class,
    ACTIONS(1982), 1,
      anon_sym_trait,
    ACTIONS(1985), 1,
      anon_sym_AT,
    ACTIONS(1988), 1,
      anon_sym_val,
    ACTIONS(1991), 1,
      anon_sym_var,
    ACTIONS(1994), 1,
      anon_sym_type,
    ACTIONS(1997), 1,
      anon_sym_def,
    STATE(3621), 1,
      sym__start_var,
    STATE(3622), 1,
      sym__start_val,
    STATE(9346), 1,
      sym_modifiers,
    ACTIONS(2003), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3844), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    ACTIONS(2000), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    STATE(1051), 15,
      sym__top_level_definition,
      sym_package_clause,
      sym_package_object,
      sym_import_declaration,
      sym_object_definition,
      sym_class_definition,
      sym_trait_definition,
      sym_val_definition,
      sym_val_declaration,
      sym_var_declaration,
      sym_var_definition,
      sym_type_definition,
      sym_function_definition,
      sym_function_declaration,
      aux_sym_compilation_unit_repeat1,
  [83596] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1068), 1,
      sym_type_parameters,
    STATE(1085), 1,
      sym_access_modifier,
    STATE(1651), 1,
      sym_extends_clause,
    STATE(2118), 1,
      sym_template_body,
    ACTIONS(2014), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1088), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2006), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2008), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [83665] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1060), 1,
      sym_type_parameters,
    STATE(1100), 1,
      sym_access_modifier,
    STATE(1859), 1,
      sym_extends_clause,
    STATE(2219), 1,
      sym_template_body,
    ACTIONS(2014), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1093), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2020), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2022), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [83734] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1070), 1,
      sym_type_parameters,
    STATE(1116), 1,
      sym_access_modifier,
    STATE(1847), 1,
      sym_extends_clause,
    STATE(2212), 1,
      sym_template_body,
    ACTIONS(2014), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1120), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2024), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2026), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [83803] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2032), 1,
      anon_sym_LBRACK,
    ACTIONS(2034), 1,
      anon_sym_AT,
    ACTIONS(2036), 1,
      anon_sym_POUND,
    STATE(1174), 1,
      sym_type_arguments,
    STATE(1087), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [83862] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1062), 1,
      sym_type_parameters,
    STATE(1121), 1,
      sym_access_modifier,
    STATE(1658), 1,
      sym_extends_clause,
    STATE(2119), 1,
      sym_template_body,
    ACTIONS(2014), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1122), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2038), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2040), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [83931] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2032), 1,
      anon_sym_LBRACK,
    ACTIONS(2036), 1,
      anon_sym_POUND,
    ACTIONS(2046), 1,
      anon_sym_LPAREN,
    STATE(1174), 1,
      sym_type_arguments,
    STATE(1092), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [83990] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2048), 1,
      anon_sym_LBRACK,
    ACTIONS(2050), 1,
      anon_sym_AT,
    ACTIONS(2052), 1,
      anon_sym_POUND,
    STATE(1214), 1,
      sym_type_arguments,
    STATE(1103), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [84049] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2048), 1,
      anon_sym_LBRACK,
    ACTIONS(2052), 1,
      anon_sym_POUND,
    ACTIONS(2054), 1,
      anon_sym_LPAREN,
    STATE(1214), 1,
      sym_type_arguments,
    STATE(1102), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [84108] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1082), 1,
      sym_access_modifier,
    STATE(1739), 1,
      sym_extends_clause,
    STATE(2153), 1,
      sym_template_body,
    ACTIONS(2014), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1083), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2056), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2058), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [84172] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2060), 1,
      anon_sym_LBRACK,
    ACTIONS(2062), 1,
      anon_sym_AT,
    ACTIONS(2064), 1,
      anon_sym_POUND,
    STATE(1344), 1,
      sym_type_arguments,
    STATE(1252), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [84230] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1110), 1,
      sym_access_modifier,
    STATE(1753), 1,
      sym_extends_clause,
    STATE(1939), 1,
      sym_template_body,
    ACTIONS(2014), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1108), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2066), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2068), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [84294] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    ACTIONS(2088), 1,
      anon_sym_catch,
    ACTIONS(2090), 1,
      anon_sym_finally,
    STATE(2138), 1,
      sym_catch_clause,
    STATE(2162), 1,
      sym_type_arguments,
    STATE(2790), 1,
      sym_finally_clause,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2070), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2074), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [84370] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1119), 1,
      sym_type_parameters,
    STATE(1152), 1,
      sym_access_modifier,
    STATE(2003), 1,
      sym_extends_clause,
    STATE(2350), 1,
      sym_template_body,
    ACTIONS(2096), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1153), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2024), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2026), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [84438] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1104), 1,
      sym_type_parameters,
    STATE(1239), 1,
      sym_access_modifier,
    STATE(1986), 1,
      sym_extends_clause,
    STATE(2509), 1,
      sym_template_body,
    ACTIONS(2096), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1237), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2006), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2008), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [84506] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2102), 1,
      anon_sym_LBRACK,
    ACTIONS(2104), 1,
      anon_sym_AT,
    ACTIONS(2106), 1,
      anon_sym_POUND,
    STATE(1273), 1,
      sym_type_arguments,
    STATE(1232), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [84564] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2060), 1,
      anon_sym_LBRACK,
    ACTIONS(2064), 1,
      anon_sym_POUND,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    STATE(1344), 1,
      sym_type_arguments,
    STATE(1199), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [84622] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1095), 1,
      sym_access_modifier,
    STATE(1676), 1,
      sym_extends_clause,
    STATE(2072), 1,
      sym_template_body,
    ACTIONS(2014), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1097), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2110), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2112), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [84686] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2102), 1,
      anon_sym_LBRACK,
    ACTIONS(2106), 1,
      anon_sym_POUND,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    STATE(1273), 1,
      sym_type_arguments,
    STATE(1251), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [84744] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1123), 1,
      sym_access_modifier,
    STATE(1649), 1,
      sym_extends_clause,
    STATE(2115), 1,
      sym_template_body,
    ACTIONS(2014), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1127), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2116), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2118), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [84808] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1113), 1,
      sym_type_parameters,
    STATE(1159), 1,
      sym_access_modifier,
    STATE(1966), 1,
      sym_extends_clause,
    STATE(2383), 1,
      sym_template_body,
    ACTIONS(2096), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1161), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2038), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2040), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [84876] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    ACTIONS(2120), 1,
      anon_sym_catch,
    ACTIONS(2122), 1,
      anon_sym_finally,
    STATE(1783), 1,
      sym_catch_clause,
    STATE(2152), 1,
      sym_finally_clause,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2070), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2074), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [84952] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_LBRACK,
    ACTIONS(2126), 1,
      anon_sym_AT,
    ACTIONS(2128), 1,
      anon_sym_POUND,
    STATE(1389), 1,
      sym_type_arguments,
    STATE(1142), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [85010] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1111), 1,
      sym_type_parameters,
    STATE(1240), 1,
      sym_access_modifier,
    STATE(1904), 1,
      sym_extends_clause,
    STATE(2222), 1,
      sym_template_body,
    ACTIONS(2096), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1242), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2020), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2022), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [85078] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_LBRACK,
    ACTIONS(2128), 1,
      anon_sym_POUND,
    ACTIONS(2130), 1,
      anon_sym_LPAREN,
    STATE(1389), 1,
      sym_type_arguments,
    STATE(1149), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [85136] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_AT,
    STATE(1076), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [85187] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    ACTIONS(2143), 1,
      anon_sym_POUND,
    STATE(1551), 1,
      sym_type_arguments,
    STATE(1371), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [85244] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1630), 1,
      sym_extends_clause,
    STATE(2096), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2145), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2147), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [85303] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    ACTIONS(2163), 1,
      anon_sym_catch,
    ACTIONS(2165), 1,
      anon_sym_finally,
    STATE(2225), 1,
      sym_type_arguments,
    STATE(2322), 1,
      sym_catch_clause,
    STATE(2864), 1,
      sym_finally_clause,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2070), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2074), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [85378] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2167), 1,
      anon_sym_LBRACK,
    ACTIONS(2169), 1,
      anon_sym_LPAREN,
    ACTIONS(2171), 1,
      anon_sym_POUND,
    STATE(1428), 1,
      sym_type_arguments,
    STATE(1414), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [85435] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2173), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_AT,
    ACTIONS(2177), 1,
      anon_sym_POUND,
    STATE(1564), 1,
      sym_type_arguments,
    STATE(1401), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2030), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [85492] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1647), 1,
      sym_extends_clause,
    STATE(2087), 1,
      sym_template_body,
    STATE(1089), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2179), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2181), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [85551] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1654), 1,
      sym_extends_clause,
    STATE(2083), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2183), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2185), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [85610] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1662), 1,
      sym_extends_clause,
    STATE(2079), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2187), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2189), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [85669] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1692), 1,
      sym_extends_clause,
    STATE(1968), 1,
      sym_template_body,
    STATE(1098), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2191), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2193), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [85728] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(1213), 1,
      sym_type_parameters,
    STATE(1263), 1,
      sym_access_modifier,
    STATE(2276), 1,
      sym_extends_clause,
    STATE(2811), 1,
      sym_template_body,
    ACTIONS(2199), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1272), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2038), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2040), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [85795] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_AT,
    STATE(1091), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [85846] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1705), 1,
      sym_extends_clause,
    STATE(2060), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2209), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2211), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [85905] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1827), 1,
      sym_extends_clause,
    STATE(1931), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2213), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2215), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [85964] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LBRACK,
    ACTIONS(2143), 1,
      anon_sym_POUND,
    ACTIONS(2217), 1,
      anon_sym_AT,
    STATE(1551), 1,
      sym_type_arguments,
    STATE(1295), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [86021] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_AT,
    STATE(1091), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86072] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2046), 1,
      anon_sym_LPAREN,
    STATE(1096), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2224), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86123] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1701), 1,
      sym_extends_clause,
    STATE(2130), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2226), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2228), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86182] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2167), 1,
      anon_sym_LBRACK,
    ACTIONS(2171), 1,
      anon_sym_POUND,
    ACTIONS(2230), 1,
      anon_sym_AT,
    STATE(1428), 1,
      sym_type_arguments,
    STATE(1381), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [86239] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1852), 1,
      sym_extends_clause,
    STATE(1882), 1,
      sym_template_body,
    STATE(1125), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2232), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2234), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86298] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_LPAREN,
    STATE(1096), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2238), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86349] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1834), 1,
      sym_extends_clause,
    STATE(1903), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2243), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2245), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86408] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1797), 1,
      sym_extends_clause,
    STATE(1934), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2247), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2249), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86467] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2173), 1,
      anon_sym_LBRACK,
    ACTIONS(2177), 1,
      anon_sym_POUND,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    STATE(1564), 1,
      sym_type_arguments,
    STATE(1324), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 3,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
    ACTIONS(2044), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86524] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1725), 1,
      sym_extends_clause,
    STATE(2148), 1,
      sym_template_body,
    STATE(1084), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2253), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2255), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86583] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2257), 1,
      anon_sym_LPAREN,
    STATE(1101), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2238), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86634] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_LPAREN,
    STATE(1101), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2224), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86685] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2050), 1,
      anon_sym_AT,
    STATE(1076), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86736] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1231), 1,
      sym_access_modifier,
    STATE(2021), 1,
      sym_extends_clause,
    STATE(2453), 1,
      sym_template_body,
    ACTIONS(2096), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1229), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2110), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2112), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86799] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(1867), 1,
      aux_sym__block_repeat1,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2260), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2262), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [86868] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1770), 1,
      sym_extends_clause,
    STATE(2172), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2266), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86927] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1798), 1,
      sym_extends_clause,
    STATE(2185), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2268), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2270), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [86986] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1800), 1,
      sym_extends_clause,
    STATE(2188), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2272), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2274), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [87045] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(1253), 1,
      sym_type_parameters,
    STATE(1335), 1,
      sym_access_modifier,
    STATE(2256), 1,
      sym_extends_clause,
    STATE(2837), 1,
      sym_template_body,
    ACTIONS(2199), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1404), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2024), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2026), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [87112] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1807), 1,
      sym_extends_clause,
    STATE(2190), 1,
      sym_template_body,
    STATE(1078), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2276), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2278), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [87171] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1255), 1,
      sym_access_modifier,
    STATE(1965), 1,
      sym_extends_clause,
    STATE(2520), 1,
      sym_template_body,
    ACTIONS(2096), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1254), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2056), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2058), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [87234] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(2282), 1,
      anon_sym_LPAREN,
    ACTIONS(2284), 1,
      anon_sym_POUND,
    STATE(1436), 1,
      sym_type_arguments,
    STATE(1306), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [87291] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1187), 1,
      sym_access_modifier,
    STATE(1897), 1,
      sym_extends_clause,
    STATE(2452), 1,
      sym_template_body,
    ACTIONS(2096), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1188), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2066), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2068), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [87354] = 15,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    ACTIONS(2260), 1,
      ts_builtin_sym_end,
    STATE(1860), 1,
      aux_sym__block_repeat1,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2286), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2262), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [87425] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1627), 1,
      sym_extends_clause,
    STATE(2071), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2288), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2290), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [87484] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1638), 1,
      sym_extends_clause,
    STATE(2095), 1,
      sym_template_body,
    STATE(1115), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2294), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [87543] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(1246), 1,
      sym_type_parameters,
    STATE(1267), 1,
      sym_access_modifier,
    STATE(2443), 1,
      sym_extends_clause,
    STATE(2636), 1,
      sym_template_body,
    ACTIONS(2199), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1265), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2006), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2008), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [87610] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    ACTIONS(2296), 1,
      anon_sym_catch,
    ACTIONS(2298), 1,
      anon_sym_finally,
    STATE(2154), 1,
      sym_catch_clause,
    STATE(2225), 1,
      sym_type_arguments,
    STATE(2297), 1,
      sym_finally_clause,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2070), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2074), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [87685] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1164), 1,
      sym_access_modifier,
    STATE(1961), 1,
      sym_extends_clause,
    STATE(2388), 1,
      sym_template_body,
    ACTIONS(2096), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1166), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2116), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2118), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [87748] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1738), 1,
      sym_extends_clause,
    STATE(2069), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2300), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2302), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [87807] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1795), 1,
      sym_extends_clause,
    STATE(1975), 1,
      sym_template_body,
    STATE(1107), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2304), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2306), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [87866] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1774), 1,
      sym_extends_clause,
    STATE(1995), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2308), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2310), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [87925] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1747), 1,
      sym_extends_clause,
    STATE(2004), 1,
      sym_template_body,
    STATE(1106), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2312), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2314), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [87984] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_POUND,
    ACTIONS(2316), 1,
      anon_sym_AT,
    STATE(1436), 1,
      sym_type_arguments,
    STATE(1361), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [88041] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1727), 1,
      sym_extends_clause,
    STATE(2034), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2318), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2320), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [88100] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(1181), 1,
      sym_type_parameters,
    STATE(1358), 1,
      sym_access_modifier,
    STATE(2435), 1,
      sym_extends_clause,
    STATE(2649), 1,
      sym_template_body,
    ACTIONS(2199), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1357), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2020), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2022), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [88167] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    ACTIONS(2016), 1,
      anon_sym_extends,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    STATE(1708), 1,
      sym_extends_clause,
    STATE(2044), 1,
      sym_template_body,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2322), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2324), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [88226] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2328), 1,
      anon_sym_LBRACK,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(1316), 1,
      sym_type_parameters,
    STATE(1617), 1,
      sym_access_modifier,
    STATE(2740), 1,
      sym_extends_clause,
    STATE(2973), 1,
      sym_template_body,
    ACTIONS(2330), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1615), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2038), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2040), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [88292] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2328), 1,
      anon_sym_LBRACK,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(1274), 1,
      sym_type_parameters,
    STATE(1524), 1,
      sym_access_modifier,
    STATE(2613), 1,
      sym_extends_clause,
    STATE(3030), 1,
      sym_template_body,
    ACTIONS(2330), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1521), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2020), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2022), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [88358] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    ACTIONS(2338), 1,
      anon_sym_LPAREN,
    ACTIONS(2340), 1,
      anon_sym_POUND,
    STATE(1850), 1,
      sym_type_arguments,
    STATE(1437), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 3,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
    ACTIONS(2044), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [88414] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2342), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2344), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [88480] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2346), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2348), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [88546] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2350), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [88604] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2354), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2356), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [88670] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2070), 1,
      ts_builtin_sym_end,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_COLON,
    ACTIONS(2366), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2370), 1,
      anon_sym_match,
    ACTIONS(2372), 1,
      anon_sym_catch,
    ACTIONS(2374), 1,
      anon_sym_finally,
    STATE(2227), 1,
      sym_catch_clause,
    STATE(2588), 1,
      sym_finally_clause,
    STATE(2688), 1,
      sym_type_arguments,
    ACTIONS(2358), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2074), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [88744] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2384), 1,
      anon_sym_with,
    STATE(1236), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2378), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [88798] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2386), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2388), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [88864] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_LBRACK,
    ACTIONS(2392), 1,
      anon_sym_LPAREN,
    ACTIONS(2394), 1,
      anon_sym_POUND,
    STATE(1646), 1,
      sym_type_arguments,
    STATE(1607), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 3,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
    ACTIONS(2044), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [88920] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2396), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2398), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [88986] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2400), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2402), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [89052] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2404), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2406), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [89118] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2126), 1,
      anon_sym_AT,
    STATE(1146), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [89168] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2408), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2410), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [89234] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2016), 1,
      anon_sym_extends,
    STATE(1340), 1,
      sym_type_parameters,
    STATE(1869), 1,
      sym_extends_clause,
    STATE(1899), 1,
      sym_template_body,
    ACTIONS(2412), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2414), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [89288] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1339), 1,
      sym_type_parameters,
    STATE(1915), 1,
      sym_block,
    STATE(1329), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2416), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2418), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [89340] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AT,
    STATE(1146), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [89390] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2423), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2425), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [89456] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_LBRACK,
    ACTIONS(2429), 1,
      anon_sym_LPAREN,
    ACTIONS(2431), 1,
      anon_sym_POUND,
    STATE(1636), 1,
      sym_type_arguments,
    STATE(1620), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [89512] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2130), 1,
      anon_sym_LPAREN,
    STATE(1154), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2224), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [89562] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2437), 1,
      anon_sym_with,
    STATE(1169), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [89612] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [89660] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1958), 1,
      sym_extends_clause,
    STATE(2392), 1,
      sym_template_body,
    STATE(1167), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2294), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [89718] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1956), 1,
      sym_extends_clause,
    STATE(2396), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2300), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2302), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [89776] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    STATE(1154), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2238), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [89826] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [89872] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_EQ_GT,
    ACTIONS(2458), 1,
      sym__interpolated_string_start,
    ACTIONS(2460), 1,
      sym__interpolated_multiline_string_start,
    STATE(2165), 1,
      sym_interpolated_string,
    ACTIONS(2452), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [89926] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2462), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2464), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [89992] = 15,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    ACTIONS(2260), 1,
      ts_builtin_sym_end,
    STATE(2182), 1,
      aux_sym__block_repeat1,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2466), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2262), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [90062] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1896), 1,
      sym_extends_clause,
    STATE(2456), 1,
      sym_template_body,
    STATE(1189), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2304), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2306), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [90120] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2468), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2470), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [90186] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1895), 1,
      sym_extends_clause,
    STATE(2460), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2308), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2310), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [90244] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2437), 1,
      anon_sym_with,
    STATE(1150), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [90294] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(1890), 1,
      aux_sym__block_repeat1,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2260), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2262), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [90362] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1889), 1,
      sym_extends_clause,
    STATE(2464), 1,
      sym_template_body,
    STATE(1190), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2312), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2314), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [90420] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2328), 1,
      anon_sym_LBRACK,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(1302), 1,
      sym_type_parameters,
    STATE(1441), 1,
      sym_access_modifier,
    STATE(2611), 1,
      sym_extends_clause,
    STATE(3018), 1,
      sym_template_body,
    ACTIONS(2330), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1440), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2006), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2008), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [90486] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1886), 1,
      sym_extends_clause,
    STATE(2468), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2322), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2324), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [90544] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1885), 1,
      sym_extends_clause,
    STATE(2471), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2288), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2290), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [90602] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2476), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2478), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [90668] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_with,
    STATE(1169), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [90718] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_LBRACK,
    ACTIONS(2431), 1,
      anon_sym_POUND,
    ACTIONS(2487), 1,
      anon_sym_AT,
    STATE(1636), 1,
      sym_type_arguments,
    STATE(1492), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [90774] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2493), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [90822] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2495), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2497), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [90888] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2499), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2501), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [90954] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [91000] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2507), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2509), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [91066] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [91112] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [91158] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2515), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2517), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [91224] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2070), 1,
      ts_builtin_sym_end,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_COLON,
    ACTIONS(2366), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2370), 1,
      anon_sym_match,
    ACTIONS(2519), 1,
      anon_sym_catch,
    ACTIONS(2521), 1,
      anon_sym_finally,
    STATE(2688), 1,
      sym_type_arguments,
    STATE(2854), 1,
      sym_catch_clause,
    STATE(3077), 1,
      sym_finally_clause,
    ACTIONS(2358), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2074), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [91298] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2523), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2525), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [91364] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(1296), 1,
      sym_access_modifier,
    STATE(2536), 1,
      sym_extends_clause,
    STATE(2586), 1,
      sym_template_body,
    ACTIONS(2199), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1290), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2056), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2058), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [91426] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_LBRACK,
    ACTIONS(2394), 1,
      anon_sym_POUND,
    ACTIONS(2527), 1,
      anon_sym_AT,
    STATE(1646), 1,
      sym_type_arguments,
    STATE(1494), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2030), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [91482] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    ACTIONS(2340), 1,
      anon_sym_POUND,
    ACTIONS(2529), 1,
      anon_sym_AT,
    STATE(1850), 1,
      sym_type_arguments,
    STATE(1601), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2030), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [91538] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_LPAREN,
    STATE(1184), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2238), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [91588] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2534), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2536), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [91654] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [91700] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1938), 1,
      sym_extends_clause,
    STATE(2539), 1,
      sym_template_body,
    STATE(1257), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2276), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2278), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [91758] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1946), 1,
      sym_extends_clause,
    STATE(2543), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2272), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2274), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [91816] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1947), 1,
      sym_extends_clause,
    STATE(2546), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2268), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2270), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [91874] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1917), 1,
      sym_extends_clause,
    STATE(2552), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2266), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [91932] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2542), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2544), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [91998] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_LBRACK,
    ACTIONS(2548), 1,
      anon_sym_LPAREN,
    ACTIONS(2550), 1,
      anon_sym_POUND,
    STATE(1741), 1,
      sym_type_arguments,
    STATE(1452), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [92054] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2552), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2554), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [92120] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    ACTIONS(2560), 1,
      anon_sym_else,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2556), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2558), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [92188] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [92236] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2016), 1,
      anon_sym_extends,
    STATE(1406), 1,
      sym_type_parameters,
    STATE(1861), 1,
      sym_extends_clause,
    STATE(2217), 1,
      sym_template_body,
    ACTIONS(2562), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2564), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [92290] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2566), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2568), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [92356] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2570), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2572), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [92422] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    STATE(1184), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2224), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [92472] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [92518] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2578), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2580), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [92584] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [92630] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2328), 1,
      anon_sym_LBRACK,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(1327), 1,
      sym_type_parameters,
    STATE(1602), 1,
      sym_access_modifier,
    STATE(2767), 1,
      sym_extends_clause,
    STATE(2950), 1,
      sym_template_body,
    ACTIONS(2330), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1604), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2024), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2026), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [92696] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_LPAREN,
    ACTIONS(2590), 1,
      anon_sym_POUND,
    STATE(1824), 1,
      sym_type_arguments,
    STATE(1460), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [92752] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2592), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2594), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [92818] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [92864] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2596), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2598), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [92930] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [92976] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2600), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2602), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [93042] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [93088] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1399), 1,
      sym_type_parameters,
    STATE(2206), 1,
      sym_block,
    STATE(1397), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2604), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2606), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [93140] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_AT,
    STATE(1212), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [93190] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(1373), 1,
      sym_access_modifier,
    STATE(2360), 1,
      sym_extends_clause,
    STATE(2717), 1,
      sym_template_body,
    ACTIONS(2199), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1370), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2066), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2068), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [93252] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [93298] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_LBRACK,
    ACTIONS(2550), 1,
      anon_sym_POUND,
    ACTIONS(2611), 1,
      anon_sym_AT,
    STATE(1741), 1,
      sym_type_arguments,
    STATE(1599), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [93354] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2613), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2615), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [93420] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2617), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2619), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [93486] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2621), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2623), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [93552] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2016), 1,
      anon_sym_extends,
    STATE(1372), 1,
      sym_type_parameters,
    STATE(1828), 1,
      sym_extends_clause,
    STATE(2205), 1,
      sym_template_body,
    ACTIONS(2625), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2627), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [93606] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2629), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [93654] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1417), 1,
      sym_type_parameters,
    STATE(2194), 1,
      sym_block,
    STATE(1419), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2631), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2633), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [93706] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [93752] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [93798] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2049), 1,
      sym_extends_clause,
    STATE(2393), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2318), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2320), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [93856] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2635), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2637), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [93922] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2639), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2641), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [93988] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2043), 1,
      sym_extends_clause,
    STATE(2407), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2247), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2249), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [94046] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2643), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2645), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [94112] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2041), 1,
      sym_extends_clause,
    STATE(2410), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2243), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2245), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [94170] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2647), 1,
      anon_sym_with,
    STATE(1230), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [94220] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_extends_clause,
    STATE(2412), 1,
      sym_template_body,
    STATE(1224), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2232), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2234), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [94278] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2104), 1,
      anon_sym_AT,
    STATE(1259), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [94328] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2384), 1,
      anon_sym_with,
    STATE(1236), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [94378] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [94424] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2037), 1,
      sym_extends_clause,
    STATE(2421), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2213), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2215), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [94482] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2384), 1,
      anon_sym_with,
    STATE(1230), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [94532] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2024), 1,
      sym_extends_clause,
    STATE(2441), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2209), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2211), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [94590] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2650), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2652), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [94656] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2022), 1,
      sym_extends_clause,
    STATE(2444), 1,
      sym_template_body,
    STATE(1227), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2191), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2193), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [94714] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1974), 1,
      sym_extends_clause,
    STATE(2528), 1,
      sym_template_body,
    STATE(1247), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2253), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2255), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [94772] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2654), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2656), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [94838] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(1976), 1,
      sym_extends_clause,
    STATE(2535), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2226), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2228), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [94896] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2658), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [94954] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2662), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [95012] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2437), 1,
      anon_sym_with,
    STATE(1150), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2666), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [95066] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(1305), 1,
      sym_access_modifier,
    STATE(2340), 1,
      sym_extends_clause,
    STATE(2711), 1,
      sym_template_body,
    ACTIONS(2199), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1307), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2110), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2112), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [95128] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2016), 1,
      sym_extends_clause,
    STATE(2463), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2187), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2189), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [95186] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2668), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2670), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [95252] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2672), 1,
      anon_sym_LPAREN,
    STATE(1249), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2238), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [95302] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    ACTIONS(2675), 1,
      anon_sym_else,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2556), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2558), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [95370] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    STATE(1249), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2224), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [95420] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2062), 1,
      anon_sym_AT,
    STATE(1212), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [95470] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(1289), 1,
      sym_access_modifier,
    STATE(2283), 1,
      sym_extends_clause,
    STATE(2810), 1,
      sym_template_body,
    ACTIONS(2199), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2116), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2118), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [95532] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2015), 1,
      sym_extends_clause,
    STATE(2475), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2183), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2185), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [95590] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2012), 1,
      sym_extends_clause,
    STATE(2479), 1,
      sym_template_body,
    STATE(1235), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2179), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2181), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [95648] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2677), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2679), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [95714] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    ACTIONS(2098), 1,
      anon_sym_extends,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2006), 1,
      sym_extends_clause,
    STATE(2497), 1,
      sym_template_body,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2145), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2147), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [95772] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2590), 1,
      anon_sym_POUND,
    ACTIONS(2681), 1,
      anon_sym_AT,
    STATE(1824), 1,
      sym_type_arguments,
    STATE(1560), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [95828] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2683), 1,
      anon_sym_AT,
    STATE(1259), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [95878] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(2076), 1,
      anon_sym_DOT,
    ACTIONS(2078), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    ACTIONS(2082), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_LPAREN,
    ACTIONS(2086), 1,
      anon_sym_match,
    STATE(2162), 1,
      sym_type_arguments,
    ACTIONS(2072), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2686), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2164), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2688), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [95944] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [95991] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [96036] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2365), 1,
      sym_extends_clause,
    STATE(2713), 1,
      sym_template_body,
    STATE(1392), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2304), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2306), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [96093] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2690), 1,
      anon_sym_with,
    STATE(1264), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [96142] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2329), 1,
      sym_extends_clause,
    STATE(2748), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2209), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2211), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [96199] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2515), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2517), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [96264] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2338), 1,
      sym_extends_clause,
    STATE(2735), 1,
      sym_template_body,
    STATE(1311), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2191), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2193), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [96321] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2507), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2509), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [96386] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2499), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2501), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [96451] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2693), 1,
      anon_sym_with,
    STATE(1320), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [96500] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2695), 1,
      anon_sym_with,
    STATE(1303), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [96549] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2377), 1,
      sym_extends_clause,
    STATE(2696), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2308), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2310), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [96606] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [96651] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(1449), 1,
      sym_access_modifier,
    STATE(2567), 1,
      sym_extends_clause,
    STATE(3059), 1,
      sym_template_body,
    ACTIONS(2330), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1448), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2056), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2058), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [96712] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [96757] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2697), 1,
      anon_sym_LBRACK,
    ACTIONS(2699), 1,
      anon_sym_AT,
    ACTIONS(2701), 1,
      anon_sym_POUND,
    STATE(2036), 1,
      sym_type_arguments,
    STATE(1836), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2030), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [96812] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [96857] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(2070), 1,
      ts_builtin_sym_end,
    ACTIONS(2705), 1,
      anon_sym_DOT,
    ACTIONS(2707), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_COLON,
    ACTIONS(2711), 1,
      anon_sym_EQ,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
    ACTIONS(2715), 1,
      anon_sym_match,
    ACTIONS(2717), 1,
      anon_sym_catch,
    ACTIONS(2719), 1,
      anon_sym_finally,
    STATE(2904), 1,
      sym_catch_clause,
    STATE(2945), 1,
      sym_type_arguments,
    STATE(3116), 1,
      sym_finally_clause,
    ACTIONS(2703), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2948), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2074), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [96930] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [96975] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2697), 1,
      anon_sym_LBRACK,
    ACTIONS(2701), 1,
      anon_sym_POUND,
    ACTIONS(2721), 1,
      anon_sym_LPAREN,
    STATE(2036), 1,
      sym_type_arguments,
    STATE(1734), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 3,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
    ACTIONS(2044), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [97030] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2542), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2544), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [97095] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2356), 1,
      sym_extends_clause,
    STATE(2719), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2187), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2189), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [97152] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2495), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2497), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [97217] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2462), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2464), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [97282] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN,
    STATE(1285), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2238), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [97331] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2695), 1,
      anon_sym_with,
    STATE(1303), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2726), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [97384] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [97429] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [97474] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2382), 1,
      sym_extends_clause,
    STATE(2690), 1,
      sym_template_body,
    STATE(1365), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2312), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2314), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [97531] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2361), 1,
      sym_extends_clause,
    STATE(2602), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2183), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2185), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [97588] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2404), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2406), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [97653] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2342), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2344), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [97718] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [97763] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2621), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2623), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [97828] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_AT,
    STATE(1376), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [97877] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2367), 1,
      sym_extends_clause,
    STATE(2703), 1,
      sym_template_body,
    STATE(1300), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2179), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2181), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [97934] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2635), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2637), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [97999] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2639), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2641), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [98064] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2394), 1,
      sym_extends_clause,
    STATE(2686), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2322), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2324), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [98121] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2319), 1,
      sym_extends_clause,
    STATE(2772), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2213), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2215), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [98178] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [98223] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(1429), 1,
      sym_access_modifier,
    STATE(2641), 1,
      sym_extends_clause,
    STATE(2941), 1,
      sym_template_body,
    ACTIONS(2330), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1427), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2110), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2112), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [98284] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2695), 1,
      anon_sym_with,
    STATE(1264), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [98333] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2566), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2568), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [98398] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2316), 1,
      sym_extends_clause,
    STATE(2783), 1,
      sym_template_body,
    STATE(1338), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2232), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2234), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [98455] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_LPAREN,
    STATE(1285), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2224), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [98504] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2281), 1,
      sym_extends_clause,
    STATE(2804), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2243), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2245), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [98561] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2389), 1,
      sym_extends_clause,
    STATE(2680), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2145), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2147), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [98618] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2734), 1,
      anon_sym_with,
    STATE(1398), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2732), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [98671] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2693), 1,
      anon_sym_with,
    STATE(1270), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [98720] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2275), 1,
      sym_extends_clause,
    STATE(2809), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2247), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2249), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [98777] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2592), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2594), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [98842] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2596), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2598), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [98907] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2617), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2619), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [98972] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2600), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2602), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [99037] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(1573), 1,
      sym_access_modifier,
    STATE(2693), 1,
      sym_extends_clause,
    STATE(2996), 1,
      sym_template_body,
    ACTIONS(2330), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1571), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2066), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2068), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [99098] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2534), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2536), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [99163] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LPAREN,
    STATE(1318), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2238), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [99212] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2476), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2478), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [99277] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2739), 1,
      anon_sym_with,
    STATE(1320), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [99326] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2468), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2470), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [99391] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2408), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2410), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [99456] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2400), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2402), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [99521] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    STATE(1318), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2224), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [99570] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2523), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2525), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [99635] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2654), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2656), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [99700] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(1614), 1,
      sym_access_modifier,
    STATE(2738), 1,
      sym_extends_clause,
    STATE(2975), 1,
      sym_template_body,
    ACTIONS(2330), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(1611), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2116), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2118), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [99761] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [99808] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2210), 1,
      sym_block,
    STATE(1525), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2744), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2746), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [99857] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [99902] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2752), 1,
      anon_sym_AT,
    STATE(1331), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [99951] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [99996] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2759), 1,
      anon_sym_AT,
    STATE(1333), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2134), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100045] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2693), 1,
      anon_sym_with,
    STATE(1270), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2762), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [100098] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2285), 1,
      sym_extends_clause,
    STATE(2805), 1,
      sym_template_body,
    STATE(1411), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2294), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [100155] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100200] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2613), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2615), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [100265] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2263), 1,
      sym_extends_clause,
    STATE(2821), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2318), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2320), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [100322] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2213), 1,
      sym_block,
    STATE(1369), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2766), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100371] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2016), 1,
      anon_sym_extends,
    STATE(1845), 1,
      sym_extends_clause,
    STATE(2218), 1,
      sym_template_body,
    ACTIONS(2768), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2770), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100422] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2386), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2388), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [100487] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100534] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100579] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100624] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100669] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100714] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100759] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100804] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100851] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100896] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2151), 1,
      sym_block,
    STATE(1525), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2778), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2780), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100945] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [100990] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [101035] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2782), 1,
      anon_sym_LPAREN,
    STATE(1354), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2238), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [101084] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [101129] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2350), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [101186] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2507), 1,
      sym_extends_clause,
    STATE(2599), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2226), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2228), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [101243] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2519), 1,
      sym_extends_clause,
    STATE(2591), 1,
      sym_template_body,
    STATE(1282), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2253), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2255), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [101300] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2785), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2789), 1,
      anon_sym_POUND,
    STATE(1957), 1,
      sym_type_arguments,
    STATE(1863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [101355] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1446), 1,
      sym_type_parameters,
    STATE(2517), 1,
      sym_block,
    STATE(1447), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2631), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2633), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [101406] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2316), 1,
      anon_sym_AT,
    STATE(1331), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [101455] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_extends,
    STATE(1444), 1,
      sym_type_parameters,
    STATE(1909), 1,
      sym_extends_clause,
    STATE(2514), 1,
      sym_template_body,
    ACTIONS(2625), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2627), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [101508] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2016), 1,
      anon_sym_extends,
    STATE(1835), 1,
      sym_extends_clause,
    STATE(2209), 1,
      sym_template_body,
    ACTIONS(2791), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2793), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [101559] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2570), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2572), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [101624] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2537), 1,
      sym_extends_clause,
    STATE(2574), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2266), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [101681] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2785), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_POUND,
    ACTIONS(2795), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_type_arguments,
    STATE(1804), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [101736] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2552), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2554), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [101801] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2643), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2645), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [101866] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2126), 1,
      sym_block,
    STATE(1525), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2797), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2799), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [101915] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2524), 1,
      sym_extends_clause,
    STATE(2565), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2272), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2274), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [101972] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(1354), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2224), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [102021] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2016), 1,
      anon_sym_extends,
    STATE(1648), 1,
      sym_extends_clause,
    STATE(2116), 1,
      sym_template_body,
    ACTIONS(2801), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2803), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [102072] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2515), 1,
      sym_extends_clause,
    STATE(2561), 1,
      sym_template_body,
    STATE(1308), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2276), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2278), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [102129] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2048), 1,
      sym_block,
    STATE(1525), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2805), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2807), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [102178] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_LBRACK,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_POUND,
    STATE(1963), 1,
      sym_type_arguments,
    STATE(1722), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 3,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
    ACTIONS(2044), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [102233] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2815), 1,
      anon_sym_AT,
    STATE(1376), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [102282] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1458), 1,
      sym_type_parameters,
    STATE(2429), 1,
      sym_block,
    STATE(1456), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2416), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2418), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [102333] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [102378] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [102423] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_extends,
    STATE(1465), 1,
      sym_type_parameters,
    STATE(1926), 1,
      sym_extends_clause,
    STATE(2426), 1,
      sym_template_body,
    ACTIONS(2412), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2414), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [102476] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_AT,
    STATE(1413), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [102525] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2822), 1,
      anon_sym_LPAREN,
    STATE(1382), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2818), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2820), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [102574] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [102619] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2239), 1,
      aux_sym__block_repeat1,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2260), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2262), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [102686] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2578), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2580), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [102751] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1513), 1,
      sym_type_parameters,
    STATE(2363), 1,
      sym_block,
    STATE(1512), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2604), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2606), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [102802] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [102847] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_extends,
    STATE(1517), 1,
      sym_type_parameters,
    STATE(1998), 1,
      sym_extends_clause,
    STATE(2355), 1,
      sym_template_body,
    ACTIONS(2562), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2564), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [102900] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [102945] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(2070), 1,
      ts_builtin_sym_end,
    ACTIONS(2705), 1,
      anon_sym_DOT,
    ACTIONS(2707), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_COLON,
    ACTIONS(2711), 1,
      anon_sym_EQ,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
    ACTIONS(2715), 1,
      anon_sym_match,
    ACTIONS(2839), 1,
      anon_sym_catch,
    ACTIONS(2841), 1,
      anon_sym_finally,
    STATE(2791), 1,
      sym_catch_clause,
    STATE(2934), 1,
      sym_finally_clause,
    STATE(2945), 1,
      sym_type_arguments,
    ACTIONS(2703), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2948), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2074), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [103018] = 15,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2260), 1,
      ts_builtin_sym_end,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2526), 1,
      aux_sym__block_repeat1,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2843), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2262), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [103087] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2529), 1,
      sym_extends_clause,
    STATE(2570), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2268), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2270), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [103144] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2845), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [103191] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2847), 1,
      anon_sym_with,
    STATE(1394), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [103240] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2734), 1,
      anon_sym_with,
    STATE(1398), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [103289] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [103334] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1930), 1,
      sym_block,
    STATE(1525), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2852), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [103383] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2734), 1,
      anon_sym_with,
    STATE(1394), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [103432] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1940), 1,
      sym_block,
    STATE(1351), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2854), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2856), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [103481] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2650), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2652), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [103546] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2175), 1,
      anon_sym_AT,
    STATE(1333), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2207), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [103595] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2858), 1,
      anon_sym_EQ_GT,
    ACTIONS(2860), 1,
      sym__interpolated_string_start,
    ACTIONS(2862), 1,
      sym__interpolated_multiline_string_start,
    STATE(2240), 1,
      sym_interpolated_string,
    ACTIONS(2452), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [103648] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2686), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2688), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [103713] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2292), 1,
      sym_extends_clause,
    STATE(2802), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2300), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2302), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [103770] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2346), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2348), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [103835] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2016), 1,
      anon_sym_extends,
    STATE(1778), 1,
      sym_extends_clause,
    STATE(2026), 1,
      sym_template_body,
    ACTIONS(2864), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2866), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [103886] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2354), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2356), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [103951] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_LPAREN,
    STATE(1408), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2238), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [104000] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2658), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [104057] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2662), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [104114] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    ACTIONS(2201), 1,
      anon_sym_extends,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym_extends_clause,
    STATE(2682), 1,
      sym_template_body,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2288), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2290), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [104171] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [104216] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2871), 1,
      anon_sym_AT,
    STATE(1413), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [104265] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_LPAREN,
    STATE(1408), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2224), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [104314] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [104361] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2396), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2398), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [104426] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2110), 1,
      sym_block,
    STATE(1374), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2874), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2876), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [104475] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_LBRACK,
    ACTIONS(2813), 1,
      anon_sym_POUND,
    ACTIONS(2878), 1,
      anon_sym_AT,
    STATE(1963), 1,
      sym_type_arguments,
    STATE(1641), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2030), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [104530] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2103), 1,
      sym_block,
    STATE(1525), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2880), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2882), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [104579] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2668), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2670), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [104644] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2677), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2679), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [104709] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(197), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_DOT,
    ACTIONS(2153), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_COLON,
    ACTIONS(2157), 1,
      anon_sym_EQ,
    ACTIONS(2159), 1,
      anon_sym_LPAREN,
    ACTIONS(2161), 1,
      anon_sym_match,
    STATE(2225), 1,
      sym_type_arguments,
    ACTIONS(2149), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2423), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2226), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2425), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [104774] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2433), 1,
      sym_block,
    STATE(1818), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2805), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2807), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [104822] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2566), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2568), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [104886] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2669), 1,
      sym_extends_clause,
    STATE(2891), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2247), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2249), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [104942] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2354), 1,
      ts_builtin_sym_end,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_COLON,
    ACTIONS(2366), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2370), 1,
      anon_sym_match,
    STATE(2688), 1,
      sym_type_arguments,
    ACTIONS(2358), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2356), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [105006] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2668), 1,
      sym_extends_clause,
    STATE(2896), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2243), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2245), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [105062] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [105106] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2725), 1,
      sym_extends_clause,
    STATE(2901), 1,
      sym_template_body,
    STATE(1476), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2232), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2234), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [105162] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [105206] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_LPAREN,
    STATE(1431), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2238), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [105254] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [105298] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_COLON,
    ACTIONS(2366), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2370), 1,
      anon_sym_match,
    ACTIONS(2396), 1,
      ts_builtin_sym_end,
    STATE(2688), 1,
      sym_type_arguments,
    ACTIONS(2358), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2398), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [105362] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2660), 1,
      sym_extends_clause,
    STATE(2905), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2213), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2215), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [105418] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [105462] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [105506] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_LPAREN,
    STATE(1595), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2224), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [105554] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [105598] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [105642] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2646), 1,
      sym_extends_clause,
    STATE(2922), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2209), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2211), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [105698] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2643), 1,
      sym_extends_clause,
    STATE(2938), 1,
      sym_template_body,
    STATE(1425), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2191), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2193), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [105754] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [105798] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2549), 1,
      sym_block,
    STATE(1818), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2797), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2799), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [105846] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_extends,
    STATE(1988), 1,
      sym_extends_clause,
    STATE(2531), 1,
      sym_template_body,
    ACTIONS(2801), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2803), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [105896] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2635), 1,
      sym_extends_clause,
    STATE(2956), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2187), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2189), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [105952] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2527), 1,
      sym_block,
    STATE(1423), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2874), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2876), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [106000] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2558), 1,
      sym_block,
    STATE(1818), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2880), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2882), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [106048] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2630), 1,
      sym_extends_clause,
    STATE(2959), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2183), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2185), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [106104] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2628), 1,
      sym_extends_clause,
    STATE(2962), 1,
      sym_template_body,
    STATE(1434), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2179), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2181), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [106160] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_COLON,
    ACTIONS(2366), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2370), 1,
      anon_sym_match,
    ACTIONS(2556), 1,
      ts_builtin_sym_end,
    ACTIONS(2887), 1,
      anon_sym_else,
    STATE(2688), 1,
      sym_type_arguments,
    ACTIONS(2358), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2558), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [106226] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_COLON,
    ACTIONS(2366), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2370), 1,
      anon_sym_match,
    ACTIONS(2686), 1,
      ts_builtin_sym_end,
    STATE(2688), 1,
      sym_type_arguments,
    ACTIONS(2358), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2688), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [106290] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2548), 1,
      anon_sym_LPAREN,
    STATE(1527), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2224), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [106338] = 15,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2260), 1,
      ts_builtin_sym_end,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2700), 1,
      aux_sym__block_repeat1,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2903), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2262), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [106406] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [106450] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_COLON,
    ACTIONS(2366), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2370), 1,
      anon_sym_match,
    ACTIONS(2650), 1,
      ts_builtin_sym_end,
    STATE(2688), 1,
      sym_type_arguments,
    ACTIONS(2358), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2652), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [106514] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2510), 1,
      sym_block,
    STATE(1818), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2744), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2746), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [106562] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [106606] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2508), 1,
      sym_block,
    STATE(1443), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2766), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [106654] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2613), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2615), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [106718] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_LPAREN,
    STATE(1431), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2224), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [106766] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [106810] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2654), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2656), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [106874] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_AT,
    STATE(1463), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2134), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [106922] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [106966] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_extends,
    STATE(1898), 1,
      sym_extends_clause,
    STATE(2502), 1,
      sym_template_body,
    ACTIONS(2768), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2770), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [107016] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2910), 1,
      anon_sym_with,
    STATE(1606), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2908), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
  [107068] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [107114] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2650), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2652), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [107178] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2386), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2388), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [107242] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2542), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2544), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [107306] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2400), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2402), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [107370] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2378), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [107418] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2408), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2410), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [107482] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2468), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2470), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [107546] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2492), 1,
      sym_block,
    STATE(1818), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2778), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2780), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [107594] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2684), 1,
      sym_extends_clause,
    STATE(2868), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2318), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2320), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [107650] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2476), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2478), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [107714] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2523), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2525), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [107778] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2686), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2688), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [107842] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2515), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2517), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [107906] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2346), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2348), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [107970] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2507), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2509), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [108034] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2621), 1,
      sym_extends_clause,
    STATE(2983), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2145), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2147), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [108090] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2914), 1,
      anon_sym_LPAREN,
    STATE(1484), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2818), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2820), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [108138] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2534), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2536), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [108202] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [108246] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [108290] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2917), 1,
      anon_sym_AT,
    STATE(1488), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [108338] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2600), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2602), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [108402] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2617), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2619), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [108466] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [108510] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2487), 1,
      anon_sym_AT,
    STATE(1600), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [108558] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_COLON,
    ACTIONS(2366), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2370), 1,
      anon_sym_match,
    ACTIONS(2668), 1,
      ts_builtin_sym_end,
    STATE(2688), 1,
      sym_type_arguments,
    ACTIONS(2358), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2670), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [108622] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_AT,
    STATE(1565), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2207), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [108670] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2920), 1,
      anon_sym_LBRACK,
    ACTIONS(2922), 1,
      anon_sym_AT,
    ACTIONS(2924), 1,
      anon_sym_POUND,
    STATE(2533), 1,
      sym_type_arguments,
    STATE(2200), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2030), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [108724] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2354), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2356), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [108788] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2592), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2594), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [108852] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2639), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2641), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [108916] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_COMMA,
    STATE(1592), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2928), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [108964] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [109008] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2932), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [109054] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2635), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2637), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [109118] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2350), 1,
      ts_builtin_sym_end,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(2688), 1,
      sym_type_arguments,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [109174] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [109218] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_COLON,
    ACTIONS(2366), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2370), 1,
      anon_sym_match,
    ACTIONS(2423), 1,
      ts_builtin_sym_end,
    STATE(2688), 1,
      sym_type_arguments,
    ACTIONS(2358), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2425), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [109282] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [109326] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [109370] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_COMMA,
    STATE(1499), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2936), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [109418] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_COLON,
    ACTIONS(2366), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2370), 1,
      anon_sym_match,
    ACTIONS(2677), 1,
      ts_builtin_sym_end,
    STATE(2688), 1,
      sym_type_arguments,
    ACTIONS(2358), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2679), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [109482] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2940), 1,
      anon_sym_LPAREN,
    ACTIONS(2942), 1,
      anon_sym_POUND,
    STATE(2556), 1,
      sym_type_arguments,
    STATE(1925), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 3,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
    ACTIONS(2044), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [109536] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2396), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2398), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [109600] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2416), 1,
      sym_block,
    STATE(1818), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2852), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [109648] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2414), 1,
      sym_block,
    STATE(1475), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2854), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2856), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [109696] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2662), 1,
      ts_builtin_sym_end,
    STATE(2688), 1,
      sym_type_arguments,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [109752] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_extends,
    STATE(1735), 1,
      sym_type_parameters,
    STATE(2259), 1,
      sym_extends_clause,
    STATE(2836), 1,
      sym_template_body,
    ACTIONS(2562), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2564), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [109804] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2658), 1,
      ts_builtin_sym_end,
    STATE(2688), 1,
      sym_type_arguments,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [109860] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_extends,
    STATE(1953), 1,
      sym_extends_clause,
    STATE(2399), 1,
      sym_template_body,
    ACTIONS(2864), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2866), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [109910] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2944), 1,
      anon_sym_with,
    STATE(1518), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [109958] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [110002] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [110046] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2562), 1,
      sym_extends_clause,
    STATE(3062), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2226), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2228), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [110102] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2947), 1,
      anon_sym_with,
    STATE(1531), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [110150] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [110194] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2564), 1,
      sym_extends_clause,
    STATE(3060), 1,
      sym_template_body,
    STATE(1445), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2253), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2255), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [110250] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2953), 1,
      anon_sym_LPAREN,
    STATE(1525), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2949), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2951), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [110298] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [110342] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2956), 1,
      anon_sym_LPAREN,
    STATE(1527), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2238), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [110390] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [110434] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2621), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2623), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [110498] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [110544] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2947), 1,
      anon_sym_with,
    STATE(1518), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [110592] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1728), 1,
      sym_type_parameters,
    STATE(2834), 1,
      sym_block,
    STATE(1720), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2604), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2606), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [110642] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [110686] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2499), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2501), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [110750] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [110794] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2920), 1,
      anon_sym_LBRACK,
    ACTIONS(2924), 1,
      anon_sym_POUND,
    ACTIONS(2959), 1,
      anon_sym_LPAREN,
    STATE(2533), 1,
      sym_type_arguments,
    STATE(1981), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 3,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
    ACTIONS(2044), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [110848] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    ACTIONS(2961), 1,
      anon_sym_else,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2556), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2558), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [110914] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2342), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2344), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [110978] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2423), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2425), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [111042] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2495), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2497), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [111106] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2963), 1,
      anon_sym_with,
    STATE(1541), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [111154] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2596), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2598), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [111218] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_with,
    STATE(1548), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [111266] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [111310] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [111354] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2462), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2464), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [111418] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [111462] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_with,
    STATE(1541), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [111510] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [111554] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2947), 1,
      anon_sym_with,
    STATE(1531), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2968), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
  [111606] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [111650] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [111694] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_EQ_GT,
    ACTIONS(2972), 1,
      sym__interpolated_string_start,
    ACTIONS(2974), 1,
      sym__interpolated_multiline_string_start,
    STATE(2712), 1,
      sym_interpolated_string,
    ACTIONS(2452), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [111746] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [111792] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1865), 1,
      sym_type_parameters,
    STATE(2625), 1,
      sym_block,
    STATE(1864), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2631), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2633), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [111842] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_extends,
    STATE(1868), 1,
      sym_type_parameters,
    STATE(2469), 1,
      sym_extends_clause,
    STATE(2626), 1,
      sym_template_body,
    ACTIONS(2625), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2627), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [111894] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2978), 1,
      anon_sym_with,
    STATE(1557), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [111942] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2981), 1,
      anon_sym_with,
    STATE(1603), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2435), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [111990] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [112034] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2681), 1,
      anon_sym_AT,
    STATE(1488), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [112082] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [112126] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [112172] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2575), 1,
      sym_extends_clause,
    STATE(3051), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2266), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [112228] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [112272] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2983), 1,
      anon_sym_AT,
    STATE(1565), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2134), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [112320] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2966), 1,
      anon_sym_with,
    STATE(1548), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2986), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [112372] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_extends,
    STATE(2020), 1,
      sym_extends_clause,
    STATE(2343), 1,
      sym_template_body,
    ACTIONS(2791), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2793), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [112422] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2579), 1,
      sym_extends_clause,
    STATE(3045), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2268), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2270), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [112478] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2910), 1,
      anon_sym_with,
    STATE(1606), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [112526] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_AT,
    STATE(1570), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [112574] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2582), 1,
      sym_extends_clause,
    STATE(3042), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2272), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2274), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [112630] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [112674] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2624), 1,
      sym_extends_clause,
    STATE(3040), 1,
      sym_template_body,
    STATE(1483), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2276), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2278), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [112730] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_extends,
    STATE(1723), 1,
      sym_type_parameters,
    STATE(2332), 1,
      sym_extends_clause,
    STATE(2756), 1,
      sym_template_body,
    ACTIONS(2412), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2414), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [112782] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_COLON,
    ACTIONS(2366), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2370), 1,
      anon_sym_match,
    ACTIONS(2556), 1,
      ts_builtin_sym_end,
    ACTIONS(2991), 1,
      anon_sym_else,
    STATE(2688), 1,
      sym_type_arguments,
    ACTIONS(2358), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2558), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [112848] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1726), 1,
      sym_type_parameters,
    STATE(2754), 1,
      sym_block,
    STATE(1730), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2416), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2418), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [112898] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    ACTIONS(2993), 1,
      anon_sym_else,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2556), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2558), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [112964] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2570), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2572), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [113028] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [113072] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2942), 1,
      anon_sym_POUND,
    ACTIONS(2995), 1,
      anon_sym_AT,
    STATE(2556), 1,
      sym_type_arguments,
    STATE(2047), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2030), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [113126] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [113170] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [113214] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2552), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2554), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [113278] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2981), 1,
      anon_sym_with,
    STATE(1558), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2997), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [113330] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2658), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [113386] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1666), 1,
      sym_access_qualifier,
    ACTIONS(2999), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3001), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [113432] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2662), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [113488] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2666), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [113536] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3003), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [113582] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3005), 1,
      anon_sym_EQ_GT,
    ACTIONS(3007), 1,
      sym__interpolated_string_start,
    ACTIONS(3009), 1,
      sym__interpolated_multiline_string_start,
    STATE(2849), 1,
      sym_interpolated_string,
    ACTIONS(2452), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [113634] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [113678] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3015), 1,
      anon_sym_COMMA,
    STATE(1592), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3011), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3013), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [113726] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2677), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2679), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [113790] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2668), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2670), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [113854] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3018), 1,
      anon_sym_LPAREN,
    STATE(1595), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2238), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [113902] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2404), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2406), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [113966] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [114012] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [114056] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2611), 1,
      anon_sym_AT,
    STATE(1570), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [114104] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3021), 1,
      anon_sym_AT,
    STATE(1600), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [114152] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_AT,
    STATE(1463), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2207), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [114200] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2736), 1,
      sym_extends_clause,
    STATE(2976), 1,
      sym_template_body,
    STATE(1610), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2294), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [114256] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3024), 1,
      anon_sym_with,
    STATE(1603), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2482), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [114304] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2733), 1,
      sym_extends_clause,
    STATE(2979), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2300), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2302), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [114360] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3027), 1,
      anon_sym_LPAREN,
    STATE(1605), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2238), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [114408] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2910), 1,
      anon_sym_with,
    STATE(1557), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [114456] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2392), 1,
      anon_sym_LPAREN,
    STATE(1605), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2224), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [114504] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2981), 1,
      anon_sym_with,
    STATE(1558), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [114552] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2350), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [114608] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2662), 1,
      sym_extends_clause,
    STATE(3009), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2288), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2290), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [114664] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2666), 1,
      sym_extends_clause,
    STATE(3006), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2322), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2324), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [114720] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [114764] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2835), 1,
      aux_sym__block_repeat1,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2260), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2262), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [114830] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2670), 1,
      sym_extends_clause,
    STATE(3003), 1,
      sym_template_body,
    STATE(1563), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2312), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2314), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [114886] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2677), 1,
      sym_extends_clause,
    STATE(3002), 1,
      sym_template_body,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2308), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2310), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [114942] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    STATE(1616), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2238), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [114990] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2332), 1,
      anon_sym_extends,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    STATE(2685), 1,
      sym_extends_clause,
    STATE(2997), 1,
      sym_template_body,
    STATE(1568), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2304), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2306), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [115046] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2643), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2645), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [115110] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      anon_sym_DOT,
    ACTIONS(2829), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 1,
      anon_sym_COLON,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(2837), 1,
      anon_sym_match,
    STATE(2784), 1,
      sym_type_arguments,
    ACTIONS(2825), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2578), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2778), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2580), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [115174] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN,
    STATE(1616), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2224), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [115222] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 31,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [115268] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LBRACE,
    ACTIONS(2346), 1,
      ts_builtin_sym_end,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_COLON,
    ACTIONS(2366), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2370), 1,
      anon_sym_match,
    STATE(2688), 1,
      sym_type_arguments,
    ACTIONS(2358), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2689), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2348), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [115332] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2566), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2568), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [115395] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1932), 1,
      sym_arguments,
    ACTIONS(3033), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3035), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [115440] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [115483] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3037), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3039), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [115526] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2167), 1,
      sym_template_body,
    ACTIONS(3041), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3043), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [115573] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [115616] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [115659] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2002), 1,
      sym_template_body,
    ACTIONS(3045), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3047), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [115706] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [115749] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2065), 1,
      sym_type_parameters,
    STATE(2991), 1,
      sym_block,
    STATE(2063), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2416), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2418), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [115798] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3049), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3051), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [115841] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [115884] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_extends,
    STATE(2068), 1,
      sym_type_parameters,
    STATE(2708), 1,
      sym_extends_clause,
    STATE(2990), 1,
      sym_template_body,
    ACTIONS(2412), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2414), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [115935] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [115978] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [116021] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2066), 1,
      sym_template_body,
    ACTIONS(3057), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3059), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116068] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_with,
    STATE(1639), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [116115] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3064), 1,
      anon_sym_with,
    STATE(1659), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116162] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2878), 1,
      anon_sym_AT,
    STATE(1776), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2207), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [116209] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2050), 1,
      sym_block,
    ACTIONS(3066), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3068), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116254] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2730), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116297] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2658), 1,
      sym_block,
    STATE(2073), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2778), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2780), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [116344] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116387] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116430] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(1948), 1,
      sym_template_body,
    ACTIONS(3074), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3076), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116477] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2054), 1,
      sym_template_body,
    ACTIONS(3078), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3080), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116522] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2033), 1,
      sym_template_body,
    ACTIONS(3082), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3084), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116569] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116612] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2061), 1,
      sym_template_body,
    ACTIONS(3086), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3088), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116659] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3090), 1,
      anon_sym_with,
    STATE(1733), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [116706] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [116751] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(1924), 1,
      sym_template_body,
    ACTIONS(3092), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3094), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116798] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116841] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3096), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3098), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116884] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3100), 1,
      anon_sym_with,
    STATE(1657), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2482), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116931] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(1993), 1,
      sym_template_body,
    ACTIONS(3103), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3105), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [116978] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3064), 1,
      anon_sym_with,
    STATE(1657), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2435), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [117025] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3109), 1,
      anon_sym_with,
    STATE(1802), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(3107), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_match,
  [117076] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3111), 1,
      anon_sym_with,
    STATE(1698), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [117123] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(1923), 1,
      sym_template_body,
    ACTIONS(3113), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3115), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [117170] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2732), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [117217] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3117), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [117262] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(2423), 1,
      ts_builtin_sym_end,
    ACTIONS(2705), 1,
      anon_sym_DOT,
    ACTIONS(2707), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_COLON,
    ACTIONS(2711), 1,
      anon_sym_EQ,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
    ACTIONS(2715), 1,
      anon_sym_match,
    STATE(2945), 1,
      sym_type_arguments,
    ACTIONS(2703), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2948), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2425), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [117325] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3119), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3121), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [117368] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1912), 1,
      sym_block,
    ACTIONS(3123), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3125), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [117413] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [117456] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [117499] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [117542] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2074), 1,
      sym_block,
    ACTIONS(3127), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3129), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [117587] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(2396), 1,
      ts_builtin_sym_end,
    ACTIONS(2705), 1,
      anon_sym_DOT,
    ACTIONS(2707), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_COLON,
    ACTIONS(2711), 1,
      anon_sym_EQ,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
    ACTIONS(2715), 1,
      anon_sym_match,
    STATE(2945), 1,
      sym_type_arguments,
    ACTIONS(2703), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2948), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2398), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [117650] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3131), 1,
      anon_sym_LBRACK,
    ACTIONS(3133), 1,
      anon_sym_LPAREN,
    ACTIONS(3135), 1,
      anon_sym_POUND,
    STATE(2846), 1,
      sym_type_arguments,
    STATE(2241), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 3,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
    ACTIONS(2044), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [117703] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [117748] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [117791] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(1892), 1,
      sym_template_body,
    ACTIONS(3137), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3139), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [117838] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [117881] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2570), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2572), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [117944] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [117989] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2726), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [118036] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2552), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2554), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [118099] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3064), 1,
      anon_sym_with,
    STATE(1659), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(3141), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [118150] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3143), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3145), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [118193] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2076), 1,
      sym_block,
    ACTIONS(3147), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3149), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [118238] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2108), 1,
      sym_type_parameters,
    STATE(2961), 1,
      sym_block,
    STATE(2104), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2604), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2606), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [118287] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2423), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2425), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [118350] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [118393] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3111), 1,
      anon_sym_with,
    STATE(1661), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [118440] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [118483] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2396), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2398), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [118546] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3151), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3153), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [118589] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(1933), 1,
      sym_template_body,
    ACTIONS(3155), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3157), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [118636] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_extends,
    STATE(2117), 1,
      sym_type_parameters,
    STATE(2765), 1,
      sym_extends_clause,
    STATE(2951), 1,
      sym_template_body,
    ACTIONS(2562), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2564), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [118687] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2643), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2645), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [118750] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_extends,
    STATE(1989), 1,
      sym_type_parameters,
    STATE(2596), 1,
      sym_extends_clause,
    STATE(3038), 1,
      sym_template_body,
    ACTIONS(2625), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2627), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [118801] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1985), 1,
      sym_type_parameters,
    STATE(3039), 1,
      sym_block,
    STATE(1982), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2631), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2633), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [118850] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3159), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3161), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [118893] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3163), 1,
      anon_sym_with,
    STATE(1698), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [118940] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2354), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2356), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [119003] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3170), 1,
      anon_sym_EQ,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3168), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [119050] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2077), 1,
      sym_template_body,
    ACTIONS(3174), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3176), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [119097] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(3182), 1,
      anon_sym_EQ,
    ACTIONS(3178), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3180), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [119144] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3184), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [119187] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3186), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3188), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [119230] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(1996), 1,
      sym_template_body,
    ACTIONS(3190), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3192), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [119277] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_LPAREN,
    STATE(1706), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2238), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [119324] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2613), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2615), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [119387] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2168), 1,
      sym_template_body,
    ACTIONS(3197), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3199), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [119434] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [119477] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2654), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2656), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [119540] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2346), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2348), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [119603] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2686), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2688), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [119666] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2650), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2652), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [119729] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1997), 1,
      sym_block,
    ACTIONS(3201), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3203), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [119774] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2062), 1,
      sym_access_qualifier,
    ACTIONS(2999), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3001), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [119819] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2386), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2388), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [119882] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2578), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2580), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [119945] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [119990] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [120033] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2774), 1,
      sym_block,
    STATE(2073), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2852), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [120080] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_STAR,
    ACTIONS(3207), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [120125] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    STATE(1862), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2224), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [120172] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_extends,
    STATE(2440), 1,
      sym_extends_clause,
    STATE(2645), 1,
      sym_template_body,
    ACTIONS(2768), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2770), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [120221] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2400), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2402), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [120284] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2081), 1,
      sym_template_body,
    ACTIONS(3213), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3215), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [120331] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2637), 1,
      sym_block,
    STATE(1870), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2766), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [120378] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2059), 1,
      sym_template_body,
    ACTIONS(3217), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3219), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [120425] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2787), 1,
      sym_block,
    STATE(1644), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2854), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2856), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [120472] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2408), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2410), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [120535] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2634), 1,
      sym_block,
    STATE(2073), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2744), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2746), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [120582] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2468), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2470), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [120645] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [120688] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3090), 1,
      anon_sym_with,
    STATE(1639), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [120735] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2721), 1,
      anon_sym_LPAREN,
    STATE(1706), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2224), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [120782] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_extends,
    STATE(2300), 1,
      sym_extends_clause,
    STATE(2796), 1,
      sym_template_body,
    ACTIONS(2864), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2866), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [120831] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [120876] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2027), 1,
      sym_block,
    ACTIONS(3221), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3223), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [120921] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2101), 1,
      sym_template_body,
    ACTIONS(3225), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3227), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [120968] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2085), 1,
      sym_template_body,
    ACTIONS(3229), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3231), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [121015] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2762), 1,
      sym_block,
    STATE(2073), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2805), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2807), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [121062] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [121105] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [121150] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [121195] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2476), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2478), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [121258] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2596), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2598), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [121321] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2534), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2536), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [121384] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2179), 1,
      sym_template_body,
    ACTIONS(3235), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3237), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [121431] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3239), 1,
      anon_sym_COMMA,
    STATE(1801), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2928), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [121478] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_AT,
    STATE(1749), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2134), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [121525] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2088), 1,
      sym_block,
    ACTIONS(3244), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3246), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [121570] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3248), 1,
      anon_sym_LPAREN,
    STATE(1751), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2818), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2820), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [121617] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [121660] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2189), 1,
      sym_template_body,
    ACTIONS(3251), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3253), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [121707] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [121750] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [121793] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2600), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2602), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [121856] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_with,
    STATE(1757), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2482), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [121903] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2055), 1,
      sym_block,
    ACTIONS(3262), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3264), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [121948] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_with,
    STATE(1759), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [121995] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2617), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2619), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [122058] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [122101] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [122144] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [122187] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2592), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2594), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [122250] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3109), 1,
      anon_sym_with,
    STATE(1802), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [122297] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [122340] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [122383] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [122426] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2542), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2544), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [122489] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2092), 1,
      sym_template_body,
    ACTIONS(3269), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3271), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [122536] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3273), 1,
      anon_sym_with,
    STATE(1799), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [122583] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3111), 1,
      anon_sym_with,
    STATE(1661), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(3275), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
  [122634] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3277), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3279), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [122677] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2180), 1,
      sym_template_body,
    ACTIONS(3281), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3283), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [122724] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2639), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2641), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [122787] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3285), 1,
      anon_sym_AT,
    STATE(1776), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2134), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [122834] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [122877] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1880), 1,
      sym_template_body,
    ACTIONS(3288), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3290), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [122922] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [122965] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3294), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [123010] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(2354), 1,
      ts_builtin_sym_end,
    ACTIONS(2705), 1,
      anon_sym_DOT,
    ACTIONS(2707), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_COLON,
    ACTIONS(2711), 1,
      anon_sym_EQ,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
    ACTIONS(2715), 1,
      anon_sym_match,
    STATE(2945), 1,
      sym_type_arguments,
    ACTIONS(2703), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2948), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2356), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [123073] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2635), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2637), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [123136] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_finally,
    STATE(2133), 1,
      sym_finally_clause,
    ACTIONS(3298), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
  [123183] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [123226] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [123269] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [123312] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3239), 1,
      anon_sym_COMMA,
    STATE(1748), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2936), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [123359] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [123402] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [123445] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3304), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [123488] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_LPAREN,
    STATE(1791), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2238), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [123535] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_extends,
    STATE(2250), 1,
      sym_extends_clause,
    STATE(2843), 1,
      sym_template_body,
    ACTIONS(2791), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2793), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [123584] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2621), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2623), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [123647] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    ACTIONS(3311), 1,
      sym__interpolated_string_start,
    ACTIONS(3313), 1,
      sym__interpolated_multiline_string_start,
    STATE(2952), 1,
      sym_interpolated_string,
    ACTIONS(2452), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [123698] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2186), 1,
      sym_template_body,
    ACTIONS(3315), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3317), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [123745] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2342), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2344), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [123808] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2053), 1,
      sym_template_body,
    ACTIONS(3319), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3321), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [123855] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2093), 1,
      sym_template_body,
    ACTIONS(3323), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3325), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [123902] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3273), 1,
      anon_sym_with,
    STATE(1757), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2435), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [123949] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2070), 1,
      sym_template_body,
    ACTIONS(3327), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3329), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [123996] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COMMA,
    STATE(1801), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3011), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3013), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [124043] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3109), 1,
      anon_sym_with,
    STATE(1759), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [124090] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [124133] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_LPAREN,
    STATE(1791), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2224), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [124180] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [124225] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3131), 1,
      anon_sym_LBRACK,
    ACTIONS(3135), 1,
      anon_sym_POUND,
    ACTIONS(3336), 1,
      anon_sym_AT,
    STATE(2846), 1,
      sym_type_arguments,
    STATE(2286), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2030), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [124278] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2097), 1,
      sym_template_body,
    ACTIONS(3338), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3340), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [124325] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3344), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [124368] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [124411] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2350), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [124466] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2183), 1,
      sym_block,
    ACTIONS(3346), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3348), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [124511] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1812), 1,
      aux_sym__block_repeat1,
    ACTIONS(3350), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2580), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [124558] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_EQ_GT,
    ACTIONS(3355), 1,
      sym__interpolated_string_start,
    ACTIONS(3357), 1,
      sym__interpolated_multiline_string_start,
    STATE(2932), 1,
      sym_interpolated_string,
    ACTIONS(2452), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [124609] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2404), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2406), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [124672] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 1,
      ts_builtin_sym_end,
    ACTIONS(2705), 1,
      anon_sym_DOT,
    ACTIONS(2707), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_COLON,
    ACTIONS(2711), 1,
      anon_sym_EQ,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
    ACTIONS(2715), 1,
      anon_sym_match,
    STATE(2945), 1,
      sym_type_arguments,
    ACTIONS(2703), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2948), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2652), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [124735] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym__block_repeat1,
    ACTIONS(2286), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2262), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [124782] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3090), 1,
      anon_sym_with,
    STATE(1733), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(3359), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
  [124833] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_LPAREN,
    STATE(1818), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2949), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2951), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [124880] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2462), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2464), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [124943] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(2350), 1,
      ts_builtin_sym_end,
    ACTIONS(2705), 1,
      anon_sym_DOT,
    ACTIONS(2707), 1,
      anon_sym_LBRACK,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
    STATE(2945), 1,
      sym_type_arguments,
    STATE(2948), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [124998] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_AT,
    STATE(1821), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [125045] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [125090] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [125133] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [125176] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3273), 1,
      anon_sym_with,
    STATE(1799), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(3369), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [125227] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2495), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2497), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [125290] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2029), 1,
      sym_template_body,
    ACTIONS(3371), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3373), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [125337] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2113), 1,
      sym_template_body,
    ACTIONS(3375), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3377), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [125382] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [125425] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2668), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2670), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [125488] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_DOT,
    ACTIONS(3379), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3381), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [125533] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2677), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2679), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [125596] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [125639] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2051), 1,
      sym_template_body,
    ACTIONS(3385), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3387), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [125686] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2136), 1,
      sym_template_body,
    ACTIONS(3389), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3391), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [125731] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2699), 1,
      anon_sym_AT,
    STATE(1749), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2207), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [125778] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [125821] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2499), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2501), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [125884] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2662), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [125939] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2127), 1,
      sym_block,
    ACTIONS(3393), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3395), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [125984] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(2686), 1,
      ts_builtin_sym_end,
    ACTIONS(2705), 1,
      anon_sym_DOT,
    ACTIONS(2707), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_COLON,
    ACTIONS(2711), 1,
      anon_sym_EQ,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
    ACTIONS(2715), 1,
      anon_sym_match,
    STATE(2945), 1,
      sym_type_arguments,
    ACTIONS(2703), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2948), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2688), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [126047] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2507), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2509), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [126110] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(2346), 1,
      ts_builtin_sym_end,
    ACTIONS(2705), 1,
      anon_sym_DOT,
    ACTIONS(2707), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_COLON,
    ACTIONS(2711), 1,
      anon_sym_EQ,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
    ACTIONS(2715), 1,
      anon_sym_match,
    STATE(2945), 1,
      sym_type_arguments,
    ACTIONS(2703), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2948), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2348), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [126173] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2515), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2517), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [126236] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2129), 1,
      sym_template_body,
    ACTIONS(3397), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3399), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [126281] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [126324] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2078), 1,
      sym_template_body,
    ACTIONS(3401), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3403), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [126371] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [126414] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [126457] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [126500] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2897), 1,
      anon_sym_EQ,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      anon_sym_match,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2889), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2523), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2525), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [126563] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2031), 1,
      sym_template_body,
    ACTIONS(3405), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3407), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [126610] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [126653] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [126696] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_LBRACE,
    ACTIONS(2891), 1,
      anon_sym_DOT,
    ACTIONS(2893), 1,
      anon_sym_LBRACK,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    STATE(2923), 1,
      sym_type_arguments,
    ACTIONS(2658), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2924), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [126751] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [126794] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [126837] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2762), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [126884] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LBRACE,
    STATE(2137), 1,
      sym_template_body,
    ACTIONS(3409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3411), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [126931] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1812), 1,
      aux_sym__block_repeat1,
    ACTIONS(3413), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(607), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [126978] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1991), 1,
      sym_template_body,
    ACTIONS(3415), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3417), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [127023] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_LPAREN,
    STATE(1862), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2238), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [127070] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2787), 1,
      anon_sym_AT,
    STATE(1821), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [127117] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2654), 1,
      sym_block,
    STATE(2073), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2880), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2882), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [127164] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2653), 1,
      sym_block,
    STATE(1740), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2874), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2876), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [127211] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 30,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [127254] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1812), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [127299] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_extends,
    STATE(2439), 1,
      sym_extends_clause,
    STATE(2640), 1,
      sym_template_body,
    ACTIONS(2801), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2803), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [127348] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2216), 1,
      sym_template_body,
    ACTIONS(3422), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3424), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [127393] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2618), 1,
      sym_block,
    STATE(2073), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2797), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2799), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [127440] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [127483] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [127526] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [127569] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(2668), 1,
      ts_builtin_sym_end,
    ACTIONS(2705), 1,
      anon_sym_DOT,
    ACTIONS(2707), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_COLON,
    ACTIONS(2711), 1,
      anon_sym_EQ,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
    ACTIONS(2715), 1,
      anon_sym_match,
    STATE(2945), 1,
      sym_type_arguments,
    ACTIONS(2703), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2948), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2670), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [127632] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2158), 1,
      sym_block,
    ACTIONS(3426), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3428), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [127677] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(2677), 1,
      ts_builtin_sym_end,
    ACTIONS(2705), 1,
      anon_sym_DOT,
    ACTIONS(2707), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_COLON,
    ACTIONS(2711), 1,
      anon_sym_EQ,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
    ACTIONS(2715), 1,
      anon_sym_match,
    STATE(2945), 1,
      sym_type_arguments,
    ACTIONS(2703), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(2948), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2679), 21,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_catch,
      anon_sym_finally,
  [127740] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2163), 1,
      sym_block,
    ACTIONS(3430), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3432), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [127785] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(2662), 1,
      ts_builtin_sym_end,
    ACTIONS(2705), 1,
      anon_sym_DOT,
    ACTIONS(2707), 1,
      anon_sym_LBRACK,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
    STATE(2945), 1,
      sym_type_arguments,
    STATE(2948), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [127840] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LBRACE,
    ACTIONS(2658), 1,
      ts_builtin_sym_end,
    ACTIONS(2705), 1,
      anon_sym_DOT,
    ACTIONS(2707), 1,
      anon_sym_LBRACK,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
    STATE(2945), 1,
      sym_type_arguments,
    STATE(2948), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [127895] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3434), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3436), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [127937] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3438), 1,
      anon_sym_with,
    STATE(1881), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2482), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [127983] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3441), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3443), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128025] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [128067] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3445), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3447), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128109] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2555), 1,
      sym_template_body,
    ACTIONS(3041), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3043), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128155] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2554), 1,
      sym_template_body,
    ACTIONS(3197), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3199), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128201] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2541), 1,
      sym_block,
    ACTIONS(3393), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3395), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128245] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2578), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2580), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128287] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2551), 1,
      sym_template_body,
    ACTIONS(3235), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3237), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128333] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1927), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128377] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3277), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3279), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128419] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3449), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3451), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128461] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2916), 1,
      sym_block,
    STATE(2357), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2805), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2807), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [128507] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_with,
    STATE(1937), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128553] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2548), 1,
      sym_template_body,
    ACTIONS(3281), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3283), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128599] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2545), 1,
      sym_template_body,
    ACTIONS(3315), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3317), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128645] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2542), 1,
      sym_template_body,
    ACTIONS(3251), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3253), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128691] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2538), 1,
      sym_template_body,
    ACTIONS(3397), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3399), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128735] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3455), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3457), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128777] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_LPAREN,
    STATE(1900), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2238), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [128823] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128865] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [128907] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3462), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3464), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128949] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2534), 1,
      sym_template_body,
    ACTIONS(3409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3411), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [128995] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3466), 1,
      anon_sym_with,
    STATE(1914), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [129041] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129083] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2516), 1,
      sym_block,
    ACTIONS(3426), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3428), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129127] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [129169] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2544), 1,
      sym_template_body,
    ACTIONS(3375), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3377), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129213] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2391), 1,
      sym_block,
    ACTIONS(3430), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3432), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129257] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3468), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3470), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129299] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3474), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129341] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2908), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
  [129387] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3466), 1,
      anon_sym_with,
    STATE(1918), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [129433] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3476), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3478), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129475] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129517] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2485), 1,
      sym_template_body,
    ACTIONS(3269), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3271), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129563] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3480), 1,
      anon_sym_with,
    STATE(1918), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [129609] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129651] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_LPAREN,
    STATE(1920), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2238), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [129697] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129739] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129781] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3488), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129823] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3490), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3492), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129865] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2940), 1,
      anon_sym_LPAREN,
    STATE(1900), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2224), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [129911] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2504), 1,
      sym_template_body,
    ACTIONS(3422), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3424), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [129955] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1927), 1,
      aux_sym__block_repeat1,
    ACTIONS(3494), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2580), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130001] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3497), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3499), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130043] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [130087] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3505), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130129] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3507), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3509), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130171] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3513), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130213] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3515), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3517), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130255] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3519), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3521), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130297] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3344), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130339] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [130381] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_with,
    STATE(1881), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2435), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130427] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2498), 1,
      sym_template_body,
    ACTIONS(3338), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3340), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130473] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3523), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3525), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130515] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3527), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3529), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130557] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [130599] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2488), 1,
      sym_block,
    ACTIONS(3346), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3348), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130643] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(2350), 1,
      ts_builtin_sym_end,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_type_arguments,
    STATE(3101), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [130697] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130739] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3537), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3539), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130781] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2490), 1,
      sym_template_body,
    ACTIONS(3327), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3329), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130827] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2487), 1,
      sym_template_body,
    ACTIONS(3323), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3325), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130873] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3541), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3543), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130915] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3304), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [130957] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [130999] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3466), 1,
      anon_sym_with,
    STATE(1914), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(3545), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
  [131049] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3547), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3549), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131091] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2474), 1,
      sym_template_body,
    ACTIONS(3288), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3290), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131135] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [131177] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3553), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131219] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2473), 1,
      sym_template_body,
    ACTIONS(3225), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3227), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131265] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [131307] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2470), 1,
      sym_template_body,
    ACTIONS(3057), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3059), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131353] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2481), 1,
      sym_block,
    ACTIONS(3244), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3246), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131397] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3557), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131439] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2467), 1,
      sym_template_body,
    ACTIONS(3082), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3084), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131485] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [131527] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [131569] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3096), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3098), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131611] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2476), 1,
      sym_template_body,
    ACTIONS(3229), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3231), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131657] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2459), 1,
      sym_template_body,
    ACTIONS(3103), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3105), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131703] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131745] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3559), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3561), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131787] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3143), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3145), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131829] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3151), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3153), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131871] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3184), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131913] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3186), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3188), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131955] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2451), 1,
      sym_arguments,
    ACTIONS(3033), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3035), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [131999] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2465), 1,
      sym_template_body,
    ACTIONS(3213), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3215), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [132045] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3563), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3565), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [132087] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2462), 1,
      sym_template_body,
    ACTIONS(3174), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3176), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [132133] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [132175] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2457), 1,
      sym_block,
    ACTIONS(3147), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3149), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [132219] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2454), 1,
      sym_block,
    ACTIONS(3127), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3129), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [132263] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3567), 1,
      anon_sym_AT,
    STATE(1980), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2134), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [132309] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2959), 1,
      anon_sym_LPAREN,
    STATE(1920), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2224), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [132355] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3008), 1,
      sym_block,
    STATE(2357), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2880), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2882), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [132401] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [132443] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [132485] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3013), 1,
      sym_block,
    STATE(1893), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2874), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2876), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [132531] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2442), 1,
      sym_template_body,
    ACTIONS(3086), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3088), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [132577] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3572), 1,
      anon_sym_with,
    STATE(2098), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(3570), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
  [132627] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2438), 1,
      sym_template_body,
    ACTIONS(3078), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3080), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [132671] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_extends,
    STATE(2612), 1,
      sym_extends_clause,
    STATE(3017), 1,
      sym_template_body,
    ACTIONS(2801), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2803), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [132719] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2436), 1,
      sym_block,
    ACTIONS(3066), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3068), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [132763] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3576), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [132805] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3578), 1,
      anon_sym_EQ_GT,
    ACTIONS(3580), 1,
      sym__interpolated_string_start,
    ACTIONS(3582), 1,
      sym__interpolated_multiline_string_start,
    STATE(3113), 1,
      sym_interpolated_string,
    ACTIONS(2452), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [132855] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3586), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [132897] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3026), 1,
      sym_block,
    STATE(2357), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2797), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2799), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [132943] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3588), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3590), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [132985] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3592), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3594), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133027] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3596), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3598), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133069] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2401), 1,
      sym_template_body,
    ACTIONS(3415), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3417), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133113] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3600), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [133157] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [133199] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [133241] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3604), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133283] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2395), 1,
      sym_template_body,
    ACTIONS(3401), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3403), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133329] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3606), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3608), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133371] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3037), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3039), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133413] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2430), 1,
      sym_template_body,
    ACTIONS(3045), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3047), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133459] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3049), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3051), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133501] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3610), 1,
      anon_sym_with,
    STATE(2008), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2482), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [133547] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [133589] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3613), 1,
      anon_sym_AT,
    STATE(2010), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2134), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [133635] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [133677] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2425), 1,
      sym_template_body,
    ACTIONS(3074), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3076), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133723] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [133765] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133807] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2420), 1,
      sym_template_body,
    ACTIONS(3092), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3094), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133853] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2418), 1,
      sym_template_body,
    ACTIONS(3113), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3115), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133899] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2417), 1,
      sym_block,
    ACTIONS(3123), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3125), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133943] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3616), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [133987] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3572), 1,
      anon_sym_with,
    STATE(2098), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [134033] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2376), 1,
      sym_template_body,
    ACTIONS(3389), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3391), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134077] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2411), 1,
      sym_template_body,
    ACTIONS(3137), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3139), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134123] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2408), 1,
      sym_template_body,
    ACTIONS(3155), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3157), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134169] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134211] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2404), 1,
      sym_template_body,
    ACTIONS(3190), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3192), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134257] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2403), 1,
      sym_block,
    ACTIONS(3201), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3203), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134301] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3618), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3620), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134343] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3622), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3624), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134385] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2402), 1,
      sym_block,
    ACTIONS(3221), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3223), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134429] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3626), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3628), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134471] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134513] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3630), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3632), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134555] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134599] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3636), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134641] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3638), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3640), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134683] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3453), 1,
      anon_sym_with,
    STATE(1937), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(3642), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [134733] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134775] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2400), 1,
      sym_template_body,
    ACTIONS(3371), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3373), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134821] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [134863] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3646), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134905] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2397), 1,
      sym_template_body,
    ACTIONS(3405), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3407), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134951] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2223), 1,
      sym_template_body,
    ACTIONS(3385), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3387), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [134997] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3648), 1,
      anon_sym_DOT,
    ACTIONS(3379), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3381), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135041] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2390), 1,
      sym_template_body,
    ACTIONS(3319), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3321), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135087] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3652), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135129] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2380), 1,
      sym_block,
    ACTIONS(3262), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3264), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135173] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(2556), 1,
      ts_builtin_sym_end,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3656), 1,
      anon_sym_COLON,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(3660), 1,
      anon_sym_else,
    ACTIONS(3662), 1,
      anon_sym_match,
    STATE(3098), 1,
      sym_type_arguments,
    ACTIONS(3654), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3101), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2558), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [135237] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2995), 1,
      anon_sym_AT,
    STATE(1980), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2207), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [135283] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3664), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3666), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135325] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LBRACE,
    STATE(2374), 1,
      sym_template_body,
    ACTIONS(3217), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3219), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135371] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3668), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3670), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135413] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3672), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3674), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135455] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3676), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3678), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135497] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3680), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3682), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135539] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3684), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3686), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135581] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3688), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3690), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135623] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135665] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2997), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [135711] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2986), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [135757] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3692), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3694), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135799] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3698), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135841] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3700), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3702), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135883] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3119), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3121), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [135925] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3035), 1,
      sym_block,
    STATE(2357), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2744), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2746), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [135971] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136013] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3034), 1,
      sym_block,
    STATE(1994), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2766), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [136059] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3706), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136101] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_COMMA,
    STATE(2089), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2936), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [136147] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_extends,
    STATE(2607), 1,
      sym_extends_clause,
    STATE(3031), 1,
      sym_template_body,
    ACTIONS(2768), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2770), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [136195] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3712), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136237] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3716), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136279] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3718), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3720), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136321] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3724), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136363] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_LPAREN,
    STATE(2073), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2949), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2951), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [136409] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3729), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3731), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136451] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3024), 1,
      sym_block,
    STATE(2357), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2778), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2780), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [136497] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3733), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3735), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136539] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3737), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3739), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136581] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3741), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3743), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136623] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3745), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3747), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136665] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136707] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3749), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3751), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136749] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [136791] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3753), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3755), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136833] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136875] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3757), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3759), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [136917] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    STATE(2086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2818), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2820), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [136963] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3766), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137005] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3768), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3770), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137047] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_COMMA,
    STATE(2125), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2928), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [137093] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2182), 1,
      aux_sym__block_repeat1,
    ACTIONS(2466), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2262), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137139] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3772), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3774), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137181] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3776), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3778), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137223] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3780), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3782), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137265] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_STAR,
    ACTIONS(3207), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137309] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3786), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3788), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137351] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3790), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3792), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137393] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3794), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3796), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137435] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3572), 1,
      anon_sym_with,
    STATE(2008), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2435), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [137481] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137523] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137565] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3802), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3804), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137607] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2730), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137649] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3806), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3808), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137691] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2989), 1,
      sym_block,
    STATE(2357), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2852), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [137737] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3812), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137779] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3816), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137821] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 1,
      ts_builtin_sym_end,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3656), 1,
      anon_sym_COLON,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(3662), 1,
      anon_sym_match,
    STATE(3098), 1,
      sym_type_arguments,
    ACTIONS(3654), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3101), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2652), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [137883] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2988), 1,
      sym_block,
    STATE(2075), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2854), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2856), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [137929] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3820), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [137971] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3822), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3824), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138013] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3828), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138055] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138097] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3832), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138139] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138181] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3834), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3836), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138223] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3840), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138265] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_extends,
    STATE(2731), 1,
      sym_extends_clause,
    STATE(2980), 1,
      sym_template_body,
    ACTIONS(2864), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2866), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [138313] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3842), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3844), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138355] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3846), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3848), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138397] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [138439] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(2686), 1,
      ts_builtin_sym_end,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3656), 1,
      anon_sym_COLON,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(3662), 1,
      anon_sym_match,
    STATE(3098), 1,
      sym_type_arguments,
    ACTIONS(3654), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3101), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2688), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [138501] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138543] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(2346), 1,
      ts_builtin_sym_end,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3656), 1,
      anon_sym_COLON,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(3662), 1,
      anon_sym_match,
    STATE(3098), 1,
      sym_type_arguments,
    ACTIONS(3654), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3101), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2348), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [138605] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3856), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138647] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3858), 1,
      anon_sym_COMMA,
    STATE(2125), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3011), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3013), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [138693] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3861), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3863), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138735] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3865), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3867), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138777] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3869), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3871), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138819] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3873), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3875), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138861] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3877), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3879), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138903] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_extends,
    STATE(2771), 1,
      sym_extends_clause,
    STATE(2947), 1,
      sym_template_body,
    ACTIONS(2791), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2793), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [138951] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3883), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [138993] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3887), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139035] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3891), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139077] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3895), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139119] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3897), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3899), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139161] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3901), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3903), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139203] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2090), 1,
      anon_sym_finally,
    STATE(2830), 1,
      sym_finally_clause,
    ACTIONS(3298), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [139249] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [139291] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3907), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139333] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139375] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [139417] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3159), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3161), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139459] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(3909), 1,
      anon_sym_EQ,
    ACTIONS(3166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3168), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139505] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(3911), 1,
      anon_sym_EQ,
    ACTIONS(3178), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3180), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139551] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3915), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139593] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3919), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139635] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3921), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3923), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139677] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3927), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139719] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(2354), 1,
      ts_builtin_sym_end,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3656), 1,
      anon_sym_COLON,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(3662), 1,
      anon_sym_match,
    STATE(3098), 1,
      sym_type_arguments,
    ACTIONS(3654), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3101), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2356), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [139781] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3929), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3931), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139823] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139865] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3933), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3935), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139907] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_finally,
    STATE(2295), 1,
      sym_finally_clause,
    ACTIONS(3298), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
  [139953] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [139995] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140037] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2968), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
  [140083] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3937), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3939), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140125] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [140167] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140209] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140251] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3943), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140293] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3945), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3947), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140335] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3951), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140377] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3955), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140419] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3957), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3959), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140461] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3961), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3963), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140503] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3965), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3967), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140545] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2730), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140587] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [140629] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140671] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3969), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3971), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140713] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140755] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [140797] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [140841] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [140883] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140925] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [140967] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3973), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3975), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [141009] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3977), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3979), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [141051] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3981), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3983), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [141093] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(1927), 1,
      aux_sym__block_repeat1,
    ACTIONS(3985), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(607), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [141139] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3989), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [141181] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [141223] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3991), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3993), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [141265] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3995), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3997), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [141307] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 29,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [141351] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3999), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4001), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [141393] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4003), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4005), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [141435] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4007), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4009), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [141477] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(2556), 1,
      ts_builtin_sym_end,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3656), 1,
      anon_sym_COLON,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(3662), 1,
      anon_sym_match,
    ACTIONS(4011), 1,
      anon_sym_else,
    STATE(3098), 1,
      sym_type_arguments,
    ACTIONS(3654), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3101), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2558), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [141541] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [141583] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(2668), 1,
      ts_builtin_sym_end,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3656), 1,
      anon_sym_COLON,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(3662), 1,
      anon_sym_match,
    STATE(3098), 1,
      sym_type_arguments,
    ACTIONS(3654), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3101), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2670), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [141645] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4013), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4015), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [141687] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(2677), 1,
      ts_builtin_sym_end,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3656), 1,
      anon_sym_COLON,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(3662), 1,
      anon_sym_match,
    STATE(3098), 1,
      sym_type_arguments,
    ACTIONS(3654), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3101), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2679), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [141749] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2261), 1,
      sym_access_qualifier,
    ACTIONS(2999), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3001), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [141793] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(2662), 1,
      ts_builtin_sym_end,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_type_arguments,
    STATE(3101), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [141847] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(2396), 1,
      ts_builtin_sym_end,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3656), 1,
      anon_sym_COLON,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(3662), 1,
      anon_sym_match,
    STATE(3098), 1,
      sym_type_arguments,
    ACTIONS(3654), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3101), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2398), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [141909] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(2658), 1,
      ts_builtin_sym_end,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_type_arguments,
    STATE(3101), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [141963] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2922), 1,
      anon_sym_AT,
    STATE(2010), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2207), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [142009] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4017), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4019), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142051] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LBRACE,
    ACTIONS(2423), 1,
      ts_builtin_sym_end,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3656), 1,
      anon_sym_COLON,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(3662), 1,
      anon_sym_match,
    STATE(3098), 1,
      sym_type_arguments,
    ACTIONS(3654), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3101), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2425), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
  [142113] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4021), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4023), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142155] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142197] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4025), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4027), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142239] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4029), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4031), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142281] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142323] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4037), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4039), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142365] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4041), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4043), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142407] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4045), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4047), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142449] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4049), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4051), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142491] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4053), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4055), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142533] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4057), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4059), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142575] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3294), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142619] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4061), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4063), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142661] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4065), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4067), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142703] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4069), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4071), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142745] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4073), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4075), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142787] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4077), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4079), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142829] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4081), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4083), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142871] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4085), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4087), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142913] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4077), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4079), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142954] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3672), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3674), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [142995] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [143036] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3943), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [143077] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3951), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [143118] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_finally,
    STATE(2775), 1,
      sym_finally_clause,
    ACTIONS(3298), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
  [143163] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4089), 1,
      anon_sym_LPAREN,
    STATE(2228), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2238), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [143208] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3159), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3161), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [143249] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [143290] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3557), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [143331] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3553), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [143372] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2396), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2398), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [143433] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [143474] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2552), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2554), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [143535] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(4106), 1,
      anon_sym_EQ,
    ACTIONS(3166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3168), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [143580] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2350), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    STATE(3134), 1,
      sym_type_arguments,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [143633] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [143674] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2493), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [143717] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3955), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [143758] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3133), 1,
      anon_sym_LPAREN,
    STATE(2228), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 4,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2224), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [143803] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_DOT,
    ACTIONS(3379), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3381), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [143846] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2643), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2645), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [143907] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [143948] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [143989] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2526), 1,
      aux_sym__block_repeat1,
    ACTIONS(2843), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2262), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [144034] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [144075] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2578), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2580), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [144116] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2423), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2425), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [144177] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2817), 1,
      sym_template_body,
    ACTIONS(3389), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3391), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [144220] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(4110), 1,
      anon_sym_EQ,
    ACTIONS(3178), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3180), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [144265] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [144308] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [144349] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [144390] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4112), 1,
      anon_sym_with,
    STATE(2265), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2435), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [144435] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2803), 1,
      sym_template_body,
    ACTIONS(3401), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3403), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [144480] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2596), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2598), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [144541] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3359), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
  [144586] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2794), 1,
      sym_template_body,
    ACTIONS(3415), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3417), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [144629] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2566), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2568), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [144690] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3119), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3121), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [144731] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [144772] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2831), 1,
      sym_template_body,
    ACTIONS(3217), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3219), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [144817] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2354), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2356), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [144878] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4114), 1,
      anon_sym_with,
    STATE(2265), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2482), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [144923] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2720), 1,
      sym_arguments,
    ACTIONS(3033), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3035), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [144966] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3891), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [145007] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2829), 1,
      sym_block,
    ACTIONS(3262), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3264), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145050] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3186), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3188), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145091] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4112), 1,
      anon_sym_with,
    STATE(2255), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4117), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
  [145140] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3184), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145181] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3151), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3153), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145222] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3143), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3145), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145263] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145304] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2828), 1,
      sym_template_body,
    ACTIONS(3319), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3321), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145349] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2701), 1,
      sym_template_body,
    ACTIONS(3103), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3105), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145394] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_AT,
    STATE(2277), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2134), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145439] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [145480] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3096), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3098), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145521] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145564] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2826), 1,
      sym_template_body,
    ACTIONS(3385), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3387), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145609] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145650] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2687), 1,
      sym_template_body,
    ACTIONS(3082), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3084), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145695] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3275), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
  [145740] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2683), 1,
      sym_template_body,
    ACTIONS(3057), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3059), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145785] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3336), 1,
      anon_sym_AT,
    STATE(2277), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2207), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [145830] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2613), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2615), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [145891] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2468), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2470), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [145952] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2654), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2656), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [146013] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2386), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2388), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [146074] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [146115] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2674), 1,
      sym_template_body,
    ACTIONS(3225), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3227), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [146160] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2346), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2348), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [146221] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2686), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2688), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [146282] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3887), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [146323] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2400), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2402), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [146384] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [146425] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4122), 1,
      anon_sym_STAR,
    ACTIONS(3207), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [146468] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3927), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [146509] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2672), 1,
      sym_template_body,
    ACTIONS(3288), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3290), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [146552] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3919), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [146593] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4112), 1,
      anon_sym_with,
    STATE(2255), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [146638] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [146679] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2408), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2410), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [146740] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3907), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [146781] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [146822] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2635), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2637), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [146883] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [146924] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2663), 1,
      sym_block,
    ACTIONS(3346), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3348), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [146967] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [147008] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2652), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [147069] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3107), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_match,
  [147114] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [147155] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3646), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [147196] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [147237] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2820), 1,
      sym_template_body,
    ACTIONS(3405), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3407), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [147282] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2476), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2478), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [147343] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [147384] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2819), 1,
      sym_template_body,
    ACTIONS(3371), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3373), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [147429] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2534), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2536), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [147490] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [147531] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_finally,
    STATE(2897), 1,
      sym_finally_clause,
    ACTIONS(3298), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [147576] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [147617] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [147658] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3294), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [147701] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2818), 1,
      sym_block,
    ACTIONS(3221), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3223), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [147744] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2813), 1,
      sym_block,
    ACTIONS(3201), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3203), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [147787] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3895), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [147828] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2812), 1,
      sym_template_body,
    ACTIONS(3190), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3192), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [147873] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4017), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4019), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [147914] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3891), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [147955] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2642), 1,
      sym_template_body,
    ACTIONS(3422), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3424), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [147998] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2668), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2670), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [148059] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4124), 1,
      anon_sym_COMMA,
    STATE(2334), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3011), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3013), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [148104] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2602), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [148165] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2677), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2679), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [148226] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2042), 1,
      ts_builtin_sym_end,
    ACTIONS(4127), 1,
      anon_sym_LBRACK,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4131), 1,
      anon_sym_POUND,
    STATE(3096), 1,
      sym_type_arguments,
    STATE(3076), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2044), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [148277] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2807), 1,
      sym_template_body,
    ACTIONS(3155), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3157), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [148322] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [148363] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2800), 1,
      sym_template_body,
    ACTIONS(3137), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3139), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [148408] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2730), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [148449] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3915), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [148490] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4041), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4043), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [148531] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3369), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [148576] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2662), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    STATE(3134), 1,
      sym_type_arguments,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [148629] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2782), 1,
      sym_block,
    ACTIONS(3123), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3125), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [148672] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4049), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4051), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [148713] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [148754] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [148795] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4053), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4055), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [148836] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [148877] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3812), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [148918] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2658), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    STATE(3134), 1,
      sym_type_arguments,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [148971] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [149012] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4069), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4071), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [149053] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2781), 1,
      sym_template_body,
    ACTIONS(3113), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3115), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [149098] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4133), 1,
      anon_sym_LPAREN,
    STATE(2357), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2949), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2951), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [149143] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3883), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [149184] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3856), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [149225] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2563), 1,
      sym_template_body,
    ACTIONS(3251), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3253), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [149270] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2779), 1,
      sym_template_body,
    ACTIONS(3092), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3094), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [149315] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3294), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [149358] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4029), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4031), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [149399] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3141), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [149444] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2568), 1,
      sym_template_body,
    ACTIONS(3315), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3317), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [149489] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4136), 1,
      anon_sym_COMMA,
    STATE(2334), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2928), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [149534] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2770), 1,
      sym_template_body,
    ACTIONS(3074), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3076), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [149579] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4021), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4023), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [149620] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [149661] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [149702] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3049), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3051), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [149743] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2617), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2619), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [149804] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2542), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2544), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [149865] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3692), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3694), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [149906] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [149947] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3897), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3899), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [149988] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2571), 1,
      sym_template_body,
    ACTIONS(3281), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3283), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [150033] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [150074] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3277), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3279), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [150115] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3688), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3690), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [150156] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4136), 1,
      anon_sym_COMMA,
    STATE(2366), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2936), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [150201] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2573), 1,
      sym_template_body,
    ACTIONS(3235), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3237), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [150246] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3846), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3848), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [150287] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2592), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2594), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [150348] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3816), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [150389] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3820), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [150430] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2692), 1,
      sym_access_qualifier,
    ACTIONS(2999), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3001), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [150473] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3834), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3836), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [150514] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2769), 1,
      sym_template_body,
    ACTIONS(3045), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3047), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [150559] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3680), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3682), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [150600] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3945), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3947), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [150641] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3786), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3788), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [150682] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3638), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3640), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [150723] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2560), 1,
      sym_template_body,
    ACTIONS(3197), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3199), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [150768] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3741), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3743), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [150809] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3712), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [150850] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3630), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3632), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [150891] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4138), 1,
      anon_sym_with,
    STATE(2448), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2435), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [150936] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3618), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3620), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [150977] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3626), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3628), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151018] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3576), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151059] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3622), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3624), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151100] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3596), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3598), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151141] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3592), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3594), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151182] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2578), 1,
      sym_template_body,
    ACTIONS(3041), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3043), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [151227] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3037), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3039), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [151268] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3519), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3521), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151309] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3515), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3517), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151350] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3547), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3549), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151391] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3462), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3464), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151432] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3449), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3451), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151473] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3441), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3443), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151514] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3537), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3539), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151555] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3527), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3529), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151596] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [151637] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3505), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151678] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3474), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151719] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3488), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151760] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [151801] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3490), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3492), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151842] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3507), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3509), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151883] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2581), 1,
      sym_block,
    ACTIONS(3430), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3432), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [151926] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3468), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3470), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [151967] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2639), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2641), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [152028] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3541), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3543), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [152069] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3455), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3457), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [152110] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2583), 1,
      sym_block,
    ACTIONS(3426), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3428), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [152153] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [152194] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3476), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3478), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [152235] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3604), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [152276] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2759), 1,
      sym_block,
    ACTIONS(3066), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3068), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [152319] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [152360] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3664), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3666), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [152401] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4138), 1,
      anon_sym_with,
    STATE(2398), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [152446] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2597), 1,
      sym_template_body,
    ACTIONS(3409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3411), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [152491] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3668), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3670), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [152532] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3676), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3678), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [152573] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3684), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3686), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [152614] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2757), 1,
      sym_template_body,
    ACTIONS(3078), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3080), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [152657] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2601), 1,
      sym_template_body,
    ACTIONS(3397), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3399), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [152700] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3698), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [152741] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3700), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3702), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [152782] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2741), 1,
      sym_template_body,
    ACTIONS(3086), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3088), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [152827] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3559), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3561), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [152868] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2604), 1,
      sym_block,
    ACTIONS(3393), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3395), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [152911] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3497), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3499), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [152952] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [152993] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4140), 1,
      anon_sym_with,
    STATE(2448), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2482), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [153038] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2570), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2572), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [153099] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2523), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2525), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [153160] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3513), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153201] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3523), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3525), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153242] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3724), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153283] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3729), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3731), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153324] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2621), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2623), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [153385] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3563), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3565), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153426] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3733), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3735), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153467] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2342), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2344), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [153528] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3586), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153569] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3588), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3590), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153610] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [153651] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3737), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3739), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153692] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3745), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3747), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153733] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3606), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3608), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153774] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3749), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3751), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153815] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153856] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3636), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153897] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3652), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [153938] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2647), 1,
      sym_template_body,
    ACTIONS(3375), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3377), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [153981] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3706), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154022] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3718), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3720), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154063] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [154106] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3802), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3804), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154147] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3434), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3436), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154188] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3753), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3755), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154229] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3757), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3759), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154270] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2515), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2517), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [154331] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2729), 1,
      sym_block,
    ACTIONS(3127), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3129), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [154374] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3766), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154415] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2730), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154456] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3768), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3770), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154497] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2507), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2509), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [154558] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(4147), 1,
      sym__interpolated_string_start,
    ACTIONS(4149), 1,
      sym__interpolated_multiline_string_start,
    STATE(3137), 1,
      sym_interpolated_string,
    ACTIONS(2452), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [154607] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3772), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3774), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154648] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3776), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3778), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154689] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3981), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3983), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154730] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3780), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3782), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154771] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3989), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154812] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3445), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3447), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154853] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3716), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154894] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [154935] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3929), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3931), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [154976] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2493), 1,
      aux_sym__block_repeat1,
    ACTIONS(4151), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2580), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [155021] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2726), 1,
      sym_block,
    ACTIONS(3147), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3149), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [155064] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4085), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4087), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [155105] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4081), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4083), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [155146] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3790), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3792), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [155187] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3794), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3796), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [155228] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [155269] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [155310] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2499), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2501), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [155371] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4073), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4075), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [155412] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4154), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [155455] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4065), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4067), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [155496] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4061), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4063), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [155537] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3344), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [155578] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2723), 1,
      sym_template_body,
    ACTIONS(3174), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3176), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [155623] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4057), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4059), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [155664] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3842), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3844), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [155705] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4045), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4047), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [155746] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4037), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4039), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [155787] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [155828] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2462), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2464), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [155889] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4025), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4027), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [155930] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2678), 1,
      sym_template_body,
    ACTIONS(3338), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3340), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [155975] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3937), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3939), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [156016] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4013), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4015), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [156057] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [156098] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2718), 1,
      sym_template_body,
    ACTIONS(3213), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3215), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [156143] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3933), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3935), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [156184] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2495), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2497), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [156245] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LBRACE,
    ACTIONS(2404), 1,
      ts_builtin_sym_end,
    ACTIONS(4094), 1,
      anon_sym_DOT,
    ACTIONS(4096), 1,
      anon_sym_LBRACK,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    ACTIONS(4104), 1,
      anon_sym_match,
    STATE(3134), 1,
      sym_type_arguments,
    ACTIONS(4092), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(3135), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2406), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [156306] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [156347] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2694), 1,
      sym_template_body,
    ACTIONS(3327), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3329), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [156392] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [156433] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2493), 1,
      aux_sym__block_repeat1,
    ACTIONS(4156), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(607), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [156478] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3822), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3824), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [156519] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3921), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3923), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [156560] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2695), 1,
      sym_template_body,
    ACTIONS(3323), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3325), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [156605] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [156646] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3840), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [156687] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3304), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [156728] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [156769] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3901), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3903), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [156810] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3877), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3879), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [156851] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2709), 1,
      sym_template_body,
    ACTIONS(3229), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3231), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [156896] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LBRACE,
    STATE(2697), 1,
      sym_template_body,
    ACTIONS(3269), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3271), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [156941] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3873), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3875), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [156982] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4007), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4009), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157023] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3869), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3871), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157064] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3865), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3867), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157105] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4003), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4005), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157146] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3999), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4001), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157187] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3832), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157228] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3995), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3997), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157269] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3991), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3993), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157310] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4138), 1,
      anon_sym_with,
    STATE(2398), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4158), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
  [157359] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3977), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3979), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157400] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3861), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3863), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157441] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3828), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157482] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3973), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3975), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157523] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3969), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3971), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157564] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2699), 1,
      sym_block,
    ACTIONS(3244), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3246), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [157607] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3965), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3967), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157648] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3961), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3963), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157689] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 28,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [157730] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4160), 1,
      anon_sym_STAR,
    ACTIONS(3207), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157773] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3806), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3808), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157814] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3957), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3959), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [157855] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3965), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3967), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [157895] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4007), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4009), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [157935] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2946), 1,
      sym_template_body,
    ACTIONS(3174), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3176), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [157979] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4003), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4005), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158019] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2957), 1,
      sym_template_body,
    ACTIONS(3213), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3215), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158063] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3999), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4001), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158103] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [158143] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2960), 1,
      sym_template_body,
    ACTIONS(3229), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3231), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158187] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3995), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3997), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158227] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2963), 1,
      sym_block,
    ACTIONS(3244), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3246), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158269] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3991), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3993), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158309] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3977), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3979), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158349] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4162), 1,
      anon_sym_STAR,
    ACTIONS(3207), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [158391] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3973), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3975), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158431] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3969), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3971), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158471] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_template_body,
    ACTIONS(3269), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3271), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158515] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [158555] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3304), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158595] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3961), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3963), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158635] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2971), 1,
      sym_template_body,
    ACTIONS(3323), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3325), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158679] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3957), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3959), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158719] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3945), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3947), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158759] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2982), 1,
      sym_template_body,
    ACTIONS(3327), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3329), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158803] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3937), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3939), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158843] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158883] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3043), 1,
      sym_block,
    ACTIONS(3393), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3395), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158925] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3933), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3935), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [158965] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3344), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159005] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [159045] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3927), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [159085] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3919), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [159125] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3921), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3923), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159165] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3915), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [159205] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [159245] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3907), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [159285] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159325] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3015), 1,
      sym_template_body,
    ACTIONS(3375), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3377), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159367] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3901), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3903), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159407] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [159447] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3877), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3879), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159487] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159527] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3873), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3875), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159567] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3753), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3755), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159607] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3869), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3871), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159647] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3865), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3867), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159687] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3294), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159729] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159769] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3054), 1,
      sym_template_body,
    ACTIONS(3397), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3399), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159811] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2944), 1,
      sym_block,
    ACTIONS(3147), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3149), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159853] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2943), 1,
      sym_block,
    ACTIONS(3127), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3129), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159895] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159935] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2929), 1,
      sym_template_body,
    ACTIONS(3086), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3088), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [159979] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2921), 1,
      sym_template_body,
    ACTIONS(3078), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3080), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160021] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(3061), 1,
      sym_template_body,
    ACTIONS(3409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3411), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160065] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [160105] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2918), 1,
      sym_block,
    ACTIONS(3066), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3068), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160147] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160187] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [160227] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3861), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3863), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160267] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3852), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [160307] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3037), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3039), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160347] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2915), 1,
      sym_template_body,
    ACTIONS(3045), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3047), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160391] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [160431] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [160471] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2984), 1,
      sym_template_body,
    ACTIONS(3338), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3340), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160515] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4013), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4015), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160555] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4025), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4027), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160595] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3058), 1,
      sym_block,
    ACTIONS(3426), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3428), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160637] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2906), 1,
      sym_template_body,
    ACTIONS(3074), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3076), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160681] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160721] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2858), 1,
      sym_template_body,
    ACTIONS(3092), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3094), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160765] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3057), 1,
      sym_block,
    ACTIONS(3430), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3432), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160807] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [160847] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4037), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4039), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160887] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4045), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4047), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160927] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2903), 1,
      sym_template_body,
    ACTIONS(3113), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3115), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [160971] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3842), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3844), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161011] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4057), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4059), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161051] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2902), 1,
      sym_block,
    ACTIONS(3123), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3125), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161093] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4061), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4063), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161133] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3840), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161173] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2866), 1,
      sym_template_body,
    ACTIONS(3137), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3139), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161217] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4065), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4067), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161257] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2892), 1,
      sym_template_body,
    ACTIONS(3155), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3157), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161301] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161341] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4073), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4075), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161381] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2890), 1,
      sym_template_body,
    ACTIONS(3190), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3192), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161425] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3832), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161465] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3294), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [161507] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4077), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4079), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161547] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3828), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161587] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2730), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161627] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2888), 1,
      sym_block,
    ACTIONS(3201), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3203), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161669] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3822), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3824), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161709] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3806), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3808), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161749] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4081), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4083), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161789] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2886), 1,
      sym_block,
    ACTIONS(3221), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3223), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161831] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4085), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4087), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161871] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3929), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3931), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161911] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3642), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [161955] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2869), 1,
      sym_template_body,
    ACTIONS(3371), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3373), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [161999] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3445), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3447), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162039] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(3053), 1,
      sym_template_body,
    ACTIONS(3041), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3043), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162083] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3989), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162123] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3049), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3051), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162163] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3981), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3983), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162203] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(3052), 1,
      sym_template_body,
    ACTIONS(3197), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3199), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162247] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162287] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2878), 1,
      sym_template_body,
    ACTIONS(3385), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3387), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162331] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2880), 1,
      sym_template_body,
    ACTIONS(3319), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3321), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162375] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(3050), 1,
      sym_template_body,
    ACTIONS(3235), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3237), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162419] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2882), 1,
      sym_block,
    ACTIONS(3262), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3264), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162461] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3434), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3436), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162501] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162541] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3802), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3804), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162581] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3277), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3279), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162621] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3646), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162661] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(3046), 1,
      sym_template_body,
    ACTIONS(3281), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3283), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162705] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3794), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3796), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162745] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3545), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
  [162789] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3790), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3792), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162829] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4164), 1,
      anon_sym_with,
    STATE(2681), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2482), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162873] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3718), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3720), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162913] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3706), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162953] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2862), 1,
      sym_template_body,
    ACTIONS(3217), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3219), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [162997] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(3044), 1,
      sym_template_body,
    ACTIONS(3315), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3317), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163041] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3652), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163081] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3636), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163121] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3943), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [163161] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3951), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [163201] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3606), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3608), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163241] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4167), 1,
      anon_sym_LBRACK,
    ACTIONS(4169), 1,
      anon_sym_LPAREN,
    ACTIONS(4171), 1,
      anon_sym_POUND,
    STATE(3156), 1,
      sym_type_arguments,
    ACTIONS(2042), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    STATE(3153), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2044), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [163291] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3119), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3121), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163331] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2900), 1,
      sym_template_body,
    ACTIONS(3251), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3253), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163375] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3716), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163415] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3780), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3782), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163455] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3588), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3590), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163495] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3776), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3778), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163535] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3772), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3774), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163575] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3768), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3770), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163615] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2857), 1,
      aux_sym__block_repeat1,
    ACTIONS(4173), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(607), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163659] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3586), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163699] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163739] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3766), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163779] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163819] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163859] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163899] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(3570), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
  [163943] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3032), 1,
      sym_template_body,
    ACTIONS(3422), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3424), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [163985] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3757), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3759), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164025] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(4175), 1,
      anon_sym_EQ,
    ACTIONS(3178), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3180), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164069] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3724), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164109] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3955), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [164149] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3563), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3565), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164189] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3800), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [164229] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2028), 1,
      ts_builtin_sym_end,
    ACTIONS(4127), 1,
      anon_sym_LBRACK,
    ACTIONS(4131), 1,
      anon_sym_POUND,
    ACTIONS(4177), 1,
      anon_sym_AT,
    STATE(3096), 1,
      sym_type_arguments,
    STATE(3158), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2030), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [164279] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(4179), 1,
      anon_sym_EQ,
    ACTIONS(3166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3168), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164323] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3523), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3525), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164363] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3749), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3751), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164403] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3745), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3747), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164443] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3513), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164483] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3022), 1,
      sym_block,
    ACTIONS(3346), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3348), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164525] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3497), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3499), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164565] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3737), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3739), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164605] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3646), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [164645] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2867), 1,
      sym_template_body,
    ACTIONS(3405), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3407), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164689] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3733), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3735), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164729] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164769] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3812), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164809] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3729), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3731), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164849] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3553), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164889] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3012), 1,
      sym_template_body,
    ACTIONS(3288), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3290), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [164931] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [164971] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(3041), 1,
      sym_template_body,
    ACTIONS(3225), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3227), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165015] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165055] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3559), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3561), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165095] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(3007), 1,
      sym_template_body,
    ACTIONS(3057), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3059), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165139] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165179] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(3004), 1,
      sym_template_body,
    ACTIONS(3082), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3084), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165223] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3096), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3098), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165263] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2998), 1,
      sym_template_body,
    ACTIONS(3103), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3105), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165307] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3700), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3702), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165347] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3557), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165387] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165427] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3143), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3145), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165467] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3151), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3153), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165507] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3184), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165547] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3186), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3188), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165587] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3698), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165627] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2995), 1,
      sym_arguments,
    ACTIONS(3033), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3035), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165669] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2700), 1,
      aux_sym__block_repeat1,
    ACTIONS(2903), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2262), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165713] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165753] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [165793] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3891), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [165833] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3476), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3478), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165873] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3895), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [165913] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3455), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3457), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165953] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3684), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3686), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [165993] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3676), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3678), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166033] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3668), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3670), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166073] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166113] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3468), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3470), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166153] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3664), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3666), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166193] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3159), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3161), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166233] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166273] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2981), 1,
      sym_template_body,
    ACTIONS(3415), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3417), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166315] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166355] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    STATE(2977), 1,
      sym_template_body,
    ACTIONS(3401), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3403), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166399] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2578), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2580), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166439] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3604), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166479] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3541), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3543), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166519] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2970), 1,
      sym_template_body,
    ACTIONS(3389), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3391), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166561] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3507), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3509), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166601] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3891), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [166641] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3505), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166681] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3887), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [166721] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3883), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [166761] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3856), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [166801] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3951), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166841] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3490), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3492), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166881] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_DOT,
    ACTIONS(3379), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3381), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166923] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3488), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [166963] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3474), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167003] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3441), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3443), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167043] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3943), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167083] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167123] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167163] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3527), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3529), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167203] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3537), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3539), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167243] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3547), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3549), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167283] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167323] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2841), 1,
      anon_sym_finally,
    STATE(2911), 1,
      sym_finally_clause,
    ACTIONS(3298), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
  [167367] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3927), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167407] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3919), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167447] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3576), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167487] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3915), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167527] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3618), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3620), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167567] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167607] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3812), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [167647] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167687] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3449), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3451), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167727] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3907), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167767] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3712), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167807] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3741), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3743), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167847] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3462), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3464), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167887] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3786), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3788), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167927] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4183), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [167969] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3515), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3517), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168009] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_with,
    STATE(2681), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2435), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168053] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3519), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3521), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168093] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3834), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3836), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168133] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3846), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3848), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168173] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3592), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3594), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168213] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3596), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3598), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168253] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(4035), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [168293] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3895), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168333] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [168373] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3897), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3899), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168413] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3622), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3624), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168453] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3626), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3628), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168493] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3630), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3632), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168533] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3638), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3640), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168573] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168615] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4021), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4023), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168655] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4187), 1,
      anon_sym_STAR,
    ACTIONS(3207), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168697] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168737] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3672), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3674), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168777] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168817] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3680), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3682), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168857] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3688), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3690), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168897] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3887), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168937] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3692), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3694), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [168977] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3883), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169017] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3856), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169057] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4029), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4031), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169097] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2857), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169139] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4069), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4071), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169179] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4053), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4055), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169219] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4185), 1,
      anon_sym_with,
    STATE(2808), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4189), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
  [169267] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_with,
    STATE(2808), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169311] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3557), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [169351] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3553), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [169391] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4049), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4051), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169431] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4041), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4043), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169471] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3820), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [169511] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3816), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [169551] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169591] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4017), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4019), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169631] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2730), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169671] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3955), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169711] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3820), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169751] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169791] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169831] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3816), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169871] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_finally,
    STATE(3104), 1,
      sym_finally_clause,
    ACTIONS(3298), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169915] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169955] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [169995] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(2857), 1,
      aux_sym__block_repeat1,
    ACTIONS(4191), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2580), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170039] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3490), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3492), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170078] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170117] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3919), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170156] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170195] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3692), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3694), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170234] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3927), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170273] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170312] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3915), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170351] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3449), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3451), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170390] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3630), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3632), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170429] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3638), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3640), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170468] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3626), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3628), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170507] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3646), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [170546] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170585] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3907), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170624] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170663] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3820), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [170702] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3816), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [170741] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170780] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_LPAREN,
    ACTIONS(4198), 1,
      anon_sym_POUND,
    STATE(3190), 1,
      sym_type_arguments,
    ACTIONS(2042), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    STATE(3172), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2044), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [170829] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3672), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3674), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3255), 31,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_RBRACK,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [170905] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3680), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3682), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170944] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2578), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2580), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [170983] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3688), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3690), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171022] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [171061] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [171102] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3812), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [171141] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3622), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3624), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171180] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3891), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [171219] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3596), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3598), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171258] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3294), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171299] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3592), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3594), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171338] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3519), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3521), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171377] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3515), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3517), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171416] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [171455] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [171494] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3895), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171533] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3462), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3464), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171572] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3887), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171611] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3883), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171650] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3856), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171689] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4003), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4005), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171728] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3441), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3443), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171767] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3472), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3474), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171806] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3488), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171845] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2719), 1,
      anon_sym_finally,
    STATE(3121), 1,
      sym_finally_clause,
    ACTIONS(3298), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171888] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3507), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3509), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171927] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3541), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3543), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [171966] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [172005] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [172044] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3856), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [172083] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3883), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [172122] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3887), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [172161] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3891), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [172200] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_STAR,
    ACTIONS(3207), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [172241] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3895), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [172280] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3604), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [172319] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3664), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3666), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [172358] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4158), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
  [172401] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3668), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3670), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [172440] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3676), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3678), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [172479] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [172518] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3684), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3686), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [172557] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3698), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [172596] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3943), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [172635] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3951), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [172674] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4117), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
  [172717] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3907), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [172756] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [172795] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3915), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [172834] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3700), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3702), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [172873] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3919), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [172912] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3927), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [172951] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3955), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [172990] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3553), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173029] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [173068] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3852), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [173107] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3557), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173146] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173185] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3559), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3561), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173224] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2730), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173263] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173302] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3724), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173341] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4017), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4019), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173380] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3729), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3731), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173419] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3733), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3735), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173458] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3943), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [173497] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3737), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3739), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173536] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4041), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4043), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173575] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3951), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [173614] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4049), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4051), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173653] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4053), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4055), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173692] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4069), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4071), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173731] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3955), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [173770] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3800), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [173809] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4167), 1,
      anon_sym_LBRACK,
    ACTIONS(4171), 1,
      anon_sym_POUND,
    ACTIONS(4202), 1,
      anon_sym_AT,
    STATE(3156), 1,
      sym_type_arguments,
    ACTIONS(2028), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    STATE(3186), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2030), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [173858] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173897] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3745), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3747), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173936] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3749), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3751), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [173975] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174014] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3753), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3755), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174053] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3757), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3759), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174092] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4029), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4031), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174131] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3766), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174170] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3768), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3770), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174209] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174248] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3852), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [174287] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [174326] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3772), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3774), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174365] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3776), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3778), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174404] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4021), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4023), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174443] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3897), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3899), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174482] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3780), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3782), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174521] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4204), 1,
      anon_sym_DOT,
    ACTIONS(2489), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [174562] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3846), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3848), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174601] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(4035), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [174640] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3834), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3836), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174679] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3786), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3788), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174718] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3741), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3743), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174757] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174796] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3712), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174835] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3618), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3620), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174874] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3574), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3576), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174913] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3716), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174952] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3790), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3792), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [174991] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3794), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3796), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175030] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3547), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3549), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175069] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [175108] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3537), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3539), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175147] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3527), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3529), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175186] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3503), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3505), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175225] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3455), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3457), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175264] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3476), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3478), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175303] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_LBRACK,
    ACTIONS(4198), 1,
      anon_sym_POUND,
    ACTIONS(4206), 1,
      anon_sym_AT,
    STATE(3190), 1,
      sym_type_arguments,
    STATE(3180), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2030), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [175352] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3497), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3499), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175391] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [175430] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3511), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3513), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175469] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3523), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3525), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175508] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3563), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3565), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175547] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3586), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175586] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175625] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3820), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175664] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3816), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175703] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3588), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3590), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175742] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3606), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3608), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175781] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3636), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175820] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(4035), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [175859] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3652), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175898] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3706), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175937] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3806), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3808), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [175976] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3718), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3720), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176015] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3468), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3470), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176054] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176093] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3434), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3436), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176132] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3822), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3824), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176171] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3828), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176210] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3832), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176249] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3646), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176288] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3840), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176327] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3842), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3844), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176366] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3981), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3983), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176405] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176444] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3553), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [176483] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3989), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176522] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3445), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3447), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176561] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3929), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3931), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176600] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3557), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [176639] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3861), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3863), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176678] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176717] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4085), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4087), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176756] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4081), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4083), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176795] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4077), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4079), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176834] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4073), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4075), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176873] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4065), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4067), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176912] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4061), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4063), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176951] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4057), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4059), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [176990] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4045), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4047), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177029] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4037), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4039), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177068] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3812), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177107] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4025), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4027), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177146] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4013), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4015), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177185] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4007), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4009), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177224] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3802), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3804), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177263] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3999), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4001), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177302] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3865), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3867), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177341] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3995), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3997), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177380] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3991), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3993), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177419] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3977), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3979), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177458] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177497] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [177536] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3869), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3871), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177575] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3973), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3975), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177614] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3969), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3971), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177653] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3965), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3967), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177692] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3961), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3963), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177731] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3873), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3875), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177770] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177809] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3957), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3959), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177848] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3945), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3947), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177887] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3937), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3939), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177926] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3933), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3935), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [177965] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3921), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3923), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178004] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3901), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3903), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178043] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3877), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3879), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178082] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(4035), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [178120] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178158] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3553), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178196] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3557), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178234] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_LBRACK,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3191), 1,
      sym_type_parameters,
    STATE(3224), 1,
      sym_access_modifier,
    STATE(3798), 1,
      sym_extends_clause,
    STATE(4571), 1,
      sym_template_body,
    ACTIONS(4212), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3235), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2038), 18,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [178290] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3852), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178328] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178366] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_LBRACK,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3185), 1,
      sym_type_parameters,
    STATE(3206), 1,
      sym_access_modifier,
    STATE(3981), 1,
      sym_extends_clause,
    STATE(4665), 1,
      sym_template_body,
    ACTIONS(4212), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3209), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2020), 18,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [178422] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(4035), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178460] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym_STAR,
    ACTIONS(3207), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178500] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [178538] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3852), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [178576] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3812), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178614] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2222), 1,
      ts_builtin_sym_end,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    STATE(3093), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2224), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [178656] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178694] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3927), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178732] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3919), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178770] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4189), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
  [178812] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3646), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178850] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178888] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3294), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178928] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3895), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [178966] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179004] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_LBRACK,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3195), 1,
      sym_type_parameters,
    STATE(3219), 1,
      sym_access_modifier,
    STATE(3957), 1,
      sym_extends_clause,
    STATE(4495), 1,
      sym_template_body,
    ACTIONS(4212), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3220), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2006), 18,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [179060] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179098] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179136] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [179176] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179214] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [179252] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [179290] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2236), 1,
      ts_builtin_sym_end,
    ACTIONS(4222), 1,
      anon_sym_LPAREN,
    STATE(3093), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2238), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [179332] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2474), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179370] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3800), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179408] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [179446] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [179484] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3943), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179522] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3856), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179560] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3915), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179598] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3951), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179636] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179674] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3883), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179712] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3887), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179750] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [179788] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3816), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179826] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3907), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179864] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [179904] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179942] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3820), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [179980] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3891), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [180018] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_LBRACK,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3170), 1,
      sym_type_parameters,
    STATE(3231), 1,
      sym_access_modifier,
    STATE(3963), 1,
      sym_extends_clause,
    STATE(4517), 1,
      sym_template_body,
    ACTIONS(4212), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3241), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2024), 18,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [180074] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3955), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180112] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3895), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3053), 29,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_LPAREN,
  [180184] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180221] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180258] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180295] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3927), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180332] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3812), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180369] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3887), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180406] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180443] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3883), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180480] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3856), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180517] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [180554] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
    ACTIONS(2450), 27,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [180591] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3852), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180628] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [180665] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4227), 1,
      anon_sym_LBRACK,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(3178), 1,
      sym_type_parameters,
    STATE(3445), 1,
      sym_access_modifier,
    STATE(4026), 1,
      sym_extends_clause,
    STATE(4644), 1,
      sym_template_body,
    ACTIONS(4229), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3447), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2024), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2026), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [180722] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3919), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180759] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(4035), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180796] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(4239), 1,
      anon_sym_COLON,
    ACTIONS(4241), 1,
      anon_sym_EQ,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    STATE(3230), 1,
      sym_type_parameters,
    STATE(4764), 1,
      sym_block,
    STATE(3226), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2604), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [180847] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4227), 1,
      anon_sym_LBRACK,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(3171), 1,
      sym_type_parameters,
    STATE(3304), 1,
      sym_access_modifier,
    STATE(4196), 1,
      sym_extends_clause,
    STATE(4370), 1,
      sym_template_body,
    ACTIONS(4229), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3308), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2020), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2022), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [180904] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3943), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180941] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3951), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [180978] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2132), 1,
      ts_builtin_sym_end,
    ACTIONS(4245), 1,
      anon_sym_AT,
    STATE(3136), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2134), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [181019] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3955), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [181056] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3907), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [181093] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [181130] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4227), 1,
      anon_sym_LBRACK,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(3174), 1,
      sym_type_parameters,
    STATE(3454), 1,
      sym_access_modifier,
    STATE(4001), 1,
      sym_extends_clause,
    STATE(4761), 1,
      sym_template_body,
    ACTIONS(4229), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3453), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2038), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2040), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [181187] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3553), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [181224] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3557), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [181261] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_EQ,
    STATE(3216), 1,
      sym_type_parameters,
    STATE(4278), 1,
      sym_block,
    STATE(3221), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2416), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [181312] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [181349] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [181388] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [181425] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3800), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [181462] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3820), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [181499] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4254), 1,
      anon_sym_COLON,
    ACTIONS(4256), 1,
      anon_sym_EQ,
    STATE(3259), 1,
      sym_type_parameters,
    STATE(4635), 1,
      sym_block,
    STATE(3254), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2631), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [181550] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3816), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [181587] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [181624] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [181661] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    STATE(3154), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2224), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [181702] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4258), 1,
      anon_sym_LPAREN,
    ACTIONS(2236), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    STATE(3154), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2238), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [181743] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [181780] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [181817] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [181856] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2205), 1,
      ts_builtin_sym_end,
    ACTIONS(4177), 1,
      anon_sym_AT,
    STATE(3136), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2207), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [181897] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3646), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [181934] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3915), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [181971] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [182008] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 5,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [182045] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4227), 1,
      anon_sym_LBRACK,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(3169), 1,
      sym_type_parameters,
    STATE(3438), 1,
      sym_access_modifier,
    STATE(4019), 1,
      sym_extends_clause,
    STATE(4685), 1,
      sym_template_body,
    ACTIONS(4229), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3441), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2006), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2008), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [182102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 29,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_LPAREN,
  [182137] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2433), 1,
      ts_builtin_sym_end,
    ACTIONS(4261), 1,
      anon_sym_with,
    STATE(3192), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2435), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [182177] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [182213] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4265), 1,
      anon_sym_LBRACK,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(3250), 1,
      sym_type_parameters,
    STATE(3564), 1,
      sym_access_modifier,
    STATE(4453), 1,
      sym_extends_clause,
    STATE(5186), 1,
      sym_template_body,
    ACTIONS(4267), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3565), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2020), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2022), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [182269] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 2,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
    ACTIONS(2750), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [182305] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(3328), 1,
      sym_access_modifier,
    STATE(4199), 1,
      sym_extends_clause,
    STATE(4356), 1,
      sym_template_body,
    ACTIONS(4229), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3326), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2110), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2112), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [182357] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3246), 1,
      sym_access_modifier,
    STATE(3796), 1,
      sym_extends_clause,
    STATE(4747), 1,
      sym_template_body,
    ACTIONS(4212), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3252), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2116), 18,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [182407] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(3429), 1,
      sym_access_modifier,
    STATE(4091), 1,
      sym_extends_clause,
    STATE(4522), 1,
      sym_template_body,
    ACTIONS(4229), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3430), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2056), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2058), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [182459] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4196), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    STATE(3184), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2224), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [182499] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 2,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
    ACTIONS(2757), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [182535] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_access_modifier,
    STATE(4076), 1,
      sym_extends_clause,
    STATE(4558), 1,
      sym_template_body,
    ACTIONS(4229), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3383), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2066), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2068), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [182587] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [182623] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [182659] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2450), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [182695] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(3451), 1,
      sym_access_modifier,
    STATE(4006), 1,
      sym_extends_clause,
    STATE(4749), 1,
      sym_template_body,
    ACTIONS(4229), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3450), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2116), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2118), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [182747] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [182783] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_AT,
    STATE(3194), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2207), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [182823] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [182859] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_LBRACK,
    ACTIONS(4275), 1,
      anon_sym_LPAREN,
    ACTIONS(4277), 1,
      anon_sym_POUND,
    STATE(3425), 1,
      sym_type_arguments,
    STATE(3295), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2044), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [182905] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [182941] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4279), 1,
      anon_sym_LPAREN,
    ACTIONS(2236), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    STATE(3184), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2238), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [182981] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3210), 1,
      sym_access_modifier,
    STATE(3962), 1,
      sym_extends_clause,
    STATE(4437), 1,
      sym_template_body,
    ACTIONS(4212), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3211), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2056), 18,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [183031] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4202), 1,
      anon_sym_AT,
    ACTIONS(2205), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    STATE(3199), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2207), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [183071] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4265), 1,
      anon_sym_LBRACK,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(3229), 1,
      sym_type_parameters,
    STATE(3540), 1,
      sym_access_modifier,
    STATE(4315), 1,
      sym_extends_clause,
    STATE(4811), 1,
      sym_template_body,
    ACTIONS(4267), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3537), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2006), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2008), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [183127] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_LBRACK,
    ACTIONS(4277), 1,
      anon_sym_POUND,
    ACTIONS(4282), 1,
      anon_sym_AT,
    STATE(3425), 1,
      sym_type_arguments,
    STATE(3289), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [183173] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 2,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
    ACTIONS(2776), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [183209] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 4,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [183245] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3202), 1,
      sym_access_modifier,
    STATE(3970), 1,
      sym_extends_clause,
    STATE(4507), 1,
      sym_template_body,
    ACTIONS(4212), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3243), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2066), 18,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [183295] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2480), 1,
      ts_builtin_sym_end,
    ACTIONS(4284), 1,
      anon_sym_with,
    STATE(3192), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2482), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [183335] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4287), 1,
      anon_sym_LBRACK,
    ACTIONS(4289), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_POUND,
    STATE(3414), 1,
      sym_type_arguments,
    STATE(3284), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2044), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [183381] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4293), 1,
      anon_sym_AT,
    STATE(3194), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2134), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [183421] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3237), 1,
      sym_access_modifier,
    STATE(3941), 1,
      sym_extends_clause,
    STATE(4350), 1,
      sym_template_body,
    ACTIONS(4212), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3238), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2110), 18,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [183471] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2376), 1,
      ts_builtin_sym_end,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4261), 1,
      anon_sym_with,
    STATE(3165), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4296), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
  [183515] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 1,
      ts_builtin_sym_end,
    ACTIONS(4261), 1,
      anon_sym_with,
    STATE(3165), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2474), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [183555] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4265), 1,
      anon_sym_LBRACK,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(3257), 1,
      sym_type_parameters,
    STATE(3472), 1,
      sym_access_modifier,
    STATE(4771), 1,
      sym_extends_clause,
    STATE(4938), 1,
      sym_template_body,
    ACTIONS(4267), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3471), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2038), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2040), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [183611] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_AT,
    ACTIONS(2132), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    STATE(3199), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2134), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [183651] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4265), 1,
      anon_sym_LBRACK,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(3214), 1,
      sym_type_parameters,
    STATE(3484), 1,
      sym_access_modifier,
    STATE(4723), 1,
      sym_extends_clause,
    STATE(4988), 1,
      sym_template_body,
    ACTIONS(4267), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3482), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2024), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2026), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [183707] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4287), 1,
      anon_sym_LBRACK,
    ACTIONS(4291), 1,
      anon_sym_POUND,
    ACTIONS(4301), 1,
      anon_sym_AT,
    STATE(3414), 1,
      sym_type_arguments,
    STATE(3261), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [183753] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3974), 1,
      sym_extends_clause,
    STATE(4622), 1,
      sym_template_body,
    STATE(3225), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2276), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [183798] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4303), 1,
      anon_sym_LBRACK,
    ACTIONS(4305), 1,
      anon_sym_AT,
    ACTIONS(4307), 1,
      anon_sym_POUND,
    STATE(3549), 1,
      sym_type_arguments,
    STATE(3337), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [183843] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4311), 1,
      anon_sym_LBRACK,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(3280), 1,
      sym_type_parameters,
    STATE(3665), 1,
      sym_access_modifier,
    STATE(5183), 1,
      sym_extends_clause,
    STATE(5586), 1,
      sym_template_body,
    ACTIONS(4313), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3667), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2038), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2040), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [183898] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3944), 1,
      sym_extends_clause,
    STATE(4365), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2187), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [183943] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3961), 1,
      sym_extends_clause,
    STATE(4234), 1,
      sym_template_body,
    STATE(3205), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2253), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [183988] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4311), 1,
      anon_sym_LBRACK,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(3272), 1,
      sym_type_parameters,
    STATE(3661), 1,
      sym_access_modifier,
    STATE(5166), 1,
      sym_extends_clause,
    STATE(5620), 1,
      sym_template_body,
    ACTIONS(4313), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3662), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2024), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2026), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [184043] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3967), 1,
      sym_extends_clause,
    STATE(4527), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2264), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184088] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3960), 1,
      sym_extends_clause,
    STATE(4508), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2226), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184133] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3946), 1,
      sym_extends_clause,
    STATE(4382), 1,
      sym_template_body,
    STATE(3213), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2179), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184178] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3945), 1,
      sym_extends_clause,
    STATE(4369), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2183), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184223] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 1,
      ts_builtin_sym_end,
    ACTIONS(2730), 26,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [184258] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3925), 1,
      sym_extends_clause,
    STATE(4246), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2213), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184303] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(3470), 1,
      sym_access_modifier,
    STATE(4776), 1,
      sym_extends_clause,
    STATE(4930), 1,
      sym_template_body,
    ACTIONS(4267), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3469), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2116), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2118), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [184354] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_COLON,
    ACTIONS(4321), 1,
      anon_sym_EQ,
    STATE(4686), 1,
      sym_block,
    STATE(3291), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2778), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184399] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4323), 1,
      anon_sym_COLON,
    ACTIONS(4325), 1,
      anon_sym_EQ,
    STATE(4651), 1,
      sym_block,
    STATE(3228), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2764), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184444] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4311), 1,
      anon_sym_LBRACK,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(3273), 1,
      sym_type_parameters,
    STATE(3750), 1,
      sym_access_modifier,
    STATE(5319), 1,
      sym_extends_clause,
    STATE(5374), 1,
      sym_template_body,
    ACTIONS(4313), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3753), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2006), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2008), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [184499] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4327), 1,
      anon_sym_with,
    STATE(3218), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    ACTIONS(2482), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
      sym_operator_identifier,
  [184538] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3940), 1,
      sym_extends_clause,
    STATE(4307), 1,
      sym_template_body,
    STATE(3239), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2191), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184583] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3939), 1,
      sym_extends_clause,
    STATE(4321), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2209), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184628] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_COLON,
    ACTIONS(4332), 1,
      anon_sym_EQ,
    STATE(4529), 1,
      sym_block,
    STATE(3291), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2744), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184673] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_with,
    STATE(3251), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    ACTIONS(2474), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
      sym_operator_identifier,
  [184712] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4336), 1,
      anon_sym_COLON,
    ACTIONS(4338), 1,
      anon_sym_EQ,
    STATE(4272), 1,
      sym_block,
    STATE(3291), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2805), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184757] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3973), 1,
      sym_extends_clause,
    STATE(4594), 1,
      sym_template_body,
    STATE(3242), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2304), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184802] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3954), 1,
      sym_extends_clause,
    STATE(4452), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2145), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184847] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4340), 1,
      anon_sym_COLON,
    ACTIONS(4342), 1,
      anon_sym_EQ,
    STATE(4567), 1,
      sym_block,
    STATE(3291), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2850), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184892] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4311), 1,
      anon_sym_LBRACK,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(3294), 1,
      sym_type_parameters,
    STATE(3705), 1,
      sym_access_modifier,
    STATE(5277), 1,
      sym_extends_clause,
    STATE(5453), 1,
      sym_template_body,
    ACTIONS(4313), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3706), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2020), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2022), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [184947] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4344), 1,
      anon_sym_COLON,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    STATE(4498), 1,
      sym_block,
    STATE(3291), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2797), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [184992] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(3522), 1,
      sym_access_modifier,
    STATE(4242), 1,
      sym_extends_clause,
    STATE(4888), 1,
      sym_template_body,
    ACTIONS(4267), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3519), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2110), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2112), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [185043] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4348), 1,
      anon_sym_COLON,
    ACTIONS(4350), 1,
      anon_sym_EQ,
    STATE(4569), 1,
      sym_block,
    STATE(3215), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2854), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [185088] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3818), 1,
      sym_extends_clause,
    STATE(4734), 1,
      sym_template_body,
    STATE(3255), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2292), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [185133] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4352), 1,
      anon_sym_with,
    STATE(3248), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2474), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
      sym_operator_identifier,
  [185172] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2750), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [185207] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4354), 1,
      anon_sym_with,
    STATE(3234), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2482), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
      sym_operator_identifier,
  [185246] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3978), 1,
      sym_extends_clause,
    STATE(4795), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2308), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [185291] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4334), 1,
      anon_sym_with,
    STATE(3251), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2376), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    ACTIONS(4357), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [185334] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3924), 1,
      sym_extends_clause,
    STATE(4264), 1,
      sym_template_body,
    STATE(3244), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2232), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [185379] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3921), 1,
      sym_extends_clause,
    STATE(4269), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2243), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [185424] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3920), 1,
      sym_extends_clause,
    STATE(4276), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2247), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [185469] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4359), 1,
      anon_sym_LBRACK,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_POUND,
    STATE(3571), 1,
      sym_type_arguments,
    STATE(3333), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2044), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [185514] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3826), 1,
      sym_extends_clause,
    STATE(4682), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2300), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [185559] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3971), 1,
      sym_extends_clause,
    STATE(4609), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2268), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [185604] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3972), 1,
      sym_extends_clause,
    STATE(4612), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2272), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [185649] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3914), 1,
      sym_extends_clause,
    STATE(4289), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2318), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [185694] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4365), 1,
      anon_sym_LBRACK,
    ACTIONS(4367), 1,
      anon_sym_LPAREN,
    ACTIONS(4369), 1,
      anon_sym_POUND,
    STATE(3546), 1,
      sym_type_arguments,
    STATE(3332), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2044), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [185739] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3797), 1,
      sym_extends_clause,
    STATE(4754), 1,
      sym_template_body,
    STATE(3208), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2312), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [185784] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4365), 1,
      anon_sym_LBRACK,
    ACTIONS(4369), 1,
      anon_sym_POUND,
    ACTIONS(4371), 1,
      anon_sym_AT,
    STATE(3546), 1,
      sym_type_arguments,
    STATE(3368), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [185829] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4352), 1,
      anon_sym_with,
    STATE(3234), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2435), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
      sym_operator_identifier,
  [185868] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2776), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [185903] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(3559), 1,
      sym_access_modifier,
    STATE(4348), 1,
      sym_extends_clause,
    STATE(4846), 1,
      sym_template_body,
    ACTIONS(4267), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3557), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2056), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2058), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [185954] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_with,
    STATE(3218), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    ACTIONS(2435), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
      sym_operator_identifier,
  [185993] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3979), 1,
      sym_extends_clause,
    STATE(4724), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2322), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [186038] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2757), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [186073] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4373), 1,
      anon_sym_COLON,
    ACTIONS(4375), 1,
      anon_sym_EQ,
    STATE(4474), 1,
      sym_block,
    STATE(3291), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2880), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [186118] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    STATE(3983), 1,
      sym_extends_clause,
    STATE(4718), 1,
      sym_template_body,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2288), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [186163] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4359), 1,
      anon_sym_LBRACK,
    ACTIONS(4363), 1,
      anon_sym_POUND,
    ACTIONS(4377), 1,
      anon_sym_AT,
    STATE(3571), 1,
      sym_type_arguments,
    STATE(3347), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [186208] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(3514), 1,
      sym_access_modifier,
    STATE(4639), 1,
      sym_extends_clause,
    STATE(5125), 1,
      sym_template_body,
    ACTIONS(4267), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3516), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2066), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2068), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [186259] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4303), 1,
      anon_sym_LBRACK,
    ACTIONS(4307), 1,
      anon_sym_POUND,
    ACTIONS(4379), 1,
      anon_sym_LPAREN,
    STATE(3549), 1,
      sym_type_arguments,
    STATE(3359), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2044), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [186304] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4243), 1,
      anon_sym_LPAREN,
    ACTIONS(4381), 1,
      anon_sym_COLON,
    ACTIONS(4383), 1,
      anon_sym_EQ,
    STATE(4485), 1,
      sym_block,
    STATE(3223), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2874), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [186349] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4352), 1,
      anon_sym_with,
    STATE(3248), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4385), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2380), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [186392] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4301), 1,
      anon_sym_AT,
    STATE(3285), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [186430] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2376), 1,
      ts_builtin_sym_end,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4296), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
  [186468] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4389), 1,
      anon_sym_LBRACK,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(3428), 1,
      sym_type_parameters,
    STATE(3893), 1,
      sym_access_modifier,
    STATE(5646), 1,
      sym_extends_clause,
    STATE(6215), 1,
      sym_template_body,
    ACTIONS(4391), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3890), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2024), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2026), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [186522] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4397), 1,
      anon_sym_LBRACK,
    ACTIONS(4399), 1,
      anon_sym_LPAREN,
    ACTIONS(4401), 1,
      anon_sym_POUND,
    STATE(3601), 1,
      sym_type_arguments,
    STATE(3556), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2044), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [186566] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4389), 1,
      anon_sym_LBRACK,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(3398), 1,
      sym_type_parameters,
    STATE(3861), 1,
      sym_access_modifier,
    STATE(5425), 1,
      sym_extends_clause,
    STATE(6433), 1,
      sym_template_body,
    ACTIONS(4391), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3859), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2020), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2022), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [186620] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4403), 1,
      anon_sym_LPAREN,
    STATE(3266), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2238), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [186658] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4406), 1,
      anon_sym_LBRACK,
    ACTIONS(4408), 1,
      anon_sym_AT,
    ACTIONS(4410), 1,
      anon_sym_POUND,
    STATE(3728), 1,
      sym_type_arguments,
    STATE(3461), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [186702] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4389), 1,
      anon_sym_LBRACK,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(3434), 1,
      sym_type_parameters,
    STATE(3842), 1,
      sym_access_modifier,
    STATE(5393), 1,
      sym_extends_clause,
    STATE(6318), 1,
      sym_template_body,
    ACTIONS(4391), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3841), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2006), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2008), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [186756] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2757), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [186790] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(10023), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4416), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [186844] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2750), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [186878] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(3668), 1,
      sym_access_modifier,
    STATE(5185), 1,
      sym_extends_clause,
    STATE(5582), 1,
      sym_template_body,
    ACTIONS(4313), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3669), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2116), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2118), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [186928] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(3784), 1,
      sym_access_modifier,
    STATE(5237), 1,
      sym_extends_clause,
    STATE(5504), 1,
      sym_template_body,
    ACTIONS(4313), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3782), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2110), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2112), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [186978] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(10023), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4428), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [187032] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2730), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [187066] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4430), 1,
      anon_sym_AT,
    STATE(3276), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [187104] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4397), 1,
      anon_sym_LBRACK,
    ACTIONS(4401), 1,
      anon_sym_POUND,
    ACTIONS(4433), 1,
      anon_sym_AT,
    STATE(3601), 1,
      sym_type_arguments,
    STATE(3563), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [187148] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2776), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [187182] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_LPAREN,
    STATE(3279), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2238), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [187220] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(3683), 1,
      sym_access_modifier,
    STATE(5240), 1,
      sym_extends_clause,
    STATE(5509), 1,
      sym_template_body,
    ACTIONS(4313), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3724), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2066), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2068), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [187270] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    ACTIONS(2730), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [187304] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_LBRACK,
    ACTIONS(4214), 1,
      anon_sym_extends,
    STATE(3486), 1,
      sym_type_parameters,
    STATE(3917), 1,
      sym_extends_clause,
    STATE(4301), 1,
      sym_template_body,
    ACTIONS(2412), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [187348] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4389), 1,
      anon_sym_LBRACK,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(3299), 1,
      sym_type_parameters,
    STATE(3884), 1,
      sym_access_modifier,
    STATE(5615), 1,
      sym_extends_clause,
    STATE(6258), 1,
      sym_template_body,
    ACTIONS(4391), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3882), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2038), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2040), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [187402] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4289), 1,
      anon_sym_LPAREN,
    STATE(3266), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2224), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [187440] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_AT,
    STATE(3285), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [187478] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_LBRACK,
    ACTIONS(4214), 1,
      anon_sym_extends,
    STATE(3496), 1,
      sym_type_parameters,
    STATE(3986), 1,
      sym_extends_clause,
    STATE(4638), 1,
      sym_template_body,
    ACTIONS(2625), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [187522] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4406), 1,
      anon_sym_LBRACK,
    ACTIONS(4410), 1,
      anon_sym_POUND,
    ACTIONS(4441), 1,
      anon_sym_LPAREN,
    STATE(3728), 1,
      sym_type_arguments,
    STATE(3478), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2044), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [187566] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4443), 1,
      anon_sym_LBRACK,
    ACTIONS(4445), 1,
      anon_sym_AT,
    ACTIONS(4447), 1,
      anon_sym_POUND,
    STATE(3759), 1,
      sym_type_arguments,
    STATE(3477), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [187610] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4282), 1,
      anon_sym_AT,
    STATE(3276), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [187648] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4443), 1,
      anon_sym_LBRACK,
    ACTIONS(4447), 1,
      anon_sym_POUND,
    ACTIONS(4449), 1,
      anon_sym_LPAREN,
    STATE(3759), 1,
      sym_type_arguments,
    STATE(3467), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2044), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [187692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4451), 1,
      anon_sym_LPAREN,
    STATE(3291), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2949), 23,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [187728] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 1,
      ts_builtin_sym_end,
    ACTIONS(2474), 25,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [187762] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_LBRACK,
    ACTIONS(4214), 1,
      anon_sym_extends,
    STATE(3498), 1,
      sym_type_parameters,
    STATE(3984), 1,
      sym_extends_clause,
    STATE(4613), 1,
      sym_template_body,
    ACTIONS(2562), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [187806] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(3738), 1,
      sym_access_modifier,
    STATE(5341), 1,
      sym_extends_clause,
    STATE(5368), 1,
      sym_template_body,
    ACTIONS(4313), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3740), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2056), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2058), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [187856] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_LPAREN,
    STATE(3279), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2224), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [187894] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4454), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      anon_sym_LPAREN,
    ACTIONS(4458), 1,
      anon_sym_POUND,
    STATE(3843), 1,
      sym_type_arguments,
    STATE(3794), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2044), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [187937] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11564), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [187990] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11710), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [188043] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(3867), 1,
      sym_access_modifier,
    STATE(5499), 1,
      sym_extends_clause,
    STATE(6384), 1,
      sym_template_body,
    ACTIONS(4391), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3865), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2066), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2068), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [188092] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4157), 1,
      sym_extends_clause,
    STATE(4455), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2213), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2215), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [188137] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4460), 1,
      anon_sym_DOT,
    ACTIONS(2489), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [188172] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11744), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [188225] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11747), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [188278] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4085), 1,
      sym_extends_clause,
    STATE(4530), 1,
      sym_template_body,
    STATE(3432), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2253), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2255), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [188323] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11791), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [188376] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11425), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [188429] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3166), 1,
      ts_builtin_sym_end,
    ACTIONS(4462), 1,
      anon_sym_EQ,
    ACTIONS(3172), 4,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3168), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [188466] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4057), 1,
      sym_extends_clause,
    STATE(4617), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2226), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2228), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [188511] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11793), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [188564] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11817), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [188617] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3178), 1,
      ts_builtin_sym_end,
    ACTIONS(4464), 1,
      anon_sym_EQ,
    ACTIONS(3172), 4,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3180), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [188654] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11672), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [188707] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11818), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [188760] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(3994), 1,
      sym_extends_clause,
    STATE(4786), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2318), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2320), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [188805] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11831), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [188858] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11646), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [188911] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11644), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [188964] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11832), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [189017] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11847), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [189070] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11619), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [189123] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11615), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [189176] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    ACTIONS(2474), 23,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
      sym_operator_identifier,
  [189209] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11585), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [189262] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11582), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [189315] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4072), 1,
      sym_extends_clause,
    STATE(4557), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2247), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2249), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [189360] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4074), 1,
      sym_extends_clause,
    STATE(4546), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2243), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2245), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [189405] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11827), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [189458] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4079), 1,
      sym_extends_clause,
    STATE(4535), 1,
      sym_template_body,
    STATE(3314), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2232), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2234), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [189503] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11546), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [189556] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_LPAREN,
    STATE(3330), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2238), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [189593] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11876), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [189646] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4367), 1,
      anon_sym_LPAREN,
    STATE(3342), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2224), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [189683] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    STATE(3330), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2224), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [189720] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11486), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [189773] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4469), 1,
      anon_sym_AT,
    STATE(3335), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [189810] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 1,
      ts_builtin_sym_end,
    ACTIONS(3257), 24,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [189843] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_AT,
    STATE(3357), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [189880] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11556), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [189933] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11554), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [189986] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11545), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [190039] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11514), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [190092] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4472), 1,
      anon_sym_LPAREN,
    STATE(3342), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2238), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [190129] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11567), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [190182] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11469), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [190235] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11467), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [190288] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11351), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [190341] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4377), 1,
      anon_sym_AT,
    STATE(3335), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [190378] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11354), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [190431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_POUND,
    ACTIONS(2441), 18,
      anon_sym_object,
      anon_sym__,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [190466] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4385), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2380), 19,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [190503] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11424), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [190556] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 16,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [190591] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11551), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [190644] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11552), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [190697] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11673), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [190750] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11674), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [190803] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_AT,
    STATE(3357), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [190840] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4478), 1,
      anon_sym_LBRACK,
    ACTIONS(4480), 1,
      anon_sym_AT,
    ACTIONS(4482), 1,
      anon_sym_POUND,
    STATE(3930), 1,
      sym_type_arguments,
    STATE(3619), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [190883] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_LPAREN,
    STATE(3360), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2224), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [190920] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_LPAREN,
    STATE(3360), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2238), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [190957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 1,
      anon_sym_LPAREN,
    STATE(3361), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2818), 22,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
  [190992] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11910), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [191045] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11944), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [191098] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4490), 1,
      anon_sym_AT,
    STATE(3364), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [191135] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11796), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [191188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 1,
      anon_sym_LBRACK,
    STATE(3617), 1,
      sym_access_qualifier,
    ACTIONS(2999), 23,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_LPAREN,
  [191223] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11794), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [191276] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4371), 1,
      anon_sym_AT,
    STATE(3364), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [191313] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4495), 1,
      anon_sym_LBRACK,
    ACTIONS(4497), 1,
      anon_sym_AT,
    ACTIONS(4499), 1,
      anon_sym_POUND,
    STATE(3808), 1,
      sym_type_arguments,
    STATE(3694), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [191356] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [191389] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11479), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [191442] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11677), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [191495] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11474), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [191548] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11400), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [191601] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [191634] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11445), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [191687] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11704), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [191740] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2376), 2,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
    ACTIONS(4357), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 20,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [191777] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11640), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [191830] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4224), 1,
      sym_extends_clause,
    STATE(4263), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2264), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2266), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [191875] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4232), 1,
      sym_extends_clause,
    STATE(4244), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2268), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2270), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [191920] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11714), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [191973] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4227), 1,
      sym_extends_clause,
    STATE(4256), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2272), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2274), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [192018] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11631), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [192071] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4218), 1,
      sym_extends_clause,
    STATE(4282), 1,
      sym_template_body,
    STATE(3418), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2276), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2278), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [192116] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11630), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [192169] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11624), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [192222] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [192255] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4478), 1,
      anon_sym_LBRACK,
    ACTIONS(4482), 1,
      anon_sym_POUND,
    ACTIONS(4501), 1,
      anon_sym_LPAREN,
    STATE(3930), 1,
      sym_type_arguments,
    STATE(3643), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2044), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [192298] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [192331] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11623), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [192384] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11617), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [192437] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11660), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [192490] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11616), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [192543] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [192576] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11916), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [192629] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11975), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [192682] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(3851), 1,
      sym_access_modifier,
    STATE(5361), 1,
      sym_extends_clause,
    STATE(6350), 1,
      sym_template_body,
    ACTIONS(4391), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3850), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2056), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2058), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [192731] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11904), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [192784] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11608), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [192837] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 16,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [192870] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11607), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [192923] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11902), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [192976] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11598), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [193029] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11843), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [193082] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 16,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [193115] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11597), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [193168] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11589), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [193221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_POUND,
    ACTIONS(2491), 18,
      anon_sym_object,
      anon_sym__,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [193256] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11842), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [193309] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(2474), 22,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
      sym_operator_identifier,
  [193342] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11588), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [193395] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4505), 1,
      sym_identifier,
    ACTIONS(4507), 1,
      anon_sym_object,
    ACTIONS(4509), 1,
      anon_sym__,
    ACTIONS(4511), 1,
      anon_sym_class,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    STATE(9296), 1,
      sym_stable_identifier,
    STATE(11795), 1,
      sym_stable_type_identifier,
    ACTIONS(4517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4521), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9471), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [193448] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [193481] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4454), 1,
      anon_sym_LBRACK,
    ACTIONS(4458), 1,
      anon_sym_POUND,
    ACTIONS(4523), 1,
      anon_sym_AT,
    STATE(3843), 1,
      sym_type_arguments,
    STATE(3789), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [193524] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11767), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [193577] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11650), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [193630] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4095), 1,
      sym_extends_clause,
    STATE(4793), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2145), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2147), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [193675] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 16,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [193708] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [193743] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11648), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [193796] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11561), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [193849] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 16,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [193882] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11560), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [193935] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 16,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [193968] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11768), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [194021] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 16,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [194054] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(3881), 1,
      sym_access_modifier,
    STATE(5610), 1,
      sym_extends_clause,
    STATE(6259), 1,
      sym_template_body,
    ACTIONS(4391), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3880), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2116), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2118), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [194103] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4207), 1,
      sym_extends_clause,
    STATE(4407), 1,
      sym_template_body,
    STATE(3300), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2179), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2181), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [194148] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4174), 1,
      sym_extends_clause,
    STATE(4514), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2183), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2185), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [194193] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4495), 1,
      anon_sym_LBRACK,
    ACTIONS(4499), 1,
      anon_sym_POUND,
    ACTIONS(4525), 1,
      anon_sym_LPAREN,
    STATE(3808), 1,
      sym_type_arguments,
    STATE(3730), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2044), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [194236] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4222), 1,
      sym_extends_clause,
    STATE(4267), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2187), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2189), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [194281] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11801), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [194334] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(3836), 1,
      sym_access_modifier,
    STATE(5525), 1,
      sym_extends_clause,
    STATE(6220), 1,
      sym_template_body,
    ACTIONS(4391), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(3835), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2110), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2112), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [194383] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11797), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [194436] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4527), 1,
      anon_sym_DOT,
    ACTIONS(2489), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 16,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [194471] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11571), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [194524] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4183), 1,
      sym_extends_clause,
    STATE(4379), 1,
      sym_template_body,
    STATE(3325), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2191), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2193), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [194569] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 16,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [194602] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11570), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [194655] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4176), 1,
      sym_extends_clause,
    STATE(4406), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2209), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2211), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [194700] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11536), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [194753] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11590), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [194806] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11429), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [194859] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4009), 1,
      sym_extends_clause,
    STATE(4720), 1,
      sym_template_body,
    STATE(3449), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2292), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2294), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [194904] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11428), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [194957] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4016), 1,
      sym_extends_clause,
    STATE(4698), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2300), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2302), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195002] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11334), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [195055] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4159), 1,
      sym_extends_clause,
    STATE(4460), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2288), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2290), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195100] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4153), 1,
      sym_extends_clause,
    STATE(4467), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2322), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2324), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195145] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4151), 1,
      sym_extends_clause,
    STATE(4478), 1,
      sym_template_body,
    STATE(3380), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2312), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2314), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195190] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195223] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4143), 1,
      sym_extends_clause,
    STATE(4488), 1,
      sym_template_body,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2308), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2310), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195268] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_extends,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    STATE(4080), 1,
      sym_extends_clause,
    STATE(4536), 1,
      sym_template_body,
    STATE(3381), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2304), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2306), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195313] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11332), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [195366] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11413), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [195419] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11416), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [195472] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    STATE(11875), 1,
      sym_enumerators,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [195525] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(9875), 1,
      sym_enumerator,
    STATE(11484), 1,
      sym_enumerators,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [195578] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4231), 1,
      anon_sym_extends,
    STATE(3663), 1,
      sym_type_parameters,
    STATE(4011), 1,
      sym_extends_clause,
    STATE(4666), 1,
      sym_template_body,
    ACTIONS(2562), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2564), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195618] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_AT,
    STATE(3487), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_POUND,
    ACTIONS(2450), 18,
      anon_sym_object,
      anon_sym__,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [195686] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4231), 1,
      anon_sym_extends,
    STATE(3641), 1,
      sym_type_parameters,
    STATE(4059), 1,
      sym_extends_clause,
    STATE(4626), 1,
      sym_template_body,
    ACTIONS(2412), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2414), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2511), 6,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_POUND,
    ACTIONS(2513), 18,
      anon_sym_object,
      anon_sym__,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [195758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 24,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_LPAREN,
  [195788] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4529), 1,
      anon_sym_LPAREN,
    STATE(3466), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2238), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195824] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_LPAREN,
    STATE(3466), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2224), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195860] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4501), 1,
      sym_extends_clause,
    STATE(5230), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2288), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2290), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195904] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4511), 1,
      sym_extends_clause,
    STATE(5235), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2322), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2324), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195948] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4595), 1,
      sym_extends_clause,
    STATE(5283), 1,
      sym_template_body,
    STATE(3545), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2312), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2314), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [195992] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4619), 1,
      sym_extends_clause,
    STATE(5171), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2308), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2310), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196036] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4632), 1,
      sym_extends_clause,
    STATE(5143), 1,
      sym_template_body,
    STATE(3517), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2304), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2306), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196080] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 1,
      sym_identifier,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4538), 1,
      anon_sym_RPAREN,
    STATE(9381), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4542), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4540), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9449), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [196130] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4548), 1,
      sym_identifier,
    ACTIONS(4550), 1,
      anon_sym_RPAREN,
    STATE(9423), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4554), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4552), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9433), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [196180] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4556), 1,
      anon_sym_AT,
    STATE(3475), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196216] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4559), 1,
      anon_sym_LPAREN,
    STATE(3476), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2238), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196252] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4445), 1,
      anon_sym_AT,
    STATE(3475), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196288] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4441), 1,
      anon_sym_LPAREN,
    STATE(3476), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2224), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196324] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196356] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196388] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196420] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4784), 1,
      sym_extends_clause,
    STATE(4902), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2300), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2302), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196464] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_with,
    STATE(3483), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196500] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4778), 1,
      sym_extends_clause,
    STATE(4919), 1,
      sym_template_body,
    STATE(3468), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2292), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2294), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196544] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4567), 1,
      anon_sym_with,
    STATE(3543), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4565), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 10,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [196584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    STATE(3988), 1,
      sym_extends_clause,
    STATE(4663), 1,
      sym_template_body,
    ACTIONS(2768), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [196622] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4569), 1,
      anon_sym_AT,
    STATE(3487), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196658] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196690] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [196722] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4572), 1,
      sym_identifier,
    ACTIONS(4574), 1,
      anon_sym_RPAREN,
    STATE(9357), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4576), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9484), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [196772] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4580), 1,
      sym_identifier,
    ACTIONS(4582), 1,
      anon_sym_RPAREN,
    STATE(9338), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4586), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4584), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9521), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [196822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 6,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_POUND,
    ACTIONS(2540), 18,
      anon_sym_object,
      anon_sym__,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [196854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 6,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_POUND,
    ACTIONS(2584), 18,
      anon_sym_object,
      anon_sym__,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [196886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2503), 6,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_POUND,
    ACTIONS(2505), 18,
      anon_sym_object,
      anon_sym__,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [196918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 24,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_LPAREN,
  [196948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    STATE(3956), 1,
      sym_extends_clause,
    STATE(4492), 1,
      sym_template_body,
    ACTIONS(2801), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [196986] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197020] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    STATE(3828), 1,
      sym_extends_clause,
    STATE(4537), 1,
      sym_template_body,
    ACTIONS(2864), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [197058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 6,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_POUND,
    ACTIONS(2576), 18,
      anon_sym_object,
      anon_sym__,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [197090] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4567), 1,
      anon_sym_with,
    STATE(3543), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3957), 24,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_LPAREN,
  [197156] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(9502), 1,
      sym_stable_identifier,
    STATE(10023), 1,
      sym_enumerator,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4422), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4420), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9631), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [197206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3810), 9,
      sym__simple_string,
      sym__simple_multiline_string,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_TILDE,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3812), 15,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_try,
      anon_sym_new,
      sym_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_symbol_literal,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
  [197238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 24,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_LPAREN,
  [197268] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197300] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197332] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4588), 1,
      sym_identifier,
    ACTIONS(4590), 1,
      anon_sym_RPAREN,
    STATE(9417), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4594), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4592), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9439), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [197382] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4596), 1,
      sym_identifier,
    ACTIONS(4598), 1,
      anon_sym_RPAREN,
    STATE(9418), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4600), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9438), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [197432] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_LBRACK,
    ACTIONS(4606), 1,
      anon_sym_LPAREN,
    ACTIONS(4608), 1,
      anon_sym_POUND,
    STATE(4179), 1,
      sym_type_arguments,
    STATE(3951), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2044), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197474] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197506] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197538] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4444), 1,
      sym_extends_clause,
    STATE(5026), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2318), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2320), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197582] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4415), 1,
      sym_extends_clause,
    STATE(5007), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2247), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2249), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197626] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4401), 1,
      sym_extends_clause,
    STATE(4942), 1,
      sym_template_body,
    STATE(3575), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2276), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2278), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197670] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_LBRACK,
    ACTIONS(4608), 1,
      anon_sym_POUND,
    ACTIONS(4610), 1,
      anon_sym_AT,
    STATE(4179), 1,
      sym_type_arguments,
    STATE(3933), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 10,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197712] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4391), 1,
      sym_extends_clause,
    STATE(4932), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2272), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2274), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197756] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4386), 1,
      sym_extends_clause,
    STATE(4903), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2268), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2270), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197800] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4614), 1,
      anon_sym_with,
    STATE(3544), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4612), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [197840] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4392), 1,
      sym_extends_clause,
    STATE(5002), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2243), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2245), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197884] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197916] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197948] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4372), 1,
      sym_extends_clause,
    STATE(4994), 1,
      sym_template_body,
    STATE(3512), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2232), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2234), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [197992] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198024] = 9,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2658), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2660), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198068] = 9,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2662), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2664), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198112] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4231), 1,
      anon_sym_extends,
    STATE(3607), 1,
      sym_type_parameters,
    STATE(4206), 1,
      sym_extends_clause,
    STATE(4337), 1,
      sym_template_body,
    ACTIONS(2625), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2627), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198152] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3610), 1,
      sym_type_parameters,
    STATE(4334), 1,
      sym_block,
    STATE(3612), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2631), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2633), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198190] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4359), 1,
      sym_extends_clause,
    STATE(4970), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2213), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2215), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198234] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3736), 1,
      sym_type_parameters,
    STATE(4788), 1,
      sym_block,
    STATE(3768), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2604), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2606), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198272] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4624), 1,
      anon_sym_LBRACK,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(3631), 1,
      sym_type_parameters,
    STATE(4601), 1,
      sym_access_modifier,
    STATE(6578), 1,
      sym_extends_clause,
    STATE(7094), 1,
      sym_template_body,
    ACTIONS(4626), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4600), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2024), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2026), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [198324] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4624), 1,
      anon_sym_LBRACK,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(3624), 1,
      sym_type_parameters,
    STATE(4585), 1,
      sym_access_modifier,
    STATE(6551), 1,
      sym_extends_clause,
    STATE(7101), 1,
      sym_template_body,
    ACTIONS(4626), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4584), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2038), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2040), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [198376] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198408] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198440] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3640), 1,
      sym_type_parameters,
    STATE(4620), 1,
      sym_block,
    STATE(3636), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2416), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2418), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198478] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_DOT,
    ACTIONS(2489), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198512] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198544] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4257), 1,
      sym_extends_clause,
    STATE(4925), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2209), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2211), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198588] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_with,
    STATE(3538), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198624] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_with,
    STATE(3544), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198660] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4240), 1,
      sym_extends_clause,
    STATE(4897), 1,
      sym_template_body,
    STATE(3513), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2191), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2193), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198704] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4624), 1,
      anon_sym_LBRACK,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(3616), 1,
      sym_type_parameters,
    STATE(4548), 1,
      sym_access_modifier,
    STATE(6477), 1,
      sym_extends_clause,
    STATE(7144), 1,
      sym_template_body,
    ACTIONS(4626), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4547), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2020), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2022), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [198756] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198788] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4567), 1,
      anon_sym_with,
    STATE(3483), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198824] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_with,
    STATE(3538), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198860] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4380), 1,
      sym_extends_clause,
    STATE(4894), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2264), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2266), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198904] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [198936] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_extends,
    STATE(3916), 1,
      sym_extends_clause,
    STATE(4304), 1,
      sym_template_body,
    ACTIONS(2791), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [198974] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4624), 1,
      anon_sym_LBRACK,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(3615), 1,
      sym_type_parameters,
    STATE(4533), 1,
      sym_access_modifier,
    STATE(6496), 1,
      sym_extends_clause,
    STATE(7187), 1,
      sym_template_body,
    ACTIONS(4626), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4531), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2006), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2008), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [199026] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199058] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199090] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(2489), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199124] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4260), 1,
      sym_extends_clause,
    STATE(4873), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2187), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2189), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199168] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4639), 1,
      anon_sym_LPAREN,
    STATE(3553), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2238), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199204] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199236] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199268] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_LPAREN,
    STATE(3553), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2224), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199304] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_extends_clause,
    STATE(4870), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2183), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2185), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199348] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4642), 1,
      anon_sym_AT,
    STATE(3558), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199384] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4273), 1,
      sym_extends_clause,
    STATE(4867), 1,
      sym_template_body,
    STATE(3528), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2179), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2181), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199428] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4645), 1,
      sym_identifier,
    ACTIONS(4647), 1,
      anon_sym_RPAREN,
    STATE(9368), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4651), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4649), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9442), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [199478] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4653), 1,
      sym_identifier,
    ACTIONS(4655), 1,
      anon_sym_RPAREN,
    STATE(9384), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4659), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4657), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9461), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [199528] = 9,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2350), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2352), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199572] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4433), 1,
      anon_sym_AT,
    STATE(3558), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199608] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym_extends_clause,
    STATE(4843), 1,
      sym_template_body,
    STATE(3552), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2253), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2255), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199652] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4336), 1,
      sym_extends_clause,
    STATE(4820), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2226), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2228), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199696] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199730] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199762] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199794] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_DOT,
    ACTIONS(2489), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199828] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199862] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199894] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199926] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199958] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 15,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [199990] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_LPAREN,
    STATE(4291), 1,
      sym_extends_clause,
    STATE(4844), 1,
      sym_template_body,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2145), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2147), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [200034] = 17,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4671), 1,
      anon_sym_catch,
    ACTIONS(4673), 1,
      anon_sym_finally,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(5430), 1,
      sym_finally_clause,
    STATE(6083), 1,
      sym_catch_clause,
    ACTIONS(2074), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2070), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [200093] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 14,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [200124] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4677), 1,
      anon_sym_with,
    STATE(3606), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4675), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [200163] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4679), 1,
      sym_identifier,
    STATE(9388), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4683), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4681), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9457), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [200210] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 14,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [200241] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_LBRACK,
    ACTIONS(4687), 1,
      anon_sym_LPAREN,
    ACTIONS(4689), 1,
      anon_sym_POUND,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(4703), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 17,
      anon_sym_object,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [200280] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4691), 1,
      sym_identifier,
    STATE(9374), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4695), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4693), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9475), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [200327] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4697), 1,
      sym_identifier,
    STATE(9387), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4701), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4699), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9465), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [200374] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4705), 1,
      anon_sym_with,
    STATE(3588), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4703), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 9,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [200413] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4707), 1,
      sym_identifier,
    STATE(9353), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4711), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4709), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9452), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [200460] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4715), 1,
      anon_sym_with,
    STATE(3632), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4713), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [200499] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4509), 1,
      anon_sym__,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    ACTIONS(4717), 1,
      sym_identifier,
    STATE(9501), 1,
      sym_stable_identifier,
    STATE(11795), 1,
      sym_stable_type_identifier,
    ACTIONS(4519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4521), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4721), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4719), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9552), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [200546] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_with,
    STATE(3599), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [200581] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4723), 1,
      sym_identifier,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    STATE(9565), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4731), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4729), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9759), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [200628] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4737), 1,
      sym_identifier,
    STATE(9566), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4741), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4739), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9763), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [200675] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4743), 1,
      anon_sym_with,
    STATE(3591), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [200710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 23,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_LPAREN,
  [200739] = 17,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4746), 1,
      anon_sym_catch,
    ACTIONS(4748), 1,
      anon_sym_finally,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(4345), 1,
      sym_finally_clause,
    STATE(5583), 1,
      sym_catch_clause,
    ACTIONS(2074), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2070), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [200798] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4677), 1,
      anon_sym_with,
    STATE(3606), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [200833] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4509), 1,
      anon_sym__,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    ACTIONS(4750), 1,
      sym_identifier,
    STATE(9510), 1,
      sym_stable_identifier,
    STATE(11795), 1,
      sym_stable_type_identifier,
    ACTIONS(4519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4521), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4754), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4752), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9550), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [200880] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4509), 1,
      anon_sym__,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    ACTIONS(4756), 1,
      sym_identifier,
    STATE(9445), 1,
      sym_stable_identifier,
    STATE(11795), 1,
      sym_stable_type_identifier,
    ACTIONS(4519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4521), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4760), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4758), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9549), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [200927] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [200958] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_with,
    STATE(3588), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [200993] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_with,
    STATE(3599), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [201028] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4765), 1,
      anon_sym_DOT,
    ACTIONS(2489), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [201061] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [201092] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [201123] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4631), 1,
      sym_block,
    STATE(3830), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2797), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2799), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [201158] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [201189] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [201220] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4677), 1,
      anon_sym_with,
    STATE(3591), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [201255] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4231), 1,
      anon_sym_extends,
    STATE(4012), 1,
      sym_extends_clause,
    STATE(4707), 1,
      sym_template_body,
    ACTIONS(2801), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2803), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [201292] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4767), 1,
      sym_identifier,
    STATE(9493), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4771), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4769), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9689), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [201339] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4773), 1,
      sym_identifier,
    STATE(9490), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4777), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4775), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9690), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [201386] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4767), 1,
      sym_block,
    STATE(3690), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2874), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2876), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [201421] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4779), 1,
      sym_identifier,
    STATE(9518), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4783), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4781), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9693), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [201468] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4773), 1,
      sym_block,
    STATE(3830), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2880), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2882), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [201503] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(3864), 1,
      sym_type_parameters,
    STATE(5254), 1,
      sym_access_modifier,
    STATE(6865), 1,
      sym_extends_clause,
    STATE(8176), 1,
      sym_template_body,
    ACTIONS(4789), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2024), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2026), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [201554] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(3852), 1,
      sym_type_parameters,
    STATE(5350), 1,
      sym_access_modifier,
    STATE(6875), 1,
      sym_extends_clause,
    STATE(8162), 1,
      sym_template_body,
    ACTIONS(4789), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5342), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2038), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2040), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [201605] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(4477), 1,
      sym_access_modifier,
    STATE(6522), 1,
      sym_extends_clause,
    STATE(7217), 1,
      sym_template_body,
    ACTIONS(4626), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4476), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2110), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2112), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [201652] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(4540), 1,
      sym_access_modifier,
    STATE(6483), 1,
      sym_extends_clause,
    STATE(7176), 1,
      sym_template_body,
    ACTIONS(4626), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4539), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2056), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2058), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [201699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3119), 23,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_LPAREN,
  [201728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      anon_sym_DOT,
    STATE(3625), 1,
      aux_sym_package_identifier_repeat1,
    ACTIONS(4795), 21,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [201761] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_AT,
    STATE(3639), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [201796] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [201827] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4799), 1,
      sym_identifier,
    STATE(9546), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4803), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4801), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9731), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [201874] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4805), 1,
      sym_identifier,
    STATE(9544), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4809), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4807), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9722), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [201921] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4231), 1,
      anon_sym_extends,
    STATE(4047), 1,
      sym_extends_clause,
    STATE(4618), 1,
      sym_template_body,
    ACTIONS(2791), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2793), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [201958] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(4566), 1,
      sym_access_modifier,
    STATE(6516), 1,
      sym_extends_clause,
    STATE(7121), 1,
      sym_template_body,
    ACTIONS(4626), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4565), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2066), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2068), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [202005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      anon_sym_DOT,
    STATE(3712), 1,
      aux_sym_package_identifier_repeat1,
    ACTIONS(4811), 21,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [202038] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202069] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202100] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202133] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4813), 1,
      anon_sym_with,
    STATE(3629), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202168] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_with,
    STATE(3632), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202203] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(4583), 1,
      sym_access_modifier,
    STATE(6548), 1,
      sym_extends_clause,
    STATE(7102), 1,
      sym_template_body,
    ACTIONS(4626), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4582), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2116), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2118), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [202250] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_with,
    STATE(3629), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4816), 1,
      anon_sym_EQ,
    STATE(4305), 1,
      sym_block,
    ACTIONS(3262), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [202320] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_AT,
    STATE(3634), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202355] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(3824), 1,
      sym_type_parameters,
    STATE(5049), 1,
      sym_access_modifier,
    STATE(6942), 1,
      sym_extends_clause,
    STATE(8001), 1,
      sym_template_body,
    ACTIONS(4789), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5046), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2020), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2022), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [202406] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4343), 1,
      sym_block,
    STATE(3830), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2744), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2746), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202441] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202472] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202503] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4821), 1,
      anon_sym_AT,
    STATE(3639), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202538] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4344), 1,
      sym_block,
    STATE(3603), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2764), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2766), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202573] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4231), 1,
      anon_sym_extends,
    STATE(4200), 1,
      sym_extends_clause,
    STATE(4360), 1,
      sym_template_body,
    ACTIONS(2768), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2770), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202610] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2658), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2660), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202653] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4501), 1,
      anon_sym_LPAREN,
    STATE(3645), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2224), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202688] = 17,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4671), 1,
      anon_sym_catch,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    ACTIONS(4834), 1,
      anon_sym_finally,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(5430), 1,
      sym_finally_clause,
    STATE(6062), 1,
      sym_catch_clause,
    ACTIONS(2074), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2070), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [202747] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4836), 1,
      anon_sym_LPAREN,
    STATE(3645), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2238), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4839), 1,
      anon_sym_EQ,
    STATE(4283), 1,
      sym_block,
    ACTIONS(3221), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [202817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4841), 1,
      anon_sym_EQ,
    STATE(4280), 1,
      sym_block,
    ACTIONS(3201), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [202852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3049), 23,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_LPAREN,
  [202881] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4843), 1,
      anon_sym_EQ,
    STATE(4254), 1,
      sym_block,
    ACTIONS(3123), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [202916] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2662), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2664), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202959] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4378), 1,
      sym_block,
    STATE(3830), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2778), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2780), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [202994] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203025] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4845), 1,
      anon_sym_LPAREN,
    STATE(3653), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2238), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4848), 1,
      anon_sym_EQ,
    STATE(4297), 1,
      sym_block,
    ACTIONS(3066), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [203095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4850), 1,
      anon_sym_EQ,
    STATE(4351), 1,
      sym_block,
    ACTIONS(3127), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [203130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4852), 1,
      anon_sym_EQ,
    STATE(4363), 1,
      sym_block,
    ACTIONS(3147), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [203165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3302), 23,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_LPAREN,
  [203194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4854), 1,
      anon_sym_EQ,
    STATE(4389), 1,
      sym_block,
    ACTIONS(3244), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [203229] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203260] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203291] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5192), 1,
      sym_extends_clause,
    STATE(5577), 1,
      sym_template_body,
    STATE(3672), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2292), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2294), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203334] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5194), 1,
      sym_extends_clause,
    STATE(5563), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2300), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2302), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203377] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4231), 1,
      anon_sym_extends,
    STATE(4018), 1,
      sym_extends_clause,
    STATE(4688), 1,
      sym_template_body,
    ACTIONS(2864), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2866), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3053), 23,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_LPAREN,
  [203443] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5252), 1,
      sym_extends_clause,
    STATE(5496), 1,
      sym_template_body,
    STATE(3684), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2304), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2306), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203486] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203517] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5258), 1,
      sym_extends_clause,
    STATE(5489), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2308), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2310), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203560] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5260), 1,
      sym_extends_clause,
    STATE(5484), 1,
      sym_template_body,
    STATE(3687), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2312), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2314), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203603] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5264), 1,
      sym_extends_clause,
    STATE(5478), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2322), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2324), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203646] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203677] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203708] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5267), 1,
      sym_extends_clause,
    STATE(5475), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2288), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2290), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203751] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203782] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4505), 1,
      sym_identifier,
    ACTIONS(4509), 1,
      anon_sym__,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    STATE(9296), 1,
      sym_stable_identifier,
    STATE(11795), 1,
      sym_stable_type_identifier,
    ACTIONS(4517), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4519), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4521), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4515), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9471), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [203829] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4856), 1,
      anon_sym_EQ,
    STATE(4521), 1,
      sym_block,
    ACTIONS(3430), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [203895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4858), 1,
      anon_sym_EQ,
    STATE(4504), 1,
      sym_block,
    ACTIONS(3393), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [203930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(4860), 1,
      anon_sym_EQ,
    STATE(4518), 1,
      sym_block,
    ACTIONS(3426), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [203965] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [203996] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [204027] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [204058] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_LPAREN,
    STATE(3682), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2818), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2820), 12,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [204093] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5296), 1,
      sym_extends_clause,
    STATE(5411), 1,
      sym_template_body,
    STATE(3718), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2276), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2278), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [204136] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5303), 1,
      sym_extends_clause,
    STATE(5402), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2268), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2270), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [204179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 23,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_LPAREN,
  [204208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 23,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_LPAREN,
  [204237] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5311), 1,
      sym_extends_clause,
    STATE(5391), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2264), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2266), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [204280] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4865), 1,
      sym_identifier,
    STATE(9565), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4731), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4729), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9759), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [204327] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4867), 1,
      sym_identifier,
    STATE(9566), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4741), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4739), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9763), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [204374] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4418), 1,
      sym_block,
    STATE(3830), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2805), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2807), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [204409] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4869), 1,
      sym_identifier,
    STATE(9614), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4873), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4871), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9901), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [204456] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [204489] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4875), 1,
      sym_identifier,
    STATE(9568), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4879), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4877), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9767), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [204536] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4497), 1,
      anon_sym_AT,
    STATE(3634), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [204571] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [204602] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4881), 1,
      sym_identifier,
    STATE(9612), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4885), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4883), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9899), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [204649] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4887), 1,
      sym_identifier,
    STATE(9571), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4891), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4889), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9774), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [204696] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      sym_identifier,
    STATE(9576), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4897), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4895), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9776), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [204743] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4787), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(3805), 1,
      sym_type_parameters,
    STATE(4937), 1,
      sym_access_modifier,
    STATE(6990), 1,
      sym_extends_clause,
    STATE(7939), 1,
      sym_template_body,
    ACTIONS(4789), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4933), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2006), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2008), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [204794] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2350), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2352), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [204837] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4899), 1,
      sym_identifier,
    STATE(9581), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4903), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4901), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9784), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [204884] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4905), 1,
      sym_identifier,
    STATE(9583), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4909), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4907), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9785), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [204931] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      sym_identifier,
    STATE(9588), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4915), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4913), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9803), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [204978] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4917), 1,
      sym_identifier,
    STATE(9589), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4921), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4919), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9807), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [205025] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5349), 1,
      sym_extends_clause,
    STATE(5365), 1,
      sym_template_body,
    STATE(3745), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2253), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2255), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [205068] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5352), 1,
      sym_extends_clause,
    STATE(5358), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2226), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2228), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [205111] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4923), 1,
      anon_sym_LBRACK,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_POUND,
    STATE(4523), 1,
      sym_type_arguments,
    STATE(4099), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
    ACTIONS(2044), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [205152] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4929), 1,
      sym_identifier,
    STATE(9592), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4933), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4931), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9828), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [205199] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4935), 1,
      sym_identifier,
    STATE(9593), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4939), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4937), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9833), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [205246] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3894), 1,
      sym_type_parameters,
    STATE(5137), 1,
      sym_block,
    STATE(3897), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2631), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2633), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [205283] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      sym_identifier,
    STATE(9658), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4945), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4943), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9798), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [205330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4949), 1,
      anon_sym_DOT,
    STATE(3712), 1,
      aux_sym_package_identifier_repeat1,
    ACTIONS(4947), 21,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [205363] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4952), 1,
      sym_identifier,
    STATE(9607), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4956), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4954), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9889), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [205410] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4958), 1,
      sym_identifier,
    STATE(9605), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4962), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4960), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9877), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [205457] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [205488] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4964), 1,
      sym_identifier,
    STATE(9598), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4968), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4966), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9852), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [205535] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      sym_identifier,
    STATE(9600), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4974), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4972), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9863), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [205582] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5287), 1,
      sym_extends_clause,
    STATE(5432), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2145), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2147), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [205625] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_identifier,
    STATE(9606), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4980), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4978), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9873), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [205672] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4982), 1,
      sym_identifier,
    STATE(9608), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4986), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4984), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9882), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [205719] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4988), 1,
      sym_identifier,
    STATE(9616), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4992), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4990), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9904), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [205766] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(4994), 1,
      sym_identifier,
    STATE(9617), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(4998), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4996), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9911), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [205813] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5000), 1,
      anon_sym_DOT,
    ACTIONS(2489), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [205846] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5299), 1,
      sym_extends_clause,
    STATE(5406), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2272), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2274), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [205889] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_extends,
    STATE(3892), 1,
      sym_type_parameters,
    STATE(4422), 1,
      sym_extends_clause,
    STATE(5142), 1,
      sym_template_body,
    ACTIONS(2625), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2627), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [205928] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [205961] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_extends,
    STATE(3816), 1,
      sym_type_parameters,
    STATE(4743), 1,
      sym_extends_clause,
    STATE(4981), 1,
      sym_template_body,
    ACTIONS(2562), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2564), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [206000] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [206031] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3812), 1,
      sym_type_parameters,
    STATE(4973), 1,
      sym_block,
    STATE(3809), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2604), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2606), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [206068] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_LPAREN,
    STATE(3653), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2224), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [206103] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5002), 1,
      sym_identifier,
    STATE(9660), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5006), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5004), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9793), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [206150] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5008), 1,
      sym_identifier,
    STATE(9601), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5012), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5010), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9870), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [206197] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [206228] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_extends,
    STATE(3801), 1,
      sym_type_parameters,
    STATE(4756), 1,
      sym_extends_clause,
    STATE(4898), 1,
      sym_template_body,
    ACTIONS(2412), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2414), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [206267] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [206298] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4648), 1,
      sym_block,
    STATE(3651), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2854), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2856), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [206333] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5014), 1,
      sym_identifier,
    STATE(9599), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5018), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5016), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9864), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [206380] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5266), 1,
      sym_extends_clause,
    STATE(5470), 1,
      sym_template_body,
    STATE(3774), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2179), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2181), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [206423] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5020), 1,
      sym_identifier,
    STATE(9623), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5024), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5022), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9909), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [206470] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5261), 1,
      sym_extends_clause,
    STATE(5477), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2183), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2185), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [206513] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5026), 1,
      sym_identifier,
    STATE(9624), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5030), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5028), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9906), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [206560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4687), 1,
      anon_sym_LPAREN,
    STATE(4120), 1,
      sym_arguments,
    ACTIONS(3033), 21,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [206593] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5032), 1,
      sym_identifier,
    STATE(9627), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5036), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5034), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9898), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [206640] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [206671] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5257), 1,
      sym_extends_clause,
    STATE(5486), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2187), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2189), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [206714] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [206745] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5038), 1,
      sym_identifier,
    STATE(9628), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5042), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5040), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9895), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [206792] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym_identifier,
    STATE(9629), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5048), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5046), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9888), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [206839] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5050), 1,
      sym_identifier,
    STATE(9630), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5054), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5052), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9885), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [206886] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5234), 1,
      sym_extends_clause,
    STATE(5513), 1,
      sym_template_body,
    STATE(3779), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2191), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2193), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [206929] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5056), 1,
      sym_identifier,
    STATE(9594), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5060), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5058), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9846), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [206976] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5062), 1,
      sym_identifier,
    STATE(9591), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5066), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5064), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9830), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [207023] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5229), 1,
      sym_extends_clause,
    STATE(5520), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2209), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2211), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [207066] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5068), 1,
      sym_identifier,
    STATE(9632), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5072), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5070), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9876), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [207113] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5074), 1,
      anon_sym_DOT,
    ACTIONS(2489), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [207146] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      sym_identifier,
    STATE(9633), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5080), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5078), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9874), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [207193] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3813), 1,
      sym_type_parameters,
    STATE(4993), 1,
      sym_block,
    STATE(3819), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2416), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2418), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [207230] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      sym_identifier,
    STATE(9636), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5086), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5084), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9862), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [207277] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [207308] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_identifier,
    STATE(9528), 1,
      sym_stable_identifier,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5092), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5090), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9578), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [207355] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5094), 1,
      sym_identifier,
    STATE(9637), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5098), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5096), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9860), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [207402] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5100), 1,
      sym_identifier,
    STATE(9639), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5104), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5102), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9851), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [207449] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [207480] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5106), 1,
      sym_identifier,
    STATE(9640), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5110), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5108), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9849), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [207527] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5112), 1,
      sym_identifier,
    STATE(9643), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5116), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5114), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9841), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [207574] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym__,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(5118), 1,
      sym_identifier,
    STATE(9467), 1,
      sym_stable_identifier,
    STATE(11834), 1,
      sym_stable_type_identifier,
    ACTIONS(4544), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4546), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5122), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5120), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9620), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [207621] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [207652] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4646), 1,
      sym_block,
    STATE(3830), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2850), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2852), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [207687] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5124), 1,
      sym_identifier,
    STATE(9644), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5128), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5126), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9838), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [207734] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5130), 1,
      anon_sym_LPAREN,
    STATE(3770), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2238), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [207769] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 14,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [207800] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5133), 1,
      sym_identifier,
    STATE(9646), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5137), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5135), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9832), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [207847] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    ACTIONS(5139), 1,
      sym_identifier,
    STATE(9526), 1,
      sym_stable_identifier,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5143), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5141), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9584), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [207894] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5197), 1,
      sym_extends_clause,
    STATE(5559), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2213), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2215), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [207937] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(9647), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5149), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5147), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9829), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [207984] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5151), 1,
      sym_identifier,
    STATE(9649), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5155), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5153), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9822), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [208031] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5157), 1,
      sym_identifier,
    STATE(9655), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5161), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5159), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9805), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [208078] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_AT,
    STATE(3778), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [208113] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5144), 1,
      sym_extends_clause,
    STATE(5647), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2247), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2249), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [208156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_LBRACE,
    ACTIONS(5166), 1,
      anon_sym_EQ,
    STATE(4696), 1,
      sym_block,
    ACTIONS(3346), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [208191] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4923), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_POUND,
    ACTIONS(5168), 1,
      anon_sym_AT,
    STATE(4523), 1,
      sym_type_arguments,
    STATE(4070), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2030), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [208232] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5161), 1,
      sym_extends_clause,
    STATE(5627), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2243), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2245), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [208275] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5170), 1,
      sym_identifier,
    STATE(9654), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5174), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5172), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9809), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [208322] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5168), 1,
      sym_extends_clause,
    STATE(5601), 1,
      sym_template_body,
    STATE(3795), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2232), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2234), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [208365] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5176), 1,
      sym_identifier,
    STATE(9652), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5180), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5178), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9815), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [208412] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5182), 1,
      sym_identifier,
    STATE(9650), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5186), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5184), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9817), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [208459] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5188), 1,
      sym_identifier,
    STATE(9662), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5192), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5190), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9786), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [208506] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5194), 1,
      sym_identifier,
    STATE(9661), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5196), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9788), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [208553] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4523), 1,
      anon_sym_AT,
    STATE(3778), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [208588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3096), 23,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_LPAREN,
  [208617] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym__,
    ACTIONS(4727), 1,
      anon_sym_LPAREN,
    ACTIONS(5200), 1,
      sym_identifier,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(11948), 1,
      sym_stable_type_identifier,
    ACTIONS(4733), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4735), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5204), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5202), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9824), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [208664] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    ACTIONS(5206), 1,
      sym_identifier,
    STATE(9522), 1,
      sym_stable_identifier,
    STATE(11762), 1,
      sym_stable_type_identifier,
    ACTIONS(4424), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4426), 2,
      sym__simple_string,
      sym__simple_multiline_string,
    ACTIONS(5210), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5208), 3,
      sym_integer_literal,
      sym_symbol_literal,
      sym_null_literal,
    STATE(9587), 9,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_typed_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_wildcard,
      sym_boolean_literal,
      sym_string,
  [208711] = 17,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4746), 1,
      anon_sym_catch,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    ACTIONS(5212), 1,
      anon_sym_finally,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(4345), 1,
      sym_finally_clause,
    STATE(5696), 1,
      sym_catch_clause,
    ACTIONS(2074), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2070), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [208770] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4456), 1,
      anon_sym_LPAREN,
    STATE(3770), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2224), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [208805] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    ACTIONS(4315), 1,
      anon_sym_extends,
    ACTIONS(4317), 1,
      anon_sym_LPAREN,
    STATE(5079), 1,
      sym_extends_clause,
    STATE(5694), 1,
      sym_template_body,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2318), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2320), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [208848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4750), 1,
      sym_template_body,
    ACTIONS(3082), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [208880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4528), 1,
      sym_template_body,
    ACTIONS(3235), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [208912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4670), 1,
      sym_template_body,
    ACTIONS(3103), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [208944] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5216), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(3995), 1,
      sym_type_parameters,
    STATE(5872), 1,
      sym_access_modifier,
    STATE(7823), 1,
      sym_extends_clause,
    STATE(8374), 1,
      sym_template_body,
    ACTIONS(5218), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5869), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2024), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2026), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [208994] = 17,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2074), 1,
      anon_sym_else,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4671), 1,
      anon_sym_catch,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    ACTIONS(5228), 1,
      anon_sym_finally,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(5430), 1,
      sym_finally_clause,
    STATE(6634), 1,
      sym_catch_clause,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2070), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [209052] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_extends,
    STATE(4448), 1,
      sym_extends_clause,
    STATE(5170), 1,
      sym_template_body,
    ACTIONS(2768), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2770), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209088] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5230), 1,
      anon_sym_LPAREN,
    STATE(3802), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2818), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2820), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209122] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5216), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(3997), 1,
      sym_type_parameters,
    STATE(5837), 1,
      sym_access_modifier,
    STATE(7747), 1,
      sym_extends_clause,
    STATE(8444), 1,
      sym_template_body,
    ACTIONS(5218), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5832), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2038), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2040), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [209172] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_case,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5241), 1,
      anon_sym_catch,
    ACTIONS(5243), 1,
      anon_sym_finally,
    STATE(5088), 1,
      sym_finally_clause,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(6149), 1,
      sym_catch_clause,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2070), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [209230] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(4823), 1,
      sym_access_modifier,
    STATE(7017), 1,
      sym_extends_clause,
    STATE(7899), 1,
      sym_template_body,
    ACTIONS(4789), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4825), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2110), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2112), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [209276] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(5245), 1,
      anon_sym_object,
    ACTIONS(5247), 1,
      anon_sym_case,
    ACTIONS(5249), 1,
      anon_sym_class,
    ACTIONS(5251), 1,
      anon_sym_trait,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5257), 1,
      anon_sym_type,
    ACTIONS(5259), 1,
      anon_sym_def,
    STATE(9320), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [209330] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209362] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209392] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4840), 1,
      sym_block,
    STATE(4013), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2850), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2852), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209426] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5216), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(4020), 1,
      sym_type_parameters,
    STATE(5711), 1,
      sym_access_modifier,
    STATE(7639), 1,
      sym_extends_clause,
    STATE(8539), 1,
      sym_template_body,
    ACTIONS(5218), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5710), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2020), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2022), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [209476] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4007), 1,
      sym_access_qualifier,
    ACTIONS(2999), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3001), 12,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209508] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4841), 1,
      sym_block,
    STATE(3815), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2854), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2856), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209542] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5154), 1,
      sym_block,
    STATE(3887), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2764), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2766), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209576] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209606] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5193), 1,
      sym_block,
    STATE(4013), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2778), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2780), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209640] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_extends,
    STATE(4789), 1,
      sym_extends_clause,
    STATE(4891), 1,
      sym_template_body,
    ACTIONS(2864), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2866), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209676] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4719), 1,
      sym_template_body,
    ACTIONS(3057), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [209738] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5148), 1,
      sym_block,
    STATE(4013), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2744), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2746), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209772] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_extends,
    STATE(4721), 1,
      sym_extends_clause,
    STATE(4991), 1,
      sym_template_body,
    ACTIONS(2791), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2793), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209808] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209838] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209868] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [209898] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(4974), 1,
      sym_access_modifier,
    STATE(6974), 1,
      sym_extends_clause,
    STATE(7955), 1,
      sym_template_body,
    ACTIONS(4789), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4971), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2056), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2058), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [209944] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5216), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(4044), 1,
      sym_type_parameters,
    STATE(5656), 1,
      sym_access_modifier,
    STATE(7563), 1,
      sym_extends_clause,
    STATE(8455), 1,
      sym_template_body,
    ACTIONS(5218), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5653), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2006), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2008), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [209994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4717), 1,
      sym_template_body,
    ACTIONS(3225), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [210026] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4712), 1,
      sym_template_body,
    ACTIONS(3288), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [210088] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5261), 1,
      anon_sym_object,
    ACTIONS(5263), 1,
      anon_sym_case,
    ACTIONS(5265), 1,
      anon_sym_class,
    ACTIONS(5267), 1,
      anon_sym_trait,
    ACTIONS(5269), 1,
      anon_sym_type,
    ACTIONS(5271), 1,
      anon_sym_def,
    STATE(9364), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [210142] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    STATE(3830), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2949), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2951), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210176] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4612), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [210210] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5609), 1,
      sym_extends_clause,
    STATE(6176), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2318), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2320), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4947), 22,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [210280] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5575), 1,
      sym_extends_clause,
    STATE(6183), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2247), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2249), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210322] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5568), 1,
      sym_extends_clause,
    STATE(6186), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2243), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2245), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210364] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5562), 1,
      sym_extends_clause,
    STATE(6189), 1,
      sym_template_body,
    STATE(3832), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2232), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2234), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210406] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5276), 1,
      anon_sym_DOT,
    ACTIONS(2489), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210438] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5278), 1,
      anon_sym_DOT,
    ACTIONS(2489), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210470] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5552), 1,
      sym_extends_clause,
    STATE(6194), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2213), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2215), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 22,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_LPAREN,
  [210540] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5535), 1,
      sym_extends_clause,
    STATE(6209), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2209), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2211), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210582] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5532), 1,
      sym_extends_clause,
    STATE(6311), 1,
      sym_template_body,
    STATE(3834), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2191), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2193), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210624] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210654] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5280), 1,
      anon_sym_object,
    ACTIONS(5282), 1,
      anon_sym_case,
    ACTIONS(5284), 1,
      anon_sym_class,
    ACTIONS(5286), 1,
      anon_sym_trait,
    ACTIONS(5288), 1,
      anon_sym_type,
    ACTIONS(5290), 1,
      anon_sym_def,
    STATE(9399), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [210708] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210738] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4310), 1,
      sym_template_body,
    ACTIONS(5292), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [210800] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210830] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5506), 1,
      sym_extends_clause,
    STATE(6236), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2187), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2189), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210872] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5500), 1,
      sym_extends_clause,
    STATE(6238), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2183), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2185), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210914] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5491), 1,
      sym_extends_clause,
    STATE(6243), 1,
      sym_template_body,
    STATE(3839), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2179), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2181), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [210956] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(5129), 1,
      sym_access_modifier,
    STATE(6916), 1,
      sym_extends_clause,
    STATE(8066), 1,
      sym_template_body,
    ACTIONS(4789), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5126), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2066), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2068), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [211002] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5296), 1,
      anon_sym_with,
    STATE(3876), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(5294), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [211040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5298), 1,
      anon_sym_COMMA,
    STATE(3854), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3011), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [211072] = 14,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(5644), 1,
      aux_sym__block_repeat1,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2260), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2262), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [211124] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5462), 1,
      sym_extends_clause,
    STATE(6275), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2145), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2147), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211166] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211196] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211226] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5547), 1,
      sym_extends_clause,
    STATE(6343), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2226), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2228), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211268] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211298] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5362), 1,
      sym_extends_clause,
    STATE(6348), 1,
      sym_template_body,
    STATE(3849), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2253), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2255), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211340] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5360), 1,
      sym_extends_clause,
    STATE(6359), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2264), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2266), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211382] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5375), 1,
      sym_extends_clause,
    STATE(6372), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2268), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2270), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211424] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(5332), 1,
      sym_access_modifier,
    STATE(6878), 1,
      sym_extends_clause,
    STATE(8159), 1,
      sym_template_body,
    ACTIONS(4789), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5329), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2116), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2118), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [211470] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5384), 1,
      sym_extends_clause,
    STATE(6378), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2272), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2274), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211512] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5303), 1,
      anon_sym_with,
    STATE(3905), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(5301), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [211550] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5388), 1,
      sym_extends_clause,
    STATE(6388), 1,
      sym_template_body,
    STATE(3856), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2276), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2278), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5305), 1,
      anon_sym_DOT,
    ACTIONS(3379), 21,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_COMMA,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [211622] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 13,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211652] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211682] = 14,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(5761), 1,
      aux_sym__block_repeat1,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2260), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2262), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [211734] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5307), 1,
      anon_sym_object,
    ACTIONS(5309), 1,
      anon_sym_case,
    ACTIONS(5311), 1,
      anon_sym_class,
    ACTIONS(5313), 1,
      anon_sym_trait,
    ACTIONS(5315), 1,
      anon_sym_type,
    ACTIONS(5317), 1,
      anon_sym_def,
    STATE(9375), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [211788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COMMA,
    STATE(3922), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [211820] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5321), 1,
      anon_sym_with,
    STATE(3874), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211854] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5296), 1,
      anon_sym_with,
    STATE(3876), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211888] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5296), 1,
      anon_sym_with,
    STATE(3874), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211922] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211952] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [211982] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5461), 1,
      sym_extends_clause,
    STATE(6424), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2288), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2290), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212024] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5464), 1,
      sym_extends_clause,
    STATE(6421), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2322), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2324), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212066] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5473), 1,
      sym_extends_clause,
    STATE(6407), 1,
      sym_template_body,
    STATE(3862), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2312), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2314), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212108] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5483), 1,
      sym_extends_clause,
    STATE(6400), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2308), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2310), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 22,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_DOT,
      anon_sym_object,
      anon_sym_import,
      anon_sym_COMMA,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [212178] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5492), 1,
      sym_extends_clause,
    STATE(6390), 1,
      sym_template_body,
    STATE(3863), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2304), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2306), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212220] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212250] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5324), 1,
      anon_sym_object,
    ACTIONS(5326), 1,
      anon_sym_case,
    ACTIONS(5328), 1,
      anon_sym_class,
    ACTIONS(5330), 1,
      anon_sym_trait,
    ACTIONS(5332), 1,
      anon_sym_type,
    ACTIONS(5334), 1,
      anon_sym_def,
    STATE(9319), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [212304] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4808), 1,
      sym_block,
    STATE(4013), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2797), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2799), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 22,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [212366] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym_with,
    STATE(3889), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212400] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5598), 1,
      sym_extends_clause,
    STATE(6268), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2300), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2302), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212442] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5303), 1,
      anon_sym_with,
    STATE(3905), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212476] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_extends,
    STATE(4312), 1,
      sym_extends_clause,
    STATE(4816), 1,
      sym_template_body,
    ACTIONS(2801), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2803), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212512] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    ACTIONS(4393), 1,
      anon_sym_extends,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    STATE(5607), 1,
      sym_extends_clause,
    STATE(6261), 1,
      sym_template_body,
    STATE(3879), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2292), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2294), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212554] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4834), 1,
      sym_block,
    STATE(3949), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2874), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2876), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212588] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4565), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 10,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [212622] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212652] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4836), 1,
      sym_block,
    STATE(4013), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2880), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2882), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212686] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212716] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212746] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212776] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212806] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_if,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    ACTIONS(5343), 1,
      anon_sym_catch,
    ACTIONS(5345), 1,
      anon_sym_finally,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(6317), 1,
      sym_finally_clause,
    STATE(6582), 1,
      sym_catch_clause,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2070), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [212864] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212894] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5347), 1,
      anon_sym_object,
    ACTIONS(5349), 1,
      anon_sym_case,
    ACTIONS(5351), 1,
      anon_sym_class,
    ACTIONS(5353), 1,
      anon_sym_trait,
    ACTIONS(5355), 1,
      anon_sym_type,
    ACTIONS(5357), 1,
      anon_sym_def,
    STATE(9337), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [212948] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5303), 1,
      anon_sym_with,
    STATE(3889), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [212982] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5359), 1,
      anon_sym_LBRACK,
    ACTIONS(5361), 1,
      anon_sym_LPAREN,
    ACTIONS(5363), 1,
      anon_sym_POUND,
    STATE(4940), 1,
      sym_type_arguments,
    STATE(4399), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
    ACTIONS(2044), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [213022] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5359), 1,
      anon_sym_LBRACK,
    ACTIONS(5363), 1,
      anon_sym_POUND,
    ACTIONS(5365), 1,
      anon_sym_AT,
    STATE(4940), 1,
      sym_type_arguments,
    STATE(4387), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2030), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [213062] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_if,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5241), 1,
      anon_sym_catch,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    ACTIONS(5367), 1,
      anon_sym_finally,
    STATE(5088), 1,
      sym_finally_clause,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(6349), 1,
      sym_catch_clause,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2070), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [213120] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5369), 1,
      anon_sym_object,
    ACTIONS(5371), 1,
      anon_sym_case,
    ACTIONS(5373), 1,
      anon_sym_class,
    ACTIONS(5375), 1,
      anon_sym_trait,
    ACTIONS(5377), 1,
      anon_sym_type,
    ACTIONS(5379), 1,
      anon_sym_def,
    STATE(9328), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [213174] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [213204] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [213234] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5381), 1,
      anon_sym_object,
    ACTIONS(5383), 1,
      anon_sym_case,
    ACTIONS(5385), 1,
      anon_sym_class,
    ACTIONS(5387), 1,
      anon_sym_trait,
    ACTIONS(5389), 1,
      anon_sym_type,
    ACTIONS(5391), 1,
      anon_sym_def,
    STATE(9366), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [213288] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5395), 1,
      anon_sym_with,
    STATE(3950), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(5393), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 8,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [213326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4306), 1,
      sym_template_body,
    ACTIONS(3217), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [213358] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [213388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4427), 1,
      sym_template_body,
    ACTIONS(3389), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [213420] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4658), 1,
      sym_template_body,
    ACTIONS(3422), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [213452] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5397), 1,
      anon_sym_object,
    ACTIONS(5399), 1,
      anon_sym_case,
    ACTIONS(5401), 1,
      anon_sym_class,
    ACTIONS(5403), 1,
      anon_sym_trait,
    ACTIONS(5405), 1,
      anon_sym_type,
    ACTIONS(5407), 1,
      anon_sym_def,
    STATE(9416), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [213506] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [213536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4303), 1,
      sym_template_body,
    ACTIONS(3319), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [213568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4302), 1,
      sym_template_body,
    ACTIONS(3385), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [213600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COMMA,
    STATE(3854), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [213632] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5409), 1,
      anon_sym_object,
    ACTIONS(5411), 1,
      anon_sym_case,
    ACTIONS(5413), 1,
      anon_sym_class,
    ACTIONS(5415), 1,
      anon_sym_trait,
    ACTIONS(5417), 1,
      anon_sym_type,
    ACTIONS(5419), 1,
      anon_sym_def,
    STATE(9294), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [213686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4287), 1,
      sym_template_body,
    ACTIONS(3405), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [213718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4286), 1,
      sym_template_body,
    ACTIONS(3371), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [213750] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5421), 1,
      anon_sym_DOT,
    ACTIONS(2489), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [213782] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [213812] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 13,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [213842] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    STATE(5514), 1,
      sym_type_arguments,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2350), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2352), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [213884] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [213914] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [213944] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_with,
    STATE(3932), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [213978] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4610), 1,
      anon_sym_AT,
    STATE(3947), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 10,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [214012] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5395), 1,
      anon_sym_with,
    STATE(3950), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [214046] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [214076] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5432), 1,
      anon_sym_object,
    ACTIONS(5434), 1,
      anon_sym_case,
    ACTIONS(5436), 1,
      anon_sym_class,
    ACTIONS(5438), 1,
      anon_sym_trait,
    ACTIONS(5440), 1,
      anon_sym_type,
    ACTIONS(5442), 1,
      anon_sym_def,
    STATE(9389), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [214130] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [214160] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_case,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5343), 1,
      anon_sym_catch,
    ACTIONS(5444), 1,
      anon_sym_finally,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(6317), 1,
      sym_finally_clause,
    STATE(6542), 1,
      sym_catch_clause,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2070), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [214218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4279), 1,
      sym_template_body,
    ACTIONS(3190), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [214250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4275), 1,
      sym_template_body,
    ACTIONS(3155), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [214282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4268), 1,
      sym_template_body,
    ACTIONS(3137), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [214314] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5446), 1,
      anon_sym_object,
    ACTIONS(5448), 1,
      anon_sym_case,
    ACTIONS(5450), 1,
      anon_sym_class,
    ACTIONS(5452), 1,
      anon_sym_trait,
    ACTIONS(5454), 1,
      anon_sym_type,
    ACTIONS(5456), 1,
      anon_sym_def,
    STATE(9401), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [214368] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5458), 1,
      anon_sym_object,
    ACTIONS(5460), 1,
      anon_sym_case,
    ACTIONS(5462), 1,
      anon_sym_class,
    ACTIONS(5464), 1,
      anon_sym_trait,
    ACTIONS(5466), 1,
      anon_sym_type,
    ACTIONS(5468), 1,
      anon_sym_def,
    STATE(9379), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [214422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4253), 1,
      sym_template_body,
    ACTIONS(3113), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [214454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4251), 1,
      sym_template_body,
    ACTIONS(3092), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [214486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4245), 1,
      sym_template_body,
    ACTIONS(3074), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [214518] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5470), 1,
      anon_sym_AT,
    STATE(3947), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 10,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [214552] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5473), 1,
      anon_sym_LBRACK,
    ACTIONS(5475), 1,
      anon_sym_AT,
    ACTIONS(5477), 1,
      anon_sym_POUND,
    STATE(5136), 1,
      sym_type_arguments,
    STATE(4420), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2030), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [214592] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4961), 1,
      sym_block,
    STATE(4013), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2805), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2807), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [214626] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5395), 1,
      anon_sym_with,
    STATE(3932), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [214660] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_LPAREN,
    STATE(3953), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2224), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [214694] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5479), 1,
      anon_sym_object,
    ACTIONS(5481), 1,
      anon_sym_case,
    ACTIONS(5483), 1,
      anon_sym_class,
    ACTIONS(5485), 1,
      anon_sym_trait,
    ACTIONS(5487), 1,
      anon_sym_type,
    ACTIONS(5489), 1,
      anon_sym_def,
    STATE(9321), 1,
      sym_modifiers,
    ACTIONS(31), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(29), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [214748] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5491), 1,
      anon_sym_LPAREN,
    STATE(3953), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2238), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [214782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4235), 1,
      sym_template_body,
    ACTIONS(3045), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [214814] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [214846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4320), 1,
      sym_template_body,
    ACTIONS(3078), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [214878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4329), 1,
      sym_template_body,
    ACTIONS(3086), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [214910] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [214940] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5473), 1,
      anon_sym_LBRACK,
    ACTIONS(5477), 1,
      anon_sym_POUND,
    ACTIONS(5494), 1,
      anon_sym_LPAREN,
    STATE(5136), 1,
      sym_type_arguments,
    STATE(4505), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
    ACTIONS(2044), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [214980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4364), 1,
      sym_template_body,
    ACTIONS(3174), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4368), 1,
      sym_template_body,
    ACTIONS(3213), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4381), 1,
      sym_template_body,
    ACTIONS(3229), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4701), 1,
      sym_template_body,
    ACTIONS(3401), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 22,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_LPAREN,
  [215136] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4315), 1,
      anon_sym_extends,
    STATE(4087), 1,
      sym_type_parameters,
    STATE(5172), 1,
      sym_extends_clause,
    STATE(5612), 1,
      sym_template_body,
    ACTIONS(2562), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2564), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [215174] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4083), 1,
      sym_type_parameters,
    STATE(5605), 1,
      sym_block,
    STATE(4081), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2604), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2606), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [215210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4290), 1,
      sym_template_body,
    ACTIONS(3269), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215242] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4315), 1,
      anon_sym_extends,
    STATE(4031), 1,
      sym_type_parameters,
    STATE(5220), 1,
      sym_extends_clause,
    STATE(5534), 1,
      sym_template_body,
    ACTIONS(2412), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2414), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [215280] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4029), 1,
      sym_type_parameters,
    STATE(5531), 1,
      sym_block,
    STATE(4024), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2416), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2418), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [215316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4614), 1,
      sym_template_body,
    ACTIONS(3251), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4440), 1,
      sym_template_body,
    ACTIONS(3323), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4441), 1,
      sym_template_body,
    ACTIONS(3327), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4610), 1,
      sym_template_body,
    ACTIONS(3315), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4456), 1,
      sym_template_body,
    ACTIONS(3338), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2755), 22,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_LPAREN,
  [215504] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4201), 1,
      sym_type_parameters,
    STATE(5434), 1,
      sym_block,
    STATE(4212), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2631), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2633), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [215540] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4315), 1,
      anon_sym_extends,
    STATE(4188), 1,
      sym_type_parameters,
    STATE(5286), 1,
      sym_extends_clause,
    STATE(5438), 1,
      sym_template_body,
    ACTIONS(2625), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2627), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [215578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4590), 1,
      sym_template_body,
    ACTIONS(3281), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4526), 1,
      sym_template_body,
    ACTIONS(3197), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215642] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [215672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4510), 1,
      sym_template_body,
    ACTIONS(3409), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215704] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    STATE(5514), 1,
      sym_type_arguments,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2662), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2664), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [215746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4525), 1,
      sym_template_body,
    ACTIONS(3041), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4662), 1,
      sym_template_body,
    ACTIONS(3415), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215810] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    STATE(5514), 1,
      sym_type_arguments,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2658), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2660), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [215852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4490), 1,
      sym_template_body,
    ACTIONS(3375), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215884] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 13,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [215916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(4412), 1,
      sym_template_body,
    ACTIONS(3397), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [215948] = 17,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2074), 1,
      anon_sym_else,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4746), 1,
      anon_sym_catch,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    ACTIONS(5496), 1,
      anon_sym_finally,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(4345), 1,
      sym_finally_clause,
    STATE(6257), 1,
      sym_catch_clause,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2070), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [216006] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5498), 1,
      anon_sym_LPAREN,
    STATE(3990), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2818), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2820), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216039] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216068] = 14,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(6249), 1,
      aux_sym__block_repeat1,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2262), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2260), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [216119] = 14,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    ACTIONS(5501), 1,
      anon_sym_else,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2558), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2556), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [216170] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4755), 1,
      sym_template_body,
    ACTIONS(3217), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3219), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216203] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(5826), 1,
      sym_access_modifier,
    STATE(7740), 1,
      sym_extends_clause,
    STATE(8445), 1,
      sym_template_body,
    ACTIONS(5218), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5824), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2116), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2118), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [216248] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4564), 1,
      sym_arguments,
    ACTIONS(3033), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3035), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216279] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(5743), 1,
      sym_access_modifier,
    STATE(7681), 1,
      sym_extends_clause,
    STATE(8441), 1,
      sym_template_body,
    ACTIONS(5218), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5741), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2066), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2068), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [216324] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5503), 1,
      anon_sym_with,
    STATE(4217), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216357] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5505), 1,
      anon_sym_COMMA,
    STATE(3999), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3011), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3013), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216390] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5508), 1,
      anon_sym_with,
    STATE(4010), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 10,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216423] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4499), 1,
      sym_template_body,
    ACTIONS(3103), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3105), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216456] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4416), 1,
      sym_block,
    ACTIONS(3066), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3068), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216487] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(5512), 1,
      anon_sym_AT,
    ACTIONS(5514), 1,
      anon_sym_POUND,
    STATE(5718), 1,
      sym_type_arguments,
    STATE(5121), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2030), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216526] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3096), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3098), 12,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216555] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5516), 1,
      anon_sym_LBRACK,
    ACTIONS(5518), 1,
      anon_sym_LPAREN,
    ACTIONS(5520), 1,
      anon_sym_POUND,
    STATE(5652), 1,
      sym_type_arguments,
    STATE(5135), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
    ACTIONS(2044), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216594] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4468), 1,
      sym_template_body,
    ACTIONS(3082), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3084), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216627] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3119), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3121), 12,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216656] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5508), 1,
      anon_sym_with,
    STATE(4000), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 10,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216689] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4461), 1,
      sym_template_body,
    ACTIONS(3057), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3059), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216722] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5522), 1,
      anon_sym_with,
    STATE(4010), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 10,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216755] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4675), 1,
      sym_template_body,
    ACTIONS(3415), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3417), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216786] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4285), 1,
      sym_template_body,
    ACTIONS(3078), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3080), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216817] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5525), 1,
      anon_sym_LPAREN,
    STATE(4013), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2949), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2951), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216850] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 12,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216879] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2423), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2425), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [216928] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4442), 1,
      sym_template_body,
    ACTIONS(3225), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3227), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [216961] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2396), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2398), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [217010] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4436), 1,
      sym_template_body,
    ACTIONS(3288), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3290), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [217041] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4403), 1,
      sym_template_body,
    ACTIONS(3086), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3088), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [217074] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(5670), 1,
      sym_access_modifier,
    STATE(7581), 1,
      sym_extends_clause,
    STATE(8477), 1,
      sym_template_body,
    ACTIONS(5218), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5669), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2056), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2058), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [217119] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2423), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2425), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [217168] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2396), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2398), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [217217] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2523), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2525), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [217266] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5440), 1,
      sym_block,
    STATE(4657), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2744), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2746), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [217299] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2515), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2517), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [217348] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4708), 1,
      sym_template_body,
    ACTIONS(3401), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3403), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [217381] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2507), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2509), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [217430] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2499), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2501), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [217479] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5441), 1,
      sym_block,
    STATE(4178), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2764), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2766), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [217512] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    ACTIONS(5542), 1,
      anon_sym_catch,
    ACTIONS(5544), 1,
      anon_sym_finally,
    STATE(6498), 1,
      sym_catch_clause,
    STATE(6982), 1,
      sym_finally_clause,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2070), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2074), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [217569] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4315), 1,
      anon_sym_extends,
    STATE(5278), 1,
      sym_extends_clause,
    STATE(5450), 1,
      sym_template_body,
    ACTIONS(2768), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2770), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [217604] = 14,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    ACTIONS(5546), 1,
      anon_sym_else,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2558), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2556), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [217655] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4388), 1,
      sym_block,
    ACTIONS(3346), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3348), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [217686] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 12,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [217715] = 16,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5343), 1,
      anon_sym_catch,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    ACTIONS(5552), 1,
      anon_sym_finally,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(6317), 1,
      sym_finally_clause,
    STATE(7039), 1,
      sym_catch_clause,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2070), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [217770] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5459), 1,
      sym_block,
    STATE(4657), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2778), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2780), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [217803] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2643), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2645), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [217852] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2354), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2356), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [217901] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2552), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2554), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [217950] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2495), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2497), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [217999] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2570), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2572), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [218048] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4324), 1,
      sym_block,
    ACTIONS(3127), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3129), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [218079] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2462), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2464), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [218128] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(5584), 1,
      sym_access_modifier,
    STATE(7518), 1,
      sym_extends_clause,
    STATE(8358), 1,
      sym_template_body,
    ACTIONS(5218), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5578), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2110), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2112), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [218173] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(6158), 1,
      aux_sym__block_repeat1,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2262), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2260), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [218224] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4315), 1,
      anon_sym_extends,
    STATE(5164), 1,
      sym_extends_clause,
    STATE(5625), 1,
      sym_template_body,
    ACTIONS(2791), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2793), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [218259] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4777), 1,
      sym_template_body,
    ACTIONS(3389), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3391), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [218290] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2354), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2356), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [218339] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [218368] = 16,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5241), 1,
      anon_sym_catch,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    ACTIONS(5554), 1,
      anon_sym_finally,
    STATE(5088), 1,
      sym_finally_clause,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(6855), 1,
      sym_catch_clause,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2070), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [218423] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2404), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2406), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [218472] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4299), 1,
      sym_block,
    ACTIONS(3147), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3149), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [218503] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [218532] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [218561] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    ACTIONS(5556), 1,
      anon_sym_catch,
    ACTIONS(5558), 1,
      anon_sym_finally,
    STATE(6950), 1,
      sym_catch_clause,
    STATE(6994), 1,
      sym_type_arguments,
    STATE(8376), 1,
      sym_finally_clause,
    ACTIONS(2070), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2074), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [218618] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    STATE(6437), 1,
      sym_type_arguments,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2350), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2352), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [218659] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4247), 1,
      sym_template_body,
    ACTIONS(3174), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3176), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [218692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3342), 21,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_COMMA,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [218719] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4358), 1,
      sym_template_body,
    ACTIONS(3422), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3424), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [218750] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2346), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2348), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [218799] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2346), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2348), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [218848] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2686), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2688), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [218897] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2686), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2688), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [218946] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5516), 1,
      anon_sym_LBRACK,
    ACTIONS(5520), 1,
      anon_sym_POUND,
    ACTIONS(5566), 1,
      anon_sym_AT,
    STATE(5652), 1,
      sym_type_arguments,
    STATE(5213), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2030), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [218985] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2650), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2652), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [219034] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2650), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2652), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [219083] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5508), 1,
      anon_sym_with,
    STATE(4000), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(5568), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 7,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [219120] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(6107), 1,
      aux_sym__block_repeat1,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2262), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2260), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [219171] = 17,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4671), 1,
      anon_sym_catch,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    ACTIONS(5574), 1,
      anon_sym_finally,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(5430), 1,
      sym_finally_clause,
    STATE(6959), 1,
      sym_catch_clause,
    ACTIONS(2070), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2074), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [219228] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5168), 1,
      anon_sym_AT,
    STATE(4131), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2207), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [219261] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4765), 1,
      sym_block,
    ACTIONS(3262), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3264), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [219292] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4780), 1,
      sym_template_body,
    ACTIONS(3319), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3321), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [219325] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2342), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2344), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [219374] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4783), 1,
      sym_template_body,
    ACTIONS(3385), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3387), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [219407] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2621), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2623), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [219456] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4259), 1,
      sym_template_body,
    ACTIONS(3251), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3253), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [219489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 21,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_COMMA,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [219516] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 12,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [219545] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4791), 1,
      sym_template_body,
    ACTIONS(3405), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3407), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [219578] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4250), 1,
      sym_template_body,
    ACTIONS(3315), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3317), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [219611] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5539), 1,
      sym_block,
    STATE(4657), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2850), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2852), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [219644] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5576), 1,
      anon_sym_COMMA,
    STATE(3999), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2928), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [219677] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5541), 1,
      sym_block,
    STATE(4036), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2854), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2856), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [219710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3151), 21,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_COMMA,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [219737] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4265), 1,
      sym_template_body,
    ACTIONS(3213), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3215), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [219770] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2635), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2637), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [219819] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4315), 1,
      anon_sym_extends,
    STATE(5201), 1,
      sym_extends_clause,
    STATE(5558), 1,
      sym_template_body,
    ACTIONS(2864), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2866), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [219854] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2578), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2580), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [219903] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2639), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2641), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [219952] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2643), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2645), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [220001] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4262), 1,
      sym_template_body,
    ACTIONS(3229), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3231), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [220034] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [220063] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2552), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2554), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [220112] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2570), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2572), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [220161] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4443), 1,
      sym_template_body,
    ACTIONS(3045), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3047), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [220194] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2596), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2598), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [220243] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5537), 1,
      sym_block,
    STATE(4657), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2805), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2807), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [220276] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2566), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2568), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [220325] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(4182), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2224), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [220358] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5503), 1,
      anon_sym_with,
    STATE(3998), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(5578), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 7,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [220395] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2542), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2544), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [220444] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2542), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2544), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [220493] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4554), 1,
      sym_type_parameters,
    STATE(6391), 1,
      sym_block,
    STATE(4555), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2633), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2631), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [220528] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [220557] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2592), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2594), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [220606] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2523), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2525), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [220655] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5576), 1,
      anon_sym_COMMA,
    STATE(4082), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2936), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [220688] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2617), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2619), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [220737] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2515), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2517), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [220786] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2507), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2509), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [220835] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [220864] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4393), 1,
      anon_sym_extends,
    STATE(4551), 1,
      sym_type_parameters,
    STATE(5396), 1,
      sym_extends_clause,
    STATE(6393), 1,
      sym_template_body,
    ACTIONS(2627), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2625), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [220901] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2600), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2602), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [220950] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2499), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2501), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [220999] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2495), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2497), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221048] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2462), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2464), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221097] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2404), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2406), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221146] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2342), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2344), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221195] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2534), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2536), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3511), 21,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [221271] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2476), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2478), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221320] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2621), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2623), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221369] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2635), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2637), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221418] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2639), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2641), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221467] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2592), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2594), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221516] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2617), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2619), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221565] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2600), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2602), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221614] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2534), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2536), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221663] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3049), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3051), 12,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [221692] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2476), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2478), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221741] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5580), 1,
      anon_sym_AT,
    STATE(4131), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2134), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [221774] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2468), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2470), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221823] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2468), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2470), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221872] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2408), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2410), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221921] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2408), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2410), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [221970] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2400), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2402), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [222019] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2386), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2388), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [222068] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2654), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2656), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [222117] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2400), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2402), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [222166] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2613), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2615), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [222215] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5583), 1,
      anon_sym_EQ_GT,
    ACTIONS(5585), 1,
      sym__interpolated_string_start,
    ACTIONS(5587), 1,
      sym__interpolated_multiline_string_start,
    STATE(4261), 1,
      sym_interpolated_string,
    ACTIONS(2452), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [222252] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2677), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2679), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [222301] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4241), 1,
      sym_template_body,
    ACTIONS(3281), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3283), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [222334] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4489), 1,
      sym_access_qualifier,
    ACTIONS(2999), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3001), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [222365] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2386), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2388), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [222414] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4438), 1,
      sym_block,
    ACTIONS(3244), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3246), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [222445] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2654), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2656), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [222494] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2668), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2670), 4,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [222543] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2613), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2615), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [222592] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3277), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3279), 12,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [222621] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4237), 1,
      sym_template_body,
    ACTIONS(3235), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3237), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [222654] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [222683] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4274), 1,
      sym_template_body,
    ACTIONS(3197), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3199), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [222716] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [222745] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3159), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3161), 12,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [222774] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5591), 1,
      anon_sym_LBRACK,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(4417), 1,
      sym_type_parameters,
    STATE(6135), 1,
      sym_access_modifier,
    STATE(8500), 1,
      sym_extends_clause,
    STATE(8575), 1,
      sym_template_body,
    ACTIONS(5593), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(6133), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2024), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2026), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [222823] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4677), 1,
      sym_template_body,
    ACTIONS(3371), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3373), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [222856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 21,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_COMMA,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [222883] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4335), 1,
      sym_template_body,
    ACTIONS(3041), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3043), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [222916] = 15,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(6124), 1,
      aux_sym__block_repeat1,
    ACTIONS(2260), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(5599), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2262), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [222969] = 17,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4746), 1,
      anon_sym_catch,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    ACTIONS(5601), 1,
      anon_sym_finally,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(4345), 1,
      sym_finally_clause,
    STATE(6723), 1,
      sym_catch_clause,
    ACTIONS(2070), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2074), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [223026] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    STATE(6437), 1,
      sym_type_arguments,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2658), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2660), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223067] = 14,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5603), 1,
      anon_sym_else,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2558), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2556), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [223118] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4503), 1,
      sym_type_parameters,
    STATE(6375), 1,
      sym_block,
    STATE(4513), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2418), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2416), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [223153] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4393), 1,
      anon_sym_extends,
    STATE(4496), 1,
      sym_type_parameters,
    STATE(5518), 1,
      sym_extends_clause,
    STATE(6373), 1,
      sym_template_body,
    ACTIONS(2414), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2412), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [223190] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223219] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223248] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4629), 1,
      sym_block,
    ACTIONS(3221), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3223), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223279] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4568), 1,
      sym_block,
    ACTIONS(3201), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3203), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223310] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5591), 1,
      anon_sym_LBRACK,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(4354), 1,
      sym_type_parameters,
    STATE(6099), 1,
      sym_access_modifier,
    STATE(8311), 1,
      sym_extends_clause,
    STATE(8686), 1,
      sym_template_body,
    ACTIONS(5593), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(6094), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2038), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2040), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [223359] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4431), 1,
      sym_type_parameters,
    STATE(6174), 1,
      sym_block,
    STATE(4432), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2606), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2604), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [223394] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4393), 1,
      anon_sym_extends,
    STATE(4429), 1,
      sym_type_parameters,
    STATE(5642), 1,
      sym_extends_clause,
    STATE(6217), 1,
      sym_template_body,
    ACTIONS(2564), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2562), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [223431] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223460] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4469), 1,
      sym_template_body,
    ACTIONS(3092), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3094), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223493] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_LBRACK,
    ACTIONS(4689), 1,
      anon_sym_POUND,
    ACTIONS(5605), 1,
      anon_sym_LPAREN,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(5819), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
    ACTIONS(2044), 12,
      anon_sym__,
      anon_sym_val,
      anon_sym_var,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [223532] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4560), 1,
      sym_template_body,
    ACTIONS(3190), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3192), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223565] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2566), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2568), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [223614] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5367), 1,
      sym_block,
    STATE(4657), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2797), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2799), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223647] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223676] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2596), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2598), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [223725] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4675), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [223758] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5607), 1,
      anon_sym_LPAREN,
    STATE(4182), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2238), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223791] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4553), 1,
      sym_template_body,
    ACTIONS(3155), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3157), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223824] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5610), 1,
      anon_sym_DOT,
    ACTIONS(2489), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223855] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223884] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4654), 1,
      sym_block,
    ACTIONS(3430), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3432), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223915] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4713), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [223948] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4315), 1,
      anon_sym_extends,
    STATE(5315), 1,
      sym_extends_clause,
    STATE(5354), 1,
      sym_template_body,
    ACTIONS(2801), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2803), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [223983] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(4703), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 9,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [224016] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4502), 1,
      sym_block,
    ACTIONS(3426), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3428), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224047] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5585), 1,
      sym__interpolated_string_start,
    ACTIONS(5587), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(5612), 1,
      anon_sym_EQ_GT,
    STATE(4261), 1,
      sym_interpolated_string,
    ACTIONS(2452), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [224084] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(5514), 1,
      anon_sym_POUND,
    ACTIONS(5614), 1,
      anon_sym_LPAREN,
    STATE(5718), 1,
      sym_type_arguments,
    STATE(5031), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
    ACTIONS(2044), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224123] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224152] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224181] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224212] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4615), 1,
      sym_template_body,
    ACTIONS(3409), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3411), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224245] = 14,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5616), 1,
      anon_sym_else,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4663), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2558), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2556), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [224296] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224325] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4545), 1,
      sym_template_body,
    ACTIONS(3137), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3139), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224358] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4623), 1,
      sym_template_body,
    ACTIONS(3397), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3399), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224389] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5397), 1,
      sym_block,
    STATE(4097), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2874), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2876), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224422] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5618), 1,
      anon_sym_STAR,
    ACTIONS(3207), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224453] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224482] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5503), 1,
      anon_sym_with,
    STATE(3998), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224515] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4625), 1,
      sym_block,
    ACTIONS(3393), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3395), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224546] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4722), 1,
      sym_template_body,
    ACTIONS(3375), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3377), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224577] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4449), 1,
      sym_template_body,
    ACTIONS(3074), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3076), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224610] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5591), 1,
      anon_sym_LBRACK,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(4405), 1,
      sym_type_parameters,
    STATE(6097), 1,
      sym_access_modifier,
    STATE(8418), 1,
      sym_extends_clause,
    STATE(8635), 1,
      sym_template_body,
    ACTIONS(5593), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(6116), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2006), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2008), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [224659] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5622), 1,
      anon_sym_with,
    STATE(4211), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(5620), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 7,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [224696] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2578), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2580), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [224745] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5622), 1,
      anon_sym_with,
    STATE(4215), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 10,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224778] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5401), 1,
      sym_block,
    STATE(4657), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2880), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2882), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224811] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4482), 1,
      sym_block,
    ACTIONS(3123), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3125), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224842] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5622), 1,
      anon_sym_with,
    STATE(4211), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 10,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224875] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5624), 1,
      anon_sym_with,
    STATE(4215), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 10,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224908] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224937] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5627), 1,
      anon_sym_with,
    STATE(4217), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [224970] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4785), 1,
      sym_template_body,
    ACTIONS(3338), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3340), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225003] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    STATE(6437), 1,
      sym_type_arguments,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2662), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2664), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225044] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 12,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225073] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225102] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4472), 1,
      sym_template_body,
    ACTIONS(3113), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3115), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225135] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2668), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2670), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [225184] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4494), 1,
      sym_template_body,
    ACTIONS(3269), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3271), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225217] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2677), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2679), 4,
      anon_sym_case,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [225266] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3294), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225297] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4519), 1,
      sym_template_body,
    ACTIONS(3327), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3329), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225330] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5591), 1,
      anon_sym_LBRACK,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(4318), 1,
      sym_type_parameters,
    STATE(5976), 1,
      sym_access_modifier,
    STATE(8361), 1,
      sym_extends_clause,
    STATE(8674), 1,
      sym_template_body,
    ACTIONS(5593), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5974), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2020), 3,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2022), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [225379] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3302), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3304), 12,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225408] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225437] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 12,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225466] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LBRACE,
    STATE(4512), 1,
      sym_template_body,
    ACTIONS(3323), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3325), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225499] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_AT,
    STATE(4233), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2134), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [225557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3602), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [225583] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225611] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3973), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3975), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225639] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_with,
    STATE(4296), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2435), 9,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225671] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225699] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(5003), 1,
      sym_template_body,
    ACTIONS(3155), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3157), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225731] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3977), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3979), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225759] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4995), 1,
      sym_template_body,
    ACTIONS(3137), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3139), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225791] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5633), 1,
      anon_sym_with,
    STATE(4238), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(5635), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 6,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [225827] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3991), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3993), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3541), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [225881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3507), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [225907] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3737), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3739), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225935] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4982), 1,
      sym_block,
    ACTIONS(3123), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3125), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [225965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [225991] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3995), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3997), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3490), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [226045] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5017), 1,
      sym_block,
    ACTIONS(3221), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3223), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3486), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [226101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [226127] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226155] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3999), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4001), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226183] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(5013), 1,
      sym_template_body,
    ACTIONS(3190), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3192), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226215] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    ACTIONS(5651), 1,
      anon_sym_catch,
    ACTIONS(5653), 1,
      anon_sym_finally,
    STATE(7660), 1,
      sym_type_arguments,
    STATE(8158), 1,
      sym_catch_clause,
    STATE(8557), 1,
      sym_finally_clause,
    ACTIONS(2070), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [226271] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4003), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4005), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226299] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4980), 1,
      sym_template_body,
    ACTIONS(3113), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3115), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226331] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3955), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226359] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3757), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3759), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226387] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3969), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3971), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3441), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [226441] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3749), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3751), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226469] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4977), 1,
      sym_template_body,
    ACTIONS(3092), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3094), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226501] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3745), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3747), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3449), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [226555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3462), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [226581] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3951), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226609] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3943), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3664), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [226663] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4967), 1,
      sym_template_body,
    ACTIONS(3074), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3076), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226695] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3965), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3967), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3515), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [226749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [226775] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3476), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [226829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3592), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [226855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3596), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [226881] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5128), 1,
      sym_block,
    ACTIONS(3201), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3203), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226911] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4007), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4009), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [226965] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4081), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4083), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [226993] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3684), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3686), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [227021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3626), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3630), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227073] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3049), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3051), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [227101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3638), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3776), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227153] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4962), 1,
      sym_template_body,
    ACTIONS(3045), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3047), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [227185] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [227213] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_with,
    STATE(4238), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 9,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [227245] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2580), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2578), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [227293] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4998), 1,
      sym_access_qualifier,
    ACTIONS(2999), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3001), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [227323] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5655), 1,
      anon_sym_with,
    STATE(4296), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2482), 9,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [227355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227381] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [227409] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3733), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3735), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [227437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3676), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3680), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4041), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3688), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3692), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227645] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2645), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2643), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [227693] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4959), 1,
      sym_block,
    ACTIONS(3066), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3068), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [227723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227749] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2554), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2552), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [227797] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4948), 1,
      sym_template_body,
    ACTIONS(3078), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3080), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [227827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5660), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [227853] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2572), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2570), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [227901] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4923), 1,
      sym_template_body,
    ACTIONS(3086), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3088), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [227933] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2598), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2596), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [227981] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228009] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(6051), 1,
      sym_access_modifier,
    STATE(8482), 1,
      sym_extends_clause,
    STATE(8586), 1,
      sym_template_body,
    ACTIONS(5593), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(6052), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2056), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2058), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [228053] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2578), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2580), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3684), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [228107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3696), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [228133] = 14,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(6666), 1,
      aux_sym__block_repeat1,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(5662), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2262), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [228183] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4878), 1,
      sym_block,
    ACTIONS(3127), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3129), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228213] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3729), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3731), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228241] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2568), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2566), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [228289] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2544), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2542), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [228337] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4877), 1,
      sym_block,
    ACTIONS(3147), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3149), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228367] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2525), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2523), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [228415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [228441] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2517), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2515), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [228489] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2509), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2507), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [228537] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2501), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2499), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [228585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4021), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [228611] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4013), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4015), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228639] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3961), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3963), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228667] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4874), 1,
      sym_template_body,
    ACTIONS(3174), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3176), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228699] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4025), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4027), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228727] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228755] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2497), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2495), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [228803] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228831] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4871), 1,
      sym_template_body,
    ACTIONS(3213), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3215), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228863] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4037), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4039), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228891] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4045), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4047), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228919] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4057), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4059), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228947] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [228975] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3927), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229003] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3919), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229031] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4869), 1,
      sym_template_body,
    ACTIONS(3229), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3231), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229063] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2464), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2462), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [229111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [229137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3729), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [229163] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4061), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4063), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229191] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3915), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229219] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(6030), 1,
      sym_access_modifier,
    STATE(8209), 1,
      sym_extends_clause,
    STATE(8837), 1,
      sym_template_body,
    ACTIONS(5593), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(6028), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2066), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2068), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [229263] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229291] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3722), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3724), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229319] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3907), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229347] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4065), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4067), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229375] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(5024), 1,
      sym_template_body,
    ACTIONS(3371), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3373), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229407] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4073), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4075), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229435] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5393), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 8,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [229467] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2406), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2404), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [229515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [229541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [229567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [229593] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4864), 1,
      sym_block,
    ACTIONS(3244), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3246), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229623] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3749), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [229677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3753), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [229703] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4077), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4079), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229731] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2344), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2342), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [229779] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(5025), 1,
      sym_template_body,
    ACTIONS(3405), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3407), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229811] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2478), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2476), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [229859] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4085), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4087), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229887] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2623), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2621), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [229935] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [229963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [229989] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3929), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3931), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230017] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3559), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3561), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230045] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4852), 1,
      sym_template_body,
    ACTIONS(3269), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3271), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [230103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3764), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [230129] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3302), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3304), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230157] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230185] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3445), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3447), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230213] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4850), 1,
      sym_template_body,
    ACTIONS(3323), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3325), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230245] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5365), 1,
      anon_sym_AT,
    STATE(4233), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2207), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230277] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3987), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3989), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3768), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [230331] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3981), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3983), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230359] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4847), 1,
      sym_template_body,
    ACTIONS(3327), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3329), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230391] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(5028), 1,
      sym_template_body,
    ACTIONS(3385), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3387), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230423] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230451] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2637), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2635), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [230499] = 14,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    ACTIONS(5664), 1,
      anon_sym_else,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2558), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2556), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [230549] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2641), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2639), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [230597] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 11,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230625] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2441), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230655] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_LPAREN,
    STATE(4402), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2224), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230687] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2594), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2592), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [230735] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4839), 1,
      sym_template_body,
    ACTIONS(3338), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3340), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230767] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5666), 1,
      anon_sym_LPAREN,
    STATE(4402), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2238), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230799] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3700), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3702), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230827] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2619), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2617), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [230875] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(6266), 1,
      sym_access_modifier,
    STATE(8285), 1,
      sym_extends_clause,
    STATE(8713), 1,
      sym_template_body,
    ACTIONS(5593), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(6273), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2110), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2112), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [230919] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3696), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3698), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230947] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3764), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3766), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [230975] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2602), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2600), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [231023] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [231055] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3957), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3959), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231083] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2536), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2534), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [231131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3873), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [231157] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4393), 1,
      anon_sym_extends,
    STATE(5655), 1,
      sym_extends_clause,
    STATE(6205), 1,
      sym_template_body,
    ACTIONS(2793), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2791), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [231191] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6594), 1,
      aux_sym__block_repeat1,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(5669), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2262), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [231241] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(5040), 1,
      sym_template_body,
    ACTIONS(3319), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3321), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231273] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3668), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3670), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231301] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(6091), 1,
      sym_access_modifier,
    STATE(8276), 1,
      sym_extends_clause,
    STATE(8725), 1,
      sym_template_body,
    ACTIONS(5593), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(6089), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2116), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2118), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [231345] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3664), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3666), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231373] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3895), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231401] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_AT,
    STATE(4500), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2207), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231433] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3891), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231461] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4826), 1,
      sym_template_body,
    ACTIONS(3375), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3377), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231491] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3887), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231519] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3883), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231547] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3856), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231575] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3897), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [231629] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5093), 1,
      sym_block,
    ACTIONS(3262), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3264), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231659] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4393), 1,
      anon_sym_extends,
    STATE(5590), 1,
      sym_extends_clause,
    STATE(6276), 1,
      sym_template_body,
    ACTIONS(2866), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2864), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [231693] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231721] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6320), 1,
      sym_block,
    STATE(4463), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2856), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2854), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [231753] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6324), 1,
      sym_block,
    STATE(5196), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2852), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2850), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [231785] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4017), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [231839] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2470), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2468), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [231887] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3434), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3436), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3933), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [231941] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3768), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3770), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231969] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4805), 1,
      sym_block,
    ACTIONS(3393), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3395), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [231999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [232025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3714), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [232051] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3802), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3804), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232079] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3602), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3604), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232107] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(5113), 1,
      sym_template_body,
    ACTIONS(3217), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3219), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232139] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2425), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2423), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [232187] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2398), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2396), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [232235] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2356), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2354), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [232283] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4819), 1,
      sym_template_body,
    ACTIONS(3397), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3399), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232313] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3541), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3543), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232341] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3553), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232369] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_while,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5241), 1,
      anon_sym_catch,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    ACTIONS(5675), 1,
      anon_sym_finally,
    STATE(5088), 1,
      sym_finally_clause,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(7083), 1,
      sym_catch_clause,
    ACTIONS(2070), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [232425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3790), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [232451] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4821), 1,
      sym_template_body,
    ACTIONS(3409), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3411), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232483] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3557), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232511] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3507), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3509), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3794), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [232565] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5677), 1,
      anon_sym_LPAREN,
    STATE(4457), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2818), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2820), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232597] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2348), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2346), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [232645] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3342), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3344), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232673] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3718), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3720), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232701] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3704), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3706), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232729] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6570), 1,
      sym_extends_clause,
    STATE(7249), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2318), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2320), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [232769] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6441), 1,
      sym_block,
    STATE(5196), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2780), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2778), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [232801] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232829] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232857] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4851), 1,
      sym_block,
    ACTIONS(3426), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3428), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232887] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3650), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3652), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232915] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3634), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3636), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232943] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3490), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3492), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232971] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [232999] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4858), 1,
      sym_block,
    ACTIONS(3430), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3432), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233029] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3486), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3488), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233057] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2688), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2686), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [233105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [233131] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6554), 1,
      sym_extends_clause,
    STATE(7239), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2247), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2249), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [233171] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6547), 1,
      sym_extends_clause,
    STATE(7237), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2243), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2245), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [233211] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6545), 1,
      sym_extends_clause,
    STATE(7235), 1,
      sym_template_body,
    STATE(4462), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2232), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2234), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [233251] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3606), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3608), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233279] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233307] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2652), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2650), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [233355] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233383] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3474), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233411] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6600), 1,
      sym_extends_clause,
    STATE(7230), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2213), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2215), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [233451] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3772), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3774), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [233505] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5680), 1,
      anon_sym_COMMA,
    STATE(4493), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2936), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3826), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [233563] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3588), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3590), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233591] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3119), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3121), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3830), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [233645] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5682), 1,
      anon_sym_DOT,
    ACTIONS(2489), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2491), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3838), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [233701] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5680), 1,
      anon_sym_COMMA,
    STATE(4794), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2928), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233733] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3776), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3778), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3842), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [233787] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4393), 1,
      anon_sym_extends,
    STATE(5419), 1,
      sym_extends_clause,
    STATE(6432), 1,
      sym_template_body,
    ACTIONS(2770), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2768), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [233821] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3159), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3161), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3861), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [233875] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3584), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3586), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233903] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5684), 1,
      anon_sym_AT,
    STATE(4500), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2134), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233935] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4884), 1,
      sym_template_body,
    ACTIONS(3041), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3043), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233967] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3937), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3939), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [233995] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6415), 1,
      sym_block,
    STATE(4550), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2766), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2764), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [234027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3865), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [234053] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5494), 1,
      anon_sym_LPAREN,
    STATE(4515), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2224), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [234085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3869), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [234111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3523), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [234137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3877), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [234163] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [234191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [234217] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4885), 1,
      sym_template_body,
    ACTIONS(3197), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3199), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [234249] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3780), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3782), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [234277] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6410), 1,
      sym_block,
    STATE(5196), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2746), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2744), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [234309] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3753), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3755), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [234337] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5687), 1,
      anon_sym_LPAREN,
    STATE(4515), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2238), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [234369] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_LBRACK,
    ACTIONS(5692), 1,
      anon_sym_AT,
    ACTIONS(5694), 1,
      anon_sym_POUND,
    STATE(6337), 1,
      sym_type_arguments,
    STATE(5467), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2030), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [234407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [234433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3937), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [234459] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3714), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3716), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [234487] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [234515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3945), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [234541] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3933), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3935), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [234569] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2505), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [234597] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5585), 1,
      sym__interpolated_string_start,
    ACTIONS(5587), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(5696), 1,
      anon_sym_EQ_GT,
    STATE(4261), 1,
      sym_interpolated_string,
    ACTIONS(2452), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [234633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3961), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [234659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3965), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [234685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3969), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [234711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3973), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [234737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4045), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [234763] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3921), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3923), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [234791] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6540), 1,
      sym_extends_clause,
    STATE(7220), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2209), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2211), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [234831] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2425), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2423), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [234879] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6527), 1,
      sym_extends_clause,
    STATE(7218), 1,
      sym_template_body,
    STATE(4475), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2191), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2193), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [234919] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2398), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2396), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [234967] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3441), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3443), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [234995] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3563), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3565), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [235023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [235049] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6518), 1,
      sym_extends_clause,
    STATE(7213), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2187), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2189), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [235089] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6511), 1,
      sym_extends_clause,
    STATE(7211), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2183), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2185), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [235129] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6508), 1,
      sym_extends_clause,
    STATE(7209), 1,
      sym_template_body,
    STATE(4483), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2179), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2181), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [235169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [235195] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [235223] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6504), 1,
      sym_extends_clause,
    STATE(7199), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2145), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2147), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [235263] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2356), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2354), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [235311] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3449), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3451), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [235339] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3462), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3464), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [235367] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6485), 1,
      sym_extends_clause,
    STATE(7179), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2226), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2228), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [235407] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6484), 1,
      sym_extends_clause,
    STATE(7177), 1,
      sym_template_body,
    STATE(4538), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2253), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2255), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [235447] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2348), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2346), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [235495] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6322), 1,
      sym_block,
    STATE(5196), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2799), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2797), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [235527] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4393), 1,
      anon_sym_extends,
    STATE(5409), 1,
      sym_extends_clause,
    STATE(6297), 1,
      sym_template_body,
    ACTIONS(2803), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2801), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [235561] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2688), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2686), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [235609] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3515), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3517), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [235637] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6284), 1,
      sym_block,
    STATE(4597), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2876), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2874), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [235669] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6281), 1,
      sym_block,
    STATE(5196), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2882), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2880), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [235701] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2580), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2578), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [235749] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3519), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3521), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [235777] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3523), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3525), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [235805] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    STATE(6776), 1,
      aux_sym__block_repeat1,
    ACTIONS(2262), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2260), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [235855] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3592), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3594), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [235883] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5294), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [235915] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6473), 1,
      sym_extends_clause,
    STATE(7168), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2264), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2266), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [235955] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6463), 1,
      sym_extends_clause,
    STATE(7163), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2268), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2270), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [235995] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3513), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [236023] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6456), 1,
      sym_extends_clause,
    STATE(7161), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2272), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2274), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [236063] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6453), 1,
      sym_extends_clause,
    STATE(7159), 1,
      sym_template_body,
    STATE(4543), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2276), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2278), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [236103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [236129] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3596), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3598), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [236157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3527), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [236183] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2652), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2650), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [236231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3846), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [236257] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2410), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2408), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [236305] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3497), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3499), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [236333] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3676), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3678), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [236361] = 15,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_RPAREN,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(4832), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(6580), 1,
      aux_sym__block_repeat1,
    ACTIONS(4830), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(5706), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2262), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [236413] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [236441] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [236469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3798), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [236495] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6503), 1,
      sym_extends_clause,
    STATE(7129), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2288), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2290), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [236535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3547), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [236561] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    STATE(6757), 1,
      aux_sym__block_repeat1,
    ACTIONS(2262), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2260), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [236611] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6505), 1,
      sym_extends_clause,
    STATE(7127), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2322), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2324), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [236651] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6507), 1,
      sym_extends_clause,
    STATE(7125), 1,
      sym_template_body,
    STATE(4562), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2312), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2314), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [236691] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6510), 1,
      sym_extends_clause,
    STATE(7124), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2308), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2310), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [236731] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6513), 1,
      sym_extends_clause,
    STATE(7122), 1,
      sym_template_body,
    STATE(4563), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2304), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2306), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [236771] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_else,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5720), 1,
      anon_sym_EQ,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5726), 1,
      anon_sym_catch,
    ACTIONS(5728), 1,
      anon_sym_finally,
    STATE(6915), 1,
      sym_type_arguments,
    STATE(6946), 1,
      sym_finally_clause,
    STATE(7248), 1,
      sym_catch_clause,
    ACTIONS(2070), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5712), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [236827] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2402), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2400), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [236875] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2670), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2668), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [236923] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2679), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2677), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [236971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3977), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [236997] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2572), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2570), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [237045] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2554), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2552), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [237093] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2645), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2643), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [237141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3563), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [237167] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4895), 1,
      sym_template_body,
    ACTIONS(3235), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3237), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [237199] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5730), 1,
      anon_sym_EQ_GT,
    ACTIONS(5732), 1,
      sym__interpolated_string_start,
    ACTIONS(5734), 1,
      sym__interpolated_multiline_string_start,
    STATE(5118), 1,
      sym_interpolated_string,
    ACTIONS(2452), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [237235] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6198), 1,
      sym_block,
    STATE(5196), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2807), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2805), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [237267] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2580), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2578), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [237315] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4017), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4019), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [237343] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6476), 1,
      sym_extends_clause,
    STATE(7105), 1,
      sym_template_body,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2300), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2302), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [237383] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4628), 1,
      anon_sym_extends,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    STATE(6546), 1,
      sym_extends_clause,
    STATE(7103), 1,
      sym_template_body,
    STATE(4579), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2292), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2294), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [237423] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym_DOT,
    ACTIONS(3379), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3381), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [237453] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2388), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2386), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [237501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_LPAREN,
    STATE(4604), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 17,
      anon_sym_object,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [237531] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5741), 1,
      anon_sym_LBRACK,
    ACTIONS(5743), 1,
      anon_sym_LPAREN,
    ACTIONS(5745), 1,
      anon_sym_POUND,
    STATE(6274), 1,
      sym_type_arguments,
    STATE(5458), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
    ACTIONS(2044), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [237569] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3277), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3279), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [237597] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2656), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2654), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [237645] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [237673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3991), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [237699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3995), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [237725] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2513), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [237753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [237779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4069), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [237805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4003), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [237831] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3901), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3903), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [237859] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_while,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5343), 1,
      anon_sym_catch,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    ACTIONS(5747), 1,
      anon_sym_finally,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(6317), 1,
      sym_finally_clause,
    STATE(7293), 1,
      sym_catch_clause,
    ACTIONS(2070), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [237915] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3877), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3879), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [237943] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4041), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4043), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [237971] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4901), 1,
      sym_template_body,
    ACTIONS(3281), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3283), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238003] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3476), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3478), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [238057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4007), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [238083] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3873), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3875), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238111] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3869), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3871), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238139] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3865), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3867), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238167] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3455), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3457), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238195] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6458), 1,
      aux_sym__block_repeat1,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2262), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [238245] = 14,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    ACTIONS(5749), 1,
      anon_sym_else,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2558), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2556), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [238295] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3622), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3624), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238323] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5732), 1,
      sym__interpolated_string_start,
    ACTIONS(5734), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(5751), 1,
      anon_sym_EQ_GT,
    STATE(5118), 1,
      sym_interpolated_string,
    ACTIONS(2452), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [238359] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3861), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3863), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238387] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4835), 1,
      sym_template_body,
    ACTIONS(3315), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3317), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238419] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2645), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2643), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [238467] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2554), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2552), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [238515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [238541] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2572), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2570), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [238589] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3468), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3470), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [238643] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(5011), 1,
      sym_template_body,
    ACTIONS(3251), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3253), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238675] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3294), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238705] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2615), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2613), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [238753] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_LBRACK,
    ACTIONS(5694), 1,
      anon_sym_POUND,
    ACTIONS(5753), 1,
      anon_sym_LPAREN,
    STATE(6337), 1,
      sym_type_arguments,
    STATE(5554), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
    ACTIONS(2044), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238791] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4049), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4051), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238819] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4053), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4055), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4037), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [238873] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3505), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238901] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2679), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2677), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [238949] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3527), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3529), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [238977] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2670), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2668), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [239025] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3537), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3539), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [239053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4057), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [239079] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2598), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2596), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [239127] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2568), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2566), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [239175] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3945), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3947), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [239203] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2544), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2542), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [239251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4061), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [239277] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5755), 1,
      anon_sym_LPAREN,
    STATE(4657), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2949), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2951), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [239309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [239335] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3547), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3549), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [239363] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3820), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [239391] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3816), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [239419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [239445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4073), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [239471] = 14,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    STATE(6736), 1,
      aux_sym__block_repeat1,
    ACTIONS(2260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2262), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [239521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [239547] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4069), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4071), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [239575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4081), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [239601] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4021), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4023), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [239629] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    ACTIONS(5758), 1,
      anon_sym_catch,
    ACTIONS(5760), 1,
      anon_sym_finally,
    STATE(7260), 1,
      sym_catch_clause,
    STATE(7660), 1,
      sym_type_arguments,
    STATE(7695), 1,
      sym_finally_clause,
    ACTIONS(2070), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [239685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [239711] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5762), 1,
      anon_sym_STAR,
    ACTIONS(3207), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [239741] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_else,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5720), 1,
      anon_sym_EQ,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5764), 1,
      anon_sym_catch,
    ACTIONS(5766), 1,
      anon_sym_finally,
    STATE(6915), 1,
      sym_type_arguments,
    STATE(7438), 1,
      sym_catch_clause,
    STATE(8259), 1,
      sym_finally_clause,
    ACTIONS(2070), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5712), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [239797] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2398), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2396), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [239845] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2425), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2423), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [239893] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3576), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [239921] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2525), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2523), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [239969] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3626), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3628), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [239997] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2517), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2515), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240045] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2509), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2507), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240093] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2501), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2499), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240141] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2497), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2495), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3710), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [240215] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2464), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2462), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240263] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2406), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2404), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240311] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3842), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3844), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [240339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [240365] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2356), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2354), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240413] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3618), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3620), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [240441] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3646), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [240469] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2344), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2342), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240517] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2623), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2621), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240565] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2637), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2635), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240613] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2641), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2639), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240661] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2594), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2592), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240709] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2619), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2617), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [240783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [240809] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3710), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3712), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [240837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [240863] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2688), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2686), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [240937] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2602), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2600), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [240985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4687), 1,
      anon_sym_LPAREN,
    STATE(4604), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 17,
      anon_sym_object,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [241015] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2536), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2534), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [241063] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3812), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [241091] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2478), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2476), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [241139] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3838), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3840), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [241167] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3741), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3743), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [241195] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2470), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2468), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [241243] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2410), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2408), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [241291] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2652), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2650), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [241339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [241365] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2402), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2400), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [241413] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2388), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2386), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [241461] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2656), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2654), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [241509] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2615), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2613), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [241557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [241583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3718), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [241609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [241635] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3786), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3788), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [241663] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4956), 1,
      sym_template_body,
    ACTIONS(3389), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3391), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [241693] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3830), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3832), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [241721] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(4905), 1,
      sym_template_body,
    ACTIONS(3401), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3403), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [241753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3650), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [241779] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2615), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2613), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [241827] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 11,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [241855] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2656), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2654), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [241903] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2388), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2386), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [241951] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2402), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2400), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [241999] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2410), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2408), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242047] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2470), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2468), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242095] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2478), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2476), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242143] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2536), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2534), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3786), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [242217] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2602), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2600), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242265] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2619), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2617), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242313] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2594), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2592), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242361] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2641), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2639), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242409] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2637), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2635), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242457] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2623), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2621), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242505] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2344), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2342), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242553] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2406), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2404), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242601] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4887), 1,
      sym_template_body,
    ACTIONS(3415), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3417), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [242631] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2464), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2462), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242679] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2497), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2495), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242727] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2501), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2499), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3834), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [242801] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2509), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2507), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242849] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3834), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3836), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [242877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3634), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [242903] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2517), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2515), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [242951] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [242979] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2525), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2523), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [243027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3606), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [243053] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3692), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3694), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243081] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5169), 1,
      sym_template_body,
    ACTIONS(3422), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3424), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243111] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3826), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3828), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243139] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2544), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2542), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [243187] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2568), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2566), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [243235] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5339), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2598), 3,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2596), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [243283] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3846), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3848), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243311] = 15,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(6601), 1,
      aux_sym__block_repeat1,
    ACTIONS(2260), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2262), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(5768), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [243363] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5122), 1,
      sym_arguments,
    ACTIONS(3033), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3035), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4029), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [243419] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3688), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3690), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243447] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2348), 3,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2346), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [243495] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3822), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3824), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243523] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3143), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3145), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243551] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(6706), 1,
      aux_sym__block_repeat1,
    ACTIONS(2262), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2260), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [243601] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3151), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3153), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243629] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(5156), 1,
      sym_template_body,
    ACTIONS(3103), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3105), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243661] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3184), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243689] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3806), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3808), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243717] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3096), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3098), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243745] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3186), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3188), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243773] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(5147), 1,
      sym_template_body,
    ACTIONS(3082), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3084), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243805] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3897), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3899), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243833] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(5233), 1,
      sym_template_body,
    ACTIONS(3057), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3059), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243865] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2540), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243893] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3680), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3682), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243921] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5741), 1,
      anon_sym_LBRACK,
    ACTIONS(5745), 1,
      anon_sym_POUND,
    ACTIONS(5770), 1,
      anon_sym_AT,
    STATE(6274), 1,
      sym_type_arguments,
    STATE(5814), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2030), 9,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243959] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3037), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3039), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [243987] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3672), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3674), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244015] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    STATE(5228), 1,
      sym_template_body,
    ACTIONS(3225), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3227), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244047] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3794), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3796), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244075] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3638), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3640), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244103] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2679), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2677), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [244151] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4029), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4031), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244179] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5226), 1,
      sym_template_body,
    ACTIONS(3288), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3290), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244209] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(5224), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2670), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2668), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [244257] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3630), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3632), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244285] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5198), 1,
      sym_block,
    ACTIONS(3346), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3348), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244315] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3790), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3792), 11,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244343] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5772), 1,
      anon_sym_COMMA,
    STATE(4794), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3011), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3013), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 20,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_AT,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [244401] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3826), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3828), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244428] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3557), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244455] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5732), 1,
      sym__interpolated_string_start,
    ACTIONS(5734), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(5775), 1,
      anon_sym_EQ_GT,
    STATE(5118), 1,
      sym_interpolated_string,
    ACTIONS(2454), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2452), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [244490] = 15,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2262), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    STATE(6949), 1,
      aux_sym__block_repeat1,
    ACTIONS(2260), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(5781), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [244541] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3869), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3871), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244568] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2598), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2596), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [244615] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5620), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 7,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [244646] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    STATE(5180), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2928), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244677] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2568), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2566), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [244724] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3865), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3867), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 1,
      anon_sym_LBRACK,
    STATE(6026), 1,
      sym_access_qualifier,
    ACTIONS(3001), 17,
      anon_sym_object,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [244780] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2544), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2542), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [244827] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3861), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3863), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244854] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5793), 1,
      anon_sym_implicit,
    ACTIONS(5795), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10743), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
  [244899] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(7022), 1,
      sym_extends_clause,
    STATE(7884), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2213), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2215), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [244938] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3842), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3844), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [244965] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2425), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2423), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245012] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2652), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2650), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4896), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    ACTIONS(5799), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(5797), 9,
      anon_sym_object,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      sym_identifier,
  [245090] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2398), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2396), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245137] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3838), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3840), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [245164] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2525), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2523), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245211] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5801), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10602), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [245254] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3873), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3875), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [245281] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3877), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3879), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [245308] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3901), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3903), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [245335] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2517), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2515), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245382] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(7026), 1,
      sym_extends_clause,
    STATE(7878), 1,
      sym_template_body,
    STATE(4854), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2232), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2234), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [245421] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2509), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2507), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245468] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(7028), 1,
      sym_extends_clause,
    STATE(7875), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2243), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2245), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [245507] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3830), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3832), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [245534] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2501), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2499), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245581] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(7030), 1,
      sym_extends_clause,
    STATE(7872), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2247), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2249), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [245620] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2497), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2495), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245667] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2262), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    STATE(7077), 1,
      aux_sym__block_repeat1,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2260), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245716] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5811), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10836), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [245759] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2406), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2404), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245806] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [245833] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3822), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3824), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [245860] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3995), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3997), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [245887] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3806), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3808), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [245914] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 10,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [245941] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3037), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3039), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [245968] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3794), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3796), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [245995] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3505), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246022] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3527), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3529), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246049] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5813), 1,
      anon_sym_implicit,
    ACTIONS(5815), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10898), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
  [246094] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3921), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3923), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246121] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3790), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3792), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246148] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246175] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3933), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3935), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246202] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3714), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3716), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246229] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2688), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2686), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [246276] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2348), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2346), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [246323] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3780), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3782), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246350] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3937), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3939), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246377] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3776), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3778), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246404] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2356), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2354), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [246451] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(7032), 1,
      sym_extends_clause,
    STATE(7864), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2318), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2320), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [246490] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3772), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3774), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246517] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2558), 1,
      anon_sym_if,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    ACTIONS(5817), 1,
      anon_sym_else,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2556), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [246566] = 16,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5764), 1,
      anon_sym_catch,
    ACTIONS(5821), 1,
      anon_sym_EQ,
    ACTIONS(5823), 1,
      anon_sym_finally,
    STATE(6915), 1,
      sym_type_arguments,
    STATE(8259), 1,
      sym_finally_clause,
    STATE(8336), 1,
      sym_catch_clause,
    ACTIONS(2074), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(5819), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [246619] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3945), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3947), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246646] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2344), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2342), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [246693] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2623), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2621), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [246740] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3957), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3959), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246767] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2637), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2635), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [246814] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2641), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2639), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [246861] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3768), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3770), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246888] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5825), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10837), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [246931] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3537), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3539), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246958] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3764), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3766), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [246985] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2356), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2354), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247032] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3757), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3759), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247059] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3753), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3755), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247086] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3749), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3751), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247113] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(7206), 1,
      aux_sym__block_repeat1,
    ACTIONS(2260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2262), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [247162] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3745), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3747), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247189] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3737), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3739), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247216] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247243] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5827), 1,
      anon_sym_implicit,
    ACTIONS(5829), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10691), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
  [247288] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3733), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3735), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247315] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3729), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3731), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247342] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5831), 1,
      anon_sym_RPAREN,
    STATE(10324), 1,
      sym_class_parameter,
    STATE(10350), 1,
      sym_modifiers,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [247385] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2594), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2592), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247432] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247459] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    STATE(4803), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2936), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247490] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3547), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3549), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247517] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3961), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3963), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247544] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3965), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3967), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247571] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247598] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3576), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247625] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3722), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3724), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247652] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2398), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2396), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247699] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3468), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3470), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247726] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3618), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3620), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247753] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2425), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2423), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5833), 1,
      anon_sym_AT,
    STATE(4893), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 16,
      anon_sym_object,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
  [247829] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3969), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3971), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247856] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3973), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3975), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5841), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4896), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    ACTIONS(5838), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(5836), 9,
      anon_sym_object,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      sym_identifier,
  [247914] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3559), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3561), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247941] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3455), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3457), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [247968] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5844), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10654), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [248011] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2558), 1,
      anon_sym_case,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5846), 1,
      anon_sym_else,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2556), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248060] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3977), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3979), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [248087] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3710), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3712), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [248114] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3991), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3993), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [248141] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2619), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2617), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248188] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3741), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3743), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [248215] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4037), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4039), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [248242] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2348), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2346), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248289] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [248316] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2688), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2686), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248363] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 13,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [248390] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5848), 1,
      anon_sym_implicit,
    ACTIONS(5850), 1,
      anon_sym_RPAREN,
    STATE(10232), 1,
      sym_class_parameter,
    STATE(10350), 1,
      sym_modifiers,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
  [248435] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2602), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2600), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248482] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2652), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2650), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248529] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2688), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2686), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248576] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5852), 1,
      anon_sym_implicit,
    ACTIONS(5854), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10352), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
  [248621] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2348), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2346), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248668] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2356), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2354), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248715] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2536), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2534), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248762] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3786), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3788), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [248789] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2398), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2396), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248836] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2425), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2423), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248883] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2478), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2476), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248930] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3700), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3702), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [248957] = 16,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(5870), 1,
      anon_sym_catch,
    ACTIONS(5872), 1,
      anon_sym_finally,
    STATE(7946), 1,
      sym_type_arguments,
    STATE(8298), 1,
      sym_catch_clause,
    STATE(8729), 1,
      sym_finally_clause,
    ACTIONS(2070), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5856), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [249010] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3696), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3698), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249037] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249064] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5874), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10527), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [249107] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 10,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249134] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_DOT,
    ACTIONS(2489), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2491), 13,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249163] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3834), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3836), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249190] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2470), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2468), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [249237] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3999), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4001), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249264] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(7019), 1,
      sym_extends_clause,
    STATE(7894), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2209), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2211), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [249303] = 14,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    ACTIONS(5878), 1,
      anon_sym_else,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2558), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [249352] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5880), 1,
      anon_sym_implicit,
    ACTIONS(5882), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10489), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
  [249397] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2410), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2408), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [249444] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(7018), 1,
      sym_extends_clause,
    STATE(7897), 1,
      sym_template_body,
    STATE(4828), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2191), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2193), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [249483] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3846), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3848), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249510] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    ACTIONS(5890), 1,
      anon_sym_if,
    STATE(6437), 1,
      sym_type_arguments,
    STATE(10018), 1,
      sym_guard,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(5886), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [249559] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2505), 13,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249586] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2652), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2650), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [249633] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4007), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4009), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249660] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2402), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2400), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [249707] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 13,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249734] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3143), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3145), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249761] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3151), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3153), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249788] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2388), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2386), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [249835] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3684), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3686), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249862] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3184), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249889] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5892), 1,
      anon_sym_implicit,
    ACTIONS(5894), 1,
      anon_sym_RPAREN,
    STATE(10285), 1,
      sym_class_parameter,
    STATE(10350), 1,
      sym_modifiers,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
  [249934] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3186), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3188), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249961] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2513), 13,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [249988] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5896), 1,
      anon_sym_implicit,
    ACTIONS(5898), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10562), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
  [250033] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2656), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2654), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [250080] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3159), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3161), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250107] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3897), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3899), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250134] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2540), 13,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250161] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3676), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3678), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250188] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3668), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3670), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250215] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 10,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250242] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3664), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3666), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250269] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3602), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3604), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250296] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(7012), 1,
      aux_sym__block_repeat1,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(5900), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2262), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [250345] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4021), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4023), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250372] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3342), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3344), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250399] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5902), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10524), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [250442] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3541), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3543), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250469] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(7011), 1,
      sym_extends_clause,
    STATE(7909), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2187), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2189), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [250508] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2578), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2580), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [250555] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3507), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3509), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250582] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(7010), 1,
      sym_extends_clause,
    STATE(7912), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2183), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2185), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [250621] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2650), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2652), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [250668] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4029), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4031), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250695] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(7009), 1,
      sym_extends_clause,
    STATE(7915), 1,
      sym_template_body,
    STATE(4810), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2179), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2181), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [250734] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2686), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2688), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [250781] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2346), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2348), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [250828] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3490), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3492), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250855] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5904), 1,
      anon_sym_implicit,
    ACTIONS(5906), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10363), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
  [250900] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2354), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2356), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [250947] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3486), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3488), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [250974] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4069), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4071), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251001] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3474), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251028] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2396), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2398), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [251075] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2425), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [251122] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(7006), 1,
      sym_extends_clause,
    STATE(7923), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2145), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2147), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [251161] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2643), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2645), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [251208] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2554), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [251255] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4053), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4055), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251282] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4049), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4051), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251309] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2350), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251348] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4041), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4043), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251375] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2572), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [251422] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3476), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3478), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251449] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3441), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3443), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251476] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3449), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3451), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251503] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5908), 1,
      anon_sym_DOT,
    ACTIONS(3379), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3381), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251532] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4017), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4019), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251559] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3119), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3121), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251586] = 16,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_COLON,
    ACTIONS(5918), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    ACTIONS(5922), 1,
      anon_sym_match,
    ACTIONS(5924), 1,
      anon_sym_catch,
    ACTIONS(5926), 1,
      anon_sym_finally,
    STATE(8168), 1,
      sym_catch_clause,
    STATE(8437), 1,
      sym_finally_clause,
    STATE(8459), 1,
      sym_type_arguments,
    ACTIONS(2074), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(5910), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [251639] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2596), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2598), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [251686] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2615), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2613), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [251733] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3462), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3464), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251760] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3515), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3517), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251787] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5928), 1,
      anon_sym_RPAREN,
    STATE(10240), 1,
      sym_class_parameter,
    STATE(10350), 1,
      sym_modifiers,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [251830] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2566), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2568), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [251877] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2544), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [251924] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3519), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3521), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [251951] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2262), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    STATE(6911), 1,
      aux_sym__block_repeat1,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2260), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [252000] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2525), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [252047] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    ACTIONS(5930), 1,
      anon_sym_else,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2558), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [252096] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4003), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4005), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [252123] = 15,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(2260), 1,
      anon_sym_RPAREN,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    ACTIONS(5239), 1,
      anon_sym_match,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(6924), 1,
      aux_sym__block_repeat1,
    ACTIONS(2262), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5233), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(5932), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [252174] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3592), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3594), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [252201] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7186), 1,
      aux_sym__block_repeat1,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(5934), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2262), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [252250] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5936), 1,
      anon_sym_implicit,
    ACTIONS(5938), 1,
      anon_sym_RPAREN,
    STATE(10204), 1,
      sym_class_parameter,
    STATE(10350), 1,
      sym_modifiers,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
  [252295] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2517), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [252342] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3622), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3624), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [252369] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2509), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [252416] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2501), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [252463] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5578), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 7,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [252494] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5940), 1,
      anon_sym_LPAREN,
    STATE(5021), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2238), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [252525] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2497), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [252572] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2462), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2464), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [252619] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3626), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3628), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [252646] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3630), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3632), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [252673] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3638), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3640), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [252700] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2404), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2406), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [252747] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3672), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3674), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [252774] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(2070), 1,
      anon_sym_RPAREN,
    ACTIONS(2074), 1,
      anon_sym_else,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5764), 1,
      anon_sym_catch,
    ACTIONS(5945), 1,
      anon_sym_EQ,
    ACTIONS(5947), 1,
      anon_sym_finally,
    STATE(6915), 1,
      sym_type_arguments,
    STATE(8259), 1,
      sym_finally_clause,
    STATE(8271), 1,
      sym_catch_clause,
    ACTIONS(5943), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [252829] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2342), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2344), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [252876] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_LPAREN,
    STATE(5021), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2224), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [252907] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [252934] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3856), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [252961] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3883), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [252988] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3887), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [253015] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2623), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [253062] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2635), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2637), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [253109] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2641), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [253156] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2594), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [253203] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3680), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3682), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [253230] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3891), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [253257] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [253284] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5949), 1,
      anon_sym_RPAREN,
    STATE(10161), 1,
      sym_class_parameter,
    STATE(10350), 1,
      sym_modifiers,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [253327] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [253354] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3895), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [253381] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(6977), 1,
      sym_extends_clause,
    STATE(7950), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2226), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2228), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [253420] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2619), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [253467] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2615), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [253514] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(6975), 1,
      sym_extends_clause,
    STATE(7953), 1,
      sym_template_body,
    STATE(4968), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2253), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2255), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [253553] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2654), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2656), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [253600] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2656), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2654), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [253647] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2600), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2602), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [253694] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2536), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [253741] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2478), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [253788] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5951), 1,
      anon_sym_AT,
    STATE(5055), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2134), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [253819] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2386), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2388), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [253866] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2400), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2402), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [253913] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2410), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [253960] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2468), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2470), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [254007] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2478), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [254054] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2468), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2470), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [254101] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2388), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2386), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [254148] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2410), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [254195] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2536), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [254242] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2670), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2668), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [254289] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2600), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2602), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [254336] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2619), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [254383] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2594), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [254430] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2400), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2402), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [254477] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3907), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [254504] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2641), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [254551] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2386), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2388), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [254598] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [254625] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2654), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2656), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [254672] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2615), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [254719] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5585), 1,
      sym__interpolated_string_start,
    ACTIONS(5587), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(5954), 1,
      anon_sym_EQ_GT,
    STATE(4261), 1,
      sym_interpolated_string,
    ACTIONS(2452), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [254754] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2578), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2580), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [254801] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3915), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [254828] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5724), 1,
      sym_template_body,
    ACTIONS(3217), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3219), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [254859] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2679), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2677), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [254906] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2578), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2580), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [254933] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2635), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2637), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [254980] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2677), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2679), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [255027] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3919), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [255054] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3927), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [255081] = 13,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2668), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2670), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [255128] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2623), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [255175] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [255202] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2342), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2344), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [255249] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [255276] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2402), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2400), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [255323] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5956), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym_class_parameter,
    STATE(10350), 1,
      sym_modifiers,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [255366] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3688), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3690), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [255393] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2404), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2406), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [255440] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    ACTIONS(5958), 1,
      anon_sym_else,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2558), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [255489] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [255516] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2462), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2464), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [255563] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 13,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [255590] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2410), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2408), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [255637] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 13,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [255664] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5706), 1,
      sym_block,
    ACTIONS(3262), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3264), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [255693] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5960), 1,
      anon_sym_LPAREN,
    STATE(5102), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2238), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [255724] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2262), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    STATE(6890), 1,
      aux_sym__block_repeat1,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2260), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [255773] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2497), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [255820] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3943), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [255847] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2501), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [255894] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5963), 1,
      anon_sym_implicit,
    ACTIONS(5965), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10698), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
  [255939] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3951), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [255966] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(7023), 1,
      sym_extends_clause,
    STATE(7965), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2264), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2266), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [256005] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2509), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [256052] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2517), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [256099] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2525), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [256146] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3692), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3694), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [256173] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2572), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2570), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [256220] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2464), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2462), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [256267] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2554), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2552), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [256314] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3553), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [256341] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3955), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [256368] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3497), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3499), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [256395] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3812), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [256422] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5512), 1,
      anon_sym_AT,
    STATE(5055), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2207), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [256453] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3513), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [256480] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5967), 1,
      anon_sym_DOT,
    ACTIONS(2489), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2491), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [256509] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(6966), 1,
      sym_extends_clause,
    STATE(7970), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2268), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2270), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [256548] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3523), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3525), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [256575] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(6965), 1,
      sym_extends_clause,
    STATE(7973), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2272), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2274), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [256614] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [256641] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3596), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3598), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [256668] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(6964), 1,
      sym_extends_clause,
    STATE(7977), 1,
      sym_template_body,
    STATE(4985), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2276), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2278), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [256707] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2645), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2643), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [256754] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2544), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [256801] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2566), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2568), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [256848] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2596), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2598), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [256895] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_LBRACK,
    ACTIONS(5971), 1,
      anon_sym_AT,
    ACTIONS(5973), 1,
      anon_sym_POUND,
    STATE(6565), 1,
      sym_type_arguments,
    STATE(6214), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2030), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [256932] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5518), 1,
      anon_sym_LPAREN,
    STATE(5102), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2224), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [256963] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2505), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [256990] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4013), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4015), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257017] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5975), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10793), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [257060] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2470), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2468), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [257107] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2464), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2462), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [257154] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym_AT,
    STATE(5141), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2134), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257185] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4025), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4027), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257212] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3563), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3565), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257239] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5702), 1,
      sym_template_body,
    ACTIONS(3319), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3321), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257270] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257297] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257324] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3634), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3636), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257351] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4045), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4047), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257378] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5980), 1,
      anon_sym_implicit,
    ACTIONS(5982), 1,
      anon_sym_RPAREN,
    STATE(10264), 1,
      sym_class_parameter,
    STATE(10350), 1,
      sym_modifiers,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
  [257423] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5550), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2580), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5548), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2578), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [257470] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2580), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2578), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [257517] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2513), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257544] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5984), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10755), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [257587] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4057), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4059), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257614] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5641), 1,
      sym_access_qualifier,
    ACTIONS(2999), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3001), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257643] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3584), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3586), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257670] = 16,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5726), 1,
      anon_sym_catch,
    ACTIONS(5821), 1,
      anon_sym_EQ,
    ACTIONS(5986), 1,
      anon_sym_finally,
    STATE(6915), 1,
      sym_type_arguments,
    STATE(6946), 1,
      sym_finally_clause,
    STATE(7442), 1,
      sym_catch_clause,
    ACTIONS(2074), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(5819), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [257723] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257750] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257777] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257804] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5698), 1,
      sym_template_body,
    ACTIONS(3385), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3387), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257835] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257862] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2540), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257889] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5599), 1,
      sym_template_body,
    ACTIONS(3389), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3391), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257918] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4061), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4063), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257945] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5565), 1,
      sym_template_body,
    ACTIONS(3401), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3403), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [257976] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2558), 1,
      anon_sym_if,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    ACTIONS(5988), 1,
      anon_sym_else,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2556), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [258025] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5692), 1,
      sym_template_body,
    ACTIONS(3405), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3407), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258056] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4065), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4067), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258083] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4073), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4075), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258110] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3588), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3590), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258137] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5497), 1,
      sym_template_body,
    ACTIONS(3415), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3417), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258166] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2662), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258205] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5990), 1,
      anon_sym_EQ_GT,
    ACTIONS(5992), 1,
      sym__interpolated_string_start,
    ACTIONS(5994), 1,
      sym__interpolated_multiline_string_start,
    STATE(5527), 1,
      sym_interpolated_string,
    ACTIONS(2454), 7,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2452), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [258240] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 10,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258267] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5512), 1,
      sym_arguments,
    ACTIONS(3033), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3035), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258296] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(5996), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10499), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [258339] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2658), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258378] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258405] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym_COMMA,
    STATE(5180), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3011), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3013), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258436] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_LBRACK,
    ACTIONS(5973), 1,
      anon_sym_POUND,
    ACTIONS(6001), 1,
      anon_sym_LPAREN,
    STATE(6565), 1,
      sym_type_arguments,
    STATE(6287), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
    ACTIONS(2044), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258473] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2478), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2476), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [258520] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5490), 1,
      sym_template_body,
    ACTIONS(3103), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3105), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258551] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3096), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3098), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258578] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5480), 1,
      sym_template_body,
    ACTIONS(3082), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3084), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258609] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4077), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4079), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258636] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4081), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4083), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258663] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2441), 13,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258692] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2558), 1,
      anon_sym_case,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6003), 1,
      anon_sym_else,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2556), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [258741] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4085), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4087), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258768] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2536), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2534), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [258815] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5476), 1,
      sym_template_body,
    ACTIONS(3057), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3059), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258846] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3929), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3931), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258873] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5471), 1,
      sym_template_body,
    ACTIONS(3225), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3227), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258904] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3445), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3447), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258931] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_LPAREN,
    STATE(5196), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2949), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2951), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258962] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5688), 1,
      sym_template_body,
    ACTIONS(3371), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3373), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [258993] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3987), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3989), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [259020] = 17,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(2070), 1,
      anon_sym_RPAREN,
    ACTIONS(2074), 1,
      anon_sym_else,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5726), 1,
      anon_sym_catch,
    ACTIONS(5945), 1,
      anon_sym_EQ,
    ACTIONS(6008), 1,
      anon_sym_finally,
    STATE(6915), 1,
      sym_type_arguments,
    STATE(6946), 1,
      sym_finally_clause,
    STATE(8138), 1,
      sym_catch_clause,
    ACTIONS(5943), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [259075] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2554), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2552), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [259122] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5550), 1,
      sym_template_body,
    ACTIONS(3288), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3290), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [259151] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [259178] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3646), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [259205] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3981), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3983), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [259232] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2602), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2600), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [259279] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5465), 1,
      sym_block,
    ACTIONS(3346), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3348), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [259308] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [259335] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2650), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2652), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [259382] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2619), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2617), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [259429] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2686), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2688), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [259476] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2645), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2643), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [259523] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(6010), 1,
      anon_sym_implicit,
    ACTIONS(6012), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10704), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
  [259568] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5566), 1,
      anon_sym_AT,
    STATE(5141), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2207), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [259599] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5682), 1,
      sym_block,
    ACTIONS(3221), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3223), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [259628] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2554), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2552), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [259675] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2572), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2570), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [259722] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3816), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [259749] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2594), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2592), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [259796] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5353), 1,
      sym_block,
    ACTIONS(3201), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3203), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [259825] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5447), 1,
      sym_template_body,
    ACTIONS(3422), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3424), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [259854] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2346), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2348), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [259901] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2615), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2613), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [259948] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3294), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [259977] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3820), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [260004] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2354), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2356), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [260051] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3434), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3436), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [260078] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2679), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2677), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [260125] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3802), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3804), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [260152] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5751), 1,
      sym_template_body,
    ACTIONS(3190), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3192), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [260183] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3718), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3720), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [260210] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2670), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2668), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [260257] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [260284] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3704), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3706), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [260311] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5640), 1,
      sym_template_body,
    ACTIONS(3155), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3157), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [260342] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3650), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3652), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [260369] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2658), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [260408] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5616), 1,
      sym_template_body,
    ACTIONS(3137), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3139), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [260439] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2396), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2398), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [260486] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2662), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [260525] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5408), 1,
      sym_template_body,
    ACTIONS(3251), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3253), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [260556] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2425), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [260603] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2615), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2613), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [260650] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2677), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2679), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [260697] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2641), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2639), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [260744] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2668), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2670), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [260791] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5574), 1,
      sym_block,
    ACTIONS(3123), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3125), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [260820] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2656), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2654), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [260867] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_extends,
    STATE(5472), 1,
      sym_type_parameters,
    STATE(6575), 1,
      sym_extends_clause,
    STATE(7095), 1,
      sym_template_body,
    ACTIONS(2562), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2564), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [260902] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2637), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2635), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [260949] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2388), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2386), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [260996] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5457), 1,
      sym_type_parameters,
    STATE(7096), 1,
      sym_block,
    STATE(5451), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2604), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2606), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [261029] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5404), 1,
      sym_template_body,
    ACTIONS(3315), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3317), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [261060] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2402), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2400), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [261107] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(6880), 1,
      sym_extends_clause,
    STATE(8157), 1,
      sym_template_body,
    STATE(5309), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2292), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2294), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [261146] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2410), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2408), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [261193] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5568), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 7,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [261224] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5567), 1,
      sym_template_body,
    ACTIONS(3113), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3115), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [261255] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5398), 1,
      sym_template_body,
    ACTIONS(3281), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3283), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [261286] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3277), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3279), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [261313] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5394), 1,
      sym_template_body,
    ACTIONS(3235), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3237), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [261344] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5561), 1,
      sym_template_body,
    ACTIONS(3092), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3094), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [261375] = 16,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6014), 1,
      anon_sym_catch,
    ACTIONS(6016), 1,
      anon_sym_finally,
    STATE(7946), 1,
      sym_type_arguments,
    STATE(7952), 1,
      sym_finally_clause,
    STATE(8114), 1,
      sym_catch_clause,
    ACTIONS(2070), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5856), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [261428] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(6881), 1,
      sym_extends_clause,
    STATE(8154), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2300), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2302), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [261467] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5389), 1,
      sym_template_body,
    ACTIONS(3197), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3199), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [261498] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2470), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2468), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [261545] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5555), 1,
      sym_template_body,
    ACTIONS(3074), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3076), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [261576] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5386), 1,
      sym_template_body,
    ACTIONS(3041), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3043), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [261607] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2478), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2476), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [261654] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2623), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2621), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [261701] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6018), 1,
      anon_sym_with,
    STATE(5351), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2435), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [261732] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2350), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [261771] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5380), 1,
      sym_block,
    ACTIONS(3430), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3432), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [261800] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2598), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2596), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [261847] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5372), 1,
      sym_block,
    ACTIONS(3426), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3428), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [261876] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2568), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2566), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [261923] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6018), 1,
      anon_sym_with,
    STATE(5270), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6020), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2380), 8,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [261958] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5359), 1,
      sym_template_body,
    ACTIONS(3409), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3411), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [261989] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5356), 1,
      sym_template_body,
    ACTIONS(3397), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3399), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [262018] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_extends,
    STATE(5369), 1,
      sym_type_parameters,
    STATE(6530), 1,
      sym_extends_clause,
    STATE(7116), 1,
      sym_template_body,
    ACTIONS(2412), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2414), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [262053] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5366), 1,
      sym_type_parameters,
    STATE(7117), 1,
      sym_block,
    STATE(5364), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2416), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2418), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [262086] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3049), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3051), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [262113] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2602), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2600), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [262160] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3606), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3608), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [262187] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5357), 1,
      sym_block,
    ACTIONS(3393), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3395), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [262216] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2544), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2542), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [262263] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5385), 1,
      sym_template_body,
    ACTIONS(3375), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3377), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [262292] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5548), 1,
      sym_template_body,
    ACTIONS(3045), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3047), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [262323] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(6022), 1,
      anon_sym_implicit,
    ACTIONS(6024), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10500), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
  [262368] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2619), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2617), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [262415] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2594), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2592), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [262462] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2641), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2639), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [262509] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_STAR,
    ACTIONS(3207), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [262538] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2344), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2342), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [262585] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(6028), 1,
      anon_sym_RPAREN,
    STATE(10350), 1,
      sym_modifiers,
    STATE(10599), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [262628] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2637), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2635), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [262675] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5428), 1,
      sym_template_body,
    ACTIONS(3338), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3340), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [262706] = 14,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_match,
    ACTIONS(5572), 1,
      anon_sym_EQ,
    ACTIONS(6030), 1,
      anon_sym_else,
    STATE(4271), 1,
      sym_type_arguments,
    ACTIONS(2556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5570), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2558), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(4270), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [262755] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2623), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2621), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [262802] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5436), 1,
      sym_template_body,
    ACTIONS(3327), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3329), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [262833] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3891), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [262860] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [262887] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2580), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2578), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [262934] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5445), 1,
      sym_template_body,
    ACTIONS(3323), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3325), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [262965] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2344), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2342), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263012] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5992), 1,
      sym__interpolated_string_start,
    ACTIONS(5994), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(6032), 1,
      anon_sym_EQ_GT,
    STATE(5527), 1,
      sym_interpolated_string,
    ACTIONS(2454), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2452), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263047] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2406), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2404), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263094] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2645), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2643), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263141] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2406), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2404), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263188] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(6931), 1,
      sym_extends_clause,
    STATE(8022), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2288), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2290), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [263227] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5460), 1,
      sym_block,
    ACTIONS(3066), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3068), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [263256] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5449), 1,
      sym_template_body,
    ACTIONS(3269), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3271), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [263287] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2464), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2462), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263334] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2525), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2523), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263381] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7027), 1,
      aux_sym__block_repeat1,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2262), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [263430] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5522), 1,
      sym_template_body,
    ACTIONS(3078), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3080), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [263459] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2497), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2495), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263506] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5466), 1,
      sym_block,
    ACTIONS(3244), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3246), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [263535] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2501), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2499), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263582] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5516), 1,
      sym_template_body,
    ACTIONS(3086), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3088), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [263613] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2509), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2507), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263660] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2517), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2515), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263707] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2536), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2534), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263754] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2441), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [263783] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3302), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3304), 10,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [263810] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2643), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2645), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [263857] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2572), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2570), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263904] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5501), 1,
      sym_block,
    ACTIONS(3127), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3129), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [263933] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2509), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2507), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263980] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(6928), 1,
      sym_extends_clause,
    STATE(8040), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2322), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2324), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [264019] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2501), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2499), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [264066] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2679), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2677), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [264113] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(6923), 1,
      sym_extends_clause,
    STATE(8053), 1,
      sym_template_body,
    STATE(5109), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2312), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2314), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [264152] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2554), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [264199] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2670), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2668), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [264246] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(5530), 1,
      anon_sym_DOT,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_COLON,
    ACTIONS(5536), 1,
      anon_sym_EQ,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    ACTIONS(5540), 1,
      anon_sym_match,
    STATE(6994), 1,
      sym_type_arguments,
    ACTIONS(2570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5528), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6995), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2572), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [264293] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6018), 1,
      anon_sym_with,
    STATE(5270), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [264324] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2598), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2596), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [264371] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2517), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2515), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [264418] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2525), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2523), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [264465] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2497), 2,
      anon_sym_case,
      anon_sym_else,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2495), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [264512] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5474), 1,
      sym_template_body,
    ACTIONS(3229), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3231), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [264543] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(6918), 1,
      sym_extends_clause,
    STATE(8061), 1,
      sym_template_body,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2308), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2310), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [264582] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2544), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2542), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [264629] = 16,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_COLON,
    ACTIONS(5918), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    ACTIONS(5922), 1,
      anon_sym_match,
    ACTIONS(6034), 1,
      anon_sym_catch,
    ACTIONS(6036), 1,
      anon_sym_finally,
    STATE(8235), 1,
      sym_catch_clause,
    STATE(8459), 1,
      sym_type_arguments,
    STATE(9016), 1,
      sym_finally_clause,
    ACTIONS(2074), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(5910), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [264682] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_extends,
    STATE(5424), 1,
      sym_type_parameters,
    STATE(6467), 1,
      sym_extends_clause,
    STATE(7155), 1,
      sym_template_body,
    ACTIONS(2625), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2627), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [264717] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5427), 1,
      sym_type_parameters,
    STATE(7156), 1,
      sym_block,
    STATE(5429), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2631), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2633), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [264750] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5498), 1,
      sym_block,
    ACTIONS(3147), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3149), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [264779] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5710), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2568), 2,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(5708), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2566), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [264826] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5482), 1,
      sym_template_body,
    ACTIONS(3213), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3215), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [264857] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_extends,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      sym_extends_clause,
    STATE(8064), 1,
      sym_template_body,
    STATE(5124), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2304), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2306), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [264896] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6038), 1,
      anon_sym_with,
    STATE(5351), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2482), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [264927] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(5494), 1,
      sym_template_body,
    ACTIONS(3174), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3176), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [264958] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3596), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3598), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [264984] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3838), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3840), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265010] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265036] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3873), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3875), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265062] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3865), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3867), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265088] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3877), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3879), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265114] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3901), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3903), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265140] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6251), 1,
      sym_template_body,
    ACTIONS(3269), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3271), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265170] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6242), 1,
      sym_template_body,
    ACTIONS(3229), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3231), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265200] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6237), 1,
      sym_template_body,
    ACTIONS(3213), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3215), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265230] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3302), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3304), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265256] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7152), 1,
      sym_block,
    STATE(6340), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2744), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2746), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [265286] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3921), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3923), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265312] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7150), 1,
      sym_block,
    STATE(5420), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2764), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2766), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [265342] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3861), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3863), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265368] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3933), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3935), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265394] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_extends,
    STATE(6474), 1,
      sym_extends_clause,
    STATE(7146), 1,
      sym_template_body,
    ACTIONS(2768), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2770), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [265426] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2730), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265452] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7141), 1,
      sym_block,
    STATE(6340), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2778), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2780), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [265482] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3937), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3939), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265508] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265534] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3842), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3844), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265560] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6264), 1,
      sym_template_body,
    ACTIONS(3323), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3325), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265590] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6041), 1,
      anon_sym_LPAREN,
    STATE(5376), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2238), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265620] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_EQ,
    ACTIONS(3178), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3180), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [265650] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6046), 1,
      anon_sym_EQ,
    ACTIONS(3166), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3168), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [265680] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6225), 1,
      sym_block,
    ACTIONS(3149), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3147), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [265708] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3945), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3947), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265734] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6048), 1,
      anon_sym_EQ_GT,
    ACTIONS(6050), 1,
      sym__interpolated_string_start,
    ACTIONS(6052), 1,
      sym__interpolated_multiline_string_start,
    STATE(6444), 1,
      sym_interpolated_string,
    ACTIONS(2454), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2452), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [265768] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6223), 1,
      sym_block,
    ACTIONS(3129), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3127), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [265796] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3957), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3959), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265822] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6265), 1,
      sym_template_body,
    ACTIONS(3327), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3329), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265852] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3830), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3832), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265878] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3961), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3963), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265904] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3826), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3828), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265930] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6278), 1,
      sym_template_body,
    ACTIONS(3338), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3340), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265960] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3965), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3967), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [265986] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6054), 1,
      anon_sym_LPAREN,
    STATE(5390), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2818), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2820), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [266016] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3969), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3971), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266042] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2658), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266080] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6210), 1,
      sym_template_body,
    ACTIONS(3086), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3088), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266110] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3973), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3975), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266136] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6057), 1,
      anon_sym_EQ_GT,
    ACTIONS(6059), 1,
      sym__interpolated_string_start,
    ACTIONS(6061), 1,
      sym__interpolated_multiline_string_start,
    STATE(6910), 1,
      sym_interpolated_string,
    ACTIONS(2452), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2454), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [266170] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6293), 1,
      sym_template_body,
    ACTIONS(3377), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3375), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [266198] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3822), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3824), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266224] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3977), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3979), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266250] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6218), 1,
      sym_type_parameters,
    STATE(8107), 1,
      sym_block,
    STATE(6193), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2416), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2418), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [266282] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4791), 1,
      anon_sym_extends,
    STATE(6239), 1,
      sym_type_parameters,
    STATE(6907), 1,
      sym_extends_clause,
    STATE(8009), 1,
      sym_template_body,
    ACTIONS(2412), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2414), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [266316] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3806), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3808), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266342] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3991), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3993), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266368] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3895), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266394] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3995), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3997), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266420] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5720), 1,
      anon_sym_EQ,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(6063), 1,
      anon_sym_else,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2556), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2558), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5712), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [266468] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3999), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4001), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266494] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3887), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266520] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4003), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4005), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266546] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6208), 1,
      sym_template_body,
    ACTIONS(3080), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3078), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [266574] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2643), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2645), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [266620] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4007), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4009), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266646] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(7930), 1,
      aux_sym__block_repeat1,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2262), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [266694] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6323), 1,
      sym_block,
    ACTIONS(3395), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3393), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [266722] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3907), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266748] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266774] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3294), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3292), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [266802] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3883), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266828] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3915), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266854] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6335), 1,
      sym_template_body,
    ACTIONS(3399), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3397), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [266882] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7183), 1,
      sym_block,
    STATE(6340), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2797), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2799), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [266912] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3919), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266938] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3856), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266964] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3037), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3039), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [266990] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_extends,
    STATE(6497), 1,
      sym_extends_clause,
    STATE(7188), 1,
      sym_template_body,
    ACTIONS(2801), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2803), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [267022] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6344), 1,
      sym_template_body,
    ACTIONS(3409), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3411), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267052] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3927), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267078] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7193), 1,
      sym_block,
    STATE(5503), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2874), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2876), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [267108] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3794), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3796), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267134] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7195), 1,
      sym_block,
    STATE(6340), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2880), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2882), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [267164] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267190] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267216] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3790), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3792), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267242] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267268] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4013), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4015), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267294] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6351), 1,
      sym_block,
    ACTIONS(3428), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3426), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [267322] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3714), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3716), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267348] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6352), 1,
      sym_block,
    ACTIONS(3432), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3430), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [267376] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4025), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4027), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267402] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4037), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4039), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267428] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4045), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4047), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267454] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4057), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4059), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267480] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2679), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2677), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [267526] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6200), 1,
      sym_block,
    ACTIONS(3068), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3066), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [267554] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2670), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2668), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [267600] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3780), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3782), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267626] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4061), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4063), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267652] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4065), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4067), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267678] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [267704] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3776), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3778), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267730] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4073), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4075), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267756] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7114), 1,
      sym_block,
    STATE(6340), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2850), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2852), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [267786] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3772), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3774), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267812] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4077), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4079), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267838] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4081), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4083), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267864] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4085), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4087), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267890] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267916] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7113), 1,
      sym_block,
    STATE(5371), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2854), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2856), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [267946] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5743), 1,
      anon_sym_LPAREN,
    STATE(5376), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2224), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [267976] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3929), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3931), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268002] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3668), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3670), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268028] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6356), 1,
      sym_template_body,
    ACTIONS(3041), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3043), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268058] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6190), 1,
      sym_template_body,
    ACTIONS(3045), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3047), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268088] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3445), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3447), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268114] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6357), 1,
      sym_template_body,
    ACTIONS(3197), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3199), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268144] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3987), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3989), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268170] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3768), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3770), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268196] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_AT,
    STATE(5553), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2207), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268226] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3981), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3983), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268252] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3342), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3344), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268278] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3764), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3766), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268304] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3802), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3804), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268330] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_extends,
    STATE(6543), 1,
      sym_extends_clause,
    STATE(7107), 1,
      sym_template_body,
    ACTIONS(2864), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2866), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [268362] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6360), 1,
      sym_template_body,
    ACTIONS(3235), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3237), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268392] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3757), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3759), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268418] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3718), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3720), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268444] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3704), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3706), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268470] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3753), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3755), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268496] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3650), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3652), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268522] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3049), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3051), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268548] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3634), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3636), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268574] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3277), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3279), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268600] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3749), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3751), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268626] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6362), 1,
      sym_template_body,
    ACTIONS(3281), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3283), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268656] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3606), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3608), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268682] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(5789), 1,
      anon_sym_AT,
    STATE(10350), 1,
      sym_modifiers,
    STATE(11022), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(5791), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6171), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [268722] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3745), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3747), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268748] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [268774] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym_AT,
    STATE(5488), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2134), 9,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268804] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3588), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3590), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268830] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3584), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3586), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268856] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6196), 1,
      sym_template_body,
    ACTIONS(3074), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3076), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268886] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6374), 1,
      sym_template_body,
    ACTIONS(3315), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3317), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268916] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2554), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [268962] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3737), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3739), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [268988] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2572), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [269034] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3563), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3565), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269060] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3576), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269086] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3733), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3735), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269112] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6380), 1,
      sym_template_body,
    ACTIONS(3251), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3253), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269142] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6192), 1,
      sym_template_body,
    ACTIONS(3092), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3094), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269172] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3729), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3731), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269198] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_extends,
    STATE(6584), 1,
      sym_extends_clause,
    STATE(7092), 1,
      sym_template_body,
    ACTIONS(2791), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2793), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [269230] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7225), 1,
      sym_block,
    STATE(6340), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2805), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2807), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [269260] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3722), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3724), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269286] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2615), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [269332] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6191), 1,
      sym_template_body,
    ACTIONS(3113), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3115), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269362] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2654), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2656), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [269408] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2386), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2388), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [269454] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3523), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3525), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269480] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6443), 1,
      sym_type_parameters,
    STATE(8171), 1,
      sym_block,
    STATE(6413), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2604), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2606), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [269512] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4791), 1,
      anon_sym_extends,
    STATE(6408), 1,
      sym_type_parameters,
    STATE(6866), 1,
      sym_extends_clause,
    STATE(8174), 1,
      sym_template_body,
    ACTIONS(2562), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2564), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [269546] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3513), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269572] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3559), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3561), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269598] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3943), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269624] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3951), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269650] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3700), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3702), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269676] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3497), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3499), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269702] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6426), 1,
      sym_template_body,
    ACTIONS(3424), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3422), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [269730] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6162), 1,
      sym_block,
    ACTIONS(3125), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3123), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [269758] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3696), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3698), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269784] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2400), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2402), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [269830] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3684), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3686), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269856] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2670), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2668), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [269902] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2410), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [269948] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6187), 1,
      sym_template_body,
    ACTIONS(3137), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3139), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [269978] = 15,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2260), 1,
      anon_sym_RBRACE,
    ACTIONS(2262), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    STATE(9756), 1,
      aux_sym__block_repeat1,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6082), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [270028] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3955), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270054] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3676), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3678), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270080] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2468), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2470), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [270126] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270152] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3476), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3478), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270178] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6185), 1,
      sym_template_body,
    ACTIONS(3155), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3157), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270208] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2679), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2677), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [270254] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3455), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3457), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270280] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6181), 1,
      sym_template_body,
    ACTIONS(3190), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3192), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270310] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3468), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3470), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270336] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3664), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3666), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270362] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7478), 1,
      sym_extends_clause,
    STATE(8270), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2318), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2320), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [270400] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3505), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270426] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 9,
      anon_sym_STAR,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270452] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3527), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3529), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270478] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2478), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [270524] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3537), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3539), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270550] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6212), 1,
      sym_block,
    ACTIONS(3203), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3201), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [270578] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2536), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [270624] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6179), 1,
      sym_block,
    ACTIONS(3223), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3221), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [270652] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6228), 1,
      sym_template_body,
    ACTIONS(3174), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3176), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270682] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3602), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3604), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270708] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2600), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2602), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [270754] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3434), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3436), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270780] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3547), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3549), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270806] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6178), 1,
      sym_template_body,
    ACTIONS(3371), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3373), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270836] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_AT,
    STATE(5553), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2134), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270866] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5753), 1,
      anon_sym_LPAREN,
    STATE(5570), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2224), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270896] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3541), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3543), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [270922] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2619), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [270968] = 16,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(2070), 1,
      anon_sym_RPAREN,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6014), 1,
      anon_sym_catch,
    ACTIONS(6089), 1,
      anon_sym_EQ,
    ACTIONS(6091), 1,
      anon_sym_finally,
    STATE(7946), 1,
      sym_type_arguments,
    STATE(7952), 1,
      sym_finally_clause,
    STATE(8303), 1,
      sym_catch_clause,
    ACTIONS(6087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [271020] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3618), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3620), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271046] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3507), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3509), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271072] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2594), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [271118] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3490), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3492), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271144] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6177), 1,
      sym_template_body,
    ACTIONS(3405), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3407), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271174] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3710), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3712), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271200] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6130), 1,
      sym_type_parameters,
    STATE(7989), 1,
      sym_block,
    STATE(6127), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2631), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2633), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [271232] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3741), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3743), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271258] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    ACTIONS(6093), 1,
      anon_sym_else,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2556), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [271304] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3486), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3488), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271330] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6175), 1,
      sym_template_body,
    ACTIONS(3385), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3387), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271360] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271386] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    STATE(5570), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2238), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271416] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2425), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2423), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [271462] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7486), 1,
      sym_extends_clause,
    STATE(8299), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2247), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2249), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [271500] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2578), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [271546] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3474), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271572] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(5965), 1,
      sym_template_body,
    ACTIONS(3319), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3321), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271602] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_STAR,
    ACTIONS(3209), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3207), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [271630] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3786), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3788), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271656] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7489), 1,
      sym_extends_clause,
    STATE(8304), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2243), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2245), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [271694] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6446), 1,
      sym_block,
    ACTIONS(3348), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3346), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [271722] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2398), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2396), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [271768] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(7431), 1,
      aux_sym__block_repeat1,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2262), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6100), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [271816] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3834), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3836), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271842] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_finally,
    STATE(4423), 1,
      sym_finally_clause,
    ACTIONS(3298), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
  [271872] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7493), 1,
      sym_extends_clause,
    STATE(8306), 1,
      sym_template_body,
    STATE(5538), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2232), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2234), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [271910] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271936] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3846), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3848), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [271962] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6166), 1,
      sym_block,
    ACTIONS(3264), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3262), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [271990] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2650), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [272036] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2688), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2686), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [272082] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6389), 1,
      sym_template_body,
    ACTIONS(3290), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3288), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [272110] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2641), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [272156] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2348), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2346), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [272202] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3143), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3145), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272228] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3151), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3153), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272254] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3184), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272280] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2635), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2637), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [272326] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3186), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3188), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272352] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6428), 1,
      sym_template_body,
    ACTIONS(3225), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3227), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272382] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3897), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3899), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272408] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2354), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [272454] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3441), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3443), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272480] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272506] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3553), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272532] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4021), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4023), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272558] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4029), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4031), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272584] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2350), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [272622] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6423), 1,
      sym_template_body,
    ACTIONS(3057), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3059), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272652] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3557), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272678] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6165), 1,
      sym_template_body,
    ACTIONS(3217), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3219), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272708] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6419), 1,
      sym_template_body,
    ACTIONS(3082), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3084), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272738] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2398), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2396), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [272784] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4069), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4071), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272810] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3096), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3098), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272836] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7498), 1,
      sym_extends_clause,
    STATE(8322), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2213), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2215), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [272874] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6399), 1,
      sym_template_body,
    ACTIONS(3103), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3105), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272904] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3449), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3451), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [272930] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2623), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [272976] = 16,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_while,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6014), 1,
      anon_sym_catch,
    ACTIONS(6104), 1,
      anon_sym_EQ,
    ACTIONS(6106), 1,
      anon_sym_finally,
    STATE(7946), 1,
      sym_type_arguments,
    STATE(7952), 1,
      sym_finally_clause,
    STATE(8331), 1,
      sym_catch_clause,
    ACTIONS(6102), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [273028] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6108), 1,
      anon_sym_COMMA,
    STATE(5619), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3011), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3013), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [273058] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4053), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4055), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [273084] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2425), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2423), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [273130] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5720), 1,
      anon_sym_EQ,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2677), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5712), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2679), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [273176] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4049), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4051), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [273202] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2342), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2344), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [273248] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4041), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4043), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [273274] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6111), 1,
      anon_sym_DOT,
    ACTIONS(3379), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3381), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [273302] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3462), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3464), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [273328] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    ACTIONS(6113), 1,
      anon_sym_else,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2556), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [273374] = 15,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2260), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_EQ,
    ACTIONS(5704), 1,
      anon_sym_match,
    STATE(5514), 1,
      sym_type_arguments,
    STATE(8110), 1,
      aux_sym__block_repeat1,
    ACTIONS(5698), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6115), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [273424] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6383), 1,
      sym_arguments,
    ACTIONS(3035), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3033), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [273452] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2650), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [273498] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2668), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2670), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [273544] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5720), 1,
      anon_sym_EQ,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2668), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5712), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2670), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [273590] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2677), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2679), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [273636] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2688), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2686), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [273682] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2662), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [273720] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2658), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [273758] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6117), 1,
      anon_sym_EQ_GT,
    ACTIONS(6119), 1,
      sym__interpolated_string_start,
    ACTIONS(6121), 1,
      sym__interpolated_multiline_string_start,
    STATE(6997), 1,
      sym_interpolated_string,
    ACTIONS(2452), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [273792] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4017), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4019), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [273818] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3515), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3517), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [273844] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3119), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3121), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [273870] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6279), 1,
      sym_template_body,
    ACTIONS(3417), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3415), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [273898] = 16,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(2070), 1,
      anon_sym_RPAREN,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(5870), 1,
      anon_sym_catch,
    ACTIONS(6089), 1,
      anon_sym_EQ,
    ACTIONS(6123), 1,
      anon_sym_finally,
    STATE(7946), 1,
      sym_type_arguments,
    STATE(8653), 1,
      sym_catch_clause,
    STATE(8729), 1,
      sym_finally_clause,
    ACTIONS(6087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [273950] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5877), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [273978] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2441), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [274006] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(6267), 1,
      sym_template_body,
    ACTIONS(3401), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3403), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [274036] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3519), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3521), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [274062] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2578), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2580), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [274088] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6125), 1,
      anon_sym_DOT,
    ACTIONS(2489), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2491), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [274116] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2404), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2406), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [274162] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6127), 1,
      anon_sym_COMMA,
    STATE(5619), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2928), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [274192] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2505), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [274218] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7511), 1,
      sym_extends_clause,
    STATE(8349), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2209), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2211), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [274256] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [274282] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6246), 1,
      sym_template_body,
    ACTIONS(3391), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3389), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [274310] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7515), 1,
      sym_extends_clause,
    STATE(8356), 1,
      sym_template_body,
    STATE(5572), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2191), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2193), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [274348] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2470), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2468), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [274394] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6247), 1,
      sym_block,
    ACTIONS(3246), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3244), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [274422] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2495), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [274468] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2497), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [274514] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2348), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2346), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [274560] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [274586] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7529), 1,
      sym_extends_clause,
    STATE(8397), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2187), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2189), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [274624] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5720), 1,
      anon_sym_EQ,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(6129), 1,
      anon_sym_else,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2556), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2558), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5712), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [274672] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6127), 1,
      anon_sym_COMMA,
    STATE(5651), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2936), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [274702] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2650), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2652), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [274748] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2686), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2688), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [274794] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2346), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2348), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [274840] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7534), 1,
      sym_extends_clause,
    STATE(8409), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2183), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2185), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [274878] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7538), 1,
      sym_extends_clause,
    STATE(8415), 1,
      sym_template_body,
    STATE(5614), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2179), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2181), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [274916] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2354), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2356), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [274962] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2613), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [275008] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2656), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2654), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [275054] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2501), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [275100] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [275126] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2388), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2386), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [275172] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2509), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [275218] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2513), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [275244] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2517), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [275290] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2525), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [275336] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2662), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [275374] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3622), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3624), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [275400] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [275426] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2354), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [275472] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2540), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [275498] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2396), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2398), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [275544] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2398), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2396), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [275590] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3626), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3628), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [275616] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2402), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2400), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [275662] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2425), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2423), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [275708] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2425), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [275754] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3630), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3632), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [275780] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7549), 1,
      sym_extends_clause,
    STATE(8442), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2145), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2147), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [275818] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3638), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3640), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [275844] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3159), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3161), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [275870] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5212), 1,
      anon_sym_finally,
    STATE(4423), 1,
      sym_finally_clause,
    ACTIONS(3298), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
  [275900] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4791), 1,
      anon_sym_extends,
    STATE(6131), 1,
      sym_type_parameters,
    STATE(6945), 1,
      sym_extends_clause,
    STATE(7991), 1,
      sym_template_body,
    ACTIONS(2625), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2627), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [275934] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3672), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3674), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [275960] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3891), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [275986] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2410), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2408), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [276032] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2354), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [276078] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3680), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3682), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [276104] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [276130] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [276156] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_DOT,
    ACTIONS(2489), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2491), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [276184] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3688), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3690), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [276210] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5992), 1,
      sym__interpolated_string_start,
    ACTIONS(5994), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(6133), 1,
      anon_sym_EQ_GT,
    STATE(5527), 1,
      sym_interpolated_string,
    ACTIONS(2454), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2452), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [276244] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [276270] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2544), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [276316] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7576), 1,
      sym_extends_clause,
    STATE(8319), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2226), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2228), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [276354] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7579), 1,
      sym_extends_clause,
    STATE(8473), 1,
      sym_template_body,
    STATE(5663), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2253), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2255), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [276392] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4567), 1,
      anon_sym_with,
    STATE(3543), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4565), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [276424] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2476), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [276470] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3869), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3871), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [276496] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6135), 1,
      anon_sym_with,
    STATE(5715), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2482), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [276526] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6138), 1,
      anon_sym_with,
    STATE(5729), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [276556] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2566), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2568), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [276602] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2505), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [276628] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2596), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2598), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [276674] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [276700] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6050), 1,
      sym__interpolated_string_start,
    ACTIONS(6052), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(6140), 1,
      anon_sym_EQ_GT,
    STATE(6444), 1,
      sym_interpolated_string,
    ACTIONS(2454), 6,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2452), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [276734] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9859), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [276778] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2536), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2534), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [276824] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3692), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3694), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [276850] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2513), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [276876] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2544), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2542), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [276922] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2602), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2600), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [276968] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7594), 1,
      sym_extends_clause,
    STATE(8488), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2264), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2266), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [277006] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6138), 1,
      anon_sym_with,
    STATE(5715), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2435), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [277036] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_with,
    STATE(3544), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4612), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [277068] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2619), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2617), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [277114] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2540), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [277140] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2592), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [277186] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2578), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [277232] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [277258] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7604), 1,
      sym_extends_clause,
    STATE(8504), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2268), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2270), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [277296] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9739), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [277340] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2641), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2639), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [277386] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2637), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2635), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [277432] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6138), 1,
      anon_sym_with,
    STATE(5729), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6150), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2380), 7,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [277466] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7610), 1,
      sym_extends_clause,
    STATE(8517), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2272), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2274), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [277504] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2645), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2643), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [277550] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7613), 1,
      sym_extends_clause,
    STATE(8540), 1,
      sym_template_body,
    STATE(5693), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2276), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2278), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [277588] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2623), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2621), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [277634] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2344), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2342), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [277680] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2554), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2552), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [277726] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2572), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2570), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [277772] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9792), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [277816] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [277842] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2679), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2677), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [277888] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3592), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3594), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [277914] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2670), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2668), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [277960] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2596), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [278006] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2406), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2404), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [278052] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2568), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2566), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [278098] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2501), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [278144] = 16,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_EQ_GT,
    ACTIONS(6154), 1,
      anon_sym_DOT,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_EQ,
    ACTIONS(6162), 1,
      anon_sym_LPAREN,
    ACTIONS(6164), 1,
      anon_sym_match,
    ACTIONS(6166), 1,
      anon_sym_catch,
    ACTIONS(6168), 1,
      anon_sym_finally,
    STATE(8321), 1,
      sym_catch_clause,
    STATE(8753), 1,
      sym_finally_clause,
    STATE(8774), 1,
      sym_type_arguments,
    ACTIONS(6152), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8784), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [278196] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5758), 1,
      aux_sym__block_repeat1,
    ACTIONS(6170), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 6,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2580), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [278226] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6173), 1,
      anon_sym_EQ,
    ACTIONS(3166), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3168), 8,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [278256] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6175), 1,
      anon_sym_EQ,
    ACTIONS(3178), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3180), 8,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [278286] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5758), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [278314] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [278340] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2350), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [278378] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [278404] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9823), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [278448] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2464), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2462), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [278494] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2462), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2464), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [278540] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9704), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [278584] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6179), 1,
      anon_sym_with,
    STATE(5868), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6177), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2380), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [278618] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9729), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [278662] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9748), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [278706] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9794), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [278750] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5720), 1,
      anon_sym_EQ,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2423), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5712), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2425), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [278796] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2499), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [278842] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2509), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2507), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [278888] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9856), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [278932] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2515), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [278978] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5720), 1,
      anon_sym_EQ,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2396), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5712), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2398), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [279024] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2525), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2523), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [279070] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2525), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2523), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [279116] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9797), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [279160] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2515), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [279206] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9782), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [279250] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9751), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [279294] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9727), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [279338] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9766), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [279382] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5720), 1,
      anon_sym_EQ,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2354), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5712), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2356), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [279428] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2509), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2507), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [279474] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9886), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [279518] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2474), 9,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [279544] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9806), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [279588] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9708), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [279632] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5720), 1,
      anon_sym_EQ,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2346), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5712), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2348), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [279678] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2499), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [279724] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5720), 1,
      anon_sym_EQ,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2686), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5712), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2688), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [279770] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5720), 1,
      anon_sym_EQ,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2650), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5712), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2652), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [279816] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9883), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [279860] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9750), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [279904] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2495), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [279950] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2464), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2462), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [279996] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9764), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [280040] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [280066] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 12,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [280092] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2544), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2542), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [280138] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2406), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2404), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [280184] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9891), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [280228] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9814), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [280272] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9723), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [280316] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9736), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [280360] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2568), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2566), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [280406] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2596), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [280452] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9703), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [280496] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2344), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2342), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [280542] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5770), 1,
      anon_sym_AT,
    STATE(5488), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2207), 9,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [280572] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2623), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2621), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [280618] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2637), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2635), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [280664] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9804), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [280708] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2641), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2639), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [280754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5605), 1,
      anon_sym_LPAREN,
    STATE(5848), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
    ACTIONS(2224), 12,
      anon_sym__,
      anon_sym_val,
      anon_sym_var,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [280784] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7665), 1,
      sym_extends_clause,
    STATE(8523), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2288), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2290), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [280822] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2592), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [280868] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2619), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2617), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [280914] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2348), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2346), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [280960] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7668), 1,
      sym_extends_clause,
    STATE(8519), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2322), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2324), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [280998] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2602), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2600), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [281044] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7671), 1,
      sym_extends_clause,
    STATE(8514), 1,
      sym_template_body,
    STATE(5728), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2312), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2314), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [281082] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2688), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2686), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [281128] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9831), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [281172] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9858), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [281216] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9884), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [281260] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9908), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [281304] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7676), 1,
      sym_extends_clause,
    STATE(8510), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2308), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2310), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [281342] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9878), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [281386] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2536), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2534), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [281432] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9839), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [281476] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9755), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [281520] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7679), 1,
      sym_extends_clause,
    STATE(8508), 1,
      sym_template_body,
    STATE(5736), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2304), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2306), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [281558] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2476), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [281604] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2470), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2468), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [281650] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2410), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2408), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [281696] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9778), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [281740] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [281766] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    STATE(7454), 1,
      aux_sym__block_repeat1,
    ACTIONS(2260), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6185), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [281814] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9771), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [281858] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [281884] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2402), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2400), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [281930] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9757), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [281974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6187), 1,
      anon_sym_LPAREN,
    STATE(5848), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
    ACTIONS(2238), 12,
      anon_sym__,
      anon_sym_val,
      anon_sym_var,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [282004] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    STATE(7980), 1,
      aux_sym__block_repeat1,
    ACTIONS(2262), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6194), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [282052] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2388), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2386), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [282098] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6196), 1,
      anon_sym_with,
    STATE(5851), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2482), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [282128] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9753), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [282172] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_with,
    STATE(5868), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [282202] = 16,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_EQ_GT,
    ACTIONS(6154), 1,
      anon_sym_DOT,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_EQ,
    ACTIONS(6162), 1,
      anon_sym_LPAREN,
    ACTIONS(6164), 1,
      anon_sym_match,
    ACTIONS(6199), 1,
      anon_sym_catch,
    ACTIONS(6201), 1,
      anon_sym_finally,
    STATE(8659), 1,
      sym_catch_clause,
    STATE(8774), 1,
      sym_type_arguments,
    STATE(9085), 1,
      sym_finally_clause,
    ACTIONS(6152), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8784), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [282254] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2656), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2654), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [282300] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3816), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [282326] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [282352] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9749), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [282396] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9740), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [282440] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_else,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(5779), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(5777), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2613), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [282486] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2596), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2598), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [282532] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2566), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2568), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [282578] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9720), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [282622] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9718), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [282666] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9709), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [282710] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2544), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [282756] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9707), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [282800] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_with,
    STATE(5851), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2435), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [282830] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7727), 1,
      sym_extends_clause,
    STATE(8460), 1,
      sym_template_body,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2300), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2302), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [282868] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9710), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [282912] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9721), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [282956] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    ACTIONS(5220), 1,
      anon_sym_extends,
    ACTIONS(5222), 1,
      anon_sym_LPAREN,
    STATE(7737), 1,
      sym_extends_clause,
    STATE(8450), 1,
      sym_template_body,
    STATE(5820), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2292), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2294), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [282994] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9726), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [283038] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9730), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [283082] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3812), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [283108] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9733), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [283152] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5877), 1,
      aux_sym__block_repeat1,
    ACTIONS(6203), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 6,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2580), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [283182] = 16,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_while,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(5870), 1,
      anon_sym_catch,
    ACTIONS(6104), 1,
      anon_sym_EQ,
    ACTIONS(6206), 1,
      anon_sym_finally,
    STATE(7946), 1,
      sym_type_arguments,
    STATE(8700), 1,
      sym_catch_clause,
    STATE(8729), 1,
      sym_finally_clause,
    ACTIONS(6102), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [283234] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5635), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 6,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [283264] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2572), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2570), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [283310] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9735), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [283354] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2650), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2652), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [283400] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2525), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [283446] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2517), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [283492] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9737), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [283536] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2509), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [283582] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2686), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2688), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [283628] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9738), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [283672] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9741), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [283716] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9742), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [283760] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9743), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [283804] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9744), 2,
      sym__type,
      sym_function_type,
    STATE(10618), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [283848] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2578), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2580), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [283894] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2497), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [283940] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2462), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2464), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [283986] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2404), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2406), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [284032] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3646), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [284058] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [284084] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2554), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2552), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [284130] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5732), 1,
      sym__interpolated_string_start,
    ACTIONS(5734), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(6208), 1,
      anon_sym_EQ_GT,
    STATE(5118), 1,
      sym_interpolated_string,
    ACTIONS(2452), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [284164] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2346), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2348), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [284210] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2643), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2645), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [284256] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2554), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [284302] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2645), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2643), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [284348] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2572), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [284394] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2677), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2679), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [284440] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2668), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2670), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [284486] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3820), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [284512] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2578), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [284558] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2623), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [284604] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2635), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2637), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [284650] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_case,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2650), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [284696] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2645), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2643), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [284742] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    STATE(7770), 1,
      aux_sym__block_repeat1,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2260), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [284788] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2554), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2552), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [284834] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2570), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [284880] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2641), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [284926] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2594), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [284972] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2596), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285018] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2568), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2566), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285064] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2619), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [285110] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2544), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2542), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285156] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2525), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2523), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285202] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2515), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285248] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2509), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2507), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285294] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2578), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2580), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [285340] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2499), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285386] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2600), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2602), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [285432] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2495), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285478] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2536), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [285524] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2464), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2462), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285570] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [285596] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2406), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2404), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285642] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2478), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [285688] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2344), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2342), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285734] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2621), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285780] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2635), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285826] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2641), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2639), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285872] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2592), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285918] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2619), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2617), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285964] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2602), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2600), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [286010] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2536), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2534), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [286056] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2476), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [286102] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2470), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2468), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [286148] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2410), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2408), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [286194] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2402), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2400), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [286240] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2468), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2470), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [286286] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2388), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2386), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [286332] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2656), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2654), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [286378] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2441), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [286406] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_if,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(5888), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5884), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2613), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [286452] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2410), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [286498] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    STATE(7359), 1,
      aux_sym__block_repeat1,
    ACTIONS(2260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2262), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [286546] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2400), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2402), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [286592] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2386), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2388), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [286638] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2654), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2656), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [286684] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2615), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [286730] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    ACTIONS(5235), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_match,
    ACTIONS(5673), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(2342), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5671), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2344), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(5108), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [286776] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2396), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2398), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [286822] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [286848] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 9,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [286874] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2354), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2356), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [286920] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_DOT,
    ACTIONS(5641), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      anon_sym_EQ,
    ACTIONS(5647), 1,
      anon_sym_LPAREN,
    ACTIONS(5649), 1,
      anon_sym_match,
    STATE(7660), 1,
      sym_type_arguments,
    ACTIONS(2423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5637), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2425), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(7659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [286966] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [286991] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3682), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3680), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [287016] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(2677), 1,
      anon_sym_RPAREN,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5945), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5943), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2679), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [287061] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2613), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [287104] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 1,
      sym_identifier,
    ACTIONS(6212), 1,
      anon_sym_EQ_GT,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    STATE(3913), 1,
      sym__annotated_type,
    STATE(11481), 1,
      sym_parameter_types,
    STATE(11482), 1,
      sym_stable_identifier,
    STATE(4361), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5292), 2,
      sym__type,
      sym_function_type,
    STATE(5415), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(3267), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [287145] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6216), 1,
      anon_sym_EQ,
    ACTIONS(3180), 7,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3178), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [287174] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2654), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [287217] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2386), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [287260] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2544), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [287305] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2400), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [287348] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8462), 1,
      sym_extends_clause,
    STATE(8606), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2226), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2228), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [287385] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2408), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [287428] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8474), 1,
      sym_extends_clause,
    STATE(8592), 1,
      sym_template_body,
    STATE(6064), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2253), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2255), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [287465] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2566), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2568), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [287510] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 1,
      sym_identifier,
    ACTIONS(6220), 1,
      anon_sym_EQ_GT,
    ACTIONS(6222), 1,
      anon_sym_LPAREN,
    STATE(1466), 1,
      sym__annotated_type,
    STATE(11391), 1,
      sym_parameter_types,
    STATE(11397), 1,
      sym_stable_identifier,
    STATE(1913), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2298), 2,
      sym__type,
      sym_function_type,
    STATE(2799), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(1090), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [287551] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2468), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [287594] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2476), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [287637] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2596), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2598), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [287682] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2534), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [287725] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2668), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2670), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [287770] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2600), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [287813] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2617), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [287856] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2677), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2679), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [287901] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2639), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [287944] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(2558), 1,
      anon_sym_EQ_GT,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    ACTIONS(6224), 1,
      anon_sym_else,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [287991] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2635), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288034] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2621), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288077] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2572), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [288122] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2342), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288165] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2404), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288208] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2554), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [288253] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2462), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288296] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3257), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3255), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288321] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2643), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2645), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [288366] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2495), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288409] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym_identifier,
    ACTIONS(6228), 1,
      anon_sym_EQ_GT,
    ACTIONS(6230), 1,
      anon_sym_LPAREN,
    STATE(6164), 1,
      sym__annotated_type,
    STATE(11468), 1,
      sym_parameter_types,
    STATE(11470), 1,
      sym_stable_identifier,
    STATE(6885), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8081), 2,
      sym__type,
      sym_function_type,
    STATE(8275), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(4064), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [288450] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2499), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288493] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2507), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288536] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5992), 1,
      sym__interpolated_string_start,
    ACTIONS(5994), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(6232), 1,
      anon_sym_EQ_GT,
    STATE(5527), 1,
      sym_interpolated_string,
    ACTIONS(2452), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [288569] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2515), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288612] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2523), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288655] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2542), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288698] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2566), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288741] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2596), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288784] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2570), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288827] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2552), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288870] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2578), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2580), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [288915] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8516), 1,
      sym_extends_clause,
    STATE(8565), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2264), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2266), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [288952] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6234), 1,
      anon_sym_EQ,
    ACTIONS(3168), 7,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3166), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288981] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5821), 1,
      anon_sym_EQ,
    ACTIONS(6236), 1,
      anon_sym_else,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5819), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2558), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [289026] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 1,
      sym_identifier,
    ACTIONS(6240), 1,
      anon_sym_EQ_GT,
    ACTIONS(6242), 1,
      anon_sym_LPAREN,
    STATE(8351), 1,
      sym__annotated_type,
    STATE(11411), 1,
      sym_parameter_types,
    STATE(11524), 1,
      sym_stable_identifier,
    STATE(8866), 2,
      sym__type,
      sym_function_type,
    STATE(9037), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9161), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(4781), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [289067] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8372), 1,
      sym_extends_clause,
    STATE(8663), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2145), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2147), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [289104] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2643), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [289147] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2650), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [289190] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2686), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [289233] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2346), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [289276] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_COLON,
    ACTIONS(5918), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    ACTIONS(5922), 1,
      anon_sym_match,
    STATE(8459), 1,
      sym_type_arguments,
    ACTIONS(5910), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2652), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [289319] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2354), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [289362] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2750), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2748), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [289387] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_COLON,
    ACTIONS(5918), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    ACTIONS(5922), 1,
      anon_sym_match,
    STATE(8459), 1,
      sym_type_arguments,
    ACTIONS(5910), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2688), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [289430] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_COLON,
    ACTIONS(5918), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    ACTIONS(5922), 1,
      anon_sym_match,
    STATE(8459), 1,
      sym_type_arguments,
    ACTIONS(5910), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2348), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [289473] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8538), 1,
      sym_extends_clause,
    STATE(8555), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2268), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2270), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [289510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3121), 17,
      anon_sym_object,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [289533] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym_identifier,
    ACTIONS(6246), 1,
      anon_sym_EQ_GT,
    ACTIONS(6248), 1,
      anon_sym_LPAREN,
    STATE(1987), 1,
      sym__annotated_type,
    STATE(11461), 1,
      sym_parameter_types,
    STATE(11462), 1,
      sym_stable_identifier,
    STATE(2707), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2913), 2,
      sym__type,
      sym_function_type,
    STATE(3069), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(1418), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [289574] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8552), 1,
      sym_extends_clause,
    STATE(8561), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2272), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2274), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [289611] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2396), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [289654] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8505), 1,
      sym_extends_clause,
    STATE(8573), 1,
      sym_template_body,
    STATE(6015), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2276), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2278), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [289691] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2578), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [289734] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2423), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [289777] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_COLON,
    ACTIONS(5918), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    ACTIONS(5922), 1,
      anon_sym_match,
    STATE(8459), 1,
      sym_type_arguments,
    ACTIONS(5910), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2356), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [289820] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6050), 1,
      sym__interpolated_string_start,
    ACTIONS(6052), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(6250), 1,
      anon_sym_EQ_GT,
    STATE(6444), 1,
      sym_interpolated_string,
    ACTIONS(2454), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2452), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [289853] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_COLON,
    ACTIONS(5918), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    ACTIONS(5922), 1,
      anon_sym_match,
    STATE(8459), 1,
      sym_type_arguments,
    ACTIONS(5910), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2398), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [289896] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_COLON,
    ACTIONS(5918), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    ACTIONS(5922), 1,
      anon_sym_match,
    STATE(8459), 1,
      sym_type_arguments,
    ACTIONS(5910), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2425), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [289939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6252), 1,
      anon_sym_AT,
    ACTIONS(2132), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(6037), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2134), 12,
      anon_sym__,
      anon_sym_val,
      anon_sym_var,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [289968] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 1,
      sym_identifier,
    ACTIONS(6257), 1,
      anon_sym_EQ_GT,
    ACTIONS(6259), 1,
      anon_sym_LPAREN,
    STATE(1682), 1,
      sym__annotated_type,
    STATE(11490), 1,
      sym_stable_identifier,
    STATE(11492), 1,
      sym_parameter_types,
    STATE(2364), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2572), 2,
      sym__type,
      sym_function_type,
    STATE(2927), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(1183), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [290009] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2468), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2470), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [290054] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2441), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [290081] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2936), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [290108] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2509), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [290153] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5220), 1,
      anon_sym_extends,
    STATE(6790), 1,
      sym_type_parameters,
    STATE(7812), 1,
      sym_extends_clause,
    STATE(8385), 1,
      sym_template_body,
    ACTIONS(2562), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2564), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [290186] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2262), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8204), 1,
      aux_sym__block_repeat1,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6275), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [290233] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6782), 1,
      sym_type_parameters,
    STATE(8402), 1,
      sym_block,
    STATE(6780), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2604), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2606), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [290264] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2350), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [290301] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6283), 1,
      anon_sym_COMMA,
    STATE(6295), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2928), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [290330] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6285), 1,
      anon_sym_LBRACK,
    ACTIONS(6287), 1,
      anon_sym_LPAREN,
    ACTIONS(6289), 1,
      anon_sym_POUND,
    STATE(7374), 1,
      sym_type_arguments,
    STATE(7375), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [290365] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6283), 1,
      anon_sym_COMMA,
    STATE(6047), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2936), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [290394] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2501), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [290439] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8347), 1,
      sym_extends_clause,
    STATE(8675), 1,
      sym_template_body,
    STATE(6232), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2179), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2181), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [290476] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8344), 1,
      sym_extends_clause,
    STATE(8680), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2183), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2185), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [290513] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2497), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [290558] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2730), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [290583] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6291), 1,
      anon_sym_EQ,
    ACTIONS(3180), 7,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3178), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [290612] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6293), 1,
      anon_sym_EQ,
    ACTIONS(3168), 7,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3166), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [290641] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 1,
      sym_identifier,
    ACTIONS(6297), 1,
      anon_sym_EQ_GT,
    ACTIONS(6299), 1,
      anon_sym_LPAREN,
    STATE(7190), 1,
      sym__annotated_type,
    STATE(11378), 1,
      sym_parameter_types,
    STATE(11503), 1,
      sym_stable_identifier,
    STATE(8246), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8257), 2,
      sym__type,
      sym_function_type,
    STATE(8744), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(3948), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [290682] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2462), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2464), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [290727] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6301), 1,
      sym_identifier,
    ACTIONS(6303), 1,
      anon_sym_EQ_GT,
    ACTIONS(6305), 1,
      anon_sym_LPAREN,
    STATE(1817), 1,
      sym__annotated_type,
    STATE(11361), 1,
      sym_stable_identifier,
    STATE(11454), 1,
      sym_parameter_types,
    STATE(2258), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2824), 2,
      sym__type,
      sym_function_type,
    STATE(2873), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(1258), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [290768] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(3999), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(2928), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [290795] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2404), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2406), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [290840] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_finally,
    STATE(5407), 1,
      sym_finally_clause,
    ACTIONS(3300), 7,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3298), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [290869] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2342), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [290914] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8325), 1,
      sym_extends_clause,
    STATE(8697), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2187), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2189), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [290951] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 1,
      sym_identifier,
    ACTIONS(6242), 1,
      anon_sym_LPAREN,
    ACTIONS(6307), 1,
      anon_sym_EQ_GT,
    STATE(6788), 1,
      sym__annotated_type,
    STATE(11524), 1,
      sym_stable_identifier,
    STATE(11604), 1,
      sym_parameter_types,
    STATE(7800), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8263), 2,
      sym__type,
      sym_function_type,
    STATE(8749), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(4781), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [290992] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2558), 1,
      anon_sym_while,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    ACTIONS(6309), 1,
      anon_sym_else,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [291039] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2623), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [291084] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7888), 1,
      sym_block,
    STATE(6579), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2805), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2807), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [291113] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2635), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2637), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [291158] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5220), 1,
      anon_sym_extends,
    STATE(6735), 1,
      sym_type_parameters,
    STATE(7687), 1,
      sym_extends_clause,
    STATE(8499), 1,
      sym_template_body,
    ACTIONS(2412), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2414), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [291191] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3820), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3818), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [291216] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2776), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2774), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [291241] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6696), 1,
      sym_type_parameters,
    STATE(8503), 1,
      sym_block,
    STATE(6729), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2416), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2418), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [291272] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2441), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [291299] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3816), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3814), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [291324] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2757), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2755), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [291349] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 1,
      sym_identifier,
    ACTIONS(6299), 1,
      anon_sym_LPAREN,
    ACTIONS(6311), 1,
      anon_sym_EQ_GT,
    STATE(5740), 1,
      sym__annotated_type,
    STATE(11503), 1,
      sym_stable_identifier,
    STATE(11508), 1,
      sym_parameter_types,
    STATE(6717), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6957), 2,
      sym__type,
      sym_function_type,
    STATE(7983), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(3948), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [291390] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3646), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3644), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [291415] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2662), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [291452] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2641), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [291497] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2594), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [291542] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2619), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [291587] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4673), 1,
      anon_sym_finally,
    STATE(5407), 1,
      sym_finally_clause,
    ACTIONS(3300), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3298), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [291616] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2658), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [291653] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2580), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2578), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [291678] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8247), 1,
      sym_extends_clause,
    STATE(8769), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2288), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2290), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [291715] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6124), 1,
      aux_sym__block_repeat1,
    ACTIONS(5599), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2262), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [291744] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2525), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [291789] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8234), 1,
      sym_extends_clause,
    STATE(8656), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2322), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2324), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [291826] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3055), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3053), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [291851] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8228), 1,
      sym_extends_clause,
    STATE(8780), 1,
      sym_template_body,
    STATE(6011), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2312), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2314), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [291888] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2600), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2602), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [291933] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6313), 1,
      sym_identifier,
    ACTIONS(6315), 1,
      anon_sym_EQ_GT,
    ACTIONS(6317), 1,
      anon_sym_LPAREN,
    STATE(3485), 1,
      sym__annotated_type,
    STATE(11451), 1,
      sym_parameter_types,
    STATE(11452), 1,
      sym_stable_identifier,
    STATE(3895), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4202), 2,
      sym__type,
      sym_function_type,
    STATE(4355), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(3201), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [291974] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8224), 1,
      sym_extends_clause,
    STATE(8804), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2308), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2310), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [292011] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2536), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [292056] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5821), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5819), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2425), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [292099] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8273), 1,
      sym_extends_clause,
    STATE(8733), 1,
      sym_template_body,
    STATE(6304), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2191), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2193), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [292136] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2478), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [292181] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8215), 1,
      sym_extends_clause,
    STATE(8820), 1,
      sym_template_body,
    STATE(6025), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2304), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2306), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [292218] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5821), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5819), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2398), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [292261] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2410), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [292306] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2400), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2402), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [292351] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2386), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [292396] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2654), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2656), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [292441] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2643), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2645), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [292486] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_EQ_GT,
    ACTIONS(6321), 1,
      sym__interpolated_string_start,
    ACTIONS(6323), 1,
      sym__interpolated_multiline_string_start,
    STATE(7925), 1,
      sym_interpolated_string,
    ACTIONS(2452), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2454), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [292519] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6114), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [292546] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6325), 1,
      sym_identifier,
    ACTIONS(6327), 1,
      anon_sym_EQ_GT,
    ACTIONS(6329), 1,
      anon_sym_LPAREN,
    STATE(1136), 1,
      sym__annotated_type,
    STATE(11366), 1,
      sym_parameter_types,
    STATE(11379), 1,
      sym_stable_identifier,
    STATE(1472), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1721), 2,
      sym__type,
      sym_function_type,
    STATE(2141), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(1058), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [292587] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5821), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5819), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2356), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [292630] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6331), 1,
      anon_sym_EQ,
    ACTIONS(3180), 7,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3178), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [292659] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2615), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [292704] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6333), 1,
      anon_sym_EQ,
    ACTIONS(3168), 7,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3166), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [292733] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2554), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [292778] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6114), 1,
      aux_sym__block_repeat1,
    ACTIONS(6335), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 6,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2580), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [292807] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5821), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5819), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2348), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [292850] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8267), 1,
      sym_extends_clause,
    STATE(8739), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2209), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2211), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [292887] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5821), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5819), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2688), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [292930] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5821), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5819), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2652), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [292973] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2260), 1,
      anon_sym_RPAREN,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    STATE(8338), 1,
      aux_sym__block_repeat1,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6338), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [293020] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2572), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [293065] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(2668), 1,
      anon_sym_RPAREN,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5945), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5943), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2670), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [293110] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5220), 1,
      anon_sym_extends,
    STATE(6691), 1,
      sym_type_parameters,
    STATE(7624), 1,
      sym_extends_clause,
    STATE(8471), 1,
      sym_template_body,
    ACTIONS(2625), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2627), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [293143] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6688), 1,
      sym_type_parameters,
    STATE(8545), 1,
      sym_block,
    STATE(6683), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2631), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2633), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [293174] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6235), 1,
      aux_sym__block_repeat1,
    ACTIONS(6340), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(607), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [293203] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2578), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2580), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [293248] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_COLON,
    ACTIONS(5918), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    ACTIONS(5922), 1,
      anon_sym_match,
    ACTIONS(6342), 1,
      anon_sym_else,
    STATE(8459), 1,
      sym_type_arguments,
    ACTIONS(5910), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2558), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [293293] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7931), 1,
      sym_block,
    STATE(6579), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2880), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2882), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [293322] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      sym_identifier,
    ACTIONS(6346), 1,
      anon_sym_EQ_GT,
    ACTIONS(6348), 1,
      anon_sym_LPAREN,
    STATE(5276), 1,
      sym__annotated_type,
    STATE(11442), 1,
      sym_parameter_types,
    STATE(11444), 1,
      sym_stable_identifier,
    STATE(6429), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6721), 2,
      sym__type,
      sym_function_type,
    STATE(6954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(3781), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [293363] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(2556), 1,
      anon_sym_RPAREN,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5945), 1,
      anon_sym_EQ,
    ACTIONS(6350), 1,
      anon_sym_else,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2558), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5943), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [293410] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7932), 1,
      sym_block,
    STATE(6068), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2874), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2876), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [293439] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4791), 1,
      anon_sym_extends,
    STATE(6991), 1,
      sym_extends_clause,
    STATE(7937), 1,
      sym_template_body,
    ACTIONS(2801), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2803), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [293470] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_with,
    STATE(3632), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4713), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [293501] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8237), 1,
      sym_extends_clause,
    STATE(8767), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2300), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2302), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [293538] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(6352), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [293581] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8254), 1,
      sym_extends_clause,
    STATE(8743), 1,
      sym_template_body,
    STATE(6086), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2292), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2294), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [293618] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7941), 1,
      sym_block,
    STATE(6579), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2797), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2799), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [293647] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [293672] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2454), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2452), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [293697] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4677), 1,
      anon_sym_with,
    STATE(3606), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4675), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [293728] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6356), 1,
      anon_sym_with,
    STATE(6160), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6354), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2380), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [293761] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    STATE(8459), 1,
      sym_type_arguments,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [293796] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2260), 1,
      anon_sym_RBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5807), 1,
      anon_sym_EQ,
    ACTIONS(5809), 1,
      anon_sym_match,
    STATE(6437), 1,
      sym_type_arguments,
    STATE(9994), 1,
      aux_sym__block_repeat1,
    ACTIONS(5803), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6358), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [293843] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    STATE(8459), 1,
      sym_type_arguments,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [293878] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6144), 1,
      aux_sym__block_repeat1,
    ACTIONS(6360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 6,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2580), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [293907] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(2558), 1,
      anon_sym_EQ_GT,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    ACTIONS(6363), 1,
      anon_sym_else,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [293954] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_COLON,
    ACTIONS(5918), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    ACTIONS(5922), 1,
      anon_sym_match,
    STATE(8459), 1,
      sym_type_arguments,
    ACTIONS(5910), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2679), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [293997] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_COLON,
    ACTIONS(5918), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    ACTIONS(5922), 1,
      anon_sym_match,
    STATE(8459), 1,
      sym_type_arguments,
    ACTIONS(5910), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2670), 4,
      anon_sym_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [294040] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6059), 1,
      sym__interpolated_string_start,
    ACTIONS(6061), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(6365), 1,
      anon_sym_EQ_GT,
    STATE(6910), 1,
      sym_interpolated_string,
    ACTIONS(2452), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [294073] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5243), 1,
      anon_sym_finally,
    STATE(5035), 1,
      sym_finally_clause,
    ACTIONS(3300), 7,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3298), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294102] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6367), 1,
      anon_sym_with,
    STATE(6150), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2482), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [294131] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5821), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5819), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2679), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [294174] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6356), 1,
      anon_sym_with,
    STATE(6160), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [294203] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5821), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5819), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2670), 4,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [294246] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4035), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4033), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294271] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_with,
    STATE(3588), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(4703), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [294302] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2677), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2679), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5856), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [294347] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2668), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5856), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [294392] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6144), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [294419] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2730), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [294444] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6356), 1,
      anon_sym_with,
    STATE(6150), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2435), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [294473] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2262), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    STATE(8341), 1,
      aux_sym__block_repeat1,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6374), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [294520] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3474), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3472), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294545] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3856), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3854), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294570] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6378), 1,
      anon_sym_with,
    STATE(6206), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6376), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2380), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_while,
  [294603] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3694), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3692), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294628] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3690), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3688), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294653] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2668), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294696] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2677), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294739] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3883), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3881), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294764] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3887), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3885), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294789] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(6380), 1,
      sym_identifier,
    STATE(10796), 1,
      sym_modifiers,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(6382), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4814), 2,
      sym_access_modifier,
      aux_sym_modifiers_repeat1,
    STATE(6037), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [294826] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6183), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(6181), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2592), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294869] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3895), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3893), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294894] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4031), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4029), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294919] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3674), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3672), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294944] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3640), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3638), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294969] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3632), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3630), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294994] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3628), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3626), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295019] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3624), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3622), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295044] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    STATE(8459), 1,
      sym_type_arguments,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [295079] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3594), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3592), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295104] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_with,
    STATE(6182), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2482), 9,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [295133] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3521), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3519), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295158] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6378), 1,
      anon_sym_with,
    STATE(6206), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 9,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [295187] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3517), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3515), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295212] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3464), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3462), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295237] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3451), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3449), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295262] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6313), 1,
      sym_identifier,
    ACTIONS(6317), 1,
      anon_sym_LPAREN,
    ACTIONS(6387), 1,
      anon_sym_EQ_GT,
    STATE(5712), 1,
      sym__annotated_type,
    STATE(11327), 1,
      sym_parameter_types,
    STATE(11452), 1,
      sym_stable_identifier,
    STATE(6481), 2,
      sym__type,
      sym_function_type,
    STATE(6698), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6978), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(3201), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [295303] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3443), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3441), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295328] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3604), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3602), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295353] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3488), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3486), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295378] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3492), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3490), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295403] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7993), 1,
      sym_block,
    STATE(6579), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2744), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2746), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [295432] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3509), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3507), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295457] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4019), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4017), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295482] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3543), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3541), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295507] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6389), 1,
      anon_sym_DOT,
    ACTIONS(3379), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3381), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [295534] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3666), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3664), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295559] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 1,
      sym_identifier,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6391), 1,
      anon_sym_EQ_GT,
    STATE(6685), 1,
      sym__annotated_type,
    STATE(11324), 1,
      sym_parameter_types,
    STATE(11482), 1,
      sym_stable_identifier,
    STATE(7622), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7904), 2,
      sym__type,
      sym_function_type,
    STATE(8365), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(3267), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [295600] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3670), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3668), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295625] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3678), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3676), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295650] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3557), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3555), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295675] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3553), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3551), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295700] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3072), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3070), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295725] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4043), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4041), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295750] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6378), 1,
      anon_sym_with,
    STATE(6182), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2435), 9,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [295779] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      sym_identifier,
    ACTIONS(6395), 1,
      anon_sym_EQ_GT,
    ACTIONS(6397), 1,
      anon_sym_LPAREN,
    STATE(6155), 1,
      sym__annotated_type,
    STATE(11318), 1,
      sym_parameter_types,
    STATE(11537), 1,
      sym_stable_identifier,
    STATE(7045), 2,
      sym__type,
      sym_function_type,
    STATE(7078), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7712), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(3203), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [295820] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3686), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3684), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295845] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3698), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3696), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295870] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3702), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3700), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295895] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2423), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2425), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5856), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [295940] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3598), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3596), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295965] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4051), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4049), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295990] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5971), 1,
      anon_sym_AT,
    STATE(6282), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2207), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [296019] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4055), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4053), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296044] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2396), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2398), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5856), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [296089] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4071), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4069), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296114] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7994), 1,
      sym_block,
    STATE(6136), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2764), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2766), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [296143] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6399), 1,
      sym_identifier,
    ACTIONS(6401), 1,
      anon_sym_EQ_GT,
    ACTIONS(6403), 1,
      anon_sym_LPAREN,
    STATE(2270), 1,
      sym__annotated_type,
    STATE(11577), 1,
      sym_stable_identifier,
    STATE(11591), 1,
      sym_parameter_types,
    STATE(2925), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3072), 2,
      sym__type,
      sym_function_type,
    STATE(3146), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(1495), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [296184] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3724), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3722), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296209] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2346), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2348), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5856), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [296254] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 1,
      sym_identifier,
    ACTIONS(6407), 1,
      anon_sym_EQ_GT,
    ACTIONS(6409), 1,
      anon_sym_LPAREN,
    STATE(1334), 1,
      sym__annotated_type,
    STATE(11422), 1,
      sym_parameter_types,
    STATE(11423), 1,
      sym_stable_identifier,
    STATE(1858), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2094), 2,
      sym__type,
      sym_function_type,
    STATE(2303), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(1061), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [296295] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3731), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3729), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296320] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5821), 1,
      anon_sym_EQ,
    ACTIONS(6411), 1,
      anon_sym_else,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5819), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2558), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [296365] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3735), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3733), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296390] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [296415] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2686), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2688), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5856), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [296460] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3739), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3737), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296485] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [296510] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2650), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2652), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5856), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [296555] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 1,
      sym_identifier,
    ACTIONS(6415), 1,
      anon_sym_EQ_GT,
    ACTIONS(6417), 1,
      anon_sym_LPAREN,
    STATE(9209), 1,
      sym__annotated_type,
    STATE(11565), 1,
      sym_stable_identifier,
    STATE(11572), 1,
      sym_parameter_types,
    STATE(9450), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10000), 2,
      sym__type,
      sym_function_type,
    STATE(10545), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(7314), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [296596] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8240), 1,
      sym_extends_clause,
    STATE(8766), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2213), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2215), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [296633] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2354), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2356), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5856), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [296678] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4023), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4021), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296703] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6235), 1,
      aux_sym__block_repeat1,
    ACTIONS(6419), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2580), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [296732] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3747), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3745), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296757] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3751), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3749), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296782] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3755), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3753), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296807] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4791), 1,
      anon_sym_extends,
    STATE(6943), 1,
      sym_extends_clause,
    STATE(7999), 1,
      sym_template_body,
    ACTIONS(2768), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2770), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [296838] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6422), 1,
      anon_sym_DOT,
    ACTIONS(2489), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2491), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [296865] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      sym_identifier,
    ACTIONS(6348), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      anon_sym_EQ_GT,
    STATE(6658), 1,
      sym__annotated_type,
    STATE(11341), 1,
      sym_parameter_types,
    STATE(11444), 1,
      sym_stable_identifier,
    STATE(7575), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7600), 2,
      sym__type,
      sym_function_type,
    STATE(8429), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(3781), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [296906] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3759), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3757), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296931] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3766), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3764), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296956] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [296981] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6426), 1,
      anon_sym_EQ_GT,
    ACTIONS(6428), 1,
      sym__interpolated_string_start,
    ACTIONS(6430), 1,
      sym__interpolated_multiline_string_start,
    STATE(7658), 1,
      sym_interpolated_string,
    ACTIONS(2452), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [297014] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3899), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3897), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297039] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3770), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3768), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297064] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6059), 1,
      sym__interpolated_string_start,
    ACTIONS(6061), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(6432), 1,
      anon_sym_EQ_GT,
    STATE(6910), 1,
      sym_interpolated_string,
    ACTIONS(2452), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2454), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [297097] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6235), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [297124] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3774), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3772), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297149] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3778), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3776), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297174] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(2558), 1,
      anon_sym_while,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    ACTIONS(6434), 1,
      anon_sym_else,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [297221] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3188), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3186), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297246] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3184), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2443), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297271] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3153), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3151), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297296] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3145), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3143), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297321] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5496), 1,
      anon_sym_finally,
    STATE(4423), 1,
      sym_finally_clause,
    ACTIONS(3300), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3298), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297350] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3848), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3846), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297375] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3836), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3834), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297400] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      sym_identifier,
    ACTIONS(6397), 1,
      anon_sym_LPAREN,
    ACTIONS(6436), 1,
      anon_sym_EQ_GT,
    STATE(3584), 1,
      sym__annotated_type,
    STATE(11537), 1,
      sym_stable_identifier,
    STATE(11544), 1,
      sym_parameter_types,
    STATE(4189), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4671), 2,
      sym__type,
      sym_function_type,
    STATE(5073), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(3203), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [297441] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3788), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3786), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297466] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8005), 1,
      sym_block,
    STATE(6579), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2778), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2780), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [297495] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [297520] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3782), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3780), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297545] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3716), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3714), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297570] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8222), 1,
      sym_extends_clause,
    STATE(8796), 1,
      sym_template_body,
    STATE(6427), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2232), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2234), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [297607] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3743), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3741), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297632] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3712), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3710), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297657] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6572), 1,
      sym_access_qualifier,
    ACTIONS(2999), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3001), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [297684] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2615), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [297729] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2654), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2656), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [297774] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2386), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [297819] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8219), 1,
      sym_extends_clause,
    STATE(8800), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2243), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2245), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [297856] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2505), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [297881] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3792), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3790), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297906] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3620), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3618), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [297931] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2400), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2402), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [297976] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3796), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3794), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [298001] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3576), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [298026] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3039), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3037), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [298051] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3808), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3806), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [298076] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6438), 1,
      anon_sym_AT,
    STATE(6282), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2134), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [298105] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2410), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [298150] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3824), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3822), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [298175] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3549), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3547), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [298200] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3828), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3826), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [298225] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6001), 1,
      anon_sym_LPAREN,
    STATE(6298), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2224), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [298254] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2262), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    STATE(8364), 1,
      aux_sym__block_repeat1,
    ACTIONS(2260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [298301] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3907), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3905), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [298326] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(2423), 1,
      anon_sym_RPAREN,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5945), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5943), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2425), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [298371] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2468), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2470), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [298416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3161), 17,
      anon_sym_object,
      anon_sym_case,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [298439] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3832), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3830), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [298464] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3209), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3207), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [298489] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6441), 1,
      anon_sym_COMMA,
    STATE(6295), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3011), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3013), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [298518] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3539), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3537), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [298543] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3840), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3838), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [298568] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6444), 1,
      anon_sym_LPAREN,
    STATE(6298), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2238), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [298597] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    STATE(6299), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2818), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2820), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [298626] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2658), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [298663] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3915), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3913), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [298688] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2662), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [298725] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(2396), 1,
      anon_sym_RPAREN,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5945), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5943), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2398), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [298770] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8216), 1,
      sym_extends_clause,
    STATE(8808), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2247), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2249), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [298807] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2677), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2679), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [298852] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2668), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2670), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [298897] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(2354), 1,
      anon_sym_RPAREN,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5945), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5943), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2356), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [298942] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(2346), 1,
      anon_sym_RPAREN,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5945), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5943), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2348), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [298987] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(2686), 1,
      anon_sym_RPAREN,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5945), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5943), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2688), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [299032] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 1,
      anon_sym_RPAREN,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5945), 1,
      anon_sym_EQ,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(5943), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2652), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [299077] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3561), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3559), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [299102] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3919), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3917), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [299127] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2540), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [299152] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [299177] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3927), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3925), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [299202] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2478), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [299247] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3300), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3298), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [299272] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3844), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3842), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [299297] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [299322] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3529), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3527), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [299347] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2536), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [299392] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3863), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3861), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [299417] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3867), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3865), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [299442] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3505), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3503), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [299467] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2513), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [299492] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2600), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2602), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [299537] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3812), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3810), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [299562] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10677), 2,
      sym__type,
      sym_function_type,
    STATE(11072), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [299603] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3871), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3869), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [299628] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3852), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3850), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [299653] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2619), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [299698] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2513), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [299723] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [299748] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(2556), 1,
      anon_sym_RPAREN,
    ACTIONS(5714), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_match,
    ACTIONS(5945), 1,
      anon_sym_EQ,
    ACTIONS(6450), 1,
      anon_sym_else,
    STATE(6915), 1,
      sym_type_arguments,
    ACTIONS(2558), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(5943), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6914), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [299795] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3875), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3873), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [299820] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2594), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [299865] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2505), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [299890] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 1,
      sym_identifier,
    ACTIONS(6454), 1,
      anon_sym_EQ_GT,
    ACTIONS(6456), 1,
      anon_sym_LPAREN,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(11349), 1,
      sym_parameter_types,
    STATE(11602), 1,
      sym_stable_identifier,
    STATE(8417), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8513), 2,
      sym__type,
      sym_function_type,
    STATE(8572), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(3369), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [299931] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3344), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3342), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [299956] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6458), 1,
      anon_sym_LPAREN,
    STATE(6340), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2949), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2951), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [299985] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2350), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [300022] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2517), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [300067] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3879), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3877), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300092] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3903), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3901), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300117] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3800), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3798), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300142] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [300167] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6461), 1,
      anon_sym_DOT,
    ACTIONS(2489), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2491), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [300194] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3923), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3921), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300219] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5367), 1,
      anon_sym_finally,
    STATE(5035), 1,
      sym_finally_clause,
    ACTIONS(3300), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3298), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300248] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3935), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3933), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300273] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3939), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3937), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300298] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3947), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3945), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300323] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3959), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3957), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300348] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2576), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2574), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300373] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2641), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [300418] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3963), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3961), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300443] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3967), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3965), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300468] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2635), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2637), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [300513] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3971), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3969), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300538] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3975), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3973), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300563] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2425), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [300608] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3979), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3977), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300633] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6463), 1,
      sym_identifier,
    ACTIONS(6465), 1,
      anon_sym_EQ_GT,
    ACTIONS(6467), 1,
      anon_sym_LPAREN,
    STATE(1584), 1,
      sym__annotated_type,
    STATE(11432), 1,
      sym_parameter_types,
    STATE(11434), 1,
      sym_stable_identifier,
    STATE(2057), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2557), 2,
      sym__type,
      sym_function_type,
    STATE(2593), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(1081), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [300674] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3800), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3798), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300699] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 1,
      sym_identifier,
    ACTIONS(6415), 1,
      anon_sym_EQ_GT,
    ACTIONS(6417), 1,
      anon_sym_LPAREN,
    STATE(9209), 1,
      sym__annotated_type,
    STATE(11565), 1,
      sym_stable_identifier,
    STATE(11572), 1,
      sym_parameter_types,
    STATE(9450), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9965), 2,
      sym__type,
      sym_function_type,
    STATE(10721), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(7314), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [300740] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3470), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3468), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300765] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [300790] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2396), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2398), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [300835] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2623), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [300880] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2342), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [300925] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2262), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8396), 1,
      aux_sym__block_repeat1,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [300972] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3993), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3991), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300997] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3457), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3455), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301022] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3997), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3995), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301047] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3478), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3476), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301072] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10739), 2,
      sym__type,
      sym_function_type,
    STATE(11029), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [301113] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6144), 1,
      anon_sym_EQ_GT,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10752), 2,
      sym__type,
      sym_function_type,
    STATE(11029), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [301154] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4001), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3999), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301179] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4791), 1,
      anon_sym_extends,
    STATE(6864), 1,
      sym_extends_clause,
    STATE(8181), 1,
      sym_template_body,
    ACTIONS(2791), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2793), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [301210] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4005), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4003), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301235] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [301260] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3499), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3497), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301285] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3513), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3511), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301310] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3525), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3523), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301335] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [301360] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2404), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2406), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [301405] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2540), 11,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [301430] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4009), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4007), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301455] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3436), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3434), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301480] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3565), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3563), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301505] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4015), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4013), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301530] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2462), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2464), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [301575] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4027), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4025), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301600] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2596), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2598), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [301645] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4039), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4037), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301670] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2650), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2652), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [301715] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2497), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [301760] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2686), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2688), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [301805] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3586), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3584), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301830] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3590), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3588), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [301855] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2346), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2348), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [301900] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2354), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2356), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [301945] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2566), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2568), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [301990] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [302015] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [302040] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2354), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2356), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [302085] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3608), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3606), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [302110] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4791), 1,
      anon_sym_extends,
    STATE(6882), 1,
      sym_extends_clause,
    STATE(8152), 1,
      sym_template_body,
    ACTIONS(2864), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2866), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [302141] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      anon_sym_DOT,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_COLON,
    ACTIONS(5918), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_LPAREN,
    ACTIONS(5922), 1,
      anon_sym_match,
    ACTIONS(6469), 1,
      anon_sym_else,
    STATE(8459), 1,
      sym_type_arguments,
    ACTIONS(5910), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2558), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(8461), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [302186] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4047), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4045), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [302211] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2501), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [302256] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2509), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [302301] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8144), 1,
      sym_block,
    STATE(6579), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2850), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2852), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [302330] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym_identifier,
    ACTIONS(6230), 1,
      anon_sym_LPAREN,
    ACTIONS(6471), 1,
      anon_sym_EQ_GT,
    STATE(7522), 1,
      sym__annotated_type,
    STATE(11357), 1,
      sym_parameter_types,
    STATE(11470), 1,
      sym_stable_identifier,
    STATE(8636), 2,
      sym__type,
      sym_function_type,
    STATE(8667), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9000), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(4064), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [302371] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4059), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4057), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [302396] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2517), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [302441] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2396), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2398), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [302486] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5704), 1,
      anon_sym_match,
    ACTIONS(6192), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_type_arguments,
    ACTIONS(2423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2425), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6190), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(5515), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [302531] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3636), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3634), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [302556] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2346), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2348), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [302601] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3652), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3650), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [302626] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2525), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [302671] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3706), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3704), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [302696] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3720), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3718), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [302721] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4063), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4061), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [302746] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4067), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4065), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [302771] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    ACTIONS(5595), 1,
      anon_sym_extends,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(8208), 1,
      sym_extends_clause,
    STATE(8821), 1,
      sym_template_body,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2318), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2320), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [302808] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3804), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3802), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [302833] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6020), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2380), 8,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [302862] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2544), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [302907] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [302932] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4075), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4073), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [302957] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4079), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4077), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [302982] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4083), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4081), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [303007] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4087), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(4085), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [303032] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2686), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2688), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [303077] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3943), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3941), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [303102] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LBRACE,
    ACTIONS(6067), 1,
      anon_sym_DOT,
    ACTIONS(6069), 1,
      anon_sym_LBRACK,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      anon_sym_EQ,
    ACTIONS(6075), 1,
      anon_sym_LPAREN,
    ACTIONS(6077), 1,
      anon_sym_match,
    STATE(8377), 1,
      sym_type_arguments,
    ACTIONS(2650), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2652), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6065), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8380), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [303147] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 11,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [303172] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3951), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3949), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [303197] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3931), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3929), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [303222] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 1,
      sym_identifier,
    ACTIONS(6456), 1,
      anon_sym_LPAREN,
    ACTIONS(6473), 1,
      anon_sym_EQ_GT,
    STATE(4100), 1,
      sym__annotated_type,
    STATE(11602), 1,
      sym_stable_identifier,
    STATE(11671), 1,
      sym_parameter_types,
    STATE(5020), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5576), 2,
      sym__type,
      sym_function_type,
    STATE(6294), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(3369), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [303263] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8145), 1,
      sym_block,
    STATE(6262), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2854), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2856), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [303292] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3955), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3953), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [303317] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3447), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3445), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [303342] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3989), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3987), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [303367] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3983), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3981), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [303392] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2584), 8,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(2582), 9,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [303417] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6489), 1,
      anon_sym_RPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10189), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [303463] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6493), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10175), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [303509] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3342), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3344), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [303533] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6495), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10203), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [303579] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7254), 1,
      sym_template_body,
    ACTIONS(3338), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3340), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [303607] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6497), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10217), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [303653] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6499), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10231), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [303699] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7200), 1,
      sym_template_body,
    ACTIONS(3327), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3329), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [303727] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6501), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10164), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [303773] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [303799] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6503), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10153), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [303845] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6505), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10935), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [303891] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [303915] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6507), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10340), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [303961] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7201), 1,
      sym_template_body,
    ACTIONS(3323), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3325), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [303989] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_DOT,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_EQ,
    ACTIONS(6162), 1,
      anon_sym_LPAREN,
    ACTIONS(6164), 1,
      anon_sym_match,
    STATE(8774), 1,
      sym_type_arguments,
    ACTIONS(6152), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2652), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(8784), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [304031] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_DOT,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_EQ,
    ACTIONS(6162), 1,
      anon_sym_LPAREN,
    ACTIONS(6164), 1,
      anon_sym_match,
    STATE(8774), 1,
      sym_type_arguments,
    ACTIONS(6152), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2688), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(8784), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [304073] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    ACTIONS(3186), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10978), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [304111] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7189), 1,
      sym_template_body,
    ACTIONS(3375), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3377), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304137] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6468), 1,
      aux_sym__block_repeat1,
    ACTIONS(6513), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 6,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2580), 7,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [304165] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_DOT,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_EQ,
    ACTIONS(6162), 1,
      anon_sym_LPAREN,
    ACTIONS(6164), 1,
      anon_sym_match,
    STATE(8774), 1,
      sym_type_arguments,
    ACTIONS(6152), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2348), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(8784), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [304207] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3302), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3304), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304231] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7182), 1,
      sym_block,
    ACTIONS(3393), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3395), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304257] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_DOT,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_EQ,
    ACTIONS(6162), 1,
      anon_sym_LPAREN,
    ACTIONS(6164), 1,
      anon_sym_match,
    STATE(8774), 1,
      sym_type_arguments,
    ACTIONS(6152), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2356), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(8784), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [304299] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7202), 1,
      sym_template_body,
    ACTIONS(3269), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3271), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304327] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7180), 1,
      sym_template_body,
    ACTIONS(3397), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3399), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304353] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_with,
    STATE(6492), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2435), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [304381] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7131), 1,
      sym_template_body,
    ACTIONS(3225), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3227), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304409] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7178), 1,
      sym_template_body,
    ACTIONS(3409), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3411), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304437] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7208), 1,
      sym_block,
    ACTIONS(3244), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3246), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304463] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_DOT,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_EQ,
    ACTIONS(6162), 1,
      anon_sym_LPAREN,
    ACTIONS(6164), 1,
      anon_sym_match,
    STATE(8774), 1,
      sym_type_arguments,
    ACTIONS(6152), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2398), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(8784), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [304505] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [304529] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6518), 1,
      anon_sym_STAR,
    ACTIONS(3207), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304555] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_DOT,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_EQ,
    ACTIONS(6162), 1,
      anon_sym_LPAREN,
    ACTIONS(6164), 1,
      anon_sym_match,
    STATE(8774), 1,
      sym_type_arguments,
    ACTIONS(6152), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2425), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(8784), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [304597] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7210), 1,
      sym_template_body,
    ACTIONS(3229), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3231), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304625] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7212), 1,
      sym_template_body,
    ACTIONS(3213), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3215), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304653] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7214), 1,
      sym_template_body,
    ACTIONS(3174), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3176), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304681] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2425), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6524), 1,
      anon_sym_EQ,
    ACTIONS(6526), 1,
      anon_sym_match,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2423), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6520), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [304725] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2578), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [304769] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7175), 1,
      sym_block,
    ACTIONS(3426), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3428), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304795] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7215), 1,
      sym_block,
    ACTIONS(3147), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3149), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304821] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7216), 1,
      sym_block,
    ACTIONS(3127), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3129), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304847] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_with,
    STATE(6475), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [304875] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6528), 1,
      anon_sym_with,
    STATE(6492), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2482), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [304903] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7174), 1,
      sym_block,
    ACTIONS(3430), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3432), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [304929] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [304953] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2398), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6524), 1,
      anon_sym_EQ,
    ACTIONS(6526), 1,
      anon_sym_match,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2396), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6520), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [304997] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7219), 1,
      sym_template_body,
    ACTIONS(3086), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3088), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305025] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7221), 1,
      sym_template_body,
    ACTIONS(3078), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3080), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305051] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5544), 1,
      anon_sym_finally,
    STATE(6971), 1,
      sym_finally_clause,
    ACTIONS(3298), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
  [305079] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7224), 1,
      sym_block,
    ACTIONS(3066), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3068), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305105] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6531), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10194), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [305151] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6533), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10245), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [305197] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3037), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3039), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305221] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7172), 1,
      sym_template_body,
    ACTIONS(3041), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3043), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305249] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7228), 1,
      sym_template_body,
    ACTIONS(3045), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3047), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305277] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7169), 1,
      sym_template_body,
    ACTIONS(3197), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3199), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305305] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3049), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3051), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305329] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7166), 1,
      sym_template_body,
    ACTIONS(3235), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3237), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305357] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7229), 1,
      sym_template_body,
    ACTIONS(3074), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3076), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305385] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3277), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3279), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305409] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7164), 1,
      sym_template_body,
    ACTIONS(3281), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3283), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305437] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7231), 1,
      sym_template_body,
    ACTIONS(3092), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3094), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305465] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6535), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10142), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [305511] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7162), 1,
      sym_template_body,
    ACTIONS(3315), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3317), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305539] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6537), 1,
      anon_sym_COMMA,
    STATE(6514), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3011), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3013), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305567] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6540), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10259), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [305613] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7160), 1,
      sym_template_body,
    ACTIONS(3251), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3253), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305641] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6542), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10273), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [305687] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7232), 1,
      sym_template_body,
    ACTIONS(3113), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3115), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305715] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym_EQ_GT,
    ACTIONS(6546), 1,
      sym__interpolated_string_start,
    ACTIONS(6548), 1,
      sym__interpolated_multiline_string_start,
    STATE(8466), 1,
      sym_interpolated_string,
    ACTIONS(2452), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305747] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7233), 1,
      sym_block,
    ACTIONS(3123), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3125), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305773] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6550), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10287), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [305819] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7236), 1,
      sym_template_body,
    ACTIONS(3137), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3139), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [305847] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6552), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10871), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [305893] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [305917] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6554), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10301), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [305963] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6556), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10130), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [306009] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7238), 1,
      sym_template_body,
    ACTIONS(3155), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3157), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306037] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6558), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10315), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [306083] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym__block_repeat1,
    ACTIONS(6560), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2580), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306111] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7147), 1,
      sym_template_body,
    ACTIONS(3422), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3424), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306137] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6563), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10329), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [306183] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7241), 1,
      sym_block,
    ACTIONS(3201), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3203), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306209] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6565), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10909), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [306255] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6516), 1,
      anon_sym_with,
    STATE(6475), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6567), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [306287] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6569), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10700), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [306333] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7138), 1,
      sym_block,
    ACTIONS(3346), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3348), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306359] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6571), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10347), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [306405] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7242), 1,
      sym_block,
    ACTIONS(3221), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3223), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306431] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2596), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [306475] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7240), 1,
      sym_template_body,
    ACTIONS(3190), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3192), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306503] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2568), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2566), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [306547] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5444), 1,
      anon_sym_finally,
    STATE(6170), 1,
      sym_finally_clause,
    ACTIONS(3300), 6,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3298), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [306575] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7133), 1,
      sym_template_body,
    ACTIONS(3288), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3290), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306601] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2540), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [306625] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7245), 1,
      sym_template_body,
    ACTIONS(3405), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3407), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306653] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7128), 1,
      sym_template_body,
    ACTIONS(3057), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3059), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306681] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7250), 1,
      sym_template_body,
    ACTIONS(3385), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3387), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306709] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7196), 1,
      sym_template_body,
    ACTIONS(3082), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3084), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306737] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2513), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [306761] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3096), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3098), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306785] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7123), 1,
      sym_template_body,
    ACTIONS(3103), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3105), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306813] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6573), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10616), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [306859] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6575), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10635), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [306905] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7251), 1,
      sym_template_body,
    ACTIONS(3319), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3321), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306933] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3143), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3145), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306957] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3151), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3153), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [306981] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6577), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10192), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [307027] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2441), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [307053] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3184), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [307077] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3186), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3188), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [307101] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6579), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10428), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [307147] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [307171] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7119), 1,
      sym_arguments,
    ACTIONS(3033), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3035), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [307197] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6524), 1,
      anon_sym_EQ,
    ACTIONS(6526), 1,
      anon_sym_match,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2354), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6520), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [307241] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2505), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [307265] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7252), 1,
      sym_block,
    ACTIONS(3262), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3264), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [307291] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6581), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10354), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [307337] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6583), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10361), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [307383] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_DOT,
    ACTIONS(2489), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2491), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [307409] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7253), 1,
      sym_template_body,
    ACTIONS(3217), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3219), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [307437] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6587), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10133), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [307483] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3119), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3121), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [307507] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3257), 10,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [307531] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6589), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10465), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [307577] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7109), 1,
      sym_template_body,
    ACTIONS(3415), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3417), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [307603] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6591), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10429), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [307649] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6524), 1,
      anon_sym_EQ,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6593), 1,
      anon_sym_else,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2556), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6520), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [307693] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7104), 1,
      sym_template_body,
    ACTIONS(3401), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3403), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [307721] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_LPAREN,
    STATE(6579), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2949), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2951), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [307749] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5877), 1,
      aux_sym__block_repeat1,
    ACTIONS(6598), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(607), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [307777] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6580), 1,
      aux_sym__block_repeat1,
    ACTIONS(5706), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2262), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [307805] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5345), 1,
      anon_sym_finally,
    STATE(6170), 1,
      sym_finally_clause,
    ACTIONS(3300), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3298), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [307833] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(4794), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2928), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2926), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [307859] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7100), 1,
      sym_template_body,
    ACTIONS(3389), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3391), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [307885] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6600), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10934), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [307931] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6602), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10936), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [307977] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6583), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2936), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2934), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [308003] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6604), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10865), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308049] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3159), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3161), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [308073] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6606), 1,
      anon_sym_EQ,
    ACTIONS(3166), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3168), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [308101] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6608), 1,
      anon_sym_DOT,
    ACTIONS(3379), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3381), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [308127] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [308151] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6610), 1,
      anon_sym_EQ,
    ACTIONS(3178), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3180), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [308179] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym__block_repeat1,
    ACTIONS(6612), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(607), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [308207] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2348), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6524), 1,
      anon_sym_EQ,
    ACTIONS(6526), 1,
      anon_sym_match,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2346), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6520), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308251] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6614), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10368), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308297] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2544), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308341] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2688), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6524), 1,
      anon_sym_EQ,
    ACTIONS(6526), 1,
      anon_sym_match,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2686), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6520), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308385] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6616), 1,
      anon_sym_EQ_GT,
    ACTIONS(6618), 1,
      sym__interpolated_string_start,
    ACTIONS(6620), 1,
      sym__interpolated_multiline_string_start,
    STATE(8383), 1,
      sym_interpolated_string,
    ACTIONS(2452), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [308417] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(7244), 1,
      sym_template_body,
    ACTIONS(3371), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3373), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [308445] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6852), 1,
      aux_sym__block_repeat1,
    ACTIONS(6622), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(607), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [308473] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6624), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10374), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308519] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6626), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10380), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308565] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6594), 1,
      aux_sym__block_repeat1,
    ACTIONS(5669), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2262), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [308593] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6628), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10448), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308639] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6630), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10444), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308685] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6632), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10223), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308731] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6634), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10222), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308777] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6636), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10386), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308823] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6601), 1,
      aux_sym__block_repeat1,
    ACTIONS(5768), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2262), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [308851] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2425), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308895] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6638), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10531), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308941] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6640), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10932), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [308987] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6642), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10533), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309033] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6524), 1,
      anon_sym_EQ,
    ACTIONS(6526), 1,
      anon_sym_match,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2650), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6520), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309077] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6644), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10392), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309123] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2398), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2396), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309167] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6646), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10398), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309213] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309257] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6648), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10404), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309303] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2730), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [309327] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6650), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10410), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309373] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2656), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2654), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309417] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6652), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10814), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309463] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6654), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10148), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309509] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5303), 1,
      anon_sym_with,
    STATE(3905), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(5301), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [309539] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6656), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10154), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309585] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2354), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309629] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3294), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [309655] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6658), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10416), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309701] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6660), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10422), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309747] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6662), 1,
      anon_sym_LBRACK,
    ACTIONS(6664), 1,
      anon_sym_LPAREN,
    ACTIONS(6666), 1,
      anon_sym_POUND,
    STATE(8378), 1,
      sym_type_arguments,
    ACTIONS(2042), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8388), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2044), 8,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [309781] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6668), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10858), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309827] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5228), 1,
      anon_sym_finally,
    STATE(5407), 1,
      sym_finally_clause,
    ACTIONS(3300), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3298), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [309855] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2686), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309899] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2650), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [309943] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6670), 1,
      anon_sym_COMMA,
    STATE(6660), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2936), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [309971] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6672), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10434), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310017] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 1,
      anon_sym_RPAREN,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6089), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2652), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(6087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310061] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(2686), 1,
      anon_sym_RPAREN,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6089), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2688), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(6087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310105] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6674), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10215), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310151] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6676), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10187), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310197] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6678), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10402), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310243] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6680), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10450), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310289] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6682), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10505), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310335] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6684), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10823), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310381] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [310405] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8339), 1,
      sym_block,
    STATE(7049), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2805), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2807), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [310433] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2388), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2386), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310477] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [310501] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6686), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10546), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310547] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [310571] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6688), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10440), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310617] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [310641] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6690), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10596), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310687] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6692), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10662), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310733] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6694), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10446), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310779] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6018), 1,
      anon_sym_with,
    STATE(5270), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6020), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [310809] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [310833] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6670), 1,
      anon_sym_COMMA,
    STATE(6514), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2928), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [310861] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6696), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10452), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [310907] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5595), 1,
      anon_sym_extends,
    STATE(7108), 1,
      sym_type_parameters,
    STATE(8550), 1,
      sym_extends_clause,
    STATE(8563), 1,
      sym_template_body,
    ACTIONS(2562), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2564), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [310939] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_LBRACK,
    ACTIONS(6700), 1,
      anon_sym_AT,
    ACTIONS(6702), 1,
      anon_sym_POUND,
    STATE(8210), 1,
      sym_type_arguments,
    STATE(8199), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2030), 5,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [310973] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6704), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10707), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311019] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6104), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(6102), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2652), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311061] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6716), 1,
      aux_sym__block_repeat1,
    ACTIONS(6706), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(607), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [311089] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6666), 1,
      aux_sym__block_repeat1,
    ACTIONS(5662), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2262), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [311117] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(2346), 1,
      anon_sym_RPAREN,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6089), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2348), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(6087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311161] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2730), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [311185] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(2354), 1,
      anon_sym_RPAREN,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6089), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2356), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(6087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311229] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6708), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10458), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311275] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7145), 1,
      sym_type_parameters,
    STATE(8618), 1,
      sym_block,
    STATE(7151), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2604), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2606), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [311305] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [311329] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6710), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10464), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311375] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6712), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10469), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311421] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2402), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2400), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311465] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2578), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311509] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6104), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(6102), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2688), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311551] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2425), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311595] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2398), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2396), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311639] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6714), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10474), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311685] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6104), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(6102), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2348), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311727] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8446), 1,
      sym_block,
    STATE(7049), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2880), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2882), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [311755] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2354), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311799] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5395), 1,
      anon_sym_with,
    STATE(3950), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(5393), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 6,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
  [311829] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(2396), 1,
      anon_sym_RPAREN,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6089), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2398), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(6087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311873] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2348), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2346), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311917] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8448), 1,
      sym_block,
    STATE(6648), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2874), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2876), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [311945] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2688), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2686), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [311989] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2650), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [312033] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5220), 1,
      anon_sym_extends,
    STATE(7559), 1,
      sym_extends_clause,
    STATE(8452), 1,
      sym_template_body,
    ACTIONS(2801), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2803), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [312063] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2568), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2566), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [312107] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8457), 1,
      sym_block,
    STATE(7049), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2797), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2799), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [312135] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(2423), 1,
      anon_sym_RPAREN,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6089), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2425), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(6087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [312179] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6716), 1,
      anon_sym_EQ,
    ACTIONS(3168), 6,
      anon_sym_COLON,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3166), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [312207] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8547), 1,
      sym_block,
    STATE(6693), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2764), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2766), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [312235] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6718), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10479), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [312281] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4565), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [312307] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6720), 1,
      anon_sym_EQ,
    ACTIONS(3180), 6,
      anon_sym_COLON,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3178), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [312335] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6722), 1,
      anon_sym_with,
    STATE(6700), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2482), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [312363] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6725), 1,
      anon_sym_with,
    STATE(6752), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [312391] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2410), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [312435] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2544), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [312479] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6727), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10484), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [312525] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [312549] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6852), 1,
      aux_sym__block_repeat1,
    ACTIONS(607), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(605), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [312575] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5296), 1,
      anon_sym_with,
    STATE(3876), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(5294), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
  [312605] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(2677), 1,
      anon_sym_RPAREN,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6089), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2679), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(6087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [312649] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6729), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10487), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [312695] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6731), 1,
      anon_sym_LBRACK,
    ACTIONS(6733), 1,
      anon_sym_LPAREN,
    ACTIONS(6735), 1,
      anon_sym_POUND,
    STATE(8192), 1,
      sym_type_arguments,
    ACTIONS(2042), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8193), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2044), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [312729] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2470), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2468), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [312773] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(2668), 1,
      anon_sym_RPAREN,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6089), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(2670), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(6087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [312817] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6737), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10490), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [312863] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6739), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10150), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [312909] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4612), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [312935] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6716), 1,
      aux_sym__block_repeat1,
    ACTIONS(6741), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2580), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [312963] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6150), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2380), 7,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [312991] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6744), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10296), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [313037] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6746), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10816), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [313083] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [313107] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6748), 1,
      anon_sym_STAR,
    ACTIONS(3207), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3209), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [313133] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6750), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10751), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [313179] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5601), 1,
      anon_sym_finally,
    STATE(4423), 1,
      sym_finally_clause,
    ACTIONS(3298), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [313207] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6752), 1,
      anon_sym_EQ,
    ACTIONS(3166), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3168), 8,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [313235] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2525), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [313279] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6754), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10302), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [313325] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [313349] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6321), 1,
      sym__interpolated_string_start,
    ACTIONS(6323), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(6756), 1,
      anon_sym_EQ_GT,
    STATE(7925), 1,
      sym_interpolated_string,
    ACTIONS(2452), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2454), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [313381] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8549), 1,
      sym_block,
    STATE(7049), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2744), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2746), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [313409] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2598), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2596), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [313453] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6758), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10544), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [313499] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2509), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [313543] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6760), 1,
      anon_sym_EQ,
    ACTIONS(3178), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3180), 8,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [313571] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [313615] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5220), 1,
      anon_sym_extends,
    STATE(7635), 1,
      sym_extends_clause,
    STATE(8541), 1,
      sym_template_body,
    ACTIONS(2768), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2770), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [313645] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6716), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [313671] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5595), 1,
      anon_sym_extends,
    STATE(7257), 1,
      sym_type_parameters,
    STATE(8196), 1,
      sym_extends_clause,
    STATE(8840), 1,
      sym_template_body,
    ACTIONS(2412), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2414), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [313703] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7259), 1,
      sym_type_parameters,
    STATE(8848), 1,
      sym_block,
    STATE(7258), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2416), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2418), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [313733] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6762), 1,
      anon_sym_EQ_GT,
    ACTIONS(6764), 1,
      sym__interpolated_string_start,
    ACTIONS(6766), 1,
      sym__interpolated_multiline_string_start,
    STATE(8238), 1,
      sym_interpolated_string,
    ACTIONS(2452), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2454), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [313765] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8535), 1,
      sym_block,
    STATE(7049), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2778), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2780), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [313793] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [313837] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6104), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(6102), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2356), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [313879] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2536), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [313923] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6744), 1,
      aux_sym__block_repeat1,
    ACTIONS(6768), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 6,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2580), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [313951] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6771), 1,
      anon_sym_EQ,
    ACTIONS(3168), 6,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3166), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [313979] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6773), 1,
      anon_sym_EQ,
    ACTIONS(3180), 6,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3178), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [314007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2750), 12,
      anon_sym__,
      anon_sym_val,
      anon_sym_var,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [314031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2755), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2757), 12,
      anon_sym__,
      anon_sym_val,
      anon_sym_var,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [314055] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6775), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10768), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [314101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2776), 12,
      anon_sym__,
      anon_sym_val,
      anon_sym_var,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      sym_identifier,
  [314125] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [314169] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6725), 1,
      anon_sym_with,
    STATE(6700), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2435), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [314197] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2350), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [314233] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6777), 1,
      anon_sym_LPAREN,
    STATE(6754), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2818), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2820), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [314261] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6780), 1,
      anon_sym_EQ,
    ACTIONS(3168), 6,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3166), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [314289] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6782), 1,
      anon_sym_EQ,
    ACTIONS(3180), 6,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3178), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [314317] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6744), 1,
      aux_sym__block_repeat1,
    ACTIONS(607), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(605), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [314343] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2464), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2462), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [314387] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [314431] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6177), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2380), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [314459] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2348), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2346), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [314503] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2602), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2600), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [314547] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6050), 1,
      sym__interpolated_string_start,
    ACTIONS(6052), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(6784), 1,
      anon_sym_EQ_GT,
    STATE(6444), 1,
      sym_interpolated_string,
    ACTIONS(2452), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [314579] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6786), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10769), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [314625] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6788), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10512), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [314671] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(2350), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [314707] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2619), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [314751] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6524), 1,
      anon_sym_EQ,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6790), 1,
      anon_sym_else,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2556), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6520), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [314795] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_LBRACK,
    ACTIONS(6702), 1,
      anon_sym_POUND,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    STATE(8210), 1,
      sym_type_arguments,
    STATE(8211), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 6,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [314829] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6796), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(7319), 1,
      sym_type_parameters,
    STATE(8913), 1,
      sym_access_modifier,
    STATE(9532), 1,
      sym_extends_clause,
    STATE(9967), 1,
      sym_template_body,
    ACTIONS(6798), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8929), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2006), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [314871] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [314915] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6285), 1,
      anon_sym_LBRACK,
    ACTIONS(6289), 1,
      anon_sym_POUND,
    ACTIONS(6804), 1,
      anon_sym_AT,
    STATE(7374), 1,
      sym_type_arguments,
    STATE(8220), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(2030), 6,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [314949] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2679), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6524), 1,
      anon_sym_EQ,
    ACTIONS(6526), 1,
      anon_sym_match,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2677), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6520), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [314993] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6806), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10566), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [315039] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2670), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6524), 1,
      anon_sym_EQ,
    ACTIONS(6526), 1,
      anon_sym_match,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2668), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6520), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [315083] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6468), 1,
      aux_sym__block_repeat1,
    ACTIONS(607), 7,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(605), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [315109] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_DOT,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_LPAREN,
    STATE(8774), 1,
      sym_type_arguments,
    STATE(8784), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [315143] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_DOT,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_EQ,
    ACTIONS(6162), 1,
      anon_sym_LPAREN,
    ACTIONS(6164), 1,
      anon_sym_match,
    STATE(8774), 1,
      sym_type_arguments,
    ACTIONS(6152), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2679), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(8784), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [315185] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2406), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2404), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [315229] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8497), 1,
      sym_block,
    STATE(7049), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2850), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2852), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [315257] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2670), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2668), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [315301] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8495), 1,
      sym_block,
    STATE(6740), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2854), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2856), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [315329] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2679), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2677), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [315373] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2679), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2677), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [315417] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2670), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2668), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [315461] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_DOT,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_EQ,
    ACTIONS(6162), 1,
      anon_sym_LPAREN,
    ACTIONS(6164), 1,
      anon_sym_match,
    STATE(8774), 1,
      sym_type_arguments,
    ACTIONS(6152), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2670), 3,
      anon_sym_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
    STATE(8784), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [315503] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6104), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(6102), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2398), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [315545] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6725), 1,
      anon_sym_with,
    STATE(6752), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6808), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [315577] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2662), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [315613] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5220), 1,
      anon_sym_extends,
    STATE(7723), 1,
      sym_extends_clause,
    STATE(8463), 1,
      sym_template_body,
    ACTIONS(2864), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2866), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [315643] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2658), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [315679] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(2662), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [315715] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6796), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(7810), 1,
      sym_type_parameters,
    STATE(8938), 1,
      sym_access_modifier,
    STATE(9700), 1,
      sym_extends_clause,
    STATE(10121), 1,
      sym_template_body,
    ACTIONS(6798), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8908), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2038), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [315757] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [315781] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(2658), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [315817] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6810), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10442), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [315863] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6812), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10637), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [315909] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6814), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10643), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [315955] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_DOT,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_LPAREN,
    STATE(8774), 1,
      sym_type_arguments,
    STATE(8784), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [315989] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6104), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(6102), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2425), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316031] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6816), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10414), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316077] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6818), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10393), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316123] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6796), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(7528), 1,
      sym_type_parameters,
    STATE(9009), 1,
      sym_access_modifier,
    STATE(9664), 1,
      sym_extends_clause,
    STATE(10004), 1,
      sym_template_body,
    ACTIONS(6798), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(9018), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2020), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [316165] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6820), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10905), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316211] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6822), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10912), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316257] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2554), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316301] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2572), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316345] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2572), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316389] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6824), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10355), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316435] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6826), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10369), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316481] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2641), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316525] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2637), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2635), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316569] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5220), 1,
      anon_sym_extends,
    STATE(7848), 1,
      sym_extends_clause,
    STATE(8363), 1,
      sym_template_body,
    ACTIONS(2791), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2793), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [316599] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5595), 1,
      anon_sym_extends,
    STATE(7081), 1,
      sym_type_parameters,
    STATE(8483), 1,
      sym_extends_clause,
    STATE(8595), 1,
      sym_template_body,
    ACTIONS(2625), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2627), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [316631] = 6,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7080), 1,
      sym_type_parameters,
    STATE(8588), 1,
      sym_block,
    STATE(7079), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2631), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2633), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [316661] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7034), 1,
      sym_access_qualifier,
    ACTIONS(2999), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3001), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [316687] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316731] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2645), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2643), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316775] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2525), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316819] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2623), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316863] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2656), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2654), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316907] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6828), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10820), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316953] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2388), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2386), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [316997] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6830), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10828), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317043] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2344), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2342), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317087] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2402), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2400), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317131] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317175] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2410), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317219] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2470), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2468), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317263] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6321), 1,
      sym__interpolated_string_start,
    ACTIONS(6323), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(6832), 1,
      anon_sym_EQ_GT,
    STATE(7925), 1,
      sym_interpolated_string,
    ACTIONS(2452), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [317295] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6104), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(6102), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2679), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317337] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_COLON,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_match,
    ACTIONS(6104), 1,
      anon_sym_EQ,
    STATE(7946), 1,
      sym_type_arguments,
    ACTIONS(6102), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2670), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
    STATE(7942), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317379] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317423] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2536), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317467] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6834), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10610), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317513] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2602), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2600), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317557] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2619), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317601] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317645] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2641), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317689] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2637), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2635), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317733] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2509), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317777] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317821] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6836), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10733), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317867] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6838), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10863), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317913] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6840), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10851), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [317959] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2406), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2404), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [318003] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2623), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [318047] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2554), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [318091] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2344), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2342), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [318135] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_DOT,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_LPAREN,
    STATE(8774), 1,
      sym_type_arguments,
    STATE(8784), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [318169] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6796), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(7856), 1,
      sym_type_parameters,
    STATE(8973), 1,
      sym_access_modifier,
    STATE(9684), 1,
      sym_extends_clause,
    STATE(10100), 1,
      sym_template_body,
    ACTIONS(6798), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8972), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2024), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [318211] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6852), 1,
      aux_sym__block_repeat1,
    ACTIONS(6842), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2580), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [318239] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2464), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2462), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [318283] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6845), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10622), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [318329] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5554), 1,
      anon_sym_finally,
    STATE(5035), 1,
      sym_finally_clause,
    ACTIONS(3300), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3298), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [318357] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_while,
    ACTIONS(5560), 1,
      anon_sym_DOT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(5809), 1,
      anon_sym_match,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    STATE(6437), 1,
      sym_type_arguments,
    ACTIONS(2495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6370), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(6440), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [318401] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6847), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10734), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [318447] = 14,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6849), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    STATE(10605), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [318493] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LBRACE,
    ACTIONS(2645), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_DOT,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_EQ,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_match,
    STATE(8569), 1,
      sym_type_arguments,
    ACTIONS(2643), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6261), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8576), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [318537] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(6853), 1,
      anon_sym_DOT,
    ACTIONS(6855), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_COLON,
    ACTIONS(6859), 1,
      anon_sym_EQ,
    ACTIONS(6861), 1,
      anon_sym_LPAREN,
    ACTIONS(6863), 1,
      anon_sym_match,
    STATE(9029), 1,
      sym_type_arguments,
    ACTIONS(2679), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6851), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9036), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [318578] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3557), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [318601] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [318624] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [318647] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8167), 1,
      sym_template_body,
    ACTIONS(3389), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3391), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [318672] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(8155), 1,
      sym_template_body,
    ACTIONS(3401), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3403), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [318699] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8150), 1,
      sym_template_body,
    ACTIONS(3415), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3417), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [318724] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [318747] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2556), 1,
      anon_sym_RPAREN,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6867), 1,
      anon_sym_EQ,
    ACTIONS(6869), 1,
      anon_sym_else,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(6865), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [318790] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2454), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [318813] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8069), 1,
      sym_arguments,
    ACTIONS(3033), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3035), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [318838] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3186), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3188), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [318861] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3184), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [318884] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3151), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3153), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [318907] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3143), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3145), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [318930] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(8062), 1,
      sym_template_body,
    ACTIONS(3103), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3105), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [318957] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3096), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3098), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [318980] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6354), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2380), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_while,
  [319007] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(8043), 1,
      sym_template_body,
    ACTIONS(3082), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3084), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [319034] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6731), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_POUND,
    ACTIONS(6871), 1,
      anon_sym_AT,
    STATE(8192), 1,
      sym_type_arguments,
    ACTIONS(2028), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8782), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2030), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [319067] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(8031), 1,
      sym_template_body,
    ACTIONS(3057), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3059), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [319094] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(8020), 1,
      sym_template_body,
    ACTIONS(3225), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3227), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [319121] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8019), 1,
      sym_template_body,
    ACTIONS(3288), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3290), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [319146] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [319169] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6873), 1,
      anon_sym_EQ_GT,
    ACTIONS(6875), 1,
      sym__interpolated_string_start,
    ACTIONS(6877), 1,
      sym__interpolated_multiline_string_start,
    STATE(8787), 1,
      sym_interpolated_string,
    ACTIONS(2452), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [319200] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6376), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2380), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_while,
  [319227] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(6853), 1,
      anon_sym_DOT,
    ACTIONS(6855), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_COLON,
    ACTIONS(6859), 1,
      anon_sym_EQ,
    ACTIONS(6861), 1,
      anon_sym_LPAREN,
    ACTIONS(6863), 1,
      anon_sym_match,
    STATE(9029), 1,
      sym_type_arguments,
    ACTIONS(2652), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6851), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9036), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319268] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8008), 1,
      sym_block,
    ACTIONS(3346), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3348), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [319293] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(6853), 1,
      anon_sym_DOT,
    ACTIONS(6855), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_COLON,
    ACTIONS(6859), 1,
      anon_sym_EQ,
    ACTIONS(6861), 1,
      anon_sym_LPAREN,
    ACTIONS(6863), 1,
      anon_sym_match,
    STATE(9029), 1,
      sym_type_arguments,
    ACTIONS(2688), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6851), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9036), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319334] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(6853), 1,
      anon_sym_DOT,
    ACTIONS(6855), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_COLON,
    ACTIONS(6859), 1,
      anon_sym_EQ,
    ACTIONS(6861), 1,
      anon_sym_LPAREN,
    ACTIONS(6863), 1,
      anon_sym_match,
    STATE(9029), 1,
      sym_type_arguments,
    ACTIONS(2348), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6851), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9036), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319375] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7024), 1,
      aux_sym__block_repeat1,
    ACTIONS(607), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(605), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [319400] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(6853), 1,
      anon_sym_DOT,
    ACTIONS(6855), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_COLON,
    ACTIONS(6859), 1,
      anon_sym_EQ,
    ACTIONS(6861), 1,
      anon_sym_LPAREN,
    ACTIONS(6863), 1,
      anon_sym_match,
    STATE(9029), 1,
      sym_type_arguments,
    ACTIONS(2356), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6851), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9036), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319441] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6879), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319482] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 1,
      anon_sym_RPAREN,
    ACTIONS(2652), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6867), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(6865), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319525] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [319548] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(6853), 1,
      anon_sym_DOT,
    ACTIONS(6855), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_COLON,
    ACTIONS(6859), 1,
      anon_sym_EQ,
    ACTIONS(6861), 1,
      anon_sym_LPAREN,
    ACTIONS(6863), 1,
      anon_sym_match,
    STATE(9029), 1,
      sym_type_arguments,
    ACTIONS(2398), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6851), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9036), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319589] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(6853), 1,
      anon_sym_DOT,
    ACTIONS(6855), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_COLON,
    ACTIONS(6859), 1,
      anon_sym_EQ,
    ACTIONS(6861), 1,
      anon_sym_LPAREN,
    ACTIONS(6863), 1,
      anon_sym_match,
    STATE(9029), 1,
      sym_type_arguments,
    ACTIONS(2425), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6851), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9036), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319630] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2686), 1,
      anon_sym_RPAREN,
    ACTIONS(2688), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6867), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(6865), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319673] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2346), 1,
      anon_sym_RPAREN,
    ACTIONS(2348), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6867), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(6865), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319716] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3646), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [319739] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2354), 1,
      anon_sym_RPAREN,
    ACTIONS(2356), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6867), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(6865), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319782] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2396), 1,
      anon_sym_RPAREN,
    ACTIONS(2398), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6867), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(6865), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319825] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2423), 1,
      anon_sym_RPAREN,
    ACTIONS(2425), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6867), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(6865), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319868] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6881), 1,
      anon_sym_EQ_GT,
    ACTIONS(6883), 1,
      sym__interpolated_string_start,
    ACTIONS(6885), 1,
      sym__interpolated_multiline_string_start,
    STATE(8593), 1,
      sym_interpolated_string,
    ACTIONS(2454), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2452), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [319899] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6887), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319940] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6889), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [319981] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 9,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [320004] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7997), 1,
      sym_template_body,
    ACTIONS(3422), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3424), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [320029] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [320052] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3800), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [320075] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3955), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [320098] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6913), 1,
      aux_sym__block_repeat1,
    ACTIONS(607), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(605), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [320123] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6764), 1,
      sym__interpolated_string_start,
    ACTIONS(6766), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(6891), 1,
      anon_sym_EQ_GT,
    STATE(8238), 1,
      sym_interpolated_string,
    ACTIONS(2452), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2454), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [320154] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6913), 1,
      aux_sym__block_repeat1,
    ACTIONS(6893), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2580), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [320181] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3951), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [320204] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3943), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [320227] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7974), 1,
      sym_template_body,
    ACTIONS(3251), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3253), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [320254] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7971), 1,
      sym_template_body,
    ACTIONS(3315), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3317), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [320281] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7968), 1,
      sym_template_body,
    ACTIONS(3281), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3283), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [320308] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3277), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3279), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [320331] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3553), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [320354] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3557), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [320377] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6896), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_LPAREN,
    ACTIONS(6900), 1,
      anon_sym_POUND,
    STATE(8734), 1,
      sym_type_arguments,
    STATE(8737), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2044), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [320408] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7966), 1,
      sym_template_body,
    ACTIONS(3235), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3237), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [320435] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6144), 1,
      aux_sym__block_repeat1,
    ACTIONS(6902), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(607), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [320462] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6924), 1,
      aux_sym__block_repeat1,
    ACTIONS(5932), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2262), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [320489] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6904), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [320530] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_EQ_GT,
    ACTIONS(6911), 1,
      anon_sym_COLON,
    ACTIONS(6914), 1,
      sym__interpolated_string_start,
    ACTIONS(6916), 1,
      sym__interpolated_multiline_string_start,
    STATE(8564), 1,
      sym_interpolated_string,
    ACTIONS(6906), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2452), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 4,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [320565] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7963), 1,
      sym_template_body,
    ACTIONS(3197), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3199), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [320592] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6918), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [320633] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6920), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [320674] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7962), 1,
      sym_template_body,
    ACTIONS(3041), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3043), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [320701] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6922), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [320742] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6662), 1,
      anon_sym_LBRACK,
    ACTIONS(6666), 1,
      anon_sym_POUND,
    ACTIONS(6924), 1,
      anon_sym_AT,
    STATE(8378), 1,
      sym_type_arguments,
    ACTIONS(2028), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8719), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2030), 7,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [320775] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6926), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [320816] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6928), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [320857] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6930), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [320898] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6932), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [320939] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3257), 9,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [320962] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7958), 1,
      sym_block,
    ACTIONS(3430), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3432), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [320987] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6949), 1,
      aux_sym__block_repeat1,
    ACTIONS(5781), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2262), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [321014] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7956), 1,
      sym_block,
    ACTIONS(3426), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3428), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321039] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7951), 1,
      sym_template_body,
    ACTIONS(3409), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3411), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321066] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7948), 1,
      sym_template_body,
    ACTIONS(3397), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3399), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321091] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7943), 1,
      sym_block,
    ACTIONS(3393), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3395), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321116] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7935), 1,
      sym_template_body,
    ACTIONS(3375), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3377), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321141] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3300), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [321164] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3927), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [321187] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3919), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [321210] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6913), 1,
      aux_sym__block_repeat1,
    ACTIONS(6934), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(607), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [321237] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5558), 1,
      anon_sym_finally,
    STATE(8357), 1,
      sym_finally_clause,
    ACTIONS(3298), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [321264] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6936), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [321305] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6952), 1,
      aux_sym__block_repeat1,
    ACTIONS(6938), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2580), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321332] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3915), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [321355] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3209), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [321378] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(2558), 1,
      anon_sym_EQ_GT,
    ACTIONS(6853), 1,
      anon_sym_DOT,
    ACTIONS(6855), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_COLON,
    ACTIONS(6859), 1,
      anon_sym_EQ,
    ACTIONS(6861), 1,
      anon_sym_LPAREN,
    ACTIONS(6863), 1,
      anon_sym_match,
    ACTIONS(6941), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_type_arguments,
    ACTIONS(6851), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9036), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [321421] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3907), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [321444] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6943), 1,
      anon_sym_STAR,
    ACTIONS(3207), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3209), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [321469] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321492] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_finally,
    STATE(5407), 1,
      sym_finally_clause,
    ACTIONS(3298), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [321519] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3812), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321542] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3342), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3344), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321565] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3816), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321588] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3820), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321611] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7924), 1,
      sym_template_body,
    ACTIONS(3338), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3340), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321638] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7921), 1,
      sym_template_body,
    ACTIONS(3327), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3329), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321665] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7920), 1,
      sym_template_body,
    ACTIONS(3323), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3325), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321692] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3302), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3304), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321715] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7916), 1,
      sym_block,
    ACTIONS(3244), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3246), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321740] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3856), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321763] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3883), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321786] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3887), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321809] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3891), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321832] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3895), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321855] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7913), 1,
      sym_template_body,
    ACTIONS(3229), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3231), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321882] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7910), 1,
      sym_template_body,
    ACTIONS(3213), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3215), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321909] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3907), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321932] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7906), 1,
      sym_template_body,
    ACTIONS(3174), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3176), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321959] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [321982] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3915), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322005] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3919), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322028] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3927), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322051] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322074] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6947), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2670), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6945), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [322115] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6947), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2679), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6945), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [322156] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(2558), 1,
      anon_sym_EQ_GT,
    ACTIONS(6853), 1,
      anon_sym_DOT,
    ACTIONS(6855), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_COLON,
    ACTIONS(6859), 1,
      anon_sym_EQ,
    ACTIONS(6861), 1,
      anon_sym_LPAREN,
    ACTIONS(6863), 1,
      anon_sym_match,
    ACTIONS(6949), 1,
      anon_sym_else,
    STATE(9029), 1,
      sym_type_arguments,
    ACTIONS(6851), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9036), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [322199] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2730), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [322222] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6764), 1,
      sym__interpolated_string_start,
    ACTIONS(6766), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(6951), 1,
      anon_sym_EQ_GT,
    STATE(8238), 1,
      sym_interpolated_string,
    ACTIONS(2452), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [322253] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7902), 1,
      sym_block,
    ACTIONS(3147), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3149), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322278] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7900), 1,
      sym_block,
    ACTIONS(3127), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3129), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322303] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7895), 1,
      sym_template_body,
    ACTIONS(3086), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3088), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322330] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7892), 1,
      sym_template_body,
    ACTIONS(3078), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3080), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322355] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7890), 1,
      sym_block,
    ACTIONS(3066), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3068), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322380] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3895), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [322403] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3943), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322426] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3951), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322449] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3891), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [322472] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3955), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322495] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3292), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3294), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322518] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3294), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [322543] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322566] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3887), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [322589] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322612] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3883), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [322635] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3856), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [322658] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3037), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3039), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322681] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7886), 1,
      sym_template_body,
    ACTIONS(3045), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3047), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322708] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5180), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2928), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2926), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [322733] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3049), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3051), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322756] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7885), 1,
      sym_template_body,
    ACTIONS(3074), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3076), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322783] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7882), 1,
      sym_template_body,
    ACTIONS(3092), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3094), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322810] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7866), 1,
      sym_template_body,
    ACTIONS(3113), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3115), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322837] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7203), 1,
      aux_sym__block_repeat1,
    ACTIONS(6953), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(607), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [322864] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6955), 1,
      anon_sym_EQ,
    ACTIONS(3180), 5,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3178), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [322891] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6957), 1,
      anon_sym_EQ,
    ACTIONS(3168), 5,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3166), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [322918] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7012), 1,
      aux_sym__block_repeat1,
    ACTIONS(5900), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2262), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [322945] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7879), 1,
      sym_block,
    ACTIONS(3123), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3125), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322970] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7876), 1,
      sym_template_body,
    ACTIONS(3137), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3139), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [322997] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7873), 1,
      sym_template_body,
    ACTIONS(3155), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3157), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323024] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7870), 1,
      sym_template_body,
    ACTIONS(3190), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3192), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323051] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7869), 1,
      sym_block,
    ACTIONS(3201), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3203), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323076] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7867), 1,
      sym_block,
    ACTIONS(3221), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3223), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323101] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7754), 1,
      sym_template_body,
    ACTIONS(3371), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3373), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323128] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7918), 1,
      sym_template_body,
    ACTIONS(3269), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3271), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323155] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7024), 1,
      aux_sym__block_repeat1,
    ACTIONS(6959), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 6,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2580), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [323182] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7007), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2936), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2934), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [323207] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7865), 1,
      sym_template_body,
    ACTIONS(3405), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3407), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323234] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6952), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323259] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7862), 1,
      sym_template_body,
    ACTIONS(3385), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3387), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323286] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3257), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [323309] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7861), 1,
      sym_template_body,
    ACTIONS(3319), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3321), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323336] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7860), 1,
      sym_block,
    ACTIONS(3262), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3264), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323361] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(7859), 1,
      sym_template_body,
    ACTIONS(3217), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3219), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323388] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6964), 1,
      anon_sym_LPAREN,
    ACTIONS(6966), 1,
      anon_sym_POUND,
    STATE(8669), 1,
      sym_type_arguments,
    STATE(8668), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2042), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(2044), 5,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [323421] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3119), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3121), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323444] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2558), 1,
      anon_sym_while,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6947), 1,
      anon_sym_EQ,
    ACTIONS(6968), 1,
      anon_sym_else,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(6945), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [323487] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2558), 1,
      anon_sym_while,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6947), 1,
      anon_sym_EQ,
    ACTIONS(6970), 1,
      anon_sym_else,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(6945), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [323530] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_EQ_GT,
    ACTIONS(6914), 1,
      sym__interpolated_string_start,
    ACTIONS(6916), 1,
      sym__interpolated_multiline_string_start,
    STATE(8564), 1,
      sym_interpolated_string,
    ACTIONS(2454), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2452), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [323561] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8748), 1,
      sym_block,
    STATE(7278), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2805), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2807), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [323588] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5552), 1,
      anon_sym_finally,
    STATE(6170), 1,
      sym_finally_clause,
    ACTIONS(3300), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3298), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [323615] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(6972), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [323656] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2556), 1,
      anon_sym_RPAREN,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6867), 1,
      anon_sym_EQ,
    ACTIONS(6974), 1,
      anon_sym_else,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(6865), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [323699] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6976), 1,
      anon_sym_COMMA,
    STATE(7042), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3011), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3013), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [323726] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6979), 1,
      anon_sym_EQ,
    ACTIONS(3168), 5,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3166), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [323753] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6981), 1,
      anon_sym_EQ,
    ACTIONS(3180), 5,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3178), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [323780] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6983), 1,
      anon_sym_STAR,
    ACTIONS(3207), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323805] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2677), 1,
      anon_sym_RPAREN,
    ACTIONS(2679), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6867), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(6865), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [323848] = 13,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(2668), 1,
      anon_sym_RPAREN,
    ACTIONS(2670), 1,
      anon_sym_else,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6867), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(6865), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [323891] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323914] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6985), 1,
      anon_sym_LPAREN,
    STATE(7049), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2949), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2951), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [323941] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323964] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3159), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3161), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [323987] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_with,
    STATE(7052), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2482), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [324014] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6991), 1,
      anon_sym_EQ,
    ACTIONS(3166), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3168), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [324041] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6993), 1,
      anon_sym_with,
    STATE(7065), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [324068] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(6995), 1,
      anon_sym_EQ,
    ACTIONS(3178), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3180), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [324095] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4713), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [324120] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [324143] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [324166] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3820), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [324189] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [324212] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3816), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [324235] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2730), 9,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [324258] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5508), 1,
      anon_sym_with,
    STATE(4000), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(5568), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [324287] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 8,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [324312] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6993), 1,
      anon_sym_with,
    STATE(7052), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2435), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [324339] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4675), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [324364] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3852), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [324387] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6993), 1,
      anon_sym_with,
    STATE(7065), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6997), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [324418] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3812), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [324441] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2578), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2580), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [324464] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_with,
    STATE(5868), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6177), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [324493] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(2677), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [324534] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5622), 1,
      anon_sym_with,
    STATE(4211), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(5620), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_match,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [324563] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(2668), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [324604] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [324627] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [324650] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7088), 1,
      aux_sym__block_repeat1,
    ACTIONS(607), 6,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(605), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [324675] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4703), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [324700] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8660), 1,
      sym_block,
    STATE(7278), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2880), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2882), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [324727] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8657), 1,
      sym_block,
    STATE(7038), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2874), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2876), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [324754] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5595), 1,
      anon_sym_extends,
    STATE(8416), 1,
      sym_extends_clause,
    STATE(8640), 1,
      sym_template_body,
    ACTIONS(2801), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2803), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [324783] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [324806] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5675), 1,
      anon_sym_finally,
    STATE(5035), 1,
      sym_finally_clause,
    ACTIONS(3298), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [324833] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8632), 1,
      sym_block,
    STATE(7278), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2797), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2799), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [324860] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5503), 1,
      anon_sym_with,
    STATE(3998), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(5578), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 5,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [324889] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 9,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [324912] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(2423), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [324953] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7088), 1,
      aux_sym__block_repeat1,
    ACTIONS(6999), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 6,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2580), 6,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [324980] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7432), 1,
      sym_access_qualifier,
    ACTIONS(2999), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3001), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [325005] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [325028] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4017), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4019), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325051] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4041), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4043), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325074] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4049), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4051), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325097] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4053), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4055), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325120] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4069), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4071), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325143] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4029), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4031), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325166] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4021), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4023), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325189] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5595), 1,
      anon_sym_extends,
    STATE(8478), 1,
      sym_extends_clause,
    STATE(8597), 1,
      sym_template_body,
    ACTIONS(2791), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2793), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [325218] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_LPAREN,
    ACTIONS(7006), 1,
      anon_sym_POUND,
    STATE(8566), 1,
      sym_type_arguments,
    ACTIONS(2042), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8603), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2044), 7,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [325251] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3897), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3899), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325274] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3846), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3848), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325297] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3834), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3836), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325320] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3786), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3788), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325343] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3741), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3743), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325366] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3710), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3712), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325389] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [325412] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3618), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3620), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325435] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5595), 1,
      anon_sym_extends,
    STATE(8227), 1,
      sym_extends_clause,
    STATE(8775), 1,
      sym_template_body,
    ACTIONS(2864), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2866), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [325464] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3574), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3576), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325487] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3547), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3549), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325510] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(7008), 1,
      anon_sym_EQ,
    ACTIONS(3180), 5,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3178), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [325537] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3537), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3539), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325560] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3527), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3529), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325583] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3503), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3505), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325606] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3468), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3470), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325629] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3455), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3457), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325652] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3476), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3478), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325675] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3497), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3499), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325698] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3511), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3513), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325721] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [325744] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3523), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3525), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325767] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3563), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3565), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325790] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3584), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3586), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325813] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3588), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3590), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325836] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3606), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3608), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325859] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [325882] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3650), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3652), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325905] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3704), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3706), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325928] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3718), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3720), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [325951] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(7010), 1,
      anon_sym_EQ,
    ACTIONS(3168), 5,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3166), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [325978] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3802), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3804), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326001] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [326024] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3434), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3436), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326047] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(2396), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [326088] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3981), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3983), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326111] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3646), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [326134] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [326157] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3987), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3989), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326180] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [326203] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3445), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3447), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326226] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3929), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3931), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326249] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4085), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4087), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326272] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4081), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4083), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326295] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4077), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4079), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326318] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8830), 1,
      sym_block,
    STATE(7255), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2854), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2856), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [326345] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4073), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4075), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326368] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4065), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4067), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326391] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(6853), 1,
      anon_sym_DOT,
    ACTIONS(6855), 1,
      anon_sym_LBRACK,
    ACTIONS(6861), 1,
      anon_sym_LPAREN,
    STATE(9029), 1,
      sym_type_arguments,
    STATE(9036), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [326424] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4061), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4063), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326447] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4057), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4059), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326470] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8834), 1,
      sym_block,
    STATE(7278), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2850), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2852), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [326497] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4045), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4047), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326520] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7186), 1,
      aux_sym__block_repeat1,
    ACTIONS(5934), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2262), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326547] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4037), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4039), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326570] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4025), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4027), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326593] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4013), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4015), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326616] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6947), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2425), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6945), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [326657] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6947), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2398), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6945), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [326698] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4007), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4009), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326721] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4003), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4005), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326744] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3999), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4001), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326767] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3995), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3997), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326790] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3991), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3993), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326813] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3977), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3979), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326836] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(6853), 1,
      anon_sym_DOT,
    ACTIONS(6855), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_COLON,
    ACTIONS(6859), 1,
      anon_sym_EQ,
    ACTIONS(6861), 1,
      anon_sym_LPAREN,
    ACTIONS(6863), 1,
      anon_sym_match,
    STATE(9029), 1,
      sym_type_arguments,
    ACTIONS(2670), 2,
      anon_sym_EQ_GT,
      anon_sym_else,
    ACTIONS(6851), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9036), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [326877] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3973), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3975), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326900] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(6853), 1,
      anon_sym_DOT,
    ACTIONS(6855), 1,
      anon_sym_LBRACK,
    ACTIONS(6861), 1,
      anon_sym_LPAREN,
    STATE(9029), 1,
      sym_type_arguments,
    STATE(9036), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [326933] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3969), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3971), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326956] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3965), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3967), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [326979] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(6853), 1,
      anon_sym_DOT,
    ACTIONS(6855), 1,
      anon_sym_LBRACK,
    ACTIONS(6861), 1,
      anon_sym_LPAREN,
    STATE(9029), 1,
      sym_type_arguments,
    STATE(9036), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [327012] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(2650), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [327053] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3961), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3963), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327076] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3957), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3959), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327099] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3945), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3947), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327122] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3937), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3939), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327145] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3933), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3935), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327168] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3921), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3923), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327191] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3901), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3903), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327214] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3877), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3879), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327237] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3873), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3875), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327260] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3869), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3871), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327283] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3865), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3867), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327306] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3861), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3863), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327329] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(2686), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [327370] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(2346), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [327411] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6952), 1,
      aux_sym__block_repeat1,
    ACTIONS(7012), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(607), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327438] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3842), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3844), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327461] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3838), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3840), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327484] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3830), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3832), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327507] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6138), 1,
      anon_sym_with,
    STATE(5729), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6150), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [327536] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7014), 1,
      anon_sym_DOT,
    ACTIONS(3379), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3381), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327561] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3826), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3828), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327584] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3822), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3824), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327607] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7016), 1,
      anon_sym_COMMA,
    STATE(7042), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2928), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [327634] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3806), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3808), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327657] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3634), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3636), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327680] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6947), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2356), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6945), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [327721] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7018), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 8,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [327746] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3790), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3792), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327769] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3714), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3716), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327792] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3780), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3782), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327815] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3776), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3778), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327838] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7203), 1,
      aux_sym__block_repeat1,
    ACTIONS(7020), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2580), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [327865] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(7023), 1,
      anon_sym_EQ,
    ACTIONS(3166), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3168), 7,
      anon_sym_COLON,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [327892] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(7025), 1,
      anon_sym_EQ,
    ACTIONS(3178), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3180), 7,
      anon_sym_COLON,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [327919] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7203), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [327944] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3772), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3774), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327967] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3768), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3770), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [327990] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3764), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3766), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328013] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3757), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3759), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328036] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3753), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3755), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328059] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3749), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3751), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328082] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3745), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3747), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328105] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3737), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3739), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328128] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3733), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3735), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328151] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3729), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3731), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328174] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3722), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3724), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328197] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3559), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3561), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328220] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3700), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3702), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328243] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3696), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3698), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328266] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3684), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3686), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328289] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7027), 1,
      anon_sym_LPAREN,
    STATE(7222), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2818), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2820), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [328316] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3676), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3678), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328339] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3668), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3670), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328362] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3664), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3666), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328385] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6947), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2348), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6945), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [328426] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6947), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2688), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6945), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [328467] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3602), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3604), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328490] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3541), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3543), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328513] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3507), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3509), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328536] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3490), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3492), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328559] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3486), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3488), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328582] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3472), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3474), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328605] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(2354), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6475), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [328646] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3441), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3443), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328669] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3449), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3451), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328692] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3462), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3464), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328715] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3515), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3517), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328738] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3519), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3521), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328761] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3592), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3594), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328784] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3596), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3598), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328807] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3622), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3624), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328830] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    ACTIONS(6277), 1,
      anon_sym_DOT,
    ACTIONS(6279), 1,
      anon_sym_LBRACK,
    ACTIONS(6281), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_match,
    ACTIONS(6947), 1,
      anon_sym_EQ,
    STATE(8241), 1,
      sym_type_arguments,
    ACTIONS(2652), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6945), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8239), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [328871] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3626), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3628), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328894] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3630), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3632), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [328917] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7016), 1,
      anon_sym_COMMA,
    STATE(7194), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2936), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [328944] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(4035), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [328967] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5728), 1,
      anon_sym_finally,
    STATE(7001), 1,
      sym_finally_clause,
    ACTIONS(3298), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3300), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
  [328994] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3638), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3640), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [329017] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3672), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3674), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [329040] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3680), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3682), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [329063] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3688), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3690), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [329086] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3692), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3694), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [329109] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3794), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3796), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [329132] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8683), 1,
      sym_block,
    STATE(7278), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2778), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2780), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [329159] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7030), 1,
      anon_sym_LBRACK,
    ACTIONS(7032), 1,
      anon_sym_LPAREN,
    ACTIONS(7034), 1,
      anon_sym_POUND,
    STATE(8844), 1,
      sym_type_arguments,
    ACTIONS(2042), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8847), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2044), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [329192] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5595), 1,
      anon_sym_extends,
    STATE(8379), 1,
      sym_extends_clause,
    STATE(8665), 1,
      sym_template_body,
    ACTIONS(2768), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2770), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [329221] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8615), 1,
      sym_block,
    STATE(7278), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2744), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2746), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [329248] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8630), 1,
      sym_block,
    STATE(7084), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2764), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2766), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [329275] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5760), 1,
      anon_sym_finally,
    STATE(7690), 1,
      sym_finally_clause,
    ACTIONS(3298), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
  [329302] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [329325] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3553), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [329348] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 8,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [329370] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7036), 1,
      sym_identifier,
    ACTIONS(7038), 1,
      anon_sym_LPAREN,
    STATE(3260), 1,
      sym__annotated_type,
    STATE(11803), 1,
      sym_stable_identifier,
    STATE(11829), 1,
      sym_parameter_types,
    STATE(3350), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4580), 2,
      sym__type,
      sym_function_type,
    STATE(2992), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329404] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10254), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329438] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9711), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329472] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_identifier,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(1309), 1,
      sym__annotated_type,
    STATE(11345), 1,
      sym_parameter_types,
    STATE(11364), 1,
      sym_stable_identifier,
    STATE(1663), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2215), 2,
      sym__type,
      sym_function_type,
    STATE(1073), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329506] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_identifier,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(1309), 1,
      sym__annotated_type,
    STATE(11345), 1,
      sym_parameter_types,
    STATE(11364), 1,
      sym_stable_identifier,
    STATE(1663), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2220), 2,
      sym__type,
      sym_function_type,
    STATE(1073), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329540] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_identifier,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(1309), 1,
      sym__annotated_type,
    STATE(11345), 1,
      sym_parameter_types,
    STATE(11364), 1,
      sym_stable_identifier,
    STATE(1663), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2221), 2,
      sym__type,
      sym_function_type,
    STATE(1073), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9712), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329608] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_identifier,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(1309), 1,
      sym__annotated_type,
    STATE(11345), 1,
      sym_parameter_types,
    STATE(11364), 1,
      sym_stable_identifier,
    STATE(1663), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2181), 2,
      sym__type,
      sym_function_type,
    STATE(1073), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329642] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7052), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [329682] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7054), 1,
      sym_identifier,
    ACTIONS(7056), 1,
      anon_sym_LPAREN,
    STATE(9261), 1,
      sym__annotated_type,
    STATE(11638), 1,
      sym_stable_identifier,
    STATE(11643), 1,
      sym_parameter_types,
    STATE(2879), 2,
      sym__type,
      sym_function_type,
    STATE(9508), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7908), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329716] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10181), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329750] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7060), 1,
      anon_sym_LPAREN,
    STATE(6534), 1,
      sym__annotated_type,
    STATE(11437), 1,
      sym_parameter_types,
    STATE(11438), 1,
      sym_stable_identifier,
    STATE(7907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8309), 2,
      sym__type,
      sym_function_type,
    STATE(4516), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329784] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10249), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329818] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7062), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [329858] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7064), 1,
      anon_sym_LPAREN,
    STATE(7278), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2949), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2951), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [329884] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10426), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329918] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7069), 1,
      anon_sym_LPAREN,
    STATE(3518), 1,
      sym__annotated_type,
    STATE(11346), 1,
      sym_parameter_types,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(3831), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5377), 2,
      sym__type,
      sym_function_type,
    STATE(3188), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329952] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7069), 1,
      anon_sym_LPAREN,
    STATE(3518), 1,
      sym__annotated_type,
    STATE(11346), 1,
      sym_parameter_types,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(3831), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5378), 2,
      sym__type,
      sym_function_type,
    STATE(3188), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [329986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_identifier,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(1309), 1,
      sym__annotated_type,
    STATE(11345), 1,
      sym_parameter_types,
    STATE(11364), 1,
      sym_stable_identifier,
    STATE(1663), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1952), 2,
      sym__type,
      sym_function_type,
    STATE(1073), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330020] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10504), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330054] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7071), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [330094] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(7073), 1,
      anon_sym_DOT,
    ACTIONS(7075), 1,
      anon_sym_LBRACK,
    ACTIONS(7077), 1,
      anon_sym_LPAREN,
    STATE(9130), 1,
      sym_type_arguments,
    STATE(9127), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2352), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [330126] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_identifier,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(1309), 1,
      sym__annotated_type,
    STATE(11345), 1,
      sym_parameter_types,
    STATE(11364), 1,
      sym_stable_identifier,
    STATE(1624), 2,
      sym__type,
      sym_function_type,
    STATE(1663), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1073), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330160] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10692), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330194] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10760), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330228] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7079), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [330268] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10825), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(3586), 1,
      sym__annotated_type,
    STATE(11407), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(4187), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4574), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330336] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10886), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330370] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5747), 1,
      anon_sym_finally,
    STATE(6170), 1,
      sym_finally_clause,
    ACTIONS(3298), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [330396] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7085), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [330436] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10741), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330470] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10688), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330504] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6828), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [330544] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(3586), 1,
      sym__annotated_type,
    STATE(11407), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(4187), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4757), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330578] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(3586), 1,
      sym__annotated_type,
    STATE(11407), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(4187), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4624), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330612] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7091), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [330652] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(2670), 1,
      anon_sym_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_DOT,
    ACTIONS(7075), 1,
      anon_sym_LBRACK,
    ACTIONS(7077), 1,
      anon_sym_LPAREN,
    ACTIONS(7095), 1,
      anon_sym_COLON,
    ACTIONS(7097), 1,
      anon_sym_EQ,
    ACTIONS(7099), 1,
      anon_sym_match,
    STATE(9130), 1,
      sym_type_arguments,
    ACTIONS(7093), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9127), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [330692] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(2679), 1,
      anon_sym_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_DOT,
    ACTIONS(7075), 1,
      anon_sym_LBRACK,
    ACTIONS(7077), 1,
      anon_sym_LPAREN,
    ACTIONS(7095), 1,
      anon_sym_COLON,
    ACTIONS(7097), 1,
      anon_sym_EQ,
    ACTIONS(7099), 1,
      anon_sym_match,
    STATE(9130), 1,
      sym_type_arguments,
    ACTIONS(7093), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9127), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [330732] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_identifier,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(1309), 1,
      sym__annotated_type,
    STATE(11345), 1,
      sym_parameter_types,
    STATE(11364), 1,
      sym_stable_identifier,
    STATE(1663), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2128), 2,
      sym__type,
      sym_function_type,
    STATE(1073), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330766] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(7073), 1,
      anon_sym_DOT,
    ACTIONS(7075), 1,
      anon_sym_LBRACK,
    ACTIONS(7077), 1,
      anon_sym_LPAREN,
    STATE(9130), 1,
      sym_type_arguments,
    STATE(9127), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2664), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [330798] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10597), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330832] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(7073), 1,
      anon_sym_DOT,
    ACTIONS(7075), 1,
      anon_sym_LBRACK,
    ACTIONS(7077), 1,
      anon_sym_LPAREN,
    STATE(9130), 1,
      sym_type_arguments,
    STATE(9127), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(2660), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [330864] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330898] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7101), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [330938] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10400), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [330972] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10356), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331006] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(3586), 1,
      sym__annotated_type,
    STATE(11407), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(4187), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4352), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331040] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(3586), 1,
      sym__annotated_type,
    STATE(11407), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(4187), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4284), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331074] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(3586), 1,
      sym__annotated_type,
    STATE(11407), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(4187), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4374), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331108] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7030), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_POUND,
    ACTIONS(7103), 1,
      anon_sym_AT,
    STATE(8844), 1,
      sym_type_arguments,
    ACTIONS(2028), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8937), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2030), 6,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [331140] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7105), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [331180] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7107), 1,
      anon_sym_COMMA,
    STATE(7338), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2928), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [331206] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10183), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331240] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7107), 1,
      anon_sym_COMMA,
    STATE(7316), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2936), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [331266] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9001), 1,
      sym_access_modifier,
    STATE(9570), 1,
      sym_extends_clause,
    STATE(10024), 1,
      sym_template_body,
    ACTIONS(6798), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(9002), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2110), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [331302] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7109), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [331342] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9800), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331376] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9811), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331410] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10685), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331444] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(2425), 1,
      anon_sym_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_DOT,
    ACTIONS(7075), 1,
      anon_sym_LBRACK,
    ACTIONS(7077), 1,
      anon_sym_LPAREN,
    ACTIONS(7095), 1,
      anon_sym_COLON,
    ACTIONS(7097), 1,
      anon_sym_EQ,
    ACTIONS(7099), 1,
      anon_sym_match,
    STATE(9130), 1,
      sym_type_arguments,
    ACTIONS(7093), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9127), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [331484] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2491), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [331508] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_identifier,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(1309), 1,
      sym__annotated_type,
    STATE(11345), 1,
      sym_parameter_types,
    STATE(11364), 1,
      sym_stable_identifier,
    STATE(1663), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2111), 2,
      sym__type,
      sym_function_type,
    STATE(1073), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331542] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6812), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [331582] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10561), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331616] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7069), 1,
      anon_sym_LPAREN,
    STATE(3518), 1,
      sym__annotated_type,
    STATE(11346), 1,
      sym_parameter_types,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(3831), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5760), 2,
      sym__type,
      sym_function_type,
    STATE(3188), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331650] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7069), 1,
      anon_sym_LPAREN,
    STATE(3518), 1,
      sym__annotated_type,
    STATE(11346), 1,
      sym_parameter_types,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(3831), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5759), 2,
      sym__type,
      sym_function_type,
    STATE(3188), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331684] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7115), 1,
      anon_sym_LPAREN,
    STATE(3853), 1,
      sym__annotated_type,
    STATE(11370), 1,
      sym_parameter_types,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(4561), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6746), 2,
      sym__type,
      sym_function_type,
    STATE(3277), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331718] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7115), 1,
      anon_sym_LPAREN,
    STATE(3853), 1,
      sym__annotated_type,
    STATE(11370), 1,
      sym_parameter_types,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(4561), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6745), 2,
      sym__type,
      sym_function_type,
    STATE(3277), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331752] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    STATE(3578), 1,
      sym__annotated_type,
    STATE(11404), 1,
      sym_parameter_types,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(4181), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6110), 2,
      sym__type,
      sym_function_type,
    STATE(3256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331786] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(3586), 1,
      sym__annotated_type,
    STATE(11407), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(4187), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4390), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331820] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    STATE(3578), 1,
      sym__annotated_type,
    STATE(11404), 1,
      sym_parameter_types,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(4181), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6112), 2,
      sym__type,
      sym_function_type,
    STATE(3256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331854] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_identifier,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(1309), 1,
      sym__annotated_type,
    STATE(11345), 1,
      sym_parameter_types,
    STATE(11364), 1,
      sym_stable_identifier,
    STATE(1663), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2052), 2,
      sym__type,
      sym_function_type,
    STATE(1073), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331888] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7121), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [331928] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7123), 1,
      anon_sym_COMMA,
    STATE(7338), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3011), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3013), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [331954] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(7598), 1,
      sym__annotated_type,
    STATE(11319), 1,
      sym_parameter_types,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(8394), 2,
      sym__type,
      sym_function_type,
    STATE(8580), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [331988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9802), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332022] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9799), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332056] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10708), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332090] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7130), 1,
      sym_identifier,
    ACTIONS(7132), 1,
      anon_sym_LPAREN,
    STATE(9065), 1,
      sym__annotated_type,
    STATE(11649), 1,
      sym_stable_identifier,
    STATE(11656), 1,
      sym_parameter_types,
    STATE(2879), 2,
      sym__type,
      sym_function_type,
    STATE(9393), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6933), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332124] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(7598), 1,
      sym__annotated_type,
    STATE(11319), 1,
      sym_parameter_types,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(8580), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8777), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332158] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(4067), 1,
      sym__annotated_type,
    STATE(11447), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(5256), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5908), 2,
      sym__type,
      sym_function_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332192] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7138), 1,
      sym_identifier,
    ACTIONS(7140), 1,
      anon_sym_LPAREN,
    STATE(1245), 1,
      sym__annotated_type,
    STATE(11339), 1,
      sym_stable_identifier,
    STATE(11343), 1,
      sym_parameter_types,
    STATE(1588), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1700), 2,
      sym__type,
      sym_function_type,
    STATE(1055), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332226] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10197), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332260] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7138), 1,
      sym_identifier,
    ACTIONS(7140), 1,
      anon_sym_LPAREN,
    STATE(1245), 1,
      sym__annotated_type,
    STATE(11339), 1,
      sym_stable_identifier,
    STATE(11343), 1,
      sym_parameter_types,
    STATE(1588), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1702), 2,
      sym__type,
      sym_function_type,
    STATE(1055), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332294] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10657), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332328] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7069), 1,
      anon_sym_LPAREN,
    STATE(3518), 1,
      sym__annotated_type,
    STATE(11346), 1,
      sym_parameter_types,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(3831), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6733), 2,
      sym__type,
      sym_function_type,
    STATE(3188), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332362] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7069), 1,
      anon_sym_LPAREN,
    STATE(3518), 1,
      sym__annotated_type,
    STATE(11346), 1,
      sym_parameter_types,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(3831), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6724), 2,
      sym__type,
      sym_function_type,
    STATE(3188), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332396] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7115), 1,
      anon_sym_LPAREN,
    STATE(3853), 1,
      sym__annotated_type,
    STATE(11370), 1,
      sym_parameter_types,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(4561), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7360), 2,
      sym__type,
      sym_function_type,
    STATE(3277), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332430] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7115), 1,
      anon_sym_LPAREN,
    STATE(3853), 1,
      sym__annotated_type,
    STATE(11370), 1,
      sym_parameter_types,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(4561), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7361), 2,
      sym__type,
      sym_function_type,
    STATE(3277), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332464] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    STATE(3578), 1,
      sym__annotated_type,
    STATE(11404), 1,
      sym_parameter_types,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(4181), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7205), 2,
      sym__type,
      sym_function_type,
    STATE(3256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332498] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    STATE(3578), 1,
      sym__annotated_type,
    STATE(11404), 1,
      sym_parameter_types,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(4181), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7204), 2,
      sym__type,
      sym_function_type,
    STATE(3256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332532] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7142), 1,
      sym_identifier,
    ACTIONS(7144), 1,
      anon_sym_LPAREN,
    STATE(2547), 1,
      sym__annotated_type,
    STATE(11426), 1,
      sym_parameter_types,
    STATE(11430), 1,
      sym_stable_identifier,
    STATE(2917), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3110), 2,
      sym__type,
      sym_function_type,
    STATE(1580), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332566] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(9305), 1,
      sym__annotated_type,
    STATE(11622), 1,
      sym_stable_identifier,
    STATE(11635), 1,
      sym_parameter_types,
    STATE(2879), 2,
      sym__type,
      sym_function_type,
    STATE(9554), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8527), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332600] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(7598), 1,
      sym__annotated_type,
    STATE(11319), 1,
      sym_parameter_types,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(8580), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8699), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332634] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7365), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [332658] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(7150), 1,
      anon_sym_EQ,
    ACTIONS(3178), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3180), 6,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [332684] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(7152), 1,
      anon_sym_EQ,
    ACTIONS(3166), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3168), 6,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [332710] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(7598), 1,
      sym__annotated_type,
    STATE(11319), 1,
      sym_parameter_types,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(8580), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8681), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332744] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(7598), 1,
      sym__annotated_type,
    STATE(11319), 1,
      sym_parameter_types,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(8580), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8676), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332778] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(7598), 1,
      sym__annotated_type,
    STATE(11319), 1,
      sym_parameter_types,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(8580), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8647), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332812] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7365), 1,
      aux_sym__block_repeat1,
    ACTIONS(7154), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2580), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [332838] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7157), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [332878] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9752), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332912] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9747), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [332946] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7159), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [332986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10359), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333020] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(4035), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [333042] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10125), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333076] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10325), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333110] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 8,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [333132] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6287), 1,
      anon_sym_LPAREN,
    STATE(7380), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(2224), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [333158] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 8,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [333180] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(7598), 1,
      sym__annotated_type,
    STATE(11319), 1,
      sym_parameter_types,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(8580), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8619), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333214] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(7598), 1,
      sym__annotated_type,
    STATE(11319), 1,
      sym_parameter_types,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(8580), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8741), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333248] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      sym_identifier,
    ACTIONS(7163), 1,
      anon_sym_LPAREN,
    STATE(1550), 1,
      sym__annotated_type,
    STATE(11360), 1,
      sym_parameter_types,
    STATE(11372), 1,
      sym_stable_identifier,
    STATE(2157), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2251), 2,
      sym__type,
      sym_function_type,
    STATE(1094), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333282] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7165), 1,
      anon_sym_LPAREN,
    STATE(7380), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(2238), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [333308] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6810), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [333348] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10250), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333382] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 8,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [333404] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7069), 1,
      anon_sym_LPAREN,
    STATE(5730), 1,
      sym__annotated_type,
    STATE(11333), 1,
      sym_parameter_types,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(6673), 2,
      sym__type,
      sym_function_type,
    STATE(6715), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3188), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333438] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    STATE(3578), 1,
      sym__annotated_type,
    STATE(11404), 1,
      sym_parameter_types,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(4181), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6695), 2,
      sym__type,
      sym_function_type,
    STATE(3256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333472] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    STATE(3578), 1,
      sym__annotated_type,
    STATE(11404), 1,
      sym_parameter_types,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(4181), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6699), 2,
      sym__type,
      sym_function_type,
    STATE(3256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333506] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(6132), 1,
      sym__annotated_type,
    STATE(11331), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(7056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7076), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333540] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7115), 1,
      anon_sym_LPAREN,
    STATE(6707), 1,
      sym__annotated_type,
    STATE(11329), 1,
      sym_parameter_types,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(7593), 2,
      sym__type,
      sym_function_type,
    STATE(7657), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3277), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(7598), 1,
      sym__annotated_type,
    STATE(11319), 1,
      sym_parameter_types,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(8580), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8786), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333608] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7115), 1,
      anon_sym_LPAREN,
    STATE(3853), 1,
      sym__annotated_type,
    STATE(11370), 1,
      sym_parameter_types,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(4561), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7043), 2,
      sym__type,
      sym_function_type,
    STATE(3277), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333642] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(7063), 1,
      sym__annotated_type,
    STATE(11328), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(8479), 2,
      sym__type,
      sym_function_type,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333676] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6313), 1,
      sym_identifier,
    ACTIONS(6317), 1,
      anon_sym_LPAREN,
    STATE(5712), 1,
      sym__annotated_type,
    STATE(11327), 1,
      sym_parameter_types,
    STATE(11452), 1,
      sym_stable_identifier,
    STATE(6659), 2,
      sym__type,
      sym_function_type,
    STATE(6698), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3201), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333710] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      sym_identifier,
    ACTIONS(7163), 1,
      anon_sym_LPAREN,
    STATE(1550), 1,
      sym__annotated_type,
    STATE(11360), 1,
      sym_parameter_types,
    STATE(11372), 1,
      sym_stable_identifier,
    STATE(2157), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2236), 2,
      sym__type,
      sym_function_type,
    STATE(1094), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333744] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    STATE(6139), 1,
      sym__annotated_type,
    STATE(11326), 1,
      sym_parameter_types,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(7066), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7082), 2,
      sym__type,
      sym_function_type,
    STATE(3256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333778] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(6626), 1,
      sym__annotated_type,
    STATE(11325), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(7561), 2,
      sym__type,
      sym_function_type,
    STATE(7629), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333812] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 1,
      sym_identifier,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    STATE(6685), 1,
      sym__annotated_type,
    STATE(11324), 1,
      sym_parameter_types,
    STATE(11482), 1,
      sym_stable_identifier,
    STATE(7553), 2,
      sym__type,
      sym_function_type,
    STATE(7622), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3267), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333846] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 1,
      sym_identifier,
    ACTIONS(7174), 1,
      anon_sym_LPAREN,
    STATE(7071), 1,
      sym__annotated_type,
    STATE(11323), 1,
      sym_parameter_types,
    STATE(11406), 1,
      sym_stable_identifier,
    STATE(8425), 2,
      sym__type,
      sym_function_type,
    STATE(8526), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3907), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333880] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(7073), 1,
      sym__annotated_type,
    STATE(11321), 1,
      sym_parameter_types,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(8407), 2,
      sym__type,
      sym_function_type,
    STATE(8502), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333914] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(7598), 1,
      sym__annotated_type,
    STATE(11319), 1,
      sym_parameter_types,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(8580), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8658), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333948] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(6626), 1,
      sym__annotated_type,
    STATE(11325), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(6870), 2,
      sym__type,
      sym_function_type,
    STATE(7629), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [333982] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7115), 1,
      anon_sym_LPAREN,
    STATE(3853), 1,
      sym__annotated_type,
    STATE(11370), 1,
      sym_parameter_types,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(4561), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7044), 2,
      sym__type,
      sym_function_type,
    STATE(3277), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334016] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      sym_identifier,
    ACTIONS(6397), 1,
      anon_sym_LPAREN,
    STATE(6155), 1,
      sym__annotated_type,
    STATE(11318), 1,
      sym_parameter_types,
    STATE(11537), 1,
      sym_stable_identifier,
    STATE(7078), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7086), 2,
      sym__type,
      sym_function_type,
    STATE(3203), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334050] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7180), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [334090] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7060), 1,
      anon_sym_LPAREN,
    STATE(8476), 1,
      sym__annotated_type,
    STATE(11340), 1,
      sym_parameter_types,
    STATE(11438), 1,
      sym_stable_identifier,
    STATE(8982), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9015), 2,
      sym__type,
      sym_function_type,
    STATE(4516), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334124] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(3586), 1,
      sym__annotated_type,
    STATE(11407), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(4187), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4659), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334158] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7069), 1,
      anon_sym_LPAREN,
    STATE(3518), 1,
      sym__annotated_type,
    STATE(11346), 1,
      sym_parameter_types,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(3831), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6056), 2,
      sym__type,
      sym_function_type,
    STATE(3188), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334192] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(6626), 1,
      sym__annotated_type,
    STATE(11325), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(7629), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8148), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334226] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10761), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334260] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(3586), 1,
      sym__annotated_type,
    STATE(11407), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(3996), 2,
      sym__type,
      sym_function_type,
    STATE(4187), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334294] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(7073), 1,
      sym__annotated_type,
    STATE(11321), 1,
      sym_parameter_types,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(8261), 2,
      sym__type,
      sym_function_type,
    STATE(8502), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334328] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(7073), 1,
      sym__annotated_type,
    STATE(11321), 1,
      sym_parameter_types,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(8248), 2,
      sym__type,
      sym_function_type,
    STATE(8502), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334362] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      sym_identifier,
    ACTIONS(6348), 1,
      anon_sym_LPAREN,
    STATE(6658), 1,
      sym__annotated_type,
    STATE(11341), 1,
      sym_parameter_types,
    STATE(11444), 1,
      sym_stable_identifier,
    STATE(7473), 2,
      sym__type,
      sym_function_type,
    STATE(7575), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3781), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334396] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6325), 1,
      sym_identifier,
    ACTIONS(6329), 1,
      anon_sym_LPAREN,
    STATE(1136), 1,
      sym__annotated_type,
    STATE(11366), 1,
      sym_parameter_types,
    STATE(11379), 1,
      sym_stable_identifier,
    STATE(1472), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1754), 2,
      sym__type,
      sym_function_type,
    STATE(1058), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334430] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7138), 1,
      sym_identifier,
    ACTIONS(7140), 1,
      anon_sym_LPAREN,
    STATE(1245), 1,
      sym__annotated_type,
    STATE(11339), 1,
      sym_stable_identifier,
    STATE(11343), 1,
      sym_parameter_types,
    STATE(1588), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1829), 2,
      sym__type,
      sym_function_type,
    STATE(1055), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334464] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(2398), 1,
      anon_sym_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_DOT,
    ACTIONS(7075), 1,
      anon_sym_LBRACK,
    ACTIONS(7077), 1,
      anon_sym_LPAREN,
    ACTIONS(7095), 1,
      anon_sym_COLON,
    ACTIONS(7097), 1,
      anon_sym_EQ,
    ACTIONS(7099), 1,
      anon_sym_match,
    STATE(9130), 1,
      sym_type_arguments,
    ACTIONS(7093), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9127), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [334504] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_identifier,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(1309), 1,
      sym__annotated_type,
    STATE(11345), 1,
      sym_parameter_types,
    STATE(11364), 1,
      sym_stable_identifier,
    STATE(1663), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2171), 2,
      sym__type,
      sym_function_type,
    STATE(1073), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334538] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7454), 1,
      aux_sym__block_repeat1,
    ACTIONS(6185), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2262), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2260), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [334564] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7069), 1,
      anon_sym_LPAREN,
    STATE(3518), 1,
      sym__annotated_type,
    STATE(11346), 1,
      sym_parameter_types,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(3831), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4078), 2,
      sym__type,
      sym_function_type,
    STATE(3188), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334598] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_DOT,
    ACTIONS(7075), 1,
      anon_sym_LBRACK,
    ACTIONS(7077), 1,
      anon_sym_LPAREN,
    ACTIONS(7095), 1,
      anon_sym_COLON,
    ACTIONS(7097), 1,
      anon_sym_EQ,
    ACTIONS(7099), 1,
      anon_sym_match,
    STATE(9130), 1,
      sym_type_arguments,
    ACTIONS(7093), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9127), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [334638] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_LPAREN,
    STATE(1951), 1,
      sym__annotated_type,
    STATE(11419), 1,
      sym_parameter_types,
    STATE(11421), 1,
      sym_stable_identifier,
    STATE(2679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3000), 2,
      sym__type,
      sym_function_type,
    STATE(1359), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334672] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 1,
      sym_identifier,
    ACTIONS(6456), 1,
      anon_sym_LPAREN,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(11349), 1,
      sym_parameter_types,
    STATE(11602), 1,
      sym_stable_identifier,
    STATE(8225), 2,
      sym__type,
      sym_function_type,
    STATE(8417), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3369), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334706] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_LPAREN,
    STATE(9309), 1,
      sym__annotated_type,
    STATE(11609), 1,
      sym_stable_identifier,
    STATE(11618), 1,
      sym_parameter_types,
    STATE(2879), 2,
      sym__type,
      sym_function_type,
    STATE(9626), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8200), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334740] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(2348), 1,
      anon_sym_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_DOT,
    ACTIONS(7075), 1,
      anon_sym_LBRACK,
    ACTIONS(7077), 1,
      anon_sym_LPAREN,
    ACTIONS(7095), 1,
      anon_sym_COLON,
    ACTIONS(7097), 1,
      anon_sym_EQ,
    ACTIONS(7099), 1,
      anon_sym_match,
    STATE(9130), 1,
      sym_type_arguments,
    ACTIONS(7093), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9127), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [334780] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(2688), 1,
      anon_sym_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_DOT,
    ACTIONS(7075), 1,
      anon_sym_LBRACK,
    ACTIONS(7077), 1,
      anon_sym_LPAREN,
    ACTIONS(7095), 1,
      anon_sym_COLON,
    ACTIONS(7097), 1,
      anon_sym_EQ,
    ACTIONS(7099), 1,
      anon_sym_match,
    STATE(9130), 1,
      sym_type_arguments,
    ACTIONS(7093), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9127), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [334820] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_DOT,
    ACTIONS(7075), 1,
      anon_sym_LBRACK,
    ACTIONS(7077), 1,
      anon_sym_LPAREN,
    ACTIONS(7095), 1,
      anon_sym_COLON,
    ACTIONS(7097), 1,
      anon_sym_EQ,
    ACTIONS(7099), 1,
      anon_sym_match,
    STATE(9130), 1,
      sym_type_arguments,
    ACTIONS(7093), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9127), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [334860] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(6626), 1,
      sym__annotated_type,
    STATE(11325), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(7629), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7964), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334894] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7431), 1,
      aux_sym__block_repeat1,
    ACTIONS(6100), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2262), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [334920] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7190), 1,
      sym_identifier,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    STATE(7531), 1,
      sym__annotated_type,
    STATE(11355), 1,
      sym_parameter_types,
    STATE(11455), 1,
      sym_stable_identifier,
    STATE(8649), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8795), 2,
      sym__type,
      sym_function_type,
    STATE(4003), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334954] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym_identifier,
    ACTIONS(6230), 1,
      anon_sym_LPAREN,
    STATE(7522), 1,
      sym__annotated_type,
    STATE(11357), 1,
      sym_parameter_types,
    STATE(11470), 1,
      sym_stable_identifier,
    STATE(8667), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8797), 2,
      sym__type,
      sym_function_type,
    STATE(4064), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [334988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(6626), 1,
      sym__annotated_type,
    STATE(11325), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(7629), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8003), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335022] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7618), 1,
      aux_sym__block_repeat1,
    ACTIONS(7194), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(607), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [335048] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3119), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3121), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [335070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(6626), 1,
      sym__annotated_type,
    STATE(11325), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(7629), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8002), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335104] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(6626), 1,
      sym__annotated_type,
    STATE(11325), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(7629), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7996), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335138] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      sym_identifier,
    ACTIONS(7163), 1,
      anon_sym_LPAREN,
    STATE(1550), 1,
      sym__annotated_type,
    STATE(11360), 1,
      sym_parameter_types,
    STATE(11372), 1,
      sym_stable_identifier,
    STATE(2157), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2348), 2,
      sym__type,
      sym_function_type,
    STATE(1094), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335172] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7198), 1,
      anon_sym_LPAREN,
    STATE(1772), 1,
      sym__annotated_type,
    STATE(11363), 1,
      sym_parameter_types,
    STATE(11375), 1,
      sym_stable_identifier,
    STATE(2284), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2751), 2,
      sym__type,
      sym_function_type,
    STATE(1215), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335206] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3257), 8,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [335228] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_finally,
    STATE(8289), 1,
      sym_finally_clause,
    ACTIONS(3298), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3300), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [335254] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7115), 1,
      anon_sym_LPAREN,
    STATE(3853), 1,
      sym__annotated_type,
    STATE(11370), 1,
      sym_parameter_types,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(4561), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4926), 2,
      sym__type,
      sym_function_type,
    STATE(3277), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335288] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10248), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335322] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(6626), 1,
      sym__annotated_type,
    STATE(11325), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(7629), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7945), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335356] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5986), 1,
      anon_sym_finally,
    STATE(7001), 1,
      sym_finally_clause,
    ACTIONS(3298), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [335382] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(6626), 1,
      sym__annotated_type,
    STATE(11325), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(7629), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7934), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335416] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(7200), 1,
      anon_sym_EQ,
    ACTIONS(3178), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3180), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [335442] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(7202), 1,
      anon_sym_EQ,
    ACTIONS(3166), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3168), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [335468] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3159), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3161), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [335490] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6744), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [335530] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7206), 1,
      anon_sym_LPAREN,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(11374), 1,
      sym_parameter_types,
    STATE(11497), 1,
      sym_stable_identifier,
    STATE(9093), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9132), 2,
      sym__type,
      sym_function_type,
    STATE(5134), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335564] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 1,
      sym_identifier,
    ACTIONS(6299), 1,
      anon_sym_LPAREN,
    STATE(7190), 1,
      sym__annotated_type,
    STATE(11378), 1,
      sym_parameter_types,
    STATE(11503), 1,
      sym_stable_identifier,
    STATE(8246), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8387), 2,
      sym__type,
      sym_function_type,
    STATE(3948), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335598] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [335620] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(6626), 1,
      sym__annotated_type,
    STATE(11325), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(7629), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7891), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335654] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 9,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [335678] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7208), 1,
      sym_identifier,
    ACTIONS(7210), 1,
      anon_sym_LPAREN,
    STATE(1286), 1,
      sym__annotated_type,
    STATE(11381), 1,
      sym_parameter_types,
    STATE(11388), 1,
      sym_stable_identifier,
    STATE(1680), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2064), 2,
      sym__type,
      sym_function_type,
    STATE(1066), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335712] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7796), 1,
      aux_sym__block_repeat1,
    ACTIONS(7212), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(607), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(605), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [335738] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym__annotated_type,
    STATE(11387), 1,
      sym_parameter_types,
    STATE(11393), 1,
      sym_stable_identifier,
    STATE(2058), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2432), 2,
      sym__type,
      sym_function_type,
    STATE(1124), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335772] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(7063), 1,
      sym__annotated_type,
    STATE(11328), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(7790), 2,
      sym__type,
      sym_function_type,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335806] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(7063), 1,
      sym__annotated_type,
    STATE(11328), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(8486), 2,
      sym__type,
      sym_function_type,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335840] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(4209), 1,
      sym__annotated_type,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(11531), 1,
      sym_parameter_types,
    STATE(4802), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7014), 2,
      sym__type,
      sym_function_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335874] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 1,
      sym_identifier,
    ACTIONS(6222), 1,
      anon_sym_LPAREN,
    STATE(1466), 1,
      sym__annotated_type,
    STATE(11391), 1,
      sym_parameter_types,
    STATE(11397), 1,
      sym_stable_identifier,
    STATE(1913), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2491), 2,
      sym__type,
      sym_function_type,
    STATE(1090), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335908] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(4209), 1,
      sym__annotated_type,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(11531), 1,
      sym_parameter_types,
    STATE(4802), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7013), 2,
      sym__type,
      sym_function_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335942] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      sym_identifier,
    ACTIONS(7220), 1,
      anon_sym_LPAREN,
    STATE(1825), 1,
      sym__annotated_type,
    STATE(11395), 1,
      sym_parameter_types,
    STATE(11402), 1,
      sym_stable_identifier,
    STATE(2344), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2632), 2,
      sym__type,
      sym_function_type,
    STATE(1182), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [335976] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10849), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336010] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2441), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [336034] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 1,
      sym_identifier,
    ACTIONS(7174), 1,
      anon_sym_LPAREN,
    STATE(5769), 1,
      sym__annotated_type,
    STATE(11398), 1,
      sym_parameter_types,
    STATE(11406), 1,
      sym_stable_identifier,
    STATE(6760), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7029), 2,
      sym__type,
      sym_function_type,
    STATE(3907), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(3586), 1,
      sym__annotated_type,
    STATE(11407), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(4187), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4660), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336102] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 1,
      sym_identifier,
    ACTIONS(6242), 1,
      anon_sym_LPAREN,
    STATE(6788), 1,
      sym__annotated_type,
    STATE(11524), 1,
      sym_stable_identifier,
    STATE(11604), 1,
      sym_parameter_types,
    STATE(7800), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8244), 2,
      sym__type,
      sym_function_type,
    STATE(4781), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336136] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7222), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [336176] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(7063), 1,
      sym__annotated_type,
    STATE(11328), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(8528), 2,
      sym__type,
      sym_function_type,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336210] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10897), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336244] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7198), 1,
      anon_sym_LPAREN,
    STATE(1772), 1,
      sym__annotated_type,
    STATE(11363), 1,
      sym_parameter_types,
    STATE(11375), 1,
      sym_stable_identifier,
    STATE(2284), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2758), 2,
      sym__type,
      sym_function_type,
    STATE(1215), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336278] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    STATE(3578), 1,
      sym__annotated_type,
    STATE(11404), 1,
      sym_parameter_types,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(4181), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4752), 2,
      sym__type,
      sym_function_type,
    STATE(3256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336312] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(7063), 1,
      sym__annotated_type,
    STATE(11328), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8536), 2,
      sym__type,
      sym_function_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336346] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 10,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [336368] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(7063), 1,
      sym__annotated_type,
    STATE(11328), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8537), 2,
      sym__type,
      sym_function_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10715), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336436] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(7063), 1,
      sym__annotated_type,
    STATE(11328), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(8507), 2,
      sym__type,
      sym_function_type,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336470] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7224), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [336510] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8265), 1,
      sym_template_body,
    ACTIONS(3217), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3219), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [336536] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10243), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336570] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6838), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [336610] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7198), 1,
      anon_sym_LPAREN,
    STATE(1772), 1,
      sym__annotated_type,
    STATE(11363), 1,
      sym_parameter_types,
    STATE(11375), 1,
      sym_stable_identifier,
    STATE(2284), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2650), 2,
      sym__type,
      sym_function_type,
    STATE(1215), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336644] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7198), 1,
      anon_sym_LPAREN,
    STATE(1772), 1,
      sym__annotated_type,
    STATE(11363), 1,
      sym_parameter_types,
    STATE(11375), 1,
      sym_stable_identifier,
    STATE(2284), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2603), 2,
      sym__type,
      sym_function_type,
    STATE(1215), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336678] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8266), 1,
      sym_block,
    ACTIONS(3262), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3264), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [336702] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10257), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336736] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7226), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [336776] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8268), 1,
      sym_template_body,
    ACTIONS(3319), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3321), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [336802] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6505), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [336842] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10687), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336876] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8269), 1,
      sym_template_body,
    ACTIONS(3385), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3387), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [336902] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10879), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [336936] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7228), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [336976] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10556), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337010] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8274), 1,
      sym_template_body,
    ACTIONS(3405), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3407), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [337036] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7198), 1,
      anon_sym_LPAREN,
    STATE(1772), 1,
      sym__annotated_type,
    STATE(11363), 1,
      sym_parameter_types,
    STATE(11375), 1,
      sym_stable_identifier,
    STATE(2284), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2639), 2,
      sym__type,
      sym_function_type,
    STATE(1215), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7198), 1,
      anon_sym_LPAREN,
    STATE(1772), 1,
      sym__annotated_type,
    STATE(11363), 1,
      sym_parameter_types,
    STATE(11375), 1,
      sym_stable_identifier,
    STATE(2284), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2655), 2,
      sym__type,
      sym_function_type,
    STATE(1215), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337104] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7198), 1,
      anon_sym_LPAREN,
    STATE(1772), 1,
      sym__annotated_type,
    STATE(11363), 1,
      sym_parameter_types,
    STATE(11375), 1,
      sym_stable_identifier,
    STATE(2284), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2657), 2,
      sym__type,
      sym_function_type,
    STATE(1215), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337138] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10290), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337172] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8280), 1,
      sym_template_body,
    ACTIONS(3371), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3373), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [337198] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7230), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [337238] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7198), 1,
      anon_sym_LPAREN,
    STATE(1772), 1,
      sym__annotated_type,
    STATE(11363), 1,
      sym_parameter_types,
    STATE(11375), 1,
      sym_stable_identifier,
    STATE(2284), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2665), 2,
      sym__type,
      sym_function_type,
    STATE(1215), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337272] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 1,
      sym_identifier,
    ACTIONS(6456), 1,
      anon_sym_LPAREN,
    STATE(4100), 1,
      sym__annotated_type,
    STATE(11602), 1,
      sym_stable_identifier,
    STATE(11671), 1,
      sym_parameter_types,
    STATE(5020), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5540), 2,
      sym__type,
      sym_function_type,
    STATE(3369), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337306] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10319), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337340] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7232), 1,
      sym_identifier,
    ACTIONS(7234), 1,
      anon_sym_LPAREN,
    STATE(2035), 1,
      sym__annotated_type,
    STATE(11457), 1,
      sym_parameter_types,
    STATE(11458), 1,
      sym_stable_identifier,
    STATE(2659), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2874), 2,
      sym__type,
      sym_function_type,
    STATE(1276), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337374] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10576), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337408] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8283), 1,
      sym_block,
    ACTIONS(3221), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3223), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [337432] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7236), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [337472] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8290), 1,
      sym_block,
    ACTIONS(3201), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3203), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [337496] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10750), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337530] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7115), 1,
      anon_sym_LPAREN,
    STATE(3853), 1,
      sym__annotated_type,
    STATE(11370), 1,
      sym_parameter_types,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(4561), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6756), 2,
      sym__type,
      sym_function_type,
    STATE(3277), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337564] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7115), 1,
      anon_sym_LPAREN,
    STATE(3853), 1,
      sym__annotated_type,
    STATE(11370), 1,
      sym_parameter_types,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(4561), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6755), 2,
      sym__type,
      sym_function_type,
    STATE(3277), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337598] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8297), 1,
      sym_template_body,
    ACTIONS(3190), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3192), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [337624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10838), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337658] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [337680] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7198), 1,
      anon_sym_LPAREN,
    STATE(1772), 1,
      sym__annotated_type,
    STATE(11363), 1,
      sym_parameter_types,
    STATE(11375), 1,
      sym_stable_identifier,
    STATE(2284), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2789), 2,
      sym__type,
      sym_function_type,
    STATE(1215), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337714] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8300), 1,
      sym_template_body,
    ACTIONS(3155), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3157), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [337740] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7238), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [337780] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3257), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [337802] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8305), 1,
      sym_template_body,
    ACTIONS(3137), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3139), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [337828] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [337850] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10822), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337884] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [337906] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6378), 1,
      anon_sym_with,
    STATE(6206), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6376), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 6,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
  [337934] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7198), 1,
      anon_sym_LPAREN,
    STATE(1772), 1,
      sym__annotated_type,
    STATE(11363), 1,
      sym_parameter_types,
    STATE(11375), 1,
      sym_stable_identifier,
    STATE(2266), 2,
      sym__type,
      sym_function_type,
    STATE(2284), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1215), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [337968] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10606), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338002] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8313), 1,
      sym_block,
    ACTIONS(3123), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3125), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [338026] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7240), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [338066] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10411), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338100] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(8859), 1,
      sym_access_modifier,
    STATE(9618), 1,
      sym_extends_clause,
    STATE(9918), 1,
      sym_template_body,
    ACTIONS(6798), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8870), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2056), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [338136] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8314), 1,
      sym_template_body,
    ACTIONS(3113), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3115), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [338162] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10262), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338196] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6356), 1,
      anon_sym_with,
    STATE(6160), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6354), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [338224] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7242), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [338264] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(4067), 1,
      sym__annotated_type,
    STATE(11447), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(5256), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5528), 2,
      sym__type,
      sym_function_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338298] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8260), 1,
      sym_template_body,
    ACTIONS(3092), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3094), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [338324] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10193), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338358] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10370), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338392] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7244), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [338432] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8330), 1,
      sym_template_body,
    ACTIONS(3074), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3076), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [338458] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10584), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338492] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(3586), 1,
      sym__annotated_type,
    STATE(11407), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(4187), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4433), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338526] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10706), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338560] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6834), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [338600] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10748), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338634] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(4067), 1,
      sym__annotated_type,
    STATE(11447), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(5256), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5387), 2,
      sym__type,
      sym_function_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338668] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(4067), 1,
      sym__annotated_type,
    STATE(11447), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(5256), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5714), 2,
      sym__type,
      sym_function_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338702] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3049), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3051), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [338724] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10789), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338758] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10862), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338792] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8422), 1,
      sym_template_body,
    ACTIONS(3045), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3047), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [338818] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10937), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338852] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10917), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338886] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3037), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3039), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [338908] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [338930] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10884), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338964] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10860), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [338998] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8340), 1,
      sym_block,
    ACTIONS(3066), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3068), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [339022] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339056] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7694), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2936), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2934), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [339080] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8348), 1,
      sym_template_body,
    ACTIONS(3078), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3080), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [339104] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10802), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339138] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [339160] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10762), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339194] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8350), 1,
      sym_template_body,
    ACTIONS(3086), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3088), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [339220] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10740), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339254] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(4067), 1,
      sym__annotated_type,
    STATE(11447), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(5256), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5446), 2,
      sym__type,
      sym_function_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339288] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8375), 1,
      sym_block,
    ACTIONS(3127), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3129), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [339312] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(4067), 1,
      sym__annotated_type,
    STATE(11447), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(5256), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5454), 2,
      sym__type,
      sym_function_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339346] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8389), 1,
      sym_block,
    ACTIONS(3147), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3149), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [339370] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 1,
      sym_identifier,
    ACTIONS(6242), 1,
      anon_sym_LPAREN,
    STATE(8351), 1,
      sym__annotated_type,
    STATE(11411), 1,
      sym_parameter_types,
    STATE(11524), 1,
      sym_stable_identifier,
    STATE(8930), 2,
      sym__type,
      sym_function_type,
    STATE(9037), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4781), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339404] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(4067), 1,
      sym__annotated_type,
    STATE(11447), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(5256), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5455), 2,
      sym__type,
      sym_function_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339438] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10712), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339472] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10577), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339506] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10666), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339540] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(4067), 1,
      sym__annotated_type,
    STATE(11447), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(5256), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5468), 2,
      sym__type,
      sym_function_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339574] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6020), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [339598] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8395), 1,
      sym_template_body,
    ACTIONS(3174), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3176), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [339624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7246), 1,
      sym_identifier,
    ACTIONS(7248), 1,
      anon_sym_LPAREN,
    STATE(1660), 1,
      sym__annotated_type,
    STATE(11414), 1,
      sym_parameter_types,
    STATE(11415), 1,
      sym_stable_identifier,
    STATE(2312), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2856), 2,
      sym__type,
      sym_function_type,
    STATE(1170), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339658] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      sym_identifier,
    ACTIONS(7252), 1,
      anon_sym_LPAREN,
    STATE(9192), 1,
      sym__annotated_type,
    STATE(11678), 1,
      sym_stable_identifier,
    STATE(11691), 1,
      sym_parameter_types,
    STATE(9494), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9596), 2,
      sym__type,
      sym_function_type,
    STATE(6879), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339692] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8404), 1,
      sym_template_body,
    ACTIONS(3213), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3215), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [339718] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10649), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339752] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8412), 1,
      sym_template_body,
    ACTIONS(3229), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3231), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [339778] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10611), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339812] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7190), 1,
      sym_identifier,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    STATE(6140), 1,
      sym__annotated_type,
    STATE(11455), 1,
      sym_stable_identifier,
    STATE(11463), 1,
      sym_parameter_types,
    STATE(6877), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8089), 2,
      sym__type,
      sym_function_type,
    STATE(4003), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339846] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10581), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339880] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10551), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339914] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10542), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [339948] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8419), 1,
      sym_block,
    ACTIONS(3244), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3246), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [339972] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(7063), 1,
      sym__annotated_type,
    STATE(11328), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(8464), 2,
      sym__type,
      sym_function_type,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340006] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(7063), 1,
      sym__annotated_type,
    STATE(11328), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(8449), 2,
      sym__type,
      sym_function_type,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340040] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2578), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2580), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [340062] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6654), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [340102] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10518), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340136] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [340158] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8431), 1,
      sym_template_body,
    ACTIONS(3269), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3271), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [340184] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10498), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340218] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7208), 1,
      sym_identifier,
    ACTIONS(7210), 1,
      anon_sym_LPAREN,
    STATE(1286), 1,
      sym__annotated_type,
    STATE(11381), 1,
      sym_parameter_types,
    STATE(11388), 1,
      sym_stable_identifier,
    STATE(1680), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2145), 2,
      sym__type,
      sym_function_type,
    STATE(1066), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340252] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3302), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3304), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [340274] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_with,
    STATE(4238), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(5635), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 4,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [340302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7208), 1,
      sym_identifier,
    ACTIONS(7210), 1,
      anon_sym_LPAREN,
    STATE(1286), 1,
      sym__annotated_type,
    STATE(11381), 1,
      sym_parameter_types,
    STATE(11388), 1,
      sym_stable_identifier,
    STATE(1680), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2144), 2,
      sym__type,
      sym_function_type,
    STATE(1066), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340336] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7254), 1,
      anon_sym_STAR,
    ACTIONS(3207), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [340360] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_LPAREN,
    STATE(1951), 1,
      sym__annotated_type,
    STATE(11419), 1,
      sym_parameter_types,
    STATE(11421), 1,
      sym_stable_identifier,
    STATE(2679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2955), 2,
      sym__type,
      sym_function_type,
    STATE(1359), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340394] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(4067), 1,
      sym__annotated_type,
    STATE(11447), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(5256), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5551), 2,
      sym__type,
      sym_function_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340428] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10462), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340462] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8434), 1,
      sym_template_body,
    ACTIONS(3323), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3325), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [340488] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 1,
      sym_identifier,
    ACTIONS(6409), 1,
      anon_sym_LPAREN,
    STATE(1334), 1,
      sym__annotated_type,
    STATE(11422), 1,
      sym_parameter_types,
    STATE(11423), 1,
      sym_stable_identifier,
    STATE(1858), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1901), 2,
      sym__type,
      sym_function_type,
    STATE(1061), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340522] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(7063), 1,
      sym__annotated_type,
    STATE(11328), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(8345), 2,
      sym__type,
      sym_function_type,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340556] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7142), 1,
      sym_identifier,
    ACTIONS(7144), 1,
      anon_sym_LPAREN,
    STATE(2547), 1,
      sym__annotated_type,
    STATE(11426), 1,
      sym_parameter_types,
    STATE(11430), 1,
      sym_stable_identifier,
    STATE(2917), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3082), 2,
      sym__type,
      sym_function_type,
    STATE(1580), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340590] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(4067), 1,
      sym__annotated_type,
    STATE(11447), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(5176), 2,
      sym__type,
      sym_function_type,
    STATE(5256), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10438), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340658] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8440), 1,
      sym_template_body,
    ACTIONS(3327), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3329), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [340684] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10408), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340718] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10396), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340752] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8443), 1,
      sym_template_body,
    ACTIONS(3338), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3340), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [340778] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7256), 1,
      anon_sym_LBRACK,
    ACTIONS(7258), 1,
      anon_sym_LPAREN,
    ACTIONS(7260), 1,
      anon_sym_POUND,
    STATE(8902), 1,
      sym_type_arguments,
    ACTIONS(2042), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8904), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2044), 6,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [340810] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10333), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340844] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10305), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340878] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3342), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3344), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [340900] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7618), 1,
      aux_sym__block_repeat1,
    ACTIONS(7262), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2580), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [340926] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6463), 1,
      sym_identifier,
    ACTIONS(6467), 1,
      anon_sym_LPAREN,
    STATE(1584), 1,
      sym__annotated_type,
    STATE(11432), 1,
      sym_parameter_types,
    STATE(11434), 1,
      sym_stable_identifier,
    STATE(2057), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2278), 2,
      sym__type,
      sym_function_type,
    STATE(1081), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340960] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(6132), 1,
      sym__annotated_type,
    STATE(11331), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(6563), 2,
      sym__type,
      sym_function_type,
    STATE(7056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [340994] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7060), 1,
      anon_sym_LPAREN,
    STATE(6534), 1,
      sym__annotated_type,
    STATE(11437), 1,
      sym_parameter_types,
    STATE(11438), 1,
      sym_stable_identifier,
    STATE(7907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8250), 2,
      sym__type,
      sym_function_type,
    STATE(4516), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341028] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5393), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 6,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
  [341052] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10237), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341086] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8451), 1,
      sym_template_body,
    ACTIONS(3375), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3377), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [341110] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10201), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341144] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym__annotated_type,
    STATE(11387), 1,
      sym_parameter_types,
    STATE(11393), 1,
      sym_stable_identifier,
    STATE(2058), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2437), 2,
      sym__type,
      sym_function_type,
    STATE(1124), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10128), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341212] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10132), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341246] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5301), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [341270] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8458), 1,
      sym_block,
    ACTIONS(3393), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3395), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [341294] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10139), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341328] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10144), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341362] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10151), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341396] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10155), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341430] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8468), 1,
      sym_template_body,
    ACTIONS(3397), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3399), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [341454] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(6132), 1,
      sym__annotated_type,
    STATE(11331), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(7056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7110), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341488] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10162), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341522] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [341544] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8472), 1,
      sym_template_body,
    ACTIONS(3409), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3411), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [341570] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [341592] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6826), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [341632] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10166), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341666] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym__annotated_type,
    STATE(11387), 1,
      sym_parameter_types,
    STATE(11393), 1,
      sym_stable_identifier,
    STATE(2058), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2550), 2,
      sym__type,
      sym_function_type,
    STATE(1124), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341700] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8480), 1,
      sym_block,
    ACTIONS(3426), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3428), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [341724] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym__annotated_type,
    STATE(11387), 1,
      sym_parameter_types,
    STATE(11393), 1,
      sym_stable_identifier,
    STATE(2058), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2540), 2,
      sym__type,
      sym_function_type,
    STATE(1124), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341758] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8481), 1,
      sym_block,
    ACTIONS(3430), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3432), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [341782] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10172), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341816] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10177), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341850] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [341872] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10186), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341906] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10191), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341940] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10200), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [341974] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [341996] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [342018] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10205), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342052] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3292), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3294), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [342074] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5294), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2380), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_match,
  [342098] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3955), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [342120] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3951), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [342142] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3943), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [342164] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10214), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342198] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    STATE(6139), 1,
      sym__annotated_type,
    STATE(11326), 1,
      sym_parameter_types,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(7053), 2,
      sym__type,
      sym_function_type,
    STATE(7066), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342232] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10219), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342266] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    STATE(6139), 1,
      sym__annotated_type,
    STATE(11326), 1,
      sym_parameter_types,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(7055), 2,
      sym__type,
      sym_function_type,
    STATE(7066), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342300] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8485), 1,
      sym_template_body,
    ACTIONS(3041), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3043), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [342326] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10228), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342360] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10233), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342394] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8487), 1,
      sym_template_body,
    ACTIONS(3197), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3199), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [342420] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10242), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342454] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10247), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342488] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8490), 1,
      sym_template_body,
    ACTIONS(3235), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3237), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [342514] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym__annotated_type,
    STATE(11387), 1,
      sym_parameter_types,
    STATE(11393), 1,
      sym_stable_identifier,
    STATE(2058), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2505), 2,
      sym__type,
      sym_function_type,
    STATE(1124), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342548] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym__annotated_type,
    STATE(11387), 1,
      sym_parameter_types,
    STATE(11393), 1,
      sym_stable_identifier,
    STATE(2058), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2496), 2,
      sym__type,
      sym_function_type,
    STATE(1124), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342582] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3277), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3279), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [342604] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym__annotated_type,
    STATE(11387), 1,
      sym_parameter_types,
    STATE(11393), 1,
      sym_stable_identifier,
    STATE(2058), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2495), 2,
      sym__type,
      sym_function_type,
    STATE(1124), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342638] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8493), 1,
      sym_template_body,
    ACTIONS(3281), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3283), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [342664] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10256), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342698] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10261), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342732] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8515), 1,
      sym_template_body,
    ACTIONS(3315), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3317), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [342758] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10270), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342792] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8522), 1,
      sym_template_body,
    ACTIONS(3251), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3253), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [342818] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym__annotated_type,
    STATE(11387), 1,
      sym_parameter_types,
    STATE(11393), 1,
      sym_stable_identifier,
    STATE(2058), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2486), 2,
      sym__type,
      sym_function_type,
    STATE(1124), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342852] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10275), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342886] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3151), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3153), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [342908] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9715), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342942] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10284), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [342976] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8542), 1,
      sym_template_body,
    ACTIONS(3422), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3424), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [343000] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(3866), 1,
      sym__annotated_type,
    STATE(11478), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(4409), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5224), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343034] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10289), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343068] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3887), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [343090] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2730), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [343112] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      sym_identifier,
    ACTIONS(6348), 1,
      anon_sym_LPAREN,
    STATE(5276), 1,
      sym__annotated_type,
    STATE(11442), 1,
      sym_parameter_types,
    STATE(11444), 1,
      sym_stable_identifier,
    STATE(6429), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6573), 2,
      sym__type,
      sym_function_type,
    STATE(3781), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343146] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3852), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [343168] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(5619), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2928), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2926), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [343192] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [343214] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10298), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343248] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10303), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343282] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10312), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343316] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8531), 1,
      sym_block,
    ACTIONS(3346), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3348), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [343340] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10317), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343374] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10326), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343408] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10331), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343442] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(4209), 1,
      sym__annotated_type,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(11531), 1,
      sym_parameter_types,
    STATE(4802), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8278), 2,
      sym__type,
      sym_function_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343476] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7036), 1,
      sym_identifier,
    ACTIONS(7038), 1,
      anon_sym_LPAREN,
    STATE(3260), 1,
      sym__annotated_type,
    STATE(11803), 1,
      sym_stable_identifier,
    STATE(11829), 1,
      sym_parameter_types,
    STATE(3350), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3742), 2,
      sym__type,
      sym_function_type,
    STATE(2992), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343510] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(4209), 1,
      sym__annotated_type,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(11531), 1,
      sym_parameter_types,
    STATE(4802), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8288), 2,
      sym__type,
      sym_function_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343544] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3927), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [343566] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3919), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [343588] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10337), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343622] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3915), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [343644] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym__annotated_type,
    STATE(11387), 1,
      sym_parameter_types,
    STATE(11393), 1,
      sym_stable_identifier,
    STATE(2058), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2409), 2,
      sym__type,
      sym_function_type,
    STATE(1124), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343678] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10344), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343712] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [343734] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10351), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343768] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10358), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343802] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6966), 1,
      anon_sym_POUND,
    ACTIONS(7265), 1,
      anon_sym_AT,
    STATE(8669), 1,
      sym_type_arguments,
    STATE(8919), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2028), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(2030), 4,
      anon_sym_EQ_GT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [343834] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym__annotated_type,
    STATE(11387), 1,
      sym_parameter_types,
    STATE(11393), 1,
      sym_stable_identifier,
    STATE(1973), 2,
      sym__type,
      sym_function_type,
    STATE(2058), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1124), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343868] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10365), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343902] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      sym_identifier,
    ACTIONS(7269), 1,
      anon_sym_LPAREN,
    STATE(8883), 1,
      sym__annotated_type,
    STATE(11559), 1,
      sym_stable_identifier,
    STATE(11562), 1,
      sym_parameter_types,
    STATE(9178), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9527), 2,
      sym__type,
      sym_function_type,
    STATE(6663), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343936] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10371), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [343970] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10377), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344004] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10383), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344038] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10493), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344072] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8525), 1,
      sym_template_body,
    ACTIONS(3288), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3290), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [344096] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10336), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344130] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10389), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344164] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      sym_identifier,
    ACTIONS(7269), 1,
      anon_sym_LPAREN,
    STATE(8883), 1,
      sym__annotated_type,
    STATE(11559), 1,
      sym_stable_identifier,
    STATE(11562), 1,
      sym_parameter_types,
    STATE(9178), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9913), 2,
      sym__type,
      sym_function_type,
    STATE(6663), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344198] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8524), 1,
      sym_template_body,
    ACTIONS(3225), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3227), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [344224] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7273), 1,
      anon_sym_LPAREN,
    STATE(8925), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(11548), 1,
      sym_parameter_types,
    STATE(9196), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9430), 2,
      sym__type,
      sym_function_type,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344258] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10395), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344292] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10401), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344326] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7277), 1,
      anon_sym_LPAREN,
    STATE(3236), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(11755), 1,
      sym_parameter_types,
    STATE(3378), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3780), 2,
      sym__type,
      sym_function_type,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344360] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10407), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344394] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10413), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344428] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10419), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344462] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(4209), 1,
      sym__annotated_type,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(11531), 1,
      sym_parameter_types,
    STATE(4802), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9226), 2,
      sym__type,
      sym_function_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344496] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(3866), 1,
      sym__annotated_type,
    STATE(11478), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(4409), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4958), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344530] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8520), 1,
      sym_template_body,
    ACTIONS(3057), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3059), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [344556] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10425), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344590] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(4209), 1,
      sym__annotated_type,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(11531), 1,
      sym_parameter_types,
    STATE(4802), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9267), 2,
      sym__type,
      sym_function_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344624] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8518), 1,
      sym_template_body,
    ACTIONS(3082), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3084), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [344650] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10431), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344684] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10437), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344718] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10443), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344752] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10449), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344786] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10455), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344820] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3096), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3098), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [344842] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8509), 1,
      sym_template_body,
    ACTIONS(3103), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3105), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [344868] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344902] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3907), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [344924] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3143), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3145), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [344946] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      sym_identifier,
    ACTIONS(7281), 1,
      anon_sym_LPAREN,
    STATE(3196), 1,
      sym__annotated_type,
    STATE(11719), 1,
      sym_stable_identifier,
    STATE(11737), 1,
      sym_parameter_types,
    STATE(3262), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3307), 2,
      sym__type,
      sym_function_type,
    STATE(2715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [344980] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9777), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345014] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      sym_identifier,
    ACTIONS(7281), 1,
      anon_sym_LPAREN,
    STATE(3196), 1,
      sym__annotated_type,
    STATE(11719), 1,
      sym_stable_identifier,
    STATE(11737), 1,
      sym_parameter_types,
    STATE(3262), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3311), 2,
      sym__type,
      sym_function_type,
    STATE(2715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345048] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3626), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3628), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [345070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9783), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345104] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10466), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345138] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3184), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [345160] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10471), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345194] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(4243), 1,
      sym__annotated_type,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(11517), 1,
      sym_parameter_types,
    STATE(5879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6071), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345228] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10476), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345262] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(7285), 1,
      anon_sym_LT_COLON,
    ACTIONS(7287), 1,
      anon_sym_GT_COLON,
    ACTIONS(7289), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    STATE(8721), 1,
      sym_type_parameters,
    STATE(9062), 1,
      sym_upper_bound,
    STATE(9419), 1,
      sym_lower_bound,
    ACTIONS(7283), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9420), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    STATE(9810), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [345302] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6739), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [345342] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10481), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345376] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7036), 1,
      sym_identifier,
    ACTIONS(7038), 1,
      anon_sym_LPAREN,
    STATE(3260), 1,
      sym__annotated_type,
    STATE(11803), 1,
      sym_stable_identifier,
    STATE(11829), 1,
      sym_parameter_types,
    STATE(2879), 2,
      sym__type,
      sym_function_type,
    STATE(3350), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2992), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345410] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(3866), 1,
      sym__annotated_type,
    STATE(11478), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(4409), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4796), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345444] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3186), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3188), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [345466] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(3866), 1,
      sym__annotated_type,
    STATE(11478), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(4409), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4800), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345500] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      sym_identifier,
    ACTIONS(7269), 1,
      anon_sym_LPAREN,
    STATE(8883), 1,
      sym__annotated_type,
    STATE(11559), 1,
      sym_stable_identifier,
    STATE(11562), 1,
      sym_parameter_types,
    STATE(9178), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10033), 2,
      sym__type,
      sym_function_type,
    STATE(6663), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345534] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2441), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [345558] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7796), 1,
      aux_sym__block_repeat1,
    ACTIONS(607), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(605), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [345582] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2668), 1,
      anon_sym_RPAREN,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [345622] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7273), 1,
      anon_sym_LPAREN,
    STATE(8925), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(11548), 1,
      sym_parameter_types,
    STATE(9196), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9488), 2,
      sym__type,
      sym_function_type,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345656] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7273), 1,
      anon_sym_LPAREN,
    STATE(8925), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(11548), 1,
      sym_parameter_types,
    STATE(9196), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9487), 2,
      sym__type,
      sym_function_type,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345690] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9772), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345724] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2677), 1,
      anon_sym_RPAREN,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [345764] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9768), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345798] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9769), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345832] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3895), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [345854] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      sym_identifier,
    ACTIONS(7269), 1,
      anon_sym_LPAREN,
    STATE(8883), 1,
      sym__annotated_type,
    STATE(11559), 1,
      sym_stable_identifier,
    STATE(11562), 1,
      sym_parameter_types,
    STATE(9178), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10026), 2,
      sym__type,
      sym_function_type,
    STATE(6663), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345888] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10797), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345922] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3891), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [345944] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(3866), 1,
      sym__annotated_type,
    STATE(11478), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(4409), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5165), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [345978] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(3866), 1,
      sym__annotated_type,
    STATE(11478), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(4409), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5187), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346012] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      sym_identifier,
    ACTIONS(7269), 1,
      anon_sym_LPAREN,
    STATE(8883), 1,
      sym__annotated_type,
    STATE(11559), 1,
      sym_stable_identifier,
    STATE(11562), 1,
      sym_parameter_types,
    STATE(9178), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10008), 2,
      sym__type,
      sym_function_type,
    STATE(6663), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346046] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10852), 2,
      sym__type,
      sym_function_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346080] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      sym_identifier,
    ACTIONS(7269), 1,
      anon_sym_LPAREN,
    STATE(8883), 1,
      sym__annotated_type,
    STATE(11559), 1,
      sym_stable_identifier,
    STATE(11562), 1,
      sym_parameter_types,
    STATE(9178), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9998), 2,
      sym__type,
      sym_function_type,
    STATE(6663), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346114] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7273), 1,
      anon_sym_LPAREN,
    STATE(8925), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(11548), 1,
      sym_parameter_types,
    STATE(9196), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9460), 2,
      sym__type,
      sym_function_type,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346148] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(3866), 1,
      sym__annotated_type,
    STATE(11478), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(4409), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5190), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346182] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6914), 1,
      sym__interpolated_string_start,
    ACTIONS(6916), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(7293), 1,
      anon_sym_EQ_GT,
    STATE(8564), 1,
      sym_interpolated_string,
    ACTIONS(2452), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2454), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [346212] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8506), 1,
      sym_arguments,
    ACTIONS(3033), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3035), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [346236] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(3866), 1,
      sym__annotated_type,
    STATE(11478), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(4409), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5204), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346270] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      sym_identifier,
    ACTIONS(7281), 1,
      anon_sym_LPAREN,
    STATE(3196), 1,
      sym__annotated_type,
    STATE(11719), 1,
      sym_stable_identifier,
    STATE(11737), 1,
      sym_parameter_types,
    STATE(3262), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3336), 2,
      sym__type,
      sym_function_type,
    STATE(2715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346304] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_LPAREN,
    STATE(9309), 1,
      sym__annotated_type,
    STATE(11609), 1,
      sym_stable_identifier,
    STATE(11618), 1,
      sym_parameter_types,
    STATE(9626), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10797), 2,
      sym__type,
      sym_function_type,
    STATE(8200), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346338] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2423), 1,
      anon_sym_RPAREN,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [346378] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11923), 1,
      sym_parameter_types,
    STATE(2879), 2,
      sym__type,
      sym_function_type,
    STATE(9483), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346412] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7796), 1,
      aux_sym__block_repeat1,
    ACTIONS(7295), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2580), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2578), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [346438] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2396), 1,
      anon_sym_RPAREN,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [346478] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7036), 1,
      sym_identifier,
    ACTIONS(7038), 1,
      anon_sym_LPAREN,
    STATE(3260), 1,
      sym__annotated_type,
    STATE(11803), 1,
      sym_stable_identifier,
    STATE(11829), 1,
      sym_parameter_types,
    STATE(3350), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4699), 2,
      sym__type,
      sym_function_type,
    STATE(2992), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346512] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7277), 1,
      anon_sym_LPAREN,
    STATE(3236), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(11755), 1,
      sym_parameter_types,
    STATE(3378), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3676), 2,
      sym__type,
      sym_function_type,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346546] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6808), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [346572] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7277), 1,
      anon_sym_LPAREN,
    STATE(3236), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(11755), 1,
      sym_parameter_types,
    STATE(3378), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3678), 2,
      sym__type,
      sym_function_type,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346606] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9818), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346640] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9820), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346674] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      sym_identifier,
    ACTIONS(7252), 1,
      anon_sym_LPAREN,
    STATE(9192), 1,
      sym__annotated_type,
    STATE(11678), 1,
      sym_stable_identifier,
    STATE(11691), 1,
      sym_parameter_types,
    STATE(9494), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9621), 2,
      sym__type,
      sym_function_type,
    STATE(6879), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346708] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9826), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346742] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9827), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346776] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7298), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 9,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [346800] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9835), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346834] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9836), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346868] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(8978), 1,
      sym_access_modifier,
    STATE(9678), 1,
      sym_extends_clause,
    STATE(10088), 1,
      sym_template_body,
    ACTIONS(6798), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8980), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2066), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [346904] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7273), 1,
      anon_sym_LPAREN,
    STATE(8925), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(11548), 1,
      sym_parameter_types,
    STATE(9196), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9504), 2,
      sym__type,
      sym_function_type,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346938] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8465), 1,
      sym_template_body,
    ACTIONS(3415), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3417), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [346962] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9844), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [346996] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9845), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347030] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2354), 1,
      anon_sym_RPAREN,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [347070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      sym_identifier,
    ACTIONS(7269), 1,
      anon_sym_LPAREN,
    STATE(8883), 1,
      sym__annotated_type,
    STATE(11559), 1,
      sym_stable_identifier,
    STATE(11562), 1,
      sym_parameter_types,
    STATE(9178), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9952), 2,
      sym__type,
      sym_function_type,
    STATE(6663), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347104] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7273), 1,
      anon_sym_LPAREN,
    STATE(8925), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(11548), 1,
      sym_parameter_types,
    STATE(9196), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9514), 2,
      sym__type,
      sym_function_type,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347138] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7273), 1,
      anon_sym_LPAREN,
    STATE(8925), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(11548), 1,
      sym_parameter_types,
    STATE(9196), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9497), 2,
      sym__type,
      sym_function_type,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347172] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      sym_identifier,
    ACTIONS(7269), 1,
      anon_sym_LPAREN,
    STATE(8883), 1,
      sym__annotated_type,
    STATE(11559), 1,
      sym_stable_identifier,
    STATE(11562), 1,
      sym_parameter_types,
    STATE(9178), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9982), 2,
      sym__type,
      sym_function_type,
    STATE(6663), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347206] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7273), 1,
      anon_sym_LPAREN,
    STATE(8925), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(11548), 1,
      sym_parameter_types,
    STATE(9196), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9481), 2,
      sym__type,
      sym_function_type,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347240] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    STATE(3578), 1,
      sym__annotated_type,
    STATE(11404), 1,
      sym_parameter_types,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(4181), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5969), 2,
      sym__type,
      sym_function_type,
    STATE(3256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347274] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6806), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [347314] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_LBRACE,
    STATE(8454), 1,
      sym_template_body,
    ACTIONS(3401), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3403), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [347340] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    STATE(3578), 1,
      sym__annotated_type,
    STATE(11404), 1,
      sym_parameter_types,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(4181), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6012), 2,
      sym__type,
      sym_function_type,
    STATE(3256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347374] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3883), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [347396] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9854), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347430] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9855), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347464] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(3866), 1,
      sym__annotated_type,
    STATE(11478), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(4409), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4883), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347498] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9868), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347532] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9869), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347566] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7036), 1,
      sym_identifier,
    ACTIONS(7038), 1,
      anon_sym_LPAREN,
    STATE(3260), 1,
      sym__annotated_type,
    STATE(11803), 1,
      sym_stable_identifier,
    STATE(11829), 1,
      sym_parameter_types,
    STATE(3350), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4541), 2,
      sym__type,
      sym_function_type,
    STATE(2992), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347600] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9880), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347634] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9881), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347668] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7273), 1,
      anon_sym_LPAREN,
    STATE(8925), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(11548), 1,
      sym_parameter_types,
    STATE(9196), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9431), 2,
      sym__type,
      sym_function_type,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347702] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      sym_identifier,
    ACTIONS(7269), 1,
      anon_sym_LPAREN,
    STATE(8883), 1,
      sym__annotated_type,
    STATE(11559), 1,
      sym_stable_identifier,
    STATE(11562), 1,
      sym_parameter_types,
    STATE(9178), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10043), 2,
      sym__type,
      sym_function_type,
    STATE(6663), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347736] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7273), 1,
      anon_sym_LPAREN,
    STATE(8925), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(11548), 1,
      sym_parameter_types,
    STATE(9196), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9451), 2,
      sym__type,
      sym_function_type,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347770] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7273), 1,
      anon_sym_LPAREN,
    STATE(8925), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(11548), 1,
      sym_parameter_types,
    STATE(9196), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9453), 2,
      sym__type,
      sym_function_type,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347804] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9892), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347838] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(3866), 1,
      sym__annotated_type,
    STATE(11478), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(4409), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4763), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347872] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7273), 1,
      anon_sym_LPAREN,
    STATE(8925), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(11548), 1,
      sym_parameter_types,
    STATE(9196), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9462), 2,
      sym__type,
      sym_function_type,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [347906] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6914), 1,
      sym__interpolated_string_start,
    ACTIONS(6916), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(7300), 1,
      anon_sym_EQ_GT,
    STATE(8564), 1,
      sym_interpolated_string,
    ACTIONS(2452), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [347936] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2346), 1,
      anon_sym_RPAREN,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [347976] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2679), 1,
      anon_sym_while,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [348016] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2670), 1,
      anon_sym_while,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [348056] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2686), 1,
      anon_sym_RPAREN,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [348096] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3856), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348118] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9893), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [348152] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8436), 1,
      sym_template_body,
    ACTIONS(3389), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3391), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [348176] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 1,
      anon_sym_RPAREN,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [348216] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 1,
      sym_identifier,
    ACTIONS(7174), 1,
      anon_sym_LPAREN,
    STATE(5769), 1,
      sym__annotated_type,
    STATE(11398), 1,
      sym_parameter_types,
    STATE(11406), 1,
      sym_stable_identifier,
    STATE(6760), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7059), 2,
      sym__type,
      sym_function_type,
    STATE(3907), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [348250] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_LPAREN,
    STATE(1951), 1,
      sym__annotated_type,
    STATE(11419), 1,
      sym_parameter_types,
    STATE(11421), 1,
      sym_stable_identifier,
    STATE(2679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2919), 2,
      sym__type,
      sym_function_type,
    STATE(1359), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [348284] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(4067), 1,
      sym__annotated_type,
    STATE(11447), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(5256), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5355), 2,
      sym__type,
      sym_function_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [348318] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_EQ,
    ACTIONS(3168), 4,
      anon_sym_COLON,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3166), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [348344] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7304), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LPAREN,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    STATE(8943), 1,
      sym_type_arguments,
    ACTIONS(2042), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8879), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2044), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [348376] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(7310), 1,
      anon_sym_EQ,
    ACTIONS(3180), 4,
      anon_sym_COLON,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3178), 8,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [348402] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(8900), 1,
      sym_access_modifier,
    STATE(9701), 1,
      sym_extends_clause,
    STATE(10047), 1,
      sym_template_body,
    ACTIONS(6798), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8894), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2116), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [348438] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_DOT,
    ACTIONS(3379), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3381), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [348462] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6399), 1,
      sym_identifier,
    ACTIONS(6403), 1,
      anon_sym_LPAREN,
    STATE(2270), 1,
      sym__annotated_type,
    STATE(11577), 1,
      sym_stable_identifier,
    STATE(11591), 1,
      sym_parameter_types,
    STATE(2925), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3087), 2,
      sym__type,
      sym_function_type,
    STATE(1495), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [348496] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3692), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3694), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348518] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3688), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3690), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348540] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3680), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3682), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348562] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3672), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3674), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348584] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(6132), 1,
      sym__annotated_type,
    STATE(11331), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(7056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7135), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [348618] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3638), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3640), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348640] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3630), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3632), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348662] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3486), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3488), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348684] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3622), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3624), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348706] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(6132), 1,
      sym__annotated_type,
    STATE(11331), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(7056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7142), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [348740] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3596), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3598), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348762] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3592), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3594), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348784] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(6132), 1,
      sym__annotated_type,
    STATE(11331), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(7056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7143), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [348818] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3519), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3521), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348840] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3515), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3517), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348862] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(6132), 1,
      sym__annotated_type,
    STATE(11331), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(7056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7149), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [348896] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3462), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3464), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348918] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3449), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3451), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348940] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6313), 1,
      sym_identifier,
    ACTIONS(6317), 1,
      anon_sym_LPAREN,
    STATE(3485), 1,
      sym__annotated_type,
    STATE(11451), 1,
      sym_parameter_types,
    STATE(11452), 1,
      sym_stable_identifier,
    STATE(3895), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4231), 2,
      sym__type,
      sym_function_type,
    STATE(3201), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [348974] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3441), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3443), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [348996] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3472), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3474), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349018] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6301), 1,
      sym_identifier,
    ACTIONS(6305), 1,
      anon_sym_LPAREN,
    STATE(1817), 1,
      sym__annotated_type,
    STATE(11361), 1,
      sym_stable_identifier,
    STATE(11454), 1,
      sym_parameter_types,
    STATE(2258), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2702), 2,
      sym__type,
      sym_function_type,
    STATE(1258), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [349052] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3820), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349074] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3490), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3492), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349096] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3816), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349118] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3507), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3509), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349140] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3541), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3543), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349162] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3602), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3604), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349184] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(6132), 1,
      sym__annotated_type,
    STATE(11331), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(7056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7181), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [349218] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3664), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3666), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349240] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(6132), 1,
      sym__annotated_type,
    STATE(11331), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(7056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7192), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [349274] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3668), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3670), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349296] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3676), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3678), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349318] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3684), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3686), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349340] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3812), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349362] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3696), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3698), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349384] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3700), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3702), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349406] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6575), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [349446] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3559), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3561), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349468] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7232), 1,
      sym_identifier,
    ACTIONS(7234), 1,
      anon_sym_LPAREN,
    STATE(2035), 1,
      sym__annotated_type,
    STATE(11457), 1,
      sym_parameter_types,
    STATE(11458), 1,
      sym_stable_identifier,
    STATE(2659), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2894), 2,
      sym__type,
      sym_function_type,
    STATE(1276), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [349502] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3722), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3724), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349524] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3729), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3731), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349546] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym_identifier,
    ACTIONS(6248), 1,
      anon_sym_LPAREN,
    STATE(1987), 1,
      sym__annotated_type,
    STATE(11461), 1,
      sym_parameter_types,
    STATE(11462), 1,
      sym_stable_identifier,
    STATE(2707), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2907), 2,
      sym__type,
      sym_function_type,
    STATE(1418), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [349580] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3733), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3735), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349602] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(6132), 1,
      sym__annotated_type,
    STATE(11331), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(7056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7223), 2,
      sym__type,
      sym_function_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [349636] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_STAR,
    ACTIONS(3207), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [349660] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7190), 1,
      sym_identifier,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    STATE(6140), 1,
      sym__annotated_type,
    STATE(11455), 1,
      sym_stable_identifier,
    STATE(11463), 1,
      sym_parameter_types,
    STATE(6877), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7517), 2,
      sym__type,
      sym_function_type,
    STATE(4003), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [349694] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3737), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3739), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349716] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6567), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [349742] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7002), 1,
      anon_sym_LBRACK,
    ACTIONS(7006), 1,
      anon_sym_POUND,
    ACTIONS(7316), 1,
      anon_sym_AT,
    STATE(8566), 1,
      sym_type_arguments,
    ACTIONS(2028), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8920), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2030), 6,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [349774] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3745), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3747), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349796] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3749), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3751), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349818] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2454), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [349840] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3753), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3755), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349862] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3757), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3759), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349884] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7115), 1,
      anon_sym_LPAREN,
    STATE(6707), 1,
      sym__annotated_type,
    STATE(11329), 1,
      sym_parameter_types,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(7445), 2,
      sym__type,
      sym_function_type,
    STATE(7657), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3277), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [349918] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3764), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3766), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349940] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3768), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3770), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349962] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3772), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3774), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [349984] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3776), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3778), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350006] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3891), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350028] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3780), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3782), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350050] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3714), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3716), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350072] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7115), 1,
      anon_sym_LPAREN,
    STATE(6707), 1,
      sym__annotated_type,
    STATE(11329), 1,
      sym_parameter_types,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(7444), 2,
      sym__type,
      sym_function_type,
    STATE(7657), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3277), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [350106] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3790), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3792), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350128] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3794), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3796), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350150] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3955), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [350172] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3800), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [350194] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym_identifier,
    ACTIONS(6230), 1,
      anon_sym_LPAREN,
    STATE(6164), 1,
      sym__annotated_type,
    STATE(11468), 1,
      sym_parameter_types,
    STATE(11470), 1,
      sym_stable_identifier,
    STATE(6885), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7437), 2,
      sym__type,
      sym_function_type,
    STATE(4064), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [350228] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350250] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      sym_identifier,
    ACTIONS(7220), 1,
      anon_sym_LPAREN,
    STATE(1825), 1,
      sym__annotated_type,
    STATE(11395), 1,
      sym_parameter_types,
    STATE(11402), 1,
      sym_stable_identifier,
    STATE(2344), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2844), 2,
      sym__type,
      sym_function_type,
    STATE(1182), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [350284] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7618), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [350308] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3806), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3808), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350330] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3822), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3824), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350352] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350374] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3826), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3828), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350396] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3830), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3832), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350418] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7206), 1,
      anon_sym_LPAREN,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(11374), 1,
      sym_parameter_types,
    STATE(11497), 1,
      sym_stable_identifier,
    STATE(9093), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9144), 2,
      sym__type,
      sym_function_type,
    STATE(5134), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [350452] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3838), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3840), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350474] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350496] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3842), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3844), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350518] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 1,
      sym_identifier,
    ACTIONS(6417), 1,
      anon_sym_LPAREN,
    STATE(9209), 1,
      sym__annotated_type,
    STATE(11565), 1,
      sym_stable_identifier,
    STATE(11572), 1,
      sym_parameter_types,
    STATE(2879), 2,
      sym__type,
      sym_function_type,
    STATE(9450), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7314), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [350552] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3861), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3863), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350574] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3951), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [350596] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3865), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3867), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350618] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [350640] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3869), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3871), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350662] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3943), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [350684] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3852), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [350706] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3873), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3875), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350728] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7318), 1,
      sym_identifier,
    ACTIONS(7320), 1,
      anon_sym_LPAREN,
    STATE(9215), 1,
      sym__annotated_type,
    STATE(11471), 1,
      sym_parameter_types,
    STATE(11476), 1,
      sym_stable_identifier,
    STATE(9436), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9535), 2,
      sym__type,
      sym_function_type,
    STATE(8012), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [350762] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3877), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3879), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350784] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3901), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3903), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350806] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3300), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [350828] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3921), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3923), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350850] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350872] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3933), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3935), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350894] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3937), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3939), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350916] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3927), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [350938] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3945), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3947), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350960] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3957), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3959), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [350982] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6591), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [351022] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [351044] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3961), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3963), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351066] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3965), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3967), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351088] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3981), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3983), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351110] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3969), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3971), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351132] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3973), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3975), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351154] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3919), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [351176] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3977), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3979), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351198] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6822), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [351238] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3991), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3993), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351260] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3995), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3997), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351282] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2425), 1,
      anon_sym_while,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [351322] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3999), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4001), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351344] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4003), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4005), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351366] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7980), 1,
      aux_sym__block_repeat1,
    ACTIONS(6194), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2262), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [351392] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(3866), 1,
      sym__annotated_type,
    STATE(11478), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(4409), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4845), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [351426] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4007), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4009), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351448] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7069), 1,
      anon_sym_LPAREN,
    STATE(3518), 1,
      sym__annotated_type,
    STATE(11346), 1,
      sym_parameter_types,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(3831), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6055), 2,
      sym__type,
      sym_function_type,
    STATE(3188), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [351482] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3915), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [351504] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7365), 1,
      aux_sym__block_repeat1,
    ACTIONS(7322), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(607), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [351530] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3557), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351552] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3553), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351574] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3209), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [351596] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2398), 1,
      anon_sym_while,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [351636] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7069), 1,
      anon_sym_LPAREN,
    STATE(5730), 1,
      sym__annotated_type,
    STATE(11333), 1,
      sym_parameter_types,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(6590), 2,
      sym__type,
      sym_function_type,
    STATE(6715), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3188), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [351670] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7069), 1,
      anon_sym_LPAREN,
    STATE(5730), 1,
      sym__annotated_type,
    STATE(11333), 1,
      sym_parameter_types,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(6593), 2,
      sym__type,
      sym_function_type,
    STATE(6715), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3188), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [351704] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3907), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [351726] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 1,
      sym_identifier,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    STATE(3913), 1,
      sym__annotated_type,
    STATE(11481), 1,
      sym_parameter_types,
    STATE(11482), 1,
      sym_stable_identifier,
    STATE(4361), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4928), 2,
      sym__type,
      sym_function_type,
    STATE(3267), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [351760] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4013), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4015), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351782] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3646), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351804] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4025), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4027), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351826] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4037), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4039), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351848] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4045), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4047), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351870] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4057), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4059), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351892] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym__annotated_type,
    STATE(11387), 1,
      sym_parameter_types,
    STATE(11393), 1,
      sym_stable_identifier,
    STATE(2058), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2386), 2,
      sym__type,
      sym_function_type,
    STATE(1124), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [351926] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4061), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4063), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351948] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4065), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4067), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [351970] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    STATE(6132), 1,
      sym__annotated_type,
    STATE(11331), 1,
      sym_parameter_types,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(6963), 2,
      sym__type,
      sym_function_type,
    STATE(7056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [352004] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4073), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4075), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [352026] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3895), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [352048] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4077), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4079), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [352070] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4081), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4083), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [352092] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4085), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4087), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [352114] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      sym_identifier,
    ACTIONS(7269), 1,
      anon_sym_LPAREN,
    STATE(8883), 1,
      sym__annotated_type,
    STATE(11559), 1,
      sym_stable_identifier,
    STATE(11562), 1,
      sym_parameter_types,
    STATE(9178), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9468), 2,
      sym__type,
      sym_function_type,
    STATE(6663), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [352148] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3929), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3931), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [352170] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3891), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [352192] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3445), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3447), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [352214] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3987), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3989), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [352236] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3455), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3457), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [352258] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_LPAREN,
    STATE(1951), 1,
      sym__annotated_type,
    STATE(11419), 1,
      sym_parameter_types,
    STATE(11421), 1,
      sym_stable_identifier,
    STATE(2679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3014), 2,
      sym__type,
      sym_function_type,
    STATE(1359), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [352292] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [352314] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6896), 1,
      anon_sym_LBRACK,
    ACTIONS(6900), 1,
      anon_sym_POUND,
    ACTIONS(7324), 1,
      anon_sym_AT,
    STATE(8734), 1,
      sym_type_arguments,
    STATE(9019), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2030), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [352344] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_LPAREN,
    STATE(1951), 1,
      sym__annotated_type,
    STATE(11419), 1,
      sym_parameter_types,
    STATE(11421), 1,
      sym_stable_identifier,
    STATE(2679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3049), 2,
      sym__type,
      sym_function_type,
    STATE(1359), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [352378] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_while,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [352418] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3887), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [352440] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3883), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [352462] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3856), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [352484] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      sym_identifier,
    ACTIONS(7252), 1,
      anon_sym_LPAREN,
    STATE(9362), 1,
      sym__annotated_type,
    STATE(11483), 1,
      sym_parameter_types,
    STATE(11678), 1,
      sym_stable_identifier,
    STATE(9533), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9539), 2,
      sym__type,
      sym_function_type,
    STATE(6879), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [352518] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3434), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3436), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [352540] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3802), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3804), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [352562] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7136), 1,
      anon_sym_LPAREN,
    STATE(7063), 1,
      sym__annotated_type,
    STATE(11328), 1,
      sym_parameter_types,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(8332), 2,
      sym__type,
      sym_function_type,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [352596] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3718), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3720), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [352618] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_LPAREN,
    STATE(9309), 1,
      sym__annotated_type,
    STATE(11609), 1,
      sym_stable_identifier,
    STATE(11618), 1,
      sym_parameter_types,
    STATE(9626), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10435), 2,
      sym__type,
      sym_function_type,
    STATE(8200), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [352652] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9850), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [352686] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9853), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [352720] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7036), 1,
      sym_identifier,
    ACTIONS(7038), 1,
      anon_sym_LPAREN,
    STATE(3260), 1,
      sym__annotated_type,
    STATE(11803), 1,
      sym_stable_identifier,
    STATE(11829), 1,
      sym_parameter_types,
    STATE(3350), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4656), 2,
      sym__type,
      sym_function_type,
    STATE(2992), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [352754] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9902), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [352788] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2348), 1,
      anon_sym_while,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [352828] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9903), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [352862] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2688), 1,
      anon_sym_while,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [352902] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3704), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3706), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [352924] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7277), 1,
      anon_sym_LPAREN,
    STATE(3236), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(11755), 1,
      sym_parameter_types,
    STATE(3378), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3677), 2,
      sym__type,
      sym_function_type,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [352958] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9780), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [352992] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9702), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353026] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9900), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353060] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_LBRACE,
    ACTIONS(7073), 1,
      anon_sym_DOT,
    ACTIONS(7075), 1,
      anon_sym_LBRACK,
    ACTIONS(7077), 1,
      anon_sym_LPAREN,
    ACTIONS(7095), 1,
      anon_sym_COLON,
    ACTIONS(7097), 1,
      anon_sym_EQ,
    ACTIONS(7099), 1,
      anon_sym_match,
    ACTIONS(7326), 1,
      anon_sym_EQ_GT,
    STATE(9130), 1,
      sym_type_arguments,
    ACTIONS(7093), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(9127), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [353100] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6845), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [353140] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(4243), 1,
      sym__annotated_type,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(11517), 1,
      sym_parameter_types,
    STATE(5630), 2,
      sym__type,
      sym_function_type,
    STATE(5879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353174] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7277), 1,
      anon_sym_LPAREN,
    STATE(3236), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(11755), 1,
      sym_parameter_types,
    STATE(3378), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3633), 2,
      sym__type,
      sym_function_type,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353208] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3650), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3652), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [353230] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9897), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353264] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6642), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [353304] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3634), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3636), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [353326] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9871), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353360] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(4243), 1,
      sym__annotated_type,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(11517), 1,
      sym_parameter_types,
    STATE(5879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6285), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353394] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7328), 1,
      sym_identifier,
    ACTIONS(7330), 1,
      anon_sym_LPAREN,
    STATE(2838), 1,
      sym__annotated_type,
    STATE(11485), 1,
      sym_stable_identifier,
    STATE(11488), 1,
      sym_parameter_types,
    STATE(3080), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3139), 2,
      sym__type,
      sym_function_type,
    STATE(1806), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353428] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9872), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353462] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_LPAREN,
    STATE(9309), 1,
      sym__annotated_type,
    STATE(11609), 1,
      sym_stable_identifier,
    STATE(11618), 1,
      sym_parameter_types,
    STATE(9626), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10475), 2,
      sym__type,
      sym_function_type,
    STATE(8200), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353496] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(6626), 1,
      sym__annotated_type,
    STATE(11325), 1,
      sym_parameter_types,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(7629), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7881), 2,
      sym__type,
      sym_function_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353530] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3891), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [353552] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(4209), 1,
      sym__annotated_type,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(11531), 1,
      sym_parameter_types,
    STATE(4802), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7130), 2,
      sym__type,
      sym_function_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353586] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6634), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [353626] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3606), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3608), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [353648] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [353670] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(4209), 1,
      sym__annotated_type,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(11531), 1,
      sym_parameter_types,
    STATE(4802), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7111), 2,
      sym__type,
      sym_function_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353704] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_while,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [353744] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7050), 1,
      anon_sym_EQ,
    ACTIONS(7332), 1,
      anon_sym_while,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7048), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [353784] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9866), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353818] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9865), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353852] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7036), 1,
      sym_identifier,
    ACTIONS(7038), 1,
      anon_sym_LPAREN,
    STATE(3260), 1,
      sym__annotated_type,
    STATE(11803), 1,
      sym_stable_identifier,
    STATE(11829), 1,
      sym_parameter_types,
    STATE(3350), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4667), 2,
      sym__type,
      sym_function_type,
    STATE(2992), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [353886] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3588), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3590), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [353908] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3584), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3586), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [353930] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3816), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [353952] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3563), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3565), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [353974] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7273), 1,
      anon_sym_LPAREN,
    STATE(8925), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(11548), 1,
      sym_parameter_types,
    STATE(9196), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9468), 2,
      sym__type,
      sym_function_type,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354008] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3523), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3525), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [354030] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9843), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354064] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9834), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354098] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3511), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3513), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [354120] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9819), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354154] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9812), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354188] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 1,
      sym_identifier,
    ACTIONS(6259), 1,
      anon_sym_LPAREN,
    STATE(1682), 1,
      sym__annotated_type,
    STATE(11490), 1,
      sym_stable_identifier,
    STATE(11492), 1,
      sym_parameter_types,
    STATE(2364), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2816), 2,
      sym__type,
      sym_function_type,
    STATE(1183), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354222] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7130), 1,
      sym_identifier,
    ACTIONS(7132), 1,
      anon_sym_LPAREN,
    STATE(9065), 1,
      sym__annotated_type,
    STATE(11649), 1,
      sym_stable_identifier,
    STATE(11656), 1,
      sym_parameter_types,
    STATE(9393), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9861), 2,
      sym__type,
      sym_function_type,
    STATE(6933), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354256] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7206), 1,
      anon_sym_LPAREN,
    STATE(7068), 1,
      sym__annotated_type,
    STATE(11497), 1,
      sym_stable_identifier,
    STATE(11500), 1,
      sym_parameter_types,
    STATE(8410), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8577), 2,
      sym__type,
      sym_function_type,
    STATE(5134), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354290] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7054), 1,
      sym_identifier,
    ACTIONS(7056), 1,
      anon_sym_LPAREN,
    STATE(9261), 1,
      sym__annotated_type,
    STATE(11638), 1,
      sym_stable_identifier,
    STATE(11643), 1,
      sym_parameter_types,
    STATE(9508), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9948), 2,
      sym__type,
      sym_function_type,
    STATE(7908), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354324] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7054), 1,
      sym_identifier,
    ACTIONS(7056), 1,
      anon_sym_LPAREN,
    STATE(9261), 1,
      sym__annotated_type,
    STATE(11638), 1,
      sym_stable_identifier,
    STATE(11643), 1,
      sym_parameter_types,
    STATE(9508), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9951), 2,
      sym__type,
      sym_function_type,
    STATE(7908), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354358] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_LPAREN,
    STATE(1951), 1,
      sym__annotated_type,
    STATE(11419), 1,
      sym_parameter_types,
    STATE(11421), 1,
      sym_stable_identifier,
    STATE(2679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3033), 2,
      sym__type,
      sym_function_type,
    STATE(1359), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354392] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_LPAREN,
    STATE(1951), 1,
      sym__annotated_type,
    STATE(11419), 1,
      sym_parameter_types,
    STATE(11421), 1,
      sym_stable_identifier,
    STATE(2679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3029), 2,
      sym__type,
      sym_function_type,
    STATE(1359), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354426] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(6146), 1,
      anon_sym_LPAREN,
    STATE(9351), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(11789), 1,
      sym_parameter_types,
    STATE(2879), 2,
      sym__type,
      sym_function_type,
    STATE(9557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354460] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9890), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354494] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_STAR,
    ACTIONS(3207), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3209), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [354518] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(4243), 1,
      sym__annotated_type,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(11517), 1,
      sym_parameter_types,
    STATE(5879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6447), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354552] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9896), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354586] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_LPAREN,
    STATE(9305), 1,
      sym__annotated_type,
    STATE(11622), 1,
      sym_stable_identifier,
    STATE(11635), 1,
      sym_parameter_types,
    STATE(9554), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10803), 2,
      sym__type,
      sym_function_type,
    STATE(8527), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354620] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_LPAREN,
    STATE(1951), 1,
      sym__annotated_type,
    STATE(11419), 1,
      sym_parameter_types,
    STATE(11421), 1,
      sym_stable_identifier,
    STATE(2679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3028), 2,
      sym__type,
      sym_function_type,
    STATE(1359), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354654] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      sym_identifier,
    ACTIONS(7252), 1,
      anon_sym_LPAREN,
    STATE(9362), 1,
      sym__annotated_type,
    STATE(11483), 1,
      sym_parameter_types,
    STATE(11678), 1,
      sym_stable_identifier,
    STATE(9533), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9537), 2,
      sym__type,
      sym_function_type,
    STATE(6879), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354688] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 1,
      sym_identifier,
    ACTIONS(7174), 1,
      anon_sym_LPAREN,
    STATE(7071), 1,
      sym__annotated_type,
    STATE(11323), 1,
      sym_parameter_types,
    STATE(11406), 1,
      sym_stable_identifier,
    STATE(8406), 2,
      sym__type,
      sym_function_type,
    STATE(8526), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3907), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354722] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7318), 1,
      sym_identifier,
    ACTIONS(7320), 1,
      anon_sym_LPAREN,
    STATE(9215), 1,
      sym__annotated_type,
    STATE(11471), 1,
      sym_parameter_types,
    STATE(11476), 1,
      sym_stable_identifier,
    STATE(9436), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9597), 2,
      sym__type,
      sym_function_type,
    STATE(8012), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354756] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3820), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [354778] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6630), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [354818] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(4243), 1,
      sym__annotated_type,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(11517), 1,
      sym_parameter_types,
    STATE(5879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6435), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354852] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9795), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354886] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7277), 1,
      anon_sym_LPAREN,
    STATE(3236), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(11755), 1,
      sym_parameter_types,
    STATE(3378), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3646), 2,
      sym__type,
      sym_function_type,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354920] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_LPAREN,
    STATE(1951), 1,
      sym__annotated_type,
    STATE(11419), 1,
      sym_parameter_types,
    STATE(11421), 1,
      sym_stable_identifier,
    STATE(2679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3019), 2,
      sym__type,
      sym_function_type,
    STATE(1359), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354954] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7277), 1,
      anon_sym_LPAREN,
    STATE(3236), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(11755), 1,
      sym_parameter_types,
    STATE(3378), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3647), 2,
      sym__type,
      sym_function_type,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [354988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(4243), 1,
      sym__annotated_type,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(11517), 1,
      sym_parameter_types,
    STATE(5879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6434), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355022] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9791), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355056] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(4243), 1,
      sym__annotated_type,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(11517), 1,
      sym_parameter_types,
    STATE(5879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6425), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355090] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7277), 1,
      anon_sym_LPAREN,
    STATE(3236), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(11755), 1,
      sym_parameter_types,
    STATE(2879), 2,
      sym__type,
      sym_function_type,
    STATE(3378), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355124] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7036), 1,
      sym_identifier,
    ACTIONS(7038), 1,
      anon_sym_LPAREN,
    STATE(3260), 1,
      sym__annotated_type,
    STATE(11803), 1,
      sym_stable_identifier,
    STATE(11829), 1,
      sym_parameter_types,
    STATE(3350), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4300), 2,
      sym__type,
      sym_function_type,
    STATE(2992), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355158] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3497), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3499), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [355180] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6816), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [355220] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3646), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [355242] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7277), 1,
      anon_sym_LPAREN,
    STATE(3236), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(11755), 1,
      sym_parameter_types,
    STATE(3378), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3649), 2,
      sym__type,
      sym_function_type,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355276] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7328), 1,
      sym_identifier,
    ACTIONS(7330), 1,
      anon_sym_LPAREN,
    STATE(2838), 1,
      sym__annotated_type,
    STATE(11485), 1,
      sym_stable_identifier,
    STATE(11488), 1,
      sym_parameter_types,
    STATE(3080), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3148), 2,
      sym__type,
      sym_function_type,
    STATE(1806), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355310] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8110), 1,
      aux_sym__block_repeat1,
    ACTIONS(6115), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2262), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [355336] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3476), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3478), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [355358] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_LPAREN,
    STATE(9309), 1,
      sym__annotated_type,
    STATE(11609), 1,
      sym_stable_identifier,
    STATE(11618), 1,
      sym_parameter_types,
    STATE(9626), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10763), 2,
      sym__type,
      sym_function_type,
    STATE(8200), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355392] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3812), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [355414] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(6468), 1,
      aux_sym__block_repeat1,
    ACTIONS(7336), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(607), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [355440] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7206), 1,
      anon_sym_LPAREN,
    STATE(7068), 1,
      sym__annotated_type,
    STATE(11497), 1,
      sym_stable_identifier,
    STATE(11500), 1,
      sym_parameter_types,
    STATE(8410), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8560), 2,
      sym__type,
      sym_function_type,
    STATE(5134), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355474] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(7598), 1,
      sym__annotated_type,
    STATE(11319), 1,
      sym_parameter_types,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(8580), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8609), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355508] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 8,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [355530] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6016), 1,
      anon_sym_finally,
    STATE(8015), 1,
      sym_finally_clause,
    ACTIONS(3298), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3300), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
  [355556] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(4035), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [355578] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3294), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [355602] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9894), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355636] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(9408), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(11708), 1,
      sym_parameter_types,
    STATE(9679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9887), 2,
      sym__type,
      sym_function_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355670] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6602), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [355710] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7246), 1,
      sym_identifier,
    ACTIONS(7248), 1,
      anon_sym_LPAREN,
    STATE(1660), 1,
      sym__annotated_type,
    STATE(11414), 1,
      sym_parameter_types,
    STATE(11415), 1,
      sym_stable_identifier,
    STATE(2312), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2710), 2,
      sym__type,
      sym_function_type,
    STATE(1170), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355744] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7246), 1,
      sym_identifier,
    ACTIONS(7248), 1,
      anon_sym_LPAREN,
    STATE(1660), 1,
      sym__annotated_type,
    STATE(11414), 1,
      sym_parameter_types,
    STATE(11415), 1,
      sym_stable_identifier,
    STATE(2312), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2716), 2,
      sym__type,
      sym_function_type,
    STATE(1170), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355778] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7198), 1,
      anon_sym_LPAREN,
    STATE(1772), 1,
      sym__annotated_type,
    STATE(11363), 1,
      sym_parameter_types,
    STATE(11375), 1,
      sym_stable_identifier,
    STATE(2284), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2850), 2,
      sym__type,
      sym_function_type,
    STATE(1215), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355812] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3468), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3470), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [355834] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(4243), 1,
      sym__annotated_type,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(11517), 1,
      sym_parameter_types,
    STATE(5879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6329), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355868] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(4243), 1,
      sym__annotated_type,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(11517), 1,
      sym_parameter_types,
    STATE(5879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6286), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355902] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_LPAREN,
    STATE(1951), 1,
      sym__annotated_type,
    STATE(11419), 1,
      sym_parameter_types,
    STATE(11421), 1,
      sym_stable_identifier,
    STATE(2679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2985), 2,
      sym__type,
      sym_function_type,
    STATE(1359), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [355936] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6668), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [355976] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7338), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LPAREN,
    ACTIONS(7342), 1,
      anon_sym_POUND,
    STATE(8907), 1,
      sym_type_arguments,
    STATE(8906), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2044), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [356006] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7277), 1,
      anon_sym_LPAREN,
    STATE(3236), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(11755), 1,
      sym_parameter_types,
    STATE(3378), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3658), 2,
      sym__type,
      sym_function_type,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [356040] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 8,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [356062] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_LPAREN,
    STATE(9309), 1,
      sym__annotated_type,
    STATE(11609), 1,
      sym_stable_identifier,
    STATE(11618), 1,
      sym_parameter_types,
    STATE(9626), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10573), 2,
      sym__type,
      sym_function_type,
    STATE(8200), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [356096] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7036), 1,
      sym_identifier,
    ACTIONS(7038), 1,
      anon_sym_LPAREN,
    STATE(3260), 1,
      sym__annotated_type,
    STATE(11803), 1,
      sym_stable_identifier,
    STATE(11829), 1,
      sym_parameter_types,
    STATE(3350), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4506), 2,
      sym__type,
      sym_function_type,
    STATE(2992), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [356130] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7277), 1,
      anon_sym_LPAREN,
    STATE(3236), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(11755), 1,
      sym_parameter_types,
    STATE(3378), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3656), 2,
      sym__type,
      sym_function_type,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [356164] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7277), 1,
      anon_sym_LPAREN,
    STATE(3236), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(11755), 1,
      sym_parameter_types,
    STATE(3378), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3655), 2,
      sym__type,
      sym_function_type,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [356198] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7036), 1,
      sym_identifier,
    ACTIONS(7038), 1,
      anon_sym_LPAREN,
    STATE(3260), 1,
      sym__annotated_type,
    STATE(11803), 1,
      sym_stable_identifier,
    STATE(11829), 1,
      sym_parameter_types,
    STATE(3350), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4487), 2,
      sym__type,
      sym_function_type,
    STATE(2992), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [356232] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7277), 1,
      anon_sym_LPAREN,
    STATE(3236), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(11755), 1,
      sym_parameter_types,
    STATE(3378), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3654), 2,
      sym__type,
      sym_function_type,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [356266] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7184), 1,
      anon_sym_LPAREN,
    STATE(1951), 1,
      sym__annotated_type,
    STATE(11419), 1,
      sym_parameter_types,
    STATE(11421), 1,
      sym_stable_identifier,
    STATE(2679), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2749), 2,
      sym__type,
      sym_function_type,
    STATE(1359), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [356300] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6008), 1,
      anon_sym_finally,
    STATE(7001), 1,
      sym_finally_clause,
    ACTIONS(3298), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3300), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
  [356326] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(4243), 1,
      sym__annotated_type,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(11517), 1,
      sym_parameter_types,
    STATE(5879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6201), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [356360] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    ACTIONS(7344), 1,
      anon_sym_RPAREN,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [356400] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8197), 1,
      sym_access_qualifier,
    ACTIONS(2999), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3001), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [356424] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3557), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [356446] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4017), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4019), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [356468] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3503), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3505), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [356490] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3527), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3529), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [356512] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3537), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3539), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [356534] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      sym_identifier,
    ACTIONS(6397), 1,
      anon_sym_LPAREN,
    STATE(3584), 1,
      sym__annotated_type,
    STATE(11537), 1,
      sym_stable_identifier,
    STATE(11544), 1,
      sym_parameter_types,
    STATE(4189), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4397), 2,
      sym__type,
      sym_function_type,
    STATE(3203), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [356568] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3547), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3549), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [356590] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3553), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [356612] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3574), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3576), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [356634] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 1,
      sym_identifier,
    ACTIONS(6299), 1,
      anon_sym_LPAREN,
    STATE(5740), 1,
      sym__annotated_type,
    STATE(11503), 1,
      sym_stable_identifier,
    STATE(11508), 1,
      sym_parameter_types,
    STATE(6717), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6938), 2,
      sym__type,
      sym_function_type,
    STATE(3948), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [356668] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3618), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3620), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [356690] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7060), 1,
      anon_sym_LPAREN,
    STATE(8476), 1,
      sym__annotated_type,
    STATE(11340), 1,
      sym_parameter_types,
    STATE(11438), 1,
      sym_stable_identifier,
    STATE(8971), 2,
      sym__type,
      sym_function_type,
    STATE(8982), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4516), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [356724] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3710), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3712), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [356746] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3741), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3743), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [356768] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [356790] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3786), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3788), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [356812] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5653), 1,
      anon_sym_finally,
    STATE(8591), 1,
      sym_finally_clause,
    ACTIONS(3298), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [356838] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3834), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3836), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [356860] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6775), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [356900] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6569), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [356940] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3846), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3848), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [356962] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [356984] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7128), 1,
      anon_sym_LPAREN,
    STATE(4243), 1,
      sym__annotated_type,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(11517), 1,
      sym_parameter_types,
    STATE(5879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5996), 2,
      sym__type,
      sym_function_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [357018] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_identifier,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(1309), 1,
      sym__annotated_type,
    STATE(11345), 1,
      sym_parameter_types,
    STATE(11364), 1,
      sym_stable_identifier,
    STATE(1663), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2109), 2,
      sym__type,
      sym_function_type,
    STATE(1073), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [357052] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7346), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2491), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [357076] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3897), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3899), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [357098] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5926), 1,
      anon_sym_finally,
    STATE(8414), 1,
      sym_finally_clause,
    ACTIONS(3298), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
  [357124] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [357146] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4021), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4023), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [357168] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4029), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4031), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [357190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7190), 1,
      sym_identifier,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    STATE(7531), 1,
      sym__annotated_type,
    STATE(11355), 1,
      sym_parameter_types,
    STATE(11455), 1,
      sym_stable_identifier,
    STATE(8649), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8695), 2,
      sym__type,
      sym_function_type,
    STATE(4003), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [357224] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(4209), 1,
      sym__annotated_type,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(11531), 1,
      sym_parameter_types,
    STATE(4802), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5433), 2,
      sym__type,
      sym_function_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [357258] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4069), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4071), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [357280] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [357302] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4053), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4055), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [357324] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4049), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4051), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [357346] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(4209), 1,
      sym__annotated_type,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(11531), 1,
      sym_parameter_types,
    STATE(4802), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7855), 2,
      sym__type,
      sym_function_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [357380] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7348), 1,
      anon_sym_EQ_GT,
    ACTIONS(7350), 1,
      sym__interpolated_string_start,
    ACTIONS(7352), 1,
      sym__interpolated_multiline_string_start,
    STATE(9030), 1,
      sym_interpolated_string,
    ACTIONS(2452), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [357410] = 12,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_LBRACE,
    ACTIONS(6477), 1,
      anon_sym_DOT,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_match,
    ACTIONS(6531), 1,
      anon_sym_RPAREN,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    STATE(8585), 1,
      sym_type_arguments,
    ACTIONS(7087), 2,
      sym_identifier,
      sym_operator_identifier,
    STATE(8583), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
  [357450] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4041), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4043), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [357472] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7354), 1,
      anon_sym_LBRACK,
    ACTIONS(7356), 1,
      anon_sym_LPAREN,
    ACTIONS(7358), 1,
      anon_sym_POUND,
    STATE(8888), 1,
      sym_type_arguments,
    ACTIONS(2042), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8885), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2044), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [357504] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(4209), 1,
      sym__annotated_type,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(11531), 1,
      sym_parameter_types,
    STATE(4802), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7853), 2,
      sym__type,
      sym_function_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [357538] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3557), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [357559] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8582), 1,
      sym_block,
    ACTIONS(3430), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3432), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [357582] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [357605] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [357626] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2491), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [357649] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [357670] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8204), 1,
      aux_sym__block_repeat1,
    ACTIONS(6275), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2262), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [357695] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(4035), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [357716] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2505), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [357737] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6733), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8232), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2224), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [357762] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2454), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [357783] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3553), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [357804] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8579), 1,
      sym_template_body,
    ACTIONS(3422), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3424), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [357827] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3119), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3121), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [357848] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [357869] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6700), 1,
      anon_sym_AT,
    STATE(8207), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2207), 5,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [357894] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7304), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7362), 1,
      anon_sym_AT,
    STATE(8943), 1,
      sym_type_arguments,
    ACTIONS(2028), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9068), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2030), 5,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [357925] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [357946] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(4035), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [357967] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3159), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3161), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [357988] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8491), 1,
      aux_sym__block_repeat1,
    ACTIONS(7364), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(607), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358013] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [358034] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8690), 1,
      sym_block,
    ACTIONS(3346), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3348), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358057] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7366), 1,
      anon_sym_AT,
    STATE(8207), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2134), 5,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [358082] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8832), 1,
      sym_template_body,
    ACTIONS(3217), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3219), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358107] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8567), 1,
      sym_template_body,
    ACTIONS(3251), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3253), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358132] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2505), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [358153] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    STATE(8223), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(2224), 6,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [358178] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358199] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8831), 1,
      sym_block,
    ACTIONS(3262), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3264), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358222] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 8,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [358245] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8554), 1,
      sym_template_body,
    ACTIONS(3315), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3317), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358270] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8827), 1,
      sym_template_body,
    ACTIONS(3319), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3321), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358295] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3891), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [358316] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2450), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [358337] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8822), 1,
      sym_template_body,
    ACTIONS(3385), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3387), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358362] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6804), 1,
      anon_sym_AT,
    STATE(8320), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(2207), 6,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [358387] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2513), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [358408] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8818), 1,
      sym_template_body,
    ACTIONS(3405), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3407), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358433] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7369), 1,
      anon_sym_LPAREN,
    STATE(8223), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(2238), 6,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [358458] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8558), 1,
      sym_template_body,
    ACTIONS(3281), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3283), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358483] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358504] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3277), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3279), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358525] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8757), 1,
      sym_template_body,
    ACTIONS(3288), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3290), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358548] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8652), 1,
      sym_template_body,
    ACTIONS(3235), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3237), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358573] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7372), 1,
      anon_sym_EQ_GT,
    ACTIONS(7374), 1,
      sym__interpolated_string_start,
    ACTIONS(7376), 1,
      sym__interpolated_multiline_string_start,
    STATE(9134), 1,
      sym_interpolated_string,
    ACTIONS(2452), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358602] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2513), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [358623] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358644] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7378), 1,
      anon_sym_LPAREN,
    ACTIONS(2236), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8232), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2238), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [358669] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3800), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [358690] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8568), 1,
      sym_template_body,
    ACTIONS(3197), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3199), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358715] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6036), 1,
      anon_sym_finally,
    STATE(8994), 1,
      sym_finally_clause,
    ACTIONS(3298), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358740] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3852), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [358761] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8760), 1,
      sym_template_body,
    ACTIONS(3225), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3227), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358786] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3955), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [358807] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3951), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [358828] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8817), 1,
      sym_template_body,
    ACTIONS(3371), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3373), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [358853] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3943), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [358874] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [358895] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(2450), 8,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [358916] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3257), 7,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [358937] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3852), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [358958] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6150), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [358981] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8570), 1,
      sym_template_body,
    ACTIONS(3041), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3043), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359006] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(7381), 1,
      anon_sym_EQ,
    ACTIONS(3180), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3178), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [359031] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3852), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [359052] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3257), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [359073] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2540), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [359094] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [359115] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 9,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [359136] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8771), 1,
      sym_template_body,
    ACTIONS(3057), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3059), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359161] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359182] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8813), 1,
      sym_block,
    ACTIONS(3221), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3223), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359205] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7383), 1,
      anon_sym_STAR,
    ACTIONS(3207), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [359228] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8810), 1,
      sym_block,
    ACTIONS(3201), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3203), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359251] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3300), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [359272] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3490), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3492), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359293] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(7385), 1,
      anon_sym_EQ,
    ACTIONS(3168), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3166), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [359318] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3927), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [359339] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7387), 1,
      anon_sym_STAR,
    ACTIONS(3207), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3209), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [359362] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3919), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [359383] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3692), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3694), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359404] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3688), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3690), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359425] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8809), 1,
      sym_template_body,
    ACTIONS(3190), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3192), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359450] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3680), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3682), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359471] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3672), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3674), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359492] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3638), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3640), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359513] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym_finally,
    STATE(8289), 1,
      sym_finally_clause,
    ACTIONS(3298), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3300), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359538] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3915), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [359559] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8807), 1,
      sym_template_body,
    ACTIONS(3155), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3157), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359584] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3630), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3632), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359605] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3209), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [359626] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8778), 1,
      sym_template_body,
    ACTIONS(3082), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3084), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359651] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7389), 1,
      anon_sym_DOT,
    ACTIONS(2489), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [359674] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(7391), 1,
      anon_sym_EQ,
    ACTIONS(3180), 5,
      anon_sym_COLON,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3178), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [359699] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [359720] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3626), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3628), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359741] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3907), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [359762] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3895), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [359783] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3622), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3624), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359804] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2540), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [359825] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8798), 1,
      sym_template_body,
    ACTIONS(3137), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3139), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359850] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3883), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [359871] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3856), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [359892] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    ACTIONS(7393), 1,
      anon_sym_EQ,
    ACTIONS(3168), 5,
      anon_sym_COLON,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
    ACTIONS(3166), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [359917] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3887), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [359938] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3596), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3598), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359959] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3646), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [359980] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7338), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_POUND,
    ACTIONS(7395), 1,
      anon_sym_AT,
    STATE(8907), 1,
      sym_type_arguments,
    STATE(9082), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2030), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [360009] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [360030] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 9,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [360051] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3553), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360072] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3557), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360093] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3592), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3594), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360114] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5872), 1,
      anon_sym_finally,
    STATE(8806), 1,
      sym_finally_clause,
    ACTIONS(3300), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3298), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [360139] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3519), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3521), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360160] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3515), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3517), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360181] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [360202] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [360223] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6091), 1,
      anon_sym_finally,
    STATE(8015), 1,
      sym_finally_clause,
    ACTIONS(3298), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3300), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
  [360248] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3462), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3464), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360269] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3449), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3451), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360290] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3441), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3443), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360311] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8794), 1,
      sym_block,
    ACTIONS(3123), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3125), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360334] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3096), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3098), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360355] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3820), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [360376] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360397] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8805), 1,
      sym_template_body,
    ACTIONS(3103), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3105), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360422] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3816), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [360443] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3472), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3474), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360464] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3486), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3488), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360485] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3646), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [360506] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3553), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [360527] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8317), 1,
      aux_sym__block_repeat1,
    ACTIONS(7397), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2580), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [360552] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3557), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [360573] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3877), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3879), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360594] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym_AT,
    STATE(8320), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(2134), 6,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [360619] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6168), 1,
      anon_sym_finally,
    STATE(8714), 1,
      sym_finally_clause,
    ACTIONS(3298), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
  [360644] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3507), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3509), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360665] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [360686] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [360707] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8785), 1,
      sym_template_body,
    ACTIONS(3113), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3115), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360732] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3812), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360753] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3816), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360774] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [360795] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2578), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2580), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360816] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3541), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3543), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360837] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6106), 1,
      anon_sym_finally,
    STATE(8015), 1,
      sym_finally_clause,
    ACTIONS(3298), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [360862] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3820), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [360883] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_DOT,
    ACTIONS(2489), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2491), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [360906] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [360927] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(7411), 1,
      anon_sym_EQ,
    ACTIONS(7413), 1,
      anon_sym_LPAREN,
    STATE(8968), 1,
      sym_type_parameters,
    STATE(10105), 1,
      sym_block,
    STATE(8961), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2604), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [360962] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5823), 1,
      anon_sym_finally,
    STATE(8289), 1,
      sym_finally_clause,
    ACTIONS(3298), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [360987] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4017), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4019), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361008] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(7088), 1,
      aux_sym__block_repeat1,
    ACTIONS(7415), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(607), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361033] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3664), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3666), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361054] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3668), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3670), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361075] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8317), 1,
      aux_sym__block_repeat1,
    ACTIONS(7417), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(605), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(607), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [361100] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8584), 1,
      sym_block,
    ACTIONS(3426), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3428), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361123] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8341), 1,
      aux_sym__block_repeat1,
    ACTIONS(6374), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2262), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [361148] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8776), 1,
      sym_template_body,
    ACTIONS(3092), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3094), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361173] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3676), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3678), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361194] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7419), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 8,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [361217] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8765), 1,
      sym_template_body,
    ACTIONS(3074), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3076), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361242] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3684), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3686), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361263] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3696), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3698), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361284] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3700), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3702), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361305] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6725), 1,
      anon_sym_with,
    STATE(6752), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6808), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 5,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
  [361332] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8338), 1,
      aux_sym__block_repeat1,
    ACTIONS(6338), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2260), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2262), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361357] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3812), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [361378] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3856), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361399] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3883), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361420] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3559), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3561), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361441] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3887), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361462] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3722), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3724), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361483] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3895), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361504] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3049), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3051), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361525] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8605), 1,
      sym_template_body,
    ACTIONS(3409), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3411), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361550] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3907), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361571] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4041), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4043), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361592] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8317), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [361615] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361636] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3145), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3143), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [361657] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4049), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4051), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361678] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3915), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361699] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3153), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3151), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [361720] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3919), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361741] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3927), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361762] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8762), 1,
      sym_template_body,
    ACTIONS(3045), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3047), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361787] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7413), 1,
      anon_sym_LPAREN,
    ACTIONS(7421), 1,
      anon_sym_COLON,
    ACTIONS(7423), 1,
      anon_sym_EQ,
    STATE(8940), 1,
      sym_type_parameters,
    STATE(10097), 1,
      sym_block,
    STATE(8948), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2416), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [361822] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4053), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4055), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361843] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3729), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3731), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361864] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361885] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3943), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361906] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 9,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [361927] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8616), 1,
      sym_template_body,
    ACTIONS(3397), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3399), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361950] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3951), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [361971] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3039), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3037), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [361992] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3184), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2443), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [362013] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3955), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362034] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3292), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3294), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362055] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4069), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4071), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362076] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(4035), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [362097] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 9,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [362118] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8401), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2224), 8,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [362143] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3733), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3735), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362164] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8747), 1,
      sym_block,
    ACTIONS(3066), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3068), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362187] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362208] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3188), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3186), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [362229] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362250] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8846), 1,
      sym_arguments,
    ACTIONS(3033), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3035), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362273] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3737), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3739), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362294] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8491), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(607), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362317] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3745), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3747), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362338] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3812), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [362359] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2474), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [362380] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 9,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [362401] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7425), 1,
      anon_sym_LPAREN,
    ACTIONS(2236), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8401), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2238), 8,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [362426] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4029), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4031), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362447] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 9,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [362468] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3749), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3751), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362489] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3816), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [362510] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3820), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [362531] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362552] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4021), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4023), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362573] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3753), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3755), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362594] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(6997), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_while,
    ACTIONS(2376), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [362619] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3856), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [362640] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3757), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3759), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362661] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3883), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [362682] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3887), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [362703] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3764), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3766), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362724] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8740), 1,
      sym_template_body,
    ACTIONS(3078), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3080), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362747] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5578), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 5,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [362770] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8738), 1,
      sym_template_body,
    ACTIONS(3086), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3088), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362795] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3768), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3770), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362816] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7256), 1,
      anon_sym_LBRACK,
    ACTIONS(7260), 1,
      anon_sym_POUND,
    ACTIONS(7428), 1,
      anon_sym_AT,
    STATE(8902), 1,
      sym_type_arguments,
    ACTIONS(2028), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9071), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2030), 5,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [362847] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3891), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [362868] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3602), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3604), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [362889] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3646), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [362910] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3895), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [362931] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [362952] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [362973] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 9,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [362994] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3907), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [363015] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [363036] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3915), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [363057] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3776), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3778), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363078] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3919), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [363099] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8711), 1,
      sym_block,
    ACTIONS(3127), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3129), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363122] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3780), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3782), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363143] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3927), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [363164] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3897), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3899), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363185] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [363206] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8620), 1,
      sym_block,
    ACTIONS(3393), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3395), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363229] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8707), 1,
      sym_block,
    ACTIONS(3147), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3149), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363252] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3714), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3716), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363273] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3523), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3525), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363294] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3790), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3792), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363315] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3794), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3796), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363336] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3846), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3848), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363357] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3834), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3836), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363378] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3806), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3808), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363399] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [363420] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3822), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3824), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363441] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3826), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3828), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363462] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3786), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3788), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363483] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3830), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3832), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363504] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3838), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3840), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363525] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2441), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [363548] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3741), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3743), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363569] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3842), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3844), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363590] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7430), 1,
      anon_sym_DOT,
    ACTIONS(3379), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3381), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363613] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3861), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3863), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363634] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3865), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3867), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363655] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3943), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [363676] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3710), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3712), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363697] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3951), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [363718] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8701), 1,
      sym_template_body,
    ACTIONS(3174), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3176), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363743] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3618), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3620), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363764] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3869), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3871), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363785] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3574), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3576), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363806] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3955), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [363827] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3292), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3294), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [363848] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3873), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3875), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363869] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3800), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [363890] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [363911] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4025), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4027), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363932] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3901), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3903), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363953] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3921), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3923), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363974] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8682), 1,
      sym_template_body,
    ACTIONS(3213), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3215), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [363999] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2441), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [364022] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_with,
    STATE(6475), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6567), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
  [364049] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3933), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3935), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364070] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8654), 1,
      sym_template_body,
    ACTIONS(3389), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3391), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364093] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364114] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3937), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3939), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364135] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3945), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3947), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364156] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8678), 1,
      sym_template_body,
    ACTIONS(3229), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3231), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364181] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8648), 1,
      sym_template_body,
    ACTIONS(3375), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3377), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364204] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3957), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3959), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364225] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3961), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3963), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364246] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3547), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3549), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364267] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3965), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3967), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364288] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3969), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3971), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364309] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8673), 1,
      sym_block,
    ACTIONS(3244), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3246), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364332] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3973), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3975), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364353] = 5,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8491), 1,
      aux_sym__block_repeat1,
    ACTIONS(7432), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2578), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2580), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364378] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364399] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3977), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3979), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364420] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3537), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3539), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364441] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3527), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3529), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364462] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364483] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3503), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3505), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364504] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3468), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3470), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364525] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3455), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3457), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364546] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8759), 1,
      sym_template_body,
    ACTIONS(3401), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3403), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364571] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364592] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5620), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_match,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [364615] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3476), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3478), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364636] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3991), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3993), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364657] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8662), 1,
      sym_template_body,
    ACTIONS(3338), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3340), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364682] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3511), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3513), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364703] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4061), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4063), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364724] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3563), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3565), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364745] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3584), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3586), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364766] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3588), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3590), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364787] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364808] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364829] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7435), 1,
      anon_sym_STAR,
    ACTIONS(3207), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364852] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3606), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3608), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364873] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3995), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3997), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364894] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8671), 1,
      sym_template_body,
    ACTIONS(3269), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3271), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364919] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3999), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4001), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364940] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3634), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3636), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364961] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3650), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3652), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [364982] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3704), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3706), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365003] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3344), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(3342), 7,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [365024] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4003), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4005), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365045] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3718), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3720), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365066] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3802), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3804), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365087] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3434), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3436), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365108] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6177), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [365131] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7354), 1,
      anon_sym_LBRACK,
    ACTIONS(7358), 1,
      anon_sym_POUND,
    ACTIONS(7437), 1,
      anon_sym_AT,
    STATE(8888), 1,
      sym_type_arguments,
    ACTIONS(2028), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9111), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2030), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [365162] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3981), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3983), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365183] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ_GT,
    ACTIONS(3292), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3294), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [365206] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5568), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [365229] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3987), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3989), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365250] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3302), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3304), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_extends,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365271] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3891), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [365292] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3445), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3447), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365313] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3929), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3931), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365334] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4085), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4087), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365355] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4081), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4083), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365376] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8666), 1,
      sym_template_body,
    ACTIONS(3323), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3325), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365401] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4077), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4079), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365422] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4007), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4009), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365443] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4073), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4075), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365464] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4065), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4067), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365485] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [365506] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3772), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3774), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365527] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4013), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4015), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365548] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [365569] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4057), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4059), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365590] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7413), 1,
      anon_sym_LPAREN,
    ACTIONS(7439), 1,
      anon_sym_COLON,
    ACTIONS(7441), 1,
      anon_sym_EQ,
    STATE(9008), 1,
      sym_type_parameters,
    STATE(9971), 1,
      sym_block,
    STATE(9007), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2631), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [365625] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4045), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4047), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365646] = 4,
    ACTIONS(91), 1,
      sym_comment,
    STATE(8789), 1,
      sym_template_body,
    ACTIONS(3415), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3417), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365669] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3497), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3499), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365690] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(8664), 1,
      sym_template_body,
    ACTIONS(3327), 5,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3329), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365715] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4037), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4039), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365736] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3995), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3997), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365756] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3991), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3993), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365776] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3852), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [365796] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3300), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365816] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3977), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3979), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365836] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3927), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365856] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3257), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [365876] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3999), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4001), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365896] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3919), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365916] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4069), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4071), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365936] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3955), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [365956] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3969), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3971), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [365976] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 8,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [365996] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4003), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4005), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366016] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3965), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3967), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366036] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3943), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366056] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3961), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3963), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7445), 5,
      sym__simple_string,
      sym__simple_multiline_string,
      anon_sym_LPAREN,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7443), 7,
      anon_sym__,
      sym_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_symbol_literal,
      sym_null_literal,
  [366096] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3209), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366116] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4007), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4009), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366136] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3907), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366156] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4053), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4055), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366176] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3951), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366196] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3820), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [366216] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366236] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4065), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4067), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366256] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(5635), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 4,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
    ACTIONS(2376), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [366278] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3957), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3959), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366298] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3945), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3947), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366318] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3951), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [366338] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3937), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3939), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366358] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3943), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [366378] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3933), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3935), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366398] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4049), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4051), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366418] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4013), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4015), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366438] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3895), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366458] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3816), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [366478] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3887), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366498] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3921), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3923), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366518] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3955), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366538] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3883), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366558] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4025), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4027), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366578] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3292), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3294), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366598] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4041), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4043), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366618] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3800), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366638] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3856), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366658] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10332), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [366692] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2454), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366712] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3557), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [366732] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7004), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8823), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2224), 7,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [366756] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3553), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [366776] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3901), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3903), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366796] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3877), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3879), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366816] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3915), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366836] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2576), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366856] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3820), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366876] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2584), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366896] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [366916] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [366936] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4017), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4019), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366956] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4037), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4039), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366976] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4045), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4047), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [366996] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3873), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3875), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367016] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3891), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [367036] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4029), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4031), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367056] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3869), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3871), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367076] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3865), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3867), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367096] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3646), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [367116] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3816), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367136] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3646), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [367156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7457), 5,
      sym__simple_string,
      sym__simple_multiline_string,
      anon_sym_LPAREN,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7455), 7,
      anon_sym__,
      sym_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_symbol_literal,
      sym_null_literal,
  [367176] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2540), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [367196] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10919), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [367230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7461), 5,
      sym__simple_string,
      sym__simple_multiline_string,
      anon_sym_LPAREN,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7459), 7,
      anon_sym__,
      sym_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_symbol_literal,
      sym_null_literal,
  [367250] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [367270] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3812), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367290] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4057), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4059), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367310] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2578), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2580), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367330] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3861), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3863), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367350] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [367370] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7463), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2491), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [367392] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3842), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3844), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367412] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7465), 1,
      anon_sym_STAR,
    ACTIONS(3207), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367434] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3557), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [367454] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    STATE(8638), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2236), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(2238), 5,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [367478] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10639), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [367512] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3838), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3840), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367532] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4021), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4023), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367552] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2513), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [367572] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [367592] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3800), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [367612] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3070), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3072), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367632] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3553), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [367652] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4061), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4063), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367672] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3830), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3832), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367692] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6354), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [367714] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3053), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3055), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367734] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10304), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [367768] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3973), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3975), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367788] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym_finally,
    STATE(8806), 1,
      sym_finally_clause,
    ACTIONS(3298), 5,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3300), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367812] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3897), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3899), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367832] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [367852] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3650), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3652), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367872] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3822), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3824), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367892] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3257), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367912] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6201), 1,
      anon_sym_finally,
    STATE(9157), 1,
      sym_finally_clause,
    ACTIONS(3298), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367936] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3806), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3808), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367956] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2454), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [367976] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3794), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3796), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [367996] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3790), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3792), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368016] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3714), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3716), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368036] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4073), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4075), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368056] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3780), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3782), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368076] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6376), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 6,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
  [368098] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6964), 1,
      anon_sym_LPAREN,
    STATE(8638), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2222), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(2224), 5,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [368122] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2505), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [368142] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7470), 1,
      anon_sym_AT,
    ACTIONS(2132), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8670), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2134), 7,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [368166] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3776), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3778), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368186] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3772), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3774), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368206] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3768), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3770), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368226] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4077), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4079), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368246] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3764), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3766), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368266] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4081), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4083), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368286] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10801), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [368320] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3757), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3759), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368340] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 8,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [368360] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3753), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3755), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368380] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4085), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4087), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368400] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3749), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3751), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368420] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3929), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3931), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368440] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3497), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3499), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368460] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3445), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3447), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368480] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3846), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3848), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368500] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7473), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2491), 7,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [368522] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3812), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [368542] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3557), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368562] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3987), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3989), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368582] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 8,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [368602] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3553), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368622] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3816), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [368642] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [368662] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3820), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [368682] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [368702] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3745), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3747), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368722] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [368742] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3981), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3983), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368762] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6206), 1,
      anon_sym_finally,
    STATE(8806), 1,
      sym_finally_clause,
    ACTIONS(3298), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [368786] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3737), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3739), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368806] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 7,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [368826] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10348), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [368860] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(4035), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [368880] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [368900] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2450), 9,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [368920] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3733), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3735), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [368940] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [368960] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10278), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [368994] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3856), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [369014] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3729), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3731), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [369034] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3883), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [369054] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3722), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3724), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [369074] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3887), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [369094] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [369116] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3852), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [369136] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3891), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [369156] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3895), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [369176] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym_AT,
    ACTIONS(2205), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8670), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2207), 7,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [369200] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3812), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [369220] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      anon_sym_LT_COLON,
    ACTIONS(7287), 1,
      anon_sym_GT_COLON,
    ACTIONS(7289), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    STATE(9136), 1,
      sym_upper_bound,
    STATE(9348), 1,
      sym_lower_bound,
    ACTIONS(7475), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9360), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    STATE(9848), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [369254] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [369274] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3646), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [369294] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [369314] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3834), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3836), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [369334] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [369354] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2441), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [369376] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3852), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [369396] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3300), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [369416] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(11119), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [369450] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10221), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [369484] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3907), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [369504] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3559), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3561), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [369524] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [369544] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3927), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [369564] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3919), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [369584] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6898), 1,
      anon_sym_LPAREN,
    STATE(8758), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2224), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [369606] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3700), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3702), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [369626] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3696), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3698), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [369646] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3684), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3686), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [369666] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3826), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3828), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [369686] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 8,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [369706] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3786), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3788), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [369726] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [369746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7479), 5,
      sym__simple_string,
      sym__simple_multiline_string,
      anon_sym_LPAREN,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7477), 7,
      anon_sym__,
      sym_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_symbol_literal,
      sym_null_literal,
  [369766] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [369786] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3668), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3670), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [369806] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3664), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3666), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [369826] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3209), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [369846] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3915), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [369866] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3919), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [369886] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3927), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [369906] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [369926] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10832), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [369960] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [369980] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [370000] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3434), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3436), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370020] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7481), 1,
      anon_sym_LPAREN,
    STATE(8758), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2238), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [370042] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3741), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3743), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370062] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3802), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3804), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370082] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [370102] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3602), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3604), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370122] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [370142] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3907), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [370162] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3541), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3543), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370182] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3507), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3509), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370202] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3710), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3712), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370222] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6993), 1,
      anon_sym_with,
    STATE(7065), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(6997), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 4,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
  [370248] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3718), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3720), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370268] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3852), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [370288] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3704), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3706), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370308] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7484), 1,
      anon_sym_DOT,
    ACTIONS(2489), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [370330] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2513), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [370350] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3943), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [370370] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3618), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3620), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370390] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3490), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3492), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370410] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3547), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3549), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370430] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3634), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3636), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370450] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(4035), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370470] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3606), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3608), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370490] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [370510] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6871), 1,
      anon_sym_AT,
    ACTIONS(2205), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8849), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2207), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [370534] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [370554] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3951), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [370574] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3486), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3488), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370594] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3676), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3678), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370614] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3955), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [370634] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10207), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [370668] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3574), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3576), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370688] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3292), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3294), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [370708] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 8,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [370728] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3800), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [370748] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10696), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [370782] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3472), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3474), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370802] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [370822] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3441), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3443), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370842] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370862] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3449), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3451), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370882] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2441), 7,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [370904] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3462), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3464), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [370924] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(4035), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [370944] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3856), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [370964] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3883), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [370984] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3588), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3590), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371004] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3584), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3586), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371024] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3887), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [371044] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3515), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3517), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371064] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3519), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3521), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371084] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3592), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3594), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371104] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3596), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3598), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371124] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3915), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [371144] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(3895), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_while,
  [371164] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3622), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3624), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371184] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10565), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [371218] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 8,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [371238] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [371258] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3626), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3628), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371278] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3630), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3632), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371298] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [371318] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3563), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3565), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371338] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3638), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3640), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371358] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3672), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3674), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371378] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_LPAREN,
    ACTIONS(2236), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8823), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2238), 7,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [371402] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10718), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [371436] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2540), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [371456] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371476] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3680), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3682), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371496] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10265), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [371530] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3537), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3539), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371550] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3527), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3529), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371570] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3688), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3690), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371590] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3692), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3694), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371610] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7489), 1,
      anon_sym_LPAREN,
    ACTIONS(2236), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8833), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2238), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [371634] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3503), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3505), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371654] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10904), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [371688] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7492), 1,
      anon_sym_DOT,
    ACTIONS(2489), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2491), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [371710] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3523), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3525), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371730] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371750] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(4035), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [371770] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3455), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3457), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371790] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371810] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3468), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3470), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371830] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [371850] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2505), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [371870] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(2439), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2441), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [371892] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3511), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3513), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371912] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7032), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8833), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2224), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [371936] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3476), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(3478), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [371956] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7494), 1,
      anon_sym_AT,
    ACTIONS(2132), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8849), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2134), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [371980] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2450), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [372000] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11236), 1,
      sym__type_parameter,
    STATE(8863), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(10482), 3,
      sym__variant_type_parameter,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [372034] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_LPAREN,
    STATE(3594), 1,
      sym__annotated_type,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(4194), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372061] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7499), 1,
      anon_sym_LPAREN,
    ACTIONS(2236), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8853), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2238), 6,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [372084] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7142), 1,
      sym_identifier,
    ACTIONS(7502), 1,
      anon_sym_LPAREN,
    STATE(2434), 1,
      sym__annotated_type,
    STATE(11430), 1,
      sym_stable_identifier,
    STATE(2908), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1580), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372111] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 7,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [372130] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 1,
      sym_identifier,
    ACTIONS(7504), 1,
      anon_sym_LPAREN,
    STATE(6701), 1,
      sym__annotated_type,
    STATE(11524), 1,
      sym_stable_identifier,
    STATE(7653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4781), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372157] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [372176] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 1,
      sym_identifier,
    ACTIONS(7506), 1,
      anon_sym_LPAREN,
    STATE(5853), 1,
      sym__annotated_type,
    STATE(11406), 1,
      sym_stable_identifier,
    STATE(6794), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3907), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372203] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9577), 1,
      sym_extends_clause,
    STATE(10007), 1,
      sym_template_body,
    STATE(8983), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2179), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [372232] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_LPAREN,
    STATE(1569), 1,
      sym__annotated_type,
    STATE(11397), 1,
      sym_stable_identifier,
    STATE(2038), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1090), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372259] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7510), 1,
      anon_sym_LPAREN,
    ACTIONS(2236), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8861), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2238), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [372282] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(7413), 1,
      anon_sym_LPAREN,
    ACTIONS(7513), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_EQ,
    STATE(10029), 1,
      sym_block,
    STATE(9149), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2778), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [372311] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(7451), 1,
      anon_sym_PLUS,
    ACTIONS(7453), 1,
      anon_sym_DASH,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11031), 1,
      sym__type_parameter,
    STATE(6037), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    STATE(11037), 2,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
  [372344] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7036), 1,
      sym_identifier,
    ACTIONS(7517), 1,
      anon_sym_LPAREN,
    STATE(3232), 1,
      sym__annotated_type,
    STATE(11803), 1,
      sym_stable_identifier,
    STATE(3411), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2992), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372371] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7519), 1,
      anon_sym_LPAREN,
    STATE(1543), 1,
      sym__annotated_type,
    STATE(11393), 1,
      sym_stable_identifier,
    STATE(2014), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1124), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372398] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7521), 1,
      anon_sym_STAR,
    ACTIONS(3207), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [372419] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7523), 1,
      anon_sym_LPAREN,
    STATE(4214), 1,
      sym__annotated_type,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(4837), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372446] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2513), 7,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [372465] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [372484] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9575), 1,
      sym_extends_clause,
    STATE(10010), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2183), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [372513] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6463), 1,
      sym_identifier,
    ACTIONS(7525), 1,
      anon_sym_LPAREN,
    STATE(1608), 1,
      sym__annotated_type,
    STATE(11434), 1,
      sym_stable_identifier,
    STATE(2084), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1081), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372540] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [372559] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7527), 1,
      anon_sym_AT,
    ACTIONS(2132), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8873), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2134), 6,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [372582] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3889), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3891), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [372601] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7530), 1,
      anon_sym_LPAREN,
    STATE(1905), 1,
      sym__annotated_type,
    STATE(11421), 1,
      sym_stable_identifier,
    STATE(2644), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1359), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372628] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [372647] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9574), 1,
      sym_extends_clause,
    STATE(10014), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2187), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [372676] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7532), 1,
      anon_sym_LPAREN,
    STATE(3630), 1,
      sym__annotated_type,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(4216), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372703] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8976), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2224), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [372726] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7208), 1,
      sym_identifier,
    ACTIONS(7534), 1,
      anon_sym_LPAREN,
    STATE(1271), 1,
      sym__annotated_type,
    STATE(11388), 1,
      sym_stable_identifier,
    STATE(1763), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1066), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372753] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      sym_identifier,
    ACTIONS(7536), 1,
      anon_sym_LPAREN,
    STATE(1771), 1,
      sym__annotated_type,
    STATE(11402), 1,
      sym_stable_identifier,
    STATE(2247), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1182), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372780] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7538), 1,
      anon_sym_AT,
    ACTIONS(2132), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8882), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2134), 6,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [372803] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_case,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(7543), 1,
      anon_sym_with,
    STATE(8890), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(7541), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [372830] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [372849] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7356), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8861), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2224), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [372872] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 1,
      sym_identifier,
    ACTIONS(7545), 1,
      anon_sym_LPAREN,
    STATE(1310), 1,
      sym__annotated_type,
    STATE(11423), 1,
      sym_stable_identifier,
    STATE(1849), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1061), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372899] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [372918] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [372937] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7054), 1,
      sym_identifier,
    ACTIONS(7547), 1,
      anon_sym_LPAREN,
    STATE(9244), 1,
      sym__annotated_type,
    STATE(11638), 1,
      sym_stable_identifier,
    STATE(9466), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7908), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [372964] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7543), 1,
      anon_sym_with,
    STATE(8912), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2435), 4,
      anon_sym_EQ_GT,
      anon_sym_case,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2433), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [372987] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(7549), 1,
      anon_sym_LPAREN,
    STATE(9207), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(9454), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [373014] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7551), 1,
      anon_sym_LPAREN,
    STATE(8892), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2238), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [373035] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9667), 1,
      sym_extends_clause,
    STATE(10038), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2288), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [373064] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9668), 1,
      sym_extends_clause,
    STATE(10042), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2322), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [373093] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    STATE(4293), 1,
      sym__annotated_type,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(5790), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [373120] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2450), 8,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [373139] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    STATE(6491), 1,
      sym__annotated_type,
    STATE(11438), 1,
      sym_stable_identifier,
    STATE(7944), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4516), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [373166] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [373185] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3852), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [373204] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9669), 1,
      sym_extends_clause,
    STATE(10065), 1,
      sym_template_body,
    STATE(8993), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2312), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [373233] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      sym_identifier,
    ACTIONS(7558), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym__annotated_type,
    STATE(11719), 1,
      sym_stable_identifier,
    STATE(3292), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [373260] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2505), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [373279] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 7,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [373298] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7258), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8853), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2224), 6,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [373321] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2450), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [373340] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7340), 1,
      anon_sym_LPAREN,
    STATE(8892), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2224), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [373361] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2505), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [373380] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9670), 1,
      sym_extends_clause,
    STATE(10075), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2308), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [373409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    STATE(3875), 1,
      sym__annotated_type,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(4470), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3277), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [373436] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7543), 1,
      anon_sym_with,
    STATE(8890), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2474), 4,
      anon_sym_EQ_GT,
      anon_sym_case,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2472), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [373459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LPAREN,
    STATE(5716), 1,
      sym__annotated_type,
    STATE(11503), 1,
      sym_stable_identifier,
    STATE(6654), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3948), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [373486] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7564), 1,
      anon_sym_with,
    STATE(8912), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2482), 4,
      anon_sym_EQ_GT,
      anon_sym_case,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2480), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [373509] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9569), 1,
      sym_extends_clause,
    STATE(10027), 1,
      sym_template_body,
    STATE(9004), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2191), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [373538] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2450), 8,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [373557] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2750), 6,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [373576] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7567), 1,
      anon_sym_LPAREN,
    STATE(9403), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(9686), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [373603] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      sym_identifier,
    ACTIONS(7569), 1,
      anon_sym_LPAREN,
    STATE(5336), 1,
      sym__annotated_type,
    STATE(11444), 1,
      sym_stable_identifier,
    STATE(6346), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3781), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [373630] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6399), 1,
      sym_identifier,
    ACTIONS(7571), 1,
      anon_sym_LPAREN,
    STATE(2302), 1,
      sym__annotated_type,
    STATE(11577), 1,
      sym_stable_identifier,
    STATE(2920), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1495), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [373657] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7265), 1,
      anon_sym_AT,
    STATE(8987), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2205), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(2207), 4,
      anon_sym_EQ_GT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [373680] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7316), 1,
      anon_sym_AT,
    ACTIONS(2205), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8873), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2207), 6,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [373703] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3553), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [373722] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [373741] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(4035), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [373760] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [373779] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(7575), 1,
      anon_sym_with,
    STATE(8942), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2380), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(7573), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [373806] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      sym_identifier,
    ACTIONS(7577), 1,
      anon_sym_LPAREN,
    STATE(3598), 1,
      sym__annotated_type,
    STATE(11537), 1,
      sym_stable_identifier,
    STATE(4203), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3203), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [373833] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6325), 1,
      sym_identifier,
    ACTIONS(7579), 1,
      anon_sym_LPAREN,
    STATE(1233), 1,
      sym__annotated_type,
    STATE(11379), 1,
      sym_stable_identifier,
    STATE(1591), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1058), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [373860] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2450), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [373879] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9567), 1,
      sym_extends_clause,
    STATE(10031), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2209), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [373908] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [373927] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2511), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2513), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [373946] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7246), 1,
      sym_identifier,
    ACTIONS(7581), 1,
      anon_sym_LPAREN,
    STATE(1765), 1,
      sym__annotated_type,
    STATE(11415), 1,
      sym_stable_identifier,
    STATE(2349), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1170), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [373973] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(7413), 1,
      anon_sym_LPAREN,
    ACTIONS(7583), 1,
      anon_sym_COLON,
    ACTIONS(7585), 1,
      anon_sym_EQ,
    STATE(10016), 1,
      sym_block,
    STATE(9149), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2805), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [374002] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2540), 7,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [374021] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2757), 6,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [374040] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3915), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [374059] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7103), 1,
      anon_sym_AT,
    ACTIONS(2205), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8882), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2207), 6,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [374082] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9677), 1,
      sym_extends_clause,
    STATE(10083), 1,
      sym_template_body,
    STATE(8985), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2304), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [374111] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7587), 1,
      anon_sym_LPAREN,
    STATE(1688), 1,
      sym__annotated_type,
    STATE(11375), 1,
      sym_stable_identifier,
    STATE(2318), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1215), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [374138] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(7413), 1,
      anon_sym_LPAREN,
    ACTIONS(7589), 1,
      anon_sym_COLON,
    ACTIONS(7591), 1,
      anon_sym_EQ,
    STATE(9991), 1,
      sym_block,
    STATE(9027), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2764), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [374167] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7593), 1,
      anon_sym_LPAREN,
    STATE(7054), 1,
      sym__annotated_type,
    STATE(11497), 1,
      sym_stable_identifier,
    STATE(8399), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(5134), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [374194] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym_with,
    STATE(8977), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(2435), 5,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_EQ,
      sym_identifier,
      sym_operator_identifier,
  [374217] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2503), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2505), 7,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [374236] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2776), 6,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [374255] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3292), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3294), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [374274] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(2450), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [374293] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      sym_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN,
    STATE(1522), 1,
      sym__annotated_type,
    STATE(11372), 1,
      sym_stable_identifier,
    STATE(2170), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1094), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [374320] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(7413), 1,
      anon_sym_LPAREN,
    ACTIONS(7597), 1,
      anon_sym_COLON,
    ACTIONS(7599), 1,
      anon_sym_EQ,
    STATE(9989), 1,
      sym_block,
    STATE(9149), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2744), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [374349] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7601), 1,
      anon_sym_LPAREN,
    STATE(4008), 1,
      sym__annotated_type,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(5175), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [374376] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6313), 1,
      sym_identifier,
    ACTIONS(7603), 1,
      anon_sym_LPAREN,
    STATE(3500), 1,
      sym__annotated_type,
    STATE(11452), 1,
      sym_stable_identifier,
    STATE(3817), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3201), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [374403] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [374422] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [374441] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3812), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [374460] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3646), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [374479] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6301), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_LPAREN,
    STATE(1652), 1,
      sym__annotated_type,
    STATE(11361), 1,
      sym_stable_identifier,
    STATE(2339), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1258), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [374506] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 1,
      sym_identifier,
    ACTIONS(7607), 1,
      anon_sym_LPAREN,
    STATE(1640), 1,
      sym__annotated_type,
    STATE(11490), 1,
      sym_stable_identifier,
    STATE(2321), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1183), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [374533] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7609), 1,
      anon_sym_LPAREN,
    STATE(3539), 1,
      sym__annotated_type,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(3846), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3188), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [374560] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2540), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [374579] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7232), 1,
      sym_identifier,
    ACTIONS(7611), 1,
      anon_sym_LPAREN,
    STATE(1894), 1,
      sym__annotated_type,
    STATE(11458), 1,
      sym_stable_identifier,
    STATE(2614), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1276), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [374606] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7130), 1,
      sym_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN,
    STATE(9056), 1,
      sym__annotated_type,
    STATE(11649), 1,
      sym_stable_identifier,
    STATE(9352), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6933), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [374633] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(7413), 1,
      anon_sym_LPAREN,
    ACTIONS(7615), 1,
      anon_sym_COLON,
    ACTIONS(7617), 1,
      anon_sym_EQ,
    STATE(10109), 1,
      sym_block,
    STATE(9149), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2850), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [374662] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_identifier,
    ACTIONS(7619), 1,
      anon_sym_LPAREN,
    STATE(1395), 1,
      sym__annotated_type,
    STATE(11364), 1,
      sym_stable_identifier,
    STATE(1786), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1073), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [374689] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3816), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [374708] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym_identifier,
    ACTIONS(7621), 1,
      anon_sym_LPAREN,
    STATE(2019), 1,
      sym__annotated_type,
    STATE(11462), 1,
      sym_stable_identifier,
    STATE(2727), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1418), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [374735] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [374754] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7623), 1,
      anon_sym_LPAREN,
    STATE(8974), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(9219), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [374781] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9579), 1,
      sym_extends_clause,
    STATE(10054), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2145), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [374810] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(7413), 1,
      anon_sym_LPAREN,
    ACTIONS(7625), 1,
      anon_sym_COLON,
    ACTIONS(7627), 1,
      anon_sym_EQ,
    STATE(10111), 1,
      sym_block,
    STATE(8862), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2854), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [374839] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7138), 1,
      sym_identifier,
    ACTIONS(7629), 1,
      anon_sym_LPAREN,
    STATE(1162), 1,
      sym__annotated_type,
    STATE(11339), 1,
      sym_stable_identifier,
    STATE(1535), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1055), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [374866] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7631), 1,
      anon_sym_AT,
    STATE(8970), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2134), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [374887] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3820), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [374906] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9697), 1,
      sym_extends_clause,
    STATE(10119), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2300), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [374935] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9698), 1,
      sym_extends_clause,
    STATE(10122), 1,
      sym_template_body,
    STATE(8893), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2292), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [374964] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym_with,
    STATE(8942), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(2474), 5,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_EQ,
      sym_identifier,
      sym_operator_identifier,
  [374987] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7190), 1,
      sym_identifier,
    ACTIONS(7634), 1,
      anon_sym_LPAREN,
    STATE(6152), 1,
      sym__annotated_type,
    STATE(11455), 1,
      sym_stable_identifier,
    STATE(6883), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4003), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [375014] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym_LPAREN,
    ACTIONS(2236), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8976), 2,
      sym_arguments,
      aux_sym_annotation_repeat1,
    ACTIONS(2238), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [375037] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7639), 1,
      anon_sym_with,
    STATE(8977), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(2482), 5,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_EQ,
      sym_identifier,
      sym_operator_identifier,
  [375060] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9641), 1,
      sym_extends_clause,
    STATE(9955), 1,
      sym_template_body,
    STATE(8967), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2276), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [375089] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7642), 1,
      anon_sym_LPAREN,
    STATE(3222), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(3322), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [375116] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9638), 1,
      sym_extends_clause,
    STATE(9949), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2272), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [375145] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7644), 1,
      anon_sym_LPAREN,
    STATE(9404), 1,
      sym__annotated_type,
    STATE(11622), 1,
      sym_stable_identifier,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8527), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [375172] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6567), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
  [375193] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9564), 1,
      sym_extends_clause,
    STATE(9914), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2213), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [375222] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      sym_identifier,
    ACTIONS(7646), 1,
      anon_sym_LPAREN,
    STATE(9159), 1,
      sym__annotated_type,
    STATE(11678), 1,
      sym_stable_identifier,
    STATE(9295), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6879), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [375249] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9634), 1,
      sym_extends_clause,
    STATE(9942), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2268), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [375278] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3856), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [375297] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7648), 1,
      anon_sym_AT,
    STATE(8987), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2132), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(2134), 4,
      anon_sym_EQ_GT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [375320] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [375339] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3883), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [375358] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    STATE(9350), 1,
      sym__annotated_type,
    STATE(11609), 1,
      sym_stable_identifier,
    STATE(9582), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8200), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [375385] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 1,
      sym_identifier,
    ACTIONS(7653), 1,
      anon_sym_LPAREN,
    STATE(9186), 1,
      sym__annotated_type,
    STATE(11565), 1,
      sym_stable_identifier,
    STATE(9507), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(7314), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [375412] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7328), 1,
      sym_identifier,
    ACTIONS(7655), 1,
      anon_sym_LPAREN,
    STATE(2839), 1,
      sym__annotated_type,
    STATE(11485), 1,
      sym_stable_identifier,
    STATE(3094), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(1806), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [375439] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9531), 1,
      sym_extends_clause,
    STATE(9931), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2264), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [375468] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3887), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [375487] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [375506] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3895), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [375525] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [375544] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3907), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [375563] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2576), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [375582] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [375601] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9563), 1,
      sym_extends_clause,
    STATE(10056), 1,
      sym_template_body,
    STATE(9024), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2232), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [375630] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9562), 1,
      sym_extends_clause,
    STATE(10060), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2243), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [375659] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3557), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [375678] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9560), 1,
      sym_extends_clause,
    STATE(10064), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2247), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [375707] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [375726] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym_identifier,
    ACTIONS(7657), 1,
      anon_sym_LPAREN,
    STATE(6184), 1,
      sym__annotated_type,
    STATE(11470), 1,
      sym_stable_identifier,
    STATE(6906), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(4064), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [375753] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(7413), 1,
      anon_sym_LPAREN,
    ACTIONS(7659), 1,
      anon_sym_COLON,
    ACTIONS(7661), 1,
      anon_sym_EQ,
    STATE(9984), 1,
      sym_block,
    STATE(9149), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2880), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [375782] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(7413), 1,
      anon_sym_LPAREN,
    ACTIONS(7663), 1,
      anon_sym_COLON,
    ACTIONS(7665), 1,
      anon_sym_EQ,
    STATE(9983), 1,
      sym_block,
    STATE(8933), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2874), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [375811] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9615), 1,
      sym_extends_clause,
    STATE(9922), 1,
      sym_template_body,
    STATE(8877), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2253), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [375840] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 1,
      sym_identifier,
    ACTIONS(7667), 1,
      anon_sym_LPAREN,
    STATE(3934), 1,
      sym__annotated_type,
    STATE(11482), 1,
      sym_stable_identifier,
    STATE(4239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3267), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [375867] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3919), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [375886] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3927), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [375905] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(2450), 10,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [375924] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2538), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2540), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [375943] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [375962] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [375981] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 1,
      sym_identifier,
    ACTIONS(7669), 1,
      anon_sym_LPAREN,
    STATE(4204), 1,
      sym__annotated_type,
    STATE(11602), 1,
      sym_stable_identifier,
    STATE(4908), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3369), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [376008] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9604), 1,
      sym_extends_clause,
    STATE(9936), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2226), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [376037] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7324), 1,
      anon_sym_AT,
    STATE(8970), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2207), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [376058] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2584), 7,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [376077] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [376096] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 8,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [376115] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7318), 1,
      sym_identifier,
    ACTIONS(7671), 1,
      anon_sym_LPAREN,
    STATE(9233), 1,
      sym__annotated_type,
    STATE(11476), 1,
      sym_stable_identifier,
    STATE(9491), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8012), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [376142] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    STATE(9559), 1,
      sym_extends_clause,
    STATE(10072), 1,
      sym_template_body,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2318), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [376171] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(4035), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      anon_sym_finally,
      sym_identifier,
      sym_operator_identifier,
  [376190] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 8,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [376209] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(7413), 1,
      anon_sym_LPAREN,
    ACTIONS(7673), 1,
      anon_sym_COLON,
    ACTIONS(7675), 1,
      anon_sym_EQ,
    STATE(9959), 1,
      sym_block,
    STATE(9149), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2797), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [376238] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      sym_identifier,
    ACTIONS(7677), 1,
      anon_sym_LPAREN,
    STATE(8910), 1,
      sym__annotated_type,
    STATE(11559), 1,
      sym_stable_identifier,
    STATE(9193), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(6663), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [376265] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3943), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [376284] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3955), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [376303] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3852), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [376322] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [376341] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7679), 1,
      anon_sym_LPAREN,
    STATE(3891), 1,
      sym__annotated_type,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(4430), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [376368] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3800), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [376387] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(7681), 1,
      anon_sym_LPAREN,
    STATE(9311), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(9543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [376414] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3951), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_else,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [376433] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6808), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 5,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
  [376454] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 8,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [376473] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7689), 1,
      anon_sym_COLON,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7693), 1,
      anon_sym_EQ,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    STATE(10784), 1,
      aux_sym_val_declaration_repeat1,
  [376507] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3553), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [376525] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7701), 1,
      anon_sym_COLON,
    ACTIONS(7703), 1,
      anon_sym_EQ,
    STATE(10921), 1,
      aux_sym_val_declaration_repeat1,
  [376559] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7705), 1,
      anon_sym_COLON,
    ACTIONS(7707), 1,
      anon_sym_EQ,
    STATE(10922), 1,
      aux_sym_val_declaration_repeat1,
  [376593] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7709), 1,
      anon_sym_with,
    STATE(9059), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2435), 6,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      sym_identifier,
      sym_operator_identifier,
  [376615] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7723), 1,
      anon_sym_RPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    STATE(10716), 1,
      aux_sym_case_class_pattern_repeat1,
  [376649] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7729), 1,
      anon_sym_COLON,
    ACTIONS(7731), 1,
      anon_sym_EQ,
    STATE(10784), 1,
      aux_sym_val_declaration_repeat1,
  [376683] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 5,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [376701] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3557), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [376719] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7733), 1,
      anon_sym_COLON,
    ACTIONS(7735), 1,
      anon_sym_EQ,
    STATE(10730), 1,
      aux_sym_val_declaration_repeat1,
  [376753] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3850), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3852), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [376771] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(7739), 1,
      anon_sym_EQ,
    STATE(10729), 1,
      aux_sym_val_declaration_repeat1,
  [376805] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2450), 7,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [376823] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [376841] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7741), 1,
      anon_sym_COLON,
    ACTIONS(7743), 1,
      anon_sym_EQ,
    STATE(10785), 1,
      aux_sym_val_declaration_repeat1,
  [376875] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7745), 1,
      anon_sym_RPAREN,
    STATE(10430), 1,
      aux_sym_case_class_pattern_repeat1,
  [376909] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 7,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [376927] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7709), 1,
      anon_sym_with,
    STATE(9043), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2474), 6,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      sym_identifier,
      sym_operator_identifier,
  [376949] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7747), 1,
      anon_sym_COLON,
    ACTIONS(7749), 1,
      anon_sym_EQ,
    STATE(10509), 1,
      aux_sym_val_declaration_repeat1,
  [376983] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7751), 1,
      anon_sym_COLON,
    ACTIONS(7753), 1,
      anon_sym_EQ,
    STATE(10511), 1,
      aux_sym_val_declaration_repeat1,
  [377017] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7755), 1,
      anon_sym_with,
    STATE(9059), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2482), 6,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      sym_identifier,
      sym_operator_identifier,
  [377039] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7758), 1,
      anon_sym_COLON,
    ACTIONS(7760), 1,
      anon_sym_EQ,
    STATE(10895), 1,
      aux_sym_val_declaration_repeat1,
  [377073] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7762), 1,
      anon_sym_COLON,
    ACTIONS(7764), 1,
      anon_sym_EQ,
    STATE(10894), 1,
      aux_sym_val_declaration_repeat1,
  [377107] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7287), 1,
      anon_sym_GT_COLON,
    ACTIONS(7289), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    STATE(9370), 1,
      sym_lower_bound,
    ACTIONS(7766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9373), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    STATE(9847), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [377135] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [377153] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7768), 1,
      anon_sym_COLON,
    ACTIONS(7770), 1,
      anon_sym_EQ,
    STATE(10674), 1,
      aux_sym_val_declaration_repeat1,
  [377187] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(7709), 1,
      anon_sym_with,
    STATE(9043), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7772), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 3,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
  [377213] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7774), 1,
      anon_sym_COLON,
    ACTIONS(7776), 1,
      anon_sym_EQ,
    STATE(10672), 1,
      aux_sym_val_declaration_repeat1,
  [377247] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [377265] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_AT,
    ACTIONS(2205), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9094), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2207), 5,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [377287] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6796), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_extends,
    STATE(9327), 1,
      sym_type_parameters,
    STATE(9687), 1,
      sym_extends_clause,
    STATE(10104), 1,
      sym_template_body,
    ACTIONS(2562), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [377315] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7778), 1,
      anon_sym_COLON,
    ACTIONS(7780), 1,
      anon_sym_EQ,
    STATE(10867), 1,
      aux_sym_val_declaration_repeat1,
  [377349] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_AT,
    ACTIONS(2205), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9115), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2207), 5,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [377371] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7782), 1,
      anon_sym_COLON,
    ACTIONS(7784), 1,
      anon_sym_EQ,
    STATE(10866), 1,
      aux_sym_val_declaration_repeat1,
  [377405] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7786), 1,
      anon_sym_COLON,
    ACTIONS(7788), 1,
      anon_sym_EQ,
    STATE(10592), 1,
      aux_sym_val_declaration_repeat1,
  [377439] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7790), 1,
      anon_sym_COLON,
    ACTIONS(7792), 1,
      anon_sym_EQ,
    STATE(10590), 1,
      aux_sym_val_declaration_repeat1,
  [377473] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 7,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [377491] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7794), 1,
      anon_sym_RPAREN,
    STATE(10432), 1,
      aux_sym_case_class_pattern_repeat1,
  [377525] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2450), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [377543] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7796), 1,
      anon_sym_COLON,
    ACTIONS(7798), 1,
      anon_sym_EQ,
    STATE(10276), 1,
      aux_sym_val_declaration_repeat1,
  [377577] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7800), 1,
      anon_sym_COLON,
    ACTIONS(7802), 1,
      anon_sym_EQ,
    STATE(10271), 1,
      aux_sym_val_declaration_repeat1,
  [377611] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7804), 1,
      anon_sym_COLON,
    ACTIONS(7806), 1,
      anon_sym_EQ,
    STATE(10785), 1,
      aux_sym_val_declaration_repeat1,
  [377645] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3644), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3646), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [377663] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7395), 1,
      anon_sym_AT,
    STATE(9135), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2207), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [377683] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [377701] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7808), 1,
      anon_sym_RPAREN,
    STATE(10854), 1,
      aux_sym_case_class_pattern_repeat1,
  [377735] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3298), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3300), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [377753] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7810), 1,
      anon_sym_RPAREN,
    STATE(10857), 1,
      aux_sym_case_class_pattern_repeat1,
  [377787] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7812), 1,
      anon_sym_RPAREN,
    STATE(10913), 1,
      aux_sym_case_class_pattern_repeat1,
  [377821] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7814), 1,
      anon_sym_COLON,
    ACTIONS(7816), 1,
      anon_sym_EQ,
    STATE(10785), 1,
      aux_sym_val_declaration_repeat1,
  [377855] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 7,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [377873] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7818), 1,
      anon_sym_COLON,
    ACTIONS(7820), 1,
      anon_sym_EQ,
    STATE(10784), 1,
      aux_sym_val_declaration_repeat1,
  [377907] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(2730), 6,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [377925] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7822), 1,
      anon_sym_COLON,
    ACTIONS(7824), 1,
      anon_sym_EQ,
    STATE(10784), 1,
      aux_sym_val_declaration_repeat1,
  [377959] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6997), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2380), 4,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
  [377979] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym_AT,
    ACTIONS(2132), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9094), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2134), 5,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [378001] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7829), 1,
      anon_sym_COLON,
    ACTIONS(7831), 1,
      anon_sym_EQ,
    STATE(10840), 1,
      aux_sym_val_declaration_repeat1,
  [378035] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7833), 1,
      anon_sym_COLON,
    ACTIONS(7835), 1,
      anon_sym_EQ,
    STATE(10839), 1,
      aux_sym_val_declaration_repeat1,
  [378069] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_LPAREN,
    ACTIONS(2776), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [378087] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7837), 1,
      anon_sym_COLON,
    ACTIONS(7839), 1,
      anon_sym_EQ,
    STATE(10812), 1,
      aux_sym_val_declaration_repeat1,
  [378121] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7749), 1,
      anon_sym_EQ,
    ACTIONS(7841), 1,
      anon_sym_COLON,
    STATE(10590), 1,
      aux_sym_val_declaration_repeat1,
  [378155] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7753), 1,
      anon_sym_EQ,
    ACTIONS(7843), 1,
      anon_sym_COLON,
    STATE(10592), 1,
      aux_sym_val_declaration_repeat1,
  [378189] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6796), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_extends,
    STATE(9284), 1,
      sym_type_parameters,
    STATE(9683), 1,
      sym_extends_clause,
    STATE(10101), 1,
      sym_template_body,
    ACTIONS(2412), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [378217] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7845), 1,
      anon_sym_COLON,
    ACTIONS(7847), 1,
      anon_sym_EQ,
    STATE(10730), 1,
      aux_sym_val_declaration_repeat1,
  [378251] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 1,
      anon_sym_LPAREN,
    ACTIONS(2757), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [378269] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON,
    ACTIONS(7851), 1,
      anon_sym_EQ,
    STATE(10811), 1,
      aux_sym_val_declaration_repeat1,
  [378303] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 1,
      anon_sym_LPAREN,
    ACTIONS(2750), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [378321] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7853), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(10729), 1,
      aux_sym_val_declaration_repeat1,
  [378355] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6796), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_extends,
    STATE(9331), 1,
      sym_type_parameters,
    STATE(9656), 1,
      sym_extends_clause,
    STATE(9976), 1,
      sym_template_body,
    ACTIONS(2625), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [378383] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7857), 1,
      anon_sym_COLON,
    ACTIONS(7859), 1,
      anon_sym_EQ,
    STATE(10674), 1,
      aux_sym_val_declaration_repeat1,
  [378417] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7861), 1,
      anon_sym_COLON,
    ACTIONS(7863), 1,
      anon_sym_EQ,
    STATE(10672), 1,
      aux_sym_val_declaration_repeat1,
  [378451] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(2450), 9,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [378469] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7437), 1,
      anon_sym_AT,
    ACTIONS(2205), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9148), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2207), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [378491] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7865), 1,
      anon_sym_RPAREN,
    STATE(10908), 1,
      aux_sym_case_class_pattern_repeat1,
  [378525] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7867), 1,
      anon_sym_COLON,
    ACTIONS(7869), 1,
      anon_sym_EQ,
    STATE(10592), 1,
      aux_sym_val_declaration_repeat1,
  [378559] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7871), 1,
      anon_sym_COLON,
    ACTIONS(7873), 1,
      anon_sym_EQ,
    STATE(10590), 1,
      aux_sym_val_declaration_repeat1,
  [378593] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7875), 1,
      anon_sym_AT,
    ACTIONS(2132), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9115), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2134), 5,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [378615] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2452), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2454), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [378633] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 5,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [378651] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7878), 1,
      anon_sym_COLON,
    ACTIONS(7880), 1,
      anon_sym_EQ,
    STATE(10730), 1,
      aux_sym_val_declaration_repeat1,
  [378685] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7882), 1,
      anon_sym_RPAREN,
    STATE(10632), 1,
      aux_sym_case_class_pattern_repeat1,
  [378719] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7884), 1,
      anon_sym_COLON,
    ACTIONS(7886), 1,
      anon_sym_EQ,
    STATE(10729), 1,
      aux_sym_val_declaration_repeat1,
  [378753] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 5,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [378771] = 10,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7890), 1,
      anon_sym_DOT,
    ACTIONS(7892), 1,
      anon_sym_EQ_GT,
    ACTIONS(7894), 1,
      anon_sym_COLON,
    ACTIONS(7896), 1,
      anon_sym_AT,
    ACTIONS(7898), 1,
      anon_sym_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_PIPE,
    ACTIONS(7902), 1,
      anon_sym_if,
    STATE(11494), 1,
      sym_guard,
    ACTIONS(7888), 2,
      sym_identifier,
      sym_operator_identifier,
  [378803] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2574), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2576), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [378821] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7904), 1,
      anon_sym_COLON,
    ACTIONS(7906), 1,
      anon_sym_EQ,
    STATE(10785), 1,
      aux_sym_val_declaration_repeat1,
  [378855] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3798), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3800), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [378873] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3292), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3294), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [378891] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3949), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3951), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [378909] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7908), 1,
      anon_sym_COLON,
    ACTIONS(7910), 1,
      anon_sym_EQ,
    STATE(10642), 1,
      aux_sym_val_declaration_repeat1,
  [378943] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2582), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2584), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [378961] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3941), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3943), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [378979] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON,
    ACTIONS(7914), 1,
      anon_sym_EQ,
    STATE(10644), 1,
      aux_sym_val_declaration_repeat1,
  [379013] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3257), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379031] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4033), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(4035), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379049] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3953), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3955), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379067] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7916), 1,
      anon_sym_AT,
    STATE(9135), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2134), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [379087] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7287), 1,
      anon_sym_GT_COLON,
    ACTIONS(7289), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    STATE(9390), 1,
      sym_lower_bound,
    ACTIONS(7919), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9382), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    STATE(9796), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [379115] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(2730), 5,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [379133] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7921), 1,
      anon_sym_COLON,
    ACTIONS(7923), 1,
      anon_sym_EQ,
    STATE(10757), 1,
      aux_sym_val_declaration_repeat1,
  [379167] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7925), 1,
      anon_sym_COLON,
    ACTIONS(7927), 1,
      anon_sym_EQ,
    STATE(10672), 1,
      aux_sym_val_declaration_repeat1,
  [379201] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7929), 1,
      anon_sym_COLON,
    ACTIONS(7931), 1,
      anon_sym_EQ,
    STATE(10674), 1,
      aux_sym_val_declaration_repeat1,
  [379235] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7933), 1,
      anon_sym_COLON,
    ACTIONS(7935), 1,
      anon_sym_EQ,
    STATE(10756), 1,
      aux_sym_val_declaration_repeat1,
  [379269] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7937), 1,
      anon_sym_with,
    STATE(9145), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2435), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [379291] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3814), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3816), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379309] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3818), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3820), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379327] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7939), 1,
      anon_sym_with,
    STATE(9145), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2482), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [379349] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3810), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3812), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379367] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7942), 1,
      anon_sym_RPAREN,
    STATE(10563), 1,
      aux_sym_case_class_pattern_repeat1,
  [379401] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7944), 1,
      anon_sym_AT,
    ACTIONS(2132), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9148), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
    ACTIONS(2134), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [379423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7947), 1,
      anon_sym_LPAREN,
    STATE(9149), 2,
      sym_parameters,
      aux_sym_function_definition_repeat1,
    ACTIONS(2949), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [379443] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7950), 1,
      anon_sym_COLON,
    ACTIONS(7952), 1,
      anon_sym_EQ,
    STATE(10590), 1,
      aux_sym_val_declaration_repeat1,
  [379477] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7954), 1,
      anon_sym_COLON,
    ACTIONS(7956), 1,
      anon_sym_EQ,
    STATE(10592), 1,
      aux_sym_val_declaration_repeat1,
  [379511] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7958), 1,
      anon_sym_COLON,
    ACTIONS(7960), 1,
      anon_sym_EQ,
    STATE(10701), 1,
      aux_sym_val_declaration_repeat1,
  [379545] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON,
    ACTIONS(7964), 1,
      anon_sym_EQ,
    STATE(10702), 1,
      aux_sym_val_declaration_repeat1,
  [379579] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2448), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(2450), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      sym_identifier,
      sym_operator_identifier,
  [379597] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3854), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3856), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379615] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3881), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3883), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379633] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3885), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3887), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379651] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3893), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3895), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379669] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7937), 1,
      anon_sym_with,
    STATE(9142), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2474), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [379691] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3905), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3907), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379709] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3207), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3209), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379727] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7966), 1,
      anon_sym_RPAREN,
    STATE(10341), 1,
      aux_sym_case_class_pattern_repeat1,
  [379761] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7968), 1,
      anon_sym_COLON,
    ACTIONS(7970), 1,
      anon_sym_EQ,
    STATE(10729), 1,
      aux_sym_val_declaration_repeat1,
  [379795] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7972), 1,
      anon_sym_COLON,
    ACTIONS(7974), 1,
      anon_sym_EQ,
    STATE(10730), 1,
      aux_sym_val_declaration_repeat1,
  [379829] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3913), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3915), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379847] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7976), 1,
      anon_sym_RPAREN,
    STATE(10560), 1,
      aux_sym_case_class_pattern_repeat1,
  [379881] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7978), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_case_class_pattern_repeat1,
  [379915] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [379933] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 7,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [379951] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3917), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3919), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379969] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3925), 4,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3927), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_match,
      sym_identifier,
      sym_operator_identifier,
  [379987] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7980), 1,
      anon_sym_COLON,
    ACTIONS(7982), 1,
      anon_sym_EQ,
    STATE(10672), 1,
      aux_sym_val_declaration_repeat1,
  [380021] = 11,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7984), 1,
      anon_sym_COLON,
    ACTIONS(7986), 1,
      anon_sym_EQ,
    STATE(10674), 1,
      aux_sym_val_declaration_repeat1,
  [380055] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 1,
      sym_identifier,
    ACTIONS(7506), 1,
      anon_sym_LPAREN,
    STATE(6054), 1,
      sym__annotated_type,
    STATE(11406), 1,
      sym_stable_identifier,
    STATE(3907), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380078] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7890), 1,
      anon_sym_DOT,
    ACTIONS(7896), 1,
      anon_sym_AT,
    ACTIONS(7898), 1,
      anon_sym_LPAREN,
    ACTIONS(7988), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [380099] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7523), 1,
      anon_sym_LPAREN,
    STATE(4298), 1,
      sym__annotated_type,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(3358), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380122] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2730), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [380139] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_case,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(7541), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [380160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7208), 1,
      sym_identifier,
    ACTIONS(7534), 1,
      anon_sym_LPAREN,
    STATE(1533), 1,
      sym__annotated_type,
    STATE(11388), 1,
      sym_stable_identifier,
    STATE(1066), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380183] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [380200] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7054), 1,
      sym_identifier,
    ACTIONS(7547), 1,
      anon_sym_LPAREN,
    STATE(9372), 1,
      sym__annotated_type,
    STATE(11638), 1,
      sym_stable_identifier,
    STATE(7908), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380223] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7990), 1,
      anon_sym_with,
    STATE(9182), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2482), 3,
      anon_sym_EQ_GT,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2480), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [380244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    STATE(4960), 1,
      sym__annotated_type,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(3515), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7519), 1,
      anon_sym_LPAREN,
    STATE(1755), 1,
      sym__annotated_type,
    STATE(11393), 1,
      sym_stable_identifier,
    STATE(1124), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380290] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7993), 1,
      sym_identifier,
    ACTIONS(7995), 1,
      anon_sym_DOT,
    ACTIONS(7997), 1,
      anon_sym_COLON,
    ACTIONS(7999), 1,
      anon_sym_AT,
    ACTIONS(8003), 1,
      anon_sym_LPAREN,
    ACTIONS(8005), 1,
      anon_sym_PIPE,
    ACTIONS(8007), 1,
      sym_operator_identifier,
    ACTIONS(8001), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
  [380319] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8009), 1,
      anon_sym_with,
    STATE(9204), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2474), 5,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      sym_identifier,
      sym_operator_identifier,
  [380340] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8013), 1,
      anon_sym_with,
    STATE(9251), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(8011), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [380363] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [380380] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 6,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [380397] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_LPAREN,
    STATE(1719), 1,
      sym__annotated_type,
    STATE(11397), 1,
      sym_stable_identifier,
    STATE(1090), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380420] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 1,
      sym_identifier,
    ACTIONS(7504), 1,
      anon_sym_LPAREN,
    STATE(7062), 1,
      sym__annotated_type,
    STATE(11524), 1,
      sym_stable_identifier,
    STATE(4781), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380443] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_with,
    STATE(9142), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2380), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(8015), 2,
      sym_identifier,
      sym_operator_identifier,
  [380468] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2474), 4,
      anon_sym_EQ_GT,
      anon_sym_case,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2472), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [380485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LPAREN,
    STATE(6159), 1,
      sym__annotated_type,
    STATE(11503), 1,
      sym_stable_identifier,
    STATE(3948), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380508] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7890), 1,
      anon_sym_DOT,
    ACTIONS(7894), 1,
      anon_sym_COLON,
    ACTIONS(7896), 1,
      anon_sym_AT,
    ACTIONS(7898), 1,
      anon_sym_LPAREN,
    ACTIONS(7888), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(8017), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [380533] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(2380), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(7573), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2376), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [380554] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2776), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [380571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      sym_identifier,
    ACTIONS(7577), 1,
      anon_sym_LPAREN,
    STATE(3911), 1,
      sym__annotated_type,
    STATE(11537), 1,
      sym_stable_identifier,
    STATE(3203), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380594] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2757), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [380611] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      sym_identifier,
    ACTIONS(7536), 1,
      anon_sym_LPAREN,
    STATE(2169), 1,
      sym__annotated_type,
    STATE(11402), 1,
      sym_stable_identifier,
    STATE(1182), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380634] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(8019), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [380663] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2750), 6,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [380680] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7593), 1,
      anon_sym_LPAREN,
    STATE(7691), 1,
      sym__annotated_type,
    STATE(11497), 1,
      sym_stable_identifier,
    STATE(5134), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380703] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8009), 1,
      anon_sym_with,
    STATE(9206), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2435), 5,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      sym_identifier,
      sym_operator_identifier,
  [380724] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2750), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [380741] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8021), 1,
      anon_sym_with,
    STATE(9206), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2482), 5,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      sym_identifier,
      sym_operator_identifier,
  [380762] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8013), 1,
      anon_sym_with,
    STATE(9251), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2474), 3,
      anon_sym_EQ_GT,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2472), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [380783] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2748), 1,
      anon_sym_LPAREN,
    ACTIONS(2750), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [380800] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8009), 1,
      anon_sym_with,
    STATE(9204), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_EQ,
    ACTIONS(8024), 2,
      sym_identifier,
      sym_operator_identifier,
  [380825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_LPAREN,
    STATE(3910), 1,
      sym__annotated_type,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(3256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 1,
      sym_identifier,
    ACTIONS(7607), 1,
      anon_sym_LPAREN,
    STATE(2102), 1,
      sym__annotated_type,
    STATE(11490), 1,
      sym_stable_identifier,
    STATE(1183), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380871] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7532), 1,
      anon_sym_LPAREN,
    STATE(3919), 1,
      sym__annotated_type,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(3247), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380894] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7036), 1,
      sym_identifier,
    ACTIONS(7517), 1,
      anon_sym_LPAREN,
    STATE(3275), 1,
      sym__annotated_type,
    STATE(11803), 1,
      sym_stable_identifier,
    STATE(2992), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7130), 1,
      sym_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN,
    STATE(9246), 1,
      sym__annotated_type,
    STATE(11649), 1,
      sym_stable_identifier,
    STATE(6933), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [380940] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8028), 1,
      anon_sym_with,
    STATE(9235), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(8026), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [380963] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(8017), 1,
      anon_sym_PIPE,
    ACTIONS(8030), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [380992] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7246), 1,
      sym_identifier,
    ACTIONS(7581), 1,
      anon_sym_LPAREN,
    STATE(2001), 1,
      sym__annotated_type,
    STATE(11415), 1,
      sym_stable_identifier,
    STATE(1170), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7623), 1,
      anon_sym_LPAREN,
    STATE(9091), 1,
      sym__annotated_type,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(6772), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381038] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(2474), 5,
      anon_sym_EQ_GT,
      anon_sym_case,
      anon_sym_EQ,
      sym_identifier,
      sym_operator_identifier,
  [381055] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7530), 1,
      anon_sym_LPAREN,
    STATE(2447), 1,
      sym__annotated_type,
    STATE(11421), 1,
      sym_stable_identifier,
    STATE(1359), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3053), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [381093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7642), 1,
      anon_sym_LPAREN,
    STATE(3281), 1,
      sym__annotated_type,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(2954), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7644), 1,
      anon_sym_LPAREN,
    STATE(9446), 1,
      sym__annotated_type,
    STATE(11622), 1,
      sym_stable_identifier,
    STATE(8527), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381139] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
    ACTIONS(8034), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [381162] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 1,
      sym_identifier,
    ACTIONS(7545), 1,
      anon_sym_LPAREN,
    STATE(1442), 1,
      sym__annotated_type,
    STATE(11423), 1,
      sym_stable_identifier,
    STATE(1061), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381185] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3168), 1,
      anon_sym_case,
    ACTIONS(7010), 1,
      anon_sym_EQ,
    ACTIONS(3166), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(3172), 4,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [381206] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 1,
      anon_sym_LPAREN,
    ACTIONS(2757), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [381223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7328), 1,
      sym_identifier,
    ACTIONS(7655), 1,
      anon_sym_LPAREN,
    STATE(2939), 1,
      sym__annotated_type,
    STATE(11485), 1,
      sym_stable_identifier,
    STATE(1806), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381246] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_LPAREN,
    ACTIONS(2776), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [381263] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8036), 1,
      anon_sym_with,
    STATE(9230), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2482), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [381282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7142), 1,
      sym_identifier,
    ACTIONS(7502), 1,
      anon_sym_LPAREN,
    STATE(2651), 1,
      sym__annotated_type,
    STATE(11430), 1,
      sym_stable_identifier,
    STATE(1580), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381305] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2755), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2757), 6,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [381322] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8028), 1,
      anon_sym_with,
    STATE(9235), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2474), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [381341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 1,
      sym_identifier,
    ACTIONS(7667), 1,
      anon_sym_LPAREN,
    STATE(4230), 1,
      sym__annotated_type,
    STATE(11482), 1,
      sym_stable_identifier,
    STATE(3267), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381364] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8028), 1,
      anon_sym_with,
    STATE(9230), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2435), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [381383] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8039), 1,
      anon_sym_with,
    STATE(9236), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2482), 5,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      sym_identifier,
      sym_operator_identifier,
  [381404] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 1,
      sym_identifier,
    ACTIONS(7669), 1,
      anon_sym_LPAREN,
    STATE(4393), 1,
      sym__annotated_type,
    STATE(11602), 1,
      sym_stable_identifier,
    STATE(3369), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      sym_identifier,
    ACTIONS(7677), 1,
      anon_sym_LPAREN,
    STATE(9137), 1,
      sym__annotated_type,
    STATE(11559), 1,
      sym_stable_identifier,
    STATE(6663), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381450] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7679), 1,
      anon_sym_LPAREN,
    STATE(4167), 1,
      sym__annotated_type,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(3288), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381473] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(7681), 1,
      anon_sym_LPAREN,
    STATE(9515), 1,
      sym__annotated_type,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(8420), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(9482), 1,
      sym_access_qualifier,
    ACTIONS(2999), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [381515] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6463), 1,
      sym_identifier,
    ACTIONS(7525), 1,
      anon_sym_LPAREN,
    STATE(1643), 1,
      sym__annotated_type,
    STATE(11434), 1,
      sym_stable_identifier,
    STATE(1081), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381538] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(7549), 1,
      anon_sym_LPAREN,
    STATE(9395), 1,
      sym__annotated_type,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(7715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381561] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8044), 1,
      anon_sym_with,
    STATE(9279), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2474), 5,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      sym_identifier,
      sym_operator_identifier,
  [381582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8046), 1,
      anon_sym_LPAREN,
    STATE(9245), 2,
      sym_class_parameters,
      aux_sym_class_definition_repeat1,
    ACTIONS(2818), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_SEMI,
  [381601] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2730), 7,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [381618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7318), 1,
      sym_identifier,
    ACTIONS(7671), 1,
      anon_sym_LPAREN,
    STATE(9397), 1,
      sym__annotated_type,
    STATE(11476), 1,
      sym_stable_identifier,
    STATE(8012), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381641] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym_identifier,
    ACTIONS(7657), 1,
      anon_sym_LPAREN,
    STATE(6621), 1,
      sym__annotated_type,
    STATE(11470), 1,
      sym_stable_identifier,
    STATE(4064), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    STATE(9463), 1,
      sym__annotated_type,
    STATE(11609), 1,
      sym_stable_identifier,
    STATE(8200), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381687] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 1,
      sym_identifier,
    ACTIONS(7653), 1,
      anon_sym_LPAREN,
    STATE(9307), 1,
      sym__annotated_type,
    STATE(11565), 1,
      sym_stable_identifier,
    STATE(7314), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381710] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8013), 1,
      anon_sym_with,
    STATE(9182), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2435), 3,
      anon_sym_EQ_GT,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2433), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [381731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      sym_identifier,
    ACTIONS(7646), 1,
      anon_sym_LPAREN,
    STATE(9177), 1,
      sym__annotated_type,
    STATE(11678), 1,
      sym_stable_identifier,
    STATE(6879), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381754] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(7988), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
    ACTIONS(8049), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [381777] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2774), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(2776), 6,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [381794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    STATE(4152), 1,
      sym__annotated_type,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(3277), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    STATE(6986), 1,
      sym__annotated_type,
    STATE(11438), 1,
      sym_stable_identifier,
    STATE(4516), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      sym_identifier,
    ACTIONS(7558), 1,
      anon_sym_LPAREN,
    STATE(3212), 1,
      sym__annotated_type,
    STATE(11719), 1,
      sym_stable_identifier,
    STATE(2715), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381863] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7890), 1,
      anon_sym_DOT,
    ACTIONS(7896), 1,
      anon_sym_AT,
    ACTIONS(7898), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [381884] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7190), 1,
      sym_identifier,
    ACTIONS(7634), 1,
      anon_sym_LPAREN,
    STATE(6669), 1,
      sym__annotated_type,
    STATE(11455), 1,
      sym_stable_identifier,
    STATE(4003), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381907] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7138), 1,
      sym_identifier,
    ACTIONS(7629), 1,
      anon_sym_LPAREN,
    STATE(1378), 1,
      sym__annotated_type,
    STATE(11339), 1,
      sym_stable_identifier,
    STATE(1055), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381930] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8044), 1,
      anon_sym_with,
    STATE(9279), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2380), 2,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
    ACTIONS(8051), 2,
      sym_identifier,
      sym_operator_identifier,
  [381955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7567), 1,
      anon_sym_LPAREN,
    STATE(9444), 1,
      sym__annotated_type,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(8292), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [381978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym_identifier,
    ACTIONS(7621), 1,
      anon_sym_LPAREN,
    STATE(2341), 1,
      sym__annotated_type,
    STATE(11462), 1,
      sym_stable_identifier,
    STATE(1418), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [382016] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6399), 1,
      sym_identifier,
    ACTIONS(7571), 1,
      anon_sym_LPAREN,
    STATE(2848), 1,
      sym__annotated_type,
    STATE(11577), 1,
      sym_stable_identifier,
    STATE(1495), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_identifier,
    ACTIONS(7619), 1,
      anon_sym_LPAREN,
    STATE(1507), 1,
      sym__annotated_type,
    STATE(11364), 1,
      sym_stable_identifier,
    STATE(1073), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382062] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3180), 1,
      anon_sym_case,
    ACTIONS(7008), 1,
      anon_sym_EQ,
    ACTIONS(3178), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(3172), 4,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [382083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      sym_identifier,
    ACTIONS(7569), 1,
      anon_sym_LPAREN,
    STATE(5370), 1,
      sym__annotated_type,
    STATE(11444), 1,
      sym_stable_identifier,
    STATE(3781), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382106] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7232), 1,
      sym_identifier,
    ACTIONS(7611), 1,
      anon_sym_LPAREN,
    STATE(2480), 1,
      sym__annotated_type,
    STATE(11458), 1,
      sym_stable_identifier,
    STATE(1276), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      sym_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN,
    STATE(1768), 1,
      sym__annotated_type,
    STATE(11372), 1,
      sym_stable_identifier,
    STATE(1094), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6325), 1,
      sym_identifier,
    ACTIONS(7579), 1,
      anon_sym_LPAREN,
    STATE(1301), 1,
      sym__annotated_type,
    STATE(11379), 1,
      sym_stable_identifier,
    STATE(1058), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6313), 1,
      sym_identifier,
    ACTIONS(7603), 1,
      anon_sym_LPAREN,
    STATE(3652), 1,
      sym__annotated_type,
    STATE(11452), 1,
      sym_stable_identifier,
    STATE(3201), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382198] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7601), 1,
      anon_sym_LPAREN,
    STATE(4726), 1,
      sym__annotated_type,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(3415), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382221] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7995), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_AT,
    ACTIONS(8003), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym_identifier,
    ACTIONS(8034), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [382244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6301), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_LPAREN,
    STATE(2082), 1,
      sym__annotated_type,
    STATE(11361), 1,
      sym_stable_identifier,
    STATE(1258), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7587), 1,
      anon_sym_LPAREN,
    STATE(2120), 1,
      sym__annotated_type,
    STATE(11375), 1,
      sym_stable_identifier,
    STATE(1215), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382290] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7995), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_AT,
    ACTIONS(8003), 1,
      anon_sym_LPAREN,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(7988), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [382313] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7993), 1,
      sym_identifier,
    ACTIONS(7995), 1,
      anon_sym_DOT,
    ACTIONS(7997), 1,
      anon_sym_COLON,
    ACTIONS(7999), 1,
      anon_sym_AT,
    ACTIONS(8003), 1,
      anon_sym_LPAREN,
    ACTIONS(8007), 1,
      sym_operator_identifier,
    ACTIONS(8017), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [382340] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8044), 1,
      anon_sym_with,
    STATE(9236), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2435), 5,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      sym_identifier,
      sym_operator_identifier,
  [382361] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7609), 1,
      anon_sym_LPAREN,
    STATE(3620), 1,
      sym__annotated_type,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(3188), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8053), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
  [382398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7318), 1,
      sym_identifier,
    ACTIONS(7671), 1,
      anon_sym_LPAREN,
    STATE(11476), 1,
      sym_stable_identifier,
    STATE(6922), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382418] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2439), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
    ACTIONS(2443), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [382436] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    STATE(9663), 1,
      sym_extends_clause,
    STATE(10001), 1,
      sym_template_body,
    ACTIONS(2768), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [382458] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_with,
    STATE(9345), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2435), 4,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      sym_identifier,
      sym_operator_identifier,
  [382478] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5409), 1,
      anon_sym_object,
    ACTIONS(5411), 1,
      anon_sym_case,
    ACTIONS(5413), 1,
      anon_sym_class,
    ACTIONS(5415), 1,
      anon_sym_trait,
    ACTIONS(5417), 1,
      anon_sym_type,
    ACTIONS(5419), 1,
      anon_sym_def,
  [382506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7587), 1,
      anon_sym_LPAREN,
    STATE(11375), 1,
      sym_stable_identifier,
    STATE(1192), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      sym_identifier,
    ACTIONS(7601), 1,
      anon_sym_LPAREN,
    STATE(11448), 1,
      sym_stable_identifier,
    STATE(3296), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382546] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym_identifier,
    ACTIONS(8034), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [382568] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_with,
    STATE(9290), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2482), 4,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      sym_identifier,
      sym_operator_identifier,
  [382588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      sym_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN,
    STATE(11372), 1,
      sym_stable_identifier,
    STATE(1080), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 1,
      sym_identifier,
    ACTIONS(7523), 1,
      anon_sym_LPAREN,
    STATE(11525), 1,
      sym_stable_identifier,
    STATE(3389), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6313), 1,
      sym_identifier,
    ACTIONS(7603), 1,
      anon_sym_LPAREN,
    STATE(11452), 1,
      sym_stable_identifier,
    STATE(3193), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382648] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8060), 1,
      anon_sym_object,
    ACTIONS(8062), 1,
      anon_sym_case,
    ACTIONS(8064), 1,
      anon_sym_class,
    ACTIONS(8066), 1,
      anon_sym_trait,
    ACTIONS(8068), 1,
      anon_sym_val,
    ACTIONS(8070), 1,
      anon_sym_var,
    ACTIONS(8072), 1,
      anon_sym_type,
    ACTIONS(8074), 1,
      anon_sym_def,
  [382676] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2474), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [382692] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7890), 1,
      anon_sym_DOT,
    ACTIONS(7892), 1,
      anon_sym_EQ_GT,
    ACTIONS(7894), 1,
      anon_sym_COLON,
    ACTIONS(7900), 1,
      anon_sym_PIPE,
    ACTIONS(7902), 1,
      anon_sym_if,
    STATE(11494), 1,
      sym_guard,
    ACTIONS(7888), 2,
      sym_identifier,
      sym_operator_identifier,
  [382718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(7549), 1,
      anon_sym_LPAREN,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(7033), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7519), 1,
      anon_sym_LPAREN,
    STATE(11393), 1,
      sym_stable_identifier,
    STATE(1112), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382758] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8017), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
  [382784] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_object,
    ACTIONS(5247), 1,
      anon_sym_case,
    ACTIONS(5249), 1,
      anon_sym_class,
    ACTIONS(5251), 1,
      anon_sym_trait,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5257), 1,
      anon_sym_type,
    ACTIONS(5259), 1,
      anon_sym_def,
  [382812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6301), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_LPAREN,
    STATE(11361), 1,
      sym_stable_identifier,
    STATE(1204), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382832] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7691), 1,
      anon_sym_AT,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(7988), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [382854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      sym_identifier,
    ACTIONS(7567), 1,
      anon_sym_LPAREN,
    STATE(11696), 1,
      sym_stable_identifier,
    STATE(8128), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [382888] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_COLON,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8080), 1,
      anon_sym_with,
    STATE(9356), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8078), 2,
      sym_identifier,
      sym_operator_identifier,
  [382912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7232), 1,
      sym_identifier,
    ACTIONS(7611), 1,
      anon_sym_LPAREN,
    STATE(11458), 1,
      sym_stable_identifier,
    STATE(1280), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [382932] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2730), 6,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [382948] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5369), 1,
      anon_sym_object,
    ACTIONS(5371), 1,
      anon_sym_case,
    ACTIONS(5373), 1,
      anon_sym_class,
    ACTIONS(5375), 1,
      anon_sym_trait,
    ACTIONS(5377), 1,
      anon_sym_type,
    ACTIONS(5379), 1,
      anon_sym_def,
  [382976] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_EQ,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8055), 1,
      anon_sym_with,
    STATE(9285), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8082), 2,
      sym_identifier,
      sym_operator_identifier,
  [383000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym_identifier,
    ACTIONS(7621), 1,
      anon_sym_LPAREN,
    STATE(11462), 1,
      sym_stable_identifier,
    STATE(1375), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383020] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8084), 1,
      anon_sym_with,
    STATE(9342), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2474), 4,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      sym_identifier,
      sym_operator_identifier,
  [383040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      sym_identifier,
    ACTIONS(7577), 1,
      anon_sym_LPAREN,
    STATE(11537), 1,
      sym_stable_identifier,
    STATE(3258), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3053), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [383074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6399), 1,
      sym_identifier,
    ACTIONS(7571), 1,
      anon_sym_LPAREN,
    STATE(11577), 1,
      sym_stable_identifier,
    STATE(1536), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    ACTIONS(7609), 1,
      anon_sym_LPAREN,
    STATE(11368), 1,
      sym_stable_identifier,
    STATE(3182), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383114] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5479), 1,
      anon_sym_object,
    ACTIONS(5481), 1,
      anon_sym_case,
    ACTIONS(5483), 1,
      anon_sym_class,
    ACTIONS(5485), 1,
      anon_sym_trait,
    ACTIONS(5487), 1,
      anon_sym_type,
    ACTIONS(5489), 1,
      anon_sym_def,
  [383142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_LPAREN,
    STATE(11397), 1,
      sym_stable_identifier,
    STATE(1077), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      sym_identifier,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    STATE(11386), 1,
      sym_stable_identifier,
    STATE(3264), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383182] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_val,
    ACTIONS(8070), 1,
      anon_sym_var,
    ACTIONS(8086), 1,
      anon_sym_object,
    ACTIONS(8088), 1,
      anon_sym_case,
    ACTIONS(8090), 1,
      anon_sym_class,
    ACTIONS(8092), 1,
      anon_sym_trait,
    ACTIONS(8094), 1,
      anon_sym_type,
    ACTIONS(8096), 1,
      anon_sym_def,
  [383210] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_val,
    ACTIONS(8070), 1,
      anon_sym_var,
    ACTIONS(8098), 1,
      anon_sym_object,
    ACTIONS(8100), 1,
      anon_sym_case,
    ACTIONS(8102), 1,
      anon_sym_class,
    ACTIONS(8104), 1,
      anon_sym_trait,
    ACTIONS(8106), 1,
      anon_sym_type,
    ACTIONS(8108), 1,
      anon_sym_def,
  [383238] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_val,
    ACTIONS(8070), 1,
      anon_sym_var,
    ACTIONS(8110), 1,
      anon_sym_object,
    ACTIONS(8112), 1,
      anon_sym_case,
    ACTIONS(8114), 1,
      anon_sym_class,
    ACTIONS(8116), 1,
      anon_sym_trait,
    ACTIONS(8118), 1,
      anon_sym_type,
    ACTIONS(8120), 1,
      anon_sym_def,
  [383266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_identifier,
    ACTIONS(7619), 1,
      anon_sym_LPAREN,
    STATE(11364), 1,
      sym_stable_identifier,
    STATE(1075), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383286] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5324), 1,
      anon_sym_object,
    ACTIONS(5326), 1,
      anon_sym_case,
    ACTIONS(5328), 1,
      anon_sym_class,
    ACTIONS(5330), 1,
      anon_sym_trait,
    ACTIONS(5332), 1,
      anon_sym_type,
    ACTIONS(5334), 1,
      anon_sym_def,
  [383314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7190), 1,
      sym_identifier,
    ACTIONS(7634), 1,
      anon_sym_LPAREN,
    STATE(11455), 1,
      sym_stable_identifier,
    STATE(4192), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
    ACTIONS(7642), 1,
      anon_sym_LPAREN,
    STATE(11740), 1,
      sym_stable_identifier,
    STATE(2691), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3957), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [383368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    STATE(9695), 1,
      sym_extends_clause,
    STATE(10117), 1,
      sym_template_body,
    ACTIONS(2864), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [383390] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_val,
    ACTIONS(8070), 1,
      anon_sym_var,
    ACTIONS(8122), 1,
      anon_sym_object,
    ACTIONS(8124), 1,
      anon_sym_case,
    ACTIONS(8126), 1,
      anon_sym_class,
    ACTIONS(8128), 1,
      anon_sym_trait,
    ACTIONS(8130), 1,
      anon_sym_type,
    ACTIONS(8132), 1,
      anon_sym_def,
  [383418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      sym_identifier,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    STATE(11512), 1,
      sym_stable_identifier,
    STATE(3509), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7138), 1,
      sym_identifier,
    ACTIONS(7629), 1,
      anon_sym_LPAREN,
    STATE(11339), 1,
      sym_stable_identifier,
    STATE(1057), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383458] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    STATE(9586), 1,
      sym_extends_clause,
    STATE(9978), 1,
      sym_template_body,
    ACTIONS(2801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [383480] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8134), 1,
      anon_sym_with,
    STATE(9332), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2482), 4,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      sym_identifier,
      sym_operator_identifier,
  [383500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      sym_identifier,
    ACTIONS(7569), 1,
      anon_sym_LPAREN,
    STATE(11444), 1,
      sym_stable_identifier,
    STATE(3707), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
    ACTIONS(7681), 1,
      anon_sym_LPAREN,
    STATE(11765), 1,
      sym_stable_identifier,
    STATE(7614), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7208), 1,
      sym_identifier,
    ACTIONS(7534), 1,
      anon_sym_LPAREN,
    STATE(11388), 1,
      sym_stable_identifier,
    STATE(1069), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      sym_identifier,
    ACTIONS(7536), 1,
      anon_sym_LPAREN,
    STATE(11402), 1,
      sym_stable_identifier,
    STATE(1138), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383580] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_val,
    ACTIONS(8070), 1,
      anon_sym_var,
    ACTIONS(8137), 1,
      anon_sym_object,
    ACTIONS(8139), 1,
      anon_sym_case,
    ACTIONS(8141), 1,
      anon_sym_class,
    ACTIONS(8143), 1,
      anon_sym_trait,
    ACTIONS(8145), 1,
      anon_sym_type,
    ACTIONS(8147), 1,
      anon_sym_def,
  [383608] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7865), 1,
      anon_sym_RPAREN,
    STATE(10908), 1,
      aux_sym_case_class_pattern_repeat1,
  [383636] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5307), 1,
      anon_sym_object,
    ACTIONS(5309), 1,
      anon_sym_case,
    ACTIONS(5311), 1,
      anon_sym_class,
    ACTIONS(5313), 1,
      anon_sym_trait,
    ACTIONS(5315), 1,
      anon_sym_type,
    ACTIONS(5317), 1,
      anon_sym_def,
  [383664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      anon_sym_extends,
    STATE(9680), 1,
      sym_extends_clause,
    STATE(10086), 1,
      sym_template_body,
    ACTIONS(2791), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [383686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym_identifier,
    ACTIONS(7657), 1,
      anon_sym_LPAREN,
    STATE(11470), 1,
      sym_stable_identifier,
    STATE(4005), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383706] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8084), 1,
      anon_sym_with,
    STATE(9332), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2435), 4,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      sym_identifier,
      sym_operator_identifier,
  [383726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [383740] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2439), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 1,
      anon_sym_DOT,
    ACTIONS(3184), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [383758] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8149), 1,
      anon_sym_with,
    STATE(9345), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2480), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2482), 4,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      sym_identifier,
      sym_operator_identifier,
  [383778] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5280), 1,
      anon_sym_object,
    ACTIONS(5282), 1,
      anon_sym_case,
    ACTIONS(5284), 1,
      anon_sym_class,
    ACTIONS(5286), 1,
      anon_sym_trait,
    ACTIONS(5288), 1,
      anon_sym_type,
    ACTIONS(5290), 1,
      anon_sym_def,
  [383806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      sym_identifier,
    ACTIONS(7646), 1,
      anon_sym_LPAREN,
    STATE(11678), 1,
      sym_stable_identifier,
    STATE(6710), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [383826] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7289), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(7919), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9382), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    STATE(9796), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [383848] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5347), 1,
      anon_sym_object,
    ACTIONS(5349), 1,
      anon_sym_case,
    ACTIONS(5351), 1,
      anon_sym_class,
    ACTIONS(5353), 1,
      anon_sym_trait,
    ACTIONS(5355), 1,
      anon_sym_type,
    ACTIONS(5357), 1,
      anon_sym_def,
  [383876] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_with,
    STATE(9285), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2474), 4,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      sym_identifier,
      sym_operator_identifier,
  [383896] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_STAR,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8084), 1,
      anon_sym_with,
    STATE(9342), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8152), 2,
      sym_identifier,
      sym_operator_identifier,
  [383920] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_identifier,
    ACTIONS(2474), 5,
      anon_sym_EQ_GT,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      sym_operator_identifier,
  [383936] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7978), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_case_class_pattern_repeat1,
  [383964] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5381), 1,
      anon_sym_object,
    ACTIONS(5383), 1,
      anon_sym_case,
    ACTIONS(5385), 1,
      anon_sym_class,
    ACTIONS(5387), 1,
      anon_sym_trait,
    ACTIONS(5389), 1,
      anon_sym_type,
    ACTIONS(5391), 1,
      anon_sym_def,
  [383992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      sym_identifier,
    ACTIONS(7558), 1,
      anon_sym_LPAREN,
    STATE(11719), 1,
      sym_stable_identifier,
    STATE(2337), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384012] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8080), 1,
      anon_sym_with,
    STATE(9290), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2433), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2435), 4,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      sym_identifier,
      sym_operator_identifier,
  [384032] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7812), 1,
      anon_sym_RPAREN,
    STATE(10913), 1,
      aux_sym_case_class_pattern_repeat1,
  [384060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7036), 1,
      sym_identifier,
    ACTIONS(7517), 1,
      anon_sym_LPAREN,
    STATE(11803), 1,
      sym_stable_identifier,
    STATE(2877), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384080] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5261), 1,
      anon_sym_object,
    ACTIONS(5263), 1,
      anon_sym_case,
    ACTIONS(5265), 1,
      anon_sym_class,
    ACTIONS(5267), 1,
      anon_sym_trait,
    ACTIONS(5269), 1,
      anon_sym_type,
    ACTIONS(5271), 1,
      anon_sym_def,
  [384108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7289), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(7919), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9642), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    STATE(9796), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [384130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    STATE(11438), 1,
      sym_stable_identifier,
    STATE(4642), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384150] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7937), 1,
      anon_sym_with,
    STATE(9142), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(8015), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 4,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
  [384170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6325), 1,
      sym_identifier,
    ACTIONS(7579), 1,
      anon_sym_LPAREN,
    STATE(11379), 1,
      sym_stable_identifier,
    STATE(1059), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_val,
    ACTIONS(8070), 1,
      anon_sym_var,
    ACTIONS(8154), 1,
      anon_sym_object,
    ACTIONS(8156), 1,
      anon_sym_case,
    ACTIONS(8158), 1,
      anon_sym_class,
    ACTIONS(8160), 1,
      anon_sym_trait,
    ACTIONS(8162), 1,
      anon_sym_type,
    ACTIONS(8164), 1,
      anon_sym_def,
  [384218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 1,
      sym_identifier,
    ACTIONS(7653), 1,
      anon_sym_LPAREN,
    STATE(11565), 1,
      sym_stable_identifier,
    STATE(7256), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384238] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_val,
    ACTIONS(8070), 1,
      anon_sym_var,
    ACTIONS(8166), 1,
      anon_sym_object,
    ACTIONS(8168), 1,
      anon_sym_case,
    ACTIONS(8170), 1,
      anon_sym_class,
    ACTIONS(8172), 1,
      anon_sym_trait,
    ACTIONS(8174), 1,
      anon_sym_type,
    ACTIONS(8176), 1,
      anon_sym_def,
  [384266] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7289), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(8178), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9642), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    STATE(9754), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [384288] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7794), 1,
      anon_sym_RPAREN,
    STATE(10432), 1,
      aux_sym_case_class_pattern_repeat1,
  [384316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7679), 1,
      anon_sym_LPAREN,
    STATE(11480), 1,
      sym_stable_identifier,
    STATE(3290), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7289), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(8180), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9376), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    STATE(9787), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [384358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LPAREN,
    STATE(11503), 1,
      sym_stable_identifier,
    STATE(3959), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384378] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2730), 6,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [384394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7289), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(8180), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9642), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    STATE(9787), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [384416] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7723), 1,
      anon_sym_RPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    STATE(10716), 1,
      aux_sym_case_class_pattern_repeat1,
  [384444] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_val,
    ACTIONS(8070), 1,
      anon_sym_var,
    ACTIONS(8182), 1,
      anon_sym_object,
    ACTIONS(8184), 1,
      anon_sym_case,
    ACTIONS(8186), 1,
      anon_sym_class,
    ACTIONS(8188), 1,
      anon_sym_trait,
    ACTIONS(8190), 1,
      anon_sym_type,
    ACTIONS(8192), 1,
      anon_sym_def,
  [384472] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7289), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(8194), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9642), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    STATE(9761), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [384494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7054), 1,
      sym_identifier,
    ACTIONS(7547), 1,
      anon_sym_LPAREN,
    STATE(11638), 1,
      sym_stable_identifier,
    STATE(7099), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384514] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5432), 1,
      anon_sym_object,
    ACTIONS(5434), 1,
      anon_sym_case,
    ACTIONS(5436), 1,
      anon_sym_class,
    ACTIONS(5438), 1,
      anon_sym_trait,
    ACTIONS(5440), 1,
      anon_sym_type,
    ACTIONS(5442), 1,
      anon_sym_def,
  [384542] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_val,
    ACTIONS(8070), 1,
      anon_sym_var,
    ACTIONS(8196), 1,
      anon_sym_object,
    ACTIONS(8198), 1,
      anon_sym_case,
    ACTIONS(8200), 1,
      anon_sym_class,
    ACTIONS(8202), 1,
      anon_sym_trait,
    ACTIONS(8204), 1,
      anon_sym_type,
    ACTIONS(8206), 1,
      anon_sym_def,
  [384570] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5458), 1,
      anon_sym_object,
    ACTIONS(5460), 1,
      anon_sym_case,
    ACTIONS(5462), 1,
      anon_sym_class,
    ACTIONS(5464), 1,
      anon_sym_trait,
    ACTIONS(5466), 1,
      anon_sym_type,
    ACTIONS(5468), 1,
      anon_sym_def,
  [384598] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7942), 1,
      anon_sym_RPAREN,
    STATE(10563), 1,
      aux_sym_case_class_pattern_repeat1,
  [384626] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7289), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(8208), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9642), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    STATE(9765), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [384648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7644), 1,
      anon_sym_LPAREN,
    STATE(11622), 1,
      sym_stable_identifier,
    STATE(8182), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384668] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7745), 1,
      anon_sym_RPAREN,
    STATE(10430), 1,
      aux_sym_case_class_pattern_repeat1,
  [384696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_identifier,
    ACTIONS(7623), 1,
      anon_sym_LPAREN,
    STATE(11547), 1,
      sym_stable_identifier,
    STATE(6048), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 1,
      sym_identifier,
    ACTIONS(7506), 1,
      anon_sym_LPAREN,
    STATE(11406), 1,
      sym_stable_identifier,
    STATE(3906), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384736] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7966), 1,
      anon_sym_RPAREN,
    STATE(10341), 1,
      aux_sym_case_class_pattern_repeat1,
  [384764] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7882), 1,
      anon_sym_RPAREN,
    STATE(10632), 1,
      aux_sym_case_class_pattern_repeat1,
  [384792] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_val,
    ACTIONS(8070), 1,
      anon_sym_var,
    ACTIONS(8210), 1,
      anon_sym_object,
    ACTIONS(8212), 1,
      anon_sym_case,
    ACTIONS(8214), 1,
      anon_sym_class,
    ACTIONS(8216), 1,
      anon_sym_trait,
    ACTIONS(8218), 1,
      anon_sym_type,
    ACTIONS(8220), 1,
      anon_sym_def,
  [384820] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7289), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(8208), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9367), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    STATE(9765), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [384842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6463), 1,
      sym_identifier,
    ACTIONS(7525), 1,
      anon_sym_LPAREN,
    STATE(11434), 1,
      sym_stable_identifier,
    STATE(1099), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 1,
      sym_identifier,
    ACTIONS(7667), 1,
      anon_sym_LPAREN,
    STATE(11482), 1,
      sym_stable_identifier,
    STATE(3287), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384882] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(7772), 1,
      sym_operator_identifier,
    ACTIONS(8222), 1,
      sym_identifier,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2380), 3,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
  [384904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_LPAREN,
    STATE(11408), 1,
      sym_stable_identifier,
    STATE(3240), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384924] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(2730), 4,
      anon_sym_EQ_GT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [384940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7593), 1,
      anon_sym_LPAREN,
    STATE(11497), 1,
      sym_stable_identifier,
    STATE(5181), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384960] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2730), 8,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [384974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8224), 1,
      sym_identifier,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    STATE(11956), 1,
      sym_stable_identifier,
    STATE(3581), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [384994] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_val,
    ACTIONS(8070), 1,
      anon_sym_var,
    ACTIONS(8228), 1,
      anon_sym_object,
    ACTIONS(8230), 1,
      anon_sym_case,
    ACTIONS(8232), 1,
      anon_sym_class,
    ACTIONS(8234), 1,
      anon_sym_trait,
    ACTIONS(8236), 1,
      anon_sym_type,
    ACTIONS(8238), 1,
      anon_sym_def,
  [385022] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8240), 1,
      anon_sym_with,
    STATE(9400), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2482), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [385040] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_val,
    ACTIONS(8070), 1,
      anon_sym_var,
    ACTIONS(8243), 1,
      anon_sym_object,
    ACTIONS(8245), 1,
      anon_sym_case,
    ACTIONS(8247), 1,
      anon_sym_class,
    ACTIONS(8249), 1,
      anon_sym_trait,
    ACTIONS(8251), 1,
      anon_sym_type,
    ACTIONS(8253), 1,
      anon_sym_def,
  [385068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5397), 1,
      anon_sym_object,
    ACTIONS(5399), 1,
      anon_sym_case,
    ACTIONS(5401), 1,
      anon_sym_class,
    ACTIONS(5403), 1,
      anon_sym_trait,
    ACTIONS(5405), 1,
      anon_sym_type,
    ACTIONS(5407), 1,
      anon_sym_def,
  [385096] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8255), 1,
      anon_sym_with,
    STATE(9412), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2474), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [385114] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8080), 1,
      anon_sym_with,
    STATE(9356), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2472), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2474), 4,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      sym_identifier,
      sym_operator_identifier,
  [385134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    STATE(11609), 1,
      sym_stable_identifier,
    STATE(7854), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [385154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7328), 1,
      sym_identifier,
    ACTIONS(7655), 1,
      anon_sym_LPAREN,
    STATE(11485), 1,
      sym_stable_identifier,
    STATE(1673), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [385174] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2439), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 2,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3184), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [385192] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8255), 1,
      anon_sym_with,
    STATE(9412), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(8257), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [385214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [385228] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_val,
    ACTIONS(5255), 1,
      anon_sym_var,
    ACTIONS(5446), 1,
      anon_sym_object,
    ACTIONS(5448), 1,
      anon_sym_case,
    ACTIONS(5450), 1,
      anon_sym_class,
    ACTIONS(5452), 1,
      anon_sym_trait,
    ACTIONS(5454), 1,
      anon_sym_type,
    ACTIONS(5456), 1,
      anon_sym_def,
  [385256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 1,
      sym_identifier,
    ACTIONS(7669), 1,
      anon_sym_LPAREN,
    STATE(11602), 1,
      sym_stable_identifier,
    STATE(3431), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [385276] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8255), 1,
      anon_sym_with,
    STATE(9400), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(2435), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [385294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      sym_identifier,
    ACTIONS(7677), 1,
      anon_sym_LPAREN,
    STATE(11559), 1,
      sym_stable_identifier,
    STATE(6769), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [385314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7130), 1,
      sym_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN,
    STATE(11649), 1,
      sym_stable_identifier,
    STATE(6632), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [385334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 1,
      sym_identifier,
    ACTIONS(7504), 1,
      anon_sym_LPAREN,
    STATE(11524), 1,
      sym_stable_identifier,
    STATE(4605), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [385354] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_val,
    ACTIONS(8070), 1,
      anon_sym_var,
    ACTIONS(8259), 1,
      anon_sym_object,
    ACTIONS(8261), 1,
      anon_sym_case,
    ACTIONS(8263), 1,
      anon_sym_class,
    ACTIONS(8265), 1,
      anon_sym_trait,
    ACTIONS(8267), 1,
      anon_sym_type,
    ACTIONS(8269), 1,
      anon_sym_def,
  [385382] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7808), 1,
      anon_sym_RPAREN,
    STATE(10854), 1,
      aux_sym_case_class_pattern_repeat1,
  [385410] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7810), 1,
      anon_sym_RPAREN,
    STATE(10857), 1,
      aux_sym_case_class_pattern_repeat1,
  [385438] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7289), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(7766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9373), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    STATE(9847), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [385460] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7289), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(7766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9642), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    STATE(9847), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [385482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7142), 1,
      sym_identifier,
    ACTIONS(7502), 1,
      anon_sym_LPAREN,
    STATE(11430), 1,
      sym_stable_identifier,
    STATE(1510), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [385502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 1,
      sym_identifier,
    ACTIONS(7607), 1,
      anon_sym_LPAREN,
    STATE(11490), 1,
      sym_stable_identifier,
    STATE(1130), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [385522] = 9,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7976), 1,
      anon_sym_RPAREN,
    STATE(10560), 1,
      aux_sym_case_class_pattern_repeat1,
  [385550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [385564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 1,
      sym_identifier,
    ACTIONS(7545), 1,
      anon_sym_LPAREN,
    STATE(11423), 1,
      sym_stable_identifier,
    STATE(1067), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [385584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      sym_identifier,
    ACTIONS(7530), 1,
      anon_sym_LPAREN,
    STATE(11421), 1,
      sym_stable_identifier,
    STATE(1366), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [385604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8224), 1,
      sym_identifier,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    STATE(11956), 1,
      sym_stable_identifier,
    STATE(4175), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [385624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7246), 1,
      sym_identifier,
    ACTIONS(7581), 1,
      anon_sym_LPAREN,
    STATE(11415), 1,
      sym_stable_identifier,
    STATE(1148), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [385644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      sym_identifier,
    ACTIONS(7532), 1,
      anon_sym_LPAREN,
    STATE(11412), 1,
      sym_stable_identifier,
    STATE(3245), 5,
      sym__simple_type,
      sym_tuple_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
  [385664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(8271), 1,
      anon_sym_EQ,
    STATE(10032), 1,
      sym_block,
    ACTIONS(3346), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [385683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(8273), 1,
      anon_sym_EQ,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3123), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [385702] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8277), 1,
      anon_sym_implicit,
    ACTIONS(8279), 1,
      anon_sym_RPAREN,
    STATE(10876), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [385725] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7976), 1,
      anon_sym_RPAREN,
    STATE(10560), 1,
      aux_sym_case_class_pattern_repeat1,
  [385750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8281), 1,
      sym_identifier,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    STATE(10564), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [385771] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8289), 1,
      sym_identifier,
    ACTIONS(8291), 1,
      anon_sym_STAR,
    ACTIONS(8295), 1,
      anon_sym_LBRACE,
    ACTIONS(8293), 2,
      anon_sym__,
      anon_sym_given,
    STATE(4770), 2,
      sym_import_wildcard,
      sym_import_selectors,
  [385792] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8026), 1,
      sym_operator_identifier,
    ACTIONS(8297), 1,
      sym_identifier,
    ACTIONS(2380), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [385811] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    ACTIONS(8299), 1,
      sym_identifier,
    STATE(10170), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [385832] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7810), 1,
      anon_sym_RPAREN,
    STATE(10857), 1,
      aux_sym_case_class_pattern_repeat1,
  [385857] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7808), 1,
      anon_sym_RPAREN,
    STATE(10854), 1,
      aux_sym_case_class_pattern_repeat1,
  [385882] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8301), 1,
      anon_sym_implicit,
    ACTIONS(8303), 1,
      anon_sym_RPAREN,
    STATE(10541), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [385905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    ACTIONS(8305), 1,
      sym_identifier,
    STATE(10316), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [385926] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7794), 1,
      anon_sym_RPAREN,
    STATE(10432), 1,
      aux_sym_case_class_pattern_repeat1,
  [385951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3049), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [385964] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2730), 7,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_PIPE,
      sym_identifier,
      sym_operator_identifier,
  [385977] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7890), 1,
      anon_sym_DOT,
    ACTIONS(7988), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [385992] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2730), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [386007] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    ACTIONS(8307), 1,
      sym_identifier,
    STATE(10519), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [386028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8309), 1,
      sym_identifier,
    ACTIONS(8311), 1,
      anon_sym_STAR,
    ACTIONS(8315), 1,
      anon_sym_LBRACE,
    ACTIONS(8313), 2,
      anon_sym__,
      anon_sym_given,
    STATE(8369), 2,
      sym_import_wildcard,
      sym_import_selectors,
  [386049] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7942), 1,
      anon_sym_RPAREN,
    STATE(10563), 1,
      aux_sym_case_class_pattern_repeat1,
  [386074] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8024), 1,
      sym_operator_identifier,
    ACTIONS(8317), 1,
      sym_identifier,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_EQ,
  [386095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_EQ,
    STATE(10067), 1,
      sym_block,
    ACTIONS(3201), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [386114] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7978), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_case_class_pattern_repeat1,
  [386139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(8321), 1,
      anon_sym_EQ,
    STATE(10068), 1,
      sym_block,
    ACTIONS(3221), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [386158] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2474), 2,
      anon_sym_EQ_GT,
      sym_operator_identifier,
    ACTIONS(2472), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_identifier,
  [386173] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8323), 1,
      anon_sym_implicit,
    ACTIONS(8325), 1,
      anon_sym_RPAREN,
    STATE(10522), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [386196] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2439), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 2,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3184), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [386213] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7882), 1,
      anon_sym_RPAREN,
    STATE(10632), 1,
      aux_sym_case_class_pattern_repeat1,
  [386238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    ACTIONS(8327), 1,
      sym_identifier,
    STATE(10767), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [386259] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8329), 1,
      anon_sym_implicit,
    ACTIONS(8331), 1,
      anon_sym_RPAREN,
    STATE(10502), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [386282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(8333), 1,
      anon_sym_EQ,
    STATE(9953), 1,
      sym_block,
    ACTIONS(3393), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [386301] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7745), 1,
      anon_sym_RPAREN,
    STATE(10430), 1,
      aux_sym_case_class_pattern_repeat1,
  [386326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(8335), 1,
      anon_sym_EQ,
    STATE(10077), 1,
      sym_block,
    ACTIONS(3262), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [386345] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2730), 5,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [386360] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8337), 1,
      anon_sym_implicit,
    ACTIONS(8339), 1,
      anon_sym_RPAREN,
    STATE(10650), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [386383] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7966), 1,
      anon_sym_RPAREN,
    STATE(10341), 1,
      aux_sym_case_class_pattern_repeat1,
  [386408] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_identifier,
    ACTIONS(2474), 4,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
      sym_operator_identifier,
  [386423] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(8019), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [386446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3255), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [386459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8341), 1,
      anon_sym_implicit,
    ACTIONS(8343), 1,
      anon_sym_RPAREN,
    STATE(10766), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [386482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8345), 1,
      sym_identifier,
    ACTIONS(8347), 1,
      anon_sym_STAR,
    ACTIONS(8351), 1,
      anon_sym_LBRACE,
    ACTIONS(8349), 2,
      anon_sym__,
      anon_sym_given,
    STATE(2745), 2,
      sym_import_wildcard,
      sym_import_selectors,
  [386503] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7892), 1,
      anon_sym_EQ_GT,
    ACTIONS(7894), 1,
      anon_sym_COLON,
    ACTIONS(7900), 1,
      anon_sym_PIPE,
    ACTIONS(7902), 1,
      anon_sym_if,
    STATE(11494), 1,
      sym_guard,
    ACTIONS(7888), 2,
      sym_identifier,
      sym_operator_identifier,
  [386526] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8353), 1,
      anon_sym_implicit,
    ACTIONS(8355), 1,
      anon_sym_RPAREN,
    STATE(10532), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [386549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3302), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [386562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8357), 1,
      sym_identifier,
    ACTIONS(8359), 1,
      anon_sym_STAR,
    ACTIONS(8363), 1,
      anon_sym_LBRACE,
    ACTIONS(8361), 2,
      anon_sym__,
      anon_sym_given,
    STATE(6873), 2,
      sym_import_wildcard,
      sym_import_selectors,
  [386583] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7723), 1,
      anon_sym_RPAREN,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    STATE(10716), 1,
      aux_sym_case_class_pattern_repeat1,
  [386608] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8365), 1,
      anon_sym_implicit,
    ACTIONS(8367), 1,
      anon_sym_RPAREN,
    STATE(10338), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [386631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    ACTIONS(8369), 1,
      sym_identifier,
    STATE(10530), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [386652] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8371), 1,
      anon_sym_implicit,
    ACTIONS(8373), 1,
      anon_sym_RPAREN,
    STATE(10714), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [386675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8375), 1,
      sym_identifier,
    ACTIONS(8377), 1,
      anon_sym_STAR,
    ACTIONS(8381), 1,
      anon_sym_LBRACE,
    ACTIONS(8379), 2,
      anon_sym__,
      anon_sym_given,
    STATE(2272), 2,
      sym_import_wildcard,
      sym_import_selectors,
  [386696] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8383), 1,
      anon_sym_implicit,
    ACTIONS(8385), 1,
      anon_sym_RPAREN,
    STATE(10343), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [386719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(8387), 1,
      anon_sym_EQ,
    STATE(10044), 1,
      sym_block,
    ACTIONS(3066), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [386738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3119), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [386751] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8011), 1,
      sym_operator_identifier,
    ACTIONS(8389), 1,
      sym_identifier,
    ACTIONS(2376), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [386770] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7812), 1,
      anon_sym_RPAREN,
    STATE(10913), 1,
      aux_sym_case_class_pattern_repeat1,
  [386795] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8391), 1,
      anon_sym_implicit,
    ACTIONS(8393), 1,
      anon_sym_RPAREN,
    STATE(10185), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [386818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    ACTIONS(8395), 1,
      sym_identifier,
    STATE(10656), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [386839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(8397), 1,
      anon_sym_EQ,
    STATE(9923), 1,
      sym_block,
    ACTIONS(3426), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [386858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(8399), 1,
      anon_sym_EQ,
    STATE(9925), 1,
      sym_block,
    ACTIONS(3430), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [386877] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8401), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_STAR,
    ACTIONS(8407), 1,
      anon_sym_LBRACE,
    ACTIONS(8405), 2,
      anon_sym__,
      anon_sym_given,
    STATE(9724), 2,
      sym_import_wildcard,
      sym_import_selectors,
  [386898] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(8017), 1,
      anon_sym_PIPE,
    ACTIONS(8030), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [386921] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 1,
      sym_identifier,
    ACTIONS(2474), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [386936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [386949] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(7988), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
    ACTIONS(8049), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [386966] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8015), 1,
      sym_operator_identifier,
    ACTIONS(8409), 1,
      sym_identifier,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2380), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [386987] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    ACTIONS(8411), 1,
      sym_identifier,
    STATE(10534), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [387008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8413), 1,
      sym_identifier,
    ACTIONS(8415), 1,
      anon_sym_STAR,
    ACTIONS(8419), 1,
      anon_sym_LBRACE,
    ACTIONS(8417), 2,
      anon_sym__,
      anon_sym_given,
    STATE(5594), 2,
      sym_import_wildcard,
      sym_import_selectors,
  [387029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(8421), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_block,
    ACTIONS(3127), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [387048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8423), 1,
      sym_identifier,
    ACTIONS(8425), 1,
      anon_sym_STAR,
    ACTIONS(8429), 1,
      anon_sym_LBRACE,
    ACTIONS(8427), 2,
      anon_sym__,
      anon_sym_given,
    STATE(1970), 2,
      sym_import_wildcard,
      sym_import_selectors,
  [387069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3096), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [387082] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    ACTIONS(8431), 1,
      sym_identifier,
    STATE(11111), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [387103] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7890), 1,
      anon_sym_DOT,
    ACTIONS(8034), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [387118] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7993), 1,
      sym_identifier,
    ACTIONS(7995), 1,
      anon_sym_DOT,
    ACTIONS(7997), 1,
      anon_sym_COLON,
    ACTIONS(8005), 1,
      anon_sym_PIPE,
    ACTIONS(8007), 1,
      sym_operator_identifier,
    ACTIONS(8001), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
  [387141] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8433), 1,
      sym_identifier,
    ACTIONS(8435), 1,
      anon_sym_STAR,
    ACTIONS(8439), 1,
      anon_sym_LBRACE,
    ACTIONS(8437), 2,
      anon_sym__,
      anon_sym_given,
    STATE(7684), 2,
      sym_import_wildcard,
      sym_import_selectors,
  [387162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(8441), 1,
      anon_sym_EQ,
    STATE(10006), 1,
      sym_block,
    ACTIONS(3244), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [387181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [387194] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8443), 1,
      sym_identifier,
    ACTIONS(8445), 1,
      anon_sym_STAR,
    ACTIONS(8449), 1,
      anon_sym_LBRACE,
    ACTIONS(8447), 2,
      anon_sym__,
      anon_sym_given,
    STATE(4946), 2,
      sym_import_wildcard,
      sym_import_selectors,
  [387215] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
    ACTIONS(2474), 4,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      sym_operator_identifier,
  [387230] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8051), 1,
      sym_operator_identifier,
    ACTIONS(8451), 1,
      sym_identifier,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2380), 2,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
  [387251] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8453), 1,
      anon_sym_implicit,
    ACTIONS(8455), 1,
      anon_sym_RPAREN,
    STATE(10260), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [387274] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7890), 1,
      anon_sym_DOT,
    ACTIONS(7894), 1,
      anon_sym_COLON,
    ACTIONS(7888), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(8017), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [387293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    ACTIONS(8457), 1,
      sym_identifier,
    STATE(10848), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [387314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8459), 1,
      sym_identifier,
    ACTIONS(8461), 1,
      anon_sym_STAR,
    ACTIONS(8465), 1,
      anon_sym_LBRACE,
    ACTIONS(8463), 2,
      anon_sym__,
      anon_sym_given,
    STATE(6556), 2,
      sym_import_wildcard,
      sym_import_selectors,
  [387335] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    ACTIONS(8467), 1,
      sym_identifier,
    STATE(10206), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [387356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(8469), 1,
      anon_sym_EQ,
    STATE(10020), 1,
      sym_block,
    ACTIONS(3147), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [387375] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2728), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2730), 5,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_with,
      sym_identifier,
      sym_operator_identifier,
  [387390] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    ACTIONS(8471), 1,
      sym_identifier,
    STATE(10307), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [387411] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8473), 1,
      anon_sym_implicit,
    ACTIONS(8475), 1,
      anon_sym_RPAREN,
    STATE(10235), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [387434] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(8032), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
    ACTIONS(8034), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [387451] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    ACTIONS(8477), 1,
      sym_identifier,
    STATE(10689), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [387472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8479), 1,
      anon_sym_implicit,
    ACTIONS(8481), 1,
      anon_sym_RPAREN,
    STATE(10678), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [387495] = 8,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(7865), 1,
      anon_sym_RPAREN,
    STATE(10908), 1,
      aux_sym_case_class_pattern_repeat1,
  [387520] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7995), 1,
      anon_sym_DOT,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(7988), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [387537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    ACTIONS(8483), 1,
      sym_identifier,
    STATE(10578), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [387558] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8485), 1,
      sym_identifier,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    ACTIONS(8285), 2,
      anon_sym__,
      anon_sym_given,
    STATE(4084), 2,
      sym_import_wildcard,
      sym_import_selectors,
  [387579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8489), 1,
      sym_identifier,
    ACTIONS(8491), 1,
      anon_sym_STAR,
    ACTIONS(8495), 1,
      anon_sym_LBRACE,
    ACTIONS(8493), 2,
      anon_sym__,
      anon_sym_given,
    STATE(1691), 2,
      sym_import_wildcard,
      sym_import_selectors,
  [387600] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7993), 1,
      sym_identifier,
    ACTIONS(7995), 1,
      anon_sym_DOT,
    ACTIONS(7997), 1,
      anon_sym_COLON,
    ACTIONS(8007), 1,
      sym_operator_identifier,
    ACTIONS(8017), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [387621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8497), 1,
      anon_sym_LPAREN,
    STATE(9745), 1,
      sym_arguments,
    ACTIONS(3033), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [387638] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7995), 1,
      anon_sym_DOT,
    ACTIONS(8032), 1,
      sym_identifier,
    ACTIONS(8034), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [387655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_STAR,
    ACTIONS(8285), 1,
      anon_sym__,
    ACTIONS(8287), 1,
      anon_sym_given,
    ACTIONS(8499), 1,
      sym_identifier,
    STATE(10804), 3,
      sym_import_wildcard,
      sym__import_given_by_type,
      sym_renamed_identifier,
  [387676] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8501), 1,
      sym_identifier,
    ACTIONS(8503), 1,
      anon_sym_STAR,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(8505), 2,
      anon_sym__,
      anon_sym_given,
    STATE(6255), 2,
      sym_import_wildcard,
      sym_import_selectors,
  [387697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10005), 1,
      sym_template_body,
    ACTIONS(3269), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [387713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10030), 1,
      sym_template_body,
    ACTIONS(3086), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [387729] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8015), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(2380), 4,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
  [387743] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8509), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [387755] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 1,
      sym_identifier,
    ACTIONS(3257), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [387769] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8511), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [387781] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [387793] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8513), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [387805] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3257), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [387817] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8515), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [387829] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8517), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [387841] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    ACTIONS(8521), 1,
      anon_sym_RPAREN,
    STATE(10124), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [387861] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
    ACTIONS(2474), 3,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      sym_operator_identifier,
  [387875] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7802), 1,
      anon_sym_EQ,
    ACTIONS(8523), 1,
      anon_sym_COLON,
  [387897] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 1,
      sym_identifier,
    ACTIONS(3557), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [387911] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7798), 1,
      anon_sym_EQ,
    ACTIONS(8525), 1,
      anon_sym_COLON,
  [387933] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(3553), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [387947] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8527), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [387959] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7988), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [387971] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7894), 1,
      anon_sym_COLON,
    ACTIONS(7888), 2,
      sym_identifier,
      sym_operator_identifier,
    ACTIONS(8017), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [387987] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8529), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [387999] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8034), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [388011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    ACTIONS(8531), 1,
      anon_sym_RPAREN,
    STATE(10550), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [388031] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_COLON,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8078), 1,
      sym_operator_identifier,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [388051] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8535), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [388063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    ACTIONS(8537), 1,
      anon_sym_RPAREN,
    STATE(10299), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [388083] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_STAR,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8152), 1,
      sym_operator_identifier,
    ACTIONS(8539), 1,
      sym_identifier,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [388103] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8541), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [388115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10078), 1,
      sym_template_body,
    ACTIONS(3217), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [388131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10076), 1,
      sym_template_body,
    ACTIONS(3319), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [388147] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    ACTIONS(8543), 1,
      anon_sym_RPAREN,
    STATE(10870), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [388167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10074), 1,
      sym_template_body,
    ACTIONS(3385), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [388183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10071), 1,
      sym_template_body,
    ACTIONS(3405), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [388199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10070), 1,
      sym_template_body,
    ACTIONS(3371), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [388215] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7749), 1,
      anon_sym_EQ,
    ACTIONS(8545), 1,
      anon_sym_COLON,
  [388237] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7753), 1,
      anon_sym_EQ,
    ACTIONS(8547), 1,
      anon_sym_COLON,
  [388259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10066), 1,
      sym_template_body,
    ACTIONS(3190), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [388275] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8032), 1,
      sym_identifier,
    ACTIONS(8034), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [388291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10082), 1,
      sym_template_body,
    ACTIONS(3155), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [388307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10049), 1,
      sym_template_body,
    ACTIONS(3137), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [388323] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8017), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
  [388343] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    ACTIONS(8549), 1,
      anon_sym_RPAREN,
    STATE(10629), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [388363] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_RPAREN,
    STATE(10510), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [388383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10053), 1,
      sym_template_body,
    ACTIONS(3113), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [388399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10052), 1,
      sym_template_body,
    ACTIONS(3092), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [388415] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(7988), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [388431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10048), 1,
      sym_template_body,
    ACTIONS(3074), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [388447] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8032), 1,
      sym_identifier,
    ACTIONS(8034), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [388461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10017), 1,
      sym_template_body,
    ACTIONS(3045), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [388477] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8553), 1,
      sym_identifier,
    ACTIONS(8529), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [388491] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7910), 1,
      anon_sym_EQ,
    ACTIONS(8555), 1,
      anon_sym_COLON,
  [388513] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
    ACTIONS(2474), 3,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      sym_operator_identifier,
  [388527] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7914), 1,
      anon_sym_EQ,
    ACTIONS(8557), 1,
      anon_sym_COLON,
  [388549] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7993), 1,
      sym_identifier,
    ACTIONS(7997), 1,
      anon_sym_COLON,
    ACTIONS(8007), 1,
      sym_operator_identifier,
    ACTIONS(8017), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [388567] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    ACTIONS(8559), 1,
      anon_sym_RPAREN,
    STATE(10826), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [388587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10037), 1,
      sym_template_body,
    ACTIONS(3078), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [388603] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(7988), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [388617] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7927), 1,
      anon_sym_EQ,
    ACTIONS(8561), 1,
      anon_sym_COLON,
  [388639] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7931), 1,
      anon_sym_EQ,
    ACTIONS(8563), 1,
      anon_sym_COLON,
  [388661] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8565), 1,
      sym_identifier,
    ACTIONS(8527), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [388675] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7816), 1,
      anon_sym_EQ,
    ACTIONS(8567), 1,
      anon_sym_COLON,
  [388697] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7952), 1,
      anon_sym_EQ,
    ACTIONS(8569), 1,
      anon_sym_COLON,
  [388719] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7956), 1,
      anon_sym_EQ,
    ACTIONS(8571), 1,
      anon_sym_COLON,
  [388741] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7824), 1,
      anon_sym_EQ,
    ACTIONS(8573), 1,
      anon_sym_COLON,
  [388763] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    ACTIONS(8575), 1,
      anon_sym_RPAREN,
    STATE(10640), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [388783] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
    ACTIONS(3257), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [388797] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [388811] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7960), 1,
      anon_sym_EQ,
    ACTIONS(8579), 1,
      anon_sym_COLON,
  [388833] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7847), 1,
      anon_sym_EQ,
    ACTIONS(8581), 1,
      anon_sym_COLON,
  [388855] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7964), 1,
      anon_sym_EQ,
    ACTIONS(8583), 1,
      anon_sym_COLON,
  [388877] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(8585), 1,
      anon_sym_COLON,
  [388899] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8587), 1,
      sym_identifier,
    ACTIONS(8511), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [388913] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8589), 1,
      sym_identifier,
    ACTIONS(8517), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [388927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10059), 1,
      sym_template_body,
    ACTIONS(3174), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [388943] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7859), 1,
      anon_sym_EQ,
    ACTIONS(8591), 1,
      anon_sym_COLON,
  [388965] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7970), 1,
      anon_sym_EQ,
    ACTIONS(8593), 1,
      anon_sym_COLON,
  [388987] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7863), 1,
      anon_sym_EQ,
    ACTIONS(8595), 1,
      anon_sym_COLON,
  [389009] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7974), 1,
      anon_sym_EQ,
    ACTIONS(8597), 1,
      anon_sym_COLON,
  [389031] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8599), 1,
      sym_identifier,
    ACTIONS(8535), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [389045] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8601), 1,
      sym_identifier,
    ACTIONS(8515), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [389059] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8603), 1,
      sym_identifier,
    ACTIONS(8509), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [389073] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7869), 1,
      anon_sym_EQ,
    ACTIONS(8605), 1,
      anon_sym_COLON,
  [389095] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8607), 1,
      sym_identifier,
    ACTIONS(8513), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [389109] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7873), 1,
      anon_sym_EQ,
    ACTIONS(8609), 1,
      anon_sym_COLON,
  [389131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10013), 1,
      sym_template_body,
    ACTIONS(3213), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [389147] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7982), 1,
      anon_sym_EQ,
    ACTIONS(8611), 1,
      anon_sym_COLON,
  [389169] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7986), 1,
      anon_sym_EQ,
    ACTIONS(8613), 1,
      anon_sym_COLON,
  [389191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10009), 1,
      sym_template_body,
    ACTIONS(3229), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [389207] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8053), 1,
      sym_identifier,
    ACTIONS(8541), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [389221] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(8019), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [389241] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
    ACTIONS(8577), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [389255] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8513), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
    ACTIONS(8607), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [389269] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7935), 1,
      anon_sym_EQ,
    ACTIONS(8615), 1,
      anon_sym_COLON,
  [389291] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7923), 1,
      anon_sym_EQ,
    ACTIONS(8617), 1,
      anon_sym_COLON,
  [389313] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8509), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
    ACTIONS(8603), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [389327] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_EQ,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8082), 1,
      sym_operator_identifier,
    ACTIONS(8619), 1,
      sym_identifier,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [389347] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7693), 1,
      anon_sym_EQ,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(8621), 1,
      anon_sym_COLON,
  [389369] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7906), 1,
      anon_sym_EQ,
    ACTIONS(8623), 1,
      anon_sym_COLON,
  [389391] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7886), 1,
      anon_sym_EQ,
    ACTIONS(8625), 1,
      anon_sym_COLON,
  [389413] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7880), 1,
      anon_sym_EQ,
    ACTIONS(8627), 1,
      anon_sym_COLON,
  [389435] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7993), 1,
      sym_identifier,
    ACTIONS(7997), 1,
      anon_sym_COLON,
    ACTIONS(8005), 1,
      anon_sym_PIPE,
    ACTIONS(8007), 1,
      sym_operator_identifier,
    ACTIONS(8001), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
  [389455] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7851), 1,
      anon_sym_EQ,
    ACTIONS(8629), 1,
      anon_sym_COLON,
  [389477] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7839), 1,
      anon_sym_EQ,
    ACTIONS(8631), 1,
      anon_sym_COLON,
  [389499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10003), 1,
      sym_template_body,
    ACTIONS(3323), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [389515] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    ACTIONS(8633), 1,
      anon_sym_RPAREN,
    STATE(10697), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [389535] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7835), 1,
      anon_sym_EQ,
    ACTIONS(8635), 1,
      anon_sym_COLON,
  [389557] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7831), 1,
      anon_sym_EQ,
    ACTIONS(8637), 1,
      anon_sym_COLON,
  [389579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10002), 1,
      sym_template_body,
    ACTIONS(3327), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [389595] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7820), 1,
      anon_sym_EQ,
    ACTIONS(8639), 1,
      anon_sym_COLON,
  [389617] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7806), 1,
      anon_sym_EQ,
    ACTIONS(8641), 1,
      anon_sym_COLON,
  [389639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(9990), 1,
      sym_template_body,
    ACTIONS(3338), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [389655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_LT_PERCENT,
    STATE(9642), 2,
      sym_view_bound,
      aux_sym__type_parameter_repeat1,
    ACTIONS(8643), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [389671] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7792), 1,
      anon_sym_EQ,
    ACTIONS(8648), 1,
      anon_sym_COLON,
  [389693] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7788), 1,
      anon_sym_EQ,
    ACTIONS(8650), 1,
      anon_sym_COLON,
  [389715] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8517), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
    ACTIONS(8589), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [389729] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7784), 1,
      anon_sym_EQ,
    ACTIONS(8652), 1,
      anon_sym_COLON,
  [389751] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7780), 1,
      anon_sym_EQ,
    ACTIONS(8654), 1,
      anon_sym_COLON,
  [389773] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7776), 1,
      anon_sym_EQ,
    ACTIONS(8656), 1,
      anon_sym_COLON,
  [389795] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7770), 1,
      anon_sym_EQ,
    ACTIONS(8658), 1,
      anon_sym_COLON,
  [389817] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7764), 1,
      anon_sym_EQ,
    ACTIONS(8660), 1,
      anon_sym_COLON,
  [389839] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    ACTIONS(8662), 1,
      anon_sym_RPAREN,
    STATE(10459), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [389859] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7760), 1,
      anon_sym_EQ,
    ACTIONS(8664), 1,
      anon_sym_COLON,
  [389881] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_identifier,
    ACTIONS(2474), 3,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      sym_operator_identifier,
  [389895] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7739), 1,
      anon_sym_EQ,
    ACTIONS(8666), 1,
      anon_sym_COLON,
  [389917] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7735), 1,
      anon_sym_EQ,
    ACTIONS(8668), 1,
      anon_sym_COLON,
  [389939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(9981), 1,
      sym_template_body,
    ACTIONS(3375), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [389955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    ACTIONS(8670), 1,
      anon_sym_RPAREN,
    STATE(10853), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [389975] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7703), 1,
      anon_sym_EQ,
    ACTIONS(8672), 1,
      anon_sym_COLON,
  [389997] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3557), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [390009] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7707), 1,
      anon_sym_EQ,
    ACTIONS(8674), 1,
      anon_sym_COLON,
  [390031] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7731), 1,
      anon_sym_EQ,
    ACTIONS(8676), 1,
      anon_sym_COLON,
  [390053] = 7,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7743), 1,
      anon_sym_EQ,
    ACTIONS(8678), 1,
      anon_sym_COLON,
  [390075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(9996), 1,
      sym_template_body,
    ACTIONS(3397), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(9935), 1,
      sym_template_body,
    ACTIONS(3409), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390107] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8515), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
    ACTIONS(8601), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [390121] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8511), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
    ACTIONS(8587), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [390135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(9929), 1,
      sym_template_body,
    ACTIONS(3041), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(9930), 1,
      sym_template_body,
    ACTIONS(3197), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(9932), 1,
      sym_template_body,
    ACTIONS(3235), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(9938), 1,
      sym_template_body,
    ACTIONS(3281), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390199] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_RPAREN,
    STATE(10659), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [390219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8682), 1,
      anon_sym_DOT,
    ACTIONS(3379), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8684), 1,
      anon_sym_COMMA,
    STATE(9681), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2934), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390249] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
    ACTIONS(3557), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [390263] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8053), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
    ACTIONS(8541), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [390277] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
    ACTIONS(3553), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [390291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(9943), 1,
      sym_template_body,
    ACTIONS(3315), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(9950), 1,
      sym_template_body,
    ACTIONS(3251), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390323] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    ACTIONS(8257), 1,
      sym_operator_identifier,
    ACTIONS(8686), 1,
      sym_identifier,
    ACTIONS(2380), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [390341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10108), 1,
      sym_template_body,
    ACTIONS(3389), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8684), 1,
      anon_sym_COMMA,
    STATE(9696), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(2926), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390373] = 2,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3553), 6,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      sym_identifier,
      sym_operator_identifier,
  [390385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(9999), 1,
      sym_template_body,
    ACTIONS(3422), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10120), 1,
      sym_template_body,
    ACTIONS(3401), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390417] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8527), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
    ACTIONS(8565), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [390431] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(2472), 1,
      sym_identifier,
    ACTIONS(2474), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [390445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10116), 1,
      sym_template_body,
    ACTIONS(3415), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    ACTIONS(8688), 1,
      anon_sym_RPAREN,
    STATE(10362), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [390481] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7988), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
    ACTIONS(8049), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [390495] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7711), 1,
      sym_identifier,
    ACTIONS(7717), 1,
      anon_sym_COLON,
    ACTIONS(7727), 1,
      sym_operator_identifier,
    ACTIONS(8017), 1,
      anon_sym_PIPE,
    ACTIONS(8030), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [390515] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8529), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
    ACTIONS(8553), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [390529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 6,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390541] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8032), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
    ACTIONS(8034), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [390555] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8535), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
    ACTIONS(8599), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [390569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10034), 1,
      sym_template_body,
    ACTIONS(3288), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8690), 1,
      anon_sym_COMMA,
    STATE(9696), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3011), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10036), 1,
      sym_template_body,
    ACTIONS(3225), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10040), 1,
      sym_template_body,
    ACTIONS(3057), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    ACTIONS(8693), 1,
      anon_sym_RPAREN,
    STATE(10246), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [390653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10079), 1,
      sym_template_body,
    ACTIONS(3103), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACE,
    STATE(10050), 1,
      sym_template_body,
    ACTIONS(3082), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390685] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [390700] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8699), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [390719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8701), 1,
      anon_sym_RPAREN,
    STATE(10394), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [390738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2755), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390760] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8703), 1,
      anon_sym_RPAREN,
    STATE(10169), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [390779] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8705), 1,
      anon_sym_RPAREN,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
    STATE(10906), 1,
      aux_sym_tuple_type_repeat1,
  [390798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8707), 1,
      anon_sym_RPAREN,
    STATE(10158), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [390817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8709), 1,
      anon_sym_RPAREN,
    STATE(10182), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [390836] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [390851] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [390866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [390888] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3255), 1,
      sym_identifier,
    ACTIONS(3257), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [390901] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3555), 1,
      sym_identifier,
    ACTIONS(3557), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [390914] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8053), 1,
      sym_identifier,
    ACTIONS(8541), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [390927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8711), 1,
      anon_sym_RPAREN,
    STATE(10147), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [390946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8715), 1,
      anon_sym_RBRACE,
    STATE(10156), 1,
      aux_sym_import_selectors_repeat1,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
  [390963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8719), 1,
      anon_sym_RPAREN,
    STATE(10135), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [390982] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8721), 1,
      anon_sym_RPAREN,
    STATE(10196), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391001] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7802), 1,
      anon_sym_EQ,
    ACTIONS(8523), 1,
      anon_sym_COLON,
  [391020] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8723), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3151), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [391050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [391061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8725), 1,
      anon_sym_RPAREN,
    STATE(10210), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8727), 1,
      anon_sym_RPAREN,
    STATE(10521), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391099] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(3553), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [391112] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8729), 1,
      anon_sym_RPAREN,
    STATE(10496), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391131] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8731), 1,
      anon_sym_RPAREN,
    STATE(10224), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391150] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7798), 1,
      anon_sym_EQ,
    ACTIONS(8525), 1,
      anon_sym_COLON,
  [391169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(9756), 1,
      aux_sym__block_repeat1,
    ACTIONS(2260), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(6082), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [391184] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8733), 1,
      anon_sym_RPAREN,
    STATE(10238), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8735), 1,
      anon_sym_RBRACE,
    STATE(10390), 1,
      aux_sym_import_selectors_repeat1,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
  [391220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8737), 1,
      anon_sym_RPAREN,
    STATE(10252), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8739), 1,
      anon_sym_RPAREN,
    STATE(10661), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8741), 1,
      anon_sym_RPAREN,
    STATE(10266), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8743), 1,
      anon_sym_RPAREN,
    STATE(10280), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391296] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8745), 1,
      anon_sym_RPAREN,
    STATE(10705), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8747), 1,
      anon_sym_RPAREN,
    STATE(10588), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8749), 1,
      anon_sym_RPAREN,
    STATE(10294), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391353] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8751), 1,
      anon_sym_RPAREN,
    STATE(10308), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391372] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8753), 1,
      anon_sym_RPAREN,
    STATE(10322), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8755), 1,
      anon_sym_RPAREN,
    STATE(10335), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3511), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [391421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8757), 1,
      anon_sym_RBRACE,
    STATE(10274), 1,
      aux_sym_import_selectors_repeat1,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
  [391438] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7010), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [391453] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8759), 1,
      anon_sym_RPAREN,
    STATE(10754), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391472] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_RPAREN,
    STATE(10277), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8763), 1,
      anon_sym_RPAREN,
    STATE(10529), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391510] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8765), 1,
      anon_sym_RPAREN,
    STATE(10198), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391529] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7008), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [391544] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8767), 1,
      anon_sym_RPAREN,
    STATE(10320), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(8769), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9840), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [391578] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8771), 1,
      anon_sym_RPAREN,
    STATE(10349), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(9867), 1,
      aux_sym__block_repeat1,
    ACTIONS(605), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(8773), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [391612] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8775), 1,
      anon_sym_RPAREN,
    STATE(10423), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8777), 1,
      anon_sym_RBRACE,
    STATE(10579), 1,
      aux_sym_import_selectors_repeat1,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
  [391648] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7749), 1,
      anon_sym_EQ,
    ACTIONS(8545), 1,
      anon_sym_COLON,
  [391667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8779), 1,
      anon_sym_RBRACE,
    STATE(10636), 1,
      aux_sym_import_selectors_repeat1,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
  [391684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(8781), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9840), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [391699] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8599), 1,
      sym_identifier,
    ACTIONS(8535), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [391712] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7753), 1,
      anon_sym_EQ,
    ACTIONS(8547), 1,
      anon_sym_COLON,
  [391731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8783), 1,
      anon_sym_RPAREN,
    STATE(10805), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(8178), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9840), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [391765] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8785), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391784] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8032), 1,
      sym_identifier,
    ACTIONS(8034), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [391797] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4179), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [391812] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4175), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [391827] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8553), 1,
      sym_identifier,
    ACTIONS(8529), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [391840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8787), 1,
      anon_sym_RPAREN,
    STATE(10470), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391859] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [391872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(9773), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(8789), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(8791), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [391887] = 5,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8017), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
  [391904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8794), 1,
      anon_sym_RBRACE,
    STATE(10460), 1,
      aux_sym_import_selectors_repeat1,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
  [391921] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(7988), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [391934] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4462), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [391949] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8796), 1,
      anon_sym_RPAREN,
    STATE(10526), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [391968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8798), 1,
      anon_sym_RBRACE,
    STATE(10388), 1,
      aux_sym_import_selectors_repeat1,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
  [391985] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6044), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392000] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8565), 1,
      sym_identifier,
    ACTIONS(8527), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8800), 1,
      anon_sym_RPAREN,
    STATE(10357), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [392032] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4464), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392047] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7910), 1,
      anon_sym_EQ,
    ACTIONS(8555), 1,
      anon_sym_COLON,
  [392066] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7914), 1,
      anon_sym_EQ,
    ACTIONS(8557), 1,
      anon_sym_COLON,
  [392085] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7743), 1,
      anon_sym_EQ,
    ACTIONS(8678), 1,
      anon_sym_COLON,
  [392104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(8194), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9840), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [392119] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7731), 1,
      anon_sym_EQ,
    ACTIONS(8676), 1,
      anon_sym_COLON,
  [392138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_RBRACE,
    STATE(10842), 1,
      aux_sym_import_selectors_repeat1,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
  [392155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [392166] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6234), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392181] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8804), 1,
      anon_sym_RPAREN,
    STATE(10686), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [392200] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7707), 1,
      anon_sym_EQ,
    ACTIONS(8674), 1,
      anon_sym_COLON,
  [392219] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8806), 1,
      anon_sym_RPAREN,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
    STATE(10889), 1,
      aux_sym_tuple_type_repeat1,
  [392238] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6216), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(8208), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9840), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [392268] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8808), 1,
      anon_sym_RPAREN,
    STATE(10558), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [392287] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7703), 1,
      anon_sym_EQ,
    ACTIONS(8672), 1,
      anon_sym_COLON,
  [392306] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7393), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392321] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7381), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8810), 1,
      anon_sym_RBRACE,
    STATE(10127), 1,
      aux_sym_import_selectors_repeat1,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
  [392353] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7391), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392368] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7927), 1,
      anon_sym_EQ,
    ACTIONS(8561), 1,
      anon_sym_COLON,
  [392387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8812), 1,
      anon_sym_RPAREN,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
    STATE(10925), 1,
      aux_sym_tuple_type_repeat1,
  [392406] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7735), 1,
      anon_sym_EQ,
    ACTIONS(8668), 1,
      anon_sym_COLON,
  [392425] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8814), 1,
      anon_sym_RPAREN,
    STATE(10253), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [392444] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7931), 1,
      anon_sym_EQ,
    ACTIONS(8563), 1,
      anon_sym_COLON,
  [392463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8816), 1,
      anon_sym_SEMI,
    ACTIONS(8818), 1,
      sym__automatic_semicolon,
    STATE(9773), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(4428), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [392480] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7739), 1,
      anon_sym_EQ,
    ACTIONS(8666), 1,
      anon_sym_COLON,
  [392499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(7766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9840), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [392514] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7385), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392529] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3909), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8820), 1,
      anon_sym_RBRACE,
    STATE(10900), 1,
      aux_sym_import_selectors_repeat1,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
  [392561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8822), 1,
      anon_sym_RPAREN,
    STATE(10293), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [392580] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7760), 1,
      anon_sym_EQ,
    ACTIONS(8664), 1,
      anon_sym_COLON,
  [392599] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8607), 1,
      sym_identifier,
    ACTIONS(8513), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392612] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7764), 1,
      anon_sym_EQ,
    ACTIONS(8660), 1,
      anon_sym_COLON,
  [392631] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392646] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3911), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392661] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6173), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392676] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8603), 1,
      sym_identifier,
    ACTIONS(8509), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392689] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7770), 1,
      anon_sym_EQ,
    ACTIONS(8658), 1,
      anon_sym_COLON,
  [392708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8824), 1,
      anon_sym_RPAREN,
    STATE(10255), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [392727] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7776), 1,
      anon_sym_EQ,
    ACTIONS(8656), 1,
      anon_sym_COLON,
  [392746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8826), 1,
      anon_sym_RBRACE,
    STATE(10621), 1,
      aux_sym_import_selectors_repeat1,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
  [392763] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6610), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392778] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392793] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7952), 1,
      anon_sym_EQ,
    ACTIONS(8569), 1,
      anon_sym_COLON,
  [392812] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7780), 1,
      anon_sym_EQ,
    ACTIONS(8654), 1,
      anon_sym_COLON,
  [392831] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7816), 1,
      anon_sym_EQ,
    ACTIONS(8567), 1,
      anon_sym_COLON,
  [392850] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8828), 1,
      anon_sym_RPAREN,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
    STATE(10890), 1,
      aux_sym_tuple_type_repeat1,
  [392869] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7784), 1,
      anon_sym_EQ,
    ACTIONS(8652), 1,
      anon_sym_COLON,
  [392888] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7956), 1,
      anon_sym_EQ,
    ACTIONS(8571), 1,
      anon_sym_COLON,
  [392907] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392922] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6773), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392937] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392952] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8601), 1,
      sym_identifier,
    ACTIONS(8515), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [392965] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7788), 1,
      anon_sym_EQ,
    ACTIONS(8650), 1,
      anon_sym_COLON,
  [392984] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8830), 1,
      anon_sym_RPAREN,
    STATE(10617), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [393003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8834), 1,
      anon_sym_COLON,
    ACTIONS(8832), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9840), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [393018] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7792), 1,
      anon_sym_EQ,
    ACTIONS(8648), 1,
      anon_sym_COLON,
  [393037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3342), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [393048] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6782), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393063] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7200), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393078] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7202), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393093] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7824), 1,
      anon_sym_EQ,
    ACTIONS(8573), 1,
      anon_sym_COLON,
  [393112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(8180), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9840), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [393127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      anon_sym_COLON,
    ACTIONS(7919), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(9840), 2,
      sym_context_bound,
      aux_sym__type_parameter_repeat2,
  [393142] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7806), 1,
      anon_sym_EQ,
    ACTIONS(8641), 1,
      anon_sym_COLON,
  [393161] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393176] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7820), 1,
      anon_sym_EQ,
    ACTIONS(8639), 1,
      anon_sym_COLON,
  [393195] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7960), 1,
      anon_sym_EQ,
    ACTIONS(8579), 1,
      anon_sym_COLON,
  [393214] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6293), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393229] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6331), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393244] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6333), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8837), 1,
      anon_sym_RPAREN,
    STATE(10568), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [393278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8839), 1,
      anon_sym_RBRACE,
    STATE(10920), 1,
      aux_sym_import_selectors_repeat1,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
  [393295] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8841), 1,
      anon_sym_RPAREN,
    STATE(10833), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [393314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8843), 1,
      anon_sym_RPAREN,
    STATE(10557), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [393333] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7831), 1,
      anon_sym_EQ,
    ACTIONS(8637), 1,
      anon_sym_COLON,
  [393352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8845), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
  [393363] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7835), 1,
      anon_sym_EQ,
    ACTIONS(8635), 1,
      anon_sym_COLON,
  [393382] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7964), 1,
      anon_sym_EQ,
    ACTIONS(8583), 1,
      anon_sym_COLON,
  [393401] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7847), 1,
      anon_sym_EQ,
    ACTIONS(8581), 1,
      anon_sym_COLON,
  [393420] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393435] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(9867), 1,
      aux_sym__block_repeat1,
    ACTIONS(2578), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(8847), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [393465] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6995), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393480] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393495] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(8585), 1,
      anon_sym_COLON,
  [393514] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6981), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393529] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6979), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393544] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7970), 1,
      anon_sym_EQ,
    ACTIONS(8593), 1,
      anon_sym_COLON,
  [393563] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7839), 1,
      anon_sym_EQ,
    ACTIONS(8631), 1,
      anon_sym_COLON,
  [393582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8816), 1,
      anon_sym_SEMI,
    ACTIONS(8852), 1,
      sym__automatic_semicolon,
    STATE(9808), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(8850), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [393599] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7851), 1,
      anon_sym_EQ,
    ACTIONS(8629), 1,
      anon_sym_COLON,
  [393618] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7859), 1,
      anon_sym_EQ,
    ACTIONS(8591), 1,
      anon_sym_COLON,
  [393637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8854), 1,
      anon_sym_RPAREN,
    STATE(10680), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [393656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8856), 1,
      anon_sym_RBRACE,
    STATE(10794), 1,
      aux_sym_import_selectors_repeat1,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
  [393673] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393688] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393703] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7974), 1,
      anon_sym_EQ,
    ACTIONS(8597), 1,
      anon_sym_COLON,
  [393722] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8858), 1,
      anon_sym_RPAREN,
    STATE(10342), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [393741] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8860), 1,
      anon_sym_RPAREN,
    STATE(10775), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [393760] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7880), 1,
      anon_sym_EQ,
    ACTIONS(8627), 1,
      anon_sym_COLON,
  [393779] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8862), 1,
      anon_sym_RPAREN,
    STATE(10777), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [393798] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7302), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393813] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7886), 1,
      anon_sym_EQ,
    ACTIONS(8625), 1,
      anon_sym_COLON,
  [393832] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7863), 1,
      anon_sym_EQ,
    ACTIONS(8595), 1,
      anon_sym_COLON,
  [393851] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6720), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8864), 1,
      anon_sym_RPAREN,
    STATE(10679), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [393885] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3182), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393900] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(3170), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393915] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7310), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393930] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7906), 1,
      anon_sym_EQ,
    ACTIONS(8623), 1,
      anon_sym_COLON,
  [393949] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(6716), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393964] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4106), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [393979] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7693), 1,
      anon_sym_EQ,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(8621), 1,
      anon_sym_COLON,
  [393998] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7869), 1,
      anon_sym_EQ,
    ACTIONS(8605), 1,
      anon_sym_COLON,
  [394017] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(4110), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [394032] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7873), 1,
      anon_sym_EQ,
    ACTIONS(8609), 1,
      anon_sym_COLON,
  [394051] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7150), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [394066] = 4,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7152), 1,
      anon_sym_EQ,
    ACTIONS(8577), 1,
      sym_identifier,
    ACTIONS(3172), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym_operator_identifier,
  [394081] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7982), 1,
      anon_sym_EQ,
    ACTIONS(8611), 1,
      anon_sym_COLON,
  [394100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(8519), 1,
      sym_identifier,
    STATE(11054), 1,
      sym_parameter,
    STATE(10057), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [394117] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7923), 1,
      anon_sym_EQ,
    ACTIONS(8617), 1,
      anon_sym_COLON,
  [394136] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8589), 1,
      sym_identifier,
    ACTIONS(8517), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [394149] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8866), 1,
      anon_sym_RPAREN,
    STATE(10722), 1,
      aux_sym_tuple_type_repeat1,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [394168] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7935), 1,
      anon_sym_EQ,
    ACTIONS(8615), 1,
      anon_sym_COLON,
  [394187] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(8587), 1,
      sym_identifier,
    ACTIONS(8511), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      sym_operator_identifier,
  [394200] = 6,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym_operator_identifier,
    ACTIONS(7986), 1,
      anon_sym_EQ,
    ACTIONS(8613), 1,
      anon_sym_COLON,
  [394219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8868), 1,
      anon_sym_RBRACE,
    STATE(10713), 1,
      aux_sym_import_selectors_repeat1,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
  [394236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3547), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3507), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8870), 1,
      anon_sym_RBRACE,
    ACTIONS(8872), 1,
      anon_sym_case,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8874), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8876), 1,
      anon_sym_COMMA,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(8879), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [394298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3933), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8881), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8883), 1,
      anon_sym_RBRACE,
    STATE(9973), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8885), 1,
      anon_sym_RBRACE,
    STATE(9941), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3937), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8887), 1,
      anon_sym_RBRACE,
    STATE(10118), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3945), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8889), 1,
      anon_sym_RBRACE,
    STATE(9956), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8891), 1,
      anon_sym_RBRACE,
    ACTIONS(8893), 1,
      anon_sym_case,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8896), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3961), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3965), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3969), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3973), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8898), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8900), 1,
      anon_sym_RBRACE,
    STATE(9970), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3877), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3977), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8902), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8904), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8906), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3991), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3995), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8908), 1,
      anon_sym_RBRACE,
    STATE(9997), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8910), 1,
      anon_sym_RBRACE,
    STATE(10011), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8912), 1,
      anon_sym_RBRACE,
    STATE(9980), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8914), 1,
      anon_sym_RBRACE,
    STATE(9995), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8916), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
  [394672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4003), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8918), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
      anon_sym_COLON,
  [394702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3869), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3865), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8920), 1,
      anon_sym_RBRACE,
    STATE(9939), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4007), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8922), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8924), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3861), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8926), 1,
      anon_sym_RBRACE,
    STATE(10019), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8928), 1,
      anon_sym_RBRACE,
    STATE(9916), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394822] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8932), 1,
      anon_sym_COLON,
    ACTIONS(8934), 1,
      anon_sym_EQ,
    ACTIONS(8930), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [394836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8936), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8940), 1,
      anon_sym_COLON,
    ACTIONS(8942), 1,
      anon_sym_EQ,
    ACTIONS(8938), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [394864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8946), 1,
      anon_sym_EQ,
    ACTIONS(8944), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [394878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8948), 1,
      anon_sym_RBRACE,
    STATE(10103), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3842), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8950), 1,
      anon_sym_RBRACE,
    STATE(10012), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8952), 1,
      anon_sym_RBRACE,
    STATE(9928), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8954), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [394954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8956), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8958), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8960), 1,
      anon_sym_RBRACE,
    STATE(9986), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [394996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8717), 2,
      anon_sym_EQ_GT,
      anon_sym_as,
    ACTIONS(8962), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [395008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8964), 1,
      anon_sym_RBRACE,
    STATE(10069), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3838), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4037), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8966), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3830), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3826), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8968), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8970), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8972), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8974), 1,
      anon_sym_RBRACE,
    STATE(9915), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4045), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3794), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4057), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8978), 1,
      anon_sym_COLON,
    ACTIONS(8980), 1,
      anon_sym_EQ,
    ACTIONS(8976), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [395206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8982), 1,
      anon_sym_RBRACE,
    STATE(10035), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_RBRACE,
    STATE(9867), 1,
      aux_sym__block_repeat1,
    ACTIONS(8984), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [395234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8986), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3873), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8988), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4061), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(8992), 1,
      anon_sym_EQ,
    ACTIONS(8990), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [395306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4073), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3714), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3776), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3768), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3764), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4081), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3753), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8994), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395420] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8996), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3749), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(8998), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3664), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3602), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9000), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [395498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9002), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9004), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3729), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8789), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [395556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9006), 1,
      anon_sym_RBRACE,
    STATE(9933), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9008), 1,
      anon_sym_RBRACE,
    STATE(10021), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3696), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9010), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3684), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3718), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9012), 1,
      anon_sym_RBRACE,
    STATE(10015), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9014), 1,
      anon_sym_RBRACE,
    STATE(9987), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3650), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3676), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9016), 1,
      anon_sym_RBRACE,
    STATE(10073), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9018), 1,
      anon_sym_RBRACE,
    STATE(9972), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3834), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3541), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3449), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3634), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9022), 1,
      anon_sym_COLON,
    ACTIONS(9024), 1,
      anon_sym_EQ,
    ACTIONS(9020), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [395868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3490), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3486), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3790), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9026), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3441), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_AT,
    ACTIONS(9028), 1,
      sym_identifier,
    STATE(6037), 2,
      sym_annotation,
      aux_sym_object_definition_repeat1,
  [395936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9030), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [395950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3462), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9034), 1,
      anon_sym_COLON,
    ACTIONS(9036), 1,
      anon_sym_EQ,
    ACTIONS(9032), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [395984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [395994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9038), 1,
      anon_sym_RBRACE,
    STATE(10058), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3606), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3592), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3596), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9040), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3626), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3630), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3638), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9042), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3680), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3688), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3692), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4017), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9044), 1,
      anon_sym_RBRACE,
    STATE(9985), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3515), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3563), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9048), 1,
      anon_sym_COLON,
    ACTIONS(9050), 1,
      anon_sym_EQ,
    ACTIONS(9046), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [396234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9052), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4041), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11058), 1,
      sym__type_parameter,
  [396274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3523), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9054), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      anon_sym__,
    STATE(7761), 1,
      sym_wildcard,
    STATE(11060), 1,
      sym__type_parameter,
  [396314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_RBRACE,
    STATE(9994), 1,
      aux_sym__block_repeat1,
    ACTIONS(6358), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [396338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9056), 1,
      anon_sym_RBRACE,
    STATE(9919), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9058), 1,
      anon_sym_RBRACE,
    STATE(10089), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9060), 1,
      anon_sym_RBRACE,
    STATE(10114), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9062), 1,
      anon_sym_RBRACE,
    STATE(9940), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3476), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9064), 1,
      anon_sym_RBRACE,
    STATE(10055), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9066), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4069), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4029), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4021), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9068), 1,
      anon_sym_RBRACE,
    STATE(10085), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3897), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9070), 1,
      anon_sym_RBRACE,
    STATE(10123), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3527), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3798), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9072), 1,
      anon_sym_RBRACE,
    STATE(9963), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9074), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9076), 1,
      anon_sym_RBRACE,
    STATE(9958), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9078), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3710), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3846), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3786), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [396686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_case,
    ACTIONS(9080), 1,
      anon_sym_RBRACE,
    STATE(9927), 2,
      sym_case_clause,
      aux_sym_case_block_repeat1,
  [396700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9084), 1,
      anon_sym_RPAREN,
    STATE(10195), 1,
      aux_sym_parameters_repeat1,
  [396713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9088), 1,
      anon_sym_RBRACK,
    STATE(10615), 1,
      aux_sym_tuple_type_repeat1,
  [396726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9092), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [396739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(9094), 1,
      anon_sym_RBRACE,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [396752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9096), 1,
      anon_sym_RBRACK,
    STATE(10129), 1,
      aux_sym_tuple_type_repeat1,
  [396765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9098), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [396778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9100), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [396791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9102), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [396804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9104), 1,
      anon_sym_RPAREN,
    STATE(10135), 1,
      aux_sym_tuple_type_repeat1,
  [396817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9106), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [396830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9108), 1,
      sym_identifier,
    STATE(3868), 1,
      sym_stable_identifier,
    STATE(3873), 1,
      sym__import_expression,
  [396843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9110), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [396856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9114), 1,
      sym__interpolated_string_end,
    STATE(10208), 1,
      aux_sym_interpolated_string_repeat1,
  [396869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9116), 1,
      sym_identifier,
    STATE(4486), 1,
      sym__import_expression,
    STATE(4996), 1,
      sym_stable_identifier,
  [396882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9120), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [396895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9122), 1,
      anon_sym_RBRACK,
    STATE(10141), 1,
      aux_sym_tuple_type_repeat1,
  [396908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9120), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [396921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9124), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [396934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9126), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [396947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9128), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [396960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9130), 1,
      anon_sym_RPAREN,
    STATE(10147), 1,
      aux_sym_tuple_type_repeat1,
  [396973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9114), 1,
      sym__interpolated_multiline_string_end,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    STATE(10211), 1,
      aux_sym_interpolated_string_repeat2,
  [396986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9132), 1,
      sym__interpolated_string_end,
    STATE(10420), 1,
      aux_sym_interpolated_string_repeat1,
  [396999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9134), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9136), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [397025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9084), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [397038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9138), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [397051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9140), 1,
      anon_sym_RBRACK,
    STATE(10152), 1,
      aux_sym_tuple_type_repeat1,
  [397064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9142), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9144), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [397090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9146), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [397103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9148), 1,
      anon_sym_RPAREN,
    STATE(10158), 1,
      aux_sym_tuple_type_repeat1,
  [397116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(9150), 1,
      anon_sym_RBRACE,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [397129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9154), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [397142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9156), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9158), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9160), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [397181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9160), 1,
      anon_sym_RPAREN,
    STATE(10126), 1,
      aux_sym_class_parameters_repeat1,
  [397194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9162), 1,
      anon_sym_RBRACK,
    STATE(10163), 1,
      aux_sym_tuple_type_repeat1,
  [397207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9164), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9166), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [397233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9168), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [397246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9170), 1,
      anon_sym_RPAREN,
    STATE(10169), 1,
      aux_sym_tuple_type_repeat1,
  [397259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9172), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [397272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9174), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [397285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9176), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8810), 1,
      anon_sym_RBRACE,
    STATE(10127), 1,
      aux_sym_import_selectors_repeat1,
  [397311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9178), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9180), 1,
      anon_sym_RBRACK,
    STATE(10174), 1,
      aux_sym_tuple_type_repeat1,
  [397337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9182), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [397350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9184), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9186), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [397376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9188), 1,
      sym__interpolated_multiline_string_end,
    STATE(10138), 1,
      aux_sym_interpolated_string_repeat2,
  [397389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9190), 1,
      anon_sym_RPAREN,
    STATE(10182), 1,
      aux_sym_tuple_type_repeat1,
  [397402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9192), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9188), 1,
      sym__interpolated_string_end,
    STATE(10140), 1,
      aux_sym_interpolated_string_repeat1,
  [397428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9182), 1,
      anon_sym_RPAREN,
    STATE(10168), 1,
      aux_sym_class_parameters_repeat1,
  [397441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9194), 1,
      anon_sym_RPAREN,
    STATE(10394), 1,
      aux_sym_tuple_type_repeat1,
  [397454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9196), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9198), 1,
      anon_sym_RPAREN,
    STATE(10198), 1,
      aux_sym_tuple_type_repeat1,
  [397480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9200), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [397493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8521), 1,
      anon_sym_RPAREN,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(10149), 1,
      aux_sym_parameters_repeat1,
  [397506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9202), 1,
      anon_sym_RBRACK,
    STATE(10188), 1,
      aux_sym_tuple_type_repeat1,
  [397519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9204), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [397532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9206), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9208), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [397558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(9210), 1,
      anon_sym_EQ,
    STATE(11918), 1,
      sym_type_parameters,
  [397571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9212), 1,
      anon_sym_RPAREN,
    STATE(10196), 1,
      aux_sym_tuple_type_repeat1,
  [397584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9214), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [397597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9216), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_tuple_type_repeat1,
  [397610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9218), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [397623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9220), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [397636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9222), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9224), 1,
      anon_sym_RBRACK,
    STATE(10159), 1,
      aux_sym_tuple_type_repeat1,
  [397662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9226), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9228), 1,
      sym_identifier,
    STATE(6555), 1,
      sym__import_expression,
    STATE(6591), 1,
      sym_stable_identifier,
  [397688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9230), 1,
      anon_sym_RBRACK,
    STATE(10202), 1,
      aux_sym_tuple_type_repeat1,
  [397701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9232), 1,
      anon_sym_RPAREN,
    STATE(10588), 1,
      aux_sym_tuple_type_repeat1,
  [397714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9234), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9236), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [397740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 1,
      anon_sym_RPAREN,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(10160), 1,
      aux_sym_class_parameters_repeat1,
  [397753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9238), 1,
      anon_sym_RPAREN,
    STATE(10210), 1,
      aux_sym_tuple_type_repeat1,
  [397766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8715), 1,
      anon_sym_RBRACE,
    STATE(10156), 1,
      aux_sym_import_selectors_repeat1,
  [397779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9240), 1,
      anon_sym_RBRACK,
    STATE(10165), 1,
      aux_sym_type_parameters_repeat1,
  [397792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9242), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [397805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9244), 1,
      sym__interpolated_multiline_string_end,
    STATE(10720), 1,
      aux_sym_interpolated_string_repeat2,
  [397818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9246), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9242), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [397844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9244), 1,
      sym__interpolated_string_end,
    STATE(10167), 1,
      aux_sym_interpolated_string_repeat1,
  [397857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9248), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [397870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9250), 1,
      anon_sym_RBRACK,
    STATE(10216), 1,
      aux_sym_tuple_type_repeat1,
  [397883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9252), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [397896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9254), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9256), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [397922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9258), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [397935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9260), 1,
      anon_sym_RPAREN,
    STATE(10224), 1,
      aux_sym_tuple_type_repeat1,
  [397948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9248), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [397961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9262), 1,
      anon_sym_RBRACK,
    STATE(10372), 1,
      aux_sym_type_parameters_repeat1,
  [397974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9264), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [397987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9266), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [398000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9268), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9270), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9272), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [398039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9274), 1,
      anon_sym_RBRACK,
    STATE(10318), 1,
      aux_sym_type_parameters_repeat1,
  [398052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9276), 1,
      anon_sym_RBRACK,
    STATE(10230), 1,
      aux_sym_tuple_type_repeat1,
  [398065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9278), 1,
      sym_identifier,
    STATE(8366), 1,
      sym__import_expression,
    STATE(8456), 1,
      sym_stable_identifier,
  [398078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9280), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9282), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [398104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 1,
      anon_sym_RPAREN,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(10334), 1,
      aux_sym_class_parameters_repeat1,
  [398117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9284), 1,
      anon_sym_RPAREN,
    STATE(10238), 1,
      aux_sym_tuple_type_repeat1,
  [398130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      sym_identifier,
    STATE(9672), 1,
      sym_stable_identifier,
    STATE(9673), 1,
      sym__import_expression,
  [398143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8693), 1,
      anon_sym_RPAREN,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(10143), 1,
      aux_sym_parameters_repeat1,
  [398156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9108), 1,
      sym_identifier,
    STATE(3868), 1,
      sym_stable_identifier,
    STATE(4077), 1,
      sym__import_expression,
  [398169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9288), 1,
      anon_sym_RBRACK,
    STATE(10218), 1,
      aux_sym_tuple_type_repeat1,
  [398182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9290), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9292), 1,
      sym__interpolated_multiline_string_end,
    STATE(10213), 1,
      aux_sym_interpolated_string_repeat2,
  [398208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9294), 1,
      anon_sym_RPAREN,
    STATE(10269), 1,
      aux_sym_class_parameters_repeat1,
  [398221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9292), 1,
      sym__interpolated_string_end,
    STATE(10220), 1,
      aux_sym_interpolated_string_repeat1,
  [398234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9296), 1,
      anon_sym_RBRACK,
    STATE(10244), 1,
      aux_sym_tuple_type_repeat1,
  [398247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9298), 1,
      anon_sym_RPAREN,
    STATE(10253), 1,
      aux_sym_tuple_type_repeat1,
  [398260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9300), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9302), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [398286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9128), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      aux_sym_parameters_repeat1,
  [398299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9304), 1,
      anon_sym_RPAREN,
    STATE(10252), 1,
      aux_sym_tuple_type_repeat1,
  [398312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9306), 1,
      anon_sym_RPAREN,
    STATE(10447), 1,
      aux_sym_tuple_type_repeat1,
  [398325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9308), 1,
      anon_sym_RBRACK,
    STATE(10345), 1,
      aux_sym_tuple_type_repeat1,
  [398338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9310), 1,
      anon_sym_RPAREN,
    STATE(10320), 1,
      aux_sym_tuple_type_repeat1,
  [398351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9312), 1,
      sym_identifier,
    STATE(1508), 1,
      sym__import_expression,
    STATE(1831), 1,
      sym_stable_identifier,
  [398364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9314), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9316), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9318), 1,
      anon_sym_RBRACK,
    STATE(10171), 1,
      aux_sym_tuple_type_repeat1,
  [398403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9320), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9322), 1,
      anon_sym_RBRACK,
    STATE(10258), 1,
      aux_sym_tuple_type_repeat1,
  [398429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9324), 1,
      anon_sym_RBRACK,
    STATE(10378), 1,
      aux_sym_tuple_type_repeat1,
  [398442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9326), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9328), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [398468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8688), 1,
      anon_sym_RPAREN,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(10366), 1,
      aux_sym_parameters_repeat1,
  [398481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9330), 1,
      anon_sym_RPAREN,
    STATE(10266), 1,
      aux_sym_tuple_type_repeat1,
  [398494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9332), 1,
      anon_sym_RBRACK,
    STATE(10225), 1,
      aux_sym_tuple_type_repeat1,
  [398507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9334), 1,
      sym_identifier,
    STATE(4602), 1,
      sym_stable_identifier,
    STATE(6041), 1,
      sym__import_expression,
  [398520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5956), 1,
      anon_sym_RPAREN,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(10173), 1,
      aux_sym_class_parameters_repeat1,
  [398533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9336), 1,
      anon_sym_RBRACK,
    STATE(10184), 1,
      aux_sym_type_parameters_repeat1,
  [398546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9338), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9340), 1,
      sym__interpolated_string_end,
    STATE(10375), 1,
      aux_sym_interpolated_string_repeat1,
  [398572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9342), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [398585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9344), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [398598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9346), 1,
      anon_sym_RBRACK,
    STATE(10272), 1,
      aux_sym_tuple_type_repeat1,
  [398611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(9348), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [398624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9350), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9352), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [398650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(9354), 1,
      anon_sym_RBRACE,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [398663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9356), 1,
      anon_sym_RPAREN,
    STATE(10280), 1,
      aux_sym_tuple_type_repeat1,
  [398676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(9358), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [398689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9360), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9362), 1,
      anon_sym_RBRACK,
    STATE(10525), 1,
      aux_sym_type_parameters_repeat1,
  [398715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9340), 1,
      sym__interpolated_multiline_string_end,
    STATE(10376), 1,
      aux_sym_interpolated_string_repeat2,
  [398728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9364), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_EQ,
    STATE(11759), 1,
      sym_type_parameters,
  [398754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9368), 1,
      sym__interpolated_string_end,
    STATE(10506), 1,
      aux_sym_interpolated_string_repeat1,
  [398767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9370), 1,
      anon_sym_RBRACK,
    STATE(10508), 1,
      aux_sym_type_parameters_repeat1,
  [398780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9372), 1,
      anon_sym_RBRACK,
    STATE(10286), 1,
      aux_sym_tuple_type_repeat1,
  [398793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym_RPAREN,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(10538), 1,
      aux_sym_class_parameters_repeat1,
  [398806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9374), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9376), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [398832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9378), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [398845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9380), 1,
      anon_sym_RPAREN,
    STATE(10294), 1,
      aux_sym_tuple_type_repeat1,
  [398858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9382), 1,
      anon_sym_RBRACK,
    STATE(10178), 1,
      aux_sym_tuple_type_repeat1,
  [398871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9378), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [398884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9384), 1,
      sym_identifier,
    ACTIONS(9386), 1,
      anon_sym_object,
    STATE(3847), 1,
      sym_package_identifier,
  [398897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9388), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9390), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [398923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9368), 1,
      sym__interpolated_multiline_string_end,
    STATE(10574), 1,
      aux_sym_interpolated_string_repeat2,
  [398936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9392), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [398949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9394), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [398962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9396), 1,
      anon_sym_RBRACK,
    STATE(10300), 1,
      aux_sym_tuple_type_repeat1,
  [398975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9394), 1,
      anon_sym_RPAREN,
    STATE(10268), 1,
      aux_sym_parameters_repeat1,
  [398988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9398), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9400), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [399014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9402), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [399027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9404), 1,
      anon_sym_RPAREN,
    STATE(10308), 1,
      aux_sym_tuple_type_repeat1,
  [399040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9406), 1,
      anon_sym_RBRACK,
    STATE(10226), 1,
      aux_sym_type_parameters_repeat1,
  [399053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9408), 1,
      anon_sym_RPAREN,
    STATE(10277), 1,
      aux_sym_tuple_type_repeat1,
  [399066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(7246), 1,
      sym__import_expression,
    STATE(7857), 1,
      sym_stable_identifier,
  [399079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8735), 1,
      anon_sym_RBRACE,
    STATE(10390), 1,
      aux_sym_import_selectors_repeat1,
  [399092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9412), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9414), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9294), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [399131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9334), 1,
      sym_identifier,
    STATE(4107), 1,
      sym__import_expression,
    STATE(4602), 1,
      sym_stable_identifier,
  [399144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9416), 1,
      anon_sym_RBRACK,
    STATE(10314), 1,
      aux_sym_tuple_type_repeat1,
  [399157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9418), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [399170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9420), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9422), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [399196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8757), 1,
      anon_sym_RBRACE,
    STATE(10274), 1,
      aux_sym_import_selectors_repeat1,
  [399209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9424), 1,
      anon_sym_RPAREN,
    STATE(10322), 1,
      aux_sym_tuple_type_repeat1,
  [399222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9426), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [399235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9428), 1,
      anon_sym_RPAREN,
    STATE(10529), 1,
      aux_sym_tuple_type_repeat1,
  [399248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9430), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9432), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9434), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9436), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9438), 1,
      anon_sym_RPAREN,
    STATE(10607), 1,
      aux_sym_class_parameters_repeat1,
  [399313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9440), 1,
      anon_sym_RBRACK,
    STATE(10539), 1,
      aux_sym_tuple_type_repeat1,
  [399326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9442), 1,
      anon_sym_RBRACK,
    STATE(10328), 1,
      aux_sym_tuple_type_repeat1,
  [399339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9444), 1,
      sym__interpolated_multiline_string_end,
    STATE(10288), 1,
      aux_sym_interpolated_string_repeat2,
  [399352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9448), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [399378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9444), 1,
      sym__interpolated_string_end,
    STATE(10291), 1,
      aux_sym_interpolated_string_repeat1,
  [399391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9450), 1,
      anon_sym_RPAREN,
    STATE(10335), 1,
      aux_sym_tuple_type_repeat1,
  [399404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9452), 1,
      anon_sym_RBRACK,
    STATE(10738), 1,
      aux_sym_type_parameters_repeat1,
  [399417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9454), 1,
      anon_sym_RBRACK,
    STATE(10321), 1,
      aux_sym_tuple_type_repeat1,
  [399430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9438), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [399443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9456), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9458), 1,
      anon_sym_RPAREN,
    STATE(10255), 1,
      aux_sym_tuple_type_repeat1,
  [399469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9460), 1,
      anon_sym_RBRACK,
    STATE(10339), 1,
      aux_sym_tuple_type_repeat1,
  [399482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym_RPAREN,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(10552), 1,
      aux_sym_parameters_repeat1,
  [399495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9462), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9464), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [399521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(9466), 1,
      anon_sym_RPAREN,
    STATE(10901), 1,
      aux_sym_case_class_pattern_repeat1,
  [399534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9468), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8537), 1,
      anon_sym_RPAREN,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(10297), 1,
      aux_sym_parameters_repeat1,
  [399560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9470), 1,
      anon_sym_RBRACK,
    STATE(10346), 1,
      aux_sym_tuple_type_repeat1,
  [399573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9472), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9474), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9476), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [399612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9478), 1,
      anon_sym_RBRACK,
    STATE(10157), 1,
      aux_sym_type_parameters_repeat1,
  [399625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9480), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      sym_identifier,
    ACTIONS(6382), 2,
      anon_sym_val,
      anon_sym_var,
  [399649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9482), 1,
      anon_sym_RBRACK,
    STATE(10353), 1,
      aux_sym_tuple_type_repeat1,
  [399662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5984), 1,
      anon_sym_RPAREN,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(10774), 1,
      aux_sym_class_parameters_repeat1,
  [399675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9484), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9486), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [399701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9488), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [399714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9490), 1,
      anon_sym_RBRACK,
    STATE(10309), 1,
      aux_sym_tuple_type_repeat1,
  [399727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9492), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9494), 1,
      anon_sym_RBRACK,
    STATE(10360), 1,
      aux_sym_tuple_type_repeat1,
  [399753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9496), 1,
      anon_sym_RPAREN,
    STATE(10521), 1,
      aux_sym_tuple_type_repeat1,
  [399766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9498), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9500), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [399792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9502), 1,
      anon_sym_RPAREN,
    STATE(10399), 1,
      aux_sym_parameters_repeat1,
  [399805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 1,
      anon_sym_RPAREN,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(10310), 1,
      aux_sym_class_parameters_repeat1,
  [399818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9504), 1,
      anon_sym_RBRACK,
    STATE(10313), 1,
      aux_sym_type_parameters_repeat1,
  [399831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9506), 1,
      anon_sym_RBRACK,
    STATE(10367), 1,
      aux_sym_tuple_type_repeat1,
  [399844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9502), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [399857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9508), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9510), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [399883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9512), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [399896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9514), 1,
      anon_sym_RBRACK,
    STATE(10514), 1,
      aux_sym_tuple_type_repeat1,
  [399909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9516), 1,
      anon_sym_RBRACK,
    STATE(10373), 1,
      aux_sym_tuple_type_repeat1,
  [399922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9518), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [399935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9520), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [399948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9522), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [399961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9524), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [399974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9524), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [399987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9526), 1,
      anon_sym_RBRACK,
    STATE(10379), 1,
      aux_sym_tuple_type_repeat1,
  [400000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9528), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9530), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9532), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9534), 1,
      sym_identifier,
    STATE(6197), 1,
      sym_stable_identifier,
    STATE(6256), 1,
      sym__import_expression,
  [400052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9536), 1,
      sym_identifier,
    STATE(2381), 1,
      sym__import_expression,
    STATE(2780), 1,
      sym_stable_identifier,
  [400065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9538), 1,
      anon_sym_RBRACK,
    STATE(10385), 1,
      aux_sym_tuple_type_repeat1,
  [400078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9540), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [400091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9542), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9544), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9546), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [400130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(9548), 1,
      anon_sym_RBRACE,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [400143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9550), 1,
      anon_sym_RBRACK,
    STATE(10391), 1,
      aux_sym_tuple_type_repeat1,
  [400156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(9552), 1,
      anon_sym_RBRACE,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [400169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9554), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9556), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9558), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9560), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9562), 1,
      anon_sym_RBRACK,
    STATE(10397), 1,
      aux_sym_tuple_type_repeat1,
  [400234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9564), 1,
      anon_sym_RPAREN,
    STATE(10349), 1,
      aux_sym_tuple_type_repeat1,
  [400247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9566), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9568), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9570), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [400286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9572), 1,
      anon_sym_RPAREN,
    STATE(10357), 1,
      aux_sym_tuple_type_repeat1,
  [400299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9574), 1,
      anon_sym_RBRACK,
    STATE(10403), 1,
      aux_sym_tuple_type_repeat1,
  [400312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9576), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9578), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9580), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9582), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      sym_identifier,
    STATE(9672), 1,
      sym_stable_identifier,
    STATE(9714), 1,
      sym__import_expression,
  [400377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9584), 1,
      anon_sym_RBRACK,
    STATE(10409), 1,
      aux_sym_tuple_type_repeat1,
  [400390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9586), 1,
      anon_sym_RBRACK,
    STATE(10405), 1,
      aux_sym_tuple_type_repeat1,
  [400403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9588), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9590), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9592), 1,
      anon_sym_RPAREN,
    STATE(10293), 1,
      aux_sym_tuple_type_repeat1,
  [400442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9116), 1,
      sym_identifier,
    STATE(4996), 1,
      sym_stable_identifier,
    STATE(6587), 1,
      sym__import_expression,
  [400455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9594), 1,
      anon_sym_RBRACK,
    STATE(10415), 1,
      aux_sym_tuple_type_repeat1,
  [400468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9596), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9598), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9600), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9602), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [400520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9604), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [400533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9606), 1,
      anon_sym_RBRACK,
    STATE(10421), 1,
      aux_sym_tuple_type_repeat1,
  [400546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9602), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [400559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9608), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9610), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9612), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9604), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [400611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9614), 1,
      anon_sym_RBRACK,
    STATE(10427), 1,
      aux_sym_tuple_type_repeat1,
  [400624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9616), 1,
      anon_sym_RPAREN,
    STATE(10496), 1,
      aux_sym_tuple_type_repeat1,
  [400637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9618), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9620), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9622), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(9624), 1,
      anon_sym_RPAREN,
    STATE(10901), 1,
      aux_sym_case_class_pattern_repeat1,
  [400689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9626), 1,
      anon_sym_RBRACK,
    STATE(10433), 1,
      aux_sym_tuple_type_repeat1,
  [400702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(9628), 1,
      anon_sym_RPAREN,
    STATE(10901), 1,
      aux_sym_case_class_pattern_repeat1,
  [400715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9630), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9632), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9636), 1,
      anon_sym_EQ,
    ACTIONS(9634), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [400752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9638), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [400765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9640), 1,
      anon_sym_RBRACK,
    STATE(10439), 1,
      aux_sym_tuple_type_repeat1,
  [400778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9642), 1,
      anon_sym_RPAREN,
    STATE(10423), 1,
      aux_sym_tuple_type_repeat1,
  [400791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9644), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9646), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9648), 1,
      anon_sym_RBRACK,
    STATE(10583), 1,
      aux_sym_type_parameters_repeat1,
  [400830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9650), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9652), 1,
      anon_sym_RBRACK,
    STATE(10445), 1,
      aux_sym_tuple_type_repeat1,
  [400856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9654), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9656), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9658), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9660), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9662), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9664), 1,
      anon_sym_RBRACK,
    STATE(10451), 1,
      aux_sym_tuple_type_repeat1,
  [400934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9666), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9668), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [400960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9670), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [400973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9672), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [400986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9674), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [400999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9676), 1,
      anon_sym_RBRACK,
    STATE(10457), 1,
      aux_sym_tuple_type_repeat1,
  [401012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9678), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9680), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9682), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [401051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9638), 1,
      anon_sym_RPAREN,
    STATE(10384), 1,
      aux_sym_parameters_repeat1,
  [401064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(9684), 1,
      anon_sym_RBRACE,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [401077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9686), 1,
      anon_sym_RBRACK,
    STATE(10463), 1,
      aux_sym_tuple_type_repeat1,
  [401090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9688), 1,
      anon_sym_RBRACK,
    STATE(10456), 1,
      aux_sym_tuple_type_repeat1,
  [401103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9690), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9692), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [401129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9694), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [401142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9696), 1,
      anon_sym_RBRACK,
    STATE(10468), 1,
      aux_sym_tuple_type_repeat1,
  [401155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9698), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9700), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9702), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [401194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9704), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9706), 1,
      anon_sym_RBRACK,
    STATE(10473), 1,
      aux_sym_tuple_type_repeat1,
  [401220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9708), 1,
      sym__interpolated_string_end,
    STATE(10553), 1,
      aux_sym_interpolated_string_repeat1,
  [401233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9710), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9712), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [401259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9716), 1,
      anon_sym_EQ,
    ACTIONS(9714), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [401270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9718), 1,
      anon_sym_RBRACK,
    STATE(10478), 1,
      aux_sym_tuple_type_repeat1,
  [401283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9536), 1,
      sym_identifier,
    STATE(2744), 1,
      sym__import_expression,
    STATE(2780), 1,
      sym_stable_identifier,
  [401296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9720), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9722), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [401322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9724), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [401335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9726), 1,
      anon_sym_RBRACK,
    STATE(10483), 1,
      aux_sym_tuple_type_repeat1,
  [401348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9728), 1,
      anon_sym_RBRACK,
    STATE(10593), 1,
      aux_sym_type_parameters_repeat1,
  [401361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9730), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9732), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [401387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9734), 1,
      sym__interpolated_string_end,
    STATE(10570), 1,
      aux_sym_interpolated_string_repeat1,
  [401400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9734), 1,
      sym__interpolated_multiline_string_end,
    STATE(10572), 1,
      aux_sym_interpolated_string_repeat2,
  [401413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9736), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [401426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9738), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      anon_sym_RPAREN,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(10603), 1,
      aux_sym_class_parameters_repeat1,
  [401452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9740), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [401465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9742), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [401478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9708), 1,
      sym__interpolated_multiline_string_end,
    STATE(10567), 1,
      aux_sym_interpolated_string_repeat2,
  [401491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9744), 1,
      anon_sym_RBRACK,
    STATE(10864), 1,
      aux_sym_tuple_type_repeat1,
  [401504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(9746), 1,
      anon_sym_EQ,
    STATE(11828), 1,
      sym_type_parameters,
  [401517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9748), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [401530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9750), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9742), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [401556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9752), 1,
      anon_sym_RPAREN,
    STATE(10470), 1,
      aux_sym_tuple_type_repeat1,
  [401569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9724), 1,
      anon_sym_RPAREN,
    STATE(10387), 1,
      aux_sym_class_parameters_repeat1,
  [401582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6028), 1,
      anon_sym_RPAREN,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(10613), 1,
      aux_sym_class_parameters_repeat1,
  [401595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9754), 1,
      sym_identifier,
    STATE(1969), 1,
      sym__import_expression,
    STATE(2042), 1,
      sym_stable_identifier,
  [401608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      anon_sym_RPAREN,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(10878), 1,
      aux_sym_parameters_repeat1,
  [401621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9756), 1,
      anon_sym_RBRACK,
    STATE(10681), 1,
      aux_sym_type_parameters_repeat1,
  [401634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9758), 1,
      anon_sym_RBRACK,
    STATE(10604), 1,
      aux_sym_tuple_type_repeat1,
  [401647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9760), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [401660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9762), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [401673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9764), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [401686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9766), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [401699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(9768), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [401712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9764), 1,
      anon_sym_RPAREN,
    STATE(10453), 1,
      aux_sym_parameters_repeat1,
  [401725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(9770), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [401738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9772), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [401751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(9774), 1,
      anon_sym_EQ,
    STATE(11749), 1,
      sym_type_parameters,
  [401764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9776), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9778), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9780), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9782), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [401816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9784), 1,
      anon_sym_RBRACK,
    STATE(10515), 1,
      aux_sym_tuple_type_repeat1,
  [401829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8777), 1,
      anon_sym_RBRACE,
    STATE(10579), 1,
      aux_sym_import_selectors_repeat1,
  [401842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(9786), 1,
      anon_sym_EQ,
    STATE(11825), 1,
      sym_type_parameters,
  [401855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9788), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8680), 1,
      anon_sym_RPAREN,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(10609), 1,
      aux_sym_parameters_repeat1,
  [401881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9790), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [401894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9790), 1,
      anon_sym_RPAREN,
    STATE(10454), 1,
      aux_sym_class_parameters_repeat1,
  [401907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9792), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [401920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9794), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9796), 1,
      anon_sym_RPAREN,
    STATE(10585), 1,
      aux_sym_class_parameters_repeat1,
  [401946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9798), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [401959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9800), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [401972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8794), 1,
      anon_sym_RBRACE,
    STATE(10460), 1,
      aux_sym_import_selectors_repeat1,
  [401985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9802), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [401998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8549), 1,
      anon_sym_RPAREN,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(10631), 1,
      aux_sym_parameters_repeat1,
  [402011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9804), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [402024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8798), 1,
      anon_sym_RBRACE,
    STATE(10388), 1,
      aux_sym_import_selectors_repeat1,
  [402037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9806), 1,
      sym__interpolated_multiline_string_end,
    STATE(10491), 1,
      aux_sym_interpolated_string_repeat2,
  [402050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(9808), 1,
      anon_sym_RPAREN,
    STATE(10901), 1,
      aux_sym_case_class_pattern_repeat1,
  [402063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9806), 1,
      sym__interpolated_string_end,
    STATE(10497), 1,
      aux_sym_interpolated_string_repeat1,
  [402076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9796), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [402089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9810), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [402102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9812), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [402115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8551), 1,
      anon_sym_RPAREN,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(10507), 1,
      aux_sym_parameters_repeat1,
  [402128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9814), 1,
      anon_sym_RPAREN,
    STATE(10526), 1,
      aux_sym_tuple_type_repeat1,
  [402141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9816), 1,
      sym__interpolated_string_end,
    STATE(10668), 1,
      aux_sym_interpolated_string_repeat1,
  [402154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9818), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [402167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8992), 1,
      anon_sym_EQ,
    ACTIONS(8990), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [402178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9820), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [402191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9822), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [402204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9824), 1,
      sym__interpolated_string_end,
    STATE(10623), 1,
      aux_sym_interpolated_string_repeat1,
  [402217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9816), 1,
      sym__interpolated_multiline_string_end,
    STATE(10673), 1,
      aux_sym_interpolated_string_repeat2,
  [402230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9826), 1,
      anon_sym_RPAREN,
    STATE(10586), 1,
      aux_sym_parameters_repeat1,
  [402243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9828), 1,
      anon_sym_RBRACK,
    STATE(10547), 1,
      aux_sym_tuple_type_repeat1,
  [402256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9826), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [402269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9830), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [402282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9832), 1,
      anon_sym_RBRACK,
    STATE(10516), 1,
      aux_sym_tuple_type_repeat1,
  [402295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9824), 1,
      sym__interpolated_multiline_string_end,
    STATE(10624), 1,
      aux_sym_interpolated_string_repeat2,
  [402308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9834), 1,
      anon_sym_RPAREN,
    STATE(10342), 1,
      aux_sym_tuple_type_repeat1,
  [402321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9836), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [402334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9838), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [402347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9132), 1,
      sym__interpolated_multiline_string_end,
    STATE(10417), 1,
      aux_sym_interpolated_string_repeat2,
  [402360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(9840), 1,
      anon_sym_RPAREN,
    STATE(10901), 1,
      aux_sym_case_class_pattern_repeat1,
  [402373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9842), 1,
      anon_sym_RPAREN,
    STATE(10686), 1,
      aux_sym_tuple_type_repeat1,
  [402386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 1,
      anon_sym_RPAREN,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(10523), 1,
      aux_sym_class_parameters_repeat1,
  [402399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(9844), 1,
      anon_sym_RPAREN,
    STATE(10901), 1,
      aux_sym_case_class_pattern_repeat1,
  [402412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8868), 1,
      anon_sym_RBRACE,
    STATE(10713), 1,
      aux_sym_import_selectors_repeat1,
  [402425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9846), 1,
      anon_sym_RBRACK,
    STATE(10528), 1,
      aux_sym_type_parameters_repeat1,
  [402438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9848), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [402451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9830), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [402464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9850), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [402477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9852), 1,
      sym__interpolated_multiline_string_end,
    STATE(10418), 1,
      aux_sym_interpolated_string_repeat2,
  [402490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9854), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [402503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9852), 1,
      sym__interpolated_string_end,
    STATE(10424), 1,
      aux_sym_interpolated_string_repeat1,
  [402516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9854), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [402529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9858), 1,
      anon_sym_EQ,
    ACTIONS(9856), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [402540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9762), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [402553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(9860), 1,
      anon_sym_EQ,
    STATE(11788), 1,
      sym_type_parameters,
  [402566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9862), 1,
      anon_sym_RBRACK,
    STATE(10684), 1,
      aux_sym_tuple_type_repeat1,
  [402579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9864), 1,
      anon_sym_RPAREN,
    STATE(10680), 1,
      aux_sym_tuple_type_repeat1,
  [402592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8779), 1,
      anon_sym_RBRACE,
    STATE(10636), 1,
      aux_sym_import_selectors_repeat1,
  [402605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(9866), 1,
      anon_sym_RBRACE,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [402618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9868), 1,
      sym__interpolated_string_end,
    STATE(10726), 1,
      aux_sym_interpolated_string_repeat1,
  [402631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9870), 1,
      anon_sym_RPAREN,
    STATE(10558), 1,
      aux_sym_tuple_type_repeat1,
  [402644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9812), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [402657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9872), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [402670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9874), 1,
      anon_sym_RPAREN,
    STATE(10661), 1,
      aux_sym_tuple_type_repeat1,
  [402683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9876), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [402696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9878), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [402709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9880), 1,
      sym_identifier,
    ACTIONS(9882), 1,
      anon_sym_LBRACE,
    STATE(11166), 1,
      sym_block,
  [402722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9884), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [402735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9889), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [402748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(9891), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [402761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9868), 1,
      sym__interpolated_multiline_string_end,
    STATE(10727), 1,
      aux_sym_interpolated_string_repeat2,
  [402774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(9893), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [402787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9895), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [402800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(9897), 1,
      anon_sym_EQ,
    STATE(11783), 1,
      sym_type_parameters,
  [402813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8962), 1,
      anon_sym_RBRACE,
    ACTIONS(9899), 1,
      anon_sym_COMMA,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [402826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9902), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [402839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9904), 1,
      anon_sym_RPAREN,
    STATE(10557), 1,
      aux_sym_tuple_type_repeat1,
  [402852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9906), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [402865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9908), 1,
      anon_sym_RPAREN,
    STATE(10719), 1,
      aux_sym_class_parameters_repeat1,
  [402878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(7750), 1,
      sym__import_expression,
    STATE(7857), 1,
      sym_stable_identifier,
  [402891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(9910), 1,
      anon_sym_EQ,
    STATE(11776), 1,
      sym_type_parameters,
  [402904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9912), 1,
      anon_sym_RPAREN,
    STATE(10647), 1,
      aux_sym_class_parameters_repeat1,
  [402917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9912), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [402930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9914), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [402943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9916), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [402956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9918), 1,
      anon_sym_RBRACK,
    STATE(10488), 1,
      aux_sym_tuple_type_repeat1,
  [402969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9920), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [402982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9534), 1,
      sym_identifier,
    STATE(5665), 1,
      sym__import_expression,
    STATE(6197), 1,
      sym_stable_identifier,
  [402995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9922), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [403008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9924), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [403021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9926), 1,
      anon_sym_RBRACK,
    STATE(10598), 1,
      aux_sym_tuple_type_repeat1,
  [403034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      sym_identifier,
    STATE(2067), 1,
      sym__import_expression,
    STATE(2242), 1,
      sym_stable_identifier,
  [403047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9908), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [403060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9930), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9933), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [403073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9935), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [403086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9937), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [403099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9939), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [403112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      anon_sym_COMMA,
    ACTIONS(9943), 1,
      anon_sym_RPAREN,
    STATE(10850), 1,
      aux_sym_parameter_types_repeat1,
  [403125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9945), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [403138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9947), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [403151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(9949), 1,
      anon_sym_RBRACE,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [403164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9951), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [403177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9953), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [403190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9953), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [403203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9228), 1,
      sym_identifier,
    STATE(6049), 1,
      sym__import_expression,
    STATE(6591), 1,
      sym_stable_identifier,
  [403216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9955), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [403229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9334), 1,
      sym_identifier,
    STATE(4602), 1,
      sym_stable_identifier,
    STATE(4768), 1,
      sym__import_expression,
  [403242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_EQ,
    STATE(11752), 1,
      sym_type_parameters,
  [403255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9959), 1,
      anon_sym_RPAREN,
    STATE(10753), 1,
      aux_sym_parameters_repeat1,
  [403268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(9955), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [403281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9959), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [403294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(9961), 1,
      anon_sym_RPAREN,
    STATE(10901), 1,
      aux_sym_case_class_pattern_repeat1,
  [403307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9963), 1,
      sym__interpolated_string_middle,
    ACTIONS(9966), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [403320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9968), 1,
      sym_identifier,
    ACTIONS(9970), 1,
      anon_sym_LBRACE,
    STATE(11151), 1,
      sym_block,
  [403333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9972), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [403346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(9974), 1,
      anon_sym_RBRACE,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [403359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9976), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [403372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9978), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [403385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(9980), 1,
      anon_sym_RBRACK,
    STATE(10724), 1,
      aux_sym_type_parameters_repeat1,
  [403398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9978), 1,
      anon_sym_RPAREN,
    STATE(10619), 1,
      aux_sym_parameters_repeat1,
  [403411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(9982), 1,
      anon_sym_EQ,
    STATE(11584), 1,
      sym_type_parameters,
  [403424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(9984), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [403437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(9986), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [403450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(9988), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [403463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9990), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [403476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(9992), 1,
      anon_sym_EQ,
    STATE(11722), 1,
      sym_type_parameters,
  [403489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9994), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [403502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9996), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [403515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(9998), 1,
      anon_sym_RPAREN,
    STATE(10617), 1,
      aux_sym_tuple_type_repeat1,
  [403528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8662), 1,
      anon_sym_RPAREN,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(10436), 1,
      aux_sym_parameters_repeat1,
  [403541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(10000), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [403554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10002), 1,
      anon_sym_EQ,
    STATE(11746), 1,
      sym_type_parameters,
  [403567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10004), 1,
      anon_sym_COMMA,
    ACTIONS(10007), 1,
      anon_sym_RPAREN,
    STATE(10653), 1,
      aux_sym_bindings_repeat1,
  [403580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(9996), 1,
      anon_sym_RPAREN,
    STATE(10620), 1,
      aux_sym_class_parameters_repeat1,
  [403593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10009), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [403606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8826), 1,
      anon_sym_RBRACE,
    STATE(10621), 1,
      aux_sym_import_selectors_repeat1,
  [403619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10011), 1,
      anon_sym_RPAREN,
    STATE(10705), 1,
      aux_sym_tuple_type_repeat1,
  [403632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10013), 1,
      anon_sym_COMMA,
    ACTIONS(10015), 1,
      anon_sym_RPAREN,
    STATE(10942), 1,
      aux_sym_bindings_repeat1,
  [403645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(9922), 1,
      anon_sym_RPAREN,
    STATE(10651), 1,
      aux_sym_parameters_repeat1,
  [403658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10017), 1,
      anon_sym_EQ,
    STATE(11732), 1,
      sym_type_parameters,
  [403671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10019), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [403684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10021), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [403697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10023), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [403710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10025), 1,
      sym__interpolated_string_end,
    STATE(10930), 1,
      aux_sym_interpolated_string_repeat1,
  [403723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9754), 1,
      sym_identifier,
    STATE(1787), 1,
      sym__import_expression,
    STATE(2042), 1,
      sym_stable_identifier,
  [403736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10027), 1,
      anon_sym_RBRACK,
    STATE(10663), 1,
      aux_sym_tuple_type_repeat1,
  [403749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10029), 1,
      sym__interpolated_multiline_string_end,
    STATE(10626), 1,
      aux_sym_interpolated_string_repeat2,
  [403762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10031), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [403775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10025), 1,
      sym__interpolated_multiline_string_end,
    STATE(10915), 1,
      aux_sym_interpolated_string_repeat2,
  [403788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10029), 1,
      sym__interpolated_string_end,
    STATE(10630), 1,
      aux_sym_interpolated_string_repeat1,
  [403801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10033), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [403814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10035), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [403827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10031), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [403840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10037), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [403853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10041), 1,
      anon_sym_COLON,
    ACTIONS(10039), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [403864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10043), 1,
      anon_sym_EQ,
    STATE(11729), 1,
      sym_type_parameters,
  [403877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(10045), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [403888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8575), 1,
      anon_sym_RPAREN,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(10638), 1,
      aux_sym_parameters_repeat1,
  [403901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10047), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [403914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10049), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [403927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10051), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [403940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10053), 1,
      anon_sym_EQ,
    STATE(11720), 1,
      sym_type_parameters,
  [403953] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10055), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [403966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10057), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [403979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10059), 1,
      anon_sym_RBRACK,
    STATE(10467), 1,
      aux_sym_tuple_type_repeat1,
  [403992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10061), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [404005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10063), 1,
      anon_sym_RPAREN,
    STATE(10906), 1,
      aux_sym_tuple_type_repeat1,
  [404018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10065), 1,
      anon_sym_RBRACK,
    STATE(10645), 1,
      aux_sym_tuple_type_repeat1,
  [404031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_RBRACE,
    STATE(10842), 1,
      aux_sym_import_selectors_repeat1,
  [404044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10067), 1,
      anon_sym_EQ,
    STATE(11707), 1,
      sym_type_parameters,
  [404057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 1,
      anon_sym_RPAREN,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(10648), 1,
      aux_sym_class_parameters_repeat1,
  [404070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10069), 1,
      anon_sym_RPAREN,
    STATE(10754), 1,
      aux_sym_tuple_type_repeat1,
  [404083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10071), 1,
      anon_sym_RBRACK,
    STATE(10495), 1,
      aux_sym_type_parameters_repeat1,
  [404096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10073), 1,
      anon_sym_COMMA,
    ACTIONS(10076), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [404109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10078), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [404122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10080), 1,
      anon_sym_RBRACK,
    STATE(10791), 1,
      aux_sym_type_parameters_repeat1,
  [404135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(10082), 1,
      anon_sym_RPAREN,
    STATE(10782), 1,
      aux_sym_parameters_repeat1,
  [404148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5975), 1,
      anon_sym_RPAREN,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(10808), 1,
      aux_sym_class_parameters_repeat1,
  [404161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10084), 1,
      anon_sym_RBRACK,
    STATE(10655), 1,
      aux_sym_type_parameters_repeat1,
  [404174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10086), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [404187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10088), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [404200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10090), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [404213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10092), 1,
      anon_sym_EQ,
    STATE(11702), 1,
      sym_type_parameters,
  [404226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5996), 1,
      anon_sym_RPAREN,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(10480), 1,
      aux_sym_class_parameters_repeat1,
  [404239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10094), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [404252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10096), 1,
      anon_sym_RBRACK,
    STATE(10725), 1,
      aux_sym_tuple_type_repeat1,
  [404265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10098), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [404278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10100), 1,
      anon_sym_RBRACK,
    STATE(10916), 1,
      aux_sym_tuple_type_repeat1,
  [404291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10102), 1,
      anon_sym_EQ,
    STATE(11698), 1,
      sym_type_parameters,
  [404304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10104), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [404317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10106), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [404330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10108), 1,
      anon_sym_RBRACK,
    STATE(10710), 1,
      aux_sym_tuple_type_repeat1,
  [404343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(10110), 1,
      anon_sym_RBRACE,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [404356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8559), 1,
      anon_sym_RPAREN,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(10830), 1,
      aux_sym_parameters_repeat1,
  [404369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10112), 1,
      anon_sym_RBRACK,
    STATE(10671), 1,
      aux_sym_tuple_type_repeat1,
  [404382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(10114), 1,
      anon_sym_RPAREN,
    STATE(10901), 1,
      aux_sym_case_class_pattern_repeat1,
  [404395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10116), 1,
      anon_sym_EQ,
    STATE(11686), 1,
      sym_type_parameters,
  [404408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10118), 1,
      anon_sym_RBRACK,
    STATE(10517), 1,
      aux_sym_type_parameters_repeat1,
  [404421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(10120), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [404434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(9172), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [404447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8946), 1,
      anon_sym_EQ,
    ACTIONS(8944), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [404458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10122), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [404471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10124), 1,
      sym__interpolated_multiline_string_end,
    STATE(10540), 1,
      aux_sym_interpolated_string_repeat2,
  [404484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10126), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [404497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10128), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [404510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10130), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [404523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10130), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [404536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10132), 1,
      sym__interpolated_string_end,
    STATE(10881), 1,
      aux_sym_interpolated_string_repeat1,
  [404549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10134), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [404562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10136), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [404575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10138), 1,
      anon_sym_EQ,
    STATE(11682), 1,
      sym_type_parameters,
  [404588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(10140), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [404601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10142), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [404614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10144), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [404627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10132), 1,
      sym__interpolated_multiline_string_end,
    STATE(10883), 1,
      aux_sym_interpolated_string_repeat2,
  [404640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6887), 1,
      anon_sym_RPAREN,
    ACTIONS(10146), 1,
      anon_sym_COMMA,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [404653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10149), 1,
      anon_sym_EQ,
    STATE(11679), 1,
      sym_type_parameters,
  [404666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10151), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [404679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(10153), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [404690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10155), 1,
      anon_sym_RPAREN,
    STATE(10722), 1,
      aux_sym_tuple_type_repeat1,
  [404703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10157), 1,
      anon_sym_RPAREN,
    STATE(10568), 1,
      aux_sym_tuple_type_repeat1,
  [404716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10159), 1,
      anon_sym_RBRACK,
    STATE(10815), 1,
      aux_sym_type_parameters_repeat1,
  [404729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 1,
      anon_sym_RPAREN,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(10844), 1,
      aux_sym_class_parameters_repeat1,
  [404742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10153), 1,
      anon_sym_RPAREN,
    ACTIONS(10161), 1,
      anon_sym_COMMA,
    STATE(10744), 1,
      aux_sym_parameter_types_repeat1,
  [404755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10164), 1,
      anon_sym_EQ,
    STATE(11669), 1,
      sym_type_parameters,
  [404768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10124), 1,
      sym__interpolated_string_end,
    STATE(10582), 1,
      aux_sym_interpolated_string_repeat1,
  [404781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9278), 1,
      sym_identifier,
    STATE(7318), 1,
      sym__import_expression,
    STATE(8456), 1,
      sym_stable_identifier,
  [404794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10166), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_tuple_type_repeat1,
  [404807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10106), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [404820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10168), 1,
      anon_sym_RPAREN,
    STATE(10805), 1,
      aux_sym_tuple_type_repeat1,
  [404833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10170), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [404846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8697), 1,
      anon_sym_STAR,
    ACTIONS(10172), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [404857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(10175), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [404870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10177), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [404883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(10179), 1,
      anon_sym_RPAREN,
    STATE(10773), 1,
      aux_sym_class_parameters_repeat1,
  [404896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10181), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [404909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10183), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [404922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10185), 1,
      anon_sym_EQ,
    STATE(11667), 1,
      sym_type_parameters,
  [404935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10187), 1,
      anon_sym_COMMA,
    ACTIONS(10190), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [404948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10192), 1,
      anon_sym_RBRACK,
    STATE(10846), 1,
      aux_sym_tuple_type_repeat1,
  [404961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10194), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      aux_sym_tuple_type_repeat1,
  [404974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10196), 1,
      anon_sym_RBRACK,
    STATE(10695), 1,
      aux_sym_tuple_type_repeat1,
  [404987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      anon_sym_EQ,
    ACTIONS(10198), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [404998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10202), 1,
      anon_sym_EQ,
    STATE(11662), 1,
      sym_type_parameters,
  [405011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10204), 1,
      anon_sym_RBRACK,
    STATE(10799), 1,
      aux_sym_type_parameters_repeat1,
  [405024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8670), 1,
      anon_sym_RPAREN,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(10861), 1,
      aux_sym_parameters_repeat1,
  [405037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8839), 1,
      anon_sym_RBRACE,
    STATE(10920), 1,
      aux_sym_import_selectors_repeat1,
  [405050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10206), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [405063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10208), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [405076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10210), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [405089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10212), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [405102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10214), 1,
      anon_sym_EQ,
    STATE(11655), 1,
      sym_type_parameters,
  [405115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(10216), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [405128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(10179), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [405141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10218), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [405154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10220), 1,
      sym_identifier,
    STATE(5626), 1,
      sym_stable_identifier,
    STATE(7025), 1,
      sym__import_expression,
  [405167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10222), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [405180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10224), 1,
      anon_sym_COMMA,
    ACTIONS(10227), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [405193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10229), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [405206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9116), 1,
      sym_identifier,
    STATE(4945), 1,
      sym__import_expression,
    STATE(4996), 1,
      sym_stable_identifier,
  [405219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10231), 1,
      anon_sym_RBRACK,
    STATE(10683), 1,
      aux_sym_type_parameters_repeat1,
  [405232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(10233), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [405245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10220), 1,
      sym_identifier,
    STATE(5593), 1,
      sym__import_expression,
    STATE(5626), 1,
      sym_stable_identifier,
  [405258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10235), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [405271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10237), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [405284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10239), 1,
      anon_sym_EQ,
    STATE(11654), 1,
      sym_type_parameters,
  [405297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      sym_identifier,
    STATE(2242), 1,
      sym_stable_identifier,
    STATE(2273), 1,
      sym__import_expression,
  [405310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(10241), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [405323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10243), 1,
      anon_sym_RBRACK,
    STATE(10810), 1,
      aux_sym_tuple_type_repeat1,
  [405336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9312), 1,
      sym_identifier,
    STATE(1683), 1,
      sym__import_expression,
    STATE(1831), 1,
      sym_stable_identifier,
  [405349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10245), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [405362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10247), 1,
      anon_sym_EQ,
    STATE(11651), 1,
      sym_type_parameters,
  [405375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(10249), 1,
      anon_sym_RPAREN,
    STATE(10927), 1,
      aux_sym_class_parameters_repeat1,
  [405388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(10251), 1,
      anon_sym_RBRACE,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [405401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10253), 1,
      sym__interpolated_string_end,
    STATE(10873), 1,
      aux_sym_interpolated_string_repeat1,
  [405414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10255), 1,
      sym_identifier,
    ACTIONS(10257), 2,
      anon_sym_val,
      anon_sym_var,
  [405425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3818), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [405434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10253), 1,
      sym__interpolated_multiline_string_end,
    STATE(10885), 1,
      aux_sym_interpolated_string_repeat2,
  [405447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10259), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [405460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10261), 1,
      anon_sym_EQ,
    STATE(11642), 1,
      sym_type_parameters,
  [405473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10263), 1,
      anon_sym_RBRACK,
    STATE(10918), 1,
      aux_sym_type_parameters_repeat1,
  [405486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10265), 1,
      anon_sym_RPAREN,
    STATE(10775), 1,
      aux_sym_tuple_type_repeat1,
  [405499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10267), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [405508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8820), 1,
      anon_sym_RBRACE,
    STATE(10900), 1,
      aux_sym_import_selectors_repeat1,
  [405521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10269), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [405534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10271), 1,
      sym__interpolated_multiline_string_end,
    STATE(10711), 1,
      aux_sym_interpolated_string_repeat2,
  [405547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10273), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [405560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(10249), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [405573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10273), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [405586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10275), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [405599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10277), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [405612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10279), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [405625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10281), 1,
      anon_sym_EQ,
    STATE(11641), 1,
      sym_type_parameters,
  [405638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10283), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [405651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10285), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [405664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10287), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [405677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10289), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [405690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3814), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [405699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10291), 1,
      anon_sym_EQ,
    STATE(11639), 1,
      sym_type_parameters,
  [405712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10293), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [405725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(10082), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [405738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10295), 1,
      anon_sym_RPAREN,
    STATE(10679), 1,
      aux_sym_tuple_type_repeat1,
  [405751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10297), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [405764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10299), 1,
      anon_sym_RBRACK,
    STATE(10771), 1,
      aux_sym_type_parameters_repeat1,
  [405777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10301), 1,
      anon_sym_RPAREN,
    STATE(10889), 1,
      aux_sym_tuple_type_repeat1,
  [405790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(10303), 1,
      anon_sym_RPAREN,
    STATE(10928), 1,
      aux_sym_parameters_repeat1,
  [405803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10305), 1,
      anon_sym_EQ,
    STATE(11634), 1,
      sym_type_parameters,
  [405816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10307), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [405829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10309), 1,
      anon_sym_RBRACK,
    STATE(10817), 1,
      aux_sym_tuple_type_repeat1,
  [405842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(10303), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [405855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10311), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [405868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10313), 1,
      anon_sym_RBRACK,
    STATE(10888), 1,
      aux_sym_type_parameters_repeat1,
  [405881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10315), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [405894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(10317), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [405907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10271), 1,
      sym__interpolated_string_end,
    STATE(10749), 1,
      aux_sym_interpolated_string_repeat1,
  [405920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(10319), 1,
      anon_sym_RPAREN,
    STATE(10907), 1,
      aux_sym_class_parameters_repeat1,
  [405933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(10317), 1,
      anon_sym_RPAREN,
    STATE(10788), 1,
      aux_sym_class_parameters_repeat1,
  [405946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10321), 1,
      anon_sym_RBRACK,
    STATE(10931), 1,
      aux_sym_tuple_type_repeat1,
  [405959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10323), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [405972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10325), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [405985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10327), 1,
      anon_sym_EQ,
    STATE(11633), 1,
      sym_type_parameters,
  [405998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(10329), 1,
      anon_sym_RBRACE,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [406011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10331), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [406024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(10319), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [406037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10333), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [406050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10335), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [406063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10337), 1,
      anon_sym_EQ,
    STATE(11628), 1,
      sym_type_parameters,
  [406076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(8856), 1,
      anon_sym_RBRACE,
    STATE(10794), 1,
      aux_sym_import_selectors_repeat1,
  [406089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10339), 1,
      anon_sym_RBRACK,
    STATE(10903), 1,
      aux_sym_tuple_type_repeat1,
  [406102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      anon_sym_COMMA,
    ACTIONS(10341), 1,
      anon_sym_RPAREN,
    STATE(10744), 1,
      aux_sym_parameter_types_repeat1,
  [406115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10343), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [406128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8879), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [406137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(10345), 1,
      anon_sym_RPAREN,
    STATE(10914), 1,
      aux_sym_parameters_repeat1,
  [406150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(10347), 1,
      anon_sym_RPAREN,
    STATE(10901), 1,
      aux_sym_case_class_pattern_repeat1,
  [406163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10349), 1,
      anon_sym_EQ,
    STATE(11614), 1,
      sym_type_parameters,
  [406176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10351), 1,
      sym__interpolated_multiline_string_end,
    STATE(10807), 1,
      aux_sym_interpolated_string_repeat2,
  [406189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(10353), 1,
      anon_sym_RPAREN,
    STATE(10901), 1,
      aux_sym_case_class_pattern_repeat1,
  [406202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10355), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [406215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10351), 1,
      sym__interpolated_string_end,
    STATE(10809), 1,
      aux_sym_interpolated_string_repeat1,
  [406228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10357), 1,
      anon_sym_RPAREN,
    STATE(10833), 1,
      aux_sym_tuple_type_repeat1,
  [406241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(10345), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [406254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10359), 1,
      anon_sym_RPAREN,
    STATE(10925), 1,
      aux_sym_tuple_type_repeat1,
  [406267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10361), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [406280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10363), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [406293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10365), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [406306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10367), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [406319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10369), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [406332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_EQ,
    STATE(11612), 1,
      sym_type_parameters,
  [406345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7449), 1,
      anon_sym__,
    ACTIONS(10373), 1,
      sym_identifier,
    STATE(11114), 1,
      sym_wildcard,
  [406358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(10375), 1,
      anon_sym_RPAREN,
    STATE(10732), 1,
      aux_sym_parameters_repeat1,
  [406371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10377), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [406384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10379), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [406397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10381), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [406410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10383), 1,
      anon_sym_EQ,
    STATE(11610), 1,
      sym_type_parameters,
  [406423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10385), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [406436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8633), 1,
      anon_sym_RPAREN,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(10821), 1,
      aux_sym_parameters_repeat1,
  [406449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10387), 1,
      sym__interpolated_string_end,
    STATE(10926), 1,
      aux_sym_interpolated_string_repeat1,
  [406462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(10375), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [406475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10389), 1,
      anon_sym_RBRACK,
    STATE(10770), 1,
      aux_sym_tuple_type_repeat1,
  [406488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10387), 1,
      sym__interpolated_multiline_string_end,
    STATE(10941), 1,
      aux_sym_interpolated_string_repeat2,
  [406501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10391), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [406514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10393), 1,
      anon_sym_EQ,
    STATE(11603), 1,
      sym_type_parameters,
  [406527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10391), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [406540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10395), 1,
      anon_sym_RBRACK,
    STATE(10872), 1,
      aux_sym_tuple_type_repeat1,
  [406553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10381), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [406566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10397), 1,
      anon_sym_RBRACK,
    STATE(10831), 1,
      aux_sym_tuple_type_repeat1,
  [406579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10399), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [406592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10401), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [406605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10403), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [406618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10405), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [406631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10407), 1,
      sym__interpolated_string_end,
    STATE(10893), 1,
      aux_sym_interpolated_string_repeat1,
  [406644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10409), 1,
      anon_sym_RBRACK,
    STATE(10875), 1,
      aux_sym_type_parameters_repeat1,
  [406657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10399), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [406670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10411), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [406683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10413), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [406696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10415), 1,
      anon_sym_EQ,
    STATE(11601), 1,
      sym_type_parameters,
  [406709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10417), 1,
      anon_sym_RPAREN,
    STATE(10777), 1,
      aux_sym_tuple_type_repeat1,
  [406722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5825), 1,
      anon_sym_RPAREN,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(10834), 1,
      aux_sym_class_parameters_repeat1,
  [406735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10407), 1,
      sym__interpolated_multiline_string_end,
    STATE(10887), 1,
      aux_sym_interpolated_string_repeat2,
  [406748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(10419), 1,
      anon_sym_RBRACE,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [406761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8019), 1,
      anon_sym_RPAREN,
    ACTIONS(10421), 1,
      anon_sym_COMMA,
    STATE(10901), 1,
      aux_sym_case_class_pattern_repeat1,
  [406774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10424), 1,
      anon_sym_EQ,
    STATE(11596), 1,
      sym_type_parameters,
  [406787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10426), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [406800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10428), 1,
      anon_sym_RBRACK,
    STATE(10843), 1,
      aux_sym_type_parameters_repeat1,
  [406813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10430), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [406826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10432), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [406839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(10434), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [406852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(10436), 1,
      anon_sym_RPAREN,
    STATE(10901), 1,
      aux_sym_case_class_pattern_repeat1,
  [406865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10438), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [406878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10440), 1,
      anon_sym_EQ,
    STATE(11586), 1,
      sym_type_parameters,
  [406891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10442), 1,
      sym_identifier,
    STATE(6637), 1,
      sym__import_expression,
    STATE(7191), 1,
      sym_stable_identifier,
  [406904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10444), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [406917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      anon_sym_COMMA,
    ACTIONS(10446), 1,
      anon_sym_RPAREN,
    STATE(10901), 1,
      aux_sym_case_class_pattern_repeat1,
  [406930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(10448), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [406943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10450), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [406956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10452), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [406969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10454), 1,
      anon_sym_RPAREN,
    STATE(10890), 1,
      aux_sym_tuple_type_repeat1,
  [406982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10456), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [406995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10458), 1,
      anon_sym_RBRACK,
    STATE(10939), 1,
      aux_sym_type_parameters_repeat1,
  [407008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_COMMA,
    ACTIONS(10460), 1,
      anon_sym_RBRACE,
    STATE(10595), 1,
      aux_sym_import_selectors_repeat1,
  [407021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10462), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [407034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_COMMA,
    ACTIONS(10464), 1,
      anon_sym_COLON,
    STATE(10589), 1,
      aux_sym_val_declaration_repeat1,
  [407047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10466), 1,
      anon_sym_EQ,
    STATE(11583), 1,
      sym_type_parameters,
  [407060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10220), 1,
      sym_identifier,
    STATE(4882), 1,
      sym__import_expression,
    STATE(5626), 1,
      sym_stable_identifier,
  [407073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10468), 1,
      anon_sym_RPAREN,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [407086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10470), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [407099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    ACTIONS(10472), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_class_parameters_repeat1,
  [407112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    ACTIONS(10474), 1,
      anon_sym_RPAREN,
    STATE(10694), 1,
      aux_sym_parameters_repeat1,
  [407125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_LBRACK,
    ACTIONS(10476), 1,
      anon_sym_EQ,
    STATE(11579), 1,
      sym_type_parameters,
  [407138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      sym__interpolated_string_middle,
    ACTIONS(10450), 1,
      sym__interpolated_string_end,
    STATE(10633), 1,
      aux_sym_interpolated_string_repeat1,
  [407151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10478), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [407164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10480), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [407177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10442), 1,
      sym_identifier,
    STATE(6874), 1,
      sym__import_expression,
    STATE(7191), 1,
      sym_stable_identifier,
  [407190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10482), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [407203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10484), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [407216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_COMMA,
    ACTIONS(10486), 1,
      anon_sym_RPAREN,
    STATE(10736), 1,
      aux_sym_tuple_expression_repeat1,
  [407229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10488), 1,
      anon_sym_RBRACK,
    STATE(10938), 1,
      aux_sym_tuple_type_repeat1,
  [407242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(10490), 1,
      anon_sym_RBRACK,
    STATE(9917), 1,
      aux_sym_tuple_type_repeat1,
  [407255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_COMMA,
    ACTIONS(10492), 1,
      anon_sym_RBRACK,
    STATE(10778), 1,
      aux_sym_type_parameters_repeat1,
  [407268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9534), 1,
      sym_identifier,
    STATE(6197), 1,
      sym_stable_identifier,
    STATE(7558), 1,
      sym__import_expression,
  [407281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(10470), 1,
      sym__interpolated_multiline_string_end,
    STATE(10614), 1,
      aux_sym_interpolated_string_repeat2,
  [407294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10013), 1,
      anon_sym_COMMA,
    ACTIONS(10494), 1,
      anon_sym_RPAREN,
    STATE(10653), 1,
      aux_sym_bindings_repeat1,
  [407307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(750), 1,
      sym_parenthesized_expression,
  [407317] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10498), 1,
      sym_identifier,
    ACTIONS(10500), 1,
      sym_operator_identifier,
  [407327] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10502), 1,
      sym_identifier,
    ACTIONS(10504), 1,
      sym_operator_identifier,
  [407337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8259), 1,
      anon_sym_object,
    ACTIONS(8263), 1,
      anon_sym_class,
  [407347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(567), 1,
      sym_parenthesized_expression,
  [407357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10506), 1,
      anon_sym_LPAREN,
    STATE(9155), 1,
      sym_parenthesized_expression,
  [407367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10508), 1,
      sym_identifier,
    STATE(8177), 1,
      sym__object_definition,
  [407377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10510), 1,
      anon_sym_LBRACE,
    STATE(5699), 1,
      sym_case_block,
  [407387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10512), 1,
      sym_identifier,
    STATE(2847), 1,
      sym__object_definition,
  [407397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10514), 1,
      anon_sym_DOLLAR,
    STATE(11090), 1,
      sym_interpolation,
  [407407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10516), 1,
      sym_identifier,
    STATE(11079), 1,
      sym_binding,
  [407417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10518), 1,
      anon_sym_LBRACE,
    STATE(8421), 1,
      sym_case_block,
  [407427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(839), 1,
      sym_parenthesized_expression,
  [407437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_object,
    ACTIONS(5401), 1,
      anon_sym_class,
  [407447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10508), 1,
      sym_identifier,
    STATE(8123), 1,
      sym__object_definition,
  [407457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      anon_sym_object,
    ACTIONS(10522), 1,
      anon_sym_class,
  [407467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(776), 1,
      sym_parenthesized_expression,
  [407477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(792), 1,
      sym_parenthesized_expression,
  [407487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10524), 1,
      anon_sym_DOLLAR,
    STATE(11100), 1,
      sym_interpolation,
  [407497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10526), 1,
      sym_identifier,
    STATE(4599), 1,
      sym__object_definition,
  [407507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10528), 1,
      anon_sym_LBRACE,
    STATE(8217), 1,
      sym_case_block,
  [407517] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    ACTIONS(10532), 1,
      sym_operator_identifier,
  [407527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(434), 1,
      sym_parenthesized_expression,
  [407537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(923), 1,
      sym_parenthesized_expression,
  [407547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(491), 1,
      sym_parenthesized_expression,
  [407557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(644), 1,
      sym_parenthesized_expression,
  [407567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(1037), 1,
      sym_parenthesized_expression,
  [407577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(723), 1,
      sym_parenthesized_expression,
  [407587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10534), 1,
      anon_sym_LPAREN,
    STATE(6163), 1,
      sym_parenthesized_expression,
  [407597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5307), 1,
      anon_sym_object,
    ACTIONS(5311), 1,
      anon_sym_class,
  [407607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 1,
      anon_sym_LPAREN,
    STATE(3124), 1,
      sym_parenthesized_expression,
  [407617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10538), 1,
      anon_sym_LPAREN,
    STATE(8287), 1,
      sym_parenthesized_expression,
  [407627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10540), 1,
      anon_sym_LBRACE,
    STATE(9160), 1,
      sym_case_block,
  [407637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10542), 1,
      anon_sym_LPAREN,
    STATE(8411), 1,
      sym_parenthesized_expression,
  [407647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(610), 1,
      sym_parenthesized_expression,
  [407657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10544), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [407665] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10546), 1,
      sym_identifier,
    ACTIONS(10548), 1,
      sym_operator_identifier,
  [407675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_LBRACE,
    STATE(6289), 1,
      sym_case_block,
  [407685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10552), 1,
      anon_sym_LBRACE,
    STATE(8050), 1,
      sym_case_block,
  [407695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(742), 1,
      sym_parenthesized_expression,
  [407705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(543), 1,
      sym_parenthesized_expression,
  [407715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(630), 1,
      sym_parenthesized_expression,
  [407725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10554), 1,
      anon_sym_LBRACE,
    STATE(3111), 1,
      sym_case_block,
  [407735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10526), 1,
      sym_identifier,
    STATE(4342), 1,
      sym__object_definition,
  [407745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10526), 1,
      sym_identifier,
    STATE(4637), 1,
      sym__object_definition,
  [407755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(521), 1,
      sym_parenthesized_expression,
  [407765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10556), 1,
      anon_sym_LBRACE,
    STATE(3107), 1,
      sym_case_block,
  [407775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(490), 1,
      sym_parenthesized_expression,
  [407785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(892), 1,
      sym_parenthesized_expression,
  [407795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(764), 1,
      sym_parenthesized_expression,
  [407805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10512), 1,
      sym_identifier,
    STATE(2633), 1,
      sym__object_definition,
  [407815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(457), 1,
      sym_parenthesized_expression,
  [407825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10558), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__object_definition,
  [407835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10560), 1,
      anon_sym_LBRACE,
    STATE(2887), 1,
      sym_case_block,
  [407845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(796), 1,
      sym_parenthesized_expression,
  [407855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(519), 1,
      sym_parenthesized_expression,
  [407865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10562), 1,
      anon_sym_LPAREN,
    STATE(3099), 1,
      sym_parenthesized_expression,
  [407875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      sym_identifier,
    STATE(2211), 1,
      sym__object_definition,
  [407885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(635), 1,
      sym_parenthesized_expression,
  [407895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(732), 1,
      sym_parenthesized_expression,
  [407905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10566), 1,
      anon_sym_LBRACE,
    STATE(8281), 1,
      sym_case_block,
  [407915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(902), 1,
      sym_parenthesized_expression,
  [407925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8182), 1,
      anon_sym_object,
    ACTIONS(8186), 1,
      anon_sym_class,
  [407935] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10568), 1,
      sym_identifier,
    ACTIONS(10570), 1,
      sym_operator_identifier,
  [407945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(424), 1,
      sym_parenthesized_expression,
  [407955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(849), 1,
      sym_parenthesized_expression,
  [407965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3798), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
  [407973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10558), 1,
      sym_identifier,
    STATE(4906), 1,
      sym__object_definition,
  [407983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10558), 1,
      sym_identifier,
    STATE(4890), 1,
      sym__object_definition,
  [407993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(830), 1,
      sym_parenthesized_expression,
  [408003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_LBRACE,
    STATE(2140), 1,
      sym_case_block,
  [408013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      sym_identifier,
    STATE(2201), 1,
      sym__object_definition,
  [408023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(777), 1,
      sym_parenthesized_expression,
  [408033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(403), 1,
      sym_parenthesized_expression,
  [408043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym_object,
    ACTIONS(5413), 1,
      anon_sym_class,
  [408053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10574), 1,
      sym_identifier,
    STATE(5536), 1,
      sym__object_definition,
  [408063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(435), 1,
      sym_parenthesized_expression,
  [408073] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10576), 1,
      sym_identifier,
    ACTIONS(10578), 1,
      sym_operator_identifier,
  [408083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_LBRACE,
    STATE(2134), 1,
      sym_case_block,
  [408093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10190), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [408101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(856), 1,
      sym_parenthesized_expression,
  [408111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10580), 1,
      anon_sym_LBRACE,
    STATE(3138), 1,
      sym_case_block,
  [408121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(885), 1,
      sym_parenthesized_expression,
  [408131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8060), 1,
      anon_sym_object,
    ACTIONS(8064), 1,
      anon_sym_class,
  [408141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(460), 1,
      sym_parenthesized_expression,
  [408151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(613), 1,
      sym_parenthesized_expression,
  [408161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10153), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [408169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10582), 1,
      anon_sym_object,
    ACTIONS(10584), 1,
      anon_sym_class,
  [408179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10586), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [408187] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10588), 1,
      sym_identifier,
    ACTIONS(10590), 1,
      sym_operator_identifier,
  [408197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10508), 1,
      sym_identifier,
    STATE(7992), 1,
      sym__object_definition,
  [408207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10592), 1,
      sym_identifier,
    STATE(8614), 1,
      sym__object_definition,
  [408217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(450), 1,
      sym_parenthesized_expression,
  [408227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(516), 1,
      sym_parenthesized_expression,
  [408237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10594), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [408245] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10596), 1,
      sym_identifier,
    ACTIONS(10598), 1,
      sym_operator_identifier,
  [408255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(576), 1,
      sym_parenthesized_expression,
  [408265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(712), 1,
      sym_parenthesized_expression,
  [408275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(538), 1,
      sym_parenthesized_expression,
  [408285] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10600), 1,
      sym_identifier,
    ACTIONS(10602), 1,
      sym_operator_identifier,
  [408295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(652), 1,
      sym_parenthesized_expression,
  [408305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10604), 1,
      anon_sym_LPAREN,
    STATE(8599), 1,
      sym_parenthesized_expression,
  [408315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(909), 1,
      sym_parenthesized_expression,
  [408325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(939), 1,
      sym_parenthesized_expression,
  [408335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10606), 1,
      anon_sym_object,
    ACTIONS(10608), 1,
      anon_sym_class,
  [408345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10610), 1,
      anon_sym_object,
    ACTIONS(10612), 1,
      anon_sym_class,
  [408355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10614), 1,
      anon_sym_LBRACE,
    STATE(8533), 1,
      sym_case_block,
  [408365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(553), 1,
      sym_parenthesized_expression,
  [408375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10616), 1,
      anon_sym_LBRACE,
    ACTIONS(10618), 1,
      anon_sym_LPAREN,
  [408385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(498), 1,
      sym_parenthesized_expression,
  [408395] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10620), 1,
      sym_identifier,
    ACTIONS(10622), 1,
      sym_operator_identifier,
  [408405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10076), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [408413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(618), 1,
      sym_parenthesized_expression,
  [408423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10624), 1,
      anon_sym_LBRACE,
    ACTIONS(10626), 1,
      anon_sym_LPAREN,
  [408433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(930), 1,
      sym_parenthesized_expression,
  [408443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10628), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [408451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10630), 1,
      anon_sym_LBRACE,
    ACTIONS(10632), 1,
      anon_sym_LPAREN,
  [408461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10634), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [408469] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10636), 1,
      sym_identifier,
    ACTIONS(10638), 1,
      sym_operator_identifier,
  [408479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10574), 1,
      sym_identifier,
    STATE(5623), 1,
      sym__object_definition,
  [408489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10640), 1,
      anon_sym_LBRACE,
    ACTIONS(10642), 1,
      anon_sym_LPAREN,
  [408499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(617), 1,
      sym_parenthesized_expression,
  [408509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10644), 1,
      anon_sym_LBRACE,
    STATE(2801), 1,
      sym_case_block,
  [408519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8166), 1,
      anon_sym_object,
    ACTIONS(8170), 1,
      anon_sym_class,
  [408529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(556), 1,
      sym_parenthesized_expression,
  [408539] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10646), 1,
      sym_identifier,
    ACTIONS(10648), 1,
      sym_operator_identifier,
  [408549] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10652), 1,
      sym_operator_identifier,
  [408559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10654), 1,
      anon_sym_LPAREN,
    STATE(2359), 1,
      sym_parenthesized_expression,
  [408569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(953), 1,
      sym_parenthesized_expression,
  [408579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10045), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [408587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10656), 1,
      anon_sym_LBRACE,
    ACTIONS(10658), 1,
      anon_sym_LPAREN,
  [408597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5381), 1,
      anon_sym_object,
    ACTIONS(5385), 1,
      anon_sym_class,
  [408607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(677), 1,
      sym_parenthesized_expression,
  [408617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10660), 1,
      anon_sym_object,
    ACTIONS(10662), 1,
      anon_sym_class,
  [408627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10664), 1,
      sym_identifier,
    STATE(3036), 1,
      sym__object_definition,
  [408637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    STATE(2872), 1,
      sym_case_block,
  [408647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [408655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10668), 1,
      anon_sym_LBRACE,
    ACTIONS(10670), 1,
      anon_sym_LPAREN,
  [408665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      anon_sym_LBRACE,
    STATE(8574), 1,
      sym_case_block,
  [408675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10674), 1,
      anon_sym_LBRACE,
    ACTIONS(10676), 1,
      anon_sym_LPAREN,
  [408685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10678), 1,
      anon_sym_LBRACE,
    STATE(2331), 1,
      sym_case_block,
  [408695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(1006), 1,
      sym_parenthesized_expression,
  [408705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(717), 1,
      sym_parenthesized_expression,
  [408715] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10680), 1,
      sym_identifier,
    ACTIONS(10682), 1,
      sym_operator_identifier,
  [408725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10684), 1,
      sym_identifier,
    STATE(4645), 1,
      sym__object_definition,
  [408735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10686), 1,
      anon_sym_LBRACE,
    STATE(2753), 1,
      sym_case_block,
  [408745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(778), 1,
      sym_parenthesized_expression,
  [408755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
  [408763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10688), 1,
      anon_sym_LBRACE,
    ACTIONS(10690), 1,
      anon_sym_LPAREN,
  [408773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8154), 1,
      anon_sym_object,
    ACTIONS(8158), 1,
      anon_sym_class,
  [408783] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10692), 1,
      sym_identifier,
    ACTIONS(10694), 1,
      sym_operator_identifier,
  [408793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10696), 1,
      anon_sym_LPAREN,
    STATE(2899), 1,
      sym_parenthesized_expression,
  [408803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    STATE(5422), 1,
      sym_parenthesized_expression,
  [408813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(875), 1,
      sym_parenthesized_expression,
  [408823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10700), 1,
      anon_sym_LBRACE,
    ACTIONS(10702), 1,
      anon_sym_LPAREN,
  [408833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10704), 1,
      anon_sym_LPAREN,
    STATE(2124), 1,
      sym_parenthesized_expression,
  [408843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10706), 1,
      anon_sym_LBRACE,
    STATE(5300), 1,
      sym_case_block,
  [408853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9933), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
  [408861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(452), 1,
      sym_parenthesized_expression,
  [408871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10592), 1,
      sym_identifier,
    STATE(8613), 1,
      sym__object_definition,
  [408881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5432), 1,
      anon_sym_object,
    ACTIONS(5436), 1,
      anon_sym_class,
  [408891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(957), 1,
      sym_parenthesized_expression,
  [408901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10708), 1,
      anon_sym_LBRACE,
    STATE(2267), 1,
      sym_case_block,
  [408911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 1,
      anon_sym_object,
    ACTIONS(5265), 1,
      anon_sym_class,
  [408921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10710), 1,
      anon_sym_LBRACE,
    ACTIONS(10712), 1,
      anon_sym_LPAREN,
  [408931] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10714), 1,
      sym_identifier,
    ACTIONS(10716), 1,
      sym_operator_identifier,
  [408941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10718), 1,
      sym_identifier,
    STATE(6195), 1,
      sym__object_definition,
  [408951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8210), 1,
      anon_sym_object,
    ACTIONS(8214), 1,
      anon_sym_class,
  [408961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8962), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [408969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10720), 1,
      sym_identifier,
    STATE(8367), 1,
      sym__object_definition,
  [408979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(968), 1,
      sym_parenthesized_expression,
  [408989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10722), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [408997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10724), 1,
      sym_identifier,
    STATE(2347), 1,
      sym__object_definition,
  [409007] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10726), 1,
      sym_identifier,
    ACTIONS(10728), 1,
      sym_operator_identifier,
  [409017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(1047), 1,
      sym_parenthesized_expression,
  [409027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10518), 1,
      anon_sym_LBRACE,
    STATE(8428), 1,
      sym_case_block,
  [409037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10730), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [409045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10732), 1,
      anon_sym_LBRACE,
    ACTIONS(10734), 1,
      anon_sym_LPAREN,
  [409055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(1015), 1,
      sym_parenthesized_expression,
  [409065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10736), 1,
      anon_sym_LBRACE,
    ACTIONS(10738), 1,
      anon_sym_LPAREN,
  [409075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10740), 1,
      anon_sym_object,
    ACTIONS(10742), 1,
      anon_sym_class,
  [409085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10744), 1,
      anon_sym_LBRACE,
    ACTIONS(10746), 1,
      anon_sym_LPAREN,
  [409095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10748), 1,
      anon_sym_LPAREN,
    STATE(8802), 1,
      sym_parenthesized_expression,
  [409105] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10750), 1,
      sym_identifier,
    ACTIONS(10752), 1,
      sym_operator_identifier,
  [409115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10754), 1,
      anon_sym_LBRACE,
    ACTIONS(10756), 1,
      anon_sym_LPAREN,
  [409125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(816), 1,
      sym_parenthesized_expression,
  [409135] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10758), 1,
      sym_identifier,
    ACTIONS(10760), 1,
      sym_operator_identifier,
  [409145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10664), 1,
      sym_identifier,
    STATE(2942), 1,
      sym__object_definition,
  [409155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10762), 1,
      anon_sym_LBRACE,
    STATE(8874), 1,
      sym_case_block,
  [409165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10764), 1,
      anon_sym_LBRACE,
    STATE(5414), 1,
      sym_case_block,
  [409175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(969), 1,
      sym_parenthesized_expression,
  [409185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10766), 1,
      anon_sym_LPAREN,
    STATE(8710), 1,
      sym_parenthesized_expression,
  [409195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10768), 1,
      anon_sym_LBRACE,
    ACTIONS(10770), 1,
      anon_sym_LPAREN,
  [409205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10678), 1,
      anon_sym_LBRACE,
    STATE(2305), 1,
      sym_case_block,
  [409215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(604), 1,
      sym_parenthesized_expression,
  [409225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      sym_identifier,
    STATE(1911), 1,
      sym__object_definition,
  [409235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10772), 1,
      anon_sym_LBRACE,
    STATE(6972), 1,
      sym_case_block,
  [409245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3798), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
  [409253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10774), 1,
      anon_sym_LBRACE,
    ACTIONS(10776), 1,
      anon_sym_LPAREN,
  [409263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10778), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [409271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10780), 1,
      anon_sym_LBRACE,
    ACTIONS(10782), 1,
      anon_sym_LPAREN,
  [409281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10784), 2,
      anon_sym_RBRACE,
      anon_sym_case,
  [409289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(585), 1,
      sym_parenthesized_expression,
  [409299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10786), 1,
      anon_sym_LBRACE,
    STATE(4357), 1,
      sym_case_block,
  [409309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(919), 1,
      sym_parenthesized_expression,
  [409319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      sym_identifier,
    STATE(2208), 1,
      sym__object_definition,
  [409329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10664), 1,
      sym_identifier,
    STATE(3010), 1,
      sym__object_definition,
  [409339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(704), 1,
      sym_parenthesized_expression,
  [409349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10788), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
  [409357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10512), 1,
      sym_identifier,
    STATE(2761), 1,
      sym__object_definition,
  [409367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(568), 1,
      sym_parenthesized_expression,
  [409377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10790), 1,
      anon_sym_LBRACE,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
  [409387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10772), 1,
      anon_sym_LBRACE,
    STATE(6976), 1,
      sym_case_block,
  [409397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10794), 1,
      anon_sym_LBRACE,
    STATE(8764), 1,
      sym_case_block,
  [409407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10796), 1,
      anon_sym_LBRACE,
    STATE(7749), 1,
      sym_case_block,
  [409417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10786), 1,
      anon_sym_LBRACE,
    STATE(4421), 1,
      sym_case_block,
  [409427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10798), 1,
      anon_sym_LBRACE,
    ACTIONS(10800), 1,
      anon_sym_LPAREN,
  [409437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(702), 1,
      sym_parenthesized_expression,
  [409447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(541), 1,
      sym_parenthesized_expression,
  [409457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10802), 1,
      anon_sym_LBRACE,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
  [409467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(775), 1,
      sym_parenthesized_expression,
  [409477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10806), 1,
      anon_sym_LPAREN,
    STATE(4425), 1,
      sym_parenthesized_expression,
  [409487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10808), 1,
      anon_sym_LBRACE,
    ACTIONS(10810), 1,
      anon_sym_LPAREN,
  [409497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10788), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
  [409505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10720), 1,
      sym_identifier,
    STATE(8498), 1,
      sym__object_definition,
  [409515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(698), 1,
      sym_parenthesized_expression,
  [409525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(532), 1,
      sym_parenthesized_expression,
  [409535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10812), 1,
      anon_sym_LBRACE,
    ACTIONS(10814), 1,
      anon_sym_LPAREN,
  [409545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10816), 1,
      anon_sym_LPAREN,
    STATE(2833), 1,
      sym_parenthesized_expression,
  [409555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10574), 1,
      sym_identifier,
    STATE(5439), 1,
      sym__object_definition,
  [409565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(414), 1,
      sym_parenthesized_expression,
  [409575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(431), 1,
      sym_parenthesized_expression,
  [409585] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10818), 1,
      sym_identifier,
    ACTIONS(10820), 1,
      sym_operator_identifier,
  [409595] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10822), 1,
      sym_identifier,
    ACTIONS(10824), 1,
      sym_operator_identifier,
  [409605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(504), 1,
      sym_parenthesized_expression,
  [409615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10826), 2,
      anon_sym_RBRACE,
      anon_sym_case,
  [409623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10508), 1,
      sym_identifier,
    STATE(8143), 1,
      sym__object_definition,
  [409633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10828), 1,
      anon_sym_object,
    ACTIONS(10830), 1,
      anon_sym_class,
  [409643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10832), 1,
      anon_sym_LBRACE,
    ACTIONS(10834), 1,
      anon_sym_LPAREN,
  [409653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 1,
      anon_sym_object,
    ACTIONS(5462), 1,
      anon_sym_class,
  [409663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10836), 1,
      anon_sym_LBRACE,
    ACTIONS(10838), 1,
      anon_sym_LPAREN,
  [409673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10840), 1,
      anon_sym_object,
    ACTIONS(10842), 1,
      anon_sym_class,
  [409683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    ACTIONS(10846), 1,
      anon_sym_LPAREN,
  [409693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10848), 1,
      anon_sym_LBRACE,
    ACTIONS(10850), 1,
      anon_sym_LPAREN,
  [409703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10852), 1,
      anon_sym_LBRACE,
    ACTIONS(10854), 1,
      anon_sym_LPAREN,
  [409713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10856), 1,
      anon_sym_LBRACE,
    STATE(5041), 1,
      sym_case_block,
  [409723] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10858), 1,
      sym_identifier,
    ACTIONS(10860), 1,
      sym_operator_identifier,
  [409733] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10862), 1,
      sym_identifier,
    ACTIONS(10864), 1,
      sym_operator_identifier,
  [409743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10796), 1,
      anon_sym_LBRACE,
    STATE(7781), 1,
      sym_case_block,
  [409753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8122), 1,
      anon_sym_object,
    ACTIONS(8126), 1,
      anon_sym_class,
  [409763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10866), 1,
      anon_sym_LBRACE,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
  [409773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10870), 1,
      sym_identifier,
    STATE(10099), 1,
      sym__object_definition,
  [409783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8196), 1,
      anon_sym_object,
    ACTIONS(8200), 1,
      anon_sym_class,
  [409793] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10872), 1,
      sym_identifier,
    ACTIONS(10874), 1,
      sym_operator_identifier,
  [409803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10876), 1,
      anon_sym_LPAREN,
    STATE(5033), 1,
      sym_parenthesized_expression,
  [409813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10878), 1,
      anon_sym_LBRACE,
    ACTIONS(10880), 1,
      anon_sym_LPAREN,
  [409823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10882), 1,
      anon_sym_LPAREN,
    STATE(7846), 1,
      sym_parenthesized_expression,
  [409833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10884), 1,
      anon_sym_LBRACE,
    ACTIONS(10886), 1,
      anon_sym_LPAREN,
  [409843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5369), 1,
      anon_sym_object,
    ACTIONS(5373), 1,
      anon_sym_class,
  [409853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10888), 1,
      anon_sym_LBRACE,
    ACTIONS(10890), 1,
      anon_sym_LPAREN,
  [409863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10892), 1,
      anon_sym_LBRACE,
    ACTIONS(10894), 1,
      anon_sym_LPAREN,
  [409873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10574), 1,
      sym_identifier,
    STATE(5639), 1,
      sym__object_definition,
  [409883] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10896), 1,
      sym_identifier,
    ACTIONS(10898), 1,
      sym_operator_identifier,
  [409893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10900), 1,
      anon_sym_LBRACE,
    ACTIONS(10902), 1,
      anon_sym_LPAREN,
  [409903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10904), 1,
      anon_sym_LBRACE,
    ACTIONS(10906), 1,
      anon_sym_LPAREN,
  [409913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10908), 1,
      anon_sym_LBRACE,
    ACTIONS(10910), 1,
      anon_sym_LPAREN,
  [409923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10718), 1,
      sym_identifier,
    STATE(6213), 1,
      sym__object_definition,
  [409933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10912), 1,
      anon_sym_LBRACE,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
  [409943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10916), 1,
      anon_sym_LBRACE,
    ACTIONS(10918), 1,
      anon_sym_LPAREN,
  [409953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10920), 1,
      anon_sym_object,
    ACTIONS(10922), 1,
      anon_sym_class,
  [409963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10558), 1,
      sym_identifier,
    STATE(4997), 1,
      sym__object_definition,
  [409973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10870), 1,
      sym_identifier,
    STATE(9979), 1,
      sym__object_definition,
  [409983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10924), 1,
      anon_sym_LBRACE,
    ACTIONS(10926), 1,
      anon_sym_LPAREN,
  [409993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5324), 1,
      anon_sym_object,
    ACTIONS(5328), 1,
      anon_sym_class,
  [410003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10928), 1,
      anon_sym_LPAREN,
    STATE(2909), 1,
      sym_parenthesized_expression,
  [410013] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10930), 1,
      sym_identifier,
    ACTIONS(10932), 1,
      sym_operator_identifier,
  [410023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10592), 1,
      sym_identifier,
    STATE(8842), 1,
      sym__object_definition,
  [410033] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10934), 1,
      sym_identifier,
    ACTIONS(10936), 1,
      sym_operator_identifier,
  [410043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(1039), 1,
      sym_parenthesized_expression,
  [410053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10938), 1,
      anon_sym_LBRACE,
    STATE(2912), 1,
      sym_case_block,
  [410063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10940), 1,
      anon_sym_LBRACE,
    ACTIONS(10942), 1,
      anon_sym_LPAREN,
  [410073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10944), 1,
      anon_sym_LBRACE,
    ACTIONS(10946), 1,
      anon_sym_LPAREN,
  [410083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10948), 1,
      anon_sym_LBRACE,
    STATE(8732), 1,
      sym_case_block,
  [410093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10718), 1,
      sym_identifier,
    STATE(6366), 1,
      sym__object_definition,
  [410103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10950), 1,
      anon_sym_LBRACE,
    ACTIONS(10952), 1,
      anon_sym_LPAREN,
  [410113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8086), 1,
      anon_sym_object,
    ACTIONS(8090), 1,
      anon_sym_class,
  [410123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(865), 1,
      sym_parenthesized_expression,
  [410133] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10954), 1,
      sym_identifier,
    ACTIONS(10956), 1,
      sym_operator_identifier,
  [410143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(864), 1,
      sym_parenthesized_expression,
  [410153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10958), 1,
      anon_sym_LPAREN,
    STATE(6969), 1,
      sym_parenthesized_expression,
  [410163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8243), 1,
      anon_sym_object,
    ACTIONS(8247), 1,
      anon_sym_class,
  [410173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10870), 1,
      sym_identifier,
    STATE(10102), 1,
      sym__object_definition,
  [410183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10856), 1,
      anon_sym_LBRACE,
    STATE(5070), 1,
      sym_case_block,
  [410193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10960), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [410201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10962), 1,
      anon_sym_LBRACE,
    STATE(6956), 1,
      sym_case_block,
  [410211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(472), 1,
      sym_parenthesized_expression,
  [410221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10948), 1,
      anon_sym_LBRACE,
    STATE(8717), 1,
      sym_case_block,
  [410231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10964), 1,
      anon_sym_object,
    ACTIONS(10966), 1,
      anon_sym_class,
  [410241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10968), 1,
      anon_sym_LBRACE,
    ACTIONS(10970), 1,
      anon_sym_LPAREN,
  [410251] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10972), 1,
      sym_identifier,
    ACTIONS(10974), 1,
      sym_operator_identifier,
  [410261] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10976), 1,
      sym_identifier,
    ACTIONS(10978), 1,
      sym_operator_identifier,
  [410271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(761), 1,
      sym_parenthesized_expression,
  [410281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(780), 1,
      sym_parenthesized_expression,
  [410291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10938), 1,
      anon_sym_LBRACE,
    STATE(2926), 1,
      sym_case_block,
  [410301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10962), 1,
      anon_sym_LBRACE,
    STATE(6996), 1,
      sym_case_block,
  [410311] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10980), 1,
      sym_identifier,
    ACTIONS(10982), 1,
      sym_operator_identifier,
  [410321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10984), 1,
      anon_sym_LPAREN,
    STATE(7004), 1,
      sym_parenthesized_expression,
  [410331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10986), 1,
      anon_sym_object,
    ACTIONS(10988), 1,
      anon_sym_class,
  [410341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10684), 1,
      sym_identifier,
    STATE(4249), 1,
      sym__object_definition,
  [410351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10720), 1,
      sym_identifier,
    STATE(8337), 1,
      sym__object_definition,
  [410361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(996), 1,
      sym_parenthesized_expression,
  [410371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 1,
      anon_sym_object,
    ACTIONS(5450), 1,
      anon_sym_class,
  [410381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(907), 1,
      sym_parenthesized_expression,
  [410391] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10990), 1,
      sym_identifier,
    ACTIONS(10992), 1,
      sym_operator_identifier,
  [410401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 1,
      anon_sym_object,
    ACTIONS(5483), 1,
      anon_sym_class,
  [410411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10718), 1,
      sym_identifier,
    STATE(6395), 1,
      sym__object_definition,
  [410421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(560), 1,
      sym_parenthesized_expression,
  [410431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10994), 1,
      anon_sym_object,
    ACTIONS(10996), 1,
      anon_sym_class,
  [410441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10724), 1,
      sym_identifier,
    STATE(2423), 1,
      sym__object_definition,
  [410451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10720), 1,
      sym_identifier,
    STATE(8553), 1,
      sym__object_definition,
  [410461] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(10998), 1,
      sym_identifier,
    ACTIONS(11000), 1,
      sym_operator_identifier,
  [410471] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(11002), 1,
      sym_identifier,
    ACTIONS(11004), 1,
      sym_operator_identifier,
  [410481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10724), 1,
      sym_identifier,
    STATE(2511), 1,
      sym__object_definition,
  [410491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8110), 1,
      anon_sym_object,
    ACTIONS(8114), 1,
      anon_sym_class,
  [410501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8098), 1,
      anon_sym_object,
    ACTIONS(8102), 1,
      anon_sym_class,
  [410511] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(11006), 1,
      sym_identifier,
    ACTIONS(11008), 1,
      sym_operator_identifier,
  [410521] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(11010), 1,
      sym_identifier,
    ACTIONS(11012), 1,
      sym_operator_identifier,
  [410531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_object,
    ACTIONS(5249), 1,
      anon_sym_class,
  [410541] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(11014), 1,
      sym_identifier,
    ACTIONS(11016), 1,
      sym_operator_identifier,
  [410551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10870), 1,
      sym_identifier,
    STATE(10080), 1,
      sym__object_definition,
  [410561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11018), 1,
      anon_sym_LBRACE,
    STATE(8362), 1,
      sym_case_block,
  [410571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11020), 1,
      anon_sym_object,
    ACTIONS(11022), 1,
      anon_sym_class,
  [410581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11024), 1,
      sym_identifier,
    STATE(7154), 1,
      sym__object_definition,
  [410591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10664), 1,
      sym_identifier,
    STATE(2949), 1,
      sym__object_definition,
  [410601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(668), 1,
      sym_parenthesized_expression,
  [410611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8228), 1,
      anon_sym_object,
    ACTIONS(8232), 1,
      anon_sym_class,
  [410621] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(11026), 1,
      sym_identifier,
    ACTIONS(11028), 1,
      sym_operator_identifier,
  [410631] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(11030), 1,
      sym_identifier,
    ACTIONS(11032), 1,
      sym_operator_identifier,
  [410641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11034), 1,
      anon_sym_LBRACE,
    STATE(7919), 1,
      sym_case_block,
  [410651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11036), 1,
      anon_sym_object,
    ACTIONS(11038), 1,
      anon_sym_class,
  [410661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    STATE(8986), 1,
      sym_parenthesized_expression,
  [410671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(631), 1,
      sym_parenthesized_expression,
  [410681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11024), 1,
      sym_identifier,
    STATE(7093), 1,
      sym__object_definition,
  [410691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11024), 1,
      sym_identifier,
    STATE(7091), 1,
      sym__object_definition,
  [410701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11042), 1,
      anon_sym_LPAREN,
    STATE(8354), 1,
      sym_parenthesized_expression,
  [410711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11044), 1,
      anon_sym_LBRACE,
    STATE(7987), 1,
      sym_case_block,
  [410721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11046), 1,
      anon_sym_LBRACE,
    STATE(8617), 1,
      sym_case_block,
  [410731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10592), 1,
      sym_identifier,
    STATE(8587), 1,
      sym__object_definition,
  [410741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11048), 1,
      anon_sym_LBRACE,
    ACTIONS(11050), 1,
      anon_sym_LPAREN,
  [410751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11024), 1,
      sym_identifier,
    STATE(7115), 1,
      sym__object_definition,
  [410761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10684), 1,
      sym_identifier,
    STATE(4377), 1,
      sym__object_definition,
  [410771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10684), 1,
      sym_identifier,
    STATE(4313), 1,
      sym__object_definition,
  [410781] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(11052), 1,
      sym_identifier,
    ACTIONS(11054), 1,
      sym_operator_identifier,
  [410791] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(11056), 1,
      sym_identifier,
    ACTIONS(11058), 1,
      sym_operator_identifier,
  [410801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(934), 1,
      sym_parenthesized_expression,
  [410811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11060), 1,
      anon_sym_LBRACE,
    STATE(2594), 1,
      sym_case_block,
  [410821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8137), 1,
      anon_sym_object,
    ACTIONS(8141), 1,
      anon_sym_class,
  [410831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    STATE(773), 1,
      sym_parenthesized_expression,
  [410841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
  [410849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 1,
      anon_sym_object,
    ACTIONS(5284), 1,
      anon_sym_class,
  [410859] = 3,
    ACTIONS(91), 1,
      sym_comment,
    ACTIONS(11062), 1,
      sym_identifier,
    ACTIONS(11064), 1,
      sym_operator_identifier,
  [410869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11066), 1,
      anon_sym_LBRACE,
    STATE(8998), 1,
      sym_case_block,
  [410879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11044), 1,
      anon_sym_LBRACE,
    STATE(8006), 1,
      sym_case_block,
  [410889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10512), 1,
      sym_identifier,
    STATE(2842), 1,
      sym__object_definition,
  [410899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
  [410907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10526), 1,
      sym_identifier,
    STATE(4643), 1,
      sym__object_definition,
  [410917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5347), 1,
      anon_sym_object,
    ACTIONS(5351), 1,
      anon_sym_class,
  [410927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11060), 1,
      anon_sym_LBRACE,
    STATE(2773), 1,
      sym_case_block,
  [410937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11068), 1,
      anon_sym_LPAREN,
    STATE(2777), 1,
      sym_parenthesized_expression,
  [410947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10684), 1,
      sym_identifier,
    STATE(4434), 1,
      sym__object_definition,
  [410957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10724), 1,
      sym_identifier,
    STATE(2330), 1,
      sym__object_definition,
  [410967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11070), 1,
      anon_sym_LPAREN,
    STATE(8017), 1,
      sym_parenthesized_expression,
  [410977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11072), 1,
      anon_sym_LBRACE,
    ACTIONS(11074), 1,
      anon_sym_LPAREN,
  [410987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11076), 1,
      anon_sym_RBRACK,
  [410994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11078), 1,
      sym_identifier,
  [411001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11080), 1,
      anon_sym_EQ_GT,
  [411008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11082), 1,
      anon_sym_EQ_GT,
  [411015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11084), 1,
      sym_identifier,
  [411022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11086), 1,
      anon_sym_EQ_GT,
  [411029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11088), 1,
      sym_identifier,
  [411036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11090), 1,
      anon_sym_EQ_GT,
  [411043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11092), 1,
      anon_sym_EQ_GT,
  [411050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11094), 1,
      anon_sym_EQ_GT,
  [411057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11096), 1,
      anon_sym_EQ_GT,
  [411064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11098), 1,
      anon_sym_EQ_GT,
  [411071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11100), 1,
      anon_sym_EQ_GT,
  [411078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11102), 1,
      anon_sym_EQ_GT,
  [411085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11104), 1,
      sym_identifier,
  [411092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11106), 1,
      anon_sym_EQ_GT,
  [411099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11108), 1,
      anon_sym_RPAREN,
  [411106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11110), 1,
      anon_sym_EQ_GT,
  [411113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11108), 1,
      anon_sym_RBRACE,
  [411120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11112), 1,
      sym_identifier,
  [411127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11114), 1,
      sym_identifier,
  [411134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11116), 1,
      sym_identifier,
  [411141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      sym_identifier,
  [411148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2493), 1,
      anon_sym_DOT,
  [411155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11120), 1,
      anon_sym_EQ_GT,
  [411162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11122), 1,
      anon_sym_EQ_GT,
  [411169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11124), 1,
      sym_identifier,
  [411176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11126), 1,
      anon_sym_EQ_GT,
  [411183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11128), 1,
      sym_identifier,
  [411190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11130), 1,
      anon_sym_EQ_GT,
  [411197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11132), 1,
      anon_sym_EQ_GT,
  [411204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11134), 1,
      anon_sym_EQ_GT,
  [411211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11136), 1,
      sym_identifier,
  [411218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11138), 1,
      anon_sym_EQ_GT,
  [411225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11140), 1,
      anon_sym_EQ_GT,
  [411232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11142), 1,
      anon_sym_RPAREN,
  [411239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11144), 1,
      sym_identifier,
  [411246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11146), 1,
      sym_identifier,
  [411253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11142), 1,
      anon_sym_RBRACE,
  [411260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11148), 1,
      anon_sym_EQ_GT,
  [411267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11150), 1,
      anon_sym_RBRACK,
  [411274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11152), 1,
      anon_sym_EQ_GT,
  [411281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11154), 1,
      sym_identifier,
  [411288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      sym_identifier,
  [411295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11158), 1,
      anon_sym_EQ_GT,
  [411302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_DOT,
  [411309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11160), 1,
      sym_identifier,
  [411316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11162), 1,
      anon_sym_EQ_GT,
  [411323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2845), 1,
      anon_sym_DOT,
  [411330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11164), 1,
      anon_sym_RBRACE,
  [411337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11166), 1,
      anon_sym_EQ_GT,
  [411344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11168), 1,
      anon_sym_EQ_GT,
  [411351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4527), 1,
      anon_sym_DOT,
  [411358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11170), 1,
      sym_identifier,
  [411365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11172), 1,
      anon_sym_EQ_GT,
  [411372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11174), 1,
      sym_identifier,
  [411379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_DOT,
  [411386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      anon_sym_RBRACE,
  [411393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11178), 1,
      anon_sym_EQ_GT,
  [411400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_DOT,
  [411407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11180), 1,
      anon_sym_RBRACE,
  [411414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11182), 1,
      anon_sym_RBRACE,
  [411421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11184), 1,
      anon_sym_EQ_GT,
  [411428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 1,
      anon_sym_DOT,
  [411435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      sym_identifier,
  [411442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11188), 1,
      anon_sym_EQ_GT,
  [411449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11190), 1,
      anon_sym_EQ_GT,
  [411456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11192), 1,
      anon_sym_RBRACE,
  [411463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11194), 1,
      anon_sym_EQ_GT,
  [411470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11196), 1,
      anon_sym_RBRACE,
  [411477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 1,
      anon_sym_DOT,
  [411484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11198), 1,
      anon_sym_EQ_GT,
  [411491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_DOT,
  [411498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11200), 1,
      sym_identifier,
  [411505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11202), 1,
      anon_sym_EQ_GT,
  [411512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11204), 1,
      anon_sym_EQ_GT,
  [411519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11206), 1,
      sym_identifier,
  [411526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 1,
      anon_sym_DOT,
  [411533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11208), 1,
      sym_identifier,
  [411540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11210), 1,
      anon_sym_EQ_GT,
  [411547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11212), 1,
      anon_sym_RBRACK,
  [411554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_DOT,
  [411561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      anon_sym_EQ_GT,
  [411568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11216), 1,
      sym_identifier,
  [411575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11218), 1,
      anon_sym_RPAREN,
  [411582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11220), 1,
      sym_identifier,
  [411589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_DOT,
  [411596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11222), 1,
      sym_identifier,
  [411603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11224), 1,
      anon_sym_EQ_GT,
  [411610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11226), 1,
      sym_identifier,
  [411617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_DOT,
  [411624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11228), 1,
      anon_sym_EQ_GT,
  [411631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_DOT,
  [411638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      sym_identifier,
  [411645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11232), 1,
      sym_identifier,
  [411652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11234), 1,
      anon_sym_EQ_GT,
  [411659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_DOT,
  [411666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11236), 1,
      anon_sym_RBRACE,
  [411673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11238), 1,
      anon_sym_EQ_GT,
  [411680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3117), 1,
      anon_sym_DOT,
  [411687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11236), 1,
      anon_sym_RPAREN,
  [411694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11240), 1,
      sym_identifier,
  [411701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11242), 1,
      sym_identifier,
  [411708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11244), 1,
      anon_sym_EQ_GT,
  [411715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11246), 1,
      sym_identifier,
  [411722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_DOT,
  [411729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11248), 1,
      anon_sym_EQ_GT,
  [411736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_DOT,
  [411743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_RPAREN,
  [411750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_RBRACE,
  [411757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11252), 1,
      anon_sym_EQ_GT,
  [411764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      sym_identifier,
  [411771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11256), 1,
      anon_sym_RPAREN,
  [411778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11256), 1,
      anon_sym_RBRACE,
  [411785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4154), 1,
      anon_sym_DOT,
  [411792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      sym_identifier,
  [411799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11260), 1,
      anon_sym_EQ_GT,
  [411806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11262), 1,
      sym_identifier,
  [411813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3003), 1,
      anon_sym_DOT,
  [411820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11264), 1,
      sym_identifier,
  [411827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      sym_identifier,
  [411834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_EQ_GT,
  [411841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6461), 1,
      anon_sym_DOT,
  [411848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11270), 1,
      sym_identifier,
  [411855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11272), 1,
      sym_identifier,
  [411862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11274), 1,
      anon_sym_RBRACK,
  [411869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_EQ_GT,
  [411876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11278), 1,
      sym_identifier,
  [411883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 1,
      anon_sym_DOT,
  [411890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11218), 1,
      anon_sym_RBRACE,
  [411897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11280), 1,
      sym_identifier,
  [411904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11282), 1,
      anon_sym_EQ_GT,
  [411911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 1,
      anon_sym_DOT,
  [411918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11284), 1,
      anon_sym_RBRACE,
  [411925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11286), 1,
      anon_sym_EQ_GT,
  [411932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11288), 1,
      anon_sym_EQ_GT,
  [411939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      anon_sym_DOT,
  [411946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11290), 1,
      sym_identifier,
  [411953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11292), 1,
      anon_sym_EQ_GT,
  [411960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      anon_sym_DOT,
  [411967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_RBRACE,
  [411974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_EQ_GT,
  [411981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 1,
      anon_sym_DOT,
  [411988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11298), 1,
      sym_identifier,
  [411995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11300), 1,
      sym_identifier,
  [412002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11302), 1,
      anon_sym_EQ_GT,
  [412009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3600), 1,
      anon_sym_DOT,
  [412016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11304), 1,
      anon_sym_EQ_GT,
  [412023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11306), 1,
      sym_identifier,
  [412030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11308), 1,
      sym_identifier,
  [412037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11310), 1,
      anon_sym_RBRACE,
  [412044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11312), 1,
      anon_sym_RBRACE,
  [412051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11314), 1,
      anon_sym_EQ_GT,
  [412058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11312), 1,
      anon_sym_RPAREN,
  [412065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      anon_sym_DOT,
  [412072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11316), 1,
      anon_sym_EQ_GT,
  [412079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11318), 1,
      anon_sym_RBRACE,
  [412086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 1,
      sym_identifier,
  [412093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11322), 1,
      anon_sym_RBRACE,
  [412100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11324), 1,
      sym_identifier,
  [412107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      anon_sym_DOT,
  [412114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11326), 1,
      sym_identifier,
  [412121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11328), 1,
      anon_sym_EQ_GT,
  [412128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11322), 1,
      anon_sym_RPAREN,
  [412135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5074), 1,
      anon_sym_DOT,
  [412142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11330), 1,
      anon_sym_EQ_GT,
  [412149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5000), 1,
      anon_sym_DOT,
  [412156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11332), 1,
      anon_sym_EQ_GT,
  [412163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11334), 1,
      anon_sym_RBRACE,
  [412170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4183), 1,
      anon_sym_DOT,
  [412177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11334), 1,
      anon_sym_RPAREN,
  [412184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11336), 1,
      anon_sym_EQ_GT,
  [412191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11338), 1,
      anon_sym_EQ_GT,
  [412198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11340), 1,
      anon_sym_EQ_GT,
  [412205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_DOT,
  [412212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11342), 1,
      anon_sym_RBRACE,
  [412219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11344), 1,
      anon_sym_EQ_GT,
  [412226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11346), 1,
      sym_identifier,
  [412233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11348), 1,
      anon_sym_EQ_GT,
  [412240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11350), 1,
      sym_identifier,
  [412247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11352), 1,
      anon_sym_RBRACE,
  [412254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_DOT,
  [412261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11354), 1,
      sym_identifier,
  [412268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11356), 1,
      sym_identifier,
  [412275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11358), 1,
      anon_sym_EQ_GT,
  [412282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11360), 1,
      anon_sym_EQ_GT,
  [412289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11362), 1,
      sym_identifier,
  [412296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5967), 1,
      anon_sym_DOT,
  [412303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11364), 1,
      sym_identifier,
  [412310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11366), 1,
      anon_sym_RBRACK,
  [412317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11368), 1,
      anon_sym_RBRACE,
  [412324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11370), 1,
      sym_identifier,
  [412331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11372), 1,
      anon_sym_EQ_GT,
  [412338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11374), 1,
      sym_identifier,
  [412345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11376), 1,
      anon_sym_EQ_GT,
  [412352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11378), 1,
      anon_sym_RBRACE,
  [412359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 1,
      anon_sym_DOT,
  [412366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11380), 1,
      anon_sym_RBRACE,
  [412373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11382), 1,
      anon_sym_RPAREN,
  [412380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11384), 1,
      sym_identifier,
  [412387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11386), 1,
      anon_sym_EQ_GT,
  [412394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11388), 1,
      anon_sym_EQ_GT,
  [412401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11390), 1,
      anon_sym_EQ_GT,
  [412408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11392), 1,
      sym_identifier,
  [412415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11394), 1,
      anon_sym_RBRACK,
  [412422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11396), 1,
      sym_identifier,
  [412429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11398), 1,
      sym_identifier,
  [412436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11400), 1,
      sym_identifier,
  [412443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 1,
      anon_sym_DOT,
  [412450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5421), 1,
      anon_sym_DOT,
  [412457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11402), 1,
      sym_identifier,
  [412464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11404), 1,
      sym_identifier,
  [412471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11406), 1,
      anon_sym_RBRACE,
  [412478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11408), 1,
      anon_sym_EQ_GT,
  [412485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11410), 1,
      sym_identifier,
  [412492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11412), 1,
      anon_sym_EQ_GT,
  [412499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11414), 1,
      sym_identifier,
  [412506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11416), 1,
      sym_identifier,
  [412513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11418), 1,
      anon_sym_EQ_GT,
  [412520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11420), 1,
      sym_identifier,
  [412527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11422), 1,
      anon_sym_RBRACE,
  [412534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4637), 1,
      anon_sym_DOT,
  [412541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11424), 1,
      anon_sym_EQ_GT,
  [412548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11426), 1,
      sym_identifier,
  [412555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11428), 1,
      sym_identifier,
  [412562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11430), 1,
      sym_identifier,
  [412569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11432), 1,
      anon_sym_RBRACE,
  [412576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11434), 1,
      sym_identifier,
  [412583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11436), 1,
      anon_sym_EQ_GT,
  [412590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11438), 1,
      anon_sym_RBRACE,
  [412597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11438), 1,
      anon_sym_RPAREN,
  [412604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7018), 1,
      anon_sym_DOT,
  [412611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11440), 1,
      anon_sym_EQ_GT,
  [412618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11442), 1,
      sym_identifier,
  [412625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11444), 1,
      sym_identifier,
  [412632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11446), 1,
      anon_sym_RPAREN,
  [412639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11446), 1,
      anon_sym_RBRACE,
  [412646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11448), 1,
      sym_identifier,
  [412653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11450), 1,
      anon_sym_RPAREN,
  [412660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11452), 1,
      sym_identifier,
  [412667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11450), 1,
      anon_sym_RBRACE,
  [412674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11454), 1,
      sym_identifier,
  [412681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11456), 1,
      sym_identifier,
  [412688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_DOT,
  [412695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11458), 1,
      anon_sym_RBRACE,
  [412702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11458), 1,
      anon_sym_RPAREN,
  [412709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11460), 1,
      anon_sym_EQ_GT,
  [412716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11462), 1,
      anon_sym_EQ_GT,
  [412723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11464), 1,
      anon_sym_RPAREN,
  [412730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_DOT,
  [412737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11466), 1,
      sym_identifier,
  [412744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11382), 1,
      anon_sym_RBRACE,
  [412751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11468), 1,
      sym_identifier,
  [412758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11470), 1,
      sym_identifier,
  [412765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11472), 1,
      anon_sym_RBRACE,
  [412772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11472), 1,
      anon_sym_RPAREN,
  [412779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11474), 1,
      anon_sym_EQ_GT,
  [412786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11476), 1,
      anon_sym_EQ_GT,
  [412793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11478), 1,
      sym_identifier,
  [412800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11480), 1,
      anon_sym_RBRACE,
  [412807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11482), 1,
      sym_identifier,
  [412814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_DOT,
  [412821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11484), 1,
      sym_identifier,
  [412828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11486), 1,
      anon_sym_EQ,
  [412835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11488), 1,
      anon_sym_RBRACK,
  [412842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11490), 1,
      sym_identifier,
  [412849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11492), 1,
      anon_sym_RBRACE,
  [412856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11494), 1,
      anon_sym_EQ,
  [412863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11496), 1,
      anon_sym_EQ,
  [412870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11492), 1,
      anon_sym_RPAREN,
  [412877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11498), 1,
      anon_sym_EQ,
  [412884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11500), 1,
      sym_identifier,
  [412891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11502), 1,
      anon_sym_RBRACE,
  [412898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11502), 1,
      anon_sym_RPAREN,
  [412905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11422), 1,
      anon_sym_RPAREN,
  [412912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11504), 1,
      anon_sym_EQ_GT,
  [412919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11506), 1,
      sym_identifier,
  [412926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11508), 1,
      sym_identifier,
  [412933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11510), 1,
      anon_sym_EQ_GT,
  [412940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11512), 1,
      anon_sym_RBRACE,
  [412947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11514), 1,
      anon_sym_EQ,
  [412954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11516), 1,
      anon_sym_RBRACE,
  [412961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11516), 1,
      anon_sym_RPAREN,
  [412968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11518), 1,
      anon_sym_EQ_GT,
  [412975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11520), 1,
      sym_identifier,
  [412982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11522), 1,
      anon_sym_EQ,
  [412989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      anon_sym_DOT,
  [412996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11524), 1,
      anon_sym_EQ,
  [413003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11526), 1,
      anon_sym_EQ_GT,
  [413010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11528), 1,
      sym_identifier,
  [413017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11530), 1,
      anon_sym_RBRACE,
  [413024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11532), 1,
      anon_sym_RBRACE,
  [413031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11532), 1,
      anon_sym_RPAREN,
  [413038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7473), 1,
      anon_sym_DOT,
  [413045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11534), 1,
      anon_sym_EQ,
  [413052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11536), 1,
      anon_sym_RBRACE,
  [413059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11538), 1,
      anon_sym_EQ,
  [413066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11540), 1,
      sym_identifier,
  [413073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11542), 1,
      anon_sym_EQ,
  [413080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11544), 1,
      anon_sym_RBRACE,
  [413087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11546), 1,
      anon_sym_RBRACE,
  [413094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11546), 1,
      anon_sym_RPAREN,
  [413101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11548), 1,
      anon_sym_EQ_GT,
  [413108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11544), 1,
      anon_sym_RPAREN,
  [413115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11550), 1,
      sym_identifier,
  [413122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11552), 1,
      sym_identifier,
  [413129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7492), 1,
      anon_sym_DOT,
  [413136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11554), 1,
      anon_sym_RBRACE,
  [413143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11554), 1,
      anon_sym_RPAREN,
  [413150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11556), 1,
      anon_sym_RBRACE,
  [413157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11558), 1,
      sym_identifier,
  [413164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11560), 1,
      anon_sym_EQ_GT,
  [413171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11562), 1,
      anon_sym_EQ,
  [413178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11564), 1,
      anon_sym_RBRACE,
  [413185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11566), 1,
      anon_sym_RBRACE,
  [413192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11566), 1,
      anon_sym_RPAREN,
  [413199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11568), 1,
      anon_sym_RBRACE,
  [413206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11570), 1,
      anon_sym_EQ,
  [413213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11572), 1,
      anon_sym_EQ,
  [413220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11574), 1,
      anon_sym_EQ_GT,
  [413227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11576), 1,
      anon_sym_EQ_GT,
  [413234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11578), 1,
      anon_sym_EQ_GT,
  [413241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7419), 1,
      anon_sym_DOT,
  [413248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11580), 1,
      anon_sym_EQ,
  [413255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11464), 1,
      anon_sym_RBRACE,
  [413262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11582), 1,
      anon_sym_EQ,
  [413269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11584), 1,
      anon_sym_EQ,
  [413276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11586), 1,
      anon_sym_EQ_GT,
  [413283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11588), 1,
      anon_sym_RBRACE,
  [413290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11590), 1,
      sym_identifier,
  [413297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11588), 1,
      anon_sym_RPAREN,
  [413304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11592), 1,
      anon_sym_EQ_GT,
  [413311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11594), 1,
      anon_sym_RBRACE,
  [413318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7298), 1,
      anon_sym_DOT,
  [413325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11594), 1,
      anon_sym_RPAREN,
  [413332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11596), 1,
      anon_sym_EQ,
  [413339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11598), 1,
      sym_identifier,
  [413346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11600), 1,
      sym_identifier,
  [413353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11602), 1,
      anon_sym_EQ,
  [413360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11604), 1,
      anon_sym_EQ,
  [413367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11606), 1,
      anon_sym_EQ_GT,
  [413374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11608), 1,
      anon_sym_EQ_GT,
  [413381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11610), 1,
      sym_identifier,
  [413388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11612), 1,
      anon_sym_RBRACK,
  [413395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11614), 1,
      anon_sym_RBRACE,
  [413402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11616), 1,
      sym_identifier,
  [413409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11618), 1,
      anon_sym_EQ,
  [413416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11620), 1,
      sym_identifier,
  [413423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11622), 1,
      sym_identifier,
  [413430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11624), 1,
      sym_identifier,
  [413437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11626), 1,
      sym_identifier,
  [413444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11628), 1,
      anon_sym_EQ,
  [413451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11630), 1,
      sym_identifier,
  [413458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11632), 1,
      anon_sym_EQ,
  [413465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11634), 1,
      sym_identifier,
  [413472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11636), 1,
      anon_sym_EQ_GT,
  [413479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11638), 1,
      anon_sym_RBRACE,
  [413486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_RPAREN,
  [413493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_RBRACE,
  [413500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11642), 1,
      sym_identifier,
  [413507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      sym_identifier,
  [413514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11638), 1,
      anon_sym_RPAREN,
  [413521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7346), 1,
      anon_sym_DOT,
  [413528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_EQ,
  [413535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 1,
      sym_identifier,
  [413542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      sym_identifier,
  [413549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11652), 1,
      anon_sym_EQ,
  [413556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11654), 1,
      sym_identifier,
  [413563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      sym_identifier,
  [413570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11658), 1,
      sym_identifier,
  [413577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11660), 1,
      anon_sym_EQ,
  [413584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11662), 1,
      sym_identifier,
  [413591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11664), 1,
      sym_identifier,
  [413598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11666), 1,
      anon_sym_RBRACK,
  [413605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11668), 1,
      sym_identifier,
  [413612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11670), 1,
      anon_sym_EQ_GT,
  [413619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11672), 1,
      sym_identifier,
  [413626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_EQ_GT,
  [413633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11676), 1,
      sym_identifier,
  [413640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 1,
      sym_identifier,
  [413647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7484), 1,
      anon_sym_DOT,
  [413654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11680), 1,
      sym_identifier,
  [413661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11682), 1,
      anon_sym_EQ,
  [413668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_RBRACE,
  [413675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11686), 1,
      sym_identifier,
  [413682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11688), 1,
      anon_sym_RBRACE,
  [413689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_EQ,
  [413696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11692), 1,
      sym_identifier,
  [413703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11694), 1,
      anon_sym_RBRACE,
  [413710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11696), 1,
      anon_sym_EQ_GT,
  [413717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11698), 1,
      sym_identifier,
  [413724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11700), 1,
      anon_sym_EQ,
  [413731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11702), 1,
      anon_sym_EQ_GT,
  [413738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      sym_identifier,
  [413745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11694), 1,
      anon_sym_RPAREN,
  [413752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11706), 1,
      sym_identifier,
  [413759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      sym_identifier,
  [413766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11710), 1,
      sym_identifier,
  [413773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11614), 1,
      anon_sym_RPAREN,
  [413780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11712), 1,
      sym_identifier,
  [413787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_EQ_GT,
  [413794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11716), 1,
      anon_sym_RBRACE,
  [413801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11718), 1,
      sym_identifier,
  [413808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4204), 1,
      anon_sym_DOT,
  [413815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11720), 1,
      anon_sym_EQ,
  [413822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11722), 1,
      sym_identifier,
  [413829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11724), 1,
      anon_sym_EQ,
  [413836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11726), 1,
      sym_identifier,
  [413843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11728), 1,
      sym_identifier,
  [413850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11730), 1,
      anon_sym_RBRACE,
  [413857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11732), 1,
      sym_identifier,
  [413864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11734), 1,
      sym_identifier,
  [413871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11736), 1,
      anon_sym_EQ_GT,
  [413878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11738), 1,
      anon_sym_EQ,
  [413885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym_identifier,
  [413892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11742), 1,
      sym_identifier,
  [413899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11744), 1,
      anon_sym_EQ,
  [413906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11746), 1,
      sym_identifier,
  [413913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11748), 1,
      sym_identifier,
  [413920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11750), 1,
      anon_sym_RBRACK,
  [413927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11752), 1,
      sym_identifier,
  [413934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11754), 1,
      anon_sym_EQ_GT,
  [413941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11756), 1,
      sym_identifier,
  [413948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11758), 1,
      sym_identifier,
  [413955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_DOT,
  [413962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11760), 1,
      sym_identifier,
  [413969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11762), 1,
      sym_identifier,
  [413976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11764), 1,
      sym_identifier,
  [413983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11766), 1,
      anon_sym_RBRACE,
  [413990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11768), 1,
      sym_identifier,
  [413997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11770), 1,
      anon_sym_EQ,
  [414004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11766), 1,
      anon_sym_RPAREN,
  [414011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11772), 1,
      sym_identifier,
  [414018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11774), 1,
      anon_sym_EQ,
  [414025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      sym_identifier,
  [414032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11778), 1,
      sym_identifier,
  [414039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11780), 1,
      anon_sym_EQ,
  [414046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11782), 1,
      sym_identifier,
  [414053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11784), 1,
      sym_identifier,
  [414060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11786), 1,
      anon_sym_EQ_GT,
  [414067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      sym_identifier,
  [414074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11790), 1,
      sym_identifier,
  [414081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11792), 1,
      sym_identifier,
  [414088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_EQ,
  [414095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11796), 1,
      sym_identifier,
  [414102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11798), 1,
      sym_identifier,
  [414109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11800), 1,
      anon_sym_LPAREN,
  [414116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11802), 1,
      sym_identifier,
  [414123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11804), 1,
      sym_identifier,
  [414130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7463), 1,
      anon_sym_DOT,
  [414137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11806), 1,
      sym_identifier,
  [414144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11808), 1,
      anon_sym_RBRACE,
  [414151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11808), 1,
      anon_sym_RPAREN,
  [414158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11810), 1,
      sym_identifier,
  [414165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11812), 1,
      sym_identifier,
  [414172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11814), 1,
      anon_sym_EQ_GT,
  [414179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11816), 1,
      sym_identifier,
  [414186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11818), 1,
      sym_identifier,
  [414193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11820), 1,
      sym_identifier,
  [414200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11822), 1,
      sym_identifier,
  [414207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11824), 1,
      anon_sym_EQ,
  [414214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11826), 1,
      sym_identifier,
  [414221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11828), 1,
      sym_identifier,
  [414228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11830), 1,
      sym_identifier,
  [414235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11832), 1,
      sym_identifier,
  [414242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11834), 1,
      sym_identifier,
  [414249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11836), 1,
      sym_identifier,
  [414256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11838), 1,
      anon_sym_EQ,
  [414263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11840), 1,
      sym_identifier,
  [414270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11842), 1,
      sym_identifier,
  [414277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11844), 1,
      sym_identifier,
  [414284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11846), 1,
      sym_identifier,
  [414291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11848), 1,
      anon_sym_EQ,
  [414298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11850), 1,
      anon_sym_EQ_GT,
  [414305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11852), 1,
      sym_identifier,
  [414312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11854), 1,
      anon_sym_RBRACE,
  [414319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11856), 1,
      sym_identifier,
  [414326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11854), 1,
      anon_sym_RPAREN,
  [414333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11858), 1,
      anon_sym_RBRACE,
  [414340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11860), 1,
      anon_sym_LPAREN,
  [414347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11858), 1,
      anon_sym_RPAREN,
  [414354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11862), 1,
      anon_sym_RPAREN,
  [414361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11864), 1,
      sym_identifier,
  [414368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11866), 1,
      anon_sym_RBRACE,
  [414375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11868), 1,
      sym_identifier,
  [414382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11862), 1,
      anon_sym_RBRACE,
  [414389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11870), 1,
      sym_identifier,
  [414396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_DOT,
  [414403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11872), 1,
      anon_sym_EQ_GT,
  [414410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11874), 1,
      anon_sym_EQ_GT,
  [414417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11876), 1,
      anon_sym_EQ_GT,
  [414424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11878), 1,
      anon_sym_EQ_GT,
  [414431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11880), 1,
      anon_sym_EQ_GT,
  [414438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11882), 1,
      anon_sym_EQ_GT,
  [414445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11884), 1,
      anon_sym_EQ_GT,
  [414452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11886), 1,
      anon_sym_EQ_GT,
  [414459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11888), 1,
      sym_identifier,
  [414466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11890), 1,
      anon_sym_EQ_GT,
  [414473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11892), 1,
      sym_identifier,
  [414480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11894), 1,
      sym_identifier,
  [414487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11896), 1,
      anon_sym_RBRACE,
  [414494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11898), 1,
      anon_sym_RBRACE,
  [414501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11898), 1,
      anon_sym_RPAREN,
  [414508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11900), 1,
      sym_identifier,
  [414515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11902), 1,
      sym_identifier,
  [414522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11904), 1,
      sym_identifier,
  [414529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11906), 1,
      sym_identifier,
  [414536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11908), 1,
      sym_identifier,
  [414543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11910), 1,
      anon_sym_EQ_GT,
  [414550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11912), 1,
      anon_sym_EQ,
  [414557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11914), 1,
      anon_sym_RBRACE,
  [414564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11916), 1,
      anon_sym_RPAREN,
  [414571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11918), 1,
      anon_sym_EQ,
  [414578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11920), 1,
      anon_sym_EQ_GT,
  [414585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11922), 1,
      anon_sym_RBRACE,
  [414592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11924), 1,
      anon_sym_RBRACE,
  [414599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11924), 1,
      anon_sym_RPAREN,
  [414606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11926), 1,
      anon_sym_EQ_GT,
  [414613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11928), 1,
      anon_sym_LPAREN,
  [414620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11930), 1,
      anon_sym_RBRACE,
  [414627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11932), 1,
      sym_identifier,
  [414634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11934), 1,
      sym_identifier,
  [414641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11936), 1,
      sym_identifier,
  [414648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_DOT,
  [414655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11938), 1,
      sym_identifier,
  [414662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11940), 1,
      sym_identifier,
  [414669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11942), 1,
      anon_sym_RBRACE,
  [414676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11942), 1,
      anon_sym_RPAREN,
  [414683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11944), 1,
      anon_sym_EQ_GT,
  [414690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11946), 1,
      anon_sym_EQ_GT,
  [414697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_RBRACE,
  [414704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11916), 1,
      anon_sym_RBRACE,
  [414711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11950), 1,
      sym_identifier,
  [414718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11952), 1,
      sym_identifier,
  [414725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11954), 1,
      sym_identifier,
  [414732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11956), 1,
      sym_identifier,
  [414739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11958), 1,
      sym_identifier,
  [414746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11960), 1,
      sym_identifier,
  [414753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11962), 1,
      sym_identifier,
  [414760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11964), 1,
      sym_identifier,
  [414767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11966), 1,
      sym_identifier,
  [414774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11968), 1,
      anon_sym_RBRACK,
  [414781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11970), 1,
      sym_identifier,
  [414788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11972), 1,
      sym_identifier,
  [414795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11974), 1,
      sym_identifier,
  [414802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11976), 1,
      sym_identifier,
  [414809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11978), 1,
      sym_identifier,
  [414816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11980), 1,
      anon_sym_RBRACK,
  [414823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11982), 1,
      sym_identifier,
  [414830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11984), 1,
      sym_identifier,
  [414837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11986), 1,
      sym_identifier,
  [414844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11988), 1,
      anon_sym_RBRACE,
  [414851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11990), 1,
      anon_sym_RBRACE,
  [414858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11992), 1,
      anon_sym_EQ_GT,
  [414865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11994), 1,
      sym_identifier,
  [414872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11996), 1,
      anon_sym_EQ_GT,
  [414879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11998), 1,
      anon_sym_EQ_GT,
  [414886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12000), 1,
      sym_identifier,
  [414893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12002), 1,
      anon_sym_RBRACE,
  [414900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12004), 1,
      anon_sym_RBRACE,
  [414907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12004), 1,
      anon_sym_RPAREN,
  [414914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12006), 1,
      sym_identifier,
  [414921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12008), 1,
      sym_identifier,
  [414928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12010), 1,
      sym_identifier,
  [414935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12012), 1,
      sym_identifier,
  [414942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12014), 1,
      sym_identifier,
  [414949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12016), 1,
      sym_identifier,
  [414956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12018), 1,
      anon_sym_RBRACE,
  [414963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12020), 1,
      sym_identifier,
  [414970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12022), 1,
      sym_identifier,
  [414977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12024), 1,
      sym_identifier,
  [414984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12026), 1,
      sym_identifier,
  [414991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12028), 1,
      sym_identifier,
  [414998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12030), 1,
      sym_identifier,
  [415005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12032), 1,
      anon_sym_EQ_GT,
  [415012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      anon_sym_RBRACE,
  [415019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12036), 1,
      sym_identifier,
  [415026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      sym_identifier,
  [415033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12040), 1,
      sym_identifier,
  [415040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12042), 1,
      sym_identifier,
  [415047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12044), 1,
      sym_identifier,
  [415054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12046), 1,
      sym_identifier,
  [415061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12048), 1,
      sym_identifier,
  [415068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12050), 1,
      sym_identifier,
  [415075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      sym_identifier,
  [415082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12054), 1,
      sym_identifier,
  [415089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12056), 1,
      anon_sym_RBRACE,
  [415096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12058), 1,
      sym_identifier,
  [415103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12056), 1,
      anon_sym_RPAREN,
  [415110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 1,
      sym_identifier,
  [415117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12062), 1,
      sym_identifier,
  [415124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12064), 1,
      anon_sym_EQ_GT,
  [415131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12066), 1,
      anon_sym_RBRACE,
  [415138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12068), 1,
      sym_identifier,
  [415145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12070), 1,
      anon_sym_RPAREN,
  [415152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12072), 1,
      sym_identifier,
  [415159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      sym_identifier,
  [415166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12076), 1,
      sym_identifier,
  [415173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12078), 1,
      sym_identifier,
  [415180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12080), 1,
      anon_sym_RBRACK,
  [415187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12082), 1,
      anon_sym_RPAREN,
  [415194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12084), 1,
      sym_identifier,
  [415201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12086), 1,
      anon_sym_EQ,
  [415208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12088), 1,
      anon_sym_RBRACK,
  [415215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12090), 1,
      sym_identifier,
  [415222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12092), 1,
      sym_identifier,
  [415229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12094), 1,
      sym_identifier,
  [415236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12096), 1,
      anon_sym_EQ_GT,
  [415243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12098), 1,
      sym_identifier,
  [415250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12100), 1,
      sym_identifier,
  [415257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12102), 1,
      sym_identifier,
  [415264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12104), 1,
      sym_identifier,
  [415271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12106), 1,
      sym_identifier,
  [415278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      sym_identifier,
  [415285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      sym_identifier,
  [415292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12112), 1,
      sym_identifier,
  [415299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12114), 1,
      sym_identifier,
  [415306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12116), 1,
      sym_identifier,
  [415313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12118), 1,
      sym_identifier,
  [415320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12120), 1,
      sym_identifier,
  [415327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12122), 1,
      sym_identifier,
  [415334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12124), 1,
      sym_identifier,
  [415341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12126), 1,
      sym_identifier,
  [415348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12128), 1,
      sym_identifier,
  [415355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12130), 1,
      anon_sym_RBRACK,
  [415362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      sym_identifier,
  [415369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12134), 1,
      sym_identifier,
  [415376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12136), 1,
      sym_identifier,
  [415383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12070), 1,
      anon_sym_RBRACE,
  [415390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12138), 1,
      sym_identifier,
  [415397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12140), 1,
      sym_identifier,
  [415404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12142), 1,
      anon_sym_RBRACE,
  [415411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12144), 1,
      anon_sym_LPAREN,
  [415418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12146), 1,
      anon_sym_EQ_GT,
  [415425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12148), 1,
      sym_identifier,
  [415432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12150), 1,
      sym_identifier,
  [415439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      sym_identifier,
  [415446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12154), 1,
      sym_identifier,
  [415453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12156), 1,
      sym_identifier,
  [415460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12158), 1,
      sym_identifier,
  [415467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 1,
      anon_sym_DOT,
  [415474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12160), 1,
      anon_sym_RBRACE,
  [415481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12162), 1,
      sym_identifier,
  [415488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12164), 1,
      sym_identifier,
  [415495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12166), 1,
      sym_identifier,
  [415502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12168), 1,
      sym_identifier,
  [415509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12170), 1,
      ts_builtin_sym_end,
  [415516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12172), 1,
      sym_identifier,
  [415523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12174), 1,
      sym_identifier,
  [415530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12176), 1,
      sym_identifier,
  [415537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12178), 1,
      sym_identifier,
  [415544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12180), 1,
      sym_identifier,
  [415551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12182), 1,
      sym_identifier,
  [415558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12184), 1,
      sym_identifier,
  [415565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12186), 1,
      sym_identifier,
  [415572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12188), 1,
      sym_identifier,
  [415579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12190), 1,
      sym_identifier,
  [415586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12192), 1,
      sym_identifier,
  [415593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12194), 1,
      sym_identifier,
  [415600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12082), 1,
      anon_sym_RBRACE,
  [415607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12196), 1,
      sym_identifier,
  [415614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12198), 1,
      sym_identifier,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(191)] = 0,
  [SMALL_STATE(192)] = 109,
  [SMALL_STATE(193)] = 218,
  [SMALL_STATE(194)] = 327,
  [SMALL_STATE(195)] = 430,
  [SMALL_STATE(196)] = 539,
  [SMALL_STATE(197)] = 640,
  [SMALL_STATE(198)] = 743,
  [SMALL_STATE(199)] = 852,
  [SMALL_STATE(200)] = 953,
  [SMALL_STATE(201)] = 1056,
  [SMALL_STATE(202)] = 1165,
  [SMALL_STATE(203)] = 1268,
  [SMALL_STATE(204)] = 1368,
  [SMALL_STATE(205)] = 1470,
  [SMALL_STATE(206)] = 1572,
  [SMALL_STATE(207)] = 1672,
  [SMALL_STATE(208)] = 1780,
  [SMALL_STATE(209)] = 1888,
  [SMALL_STATE(210)] = 1996,
  [SMALL_STATE(211)] = 2104,
  [SMALL_STATE(212)] = 2206,
  [SMALL_STATE(213)] = 2308,
  [SMALL_STATE(214)] = 2410,
  [SMALL_STATE(215)] = 2518,
  [SMALL_STATE(216)] = 2626,
  [SMALL_STATE(217)] = 2734,
  [SMALL_STATE(218)] = 2835,
  [SMALL_STATE(219)] = 2942,
  [SMALL_STATE(220)] = 3041,
  [SMALL_STATE(221)] = 3148,
  [SMALL_STATE(222)] = 3255,
  [SMALL_STATE(223)] = 3356,
  [SMALL_STATE(224)] = 3463,
  [SMALL_STATE(225)] = 3570,
  [SMALL_STATE(226)] = 3671,
  [SMALL_STATE(227)] = 3772,
  [SMALL_STATE(228)] = 3871,
  [SMALL_STATE(229)] = 3978,
  [SMALL_STATE(230)] = 4084,
  [SMALL_STATE(231)] = 4190,
  [SMALL_STATE(232)] = 4296,
  [SMALL_STATE(233)] = 4394,
  [SMALL_STATE(234)] = 4492,
  [SMALL_STATE(235)] = 4592,
  [SMALL_STATE(236)] = 4692,
  [SMALL_STATE(237)] = 4792,
  [SMALL_STATE(238)] = 4898,
  [SMALL_STATE(239)] = 5004,
  [SMALL_STATE(240)] = 5109,
  [SMALL_STATE(241)] = 5214,
  [SMALL_STATE(242)] = 5311,
  [SMALL_STATE(243)] = 5410,
  [SMALL_STATE(244)] = 5515,
  [SMALL_STATE(245)] = 5614,
  [SMALL_STATE(246)] = 5710,
  [SMALL_STATE(247)] = 5814,
  [SMALL_STATE(248)] = 5916,
  [SMALL_STATE(249)] = 6018,
  [SMALL_STATE(250)] = 6120,
  [SMALL_STATE(251)] = 6222,
  [SMALL_STATE(252)] = 6324,
  [SMALL_STATE(253)] = 6426,
  [SMALL_STATE(254)] = 6528,
  [SMALL_STATE(255)] = 6630,
  [SMALL_STATE(256)] = 6732,
  [SMALL_STATE(257)] = 6834,
  [SMALL_STATE(258)] = 6936,
  [SMALL_STATE(259)] = 7038,
  [SMALL_STATE(260)] = 7140,
  [SMALL_STATE(261)] = 7242,
  [SMALL_STATE(262)] = 7344,
  [SMALL_STATE(263)] = 7446,
  [SMALL_STATE(264)] = 7548,
  [SMALL_STATE(265)] = 7650,
  [SMALL_STATE(266)] = 7752,
  [SMALL_STATE(267)] = 7854,
  [SMALL_STATE(268)] = 7956,
  [SMALL_STATE(269)] = 8058,
  [SMALL_STATE(270)] = 8160,
  [SMALL_STATE(271)] = 8262,
  [SMALL_STATE(272)] = 8361,
  [SMALL_STATE(273)] = 8460,
  [SMALL_STATE(274)] = 8559,
  [SMALL_STATE(275)] = 8658,
  [SMALL_STATE(276)] = 8757,
  [SMALL_STATE(277)] = 8856,
  [SMALL_STATE(278)] = 8955,
  [SMALL_STATE(279)] = 9054,
  [SMALL_STATE(280)] = 9153,
  [SMALL_STATE(281)] = 9252,
  [SMALL_STATE(282)] = 9351,
  [SMALL_STATE(283)] = 9450,
  [SMALL_STATE(284)] = 9549,
  [SMALL_STATE(285)] = 9648,
  [SMALL_STATE(286)] = 9747,
  [SMALL_STATE(287)] = 9846,
  [SMALL_STATE(288)] = 9945,
  [SMALL_STATE(289)] = 10044,
  [SMALL_STATE(290)] = 10143,
  [SMALL_STATE(291)] = 10242,
  [SMALL_STATE(292)] = 10341,
  [SMALL_STATE(293)] = 10440,
  [SMALL_STATE(294)] = 10539,
  [SMALL_STATE(295)] = 10638,
  [SMALL_STATE(296)] = 10737,
  [SMALL_STATE(297)] = 10836,
  [SMALL_STATE(298)] = 10935,
  [SMALL_STATE(299)] = 11034,
  [SMALL_STATE(300)] = 11133,
  [SMALL_STATE(301)] = 11232,
  [SMALL_STATE(302)] = 11331,
  [SMALL_STATE(303)] = 11430,
  [SMALL_STATE(304)] = 11529,
  [SMALL_STATE(305)] = 11628,
  [SMALL_STATE(306)] = 11727,
  [SMALL_STATE(307)] = 11826,
  [SMALL_STATE(308)] = 11925,
  [SMALL_STATE(309)] = 12024,
  [SMALL_STATE(310)] = 12123,
  [SMALL_STATE(311)] = 12222,
  [SMALL_STATE(312)] = 12321,
  [SMALL_STATE(313)] = 12420,
  [SMALL_STATE(314)] = 12519,
  [SMALL_STATE(315)] = 12618,
  [SMALL_STATE(316)] = 12717,
  [SMALL_STATE(317)] = 12816,
  [SMALL_STATE(318)] = 12915,
  [SMALL_STATE(319)] = 13014,
  [SMALL_STATE(320)] = 13113,
  [SMALL_STATE(321)] = 13212,
  [SMALL_STATE(322)] = 13311,
  [SMALL_STATE(323)] = 13410,
  [SMALL_STATE(324)] = 13509,
  [SMALL_STATE(325)] = 13608,
  [SMALL_STATE(326)] = 13707,
  [SMALL_STATE(327)] = 13806,
  [SMALL_STATE(328)] = 13905,
  [SMALL_STATE(329)] = 14004,
  [SMALL_STATE(330)] = 14103,
  [SMALL_STATE(331)] = 14202,
  [SMALL_STATE(332)] = 14301,
  [SMALL_STATE(333)] = 14400,
  [SMALL_STATE(334)] = 14499,
  [SMALL_STATE(335)] = 14598,
  [SMALL_STATE(336)] = 14697,
  [SMALL_STATE(337)] = 14796,
  [SMALL_STATE(338)] = 14895,
  [SMALL_STATE(339)] = 14994,
  [SMALL_STATE(340)] = 15093,
  [SMALL_STATE(341)] = 15192,
  [SMALL_STATE(342)] = 15291,
  [SMALL_STATE(343)] = 15390,
  [SMALL_STATE(344)] = 15489,
  [SMALL_STATE(345)] = 15588,
  [SMALL_STATE(346)] = 15687,
  [SMALL_STATE(347)] = 15786,
  [SMALL_STATE(348)] = 15885,
  [SMALL_STATE(349)] = 15984,
  [SMALL_STATE(350)] = 16083,
  [SMALL_STATE(351)] = 16182,
  [SMALL_STATE(352)] = 16281,
  [SMALL_STATE(353)] = 16380,
  [SMALL_STATE(354)] = 16479,
  [SMALL_STATE(355)] = 16578,
  [SMALL_STATE(356)] = 16677,
  [SMALL_STATE(357)] = 16776,
  [SMALL_STATE(358)] = 16875,
  [SMALL_STATE(359)] = 16974,
  [SMALL_STATE(360)] = 17073,
  [SMALL_STATE(361)] = 17172,
  [SMALL_STATE(362)] = 17271,
  [SMALL_STATE(363)] = 17370,
  [SMALL_STATE(364)] = 17469,
  [SMALL_STATE(365)] = 17568,
  [SMALL_STATE(366)] = 17667,
  [SMALL_STATE(367)] = 17766,
  [SMALL_STATE(368)] = 17865,
  [SMALL_STATE(369)] = 17964,
  [SMALL_STATE(370)] = 18063,
  [SMALL_STATE(371)] = 18162,
  [SMALL_STATE(372)] = 18261,
  [SMALL_STATE(373)] = 18360,
  [SMALL_STATE(374)] = 18459,
  [SMALL_STATE(375)] = 18558,
  [SMALL_STATE(376)] = 18657,
  [SMALL_STATE(377)] = 18756,
  [SMALL_STATE(378)] = 18855,
  [SMALL_STATE(379)] = 18954,
  [SMALL_STATE(380)] = 19053,
  [SMALL_STATE(381)] = 19152,
  [SMALL_STATE(382)] = 19251,
  [SMALL_STATE(383)] = 19350,
  [SMALL_STATE(384)] = 19449,
  [SMALL_STATE(385)] = 19548,
  [SMALL_STATE(386)] = 19647,
  [SMALL_STATE(387)] = 19746,
  [SMALL_STATE(388)] = 19845,
  [SMALL_STATE(389)] = 19944,
  [SMALL_STATE(390)] = 20043,
  [SMALL_STATE(391)] = 20142,
  [SMALL_STATE(392)] = 20241,
  [SMALL_STATE(393)] = 20340,
  [SMALL_STATE(394)] = 20439,
  [SMALL_STATE(395)] = 20538,
  [SMALL_STATE(396)] = 20637,
  [SMALL_STATE(397)] = 20736,
  [SMALL_STATE(398)] = 20832,
  [SMALL_STATE(399)] = 20928,
  [SMALL_STATE(400)] = 21024,
  [SMALL_STATE(401)] = 21120,
  [SMALL_STATE(402)] = 21216,
  [SMALL_STATE(403)] = 21312,
  [SMALL_STATE(404)] = 21408,
  [SMALL_STATE(405)] = 21504,
  [SMALL_STATE(406)] = 21600,
  [SMALL_STATE(407)] = 21696,
  [SMALL_STATE(408)] = 21792,
  [SMALL_STATE(409)] = 21888,
  [SMALL_STATE(410)] = 21984,
  [SMALL_STATE(411)] = 22080,
  [SMALL_STATE(412)] = 22176,
  [SMALL_STATE(413)] = 22272,
  [SMALL_STATE(414)] = 22368,
  [SMALL_STATE(415)] = 22464,
  [SMALL_STATE(416)] = 22560,
  [SMALL_STATE(417)] = 22656,
  [SMALL_STATE(418)] = 22752,
  [SMALL_STATE(419)] = 22848,
  [SMALL_STATE(420)] = 22944,
  [SMALL_STATE(421)] = 23040,
  [SMALL_STATE(422)] = 23136,
  [SMALL_STATE(423)] = 23232,
  [SMALL_STATE(424)] = 23328,
  [SMALL_STATE(425)] = 23424,
  [SMALL_STATE(426)] = 23520,
  [SMALL_STATE(427)] = 23616,
  [SMALL_STATE(428)] = 23712,
  [SMALL_STATE(429)] = 23808,
  [SMALL_STATE(430)] = 23904,
  [SMALL_STATE(431)] = 24000,
  [SMALL_STATE(432)] = 24096,
  [SMALL_STATE(433)] = 24192,
  [SMALL_STATE(434)] = 24288,
  [SMALL_STATE(435)] = 24384,
  [SMALL_STATE(436)] = 24480,
  [SMALL_STATE(437)] = 24576,
  [SMALL_STATE(438)] = 24672,
  [SMALL_STATE(439)] = 24768,
  [SMALL_STATE(440)] = 24864,
  [SMALL_STATE(441)] = 24960,
  [SMALL_STATE(442)] = 25056,
  [SMALL_STATE(443)] = 25152,
  [SMALL_STATE(444)] = 25248,
  [SMALL_STATE(445)] = 25344,
  [SMALL_STATE(446)] = 25440,
  [SMALL_STATE(447)] = 25536,
  [SMALL_STATE(448)] = 25632,
  [SMALL_STATE(449)] = 25728,
  [SMALL_STATE(450)] = 25824,
  [SMALL_STATE(451)] = 25920,
  [SMALL_STATE(452)] = 26016,
  [SMALL_STATE(453)] = 26112,
  [SMALL_STATE(454)] = 26208,
  [SMALL_STATE(455)] = 26304,
  [SMALL_STATE(456)] = 26400,
  [SMALL_STATE(457)] = 26496,
  [SMALL_STATE(458)] = 26592,
  [SMALL_STATE(459)] = 26688,
  [SMALL_STATE(460)] = 26784,
  [SMALL_STATE(461)] = 26880,
  [SMALL_STATE(462)] = 26976,
  [SMALL_STATE(463)] = 27072,
  [SMALL_STATE(464)] = 27168,
  [SMALL_STATE(465)] = 27264,
  [SMALL_STATE(466)] = 27360,
  [SMALL_STATE(467)] = 27456,
  [SMALL_STATE(468)] = 27552,
  [SMALL_STATE(469)] = 27648,
  [SMALL_STATE(470)] = 27744,
  [SMALL_STATE(471)] = 27840,
  [SMALL_STATE(472)] = 27936,
  [SMALL_STATE(473)] = 28032,
  [SMALL_STATE(474)] = 28128,
  [SMALL_STATE(475)] = 28224,
  [SMALL_STATE(476)] = 28320,
  [SMALL_STATE(477)] = 28416,
  [SMALL_STATE(478)] = 28512,
  [SMALL_STATE(479)] = 28608,
  [SMALL_STATE(480)] = 28704,
  [SMALL_STATE(481)] = 28800,
  [SMALL_STATE(482)] = 28896,
  [SMALL_STATE(483)] = 28992,
  [SMALL_STATE(484)] = 29088,
  [SMALL_STATE(485)] = 29184,
  [SMALL_STATE(486)] = 29280,
  [SMALL_STATE(487)] = 29376,
  [SMALL_STATE(488)] = 29472,
  [SMALL_STATE(489)] = 29568,
  [SMALL_STATE(490)] = 29664,
  [SMALL_STATE(491)] = 29760,
  [SMALL_STATE(492)] = 29856,
  [SMALL_STATE(493)] = 29952,
  [SMALL_STATE(494)] = 30048,
  [SMALL_STATE(495)] = 30144,
  [SMALL_STATE(496)] = 30240,
  [SMALL_STATE(497)] = 30336,
  [SMALL_STATE(498)] = 30432,
  [SMALL_STATE(499)] = 30528,
  [SMALL_STATE(500)] = 30624,
  [SMALL_STATE(501)] = 30720,
  [SMALL_STATE(502)] = 30816,
  [SMALL_STATE(503)] = 30912,
  [SMALL_STATE(504)] = 31008,
  [SMALL_STATE(505)] = 31104,
  [SMALL_STATE(506)] = 31200,
  [SMALL_STATE(507)] = 31296,
  [SMALL_STATE(508)] = 31392,
  [SMALL_STATE(509)] = 31488,
  [SMALL_STATE(510)] = 31584,
  [SMALL_STATE(511)] = 31680,
  [SMALL_STATE(512)] = 31776,
  [SMALL_STATE(513)] = 31872,
  [SMALL_STATE(514)] = 31968,
  [SMALL_STATE(515)] = 32064,
  [SMALL_STATE(516)] = 32160,
  [SMALL_STATE(517)] = 32256,
  [SMALL_STATE(518)] = 32352,
  [SMALL_STATE(519)] = 32448,
  [SMALL_STATE(520)] = 32544,
  [SMALL_STATE(521)] = 32640,
  [SMALL_STATE(522)] = 32736,
  [SMALL_STATE(523)] = 32832,
  [SMALL_STATE(524)] = 32928,
  [SMALL_STATE(525)] = 33024,
  [SMALL_STATE(526)] = 33120,
  [SMALL_STATE(527)] = 33216,
  [SMALL_STATE(528)] = 33312,
  [SMALL_STATE(529)] = 33408,
  [SMALL_STATE(530)] = 33504,
  [SMALL_STATE(531)] = 33600,
  [SMALL_STATE(532)] = 33696,
  [SMALL_STATE(533)] = 33792,
  [SMALL_STATE(534)] = 33888,
  [SMALL_STATE(535)] = 33984,
  [SMALL_STATE(536)] = 34080,
  [SMALL_STATE(537)] = 34176,
  [SMALL_STATE(538)] = 34272,
  [SMALL_STATE(539)] = 34368,
  [SMALL_STATE(540)] = 34464,
  [SMALL_STATE(541)] = 34560,
  [SMALL_STATE(542)] = 34656,
  [SMALL_STATE(543)] = 34752,
  [SMALL_STATE(544)] = 34848,
  [SMALL_STATE(545)] = 34944,
  [SMALL_STATE(546)] = 35040,
  [SMALL_STATE(547)] = 35136,
  [SMALL_STATE(548)] = 35232,
  [SMALL_STATE(549)] = 35328,
  [SMALL_STATE(550)] = 35424,
  [SMALL_STATE(551)] = 35520,
  [SMALL_STATE(552)] = 35616,
  [SMALL_STATE(553)] = 35712,
  [SMALL_STATE(554)] = 35808,
  [SMALL_STATE(555)] = 35904,
  [SMALL_STATE(556)] = 36000,
  [SMALL_STATE(557)] = 36096,
  [SMALL_STATE(558)] = 36192,
  [SMALL_STATE(559)] = 36288,
  [SMALL_STATE(560)] = 36384,
  [SMALL_STATE(561)] = 36480,
  [SMALL_STATE(562)] = 36576,
  [SMALL_STATE(563)] = 36672,
  [SMALL_STATE(564)] = 36768,
  [SMALL_STATE(565)] = 36864,
  [SMALL_STATE(566)] = 36960,
  [SMALL_STATE(567)] = 37056,
  [SMALL_STATE(568)] = 37152,
  [SMALL_STATE(569)] = 37248,
  [SMALL_STATE(570)] = 37344,
  [SMALL_STATE(571)] = 37440,
  [SMALL_STATE(572)] = 37536,
  [SMALL_STATE(573)] = 37632,
  [SMALL_STATE(574)] = 37728,
  [SMALL_STATE(575)] = 37824,
  [SMALL_STATE(576)] = 37920,
  [SMALL_STATE(577)] = 38016,
  [SMALL_STATE(578)] = 38112,
  [SMALL_STATE(579)] = 38208,
  [SMALL_STATE(580)] = 38304,
  [SMALL_STATE(581)] = 38400,
  [SMALL_STATE(582)] = 38496,
  [SMALL_STATE(583)] = 38592,
  [SMALL_STATE(584)] = 38688,
  [SMALL_STATE(585)] = 38784,
  [SMALL_STATE(586)] = 38880,
  [SMALL_STATE(587)] = 38976,
  [SMALL_STATE(588)] = 39072,
  [SMALL_STATE(589)] = 39168,
  [SMALL_STATE(590)] = 39264,
  [SMALL_STATE(591)] = 39360,
  [SMALL_STATE(592)] = 39456,
  [SMALL_STATE(593)] = 39552,
  [SMALL_STATE(594)] = 39648,
  [SMALL_STATE(595)] = 39744,
  [SMALL_STATE(596)] = 39840,
  [SMALL_STATE(597)] = 39936,
  [SMALL_STATE(598)] = 40032,
  [SMALL_STATE(599)] = 40128,
  [SMALL_STATE(600)] = 40224,
  [SMALL_STATE(601)] = 40320,
  [SMALL_STATE(602)] = 40416,
  [SMALL_STATE(603)] = 40512,
  [SMALL_STATE(604)] = 40608,
  [SMALL_STATE(605)] = 40704,
  [SMALL_STATE(606)] = 40800,
  [SMALL_STATE(607)] = 40896,
  [SMALL_STATE(608)] = 40992,
  [SMALL_STATE(609)] = 41088,
  [SMALL_STATE(610)] = 41184,
  [SMALL_STATE(611)] = 41280,
  [SMALL_STATE(612)] = 41376,
  [SMALL_STATE(613)] = 41472,
  [SMALL_STATE(614)] = 41568,
  [SMALL_STATE(615)] = 41664,
  [SMALL_STATE(616)] = 41760,
  [SMALL_STATE(617)] = 41856,
  [SMALL_STATE(618)] = 41952,
  [SMALL_STATE(619)] = 42048,
  [SMALL_STATE(620)] = 42144,
  [SMALL_STATE(621)] = 42240,
  [SMALL_STATE(622)] = 42336,
  [SMALL_STATE(623)] = 42432,
  [SMALL_STATE(624)] = 42528,
  [SMALL_STATE(625)] = 42624,
  [SMALL_STATE(626)] = 42720,
  [SMALL_STATE(627)] = 42816,
  [SMALL_STATE(628)] = 42912,
  [SMALL_STATE(629)] = 43008,
  [SMALL_STATE(630)] = 43104,
  [SMALL_STATE(631)] = 43200,
  [SMALL_STATE(632)] = 43296,
  [SMALL_STATE(633)] = 43392,
  [SMALL_STATE(634)] = 43488,
  [SMALL_STATE(635)] = 43584,
  [SMALL_STATE(636)] = 43680,
  [SMALL_STATE(637)] = 43776,
  [SMALL_STATE(638)] = 43872,
  [SMALL_STATE(639)] = 43968,
  [SMALL_STATE(640)] = 44064,
  [SMALL_STATE(641)] = 44160,
  [SMALL_STATE(642)] = 44256,
  [SMALL_STATE(643)] = 44352,
  [SMALL_STATE(644)] = 44448,
  [SMALL_STATE(645)] = 44544,
  [SMALL_STATE(646)] = 44640,
  [SMALL_STATE(647)] = 44736,
  [SMALL_STATE(648)] = 44832,
  [SMALL_STATE(649)] = 44928,
  [SMALL_STATE(650)] = 45024,
  [SMALL_STATE(651)] = 45120,
  [SMALL_STATE(652)] = 45216,
  [SMALL_STATE(653)] = 45312,
  [SMALL_STATE(654)] = 45408,
  [SMALL_STATE(655)] = 45504,
  [SMALL_STATE(656)] = 45600,
  [SMALL_STATE(657)] = 45696,
  [SMALL_STATE(658)] = 45792,
  [SMALL_STATE(659)] = 45888,
  [SMALL_STATE(660)] = 45984,
  [SMALL_STATE(661)] = 46080,
  [SMALL_STATE(662)] = 46176,
  [SMALL_STATE(663)] = 46272,
  [SMALL_STATE(664)] = 46368,
  [SMALL_STATE(665)] = 46464,
  [SMALL_STATE(666)] = 46560,
  [SMALL_STATE(667)] = 46656,
  [SMALL_STATE(668)] = 46752,
  [SMALL_STATE(669)] = 46848,
  [SMALL_STATE(670)] = 46944,
  [SMALL_STATE(671)] = 47040,
  [SMALL_STATE(672)] = 47136,
  [SMALL_STATE(673)] = 47232,
  [SMALL_STATE(674)] = 47328,
  [SMALL_STATE(675)] = 47424,
  [SMALL_STATE(676)] = 47520,
  [SMALL_STATE(677)] = 47616,
  [SMALL_STATE(678)] = 47712,
  [SMALL_STATE(679)] = 47808,
  [SMALL_STATE(680)] = 47904,
  [SMALL_STATE(681)] = 48000,
  [SMALL_STATE(682)] = 48096,
  [SMALL_STATE(683)] = 48192,
  [SMALL_STATE(684)] = 48288,
  [SMALL_STATE(685)] = 48384,
  [SMALL_STATE(686)] = 48480,
  [SMALL_STATE(687)] = 48576,
  [SMALL_STATE(688)] = 48672,
  [SMALL_STATE(689)] = 48768,
  [SMALL_STATE(690)] = 48864,
  [SMALL_STATE(691)] = 48960,
  [SMALL_STATE(692)] = 49056,
  [SMALL_STATE(693)] = 49152,
  [SMALL_STATE(694)] = 49248,
  [SMALL_STATE(695)] = 49344,
  [SMALL_STATE(696)] = 49440,
  [SMALL_STATE(697)] = 49536,
  [SMALL_STATE(698)] = 49632,
  [SMALL_STATE(699)] = 49728,
  [SMALL_STATE(700)] = 49824,
  [SMALL_STATE(701)] = 49920,
  [SMALL_STATE(702)] = 50016,
  [SMALL_STATE(703)] = 50112,
  [SMALL_STATE(704)] = 50208,
  [SMALL_STATE(705)] = 50304,
  [SMALL_STATE(706)] = 50400,
  [SMALL_STATE(707)] = 50496,
  [SMALL_STATE(708)] = 50592,
  [SMALL_STATE(709)] = 50688,
  [SMALL_STATE(710)] = 50784,
  [SMALL_STATE(711)] = 50880,
  [SMALL_STATE(712)] = 50976,
  [SMALL_STATE(713)] = 51072,
  [SMALL_STATE(714)] = 51168,
  [SMALL_STATE(715)] = 51264,
  [SMALL_STATE(716)] = 51360,
  [SMALL_STATE(717)] = 51456,
  [SMALL_STATE(718)] = 51552,
  [SMALL_STATE(719)] = 51648,
  [SMALL_STATE(720)] = 51744,
  [SMALL_STATE(721)] = 51840,
  [SMALL_STATE(722)] = 51936,
  [SMALL_STATE(723)] = 52032,
  [SMALL_STATE(724)] = 52128,
  [SMALL_STATE(725)] = 52224,
  [SMALL_STATE(726)] = 52320,
  [SMALL_STATE(727)] = 52416,
  [SMALL_STATE(728)] = 52512,
  [SMALL_STATE(729)] = 52608,
  [SMALL_STATE(730)] = 52704,
  [SMALL_STATE(731)] = 52800,
  [SMALL_STATE(732)] = 52896,
  [SMALL_STATE(733)] = 52992,
  [SMALL_STATE(734)] = 53088,
  [SMALL_STATE(735)] = 53184,
  [SMALL_STATE(736)] = 53280,
  [SMALL_STATE(737)] = 53376,
  [SMALL_STATE(738)] = 53472,
  [SMALL_STATE(739)] = 53568,
  [SMALL_STATE(740)] = 53664,
  [SMALL_STATE(741)] = 53760,
  [SMALL_STATE(742)] = 53856,
  [SMALL_STATE(743)] = 53952,
  [SMALL_STATE(744)] = 54048,
  [SMALL_STATE(745)] = 54144,
  [SMALL_STATE(746)] = 54240,
  [SMALL_STATE(747)] = 54336,
  [SMALL_STATE(748)] = 54432,
  [SMALL_STATE(749)] = 54528,
  [SMALL_STATE(750)] = 54624,
  [SMALL_STATE(751)] = 54720,
  [SMALL_STATE(752)] = 54816,
  [SMALL_STATE(753)] = 54912,
  [SMALL_STATE(754)] = 55008,
  [SMALL_STATE(755)] = 55104,
  [SMALL_STATE(756)] = 55200,
  [SMALL_STATE(757)] = 55296,
  [SMALL_STATE(758)] = 55392,
  [SMALL_STATE(759)] = 55488,
  [SMALL_STATE(760)] = 55584,
  [SMALL_STATE(761)] = 55680,
  [SMALL_STATE(762)] = 55776,
  [SMALL_STATE(763)] = 55872,
  [SMALL_STATE(764)] = 55968,
  [SMALL_STATE(765)] = 56064,
  [SMALL_STATE(766)] = 56160,
  [SMALL_STATE(767)] = 56256,
  [SMALL_STATE(768)] = 56352,
  [SMALL_STATE(769)] = 56448,
  [SMALL_STATE(770)] = 56544,
  [SMALL_STATE(771)] = 56640,
  [SMALL_STATE(772)] = 56736,
  [SMALL_STATE(773)] = 56832,
  [SMALL_STATE(774)] = 56928,
  [SMALL_STATE(775)] = 57024,
  [SMALL_STATE(776)] = 57120,
  [SMALL_STATE(777)] = 57216,
  [SMALL_STATE(778)] = 57312,
  [SMALL_STATE(779)] = 57408,
  [SMALL_STATE(780)] = 57504,
  [SMALL_STATE(781)] = 57600,
  [SMALL_STATE(782)] = 57696,
  [SMALL_STATE(783)] = 57792,
  [SMALL_STATE(784)] = 57888,
  [SMALL_STATE(785)] = 57984,
  [SMALL_STATE(786)] = 58080,
  [SMALL_STATE(787)] = 58176,
  [SMALL_STATE(788)] = 58272,
  [SMALL_STATE(789)] = 58368,
  [SMALL_STATE(790)] = 58464,
  [SMALL_STATE(791)] = 58560,
  [SMALL_STATE(792)] = 58656,
  [SMALL_STATE(793)] = 58752,
  [SMALL_STATE(794)] = 58848,
  [SMALL_STATE(795)] = 58944,
  [SMALL_STATE(796)] = 59040,
  [SMALL_STATE(797)] = 59136,
  [SMALL_STATE(798)] = 59232,
  [SMALL_STATE(799)] = 59328,
  [SMALL_STATE(800)] = 59424,
  [SMALL_STATE(801)] = 59520,
  [SMALL_STATE(802)] = 59616,
  [SMALL_STATE(803)] = 59712,
  [SMALL_STATE(804)] = 59808,
  [SMALL_STATE(805)] = 59904,
  [SMALL_STATE(806)] = 60000,
  [SMALL_STATE(807)] = 60096,
  [SMALL_STATE(808)] = 60192,
  [SMALL_STATE(809)] = 60288,
  [SMALL_STATE(810)] = 60384,
  [SMALL_STATE(811)] = 60480,
  [SMALL_STATE(812)] = 60576,
  [SMALL_STATE(813)] = 60672,
  [SMALL_STATE(814)] = 60768,
  [SMALL_STATE(815)] = 60864,
  [SMALL_STATE(816)] = 60960,
  [SMALL_STATE(817)] = 61056,
  [SMALL_STATE(818)] = 61152,
  [SMALL_STATE(819)] = 61248,
  [SMALL_STATE(820)] = 61344,
  [SMALL_STATE(821)] = 61440,
  [SMALL_STATE(822)] = 61536,
  [SMALL_STATE(823)] = 61632,
  [SMALL_STATE(824)] = 61728,
  [SMALL_STATE(825)] = 61824,
  [SMALL_STATE(826)] = 61920,
  [SMALL_STATE(827)] = 62016,
  [SMALL_STATE(828)] = 62112,
  [SMALL_STATE(829)] = 62208,
  [SMALL_STATE(830)] = 62304,
  [SMALL_STATE(831)] = 62400,
  [SMALL_STATE(832)] = 62496,
  [SMALL_STATE(833)] = 62592,
  [SMALL_STATE(834)] = 62688,
  [SMALL_STATE(835)] = 62784,
  [SMALL_STATE(836)] = 62880,
  [SMALL_STATE(837)] = 62976,
  [SMALL_STATE(838)] = 63072,
  [SMALL_STATE(839)] = 63168,
  [SMALL_STATE(840)] = 63264,
  [SMALL_STATE(841)] = 63360,
  [SMALL_STATE(842)] = 63456,
  [SMALL_STATE(843)] = 63552,
  [SMALL_STATE(844)] = 63648,
  [SMALL_STATE(845)] = 63744,
  [SMALL_STATE(846)] = 63840,
  [SMALL_STATE(847)] = 63936,
  [SMALL_STATE(848)] = 64032,
  [SMALL_STATE(849)] = 64128,
  [SMALL_STATE(850)] = 64224,
  [SMALL_STATE(851)] = 64320,
  [SMALL_STATE(852)] = 64416,
  [SMALL_STATE(853)] = 64512,
  [SMALL_STATE(854)] = 64608,
  [SMALL_STATE(855)] = 64704,
  [SMALL_STATE(856)] = 64800,
  [SMALL_STATE(857)] = 64896,
  [SMALL_STATE(858)] = 64992,
  [SMALL_STATE(859)] = 65088,
  [SMALL_STATE(860)] = 65184,
  [SMALL_STATE(861)] = 65280,
  [SMALL_STATE(862)] = 65376,
  [SMALL_STATE(863)] = 65472,
  [SMALL_STATE(864)] = 65568,
  [SMALL_STATE(865)] = 65664,
  [SMALL_STATE(866)] = 65760,
  [SMALL_STATE(867)] = 65856,
  [SMALL_STATE(868)] = 65952,
  [SMALL_STATE(869)] = 66048,
  [SMALL_STATE(870)] = 66144,
  [SMALL_STATE(871)] = 66240,
  [SMALL_STATE(872)] = 66336,
  [SMALL_STATE(873)] = 66432,
  [SMALL_STATE(874)] = 66528,
  [SMALL_STATE(875)] = 66624,
  [SMALL_STATE(876)] = 66720,
  [SMALL_STATE(877)] = 66816,
  [SMALL_STATE(878)] = 66912,
  [SMALL_STATE(879)] = 67008,
  [SMALL_STATE(880)] = 67104,
  [SMALL_STATE(881)] = 67200,
  [SMALL_STATE(882)] = 67296,
  [SMALL_STATE(883)] = 67392,
  [SMALL_STATE(884)] = 67488,
  [SMALL_STATE(885)] = 67584,
  [SMALL_STATE(886)] = 67680,
  [SMALL_STATE(887)] = 67776,
  [SMALL_STATE(888)] = 67872,
  [SMALL_STATE(889)] = 67968,
  [SMALL_STATE(890)] = 68064,
  [SMALL_STATE(891)] = 68160,
  [SMALL_STATE(892)] = 68256,
  [SMALL_STATE(893)] = 68352,
  [SMALL_STATE(894)] = 68448,
  [SMALL_STATE(895)] = 68544,
  [SMALL_STATE(896)] = 68640,
  [SMALL_STATE(897)] = 68736,
  [SMALL_STATE(898)] = 68832,
  [SMALL_STATE(899)] = 68928,
  [SMALL_STATE(900)] = 69024,
  [SMALL_STATE(901)] = 69120,
  [SMALL_STATE(902)] = 69216,
  [SMALL_STATE(903)] = 69312,
  [SMALL_STATE(904)] = 69408,
  [SMALL_STATE(905)] = 69504,
  [SMALL_STATE(906)] = 69600,
  [SMALL_STATE(907)] = 69696,
  [SMALL_STATE(908)] = 69792,
  [SMALL_STATE(909)] = 69888,
  [SMALL_STATE(910)] = 69984,
  [SMALL_STATE(911)] = 70080,
  [SMALL_STATE(912)] = 70176,
  [SMALL_STATE(913)] = 70272,
  [SMALL_STATE(914)] = 70368,
  [SMALL_STATE(915)] = 70464,
  [SMALL_STATE(916)] = 70560,
  [SMALL_STATE(917)] = 70656,
  [SMALL_STATE(918)] = 70752,
  [SMALL_STATE(919)] = 70848,
  [SMALL_STATE(920)] = 70944,
  [SMALL_STATE(921)] = 71040,
  [SMALL_STATE(922)] = 71136,
  [SMALL_STATE(923)] = 71232,
  [SMALL_STATE(924)] = 71328,
  [SMALL_STATE(925)] = 71424,
  [SMALL_STATE(926)] = 71520,
  [SMALL_STATE(927)] = 71616,
  [SMALL_STATE(928)] = 71712,
  [SMALL_STATE(929)] = 71808,
  [SMALL_STATE(930)] = 71904,
  [SMALL_STATE(931)] = 72000,
  [SMALL_STATE(932)] = 72096,
  [SMALL_STATE(933)] = 72192,
  [SMALL_STATE(934)] = 72288,
  [SMALL_STATE(935)] = 72384,
  [SMALL_STATE(936)] = 72480,
  [SMALL_STATE(937)] = 72576,
  [SMALL_STATE(938)] = 72672,
  [SMALL_STATE(939)] = 72768,
  [SMALL_STATE(940)] = 72864,
  [SMALL_STATE(941)] = 72960,
  [SMALL_STATE(942)] = 73056,
  [SMALL_STATE(943)] = 73152,
  [SMALL_STATE(944)] = 73248,
  [SMALL_STATE(945)] = 73344,
  [SMALL_STATE(946)] = 73440,
  [SMALL_STATE(947)] = 73536,
  [SMALL_STATE(948)] = 73632,
  [SMALL_STATE(949)] = 73728,
  [SMALL_STATE(950)] = 73824,
  [SMALL_STATE(951)] = 73920,
  [SMALL_STATE(952)] = 74016,
  [SMALL_STATE(953)] = 74112,
  [SMALL_STATE(954)] = 74208,
  [SMALL_STATE(955)] = 74304,
  [SMALL_STATE(956)] = 74400,
  [SMALL_STATE(957)] = 74496,
  [SMALL_STATE(958)] = 74592,
  [SMALL_STATE(959)] = 74688,
  [SMALL_STATE(960)] = 74784,
  [SMALL_STATE(961)] = 74880,
  [SMALL_STATE(962)] = 74976,
  [SMALL_STATE(963)] = 75072,
  [SMALL_STATE(964)] = 75168,
  [SMALL_STATE(965)] = 75264,
  [SMALL_STATE(966)] = 75360,
  [SMALL_STATE(967)] = 75456,
  [SMALL_STATE(968)] = 75552,
  [SMALL_STATE(969)] = 75648,
  [SMALL_STATE(970)] = 75744,
  [SMALL_STATE(971)] = 75840,
  [SMALL_STATE(972)] = 75936,
  [SMALL_STATE(973)] = 76032,
  [SMALL_STATE(974)] = 76128,
  [SMALL_STATE(975)] = 76224,
  [SMALL_STATE(976)] = 76320,
  [SMALL_STATE(977)] = 76416,
  [SMALL_STATE(978)] = 76512,
  [SMALL_STATE(979)] = 76608,
  [SMALL_STATE(980)] = 76704,
  [SMALL_STATE(981)] = 76800,
  [SMALL_STATE(982)] = 76896,
  [SMALL_STATE(983)] = 76992,
  [SMALL_STATE(984)] = 77088,
  [SMALL_STATE(985)] = 77184,
  [SMALL_STATE(986)] = 77280,
  [SMALL_STATE(987)] = 77376,
  [SMALL_STATE(988)] = 77472,
  [SMALL_STATE(989)] = 77568,
  [SMALL_STATE(990)] = 77664,
  [SMALL_STATE(991)] = 77760,
  [SMALL_STATE(992)] = 77856,
  [SMALL_STATE(993)] = 77952,
  [SMALL_STATE(994)] = 78048,
  [SMALL_STATE(995)] = 78144,
  [SMALL_STATE(996)] = 78240,
  [SMALL_STATE(997)] = 78336,
  [SMALL_STATE(998)] = 78432,
  [SMALL_STATE(999)] = 78528,
  [SMALL_STATE(1000)] = 78624,
  [SMALL_STATE(1001)] = 78720,
  [SMALL_STATE(1002)] = 78816,
  [SMALL_STATE(1003)] = 78912,
  [SMALL_STATE(1004)] = 79008,
  [SMALL_STATE(1005)] = 79104,
  [SMALL_STATE(1006)] = 79200,
  [SMALL_STATE(1007)] = 79296,
  [SMALL_STATE(1008)] = 79392,
  [SMALL_STATE(1009)] = 79488,
  [SMALL_STATE(1010)] = 79584,
  [SMALL_STATE(1011)] = 79680,
  [SMALL_STATE(1012)] = 79776,
  [SMALL_STATE(1013)] = 79872,
  [SMALL_STATE(1014)] = 79968,
  [SMALL_STATE(1015)] = 80064,
  [SMALL_STATE(1016)] = 80160,
  [SMALL_STATE(1017)] = 80256,
  [SMALL_STATE(1018)] = 80352,
  [SMALL_STATE(1019)] = 80448,
  [SMALL_STATE(1020)] = 80544,
  [SMALL_STATE(1021)] = 80640,
  [SMALL_STATE(1022)] = 80736,
  [SMALL_STATE(1023)] = 80832,
  [SMALL_STATE(1024)] = 80928,
  [SMALL_STATE(1025)] = 81024,
  [SMALL_STATE(1026)] = 81120,
  [SMALL_STATE(1027)] = 81216,
  [SMALL_STATE(1028)] = 81312,
  [SMALL_STATE(1029)] = 81408,
  [SMALL_STATE(1030)] = 81504,
  [SMALL_STATE(1031)] = 81600,
  [SMALL_STATE(1032)] = 81696,
  [SMALL_STATE(1033)] = 81792,
  [SMALL_STATE(1034)] = 81888,
  [SMALL_STATE(1035)] = 81984,
  [SMALL_STATE(1036)] = 82080,
  [SMALL_STATE(1037)] = 82176,
  [SMALL_STATE(1038)] = 82272,
  [SMALL_STATE(1039)] = 82368,
  [SMALL_STATE(1040)] = 82464,
  [SMALL_STATE(1041)] = 82560,
  [SMALL_STATE(1042)] = 82656,
  [SMALL_STATE(1043)] = 82752,
  [SMALL_STATE(1044)] = 82848,
  [SMALL_STATE(1045)] = 82944,
  [SMALL_STATE(1046)] = 83040,
  [SMALL_STATE(1047)] = 83136,
  [SMALL_STATE(1048)] = 83232,
  [SMALL_STATE(1049)] = 83328,
  [SMALL_STATE(1050)] = 83424,
  [SMALL_STATE(1051)] = 83510,
  [SMALL_STATE(1052)] = 83596,
  [SMALL_STATE(1053)] = 83665,
  [SMALL_STATE(1054)] = 83734,
  [SMALL_STATE(1055)] = 83803,
  [SMALL_STATE(1056)] = 83862,
  [SMALL_STATE(1057)] = 83931,
  [SMALL_STATE(1058)] = 83990,
  [SMALL_STATE(1059)] = 84049,
  [SMALL_STATE(1060)] = 84108,
  [SMALL_STATE(1061)] = 84172,
  [SMALL_STATE(1062)] = 84230,
  [SMALL_STATE(1063)] = 84294,
  [SMALL_STATE(1064)] = 84370,
  [SMALL_STATE(1065)] = 84438,
  [SMALL_STATE(1066)] = 84506,
  [SMALL_STATE(1067)] = 84564,
  [SMALL_STATE(1068)] = 84622,
  [SMALL_STATE(1069)] = 84686,
  [SMALL_STATE(1070)] = 84744,
  [SMALL_STATE(1071)] = 84808,
  [SMALL_STATE(1072)] = 84876,
  [SMALL_STATE(1073)] = 84952,
  [SMALL_STATE(1074)] = 85010,
  [SMALL_STATE(1075)] = 85078,
  [SMALL_STATE(1076)] = 85136,
  [SMALL_STATE(1077)] = 85187,
  [SMALL_STATE(1078)] = 85244,
  [SMALL_STATE(1079)] = 85303,
  [SMALL_STATE(1080)] = 85378,
  [SMALL_STATE(1081)] = 85435,
  [SMALL_STATE(1082)] = 85492,
  [SMALL_STATE(1083)] = 85551,
  [SMALL_STATE(1084)] = 85610,
  [SMALL_STATE(1085)] = 85669,
  [SMALL_STATE(1086)] = 85728,
  [SMALL_STATE(1087)] = 85795,
  [SMALL_STATE(1088)] = 85846,
  [SMALL_STATE(1089)] = 85905,
  [SMALL_STATE(1090)] = 85964,
  [SMALL_STATE(1091)] = 86021,
  [SMALL_STATE(1092)] = 86072,
  [SMALL_STATE(1093)] = 86123,
  [SMALL_STATE(1094)] = 86182,
  [SMALL_STATE(1095)] = 86239,
  [SMALL_STATE(1096)] = 86298,
  [SMALL_STATE(1097)] = 86349,
  [SMALL_STATE(1098)] = 86408,
  [SMALL_STATE(1099)] = 86467,
  [SMALL_STATE(1100)] = 86524,
  [SMALL_STATE(1101)] = 86583,
  [SMALL_STATE(1102)] = 86634,
  [SMALL_STATE(1103)] = 86685,
  [SMALL_STATE(1104)] = 86736,
  [SMALL_STATE(1105)] = 86799,
  [SMALL_STATE(1106)] = 86868,
  [SMALL_STATE(1107)] = 86927,
  [SMALL_STATE(1108)] = 86986,
  [SMALL_STATE(1109)] = 87045,
  [SMALL_STATE(1110)] = 87112,
  [SMALL_STATE(1111)] = 87171,
  [SMALL_STATE(1112)] = 87234,
  [SMALL_STATE(1113)] = 87291,
  [SMALL_STATE(1114)] = 87354,
  [SMALL_STATE(1115)] = 87425,
  [SMALL_STATE(1116)] = 87484,
  [SMALL_STATE(1117)] = 87543,
  [SMALL_STATE(1118)] = 87610,
  [SMALL_STATE(1119)] = 87685,
  [SMALL_STATE(1120)] = 87748,
  [SMALL_STATE(1121)] = 87807,
  [SMALL_STATE(1122)] = 87866,
  [SMALL_STATE(1123)] = 87925,
  [SMALL_STATE(1124)] = 87984,
  [SMALL_STATE(1125)] = 88041,
  [SMALL_STATE(1126)] = 88100,
  [SMALL_STATE(1127)] = 88167,
  [SMALL_STATE(1128)] = 88226,
  [SMALL_STATE(1129)] = 88292,
  [SMALL_STATE(1130)] = 88358,
  [SMALL_STATE(1131)] = 88414,
  [SMALL_STATE(1132)] = 88480,
  [SMALL_STATE(1133)] = 88546,
  [SMALL_STATE(1134)] = 88604,
  [SMALL_STATE(1135)] = 88670,
  [SMALL_STATE(1136)] = 88744,
  [SMALL_STATE(1137)] = 88798,
  [SMALL_STATE(1138)] = 88864,
  [SMALL_STATE(1139)] = 88920,
  [SMALL_STATE(1140)] = 88986,
  [SMALL_STATE(1141)] = 89052,
  [SMALL_STATE(1142)] = 89118,
  [SMALL_STATE(1143)] = 89168,
  [SMALL_STATE(1144)] = 89234,
  [SMALL_STATE(1145)] = 89288,
  [SMALL_STATE(1146)] = 89340,
  [SMALL_STATE(1147)] = 89390,
  [SMALL_STATE(1148)] = 89456,
  [SMALL_STATE(1149)] = 89512,
  [SMALL_STATE(1150)] = 89562,
  [SMALL_STATE(1151)] = 89612,
  [SMALL_STATE(1152)] = 89660,
  [SMALL_STATE(1153)] = 89718,
  [SMALL_STATE(1154)] = 89776,
  [SMALL_STATE(1155)] = 89826,
  [SMALL_STATE(1156)] = 89872,
  [SMALL_STATE(1157)] = 89926,
  [SMALL_STATE(1158)] = 89992,
  [SMALL_STATE(1159)] = 90062,
  [SMALL_STATE(1160)] = 90120,
  [SMALL_STATE(1161)] = 90186,
  [SMALL_STATE(1162)] = 90244,
  [SMALL_STATE(1163)] = 90294,
  [SMALL_STATE(1164)] = 90362,
  [SMALL_STATE(1165)] = 90420,
  [SMALL_STATE(1166)] = 90486,
  [SMALL_STATE(1167)] = 90544,
  [SMALL_STATE(1168)] = 90602,
  [SMALL_STATE(1169)] = 90668,
  [SMALL_STATE(1170)] = 90718,
  [SMALL_STATE(1171)] = 90774,
  [SMALL_STATE(1172)] = 90822,
  [SMALL_STATE(1173)] = 90888,
  [SMALL_STATE(1174)] = 90954,
  [SMALL_STATE(1175)] = 91000,
  [SMALL_STATE(1176)] = 91066,
  [SMALL_STATE(1177)] = 91112,
  [SMALL_STATE(1178)] = 91158,
  [SMALL_STATE(1179)] = 91224,
  [SMALL_STATE(1180)] = 91298,
  [SMALL_STATE(1181)] = 91364,
  [SMALL_STATE(1182)] = 91426,
  [SMALL_STATE(1183)] = 91482,
  [SMALL_STATE(1184)] = 91538,
  [SMALL_STATE(1185)] = 91588,
  [SMALL_STATE(1186)] = 91654,
  [SMALL_STATE(1187)] = 91700,
  [SMALL_STATE(1188)] = 91758,
  [SMALL_STATE(1189)] = 91816,
  [SMALL_STATE(1190)] = 91874,
  [SMALL_STATE(1191)] = 91932,
  [SMALL_STATE(1192)] = 91998,
  [SMALL_STATE(1193)] = 92054,
  [SMALL_STATE(1194)] = 92120,
  [SMALL_STATE(1195)] = 92188,
  [SMALL_STATE(1196)] = 92236,
  [SMALL_STATE(1197)] = 92290,
  [SMALL_STATE(1198)] = 92356,
  [SMALL_STATE(1199)] = 92422,
  [SMALL_STATE(1200)] = 92472,
  [SMALL_STATE(1201)] = 92518,
  [SMALL_STATE(1202)] = 92584,
  [SMALL_STATE(1203)] = 92630,
  [SMALL_STATE(1204)] = 92696,
  [SMALL_STATE(1205)] = 92752,
  [SMALL_STATE(1206)] = 92818,
  [SMALL_STATE(1207)] = 92864,
  [SMALL_STATE(1208)] = 92930,
  [SMALL_STATE(1209)] = 92976,
  [SMALL_STATE(1210)] = 93042,
  [SMALL_STATE(1211)] = 93088,
  [SMALL_STATE(1212)] = 93140,
  [SMALL_STATE(1213)] = 93190,
  [SMALL_STATE(1214)] = 93252,
  [SMALL_STATE(1215)] = 93298,
  [SMALL_STATE(1216)] = 93354,
  [SMALL_STATE(1217)] = 93420,
  [SMALL_STATE(1218)] = 93486,
  [SMALL_STATE(1219)] = 93552,
  [SMALL_STATE(1220)] = 93606,
  [SMALL_STATE(1221)] = 93654,
  [SMALL_STATE(1222)] = 93706,
  [SMALL_STATE(1223)] = 93752,
  [SMALL_STATE(1224)] = 93798,
  [SMALL_STATE(1225)] = 93856,
  [SMALL_STATE(1226)] = 93922,
  [SMALL_STATE(1227)] = 93988,
  [SMALL_STATE(1228)] = 94046,
  [SMALL_STATE(1229)] = 94112,
  [SMALL_STATE(1230)] = 94170,
  [SMALL_STATE(1231)] = 94220,
  [SMALL_STATE(1232)] = 94278,
  [SMALL_STATE(1233)] = 94328,
  [SMALL_STATE(1234)] = 94378,
  [SMALL_STATE(1235)] = 94424,
  [SMALL_STATE(1236)] = 94482,
  [SMALL_STATE(1237)] = 94532,
  [SMALL_STATE(1238)] = 94590,
  [SMALL_STATE(1239)] = 94656,
  [SMALL_STATE(1240)] = 94714,
  [SMALL_STATE(1241)] = 94772,
  [SMALL_STATE(1242)] = 94838,
  [SMALL_STATE(1243)] = 94896,
  [SMALL_STATE(1244)] = 94954,
  [SMALL_STATE(1245)] = 95012,
  [SMALL_STATE(1246)] = 95066,
  [SMALL_STATE(1247)] = 95128,
  [SMALL_STATE(1248)] = 95186,
  [SMALL_STATE(1249)] = 95252,
  [SMALL_STATE(1250)] = 95302,
  [SMALL_STATE(1251)] = 95370,
  [SMALL_STATE(1252)] = 95420,
  [SMALL_STATE(1253)] = 95470,
  [SMALL_STATE(1254)] = 95532,
  [SMALL_STATE(1255)] = 95590,
  [SMALL_STATE(1256)] = 95648,
  [SMALL_STATE(1257)] = 95714,
  [SMALL_STATE(1258)] = 95772,
  [SMALL_STATE(1259)] = 95828,
  [SMALL_STATE(1260)] = 95878,
  [SMALL_STATE(1261)] = 95944,
  [SMALL_STATE(1262)] = 95991,
  [SMALL_STATE(1263)] = 96036,
  [SMALL_STATE(1264)] = 96093,
  [SMALL_STATE(1265)] = 96142,
  [SMALL_STATE(1266)] = 96199,
  [SMALL_STATE(1267)] = 96264,
  [SMALL_STATE(1268)] = 96321,
  [SMALL_STATE(1269)] = 96386,
  [SMALL_STATE(1270)] = 96451,
  [SMALL_STATE(1271)] = 96500,
  [SMALL_STATE(1272)] = 96549,
  [SMALL_STATE(1273)] = 96606,
  [SMALL_STATE(1274)] = 96651,
  [SMALL_STATE(1275)] = 96712,
  [SMALL_STATE(1276)] = 96757,
  [SMALL_STATE(1277)] = 96812,
  [SMALL_STATE(1278)] = 96857,
  [SMALL_STATE(1279)] = 96930,
  [SMALL_STATE(1280)] = 96975,
  [SMALL_STATE(1281)] = 97030,
  [SMALL_STATE(1282)] = 97095,
  [SMALL_STATE(1283)] = 97152,
  [SMALL_STATE(1284)] = 97217,
  [SMALL_STATE(1285)] = 97282,
  [SMALL_STATE(1286)] = 97331,
  [SMALL_STATE(1287)] = 97384,
  [SMALL_STATE(1288)] = 97429,
  [SMALL_STATE(1289)] = 97474,
  [SMALL_STATE(1290)] = 97531,
  [SMALL_STATE(1291)] = 97588,
  [SMALL_STATE(1292)] = 97653,
  [SMALL_STATE(1293)] = 97718,
  [SMALL_STATE(1294)] = 97763,
  [SMALL_STATE(1295)] = 97828,
  [SMALL_STATE(1296)] = 97877,
  [SMALL_STATE(1297)] = 97934,
  [SMALL_STATE(1298)] = 97999,
  [SMALL_STATE(1299)] = 98064,
  [SMALL_STATE(1300)] = 98121,
  [SMALL_STATE(1301)] = 98178,
  [SMALL_STATE(1302)] = 98223,
  [SMALL_STATE(1303)] = 98284,
  [SMALL_STATE(1304)] = 98333,
  [SMALL_STATE(1305)] = 98398,
  [SMALL_STATE(1306)] = 98455,
  [SMALL_STATE(1307)] = 98504,
  [SMALL_STATE(1308)] = 98561,
  [SMALL_STATE(1309)] = 98618,
  [SMALL_STATE(1310)] = 98671,
  [SMALL_STATE(1311)] = 98720,
  [SMALL_STATE(1312)] = 98777,
  [SMALL_STATE(1313)] = 98842,
  [SMALL_STATE(1314)] = 98907,
  [SMALL_STATE(1315)] = 98972,
  [SMALL_STATE(1316)] = 99037,
  [SMALL_STATE(1317)] = 99098,
  [SMALL_STATE(1318)] = 99163,
  [SMALL_STATE(1319)] = 99212,
  [SMALL_STATE(1320)] = 99277,
  [SMALL_STATE(1321)] = 99326,
  [SMALL_STATE(1322)] = 99391,
  [SMALL_STATE(1323)] = 99456,
  [SMALL_STATE(1324)] = 99521,
  [SMALL_STATE(1325)] = 99570,
  [SMALL_STATE(1326)] = 99635,
  [SMALL_STATE(1327)] = 99700,
  [SMALL_STATE(1328)] = 99761,
  [SMALL_STATE(1329)] = 99808,
  [SMALL_STATE(1330)] = 99857,
  [SMALL_STATE(1331)] = 99902,
  [SMALL_STATE(1332)] = 99951,
  [SMALL_STATE(1333)] = 99996,
  [SMALL_STATE(1334)] = 100045,
  [SMALL_STATE(1335)] = 100098,
  [SMALL_STATE(1336)] = 100155,
  [SMALL_STATE(1337)] = 100200,
  [SMALL_STATE(1338)] = 100265,
  [SMALL_STATE(1339)] = 100322,
  [SMALL_STATE(1340)] = 100371,
  [SMALL_STATE(1341)] = 100422,
  [SMALL_STATE(1342)] = 100487,
  [SMALL_STATE(1343)] = 100534,
  [SMALL_STATE(1344)] = 100579,
  [SMALL_STATE(1345)] = 100624,
  [SMALL_STATE(1346)] = 100669,
  [SMALL_STATE(1347)] = 100714,
  [SMALL_STATE(1348)] = 100759,
  [SMALL_STATE(1349)] = 100804,
  [SMALL_STATE(1350)] = 100851,
  [SMALL_STATE(1351)] = 100896,
  [SMALL_STATE(1352)] = 100945,
  [SMALL_STATE(1353)] = 100990,
  [SMALL_STATE(1354)] = 101035,
  [SMALL_STATE(1355)] = 101084,
  [SMALL_STATE(1356)] = 101129,
  [SMALL_STATE(1357)] = 101186,
  [SMALL_STATE(1358)] = 101243,
  [SMALL_STATE(1359)] = 101300,
  [SMALL_STATE(1360)] = 101355,
  [SMALL_STATE(1361)] = 101406,
  [SMALL_STATE(1362)] = 101455,
  [SMALL_STATE(1363)] = 101508,
  [SMALL_STATE(1364)] = 101559,
  [SMALL_STATE(1365)] = 101624,
  [SMALL_STATE(1366)] = 101681,
  [SMALL_STATE(1367)] = 101736,
  [SMALL_STATE(1368)] = 101801,
  [SMALL_STATE(1369)] = 101866,
  [SMALL_STATE(1370)] = 101915,
  [SMALL_STATE(1371)] = 101972,
  [SMALL_STATE(1372)] = 102021,
  [SMALL_STATE(1373)] = 102072,
  [SMALL_STATE(1374)] = 102129,
  [SMALL_STATE(1375)] = 102178,
  [SMALL_STATE(1376)] = 102233,
  [SMALL_STATE(1377)] = 102282,
  [SMALL_STATE(1378)] = 102333,
  [SMALL_STATE(1379)] = 102378,
  [SMALL_STATE(1380)] = 102423,
  [SMALL_STATE(1381)] = 102476,
  [SMALL_STATE(1382)] = 102525,
  [SMALL_STATE(1383)] = 102574,
  [SMALL_STATE(1384)] = 102619,
  [SMALL_STATE(1385)] = 102686,
  [SMALL_STATE(1386)] = 102751,
  [SMALL_STATE(1387)] = 102802,
  [SMALL_STATE(1388)] = 102847,
  [SMALL_STATE(1389)] = 102900,
  [SMALL_STATE(1390)] = 102945,
  [SMALL_STATE(1391)] = 103018,
  [SMALL_STATE(1392)] = 103087,
  [SMALL_STATE(1393)] = 103144,
  [SMALL_STATE(1394)] = 103191,
  [SMALL_STATE(1395)] = 103240,
  [SMALL_STATE(1396)] = 103289,
  [SMALL_STATE(1397)] = 103334,
  [SMALL_STATE(1398)] = 103383,
  [SMALL_STATE(1399)] = 103432,
  [SMALL_STATE(1400)] = 103481,
  [SMALL_STATE(1401)] = 103546,
  [SMALL_STATE(1402)] = 103595,
  [SMALL_STATE(1403)] = 103648,
  [SMALL_STATE(1404)] = 103713,
  [SMALL_STATE(1405)] = 103770,
  [SMALL_STATE(1406)] = 103835,
  [SMALL_STATE(1407)] = 103886,
  [SMALL_STATE(1408)] = 103951,
  [SMALL_STATE(1409)] = 104000,
  [SMALL_STATE(1410)] = 104057,
  [SMALL_STATE(1411)] = 104114,
  [SMALL_STATE(1412)] = 104171,
  [SMALL_STATE(1413)] = 104216,
  [SMALL_STATE(1414)] = 104265,
  [SMALL_STATE(1415)] = 104314,
  [SMALL_STATE(1416)] = 104361,
  [SMALL_STATE(1417)] = 104426,
  [SMALL_STATE(1418)] = 104475,
  [SMALL_STATE(1419)] = 104530,
  [SMALL_STATE(1420)] = 104579,
  [SMALL_STATE(1421)] = 104644,
  [SMALL_STATE(1422)] = 104709,
  [SMALL_STATE(1423)] = 104774,
  [SMALL_STATE(1424)] = 104822,
  [SMALL_STATE(1425)] = 104886,
  [SMALL_STATE(1426)] = 104942,
  [SMALL_STATE(1427)] = 105006,
  [SMALL_STATE(1428)] = 105062,
  [SMALL_STATE(1429)] = 105106,
  [SMALL_STATE(1430)] = 105162,
  [SMALL_STATE(1431)] = 105206,
  [SMALL_STATE(1432)] = 105254,
  [SMALL_STATE(1433)] = 105298,
  [SMALL_STATE(1434)] = 105362,
  [SMALL_STATE(1435)] = 105418,
  [SMALL_STATE(1436)] = 105462,
  [SMALL_STATE(1437)] = 105506,
  [SMALL_STATE(1438)] = 105554,
  [SMALL_STATE(1439)] = 105598,
  [SMALL_STATE(1440)] = 105642,
  [SMALL_STATE(1441)] = 105698,
  [SMALL_STATE(1442)] = 105754,
  [SMALL_STATE(1443)] = 105798,
  [SMALL_STATE(1444)] = 105846,
  [SMALL_STATE(1445)] = 105896,
  [SMALL_STATE(1446)] = 105952,
  [SMALL_STATE(1447)] = 106000,
  [SMALL_STATE(1448)] = 106048,
  [SMALL_STATE(1449)] = 106104,
  [SMALL_STATE(1450)] = 106160,
  [SMALL_STATE(1451)] = 106226,
  [SMALL_STATE(1452)] = 106290,
  [SMALL_STATE(1453)] = 106338,
  [SMALL_STATE(1454)] = 106406,
  [SMALL_STATE(1455)] = 106450,
  [SMALL_STATE(1456)] = 106514,
  [SMALL_STATE(1457)] = 106562,
  [SMALL_STATE(1458)] = 106606,
  [SMALL_STATE(1459)] = 106654,
  [SMALL_STATE(1460)] = 106718,
  [SMALL_STATE(1461)] = 106766,
  [SMALL_STATE(1462)] = 106810,
  [SMALL_STATE(1463)] = 106874,
  [SMALL_STATE(1464)] = 106922,
  [SMALL_STATE(1465)] = 106966,
  [SMALL_STATE(1466)] = 107016,
  [SMALL_STATE(1467)] = 107068,
  [SMALL_STATE(1468)] = 107114,
  [SMALL_STATE(1469)] = 107178,
  [SMALL_STATE(1470)] = 107242,
  [SMALL_STATE(1471)] = 107306,
  [SMALL_STATE(1472)] = 107370,
  [SMALL_STATE(1473)] = 107418,
  [SMALL_STATE(1474)] = 107482,
  [SMALL_STATE(1475)] = 107546,
  [SMALL_STATE(1476)] = 107594,
  [SMALL_STATE(1477)] = 107650,
  [SMALL_STATE(1478)] = 107714,
  [SMALL_STATE(1479)] = 107778,
  [SMALL_STATE(1480)] = 107842,
  [SMALL_STATE(1481)] = 107906,
  [SMALL_STATE(1482)] = 107970,
  [SMALL_STATE(1483)] = 108034,
  [SMALL_STATE(1484)] = 108090,
  [SMALL_STATE(1485)] = 108138,
  [SMALL_STATE(1486)] = 108202,
  [SMALL_STATE(1487)] = 108246,
  [SMALL_STATE(1488)] = 108290,
  [SMALL_STATE(1489)] = 108338,
  [SMALL_STATE(1490)] = 108402,
  [SMALL_STATE(1491)] = 108466,
  [SMALL_STATE(1492)] = 108510,
  [SMALL_STATE(1493)] = 108558,
  [SMALL_STATE(1494)] = 108622,
  [SMALL_STATE(1495)] = 108670,
  [SMALL_STATE(1496)] = 108724,
  [SMALL_STATE(1497)] = 108788,
  [SMALL_STATE(1498)] = 108852,
  [SMALL_STATE(1499)] = 108916,
  [SMALL_STATE(1500)] = 108964,
  [SMALL_STATE(1501)] = 109008,
  [SMALL_STATE(1502)] = 109054,
  [SMALL_STATE(1503)] = 109118,
  [SMALL_STATE(1504)] = 109174,
  [SMALL_STATE(1505)] = 109218,
  [SMALL_STATE(1506)] = 109282,
  [SMALL_STATE(1507)] = 109326,
  [SMALL_STATE(1508)] = 109370,
  [SMALL_STATE(1509)] = 109418,
  [SMALL_STATE(1510)] = 109482,
  [SMALL_STATE(1511)] = 109536,
  [SMALL_STATE(1512)] = 109600,
  [SMALL_STATE(1513)] = 109648,
  [SMALL_STATE(1514)] = 109696,
  [SMALL_STATE(1515)] = 109752,
  [SMALL_STATE(1516)] = 109804,
  [SMALL_STATE(1517)] = 109860,
  [SMALL_STATE(1518)] = 109910,
  [SMALL_STATE(1519)] = 109958,
  [SMALL_STATE(1520)] = 110002,
  [SMALL_STATE(1521)] = 110046,
  [SMALL_STATE(1522)] = 110102,
  [SMALL_STATE(1523)] = 110150,
  [SMALL_STATE(1524)] = 110194,
  [SMALL_STATE(1525)] = 110250,
  [SMALL_STATE(1526)] = 110298,
  [SMALL_STATE(1527)] = 110342,
  [SMALL_STATE(1528)] = 110390,
  [SMALL_STATE(1529)] = 110434,
  [SMALL_STATE(1530)] = 110498,
  [SMALL_STATE(1531)] = 110544,
  [SMALL_STATE(1532)] = 110592,
  [SMALL_STATE(1533)] = 110642,
  [SMALL_STATE(1534)] = 110686,
  [SMALL_STATE(1535)] = 110750,
  [SMALL_STATE(1536)] = 110794,
  [SMALL_STATE(1537)] = 110848,
  [SMALL_STATE(1538)] = 110914,
  [SMALL_STATE(1539)] = 110978,
  [SMALL_STATE(1540)] = 111042,
  [SMALL_STATE(1541)] = 111106,
  [SMALL_STATE(1542)] = 111154,
  [SMALL_STATE(1543)] = 111218,
  [SMALL_STATE(1544)] = 111266,
  [SMALL_STATE(1545)] = 111310,
  [SMALL_STATE(1546)] = 111354,
  [SMALL_STATE(1547)] = 111418,
  [SMALL_STATE(1548)] = 111462,
  [SMALL_STATE(1549)] = 111510,
  [SMALL_STATE(1550)] = 111554,
  [SMALL_STATE(1551)] = 111606,
  [SMALL_STATE(1552)] = 111650,
  [SMALL_STATE(1553)] = 111694,
  [SMALL_STATE(1554)] = 111746,
  [SMALL_STATE(1555)] = 111792,
  [SMALL_STATE(1556)] = 111842,
  [SMALL_STATE(1557)] = 111894,
  [SMALL_STATE(1558)] = 111942,
  [SMALL_STATE(1559)] = 111990,
  [SMALL_STATE(1560)] = 112034,
  [SMALL_STATE(1561)] = 112082,
  [SMALL_STATE(1562)] = 112126,
  [SMALL_STATE(1563)] = 112172,
  [SMALL_STATE(1564)] = 112228,
  [SMALL_STATE(1565)] = 112272,
  [SMALL_STATE(1566)] = 112320,
  [SMALL_STATE(1567)] = 112372,
  [SMALL_STATE(1568)] = 112422,
  [SMALL_STATE(1569)] = 112478,
  [SMALL_STATE(1570)] = 112526,
  [SMALL_STATE(1571)] = 112574,
  [SMALL_STATE(1572)] = 112630,
  [SMALL_STATE(1573)] = 112674,
  [SMALL_STATE(1574)] = 112730,
  [SMALL_STATE(1575)] = 112782,
  [SMALL_STATE(1576)] = 112848,
  [SMALL_STATE(1577)] = 112898,
  [SMALL_STATE(1578)] = 112964,
  [SMALL_STATE(1579)] = 113028,
  [SMALL_STATE(1580)] = 113072,
  [SMALL_STATE(1581)] = 113126,
  [SMALL_STATE(1582)] = 113170,
  [SMALL_STATE(1583)] = 113214,
  [SMALL_STATE(1584)] = 113278,
  [SMALL_STATE(1585)] = 113330,
  [SMALL_STATE(1586)] = 113386,
  [SMALL_STATE(1587)] = 113432,
  [SMALL_STATE(1588)] = 113488,
  [SMALL_STATE(1589)] = 113536,
  [SMALL_STATE(1590)] = 113582,
  [SMALL_STATE(1591)] = 113634,
  [SMALL_STATE(1592)] = 113678,
  [SMALL_STATE(1593)] = 113726,
  [SMALL_STATE(1594)] = 113790,
  [SMALL_STATE(1595)] = 113854,
  [SMALL_STATE(1596)] = 113902,
  [SMALL_STATE(1597)] = 113966,
  [SMALL_STATE(1598)] = 114012,
  [SMALL_STATE(1599)] = 114056,
  [SMALL_STATE(1600)] = 114104,
  [SMALL_STATE(1601)] = 114152,
  [SMALL_STATE(1602)] = 114200,
  [SMALL_STATE(1603)] = 114256,
  [SMALL_STATE(1604)] = 114304,
  [SMALL_STATE(1605)] = 114360,
  [SMALL_STATE(1606)] = 114408,
  [SMALL_STATE(1607)] = 114456,
  [SMALL_STATE(1608)] = 114504,
  [SMALL_STATE(1609)] = 114552,
  [SMALL_STATE(1610)] = 114608,
  [SMALL_STATE(1611)] = 114664,
  [SMALL_STATE(1612)] = 114720,
  [SMALL_STATE(1613)] = 114764,
  [SMALL_STATE(1614)] = 114830,
  [SMALL_STATE(1615)] = 114886,
  [SMALL_STATE(1616)] = 114942,
  [SMALL_STATE(1617)] = 114990,
  [SMALL_STATE(1618)] = 115046,
  [SMALL_STATE(1619)] = 115110,
  [SMALL_STATE(1620)] = 115174,
  [SMALL_STATE(1621)] = 115222,
  [SMALL_STATE(1622)] = 115268,
  [SMALL_STATE(1623)] = 115332,
  [SMALL_STATE(1624)] = 115395,
  [SMALL_STATE(1625)] = 115440,
  [SMALL_STATE(1626)] = 115483,
  [SMALL_STATE(1627)] = 115526,
  [SMALL_STATE(1628)] = 115573,
  [SMALL_STATE(1629)] = 115616,
  [SMALL_STATE(1630)] = 115659,
  [SMALL_STATE(1631)] = 115706,
  [SMALL_STATE(1632)] = 115749,
  [SMALL_STATE(1633)] = 115798,
  [SMALL_STATE(1634)] = 115841,
  [SMALL_STATE(1635)] = 115884,
  [SMALL_STATE(1636)] = 115935,
  [SMALL_STATE(1637)] = 115978,
  [SMALL_STATE(1638)] = 116021,
  [SMALL_STATE(1639)] = 116068,
  [SMALL_STATE(1640)] = 116115,
  [SMALL_STATE(1641)] = 116162,
  [SMALL_STATE(1642)] = 116209,
  [SMALL_STATE(1643)] = 116254,
  [SMALL_STATE(1644)] = 116297,
  [SMALL_STATE(1645)] = 116344,
  [SMALL_STATE(1646)] = 116387,
  [SMALL_STATE(1647)] = 116430,
  [SMALL_STATE(1648)] = 116477,
  [SMALL_STATE(1649)] = 116522,
  [SMALL_STATE(1650)] = 116569,
  [SMALL_STATE(1651)] = 116612,
  [SMALL_STATE(1652)] = 116659,
  [SMALL_STATE(1653)] = 116706,
  [SMALL_STATE(1654)] = 116751,
  [SMALL_STATE(1655)] = 116798,
  [SMALL_STATE(1656)] = 116841,
  [SMALL_STATE(1657)] = 116884,
  [SMALL_STATE(1658)] = 116931,
  [SMALL_STATE(1659)] = 116978,
  [SMALL_STATE(1660)] = 117025,
  [SMALL_STATE(1661)] = 117076,
  [SMALL_STATE(1662)] = 117123,
  [SMALL_STATE(1663)] = 117170,
  [SMALL_STATE(1664)] = 117217,
  [SMALL_STATE(1665)] = 117262,
  [SMALL_STATE(1666)] = 117325,
  [SMALL_STATE(1667)] = 117368,
  [SMALL_STATE(1668)] = 117413,
  [SMALL_STATE(1669)] = 117456,
  [SMALL_STATE(1670)] = 117499,
  [SMALL_STATE(1671)] = 117542,
  [SMALL_STATE(1672)] = 117587,
  [SMALL_STATE(1673)] = 117650,
  [SMALL_STATE(1674)] = 117703,
  [SMALL_STATE(1675)] = 117748,
  [SMALL_STATE(1676)] = 117791,
  [SMALL_STATE(1677)] = 117838,
  [SMALL_STATE(1678)] = 117881,
  [SMALL_STATE(1679)] = 117944,
  [SMALL_STATE(1680)] = 117989,
  [SMALL_STATE(1681)] = 118036,
  [SMALL_STATE(1682)] = 118099,
  [SMALL_STATE(1683)] = 118150,
  [SMALL_STATE(1684)] = 118193,
  [SMALL_STATE(1685)] = 118238,
  [SMALL_STATE(1686)] = 118287,
  [SMALL_STATE(1687)] = 118350,
  [SMALL_STATE(1688)] = 118393,
  [SMALL_STATE(1689)] = 118440,
  [SMALL_STATE(1690)] = 118483,
  [SMALL_STATE(1691)] = 118546,
  [SMALL_STATE(1692)] = 118589,
  [SMALL_STATE(1693)] = 118636,
  [SMALL_STATE(1694)] = 118687,
  [SMALL_STATE(1695)] = 118750,
  [SMALL_STATE(1696)] = 118801,
  [SMALL_STATE(1697)] = 118850,
  [SMALL_STATE(1698)] = 118893,
  [SMALL_STATE(1699)] = 118940,
  [SMALL_STATE(1700)] = 119003,
  [SMALL_STATE(1701)] = 119050,
  [SMALL_STATE(1702)] = 119097,
  [SMALL_STATE(1703)] = 119144,
  [SMALL_STATE(1704)] = 119187,
  [SMALL_STATE(1705)] = 119230,
  [SMALL_STATE(1706)] = 119277,
  [SMALL_STATE(1707)] = 119324,
  [SMALL_STATE(1708)] = 119387,
  [SMALL_STATE(1709)] = 119434,
  [SMALL_STATE(1710)] = 119477,
  [SMALL_STATE(1711)] = 119540,
  [SMALL_STATE(1712)] = 119603,
  [SMALL_STATE(1713)] = 119666,
  [SMALL_STATE(1714)] = 119729,
  [SMALL_STATE(1715)] = 119774,
  [SMALL_STATE(1716)] = 119819,
  [SMALL_STATE(1717)] = 119882,
  [SMALL_STATE(1718)] = 119945,
  [SMALL_STATE(1719)] = 119990,
  [SMALL_STATE(1720)] = 120033,
  [SMALL_STATE(1721)] = 120080,
  [SMALL_STATE(1722)] = 120125,
  [SMALL_STATE(1723)] = 120172,
  [SMALL_STATE(1724)] = 120221,
  [SMALL_STATE(1725)] = 120284,
  [SMALL_STATE(1726)] = 120331,
  [SMALL_STATE(1727)] = 120378,
  [SMALL_STATE(1728)] = 120425,
  [SMALL_STATE(1729)] = 120472,
  [SMALL_STATE(1730)] = 120535,
  [SMALL_STATE(1731)] = 120582,
  [SMALL_STATE(1732)] = 120645,
  [SMALL_STATE(1733)] = 120688,
  [SMALL_STATE(1734)] = 120735,
  [SMALL_STATE(1735)] = 120782,
  [SMALL_STATE(1736)] = 120831,
  [SMALL_STATE(1737)] = 120876,
  [SMALL_STATE(1738)] = 120921,
  [SMALL_STATE(1739)] = 120968,
  [SMALL_STATE(1740)] = 121015,
  [SMALL_STATE(1741)] = 121062,
  [SMALL_STATE(1742)] = 121105,
  [SMALL_STATE(1743)] = 121150,
  [SMALL_STATE(1744)] = 121195,
  [SMALL_STATE(1745)] = 121258,
  [SMALL_STATE(1746)] = 121321,
  [SMALL_STATE(1747)] = 121384,
  [SMALL_STATE(1748)] = 121431,
  [SMALL_STATE(1749)] = 121478,
  [SMALL_STATE(1750)] = 121525,
  [SMALL_STATE(1751)] = 121570,
  [SMALL_STATE(1752)] = 121617,
  [SMALL_STATE(1753)] = 121660,
  [SMALL_STATE(1754)] = 121707,
  [SMALL_STATE(1755)] = 121750,
  [SMALL_STATE(1756)] = 121793,
  [SMALL_STATE(1757)] = 121856,
  [SMALL_STATE(1758)] = 121903,
  [SMALL_STATE(1759)] = 121948,
  [SMALL_STATE(1760)] = 121995,
  [SMALL_STATE(1761)] = 122058,
  [SMALL_STATE(1762)] = 122101,
  [SMALL_STATE(1763)] = 122144,
  [SMALL_STATE(1764)] = 122187,
  [SMALL_STATE(1765)] = 122250,
  [SMALL_STATE(1766)] = 122297,
  [SMALL_STATE(1767)] = 122340,
  [SMALL_STATE(1768)] = 122383,
  [SMALL_STATE(1769)] = 122426,
  [SMALL_STATE(1770)] = 122489,
  [SMALL_STATE(1771)] = 122536,
  [SMALL_STATE(1772)] = 122583,
  [SMALL_STATE(1773)] = 122634,
  [SMALL_STATE(1774)] = 122677,
  [SMALL_STATE(1775)] = 122724,
  [SMALL_STATE(1776)] = 122787,
  [SMALL_STATE(1777)] = 122834,
  [SMALL_STATE(1778)] = 122877,
  [SMALL_STATE(1779)] = 122922,
  [SMALL_STATE(1780)] = 122965,
  [SMALL_STATE(1781)] = 123010,
  [SMALL_STATE(1782)] = 123073,
  [SMALL_STATE(1783)] = 123136,
  [SMALL_STATE(1784)] = 123183,
  [SMALL_STATE(1785)] = 123226,
  [SMALL_STATE(1786)] = 123269,
  [SMALL_STATE(1787)] = 123312,
  [SMALL_STATE(1788)] = 123359,
  [SMALL_STATE(1789)] = 123402,
  [SMALL_STATE(1790)] = 123445,
  [SMALL_STATE(1791)] = 123488,
  [SMALL_STATE(1792)] = 123535,
  [SMALL_STATE(1793)] = 123584,
  [SMALL_STATE(1794)] = 123647,
  [SMALL_STATE(1795)] = 123698,
  [SMALL_STATE(1796)] = 123745,
  [SMALL_STATE(1797)] = 123808,
  [SMALL_STATE(1798)] = 123855,
  [SMALL_STATE(1799)] = 123902,
  [SMALL_STATE(1800)] = 123949,
  [SMALL_STATE(1801)] = 123996,
  [SMALL_STATE(1802)] = 124043,
  [SMALL_STATE(1803)] = 124090,
  [SMALL_STATE(1804)] = 124133,
  [SMALL_STATE(1805)] = 124180,
  [SMALL_STATE(1806)] = 124225,
  [SMALL_STATE(1807)] = 124278,
  [SMALL_STATE(1808)] = 124325,
  [SMALL_STATE(1809)] = 124368,
  [SMALL_STATE(1810)] = 124411,
  [SMALL_STATE(1811)] = 124466,
  [SMALL_STATE(1812)] = 124511,
  [SMALL_STATE(1813)] = 124558,
  [SMALL_STATE(1814)] = 124609,
  [SMALL_STATE(1815)] = 124672,
  [SMALL_STATE(1816)] = 124735,
  [SMALL_STATE(1817)] = 124782,
  [SMALL_STATE(1818)] = 124833,
  [SMALL_STATE(1819)] = 124880,
  [SMALL_STATE(1820)] = 124943,
  [SMALL_STATE(1821)] = 124998,
  [SMALL_STATE(1822)] = 125045,
  [SMALL_STATE(1823)] = 125090,
  [SMALL_STATE(1824)] = 125133,
  [SMALL_STATE(1825)] = 125176,
  [SMALL_STATE(1826)] = 125227,
  [SMALL_STATE(1827)] = 125290,
  [SMALL_STATE(1828)] = 125337,
  [SMALL_STATE(1829)] = 125382,
  [SMALL_STATE(1830)] = 125425,
  [SMALL_STATE(1831)] = 125488,
  [SMALL_STATE(1832)] = 125533,
  [SMALL_STATE(1833)] = 125596,
  [SMALL_STATE(1834)] = 125639,
  [SMALL_STATE(1835)] = 125686,
  [SMALL_STATE(1836)] = 125731,
  [SMALL_STATE(1837)] = 125778,
  [SMALL_STATE(1838)] = 125821,
  [SMALL_STATE(1839)] = 125884,
  [SMALL_STATE(1840)] = 125939,
  [SMALL_STATE(1841)] = 125984,
  [SMALL_STATE(1842)] = 126047,
  [SMALL_STATE(1843)] = 126110,
  [SMALL_STATE(1844)] = 126173,
  [SMALL_STATE(1845)] = 126236,
  [SMALL_STATE(1846)] = 126281,
  [SMALL_STATE(1847)] = 126324,
  [SMALL_STATE(1848)] = 126371,
  [SMALL_STATE(1849)] = 126414,
  [SMALL_STATE(1850)] = 126457,
  [SMALL_STATE(1851)] = 126500,
  [SMALL_STATE(1852)] = 126563,
  [SMALL_STATE(1853)] = 126610,
  [SMALL_STATE(1854)] = 126653,
  [SMALL_STATE(1855)] = 126696,
  [SMALL_STATE(1856)] = 126751,
  [SMALL_STATE(1857)] = 126794,
  [SMALL_STATE(1858)] = 126837,
  [SMALL_STATE(1859)] = 126884,
  [SMALL_STATE(1860)] = 126931,
  [SMALL_STATE(1861)] = 126978,
  [SMALL_STATE(1862)] = 127023,
  [SMALL_STATE(1863)] = 127070,
  [SMALL_STATE(1864)] = 127117,
  [SMALL_STATE(1865)] = 127164,
  [SMALL_STATE(1866)] = 127211,
  [SMALL_STATE(1867)] = 127254,
  [SMALL_STATE(1868)] = 127299,
  [SMALL_STATE(1869)] = 127348,
  [SMALL_STATE(1870)] = 127393,
  [SMALL_STATE(1871)] = 127440,
  [SMALL_STATE(1872)] = 127483,
  [SMALL_STATE(1873)] = 127526,
  [SMALL_STATE(1874)] = 127569,
  [SMALL_STATE(1875)] = 127632,
  [SMALL_STATE(1876)] = 127677,
  [SMALL_STATE(1877)] = 127740,
  [SMALL_STATE(1878)] = 127785,
  [SMALL_STATE(1879)] = 127840,
  [SMALL_STATE(1880)] = 127895,
  [SMALL_STATE(1881)] = 127937,
  [SMALL_STATE(1882)] = 127983,
  [SMALL_STATE(1883)] = 128025,
  [SMALL_STATE(1884)] = 128067,
  [SMALL_STATE(1885)] = 128109,
  [SMALL_STATE(1886)] = 128155,
  [SMALL_STATE(1887)] = 128201,
  [SMALL_STATE(1888)] = 128245,
  [SMALL_STATE(1889)] = 128287,
  [SMALL_STATE(1890)] = 128333,
  [SMALL_STATE(1891)] = 128377,
  [SMALL_STATE(1892)] = 128419,
  [SMALL_STATE(1893)] = 128461,
  [SMALL_STATE(1894)] = 128507,
  [SMALL_STATE(1895)] = 128553,
  [SMALL_STATE(1896)] = 128599,
  [SMALL_STATE(1897)] = 128645,
  [SMALL_STATE(1898)] = 128691,
  [SMALL_STATE(1899)] = 128735,
  [SMALL_STATE(1900)] = 128777,
  [SMALL_STATE(1901)] = 128823,
  [SMALL_STATE(1902)] = 128865,
  [SMALL_STATE(1903)] = 128907,
  [SMALL_STATE(1904)] = 128949,
  [SMALL_STATE(1905)] = 128995,
  [SMALL_STATE(1906)] = 129041,
  [SMALL_STATE(1907)] = 129083,
  [SMALL_STATE(1908)] = 129127,
  [SMALL_STATE(1909)] = 129169,
  [SMALL_STATE(1910)] = 129213,
  [SMALL_STATE(1911)] = 129257,
  [SMALL_STATE(1912)] = 129299,
  [SMALL_STATE(1913)] = 129341,
  [SMALL_STATE(1914)] = 129387,
  [SMALL_STATE(1915)] = 129433,
  [SMALL_STATE(1916)] = 129475,
  [SMALL_STATE(1917)] = 129517,
  [SMALL_STATE(1918)] = 129563,
  [SMALL_STATE(1919)] = 129609,
  [SMALL_STATE(1920)] = 129651,
  [SMALL_STATE(1921)] = 129697,
  [SMALL_STATE(1922)] = 129739,
  [SMALL_STATE(1923)] = 129781,
  [SMALL_STATE(1924)] = 129823,
  [SMALL_STATE(1925)] = 129865,
  [SMALL_STATE(1926)] = 129911,
  [SMALL_STATE(1927)] = 129955,
  [SMALL_STATE(1928)] = 130001,
  [SMALL_STATE(1929)] = 130043,
  [SMALL_STATE(1930)] = 130087,
  [SMALL_STATE(1931)] = 130129,
  [SMALL_STATE(1932)] = 130171,
  [SMALL_STATE(1933)] = 130213,
  [SMALL_STATE(1934)] = 130255,
  [SMALL_STATE(1935)] = 130297,
  [SMALL_STATE(1936)] = 130339,
  [SMALL_STATE(1937)] = 130381,
  [SMALL_STATE(1938)] = 130427,
  [SMALL_STATE(1939)] = 130473,
  [SMALL_STATE(1940)] = 130515,
  [SMALL_STATE(1941)] = 130557,
  [SMALL_STATE(1942)] = 130599,
  [SMALL_STATE(1943)] = 130643,
  [SMALL_STATE(1944)] = 130697,
  [SMALL_STATE(1945)] = 130739,
  [SMALL_STATE(1946)] = 130781,
  [SMALL_STATE(1947)] = 130827,
  [SMALL_STATE(1948)] = 130873,
  [SMALL_STATE(1949)] = 130915,
  [SMALL_STATE(1950)] = 130957,
  [SMALL_STATE(1951)] = 130999,
  [SMALL_STATE(1952)] = 131049,
  [SMALL_STATE(1953)] = 131091,
  [SMALL_STATE(1954)] = 131135,
  [SMALL_STATE(1955)] = 131177,
  [SMALL_STATE(1956)] = 131219,
  [SMALL_STATE(1957)] = 131265,
  [SMALL_STATE(1958)] = 131307,
  [SMALL_STATE(1959)] = 131353,
  [SMALL_STATE(1960)] = 131397,
  [SMALL_STATE(1961)] = 131439,
  [SMALL_STATE(1962)] = 131485,
  [SMALL_STATE(1963)] = 131527,
  [SMALL_STATE(1964)] = 131569,
  [SMALL_STATE(1965)] = 131611,
  [SMALL_STATE(1966)] = 131657,
  [SMALL_STATE(1967)] = 131703,
  [SMALL_STATE(1968)] = 131745,
  [SMALL_STATE(1969)] = 131787,
  [SMALL_STATE(1970)] = 131829,
  [SMALL_STATE(1971)] = 131871,
  [SMALL_STATE(1972)] = 131913,
  [SMALL_STATE(1973)] = 131955,
  [SMALL_STATE(1974)] = 131999,
  [SMALL_STATE(1975)] = 132045,
  [SMALL_STATE(1976)] = 132087,
  [SMALL_STATE(1977)] = 132133,
  [SMALL_STATE(1978)] = 132175,
  [SMALL_STATE(1979)] = 132219,
  [SMALL_STATE(1980)] = 132263,
  [SMALL_STATE(1981)] = 132309,
  [SMALL_STATE(1982)] = 132355,
  [SMALL_STATE(1983)] = 132401,
  [SMALL_STATE(1984)] = 132443,
  [SMALL_STATE(1985)] = 132485,
  [SMALL_STATE(1986)] = 132531,
  [SMALL_STATE(1987)] = 132577,
  [SMALL_STATE(1988)] = 132627,
  [SMALL_STATE(1989)] = 132671,
  [SMALL_STATE(1990)] = 132719,
  [SMALL_STATE(1991)] = 132763,
  [SMALL_STATE(1992)] = 132805,
  [SMALL_STATE(1993)] = 132855,
  [SMALL_STATE(1994)] = 132897,
  [SMALL_STATE(1995)] = 132943,
  [SMALL_STATE(1996)] = 132985,
  [SMALL_STATE(1997)] = 133027,
  [SMALL_STATE(1998)] = 133069,
  [SMALL_STATE(1999)] = 133113,
  [SMALL_STATE(2000)] = 133157,
  [SMALL_STATE(2001)] = 133199,
  [SMALL_STATE(2002)] = 133241,
  [SMALL_STATE(2003)] = 133283,
  [SMALL_STATE(2004)] = 133329,
  [SMALL_STATE(2005)] = 133371,
  [SMALL_STATE(2006)] = 133413,
  [SMALL_STATE(2007)] = 133459,
  [SMALL_STATE(2008)] = 133501,
  [SMALL_STATE(2009)] = 133547,
  [SMALL_STATE(2010)] = 133589,
  [SMALL_STATE(2011)] = 133635,
  [SMALL_STATE(2012)] = 133677,
  [SMALL_STATE(2013)] = 133723,
  [SMALL_STATE(2014)] = 133765,
  [SMALL_STATE(2015)] = 133807,
  [SMALL_STATE(2016)] = 133853,
  [SMALL_STATE(2017)] = 133899,
  [SMALL_STATE(2018)] = 133943,
  [SMALL_STATE(2019)] = 133987,
  [SMALL_STATE(2020)] = 134033,
  [SMALL_STATE(2021)] = 134077,
  [SMALL_STATE(2022)] = 134123,
  [SMALL_STATE(2023)] = 134169,
  [SMALL_STATE(2024)] = 134211,
  [SMALL_STATE(2025)] = 134257,
  [SMALL_STATE(2026)] = 134301,
  [SMALL_STATE(2027)] = 134343,
  [SMALL_STATE(2028)] = 134385,
  [SMALL_STATE(2029)] = 134429,
  [SMALL_STATE(2030)] = 134471,
  [SMALL_STATE(2031)] = 134513,
  [SMALL_STATE(2032)] = 134555,
  [SMALL_STATE(2033)] = 134599,
  [SMALL_STATE(2034)] = 134641,
  [SMALL_STATE(2035)] = 134683,
  [SMALL_STATE(2036)] = 134733,
  [SMALL_STATE(2037)] = 134775,
  [SMALL_STATE(2038)] = 134821,
  [SMALL_STATE(2039)] = 134863,
  [SMALL_STATE(2040)] = 134905,
  [SMALL_STATE(2041)] = 134951,
  [SMALL_STATE(2042)] = 134997,
  [SMALL_STATE(2043)] = 135041,
  [SMALL_STATE(2044)] = 135087,
  [SMALL_STATE(2045)] = 135129,
  [SMALL_STATE(2046)] = 135173,
  [SMALL_STATE(2047)] = 135237,
  [SMALL_STATE(2048)] = 135283,
  [SMALL_STATE(2049)] = 135325,
  [SMALL_STATE(2050)] = 135371,
  [SMALL_STATE(2051)] = 135413,
  [SMALL_STATE(2052)] = 135455,
  [SMALL_STATE(2053)] = 135497,
  [SMALL_STATE(2054)] = 135539,
  [SMALL_STATE(2055)] = 135581,
  [SMALL_STATE(2056)] = 135623,
  [SMALL_STATE(2057)] = 135665,
  [SMALL_STATE(2058)] = 135711,
  [SMALL_STATE(2059)] = 135757,
  [SMALL_STATE(2060)] = 135799,
  [SMALL_STATE(2061)] = 135841,
  [SMALL_STATE(2062)] = 135883,
  [SMALL_STATE(2063)] = 135925,
  [SMALL_STATE(2064)] = 135971,
  [SMALL_STATE(2065)] = 136013,
  [SMALL_STATE(2066)] = 136059,
  [SMALL_STATE(2067)] = 136101,
  [SMALL_STATE(2068)] = 136147,
  [SMALL_STATE(2069)] = 136195,
  [SMALL_STATE(2070)] = 136237,
  [SMALL_STATE(2071)] = 136279,
  [SMALL_STATE(2072)] = 136321,
  [SMALL_STATE(2073)] = 136363,
  [SMALL_STATE(2074)] = 136409,
  [SMALL_STATE(2075)] = 136451,
  [SMALL_STATE(2076)] = 136497,
  [SMALL_STATE(2077)] = 136539,
  [SMALL_STATE(2078)] = 136581,
  [SMALL_STATE(2079)] = 136623,
  [SMALL_STATE(2080)] = 136665,
  [SMALL_STATE(2081)] = 136707,
  [SMALL_STATE(2082)] = 136749,
  [SMALL_STATE(2083)] = 136791,
  [SMALL_STATE(2084)] = 136833,
  [SMALL_STATE(2085)] = 136875,
  [SMALL_STATE(2086)] = 136917,
  [SMALL_STATE(2087)] = 136963,
  [SMALL_STATE(2088)] = 137005,
  [SMALL_STATE(2089)] = 137047,
  [SMALL_STATE(2090)] = 137093,
  [SMALL_STATE(2091)] = 137139,
  [SMALL_STATE(2092)] = 137181,
  [SMALL_STATE(2093)] = 137223,
  [SMALL_STATE(2094)] = 137265,
  [SMALL_STATE(2095)] = 137309,
  [SMALL_STATE(2096)] = 137351,
  [SMALL_STATE(2097)] = 137393,
  [SMALL_STATE(2098)] = 137435,
  [SMALL_STATE(2099)] = 137481,
  [SMALL_STATE(2100)] = 137523,
  [SMALL_STATE(2101)] = 137565,
  [SMALL_STATE(2102)] = 137607,
  [SMALL_STATE(2103)] = 137649,
  [SMALL_STATE(2104)] = 137691,
  [SMALL_STATE(2105)] = 137737,
  [SMALL_STATE(2106)] = 137779,
  [SMALL_STATE(2107)] = 137821,
  [SMALL_STATE(2108)] = 137883,
  [SMALL_STATE(2109)] = 137929,
  [SMALL_STATE(2110)] = 137971,
  [SMALL_STATE(2111)] = 138013,
  [SMALL_STATE(2112)] = 138055,
  [SMALL_STATE(2113)] = 138097,
  [SMALL_STATE(2114)] = 138139,
  [SMALL_STATE(2115)] = 138181,
  [SMALL_STATE(2116)] = 138223,
  [SMALL_STATE(2117)] = 138265,
  [SMALL_STATE(2118)] = 138313,
  [SMALL_STATE(2119)] = 138355,
  [SMALL_STATE(2120)] = 138397,
  [SMALL_STATE(2121)] = 138439,
  [SMALL_STATE(2122)] = 138501,
  [SMALL_STATE(2123)] = 138543,
  [SMALL_STATE(2124)] = 138605,
  [SMALL_STATE(2125)] = 138647,
  [SMALL_STATE(2126)] = 138693,
  [SMALL_STATE(2127)] = 138735,
  [SMALL_STATE(2128)] = 138777,
  [SMALL_STATE(2129)] = 138819,
  [SMALL_STATE(2130)] = 138861,
  [SMALL_STATE(2131)] = 138903,
  [SMALL_STATE(2132)] = 138951,
  [SMALL_STATE(2133)] = 138993,
  [SMALL_STATE(2134)] = 139035,
  [SMALL_STATE(2135)] = 139077,
  [SMALL_STATE(2136)] = 139119,
  [SMALL_STATE(2137)] = 139161,
  [SMALL_STATE(2138)] = 139203,
  [SMALL_STATE(2139)] = 139249,
  [SMALL_STATE(2140)] = 139291,
  [SMALL_STATE(2141)] = 139333,
  [SMALL_STATE(2142)] = 139375,
  [SMALL_STATE(2143)] = 139417,
  [SMALL_STATE(2144)] = 139459,
  [SMALL_STATE(2145)] = 139505,
  [SMALL_STATE(2146)] = 139551,
  [SMALL_STATE(2147)] = 139593,
  [SMALL_STATE(2148)] = 139635,
  [SMALL_STATE(2149)] = 139677,
  [SMALL_STATE(2150)] = 139719,
  [SMALL_STATE(2151)] = 139781,
  [SMALL_STATE(2152)] = 139823,
  [SMALL_STATE(2153)] = 139865,
  [SMALL_STATE(2154)] = 139907,
  [SMALL_STATE(2155)] = 139953,
  [SMALL_STATE(2156)] = 139995,
  [SMALL_STATE(2157)] = 140037,
  [SMALL_STATE(2158)] = 140083,
  [SMALL_STATE(2159)] = 140125,
  [SMALL_STATE(2160)] = 140167,
  [SMALL_STATE(2161)] = 140209,
  [SMALL_STATE(2162)] = 140251,
  [SMALL_STATE(2163)] = 140293,
  [SMALL_STATE(2164)] = 140335,
  [SMALL_STATE(2165)] = 140377,
  [SMALL_STATE(2166)] = 140419,
  [SMALL_STATE(2167)] = 140461,
  [SMALL_STATE(2168)] = 140503,
  [SMALL_STATE(2169)] = 140545,
  [SMALL_STATE(2170)] = 140587,
  [SMALL_STATE(2171)] = 140629,
  [SMALL_STATE(2172)] = 140671,
  [SMALL_STATE(2173)] = 140713,
  [SMALL_STATE(2174)] = 140755,
  [SMALL_STATE(2175)] = 140797,
  [SMALL_STATE(2176)] = 140841,
  [SMALL_STATE(2177)] = 140883,
  [SMALL_STATE(2178)] = 140925,
  [SMALL_STATE(2179)] = 140967,
  [SMALL_STATE(2180)] = 141009,
  [SMALL_STATE(2181)] = 141051,
  [SMALL_STATE(2182)] = 141093,
  [SMALL_STATE(2183)] = 141139,
  [SMALL_STATE(2184)] = 141181,
  [SMALL_STATE(2185)] = 141223,
  [SMALL_STATE(2186)] = 141265,
  [SMALL_STATE(2187)] = 141307,
  [SMALL_STATE(2188)] = 141351,
  [SMALL_STATE(2189)] = 141393,
  [SMALL_STATE(2190)] = 141435,
  [SMALL_STATE(2191)] = 141477,
  [SMALL_STATE(2192)] = 141541,
  [SMALL_STATE(2193)] = 141583,
  [SMALL_STATE(2194)] = 141645,
  [SMALL_STATE(2195)] = 141687,
  [SMALL_STATE(2196)] = 141749,
  [SMALL_STATE(2197)] = 141793,
  [SMALL_STATE(2198)] = 141847,
  [SMALL_STATE(2199)] = 141909,
  [SMALL_STATE(2200)] = 141963,
  [SMALL_STATE(2201)] = 142009,
  [SMALL_STATE(2202)] = 142051,
  [SMALL_STATE(2203)] = 142113,
  [SMALL_STATE(2204)] = 142155,
  [SMALL_STATE(2205)] = 142197,
  [SMALL_STATE(2206)] = 142239,
  [SMALL_STATE(2207)] = 142281,
  [SMALL_STATE(2208)] = 142323,
  [SMALL_STATE(2209)] = 142365,
  [SMALL_STATE(2210)] = 142407,
  [SMALL_STATE(2211)] = 142449,
  [SMALL_STATE(2212)] = 142491,
  [SMALL_STATE(2213)] = 142533,
  [SMALL_STATE(2214)] = 142575,
  [SMALL_STATE(2215)] = 142619,
  [SMALL_STATE(2216)] = 142661,
  [SMALL_STATE(2217)] = 142703,
  [SMALL_STATE(2218)] = 142745,
  [SMALL_STATE(2219)] = 142787,
  [SMALL_STATE(2220)] = 142829,
  [SMALL_STATE(2221)] = 142871,
  [SMALL_STATE(2222)] = 142913,
  [SMALL_STATE(2223)] = 142954,
  [SMALL_STATE(2224)] = 142995,
  [SMALL_STATE(2225)] = 143036,
  [SMALL_STATE(2226)] = 143077,
  [SMALL_STATE(2227)] = 143118,
  [SMALL_STATE(2228)] = 143163,
  [SMALL_STATE(2229)] = 143208,
  [SMALL_STATE(2230)] = 143249,
  [SMALL_STATE(2231)] = 143290,
  [SMALL_STATE(2232)] = 143331,
  [SMALL_STATE(2233)] = 143372,
  [SMALL_STATE(2234)] = 143433,
  [SMALL_STATE(2235)] = 143474,
  [SMALL_STATE(2236)] = 143535,
  [SMALL_STATE(2237)] = 143580,
  [SMALL_STATE(2238)] = 143633,
  [SMALL_STATE(2239)] = 143674,
  [SMALL_STATE(2240)] = 143717,
  [SMALL_STATE(2241)] = 143758,
  [SMALL_STATE(2242)] = 143803,
  [SMALL_STATE(2243)] = 143846,
  [SMALL_STATE(2244)] = 143907,
  [SMALL_STATE(2245)] = 143948,
  [SMALL_STATE(2246)] = 143989,
  [SMALL_STATE(2247)] = 144034,
  [SMALL_STATE(2248)] = 144075,
  [SMALL_STATE(2249)] = 144116,
  [SMALL_STATE(2250)] = 144177,
  [SMALL_STATE(2251)] = 144220,
  [SMALL_STATE(2252)] = 144265,
  [SMALL_STATE(2253)] = 144308,
  [SMALL_STATE(2254)] = 144349,
  [SMALL_STATE(2255)] = 144390,
  [SMALL_STATE(2256)] = 144435,
  [SMALL_STATE(2257)] = 144480,
  [SMALL_STATE(2258)] = 144541,
  [SMALL_STATE(2259)] = 144586,
  [SMALL_STATE(2260)] = 144629,
  [SMALL_STATE(2261)] = 144690,
  [SMALL_STATE(2262)] = 144731,
  [SMALL_STATE(2263)] = 144772,
  [SMALL_STATE(2264)] = 144817,
  [SMALL_STATE(2265)] = 144878,
  [SMALL_STATE(2266)] = 144923,
  [SMALL_STATE(2267)] = 144966,
  [SMALL_STATE(2268)] = 145007,
  [SMALL_STATE(2269)] = 145050,
  [SMALL_STATE(2270)] = 145091,
  [SMALL_STATE(2271)] = 145140,
  [SMALL_STATE(2272)] = 145181,
  [SMALL_STATE(2273)] = 145222,
  [SMALL_STATE(2274)] = 145263,
  [SMALL_STATE(2275)] = 145304,
  [SMALL_STATE(2276)] = 145349,
  [SMALL_STATE(2277)] = 145394,
  [SMALL_STATE(2278)] = 145439,
  [SMALL_STATE(2279)] = 145480,
  [SMALL_STATE(2280)] = 145521,
  [SMALL_STATE(2281)] = 145564,
  [SMALL_STATE(2282)] = 145609,
  [SMALL_STATE(2283)] = 145650,
  [SMALL_STATE(2284)] = 145695,
  [SMALL_STATE(2285)] = 145740,
  [SMALL_STATE(2286)] = 145785,
  [SMALL_STATE(2287)] = 145830,
  [SMALL_STATE(2288)] = 145891,
  [SMALL_STATE(2289)] = 145952,
  [SMALL_STATE(2290)] = 146013,
  [SMALL_STATE(2291)] = 146074,
  [SMALL_STATE(2292)] = 146115,
  [SMALL_STATE(2293)] = 146160,
  [SMALL_STATE(2294)] = 146221,
  [SMALL_STATE(2295)] = 146282,
  [SMALL_STATE(2296)] = 146323,
  [SMALL_STATE(2297)] = 146384,
  [SMALL_STATE(2298)] = 146425,
  [SMALL_STATE(2299)] = 146468,
  [SMALL_STATE(2300)] = 146509,
  [SMALL_STATE(2301)] = 146552,
  [SMALL_STATE(2302)] = 146593,
  [SMALL_STATE(2303)] = 146638,
  [SMALL_STATE(2304)] = 146679,
  [SMALL_STATE(2305)] = 146740,
  [SMALL_STATE(2306)] = 146781,
  [SMALL_STATE(2307)] = 146822,
  [SMALL_STATE(2308)] = 146883,
  [SMALL_STATE(2309)] = 146924,
  [SMALL_STATE(2310)] = 146967,
  [SMALL_STATE(2311)] = 147008,
  [SMALL_STATE(2312)] = 147069,
  [SMALL_STATE(2313)] = 147114,
  [SMALL_STATE(2314)] = 147155,
  [SMALL_STATE(2315)] = 147196,
  [SMALL_STATE(2316)] = 147237,
  [SMALL_STATE(2317)] = 147282,
  [SMALL_STATE(2318)] = 147343,
  [SMALL_STATE(2319)] = 147384,
  [SMALL_STATE(2320)] = 147429,
  [SMALL_STATE(2321)] = 147490,
  [SMALL_STATE(2322)] = 147531,
  [SMALL_STATE(2323)] = 147576,
  [SMALL_STATE(2324)] = 147617,
  [SMALL_STATE(2325)] = 147658,
  [SMALL_STATE(2326)] = 147701,
  [SMALL_STATE(2327)] = 147744,
  [SMALL_STATE(2328)] = 147787,
  [SMALL_STATE(2329)] = 147828,
  [SMALL_STATE(2330)] = 147873,
  [SMALL_STATE(2331)] = 147914,
  [SMALL_STATE(2332)] = 147955,
  [SMALL_STATE(2333)] = 147998,
  [SMALL_STATE(2334)] = 148059,
  [SMALL_STATE(2335)] = 148104,
  [SMALL_STATE(2336)] = 148165,
  [SMALL_STATE(2337)] = 148226,
  [SMALL_STATE(2338)] = 148277,
  [SMALL_STATE(2339)] = 148322,
  [SMALL_STATE(2340)] = 148363,
  [SMALL_STATE(2341)] = 148408,
  [SMALL_STATE(2342)] = 148449,
  [SMALL_STATE(2343)] = 148490,
  [SMALL_STATE(2344)] = 148531,
  [SMALL_STATE(2345)] = 148576,
  [SMALL_STATE(2346)] = 148629,
  [SMALL_STATE(2347)] = 148672,
  [SMALL_STATE(2348)] = 148713,
  [SMALL_STATE(2349)] = 148754,
  [SMALL_STATE(2350)] = 148795,
  [SMALL_STATE(2351)] = 148836,
  [SMALL_STATE(2352)] = 148877,
  [SMALL_STATE(2353)] = 148918,
  [SMALL_STATE(2354)] = 148971,
  [SMALL_STATE(2355)] = 149012,
  [SMALL_STATE(2356)] = 149053,
  [SMALL_STATE(2357)] = 149098,
  [SMALL_STATE(2358)] = 149143,
  [SMALL_STATE(2359)] = 149184,
  [SMALL_STATE(2360)] = 149225,
  [SMALL_STATE(2361)] = 149270,
  [SMALL_STATE(2362)] = 149315,
  [SMALL_STATE(2363)] = 149358,
  [SMALL_STATE(2364)] = 149399,
  [SMALL_STATE(2365)] = 149444,
  [SMALL_STATE(2366)] = 149489,
  [SMALL_STATE(2367)] = 149534,
  [SMALL_STATE(2368)] = 149579,
  [SMALL_STATE(2369)] = 149620,
  [SMALL_STATE(2370)] = 149661,
  [SMALL_STATE(2371)] = 149702,
  [SMALL_STATE(2372)] = 149743,
  [SMALL_STATE(2373)] = 149804,
  [SMALL_STATE(2374)] = 149865,
  [SMALL_STATE(2375)] = 149906,
  [SMALL_STATE(2376)] = 149947,
  [SMALL_STATE(2377)] = 149988,
  [SMALL_STATE(2378)] = 150033,
  [SMALL_STATE(2379)] = 150074,
  [SMALL_STATE(2380)] = 150115,
  [SMALL_STATE(2381)] = 150156,
  [SMALL_STATE(2382)] = 150201,
  [SMALL_STATE(2383)] = 150246,
  [SMALL_STATE(2384)] = 150287,
  [SMALL_STATE(2385)] = 150348,
  [SMALL_STATE(2386)] = 150389,
  [SMALL_STATE(2387)] = 150430,
  [SMALL_STATE(2388)] = 150473,
  [SMALL_STATE(2389)] = 150514,
  [SMALL_STATE(2390)] = 150559,
  [SMALL_STATE(2391)] = 150600,
  [SMALL_STATE(2392)] = 150641,
  [SMALL_STATE(2393)] = 150682,
  [SMALL_STATE(2394)] = 150723,
  [SMALL_STATE(2395)] = 150768,
  [SMALL_STATE(2396)] = 150809,
  [SMALL_STATE(2397)] = 150850,
  [SMALL_STATE(2398)] = 150891,
  [SMALL_STATE(2399)] = 150936,
  [SMALL_STATE(2400)] = 150977,
  [SMALL_STATE(2401)] = 151018,
  [SMALL_STATE(2402)] = 151059,
  [SMALL_STATE(2403)] = 151100,
  [SMALL_STATE(2404)] = 151141,
  [SMALL_STATE(2405)] = 151182,
  [SMALL_STATE(2406)] = 151227,
  [SMALL_STATE(2407)] = 151268,
  [SMALL_STATE(2408)] = 151309,
  [SMALL_STATE(2409)] = 151350,
  [SMALL_STATE(2410)] = 151391,
  [SMALL_STATE(2411)] = 151432,
  [SMALL_STATE(2412)] = 151473,
  [SMALL_STATE(2413)] = 151514,
  [SMALL_STATE(2414)] = 151555,
  [SMALL_STATE(2415)] = 151596,
  [SMALL_STATE(2416)] = 151637,
  [SMALL_STATE(2417)] = 151678,
  [SMALL_STATE(2418)] = 151719,
  [SMALL_STATE(2419)] = 151760,
  [SMALL_STATE(2420)] = 151801,
  [SMALL_STATE(2421)] = 151842,
  [SMALL_STATE(2422)] = 151883,
  [SMALL_STATE(2423)] = 151926,
  [SMALL_STATE(2424)] = 151967,
  [SMALL_STATE(2425)] = 152028,
  [SMALL_STATE(2426)] = 152069,
  [SMALL_STATE(2427)] = 152110,
  [SMALL_STATE(2428)] = 152153,
  [SMALL_STATE(2429)] = 152194,
  [SMALL_STATE(2430)] = 152235,
  [SMALL_STATE(2431)] = 152276,
  [SMALL_STATE(2432)] = 152319,
  [SMALL_STATE(2433)] = 152360,
  [SMALL_STATE(2434)] = 152401,
  [SMALL_STATE(2435)] = 152446,
  [SMALL_STATE(2436)] = 152491,
  [SMALL_STATE(2437)] = 152532,
  [SMALL_STATE(2438)] = 152573,
  [SMALL_STATE(2439)] = 152614,
  [SMALL_STATE(2440)] = 152657,
  [SMALL_STATE(2441)] = 152700,
  [SMALL_STATE(2442)] = 152741,
  [SMALL_STATE(2443)] = 152782,
  [SMALL_STATE(2444)] = 152827,
  [SMALL_STATE(2445)] = 152868,
  [SMALL_STATE(2446)] = 152911,
  [SMALL_STATE(2447)] = 152952,
  [SMALL_STATE(2448)] = 152993,
  [SMALL_STATE(2449)] = 153038,
  [SMALL_STATE(2450)] = 153099,
  [SMALL_STATE(2451)] = 153160,
  [SMALL_STATE(2452)] = 153201,
  [SMALL_STATE(2453)] = 153242,
  [SMALL_STATE(2454)] = 153283,
  [SMALL_STATE(2455)] = 153324,
  [SMALL_STATE(2456)] = 153385,
  [SMALL_STATE(2457)] = 153426,
  [SMALL_STATE(2458)] = 153467,
  [SMALL_STATE(2459)] = 153528,
  [SMALL_STATE(2460)] = 153569,
  [SMALL_STATE(2461)] = 153610,
  [SMALL_STATE(2462)] = 153651,
  [SMALL_STATE(2463)] = 153692,
  [SMALL_STATE(2464)] = 153733,
  [SMALL_STATE(2465)] = 153774,
  [SMALL_STATE(2466)] = 153815,
  [SMALL_STATE(2467)] = 153856,
  [SMALL_STATE(2468)] = 153897,
  [SMALL_STATE(2469)] = 153938,
  [SMALL_STATE(2470)] = 153981,
  [SMALL_STATE(2471)] = 154022,
  [SMALL_STATE(2472)] = 154063,
  [SMALL_STATE(2473)] = 154106,
  [SMALL_STATE(2474)] = 154147,
  [SMALL_STATE(2475)] = 154188,
  [SMALL_STATE(2476)] = 154229,
  [SMALL_STATE(2477)] = 154270,
  [SMALL_STATE(2478)] = 154331,
  [SMALL_STATE(2479)] = 154374,
  [SMALL_STATE(2480)] = 154415,
  [SMALL_STATE(2481)] = 154456,
  [SMALL_STATE(2482)] = 154497,
  [SMALL_STATE(2483)] = 154558,
  [SMALL_STATE(2484)] = 154607,
  [SMALL_STATE(2485)] = 154648,
  [SMALL_STATE(2486)] = 154689,
  [SMALL_STATE(2487)] = 154730,
  [SMALL_STATE(2488)] = 154771,
  [SMALL_STATE(2489)] = 154812,
  [SMALL_STATE(2490)] = 154853,
  [SMALL_STATE(2491)] = 154894,
  [SMALL_STATE(2492)] = 154935,
  [SMALL_STATE(2493)] = 154976,
  [SMALL_STATE(2494)] = 155021,
  [SMALL_STATE(2495)] = 155064,
  [SMALL_STATE(2496)] = 155105,
  [SMALL_STATE(2497)] = 155146,
  [SMALL_STATE(2498)] = 155187,
  [SMALL_STATE(2499)] = 155228,
  [SMALL_STATE(2500)] = 155269,
  [SMALL_STATE(2501)] = 155310,
  [SMALL_STATE(2502)] = 155371,
  [SMALL_STATE(2503)] = 155412,
  [SMALL_STATE(2504)] = 155455,
  [SMALL_STATE(2505)] = 155496,
  [SMALL_STATE(2506)] = 155537,
  [SMALL_STATE(2507)] = 155578,
  [SMALL_STATE(2508)] = 155623,
  [SMALL_STATE(2509)] = 155664,
  [SMALL_STATE(2510)] = 155705,
  [SMALL_STATE(2511)] = 155746,
  [SMALL_STATE(2512)] = 155787,
  [SMALL_STATE(2513)] = 155828,
  [SMALL_STATE(2514)] = 155889,
  [SMALL_STATE(2515)] = 155930,
  [SMALL_STATE(2516)] = 155975,
  [SMALL_STATE(2517)] = 156016,
  [SMALL_STATE(2518)] = 156057,
  [SMALL_STATE(2519)] = 156098,
  [SMALL_STATE(2520)] = 156143,
  [SMALL_STATE(2521)] = 156184,
  [SMALL_STATE(2522)] = 156245,
  [SMALL_STATE(2523)] = 156306,
  [SMALL_STATE(2524)] = 156347,
  [SMALL_STATE(2525)] = 156392,
  [SMALL_STATE(2526)] = 156433,
  [SMALL_STATE(2527)] = 156478,
  [SMALL_STATE(2528)] = 156519,
  [SMALL_STATE(2529)] = 156560,
  [SMALL_STATE(2530)] = 156605,
  [SMALL_STATE(2531)] = 156646,
  [SMALL_STATE(2532)] = 156687,
  [SMALL_STATE(2533)] = 156728,
  [SMALL_STATE(2534)] = 156769,
  [SMALL_STATE(2535)] = 156810,
  [SMALL_STATE(2536)] = 156851,
  [SMALL_STATE(2537)] = 156896,
  [SMALL_STATE(2538)] = 156941,
  [SMALL_STATE(2539)] = 156982,
  [SMALL_STATE(2540)] = 157023,
  [SMALL_STATE(2541)] = 157064,
  [SMALL_STATE(2542)] = 157105,
  [SMALL_STATE(2543)] = 157146,
  [SMALL_STATE(2544)] = 157187,
  [SMALL_STATE(2545)] = 157228,
  [SMALL_STATE(2546)] = 157269,
  [SMALL_STATE(2547)] = 157310,
  [SMALL_STATE(2548)] = 157359,
  [SMALL_STATE(2549)] = 157400,
  [SMALL_STATE(2550)] = 157441,
  [SMALL_STATE(2551)] = 157482,
  [SMALL_STATE(2552)] = 157523,
  [SMALL_STATE(2553)] = 157564,
  [SMALL_STATE(2554)] = 157607,
  [SMALL_STATE(2555)] = 157648,
  [SMALL_STATE(2556)] = 157689,
  [SMALL_STATE(2557)] = 157730,
  [SMALL_STATE(2558)] = 157773,
  [SMALL_STATE(2559)] = 157814,
  [SMALL_STATE(2560)] = 157855,
  [SMALL_STATE(2561)] = 157895,
  [SMALL_STATE(2562)] = 157935,
  [SMALL_STATE(2563)] = 157979,
  [SMALL_STATE(2564)] = 158019,
  [SMALL_STATE(2565)] = 158063,
  [SMALL_STATE(2566)] = 158103,
  [SMALL_STATE(2567)] = 158143,
  [SMALL_STATE(2568)] = 158187,
  [SMALL_STATE(2569)] = 158227,
  [SMALL_STATE(2570)] = 158269,
  [SMALL_STATE(2571)] = 158309,
  [SMALL_STATE(2572)] = 158349,
  [SMALL_STATE(2573)] = 158391,
  [SMALL_STATE(2574)] = 158431,
  [SMALL_STATE(2575)] = 158471,
  [SMALL_STATE(2576)] = 158515,
  [SMALL_STATE(2577)] = 158555,
  [SMALL_STATE(2578)] = 158595,
  [SMALL_STATE(2579)] = 158635,
  [SMALL_STATE(2580)] = 158679,
  [SMALL_STATE(2581)] = 158719,
  [SMALL_STATE(2582)] = 158759,
  [SMALL_STATE(2583)] = 158803,
  [SMALL_STATE(2584)] = 158843,
  [SMALL_STATE(2585)] = 158883,
  [SMALL_STATE(2586)] = 158925,
  [SMALL_STATE(2587)] = 158965,
  [SMALL_STATE(2588)] = 159005,
  [SMALL_STATE(2589)] = 159045,
  [SMALL_STATE(2590)] = 159085,
  [SMALL_STATE(2591)] = 159125,
  [SMALL_STATE(2592)] = 159165,
  [SMALL_STATE(2593)] = 159205,
  [SMALL_STATE(2594)] = 159245,
  [SMALL_STATE(2595)] = 159285,
  [SMALL_STATE(2596)] = 159325,
  [SMALL_STATE(2597)] = 159367,
  [SMALL_STATE(2598)] = 159407,
  [SMALL_STATE(2599)] = 159447,
  [SMALL_STATE(2600)] = 159487,
  [SMALL_STATE(2601)] = 159527,
  [SMALL_STATE(2602)] = 159567,
  [SMALL_STATE(2603)] = 159607,
  [SMALL_STATE(2604)] = 159647,
  [SMALL_STATE(2605)] = 159687,
  [SMALL_STATE(2606)] = 159729,
  [SMALL_STATE(2607)] = 159769,
  [SMALL_STATE(2608)] = 159811,
  [SMALL_STATE(2609)] = 159853,
  [SMALL_STATE(2610)] = 159895,
  [SMALL_STATE(2611)] = 159935,
  [SMALL_STATE(2612)] = 159979,
  [SMALL_STATE(2613)] = 160021,
  [SMALL_STATE(2614)] = 160065,
  [SMALL_STATE(2615)] = 160105,
  [SMALL_STATE(2616)] = 160147,
  [SMALL_STATE(2617)] = 160187,
  [SMALL_STATE(2618)] = 160227,
  [SMALL_STATE(2619)] = 160267,
  [SMALL_STATE(2620)] = 160307,
  [SMALL_STATE(2621)] = 160347,
  [SMALL_STATE(2622)] = 160391,
  [SMALL_STATE(2623)] = 160431,
  [SMALL_STATE(2624)] = 160471,
  [SMALL_STATE(2625)] = 160515,
  [SMALL_STATE(2626)] = 160555,
  [SMALL_STATE(2627)] = 160595,
  [SMALL_STATE(2628)] = 160637,
  [SMALL_STATE(2629)] = 160681,
  [SMALL_STATE(2630)] = 160721,
  [SMALL_STATE(2631)] = 160765,
  [SMALL_STATE(2632)] = 160807,
  [SMALL_STATE(2633)] = 160847,
  [SMALL_STATE(2634)] = 160887,
  [SMALL_STATE(2635)] = 160927,
  [SMALL_STATE(2636)] = 160971,
  [SMALL_STATE(2637)] = 161011,
  [SMALL_STATE(2638)] = 161051,
  [SMALL_STATE(2639)] = 161093,
  [SMALL_STATE(2640)] = 161133,
  [SMALL_STATE(2641)] = 161173,
  [SMALL_STATE(2642)] = 161217,
  [SMALL_STATE(2643)] = 161257,
  [SMALL_STATE(2644)] = 161301,
  [SMALL_STATE(2645)] = 161341,
  [SMALL_STATE(2646)] = 161381,
  [SMALL_STATE(2647)] = 161425,
  [SMALL_STATE(2648)] = 161465,
  [SMALL_STATE(2649)] = 161507,
  [SMALL_STATE(2650)] = 161547,
  [SMALL_STATE(2651)] = 161587,
  [SMALL_STATE(2652)] = 161627,
  [SMALL_STATE(2653)] = 161669,
  [SMALL_STATE(2654)] = 161709,
  [SMALL_STATE(2655)] = 161749,
  [SMALL_STATE(2656)] = 161789,
  [SMALL_STATE(2657)] = 161831,
  [SMALL_STATE(2658)] = 161871,
  [SMALL_STATE(2659)] = 161911,
  [SMALL_STATE(2660)] = 161955,
  [SMALL_STATE(2661)] = 161999,
  [SMALL_STATE(2662)] = 162039,
  [SMALL_STATE(2663)] = 162083,
  [SMALL_STATE(2664)] = 162123,
  [SMALL_STATE(2665)] = 162163,
  [SMALL_STATE(2666)] = 162203,
  [SMALL_STATE(2667)] = 162247,
  [SMALL_STATE(2668)] = 162287,
  [SMALL_STATE(2669)] = 162331,
  [SMALL_STATE(2670)] = 162375,
  [SMALL_STATE(2671)] = 162419,
  [SMALL_STATE(2672)] = 162461,
  [SMALL_STATE(2673)] = 162501,
  [SMALL_STATE(2674)] = 162541,
  [SMALL_STATE(2675)] = 162581,
  [SMALL_STATE(2676)] = 162621,
  [SMALL_STATE(2677)] = 162661,
  [SMALL_STATE(2678)] = 162705,
  [SMALL_STATE(2679)] = 162745,
  [SMALL_STATE(2680)] = 162789,
  [SMALL_STATE(2681)] = 162829,
  [SMALL_STATE(2682)] = 162873,
  [SMALL_STATE(2683)] = 162913,
  [SMALL_STATE(2684)] = 162953,
  [SMALL_STATE(2685)] = 162997,
  [SMALL_STATE(2686)] = 163041,
  [SMALL_STATE(2687)] = 163081,
  [SMALL_STATE(2688)] = 163121,
  [SMALL_STATE(2689)] = 163161,
  [SMALL_STATE(2690)] = 163201,
  [SMALL_STATE(2691)] = 163241,
  [SMALL_STATE(2692)] = 163291,
  [SMALL_STATE(2693)] = 163331,
  [SMALL_STATE(2694)] = 163375,
  [SMALL_STATE(2695)] = 163415,
  [SMALL_STATE(2696)] = 163455,
  [SMALL_STATE(2697)] = 163495,
  [SMALL_STATE(2698)] = 163535,
  [SMALL_STATE(2699)] = 163575,
  [SMALL_STATE(2700)] = 163615,
  [SMALL_STATE(2701)] = 163659,
  [SMALL_STATE(2702)] = 163699,
  [SMALL_STATE(2703)] = 163739,
  [SMALL_STATE(2704)] = 163779,
  [SMALL_STATE(2705)] = 163819,
  [SMALL_STATE(2706)] = 163859,
  [SMALL_STATE(2707)] = 163899,
  [SMALL_STATE(2708)] = 163943,
  [SMALL_STATE(2709)] = 163985,
  [SMALL_STATE(2710)] = 164025,
  [SMALL_STATE(2711)] = 164069,
  [SMALL_STATE(2712)] = 164109,
  [SMALL_STATE(2713)] = 164149,
  [SMALL_STATE(2714)] = 164189,
  [SMALL_STATE(2715)] = 164229,
  [SMALL_STATE(2716)] = 164279,
  [SMALL_STATE(2717)] = 164323,
  [SMALL_STATE(2718)] = 164363,
  [SMALL_STATE(2719)] = 164403,
  [SMALL_STATE(2720)] = 164443,
  [SMALL_STATE(2721)] = 164483,
  [SMALL_STATE(2722)] = 164525,
  [SMALL_STATE(2723)] = 164565,
  [SMALL_STATE(2724)] = 164605,
  [SMALL_STATE(2725)] = 164645,
  [SMALL_STATE(2726)] = 164689,
  [SMALL_STATE(2727)] = 164729,
  [SMALL_STATE(2728)] = 164769,
  [SMALL_STATE(2729)] = 164809,
  [SMALL_STATE(2730)] = 164849,
  [SMALL_STATE(2731)] = 164889,
  [SMALL_STATE(2732)] = 164931,
  [SMALL_STATE(2733)] = 164971,
  [SMALL_STATE(2734)] = 165015,
  [SMALL_STATE(2735)] = 165055,
  [SMALL_STATE(2736)] = 165095,
  [SMALL_STATE(2737)] = 165139,
  [SMALL_STATE(2738)] = 165179,
  [SMALL_STATE(2739)] = 165223,
  [SMALL_STATE(2740)] = 165263,
  [SMALL_STATE(2741)] = 165307,
  [SMALL_STATE(2742)] = 165347,
  [SMALL_STATE(2743)] = 165387,
  [SMALL_STATE(2744)] = 165427,
  [SMALL_STATE(2745)] = 165467,
  [SMALL_STATE(2746)] = 165507,
  [SMALL_STATE(2747)] = 165547,
  [SMALL_STATE(2748)] = 165587,
  [SMALL_STATE(2749)] = 165627,
  [SMALL_STATE(2750)] = 165669,
  [SMALL_STATE(2751)] = 165713,
  [SMALL_STATE(2752)] = 165753,
  [SMALL_STATE(2753)] = 165793,
  [SMALL_STATE(2754)] = 165833,
  [SMALL_STATE(2755)] = 165873,
  [SMALL_STATE(2756)] = 165913,
  [SMALL_STATE(2757)] = 165953,
  [SMALL_STATE(2758)] = 165993,
  [SMALL_STATE(2759)] = 166033,
  [SMALL_STATE(2760)] = 166073,
  [SMALL_STATE(2761)] = 166113,
  [SMALL_STATE(2762)] = 166153,
  [SMALL_STATE(2763)] = 166193,
  [SMALL_STATE(2764)] = 166233,
  [SMALL_STATE(2765)] = 166273,
  [SMALL_STATE(2766)] = 166315,
  [SMALL_STATE(2767)] = 166355,
  [SMALL_STATE(2768)] = 166399,
  [SMALL_STATE(2769)] = 166439,
  [SMALL_STATE(2770)] = 166479,
  [SMALL_STATE(2771)] = 166519,
  [SMALL_STATE(2772)] = 166561,
  [SMALL_STATE(2773)] = 166601,
  [SMALL_STATE(2774)] = 166641,
  [SMALL_STATE(2775)] = 166681,
  [SMALL_STATE(2776)] = 166721,
  [SMALL_STATE(2777)] = 166761,
  [SMALL_STATE(2778)] = 166801,
  [SMALL_STATE(2779)] = 166841,
  [SMALL_STATE(2780)] = 166881,
  [SMALL_STATE(2781)] = 166923,
  [SMALL_STATE(2782)] = 166963,
  [SMALL_STATE(2783)] = 167003,
  [SMALL_STATE(2784)] = 167043,
  [SMALL_STATE(2785)] = 167083,
  [SMALL_STATE(2786)] = 167123,
  [SMALL_STATE(2787)] = 167163,
  [SMALL_STATE(2788)] = 167203,
  [SMALL_STATE(2789)] = 167243,
  [SMALL_STATE(2790)] = 167283,
  [SMALL_STATE(2791)] = 167323,
  [SMALL_STATE(2792)] = 167367,
  [SMALL_STATE(2793)] = 167407,
  [SMALL_STATE(2794)] = 167447,
  [SMALL_STATE(2795)] = 167487,
  [SMALL_STATE(2796)] = 167527,
  [SMALL_STATE(2797)] = 167567,
  [SMALL_STATE(2798)] = 167607,
  [SMALL_STATE(2799)] = 167647,
  [SMALL_STATE(2800)] = 167687,
  [SMALL_STATE(2801)] = 167727,
  [SMALL_STATE(2802)] = 167767,
  [SMALL_STATE(2803)] = 167807,
  [SMALL_STATE(2804)] = 167847,
  [SMALL_STATE(2805)] = 167887,
  [SMALL_STATE(2806)] = 167927,
  [SMALL_STATE(2807)] = 167969,
  [SMALL_STATE(2808)] = 168009,
  [SMALL_STATE(2809)] = 168053,
  [SMALL_STATE(2810)] = 168093,
  [SMALL_STATE(2811)] = 168133,
  [SMALL_STATE(2812)] = 168173,
  [SMALL_STATE(2813)] = 168213,
  [SMALL_STATE(2814)] = 168253,
  [SMALL_STATE(2815)] = 168293,
  [SMALL_STATE(2816)] = 168333,
  [SMALL_STATE(2817)] = 168373,
  [SMALL_STATE(2818)] = 168413,
  [SMALL_STATE(2819)] = 168453,
  [SMALL_STATE(2820)] = 168493,
  [SMALL_STATE(2821)] = 168533,
  [SMALL_STATE(2822)] = 168573,
  [SMALL_STATE(2823)] = 168615,
  [SMALL_STATE(2824)] = 168655,
  [SMALL_STATE(2825)] = 168697,
  [SMALL_STATE(2826)] = 168737,
  [SMALL_STATE(2827)] = 168777,
  [SMALL_STATE(2828)] = 168817,
  [SMALL_STATE(2829)] = 168857,
  [SMALL_STATE(2830)] = 168897,
  [SMALL_STATE(2831)] = 168937,
  [SMALL_STATE(2832)] = 168977,
  [SMALL_STATE(2833)] = 169017,
  [SMALL_STATE(2834)] = 169057,
  [SMALL_STATE(2835)] = 169097,
  [SMALL_STATE(2836)] = 169139,
  [SMALL_STATE(2837)] = 169179,
  [SMALL_STATE(2838)] = 169219,
  [SMALL_STATE(2839)] = 169267,
  [SMALL_STATE(2840)] = 169311,
  [SMALL_STATE(2841)] = 169351,
  [SMALL_STATE(2842)] = 169391,
  [SMALL_STATE(2843)] = 169431,
  [SMALL_STATE(2844)] = 169471,
  [SMALL_STATE(2845)] = 169511,
  [SMALL_STATE(2846)] = 169551,
  [SMALL_STATE(2847)] = 169591,
  [SMALL_STATE(2848)] = 169631,
  [SMALL_STATE(2849)] = 169671,
  [SMALL_STATE(2850)] = 169711,
  [SMALL_STATE(2851)] = 169751,
  [SMALL_STATE(2852)] = 169791,
  [SMALL_STATE(2853)] = 169831,
  [SMALL_STATE(2854)] = 169871,
  [SMALL_STATE(2855)] = 169915,
  [SMALL_STATE(2856)] = 169955,
  [SMALL_STATE(2857)] = 169995,
  [SMALL_STATE(2858)] = 170039,
  [SMALL_STATE(2859)] = 170078,
  [SMALL_STATE(2860)] = 170117,
  [SMALL_STATE(2861)] = 170156,
  [SMALL_STATE(2862)] = 170195,
  [SMALL_STATE(2863)] = 170234,
  [SMALL_STATE(2864)] = 170273,
  [SMALL_STATE(2865)] = 170312,
  [SMALL_STATE(2866)] = 170351,
  [SMALL_STATE(2867)] = 170390,
  [SMALL_STATE(2868)] = 170429,
  [SMALL_STATE(2869)] = 170468,
  [SMALL_STATE(2870)] = 170507,
  [SMALL_STATE(2871)] = 170546,
  [SMALL_STATE(2872)] = 170585,
  [SMALL_STATE(2873)] = 170624,
  [SMALL_STATE(2874)] = 170663,
  [SMALL_STATE(2875)] = 170702,
  [SMALL_STATE(2876)] = 170741,
  [SMALL_STATE(2877)] = 170780,
  [SMALL_STATE(2878)] = 170829,
  [SMALL_STATE(2879)] = 170868,
  [SMALL_STATE(2880)] = 170905,
  [SMALL_STATE(2881)] = 170944,
  [SMALL_STATE(2882)] = 170983,
  [SMALL_STATE(2883)] = 171022,
  [SMALL_STATE(2884)] = 171061,
  [SMALL_STATE(2885)] = 171102,
  [SMALL_STATE(2886)] = 171141,
  [SMALL_STATE(2887)] = 171180,
  [SMALL_STATE(2888)] = 171219,
  [SMALL_STATE(2889)] = 171258,
  [SMALL_STATE(2890)] = 171299,
  [SMALL_STATE(2891)] = 171338,
  [SMALL_STATE(2892)] = 171377,
  [SMALL_STATE(2893)] = 171416,
  [SMALL_STATE(2894)] = 171455,
  [SMALL_STATE(2895)] = 171494,
  [SMALL_STATE(2896)] = 171533,
  [SMALL_STATE(2897)] = 171572,
  [SMALL_STATE(2898)] = 171611,
  [SMALL_STATE(2899)] = 171650,
  [SMALL_STATE(2900)] = 171689,
  [SMALL_STATE(2901)] = 171728,
  [SMALL_STATE(2902)] = 171767,
  [SMALL_STATE(2903)] = 171806,
  [SMALL_STATE(2904)] = 171845,
  [SMALL_STATE(2905)] = 171888,
  [SMALL_STATE(2906)] = 171927,
  [SMALL_STATE(2907)] = 171966,
  [SMALL_STATE(2908)] = 172005,
  [SMALL_STATE(2909)] = 172044,
  [SMALL_STATE(2910)] = 172083,
  [SMALL_STATE(2911)] = 172122,
  [SMALL_STATE(2912)] = 172161,
  [SMALL_STATE(2913)] = 172200,
  [SMALL_STATE(2914)] = 172241,
  [SMALL_STATE(2915)] = 172280,
  [SMALL_STATE(2916)] = 172319,
  [SMALL_STATE(2917)] = 172358,
  [SMALL_STATE(2918)] = 172401,
  [SMALL_STATE(2919)] = 172440,
  [SMALL_STATE(2920)] = 172479,
  [SMALL_STATE(2921)] = 172518,
  [SMALL_STATE(2922)] = 172557,
  [SMALL_STATE(2923)] = 172596,
  [SMALL_STATE(2924)] = 172635,
  [SMALL_STATE(2925)] = 172674,
  [SMALL_STATE(2926)] = 172717,
  [SMALL_STATE(2927)] = 172756,
  [SMALL_STATE(2928)] = 172795,
  [SMALL_STATE(2929)] = 172834,
  [SMALL_STATE(2930)] = 172873,
  [SMALL_STATE(2931)] = 172912,
  [SMALL_STATE(2932)] = 172951,
  [SMALL_STATE(2933)] = 172990,
  [SMALL_STATE(2934)] = 173029,
  [SMALL_STATE(2935)] = 173068,
  [SMALL_STATE(2936)] = 173107,
  [SMALL_STATE(2937)] = 173146,
  [SMALL_STATE(2938)] = 173185,
  [SMALL_STATE(2939)] = 173224,
  [SMALL_STATE(2940)] = 173263,
  [SMALL_STATE(2941)] = 173302,
  [SMALL_STATE(2942)] = 173341,
  [SMALL_STATE(2943)] = 173380,
  [SMALL_STATE(2944)] = 173419,
  [SMALL_STATE(2945)] = 173458,
  [SMALL_STATE(2946)] = 173497,
  [SMALL_STATE(2947)] = 173536,
  [SMALL_STATE(2948)] = 173575,
  [SMALL_STATE(2949)] = 173614,
  [SMALL_STATE(2950)] = 173653,
  [SMALL_STATE(2951)] = 173692,
  [SMALL_STATE(2952)] = 173731,
  [SMALL_STATE(2953)] = 173770,
  [SMALL_STATE(2954)] = 173809,
  [SMALL_STATE(2955)] = 173858,
  [SMALL_STATE(2956)] = 173897,
  [SMALL_STATE(2957)] = 173936,
  [SMALL_STATE(2958)] = 173975,
  [SMALL_STATE(2959)] = 174014,
  [SMALL_STATE(2960)] = 174053,
  [SMALL_STATE(2961)] = 174092,
  [SMALL_STATE(2962)] = 174131,
  [SMALL_STATE(2963)] = 174170,
  [SMALL_STATE(2964)] = 174209,
  [SMALL_STATE(2965)] = 174248,
  [SMALL_STATE(2966)] = 174287,
  [SMALL_STATE(2967)] = 174326,
  [SMALL_STATE(2968)] = 174365,
  [SMALL_STATE(2969)] = 174404,
  [SMALL_STATE(2970)] = 174443,
  [SMALL_STATE(2971)] = 174482,
  [SMALL_STATE(2972)] = 174521,
  [SMALL_STATE(2973)] = 174562,
  [SMALL_STATE(2974)] = 174601,
  [SMALL_STATE(2975)] = 174640,
  [SMALL_STATE(2976)] = 174679,
  [SMALL_STATE(2977)] = 174718,
  [SMALL_STATE(2978)] = 174757,
  [SMALL_STATE(2979)] = 174796,
  [SMALL_STATE(2980)] = 174835,
  [SMALL_STATE(2981)] = 174874,
  [SMALL_STATE(2982)] = 174913,
  [SMALL_STATE(2983)] = 174952,
  [SMALL_STATE(2984)] = 174991,
  [SMALL_STATE(2985)] = 175030,
  [SMALL_STATE(2986)] = 175069,
  [SMALL_STATE(2987)] = 175108,
  [SMALL_STATE(2988)] = 175147,
  [SMALL_STATE(2989)] = 175186,
  [SMALL_STATE(2990)] = 175225,
  [SMALL_STATE(2991)] = 175264,
  [SMALL_STATE(2992)] = 175303,
  [SMALL_STATE(2993)] = 175352,
  [SMALL_STATE(2994)] = 175391,
  [SMALL_STATE(2995)] = 175430,
  [SMALL_STATE(2996)] = 175469,
  [SMALL_STATE(2997)] = 175508,
  [SMALL_STATE(2998)] = 175547,
  [SMALL_STATE(2999)] = 175586,
  [SMALL_STATE(3000)] = 175625,
  [SMALL_STATE(3001)] = 175664,
  [SMALL_STATE(3002)] = 175703,
  [SMALL_STATE(3003)] = 175742,
  [SMALL_STATE(3004)] = 175781,
  [SMALL_STATE(3005)] = 175820,
  [SMALL_STATE(3006)] = 175859,
  [SMALL_STATE(3007)] = 175898,
  [SMALL_STATE(3008)] = 175937,
  [SMALL_STATE(3009)] = 175976,
  [SMALL_STATE(3010)] = 176015,
  [SMALL_STATE(3011)] = 176054,
  [SMALL_STATE(3012)] = 176093,
  [SMALL_STATE(3013)] = 176132,
  [SMALL_STATE(3014)] = 176171,
  [SMALL_STATE(3015)] = 176210,
  [SMALL_STATE(3016)] = 176249,
  [SMALL_STATE(3017)] = 176288,
  [SMALL_STATE(3018)] = 176327,
  [SMALL_STATE(3019)] = 176366,
  [SMALL_STATE(3020)] = 176405,
  [SMALL_STATE(3021)] = 176444,
  [SMALL_STATE(3022)] = 176483,
  [SMALL_STATE(3023)] = 176522,
  [SMALL_STATE(3024)] = 176561,
  [SMALL_STATE(3025)] = 176600,
  [SMALL_STATE(3026)] = 176639,
  [SMALL_STATE(3027)] = 176678,
  [SMALL_STATE(3028)] = 176717,
  [SMALL_STATE(3029)] = 176756,
  [SMALL_STATE(3030)] = 176795,
  [SMALL_STATE(3031)] = 176834,
  [SMALL_STATE(3032)] = 176873,
  [SMALL_STATE(3033)] = 176912,
  [SMALL_STATE(3034)] = 176951,
  [SMALL_STATE(3035)] = 176990,
  [SMALL_STATE(3036)] = 177029,
  [SMALL_STATE(3037)] = 177068,
  [SMALL_STATE(3038)] = 177107,
  [SMALL_STATE(3039)] = 177146,
  [SMALL_STATE(3040)] = 177185,
  [SMALL_STATE(3041)] = 177224,
  [SMALL_STATE(3042)] = 177263,
  [SMALL_STATE(3043)] = 177302,
  [SMALL_STATE(3044)] = 177341,
  [SMALL_STATE(3045)] = 177380,
  [SMALL_STATE(3046)] = 177419,
  [SMALL_STATE(3047)] = 177458,
  [SMALL_STATE(3048)] = 177497,
  [SMALL_STATE(3049)] = 177536,
  [SMALL_STATE(3050)] = 177575,
  [SMALL_STATE(3051)] = 177614,
  [SMALL_STATE(3052)] = 177653,
  [SMALL_STATE(3053)] = 177692,
  [SMALL_STATE(3054)] = 177731,
  [SMALL_STATE(3055)] = 177770,
  [SMALL_STATE(3056)] = 177809,
  [SMALL_STATE(3057)] = 177848,
  [SMALL_STATE(3058)] = 177887,
  [SMALL_STATE(3059)] = 177926,
  [SMALL_STATE(3060)] = 177965,
  [SMALL_STATE(3061)] = 178004,
  [SMALL_STATE(3062)] = 178043,
  [SMALL_STATE(3063)] = 178082,
  [SMALL_STATE(3064)] = 178120,
  [SMALL_STATE(3065)] = 178158,
  [SMALL_STATE(3066)] = 178196,
  [SMALL_STATE(3067)] = 178234,
  [SMALL_STATE(3068)] = 178290,
  [SMALL_STATE(3069)] = 178328,
  [SMALL_STATE(3070)] = 178366,
  [SMALL_STATE(3071)] = 178422,
  [SMALL_STATE(3072)] = 178460,
  [SMALL_STATE(3073)] = 178500,
  [SMALL_STATE(3074)] = 178538,
  [SMALL_STATE(3075)] = 178576,
  [SMALL_STATE(3076)] = 178614,
  [SMALL_STATE(3077)] = 178656,
  [SMALL_STATE(3078)] = 178694,
  [SMALL_STATE(3079)] = 178732,
  [SMALL_STATE(3080)] = 178770,
  [SMALL_STATE(3081)] = 178812,
  [SMALL_STATE(3082)] = 178850,
  [SMALL_STATE(3083)] = 178888,
  [SMALL_STATE(3084)] = 178928,
  [SMALL_STATE(3085)] = 178966,
  [SMALL_STATE(3086)] = 179004,
  [SMALL_STATE(3087)] = 179060,
  [SMALL_STATE(3088)] = 179098,
  [SMALL_STATE(3089)] = 179136,
  [SMALL_STATE(3090)] = 179176,
  [SMALL_STATE(3091)] = 179214,
  [SMALL_STATE(3092)] = 179252,
  [SMALL_STATE(3093)] = 179290,
  [SMALL_STATE(3094)] = 179332,
  [SMALL_STATE(3095)] = 179370,
  [SMALL_STATE(3096)] = 179408,
  [SMALL_STATE(3097)] = 179446,
  [SMALL_STATE(3098)] = 179484,
  [SMALL_STATE(3099)] = 179522,
  [SMALL_STATE(3100)] = 179560,
  [SMALL_STATE(3101)] = 179598,
  [SMALL_STATE(3102)] = 179636,
  [SMALL_STATE(3103)] = 179674,
  [SMALL_STATE(3104)] = 179712,
  [SMALL_STATE(3105)] = 179750,
  [SMALL_STATE(3106)] = 179788,
  [SMALL_STATE(3107)] = 179826,
  [SMALL_STATE(3108)] = 179864,
  [SMALL_STATE(3109)] = 179904,
  [SMALL_STATE(3110)] = 179942,
  [SMALL_STATE(3111)] = 179980,
  [SMALL_STATE(3112)] = 180018,
  [SMALL_STATE(3113)] = 180074,
  [SMALL_STATE(3114)] = 180112,
  [SMALL_STATE(3115)] = 180149,
  [SMALL_STATE(3116)] = 180184,
  [SMALL_STATE(3117)] = 180221,
  [SMALL_STATE(3118)] = 180258,
  [SMALL_STATE(3119)] = 180295,
  [SMALL_STATE(3120)] = 180332,
  [SMALL_STATE(3121)] = 180369,
  [SMALL_STATE(3122)] = 180406,
  [SMALL_STATE(3123)] = 180443,
  [SMALL_STATE(3124)] = 180480,
  [SMALL_STATE(3125)] = 180517,
  [SMALL_STATE(3126)] = 180554,
  [SMALL_STATE(3127)] = 180591,
  [SMALL_STATE(3128)] = 180628,
  [SMALL_STATE(3129)] = 180665,
  [SMALL_STATE(3130)] = 180722,
  [SMALL_STATE(3131)] = 180759,
  [SMALL_STATE(3132)] = 180796,
  [SMALL_STATE(3133)] = 180847,
  [SMALL_STATE(3134)] = 180904,
  [SMALL_STATE(3135)] = 180941,
  [SMALL_STATE(3136)] = 180978,
  [SMALL_STATE(3137)] = 181019,
  [SMALL_STATE(3138)] = 181056,
  [SMALL_STATE(3139)] = 181093,
  [SMALL_STATE(3140)] = 181130,
  [SMALL_STATE(3141)] = 181187,
  [SMALL_STATE(3142)] = 181224,
  [SMALL_STATE(3143)] = 181261,
  [SMALL_STATE(3144)] = 181312,
  [SMALL_STATE(3145)] = 181349,
  [SMALL_STATE(3146)] = 181388,
  [SMALL_STATE(3147)] = 181425,
  [SMALL_STATE(3148)] = 181462,
  [SMALL_STATE(3149)] = 181499,
  [SMALL_STATE(3150)] = 181550,
  [SMALL_STATE(3151)] = 181587,
  [SMALL_STATE(3152)] = 181624,
  [SMALL_STATE(3153)] = 181661,
  [SMALL_STATE(3154)] = 181702,
  [SMALL_STATE(3155)] = 181743,
  [SMALL_STATE(3156)] = 181780,
  [SMALL_STATE(3157)] = 181817,
  [SMALL_STATE(3158)] = 181856,
  [SMALL_STATE(3159)] = 181897,
  [SMALL_STATE(3160)] = 181934,
  [SMALL_STATE(3161)] = 181971,
  [SMALL_STATE(3162)] = 182008,
  [SMALL_STATE(3163)] = 182045,
  [SMALL_STATE(3164)] = 182102,
  [SMALL_STATE(3165)] = 182137,
  [SMALL_STATE(3166)] = 182177,
  [SMALL_STATE(3167)] = 182213,
  [SMALL_STATE(3168)] = 182269,
  [SMALL_STATE(3169)] = 182305,
  [SMALL_STATE(3170)] = 182357,
  [SMALL_STATE(3171)] = 182407,
  [SMALL_STATE(3172)] = 182459,
  [SMALL_STATE(3173)] = 182499,
  [SMALL_STATE(3174)] = 182535,
  [SMALL_STATE(3175)] = 182587,
  [SMALL_STATE(3176)] = 182623,
  [SMALL_STATE(3177)] = 182659,
  [SMALL_STATE(3178)] = 182695,
  [SMALL_STATE(3179)] = 182747,
  [SMALL_STATE(3180)] = 182783,
  [SMALL_STATE(3181)] = 182823,
  [SMALL_STATE(3182)] = 182859,
  [SMALL_STATE(3183)] = 182905,
  [SMALL_STATE(3184)] = 182941,
  [SMALL_STATE(3185)] = 182981,
  [SMALL_STATE(3186)] = 183031,
  [SMALL_STATE(3187)] = 183071,
  [SMALL_STATE(3188)] = 183127,
  [SMALL_STATE(3189)] = 183173,
  [SMALL_STATE(3190)] = 183209,
  [SMALL_STATE(3191)] = 183245,
  [SMALL_STATE(3192)] = 183295,
  [SMALL_STATE(3193)] = 183335,
  [SMALL_STATE(3194)] = 183381,
  [SMALL_STATE(3195)] = 183421,
  [SMALL_STATE(3196)] = 183471,
  [SMALL_STATE(3197)] = 183515,
  [SMALL_STATE(3198)] = 183555,
  [SMALL_STATE(3199)] = 183611,
  [SMALL_STATE(3200)] = 183651,
  [SMALL_STATE(3201)] = 183707,
  [SMALL_STATE(3202)] = 183753,
  [SMALL_STATE(3203)] = 183798,
  [SMALL_STATE(3204)] = 183843,
  [SMALL_STATE(3205)] = 183898,
  [SMALL_STATE(3206)] = 183943,
  [SMALL_STATE(3207)] = 183988,
  [SMALL_STATE(3208)] = 184043,
  [SMALL_STATE(3209)] = 184088,
  [SMALL_STATE(3210)] = 184133,
  [SMALL_STATE(3211)] = 184178,
  [SMALL_STATE(3212)] = 184223,
  [SMALL_STATE(3213)] = 184258,
  [SMALL_STATE(3214)] = 184303,
  [SMALL_STATE(3215)] = 184354,
  [SMALL_STATE(3216)] = 184399,
  [SMALL_STATE(3217)] = 184444,
  [SMALL_STATE(3218)] = 184499,
  [SMALL_STATE(3219)] = 184538,
  [SMALL_STATE(3220)] = 184583,
  [SMALL_STATE(3221)] = 184628,
  [SMALL_STATE(3222)] = 184673,
  [SMALL_STATE(3223)] = 184712,
  [SMALL_STATE(3224)] = 184757,
  [SMALL_STATE(3225)] = 184802,
  [SMALL_STATE(3226)] = 184847,
  [SMALL_STATE(3227)] = 184892,
  [SMALL_STATE(3228)] = 184947,
  [SMALL_STATE(3229)] = 184992,
  [SMALL_STATE(3230)] = 185043,
  [SMALL_STATE(3231)] = 185088,
  [SMALL_STATE(3232)] = 185133,
  [SMALL_STATE(3233)] = 185172,
  [SMALL_STATE(3234)] = 185207,
  [SMALL_STATE(3235)] = 185246,
  [SMALL_STATE(3236)] = 185291,
  [SMALL_STATE(3237)] = 185334,
  [SMALL_STATE(3238)] = 185379,
  [SMALL_STATE(3239)] = 185424,
  [SMALL_STATE(3240)] = 185469,
  [SMALL_STATE(3241)] = 185514,
  [SMALL_STATE(3242)] = 185559,
  [SMALL_STATE(3243)] = 185604,
  [SMALL_STATE(3244)] = 185649,
  [SMALL_STATE(3245)] = 185694,
  [SMALL_STATE(3246)] = 185739,
  [SMALL_STATE(3247)] = 185784,
  [SMALL_STATE(3248)] = 185829,
  [SMALL_STATE(3249)] = 185868,
  [SMALL_STATE(3250)] = 185903,
  [SMALL_STATE(3251)] = 185954,
  [SMALL_STATE(3252)] = 185993,
  [SMALL_STATE(3253)] = 186038,
  [SMALL_STATE(3254)] = 186073,
  [SMALL_STATE(3255)] = 186118,
  [SMALL_STATE(3256)] = 186163,
  [SMALL_STATE(3257)] = 186208,
  [SMALL_STATE(3258)] = 186259,
  [SMALL_STATE(3259)] = 186304,
  [SMALL_STATE(3260)] = 186349,
  [SMALL_STATE(3261)] = 186392,
  [SMALL_STATE(3262)] = 186430,
  [SMALL_STATE(3263)] = 186468,
  [SMALL_STATE(3264)] = 186522,
  [SMALL_STATE(3265)] = 186566,
  [SMALL_STATE(3266)] = 186620,
  [SMALL_STATE(3267)] = 186658,
  [SMALL_STATE(3268)] = 186702,
  [SMALL_STATE(3269)] = 186756,
  [SMALL_STATE(3270)] = 186790,
  [SMALL_STATE(3271)] = 186844,
  [SMALL_STATE(3272)] = 186878,
  [SMALL_STATE(3273)] = 186928,
  [SMALL_STATE(3274)] = 186978,
  [SMALL_STATE(3275)] = 187032,
  [SMALL_STATE(3276)] = 187066,
  [SMALL_STATE(3277)] = 187104,
  [SMALL_STATE(3278)] = 187148,
  [SMALL_STATE(3279)] = 187182,
  [SMALL_STATE(3280)] = 187220,
  [SMALL_STATE(3281)] = 187270,
  [SMALL_STATE(3282)] = 187304,
  [SMALL_STATE(3283)] = 187348,
  [SMALL_STATE(3284)] = 187402,
  [SMALL_STATE(3285)] = 187440,
  [SMALL_STATE(3286)] = 187478,
  [SMALL_STATE(3287)] = 187522,
  [SMALL_STATE(3288)] = 187566,
  [SMALL_STATE(3289)] = 187610,
  [SMALL_STATE(3290)] = 187648,
  [SMALL_STATE(3291)] = 187692,
  [SMALL_STATE(3292)] = 187728,
  [SMALL_STATE(3293)] = 187762,
  [SMALL_STATE(3294)] = 187806,
  [SMALL_STATE(3295)] = 187856,
  [SMALL_STATE(3296)] = 187894,
  [SMALL_STATE(3297)] = 187937,
  [SMALL_STATE(3298)] = 187990,
  [SMALL_STATE(3299)] = 188043,
  [SMALL_STATE(3300)] = 188092,
  [SMALL_STATE(3301)] = 188137,
  [SMALL_STATE(3302)] = 188172,
  [SMALL_STATE(3303)] = 188225,
  [SMALL_STATE(3304)] = 188278,
  [SMALL_STATE(3305)] = 188323,
  [SMALL_STATE(3306)] = 188376,
  [SMALL_STATE(3307)] = 188429,
  [SMALL_STATE(3308)] = 188466,
  [SMALL_STATE(3309)] = 188511,
  [SMALL_STATE(3310)] = 188564,
  [SMALL_STATE(3311)] = 188617,
  [SMALL_STATE(3312)] = 188654,
  [SMALL_STATE(3313)] = 188707,
  [SMALL_STATE(3314)] = 188760,
  [SMALL_STATE(3315)] = 188805,
  [SMALL_STATE(3316)] = 188858,
  [SMALL_STATE(3317)] = 188911,
  [SMALL_STATE(3318)] = 188964,
  [SMALL_STATE(3319)] = 189017,
  [SMALL_STATE(3320)] = 189070,
  [SMALL_STATE(3321)] = 189123,
  [SMALL_STATE(3322)] = 189176,
  [SMALL_STATE(3323)] = 189209,
  [SMALL_STATE(3324)] = 189262,
  [SMALL_STATE(3325)] = 189315,
  [SMALL_STATE(3326)] = 189360,
  [SMALL_STATE(3327)] = 189405,
  [SMALL_STATE(3328)] = 189458,
  [SMALL_STATE(3329)] = 189503,
  [SMALL_STATE(3330)] = 189556,
  [SMALL_STATE(3331)] = 189593,
  [SMALL_STATE(3332)] = 189646,
  [SMALL_STATE(3333)] = 189683,
  [SMALL_STATE(3334)] = 189720,
  [SMALL_STATE(3335)] = 189773,
  [SMALL_STATE(3336)] = 189810,
  [SMALL_STATE(3337)] = 189843,
  [SMALL_STATE(3338)] = 189880,
  [SMALL_STATE(3339)] = 189933,
  [SMALL_STATE(3340)] = 189986,
  [SMALL_STATE(3341)] = 190039,
  [SMALL_STATE(3342)] = 190092,
  [SMALL_STATE(3343)] = 190129,
  [SMALL_STATE(3344)] = 190182,
  [SMALL_STATE(3345)] = 190235,
  [SMALL_STATE(3346)] = 190288,
  [SMALL_STATE(3347)] = 190341,
  [SMALL_STATE(3348)] = 190378,
  [SMALL_STATE(3349)] = 190431,
  [SMALL_STATE(3350)] = 190466,
  [SMALL_STATE(3351)] = 190503,
  [SMALL_STATE(3352)] = 190556,
  [SMALL_STATE(3353)] = 190591,
  [SMALL_STATE(3354)] = 190644,
  [SMALL_STATE(3355)] = 190697,
  [SMALL_STATE(3356)] = 190750,
  [SMALL_STATE(3357)] = 190803,
  [SMALL_STATE(3358)] = 190840,
  [SMALL_STATE(3359)] = 190883,
  [SMALL_STATE(3360)] = 190920,
  [SMALL_STATE(3361)] = 190957,
  [SMALL_STATE(3362)] = 190992,
  [SMALL_STATE(3363)] = 191045,
  [SMALL_STATE(3364)] = 191098,
  [SMALL_STATE(3365)] = 191135,
  [SMALL_STATE(3366)] = 191188,
  [SMALL_STATE(3367)] = 191223,
  [SMALL_STATE(3368)] = 191276,
  [SMALL_STATE(3369)] = 191313,
  [SMALL_STATE(3370)] = 191356,
  [SMALL_STATE(3371)] = 191389,
  [SMALL_STATE(3372)] = 191442,
  [SMALL_STATE(3373)] = 191495,
  [SMALL_STATE(3374)] = 191548,
  [SMALL_STATE(3375)] = 191601,
  [SMALL_STATE(3376)] = 191634,
  [SMALL_STATE(3377)] = 191687,
  [SMALL_STATE(3378)] = 191740,
  [SMALL_STATE(3379)] = 191777,
  [SMALL_STATE(3380)] = 191830,
  [SMALL_STATE(3381)] = 191875,
  [SMALL_STATE(3382)] = 191920,
  [SMALL_STATE(3383)] = 191973,
  [SMALL_STATE(3384)] = 192018,
  [SMALL_STATE(3385)] = 192071,
  [SMALL_STATE(3386)] = 192116,
  [SMALL_STATE(3387)] = 192169,
  [SMALL_STATE(3388)] = 192222,
  [SMALL_STATE(3389)] = 192255,
  [SMALL_STATE(3390)] = 192298,
  [SMALL_STATE(3391)] = 192331,
  [SMALL_STATE(3392)] = 192384,
  [SMALL_STATE(3393)] = 192437,
  [SMALL_STATE(3394)] = 192490,
  [SMALL_STATE(3395)] = 192543,
  [SMALL_STATE(3396)] = 192576,
  [SMALL_STATE(3397)] = 192629,
  [SMALL_STATE(3398)] = 192682,
  [SMALL_STATE(3399)] = 192731,
  [SMALL_STATE(3400)] = 192784,
  [SMALL_STATE(3401)] = 192837,
  [SMALL_STATE(3402)] = 192870,
  [SMALL_STATE(3403)] = 192923,
  [SMALL_STATE(3404)] = 192976,
  [SMALL_STATE(3405)] = 193029,
  [SMALL_STATE(3406)] = 193082,
  [SMALL_STATE(3407)] = 193115,
  [SMALL_STATE(3408)] = 193168,
  [SMALL_STATE(3409)] = 193221,
  [SMALL_STATE(3410)] = 193256,
  [SMALL_STATE(3411)] = 193309,
  [SMALL_STATE(3412)] = 193342,
  [SMALL_STATE(3413)] = 193395,
  [SMALL_STATE(3414)] = 193448,
  [SMALL_STATE(3415)] = 193481,
  [SMALL_STATE(3416)] = 193524,
  [SMALL_STATE(3417)] = 193577,
  [SMALL_STATE(3418)] = 193630,
  [SMALL_STATE(3419)] = 193675,
  [SMALL_STATE(3420)] = 193708,
  [SMALL_STATE(3421)] = 193743,
  [SMALL_STATE(3422)] = 193796,
  [SMALL_STATE(3423)] = 193849,
  [SMALL_STATE(3424)] = 193882,
  [SMALL_STATE(3425)] = 193935,
  [SMALL_STATE(3426)] = 193968,
  [SMALL_STATE(3427)] = 194021,
  [SMALL_STATE(3428)] = 194054,
  [SMALL_STATE(3429)] = 194103,
  [SMALL_STATE(3430)] = 194148,
  [SMALL_STATE(3431)] = 194193,
  [SMALL_STATE(3432)] = 194236,
  [SMALL_STATE(3433)] = 194281,
  [SMALL_STATE(3434)] = 194334,
  [SMALL_STATE(3435)] = 194383,
  [SMALL_STATE(3436)] = 194436,
  [SMALL_STATE(3437)] = 194471,
  [SMALL_STATE(3438)] = 194524,
  [SMALL_STATE(3439)] = 194569,
  [SMALL_STATE(3440)] = 194602,
  [SMALL_STATE(3441)] = 194655,
  [SMALL_STATE(3442)] = 194700,
  [SMALL_STATE(3443)] = 194753,
  [SMALL_STATE(3444)] = 194806,
  [SMALL_STATE(3445)] = 194859,
  [SMALL_STATE(3446)] = 194904,
  [SMALL_STATE(3447)] = 194957,
  [SMALL_STATE(3448)] = 195002,
  [SMALL_STATE(3449)] = 195055,
  [SMALL_STATE(3450)] = 195100,
  [SMALL_STATE(3451)] = 195145,
  [SMALL_STATE(3452)] = 195190,
  [SMALL_STATE(3453)] = 195223,
  [SMALL_STATE(3454)] = 195268,
  [SMALL_STATE(3455)] = 195313,
  [SMALL_STATE(3456)] = 195366,
  [SMALL_STATE(3457)] = 195419,
  [SMALL_STATE(3458)] = 195472,
  [SMALL_STATE(3459)] = 195525,
  [SMALL_STATE(3460)] = 195578,
  [SMALL_STATE(3461)] = 195618,
  [SMALL_STATE(3462)] = 195654,
  [SMALL_STATE(3463)] = 195686,
  [SMALL_STATE(3464)] = 195726,
  [SMALL_STATE(3465)] = 195758,
  [SMALL_STATE(3466)] = 195788,
  [SMALL_STATE(3467)] = 195824,
  [SMALL_STATE(3468)] = 195860,
  [SMALL_STATE(3469)] = 195904,
  [SMALL_STATE(3470)] = 195948,
  [SMALL_STATE(3471)] = 195992,
  [SMALL_STATE(3472)] = 196036,
  [SMALL_STATE(3473)] = 196080,
  [SMALL_STATE(3474)] = 196130,
  [SMALL_STATE(3475)] = 196180,
  [SMALL_STATE(3476)] = 196216,
  [SMALL_STATE(3477)] = 196252,
  [SMALL_STATE(3478)] = 196288,
  [SMALL_STATE(3479)] = 196324,
  [SMALL_STATE(3480)] = 196356,
  [SMALL_STATE(3481)] = 196388,
  [SMALL_STATE(3482)] = 196420,
  [SMALL_STATE(3483)] = 196464,
  [SMALL_STATE(3484)] = 196500,
  [SMALL_STATE(3485)] = 196544,
  [SMALL_STATE(3486)] = 196584,
  [SMALL_STATE(3487)] = 196622,
  [SMALL_STATE(3488)] = 196658,
  [SMALL_STATE(3489)] = 196690,
  [SMALL_STATE(3490)] = 196722,
  [SMALL_STATE(3491)] = 196772,
  [SMALL_STATE(3492)] = 196822,
  [SMALL_STATE(3493)] = 196854,
  [SMALL_STATE(3494)] = 196886,
  [SMALL_STATE(3495)] = 196918,
  [SMALL_STATE(3496)] = 196948,
  [SMALL_STATE(3497)] = 196986,
  [SMALL_STATE(3498)] = 197020,
  [SMALL_STATE(3499)] = 197058,
  [SMALL_STATE(3500)] = 197090,
  [SMALL_STATE(3501)] = 197126,
  [SMALL_STATE(3502)] = 197156,
  [SMALL_STATE(3503)] = 197206,
  [SMALL_STATE(3504)] = 197238,
  [SMALL_STATE(3505)] = 197268,
  [SMALL_STATE(3506)] = 197300,
  [SMALL_STATE(3507)] = 197332,
  [SMALL_STATE(3508)] = 197382,
  [SMALL_STATE(3509)] = 197432,
  [SMALL_STATE(3510)] = 197474,
  [SMALL_STATE(3511)] = 197506,
  [SMALL_STATE(3512)] = 197538,
  [SMALL_STATE(3513)] = 197582,
  [SMALL_STATE(3514)] = 197626,
  [SMALL_STATE(3515)] = 197670,
  [SMALL_STATE(3516)] = 197712,
  [SMALL_STATE(3517)] = 197756,
  [SMALL_STATE(3518)] = 197800,
  [SMALL_STATE(3519)] = 197840,
  [SMALL_STATE(3520)] = 197884,
  [SMALL_STATE(3521)] = 197916,
  [SMALL_STATE(3522)] = 197948,
  [SMALL_STATE(3523)] = 197992,
  [SMALL_STATE(3524)] = 198024,
  [SMALL_STATE(3525)] = 198068,
  [SMALL_STATE(3526)] = 198112,
  [SMALL_STATE(3527)] = 198152,
  [SMALL_STATE(3528)] = 198190,
  [SMALL_STATE(3529)] = 198234,
  [SMALL_STATE(3530)] = 198272,
  [SMALL_STATE(3531)] = 198324,
  [SMALL_STATE(3532)] = 198376,
  [SMALL_STATE(3533)] = 198408,
  [SMALL_STATE(3534)] = 198440,
  [SMALL_STATE(3535)] = 198478,
  [SMALL_STATE(3536)] = 198512,
  [SMALL_STATE(3537)] = 198544,
  [SMALL_STATE(3538)] = 198588,
  [SMALL_STATE(3539)] = 198624,
  [SMALL_STATE(3540)] = 198660,
  [SMALL_STATE(3541)] = 198704,
  [SMALL_STATE(3542)] = 198756,
  [SMALL_STATE(3543)] = 198788,
  [SMALL_STATE(3544)] = 198824,
  [SMALL_STATE(3545)] = 198860,
  [SMALL_STATE(3546)] = 198904,
  [SMALL_STATE(3547)] = 198936,
  [SMALL_STATE(3548)] = 198974,
  [SMALL_STATE(3549)] = 199026,
  [SMALL_STATE(3550)] = 199058,
  [SMALL_STATE(3551)] = 199090,
  [SMALL_STATE(3552)] = 199124,
  [SMALL_STATE(3553)] = 199168,
  [SMALL_STATE(3554)] = 199204,
  [SMALL_STATE(3555)] = 199236,
  [SMALL_STATE(3556)] = 199268,
  [SMALL_STATE(3557)] = 199304,
  [SMALL_STATE(3558)] = 199348,
  [SMALL_STATE(3559)] = 199384,
  [SMALL_STATE(3560)] = 199428,
  [SMALL_STATE(3561)] = 199478,
  [SMALL_STATE(3562)] = 199528,
  [SMALL_STATE(3563)] = 199572,
  [SMALL_STATE(3564)] = 199608,
  [SMALL_STATE(3565)] = 199652,
  [SMALL_STATE(3566)] = 199696,
  [SMALL_STATE(3567)] = 199730,
  [SMALL_STATE(3568)] = 199762,
  [SMALL_STATE(3569)] = 199794,
  [SMALL_STATE(3570)] = 199828,
  [SMALL_STATE(3571)] = 199862,
  [SMALL_STATE(3572)] = 199894,
  [SMALL_STATE(3573)] = 199926,
  [SMALL_STATE(3574)] = 199958,
  [SMALL_STATE(3575)] = 199990,
  [SMALL_STATE(3576)] = 200034,
  [SMALL_STATE(3577)] = 200093,
  [SMALL_STATE(3578)] = 200124,
  [SMALL_STATE(3579)] = 200163,
  [SMALL_STATE(3580)] = 200210,
  [SMALL_STATE(3581)] = 200241,
  [SMALL_STATE(3582)] = 200280,
  [SMALL_STATE(3583)] = 200327,
  [SMALL_STATE(3584)] = 200374,
  [SMALL_STATE(3585)] = 200413,
  [SMALL_STATE(3586)] = 200460,
  [SMALL_STATE(3587)] = 200499,
  [SMALL_STATE(3588)] = 200546,
  [SMALL_STATE(3589)] = 200581,
  [SMALL_STATE(3590)] = 200628,
  [SMALL_STATE(3591)] = 200675,
  [SMALL_STATE(3592)] = 200710,
  [SMALL_STATE(3593)] = 200739,
  [SMALL_STATE(3594)] = 200798,
  [SMALL_STATE(3595)] = 200833,
  [SMALL_STATE(3596)] = 200880,
  [SMALL_STATE(3597)] = 200927,
  [SMALL_STATE(3598)] = 200958,
  [SMALL_STATE(3599)] = 200993,
  [SMALL_STATE(3600)] = 201028,
  [SMALL_STATE(3601)] = 201061,
  [SMALL_STATE(3602)] = 201092,
  [SMALL_STATE(3603)] = 201123,
  [SMALL_STATE(3604)] = 201158,
  [SMALL_STATE(3605)] = 201189,
  [SMALL_STATE(3606)] = 201220,
  [SMALL_STATE(3607)] = 201255,
  [SMALL_STATE(3608)] = 201292,
  [SMALL_STATE(3609)] = 201339,
  [SMALL_STATE(3610)] = 201386,
  [SMALL_STATE(3611)] = 201421,
  [SMALL_STATE(3612)] = 201468,
  [SMALL_STATE(3613)] = 201503,
  [SMALL_STATE(3614)] = 201554,
  [SMALL_STATE(3615)] = 201605,
  [SMALL_STATE(3616)] = 201652,
  [SMALL_STATE(3617)] = 201699,
  [SMALL_STATE(3618)] = 201728,
  [SMALL_STATE(3619)] = 201761,
  [SMALL_STATE(3620)] = 201796,
  [SMALL_STATE(3621)] = 201827,
  [SMALL_STATE(3622)] = 201874,
  [SMALL_STATE(3623)] = 201921,
  [SMALL_STATE(3624)] = 201958,
  [SMALL_STATE(3625)] = 202005,
  [SMALL_STATE(3626)] = 202038,
  [SMALL_STATE(3627)] = 202069,
  [SMALL_STATE(3628)] = 202100,
  [SMALL_STATE(3629)] = 202133,
  [SMALL_STATE(3630)] = 202168,
  [SMALL_STATE(3631)] = 202203,
  [SMALL_STATE(3632)] = 202250,
  [SMALL_STATE(3633)] = 202285,
  [SMALL_STATE(3634)] = 202320,
  [SMALL_STATE(3635)] = 202355,
  [SMALL_STATE(3636)] = 202406,
  [SMALL_STATE(3637)] = 202441,
  [SMALL_STATE(3638)] = 202472,
  [SMALL_STATE(3639)] = 202503,
  [SMALL_STATE(3640)] = 202538,
  [SMALL_STATE(3641)] = 202573,
  [SMALL_STATE(3642)] = 202610,
  [SMALL_STATE(3643)] = 202653,
  [SMALL_STATE(3644)] = 202688,
  [SMALL_STATE(3645)] = 202747,
  [SMALL_STATE(3646)] = 202782,
  [SMALL_STATE(3647)] = 202817,
  [SMALL_STATE(3648)] = 202852,
  [SMALL_STATE(3649)] = 202881,
  [SMALL_STATE(3650)] = 202916,
  [SMALL_STATE(3651)] = 202959,
  [SMALL_STATE(3652)] = 202994,
  [SMALL_STATE(3653)] = 203025,
  [SMALL_STATE(3654)] = 203060,
  [SMALL_STATE(3655)] = 203095,
  [SMALL_STATE(3656)] = 203130,
  [SMALL_STATE(3657)] = 203165,
  [SMALL_STATE(3658)] = 203194,
  [SMALL_STATE(3659)] = 203229,
  [SMALL_STATE(3660)] = 203260,
  [SMALL_STATE(3661)] = 203291,
  [SMALL_STATE(3662)] = 203334,
  [SMALL_STATE(3663)] = 203377,
  [SMALL_STATE(3664)] = 203414,
  [SMALL_STATE(3665)] = 203443,
  [SMALL_STATE(3666)] = 203486,
  [SMALL_STATE(3667)] = 203517,
  [SMALL_STATE(3668)] = 203560,
  [SMALL_STATE(3669)] = 203603,
  [SMALL_STATE(3670)] = 203646,
  [SMALL_STATE(3671)] = 203677,
  [SMALL_STATE(3672)] = 203708,
  [SMALL_STATE(3673)] = 203751,
  [SMALL_STATE(3674)] = 203782,
  [SMALL_STATE(3675)] = 203829,
  [SMALL_STATE(3676)] = 203860,
  [SMALL_STATE(3677)] = 203895,
  [SMALL_STATE(3678)] = 203930,
  [SMALL_STATE(3679)] = 203965,
  [SMALL_STATE(3680)] = 203996,
  [SMALL_STATE(3681)] = 204027,
  [SMALL_STATE(3682)] = 204058,
  [SMALL_STATE(3683)] = 204093,
  [SMALL_STATE(3684)] = 204136,
  [SMALL_STATE(3685)] = 204179,
  [SMALL_STATE(3686)] = 204208,
  [SMALL_STATE(3687)] = 204237,
  [SMALL_STATE(3688)] = 204280,
  [SMALL_STATE(3689)] = 204327,
  [SMALL_STATE(3690)] = 204374,
  [SMALL_STATE(3691)] = 204409,
  [SMALL_STATE(3692)] = 204456,
  [SMALL_STATE(3693)] = 204489,
  [SMALL_STATE(3694)] = 204536,
  [SMALL_STATE(3695)] = 204571,
  [SMALL_STATE(3696)] = 204602,
  [SMALL_STATE(3697)] = 204649,
  [SMALL_STATE(3698)] = 204696,
  [SMALL_STATE(3699)] = 204743,
  [SMALL_STATE(3700)] = 204794,
  [SMALL_STATE(3701)] = 204837,
  [SMALL_STATE(3702)] = 204884,
  [SMALL_STATE(3703)] = 204931,
  [SMALL_STATE(3704)] = 204978,
  [SMALL_STATE(3705)] = 205025,
  [SMALL_STATE(3706)] = 205068,
  [SMALL_STATE(3707)] = 205111,
  [SMALL_STATE(3708)] = 205152,
  [SMALL_STATE(3709)] = 205199,
  [SMALL_STATE(3710)] = 205246,
  [SMALL_STATE(3711)] = 205283,
  [SMALL_STATE(3712)] = 205330,
  [SMALL_STATE(3713)] = 205363,
  [SMALL_STATE(3714)] = 205410,
  [SMALL_STATE(3715)] = 205457,
  [SMALL_STATE(3716)] = 205488,
  [SMALL_STATE(3717)] = 205535,
  [SMALL_STATE(3718)] = 205582,
  [SMALL_STATE(3719)] = 205625,
  [SMALL_STATE(3720)] = 205672,
  [SMALL_STATE(3721)] = 205719,
  [SMALL_STATE(3722)] = 205766,
  [SMALL_STATE(3723)] = 205813,
  [SMALL_STATE(3724)] = 205846,
  [SMALL_STATE(3725)] = 205889,
  [SMALL_STATE(3726)] = 205928,
  [SMALL_STATE(3727)] = 205961,
  [SMALL_STATE(3728)] = 206000,
  [SMALL_STATE(3729)] = 206031,
  [SMALL_STATE(3730)] = 206068,
  [SMALL_STATE(3731)] = 206103,
  [SMALL_STATE(3732)] = 206150,
  [SMALL_STATE(3733)] = 206197,
  [SMALL_STATE(3734)] = 206228,
  [SMALL_STATE(3735)] = 206267,
  [SMALL_STATE(3736)] = 206298,
  [SMALL_STATE(3737)] = 206333,
  [SMALL_STATE(3738)] = 206380,
  [SMALL_STATE(3739)] = 206423,
  [SMALL_STATE(3740)] = 206470,
  [SMALL_STATE(3741)] = 206513,
  [SMALL_STATE(3742)] = 206560,
  [SMALL_STATE(3743)] = 206593,
  [SMALL_STATE(3744)] = 206640,
  [SMALL_STATE(3745)] = 206671,
  [SMALL_STATE(3746)] = 206714,
  [SMALL_STATE(3747)] = 206745,
  [SMALL_STATE(3748)] = 206792,
  [SMALL_STATE(3749)] = 206839,
  [SMALL_STATE(3750)] = 206886,
  [SMALL_STATE(3751)] = 206929,
  [SMALL_STATE(3752)] = 206976,
  [SMALL_STATE(3753)] = 207023,
  [SMALL_STATE(3754)] = 207066,
  [SMALL_STATE(3755)] = 207113,
  [SMALL_STATE(3756)] = 207146,
  [SMALL_STATE(3757)] = 207193,
  [SMALL_STATE(3758)] = 207230,
  [SMALL_STATE(3759)] = 207277,
  [SMALL_STATE(3760)] = 207308,
  [SMALL_STATE(3761)] = 207355,
  [SMALL_STATE(3762)] = 207402,
  [SMALL_STATE(3763)] = 207449,
  [SMALL_STATE(3764)] = 207480,
  [SMALL_STATE(3765)] = 207527,
  [SMALL_STATE(3766)] = 207574,
  [SMALL_STATE(3767)] = 207621,
  [SMALL_STATE(3768)] = 207652,
  [SMALL_STATE(3769)] = 207687,
  [SMALL_STATE(3770)] = 207734,
  [SMALL_STATE(3771)] = 207769,
  [SMALL_STATE(3772)] = 207800,
  [SMALL_STATE(3773)] = 207847,
  [SMALL_STATE(3774)] = 207894,
  [SMALL_STATE(3775)] = 207937,
  [SMALL_STATE(3776)] = 207984,
  [SMALL_STATE(3777)] = 208031,
  [SMALL_STATE(3778)] = 208078,
  [SMALL_STATE(3779)] = 208113,
  [SMALL_STATE(3780)] = 208156,
  [SMALL_STATE(3781)] = 208191,
  [SMALL_STATE(3782)] = 208232,
  [SMALL_STATE(3783)] = 208275,
  [SMALL_STATE(3784)] = 208322,
  [SMALL_STATE(3785)] = 208365,
  [SMALL_STATE(3786)] = 208412,
  [SMALL_STATE(3787)] = 208459,
  [SMALL_STATE(3788)] = 208506,
  [SMALL_STATE(3789)] = 208553,
  [SMALL_STATE(3790)] = 208588,
  [SMALL_STATE(3791)] = 208617,
  [SMALL_STATE(3792)] = 208664,
  [SMALL_STATE(3793)] = 208711,
  [SMALL_STATE(3794)] = 208770,
  [SMALL_STATE(3795)] = 208805,
  [SMALL_STATE(3796)] = 208848,
  [SMALL_STATE(3797)] = 208880,
  [SMALL_STATE(3798)] = 208912,
  [SMALL_STATE(3799)] = 208944,
  [SMALL_STATE(3800)] = 208994,
  [SMALL_STATE(3801)] = 209052,
  [SMALL_STATE(3802)] = 209088,
  [SMALL_STATE(3803)] = 209122,
  [SMALL_STATE(3804)] = 209172,
  [SMALL_STATE(3805)] = 209230,
  [SMALL_STATE(3806)] = 209276,
  [SMALL_STATE(3807)] = 209330,
  [SMALL_STATE(3808)] = 209362,
  [SMALL_STATE(3809)] = 209392,
  [SMALL_STATE(3810)] = 209426,
  [SMALL_STATE(3811)] = 209476,
  [SMALL_STATE(3812)] = 209508,
  [SMALL_STATE(3813)] = 209542,
  [SMALL_STATE(3814)] = 209576,
  [SMALL_STATE(3815)] = 209606,
  [SMALL_STATE(3816)] = 209640,
  [SMALL_STATE(3817)] = 209676,
  [SMALL_STATE(3818)] = 209706,
  [SMALL_STATE(3819)] = 209738,
  [SMALL_STATE(3820)] = 209772,
  [SMALL_STATE(3821)] = 209808,
  [SMALL_STATE(3822)] = 209838,
  [SMALL_STATE(3823)] = 209868,
  [SMALL_STATE(3824)] = 209898,
  [SMALL_STATE(3825)] = 209944,
  [SMALL_STATE(3826)] = 209994,
  [SMALL_STATE(3827)] = 210026,
  [SMALL_STATE(3828)] = 210056,
  [SMALL_STATE(3829)] = 210088,
  [SMALL_STATE(3830)] = 210142,
  [SMALL_STATE(3831)] = 210176,
  [SMALL_STATE(3832)] = 210210,
  [SMALL_STATE(3833)] = 210252,
  [SMALL_STATE(3834)] = 210280,
  [SMALL_STATE(3835)] = 210322,
  [SMALL_STATE(3836)] = 210364,
  [SMALL_STATE(3837)] = 210406,
  [SMALL_STATE(3838)] = 210438,
  [SMALL_STATE(3839)] = 210470,
  [SMALL_STATE(3840)] = 210512,
  [SMALL_STATE(3841)] = 210540,
  [SMALL_STATE(3842)] = 210582,
  [SMALL_STATE(3843)] = 210624,
  [SMALL_STATE(3844)] = 210654,
  [SMALL_STATE(3845)] = 210708,
  [SMALL_STATE(3846)] = 210738,
  [SMALL_STATE(3847)] = 210768,
  [SMALL_STATE(3848)] = 210800,
  [SMALL_STATE(3849)] = 210830,
  [SMALL_STATE(3850)] = 210872,
  [SMALL_STATE(3851)] = 210914,
  [SMALL_STATE(3852)] = 210956,
  [SMALL_STATE(3853)] = 211002,
  [SMALL_STATE(3854)] = 211040,
  [SMALL_STATE(3855)] = 211072,
  [SMALL_STATE(3856)] = 211124,
  [SMALL_STATE(3857)] = 211166,
  [SMALL_STATE(3858)] = 211196,
  [SMALL_STATE(3859)] = 211226,
  [SMALL_STATE(3860)] = 211268,
  [SMALL_STATE(3861)] = 211298,
  [SMALL_STATE(3862)] = 211340,
  [SMALL_STATE(3863)] = 211382,
  [SMALL_STATE(3864)] = 211424,
  [SMALL_STATE(3865)] = 211470,
  [SMALL_STATE(3866)] = 211512,
  [SMALL_STATE(3867)] = 211550,
  [SMALL_STATE(3868)] = 211592,
  [SMALL_STATE(3869)] = 211622,
  [SMALL_STATE(3870)] = 211652,
  [SMALL_STATE(3871)] = 211682,
  [SMALL_STATE(3872)] = 211734,
  [SMALL_STATE(3873)] = 211788,
  [SMALL_STATE(3874)] = 211820,
  [SMALL_STATE(3875)] = 211854,
  [SMALL_STATE(3876)] = 211888,
  [SMALL_STATE(3877)] = 211922,
  [SMALL_STATE(3878)] = 211952,
  [SMALL_STATE(3879)] = 211982,
  [SMALL_STATE(3880)] = 212024,
  [SMALL_STATE(3881)] = 212066,
  [SMALL_STATE(3882)] = 212108,
  [SMALL_STATE(3883)] = 212150,
  [SMALL_STATE(3884)] = 212178,
  [SMALL_STATE(3885)] = 212220,
  [SMALL_STATE(3886)] = 212250,
  [SMALL_STATE(3887)] = 212304,
  [SMALL_STATE(3888)] = 212338,
  [SMALL_STATE(3889)] = 212366,
  [SMALL_STATE(3890)] = 212400,
  [SMALL_STATE(3891)] = 212442,
  [SMALL_STATE(3892)] = 212476,
  [SMALL_STATE(3893)] = 212512,
  [SMALL_STATE(3894)] = 212554,
  [SMALL_STATE(3895)] = 212588,
  [SMALL_STATE(3896)] = 212622,
  [SMALL_STATE(3897)] = 212652,
  [SMALL_STATE(3898)] = 212686,
  [SMALL_STATE(3899)] = 212716,
  [SMALL_STATE(3900)] = 212746,
  [SMALL_STATE(3901)] = 212776,
  [SMALL_STATE(3902)] = 212806,
  [SMALL_STATE(3903)] = 212864,
  [SMALL_STATE(3904)] = 212894,
  [SMALL_STATE(3905)] = 212948,
  [SMALL_STATE(3906)] = 212982,
  [SMALL_STATE(3907)] = 213022,
  [SMALL_STATE(3908)] = 213062,
  [SMALL_STATE(3909)] = 213120,
  [SMALL_STATE(3910)] = 213174,
  [SMALL_STATE(3911)] = 213204,
  [SMALL_STATE(3912)] = 213234,
  [SMALL_STATE(3913)] = 213288,
  [SMALL_STATE(3914)] = 213326,
  [SMALL_STATE(3915)] = 213358,
  [SMALL_STATE(3916)] = 213388,
  [SMALL_STATE(3917)] = 213420,
  [SMALL_STATE(3918)] = 213452,
  [SMALL_STATE(3919)] = 213506,
  [SMALL_STATE(3920)] = 213536,
  [SMALL_STATE(3921)] = 213568,
  [SMALL_STATE(3922)] = 213600,
  [SMALL_STATE(3923)] = 213632,
  [SMALL_STATE(3924)] = 213686,
  [SMALL_STATE(3925)] = 213718,
  [SMALL_STATE(3926)] = 213750,
  [SMALL_STATE(3927)] = 213782,
  [SMALL_STATE(3928)] = 213812,
  [SMALL_STATE(3929)] = 213842,
  [SMALL_STATE(3930)] = 213884,
  [SMALL_STATE(3931)] = 213914,
  [SMALL_STATE(3932)] = 213944,
  [SMALL_STATE(3933)] = 213978,
  [SMALL_STATE(3934)] = 214012,
  [SMALL_STATE(3935)] = 214046,
  [SMALL_STATE(3936)] = 214076,
  [SMALL_STATE(3937)] = 214130,
  [SMALL_STATE(3938)] = 214160,
  [SMALL_STATE(3939)] = 214218,
  [SMALL_STATE(3940)] = 214250,
  [SMALL_STATE(3941)] = 214282,
  [SMALL_STATE(3942)] = 214314,
  [SMALL_STATE(3943)] = 214368,
  [SMALL_STATE(3944)] = 214422,
  [SMALL_STATE(3945)] = 214454,
  [SMALL_STATE(3946)] = 214486,
  [SMALL_STATE(3947)] = 214518,
  [SMALL_STATE(3948)] = 214552,
  [SMALL_STATE(3949)] = 214592,
  [SMALL_STATE(3950)] = 214626,
  [SMALL_STATE(3951)] = 214660,
  [SMALL_STATE(3952)] = 214694,
  [SMALL_STATE(3953)] = 214748,
  [SMALL_STATE(3954)] = 214782,
  [SMALL_STATE(3955)] = 214814,
  [SMALL_STATE(3956)] = 214846,
  [SMALL_STATE(3957)] = 214878,
  [SMALL_STATE(3958)] = 214910,
  [SMALL_STATE(3959)] = 214940,
  [SMALL_STATE(3960)] = 214980,
  [SMALL_STATE(3961)] = 215012,
  [SMALL_STATE(3962)] = 215044,
  [SMALL_STATE(3963)] = 215076,
  [SMALL_STATE(3964)] = 215108,
  [SMALL_STATE(3965)] = 215136,
  [SMALL_STATE(3966)] = 215174,
  [SMALL_STATE(3967)] = 215210,
  [SMALL_STATE(3968)] = 215242,
  [SMALL_STATE(3969)] = 215280,
  [SMALL_STATE(3970)] = 215316,
  [SMALL_STATE(3971)] = 215348,
  [SMALL_STATE(3972)] = 215380,
  [SMALL_STATE(3973)] = 215412,
  [SMALL_STATE(3974)] = 215444,
  [SMALL_STATE(3975)] = 215476,
  [SMALL_STATE(3976)] = 215504,
  [SMALL_STATE(3977)] = 215540,
  [SMALL_STATE(3978)] = 215578,
  [SMALL_STATE(3979)] = 215610,
  [SMALL_STATE(3980)] = 215642,
  [SMALL_STATE(3981)] = 215672,
  [SMALL_STATE(3982)] = 215704,
  [SMALL_STATE(3983)] = 215746,
  [SMALL_STATE(3984)] = 215778,
  [SMALL_STATE(3985)] = 215810,
  [SMALL_STATE(3986)] = 215852,
  [SMALL_STATE(3987)] = 215884,
  [SMALL_STATE(3988)] = 215916,
  [SMALL_STATE(3989)] = 215948,
  [SMALL_STATE(3990)] = 216006,
  [SMALL_STATE(3991)] = 216039,
  [SMALL_STATE(3992)] = 216068,
  [SMALL_STATE(3993)] = 216119,
  [SMALL_STATE(3994)] = 216170,
  [SMALL_STATE(3995)] = 216203,
  [SMALL_STATE(3996)] = 216248,
  [SMALL_STATE(3997)] = 216279,
  [SMALL_STATE(3998)] = 216324,
  [SMALL_STATE(3999)] = 216357,
  [SMALL_STATE(4000)] = 216390,
  [SMALL_STATE(4001)] = 216423,
  [SMALL_STATE(4002)] = 216456,
  [SMALL_STATE(4003)] = 216487,
  [SMALL_STATE(4004)] = 216526,
  [SMALL_STATE(4005)] = 216555,
  [SMALL_STATE(4006)] = 216594,
  [SMALL_STATE(4007)] = 216627,
  [SMALL_STATE(4008)] = 216656,
  [SMALL_STATE(4009)] = 216689,
  [SMALL_STATE(4010)] = 216722,
  [SMALL_STATE(4011)] = 216755,
  [SMALL_STATE(4012)] = 216786,
  [SMALL_STATE(4013)] = 216817,
  [SMALL_STATE(4014)] = 216850,
  [SMALL_STATE(4015)] = 216879,
  [SMALL_STATE(4016)] = 216928,
  [SMALL_STATE(4017)] = 216961,
  [SMALL_STATE(4018)] = 217010,
  [SMALL_STATE(4019)] = 217041,
  [SMALL_STATE(4020)] = 217074,
  [SMALL_STATE(4021)] = 217119,
  [SMALL_STATE(4022)] = 217168,
  [SMALL_STATE(4023)] = 217217,
  [SMALL_STATE(4024)] = 217266,
  [SMALL_STATE(4025)] = 217299,
  [SMALL_STATE(4026)] = 217348,
  [SMALL_STATE(4027)] = 217381,
  [SMALL_STATE(4028)] = 217430,
  [SMALL_STATE(4029)] = 217479,
  [SMALL_STATE(4030)] = 217512,
  [SMALL_STATE(4031)] = 217569,
  [SMALL_STATE(4032)] = 217604,
  [SMALL_STATE(4033)] = 217655,
  [SMALL_STATE(4034)] = 217686,
  [SMALL_STATE(4035)] = 217715,
  [SMALL_STATE(4036)] = 217770,
  [SMALL_STATE(4037)] = 217803,
  [SMALL_STATE(4038)] = 217852,
  [SMALL_STATE(4039)] = 217901,
  [SMALL_STATE(4040)] = 217950,
  [SMALL_STATE(4041)] = 217999,
  [SMALL_STATE(4042)] = 218048,
  [SMALL_STATE(4043)] = 218079,
  [SMALL_STATE(4044)] = 218128,
  [SMALL_STATE(4045)] = 218173,
  [SMALL_STATE(4046)] = 218224,
  [SMALL_STATE(4047)] = 218259,
  [SMALL_STATE(4048)] = 218290,
  [SMALL_STATE(4049)] = 218339,
  [SMALL_STATE(4050)] = 218368,
  [SMALL_STATE(4051)] = 218423,
  [SMALL_STATE(4052)] = 218472,
  [SMALL_STATE(4053)] = 218503,
  [SMALL_STATE(4054)] = 218532,
  [SMALL_STATE(4055)] = 218561,
  [SMALL_STATE(4056)] = 218618,
  [SMALL_STATE(4057)] = 218659,
  [SMALL_STATE(4058)] = 218692,
  [SMALL_STATE(4059)] = 218719,
  [SMALL_STATE(4060)] = 218750,
  [SMALL_STATE(4061)] = 218799,
  [SMALL_STATE(4062)] = 218848,
  [SMALL_STATE(4063)] = 218897,
  [SMALL_STATE(4064)] = 218946,
  [SMALL_STATE(4065)] = 218985,
  [SMALL_STATE(4066)] = 219034,
  [SMALL_STATE(4067)] = 219083,
  [SMALL_STATE(4068)] = 219120,
  [SMALL_STATE(4069)] = 219171,
  [SMALL_STATE(4070)] = 219228,
  [SMALL_STATE(4071)] = 219261,
  [SMALL_STATE(4072)] = 219292,
  [SMALL_STATE(4073)] = 219325,
  [SMALL_STATE(4074)] = 219374,
  [SMALL_STATE(4075)] = 219407,
  [SMALL_STATE(4076)] = 219456,
  [SMALL_STATE(4077)] = 219489,
  [SMALL_STATE(4078)] = 219516,
  [SMALL_STATE(4079)] = 219545,
  [SMALL_STATE(4080)] = 219578,
  [SMALL_STATE(4081)] = 219611,
  [SMALL_STATE(4082)] = 219644,
  [SMALL_STATE(4083)] = 219677,
  [SMALL_STATE(4084)] = 219710,
  [SMALL_STATE(4085)] = 219737,
  [SMALL_STATE(4086)] = 219770,
  [SMALL_STATE(4087)] = 219819,
  [SMALL_STATE(4088)] = 219854,
  [SMALL_STATE(4089)] = 219903,
  [SMALL_STATE(4090)] = 219952,
  [SMALL_STATE(4091)] = 220001,
  [SMALL_STATE(4092)] = 220034,
  [SMALL_STATE(4093)] = 220063,
  [SMALL_STATE(4094)] = 220112,
  [SMALL_STATE(4095)] = 220161,
  [SMALL_STATE(4096)] = 220194,
  [SMALL_STATE(4097)] = 220243,
  [SMALL_STATE(4098)] = 220276,
  [SMALL_STATE(4099)] = 220325,
  [SMALL_STATE(4100)] = 220358,
  [SMALL_STATE(4101)] = 220395,
  [SMALL_STATE(4102)] = 220444,
  [SMALL_STATE(4103)] = 220493,
  [SMALL_STATE(4104)] = 220528,
  [SMALL_STATE(4105)] = 220557,
  [SMALL_STATE(4106)] = 220606,
  [SMALL_STATE(4107)] = 220655,
  [SMALL_STATE(4108)] = 220688,
  [SMALL_STATE(4109)] = 220737,
  [SMALL_STATE(4110)] = 220786,
  [SMALL_STATE(4111)] = 220835,
  [SMALL_STATE(4112)] = 220864,
  [SMALL_STATE(4113)] = 220901,
  [SMALL_STATE(4114)] = 220950,
  [SMALL_STATE(4115)] = 220999,
  [SMALL_STATE(4116)] = 221048,
  [SMALL_STATE(4117)] = 221097,
  [SMALL_STATE(4118)] = 221146,
  [SMALL_STATE(4119)] = 221195,
  [SMALL_STATE(4120)] = 221244,
  [SMALL_STATE(4121)] = 221271,
  [SMALL_STATE(4122)] = 221320,
  [SMALL_STATE(4123)] = 221369,
  [SMALL_STATE(4124)] = 221418,
  [SMALL_STATE(4125)] = 221467,
  [SMALL_STATE(4126)] = 221516,
  [SMALL_STATE(4127)] = 221565,
  [SMALL_STATE(4128)] = 221614,
  [SMALL_STATE(4129)] = 221663,
  [SMALL_STATE(4130)] = 221692,
  [SMALL_STATE(4131)] = 221741,
  [SMALL_STATE(4132)] = 221774,
  [SMALL_STATE(4133)] = 221823,
  [SMALL_STATE(4134)] = 221872,
  [SMALL_STATE(4135)] = 221921,
  [SMALL_STATE(4136)] = 221970,
  [SMALL_STATE(4137)] = 222019,
  [SMALL_STATE(4138)] = 222068,
  [SMALL_STATE(4139)] = 222117,
  [SMALL_STATE(4140)] = 222166,
  [SMALL_STATE(4141)] = 222215,
  [SMALL_STATE(4142)] = 222252,
  [SMALL_STATE(4143)] = 222301,
  [SMALL_STATE(4144)] = 222334,
  [SMALL_STATE(4145)] = 222365,
  [SMALL_STATE(4146)] = 222414,
  [SMALL_STATE(4147)] = 222445,
  [SMALL_STATE(4148)] = 222494,
  [SMALL_STATE(4149)] = 222543,
  [SMALL_STATE(4150)] = 222592,
  [SMALL_STATE(4151)] = 222621,
  [SMALL_STATE(4152)] = 222654,
  [SMALL_STATE(4153)] = 222683,
  [SMALL_STATE(4154)] = 222716,
  [SMALL_STATE(4155)] = 222745,
  [SMALL_STATE(4156)] = 222774,
  [SMALL_STATE(4157)] = 222823,
  [SMALL_STATE(4158)] = 222856,
  [SMALL_STATE(4159)] = 222883,
  [SMALL_STATE(4160)] = 222916,
  [SMALL_STATE(4161)] = 222969,
  [SMALL_STATE(4162)] = 223026,
  [SMALL_STATE(4163)] = 223067,
  [SMALL_STATE(4164)] = 223118,
  [SMALL_STATE(4165)] = 223153,
  [SMALL_STATE(4166)] = 223190,
  [SMALL_STATE(4167)] = 223219,
  [SMALL_STATE(4168)] = 223248,
  [SMALL_STATE(4169)] = 223279,
  [SMALL_STATE(4170)] = 223310,
  [SMALL_STATE(4171)] = 223359,
  [SMALL_STATE(4172)] = 223394,
  [SMALL_STATE(4173)] = 223431,
  [SMALL_STATE(4174)] = 223460,
  [SMALL_STATE(4175)] = 223493,
  [SMALL_STATE(4176)] = 223532,
  [SMALL_STATE(4177)] = 223565,
  [SMALL_STATE(4178)] = 223614,
  [SMALL_STATE(4179)] = 223647,
  [SMALL_STATE(4180)] = 223676,
  [SMALL_STATE(4181)] = 223725,
  [SMALL_STATE(4182)] = 223758,
  [SMALL_STATE(4183)] = 223791,
  [SMALL_STATE(4184)] = 223824,
  [SMALL_STATE(4185)] = 223855,
  [SMALL_STATE(4186)] = 223884,
  [SMALL_STATE(4187)] = 223915,
  [SMALL_STATE(4188)] = 223948,
  [SMALL_STATE(4189)] = 223983,
  [SMALL_STATE(4190)] = 224016,
  [SMALL_STATE(4191)] = 224047,
  [SMALL_STATE(4192)] = 224084,
  [SMALL_STATE(4193)] = 224123,
  [SMALL_STATE(4194)] = 224152,
  [SMALL_STATE(4195)] = 224181,
  [SMALL_STATE(4196)] = 224212,
  [SMALL_STATE(4197)] = 224245,
  [SMALL_STATE(4198)] = 224296,
  [SMALL_STATE(4199)] = 224325,
  [SMALL_STATE(4200)] = 224358,
  [SMALL_STATE(4201)] = 224389,
  [SMALL_STATE(4202)] = 224422,
  [SMALL_STATE(4203)] = 224453,
  [SMALL_STATE(4204)] = 224482,
  [SMALL_STATE(4205)] = 224515,
  [SMALL_STATE(4206)] = 224546,
  [SMALL_STATE(4207)] = 224577,
  [SMALL_STATE(4208)] = 224610,
  [SMALL_STATE(4209)] = 224659,
  [SMALL_STATE(4210)] = 224696,
  [SMALL_STATE(4211)] = 224745,
  [SMALL_STATE(4212)] = 224778,
  [SMALL_STATE(4213)] = 224811,
  [SMALL_STATE(4214)] = 224842,
  [SMALL_STATE(4215)] = 224875,
  [SMALL_STATE(4216)] = 224908,
  [SMALL_STATE(4217)] = 224937,
  [SMALL_STATE(4218)] = 224970,
  [SMALL_STATE(4219)] = 225003,
  [SMALL_STATE(4220)] = 225044,
  [SMALL_STATE(4221)] = 225073,
  [SMALL_STATE(4222)] = 225102,
  [SMALL_STATE(4223)] = 225135,
  [SMALL_STATE(4224)] = 225184,
  [SMALL_STATE(4225)] = 225217,
  [SMALL_STATE(4226)] = 225266,
  [SMALL_STATE(4227)] = 225297,
  [SMALL_STATE(4228)] = 225330,
  [SMALL_STATE(4229)] = 225379,
  [SMALL_STATE(4230)] = 225408,
  [SMALL_STATE(4231)] = 225437,
  [SMALL_STATE(4232)] = 225466,
  [SMALL_STATE(4233)] = 225499,
  [SMALL_STATE(4234)] = 225531,
  [SMALL_STATE(4235)] = 225557,
  [SMALL_STATE(4236)] = 225583,
  [SMALL_STATE(4237)] = 225611,
  [SMALL_STATE(4238)] = 225639,
  [SMALL_STATE(4239)] = 225671,
  [SMALL_STATE(4240)] = 225699,
  [SMALL_STATE(4241)] = 225731,
  [SMALL_STATE(4242)] = 225759,
  [SMALL_STATE(4243)] = 225791,
  [SMALL_STATE(4244)] = 225827,
  [SMALL_STATE(4245)] = 225855,
  [SMALL_STATE(4246)] = 225881,
  [SMALL_STATE(4247)] = 225907,
  [SMALL_STATE(4248)] = 225935,
  [SMALL_STATE(4249)] = 225965,
  [SMALL_STATE(4250)] = 225991,
  [SMALL_STATE(4251)] = 226019,
  [SMALL_STATE(4252)] = 226045,
  [SMALL_STATE(4253)] = 226075,
  [SMALL_STATE(4254)] = 226101,
  [SMALL_STATE(4255)] = 226127,
  [SMALL_STATE(4256)] = 226155,
  [SMALL_STATE(4257)] = 226183,
  [SMALL_STATE(4258)] = 226215,
  [SMALL_STATE(4259)] = 226271,
  [SMALL_STATE(4260)] = 226299,
  [SMALL_STATE(4261)] = 226331,
  [SMALL_STATE(4262)] = 226359,
  [SMALL_STATE(4263)] = 226387,
  [SMALL_STATE(4264)] = 226415,
  [SMALL_STATE(4265)] = 226441,
  [SMALL_STATE(4266)] = 226469,
  [SMALL_STATE(4267)] = 226501,
  [SMALL_STATE(4268)] = 226529,
  [SMALL_STATE(4269)] = 226555,
  [SMALL_STATE(4270)] = 226581,
  [SMALL_STATE(4271)] = 226609,
  [SMALL_STATE(4272)] = 226637,
  [SMALL_STATE(4273)] = 226663,
  [SMALL_STATE(4274)] = 226695,
  [SMALL_STATE(4275)] = 226723,
  [SMALL_STATE(4276)] = 226749,
  [SMALL_STATE(4277)] = 226775,
  [SMALL_STATE(4278)] = 226803,
  [SMALL_STATE(4279)] = 226829,
  [SMALL_STATE(4280)] = 226855,
  [SMALL_STATE(4281)] = 226881,
  [SMALL_STATE(4282)] = 226911,
  [SMALL_STATE(4283)] = 226939,
  [SMALL_STATE(4284)] = 226965,
  [SMALL_STATE(4285)] = 226993,
  [SMALL_STATE(4286)] = 227021,
  [SMALL_STATE(4287)] = 227047,
  [SMALL_STATE(4288)] = 227073,
  [SMALL_STATE(4289)] = 227101,
  [SMALL_STATE(4290)] = 227127,
  [SMALL_STATE(4291)] = 227153,
  [SMALL_STATE(4292)] = 227185,
  [SMALL_STATE(4293)] = 227213,
  [SMALL_STATE(4294)] = 227245,
  [SMALL_STATE(4295)] = 227293,
  [SMALL_STATE(4296)] = 227323,
  [SMALL_STATE(4297)] = 227355,
  [SMALL_STATE(4298)] = 227381,
  [SMALL_STATE(4299)] = 227409,
  [SMALL_STATE(4300)] = 227437,
  [SMALL_STATE(4301)] = 227463,
  [SMALL_STATE(4302)] = 227489,
  [SMALL_STATE(4303)] = 227515,
  [SMALL_STATE(4304)] = 227541,
  [SMALL_STATE(4305)] = 227567,
  [SMALL_STATE(4306)] = 227593,
  [SMALL_STATE(4307)] = 227619,
  [SMALL_STATE(4308)] = 227645,
  [SMALL_STATE(4309)] = 227693,
  [SMALL_STATE(4310)] = 227723,
  [SMALL_STATE(4311)] = 227749,
  [SMALL_STATE(4312)] = 227797,
  [SMALL_STATE(4313)] = 227827,
  [SMALL_STATE(4314)] = 227853,
  [SMALL_STATE(4315)] = 227901,
  [SMALL_STATE(4316)] = 227933,
  [SMALL_STATE(4317)] = 227981,
  [SMALL_STATE(4318)] = 228009,
  [SMALL_STATE(4319)] = 228053,
  [SMALL_STATE(4320)] = 228081,
  [SMALL_STATE(4321)] = 228107,
  [SMALL_STATE(4322)] = 228133,
  [SMALL_STATE(4323)] = 228183,
  [SMALL_STATE(4324)] = 228213,
  [SMALL_STATE(4325)] = 228241,
  [SMALL_STATE(4326)] = 228289,
  [SMALL_STATE(4327)] = 228337,
  [SMALL_STATE(4328)] = 228367,
  [SMALL_STATE(4329)] = 228415,
  [SMALL_STATE(4330)] = 228441,
  [SMALL_STATE(4331)] = 228489,
  [SMALL_STATE(4332)] = 228537,
  [SMALL_STATE(4333)] = 228585,
  [SMALL_STATE(4334)] = 228611,
  [SMALL_STATE(4335)] = 228639,
  [SMALL_STATE(4336)] = 228667,
  [SMALL_STATE(4337)] = 228699,
  [SMALL_STATE(4338)] = 228727,
  [SMALL_STATE(4339)] = 228755,
  [SMALL_STATE(4340)] = 228803,
  [SMALL_STATE(4341)] = 228831,
  [SMALL_STATE(4342)] = 228863,
  [SMALL_STATE(4343)] = 228891,
  [SMALL_STATE(4344)] = 228919,
  [SMALL_STATE(4345)] = 228947,
  [SMALL_STATE(4346)] = 228975,
  [SMALL_STATE(4347)] = 229003,
  [SMALL_STATE(4348)] = 229031,
  [SMALL_STATE(4349)] = 229063,
  [SMALL_STATE(4350)] = 229111,
  [SMALL_STATE(4351)] = 229137,
  [SMALL_STATE(4352)] = 229163,
  [SMALL_STATE(4353)] = 229191,
  [SMALL_STATE(4354)] = 229219,
  [SMALL_STATE(4355)] = 229263,
  [SMALL_STATE(4356)] = 229291,
  [SMALL_STATE(4357)] = 229319,
  [SMALL_STATE(4358)] = 229347,
  [SMALL_STATE(4359)] = 229375,
  [SMALL_STATE(4360)] = 229407,
  [SMALL_STATE(4361)] = 229435,
  [SMALL_STATE(4362)] = 229467,
  [SMALL_STATE(4363)] = 229515,
  [SMALL_STATE(4364)] = 229541,
  [SMALL_STATE(4365)] = 229567,
  [SMALL_STATE(4366)] = 229593,
  [SMALL_STATE(4367)] = 229623,
  [SMALL_STATE(4368)] = 229651,
  [SMALL_STATE(4369)] = 229677,
  [SMALL_STATE(4370)] = 229703,
  [SMALL_STATE(4371)] = 229731,
  [SMALL_STATE(4372)] = 229779,
  [SMALL_STATE(4373)] = 229811,
  [SMALL_STATE(4374)] = 229859,
  [SMALL_STATE(4375)] = 229887,
  [SMALL_STATE(4376)] = 229935,
  [SMALL_STATE(4377)] = 229963,
  [SMALL_STATE(4378)] = 229989,
  [SMALL_STATE(4379)] = 230017,
  [SMALL_STATE(4380)] = 230045,
  [SMALL_STATE(4381)] = 230077,
  [SMALL_STATE(4382)] = 230103,
  [SMALL_STATE(4383)] = 230129,
  [SMALL_STATE(4384)] = 230157,
  [SMALL_STATE(4385)] = 230185,
  [SMALL_STATE(4386)] = 230213,
  [SMALL_STATE(4387)] = 230245,
  [SMALL_STATE(4388)] = 230277,
  [SMALL_STATE(4389)] = 230305,
  [SMALL_STATE(4390)] = 230331,
  [SMALL_STATE(4391)] = 230359,
  [SMALL_STATE(4392)] = 230391,
  [SMALL_STATE(4393)] = 230423,
  [SMALL_STATE(4394)] = 230451,
  [SMALL_STATE(4395)] = 230499,
  [SMALL_STATE(4396)] = 230549,
  [SMALL_STATE(4397)] = 230597,
  [SMALL_STATE(4398)] = 230625,
  [SMALL_STATE(4399)] = 230655,
  [SMALL_STATE(4400)] = 230687,
  [SMALL_STATE(4401)] = 230735,
  [SMALL_STATE(4402)] = 230767,
  [SMALL_STATE(4403)] = 230799,
  [SMALL_STATE(4404)] = 230827,
  [SMALL_STATE(4405)] = 230875,
  [SMALL_STATE(4406)] = 230919,
  [SMALL_STATE(4407)] = 230947,
  [SMALL_STATE(4408)] = 230975,
  [SMALL_STATE(4409)] = 231023,
  [SMALL_STATE(4410)] = 231055,
  [SMALL_STATE(4411)] = 231083,
  [SMALL_STATE(4412)] = 231131,
  [SMALL_STATE(4413)] = 231157,
  [SMALL_STATE(4414)] = 231191,
  [SMALL_STATE(4415)] = 231241,
  [SMALL_STATE(4416)] = 231273,
  [SMALL_STATE(4417)] = 231301,
  [SMALL_STATE(4418)] = 231345,
  [SMALL_STATE(4419)] = 231373,
  [SMALL_STATE(4420)] = 231401,
  [SMALL_STATE(4421)] = 231433,
  [SMALL_STATE(4422)] = 231461,
  [SMALL_STATE(4423)] = 231491,
  [SMALL_STATE(4424)] = 231519,
  [SMALL_STATE(4425)] = 231547,
  [SMALL_STATE(4426)] = 231575,
  [SMALL_STATE(4427)] = 231603,
  [SMALL_STATE(4428)] = 231629,
  [SMALL_STATE(4429)] = 231659,
  [SMALL_STATE(4430)] = 231693,
  [SMALL_STATE(4431)] = 231721,
  [SMALL_STATE(4432)] = 231753,
  [SMALL_STATE(4433)] = 231785,
  [SMALL_STATE(4434)] = 231813,
  [SMALL_STATE(4435)] = 231839,
  [SMALL_STATE(4436)] = 231887,
  [SMALL_STATE(4437)] = 231915,
  [SMALL_STATE(4438)] = 231941,
  [SMALL_STATE(4439)] = 231969,
  [SMALL_STATE(4440)] = 231999,
  [SMALL_STATE(4441)] = 232025,
  [SMALL_STATE(4442)] = 232051,
  [SMALL_STATE(4443)] = 232079,
  [SMALL_STATE(4444)] = 232107,
  [SMALL_STATE(4445)] = 232139,
  [SMALL_STATE(4446)] = 232187,
  [SMALL_STATE(4447)] = 232235,
  [SMALL_STATE(4448)] = 232283,
  [SMALL_STATE(4449)] = 232313,
  [SMALL_STATE(4450)] = 232341,
  [SMALL_STATE(4451)] = 232369,
  [SMALL_STATE(4452)] = 232425,
  [SMALL_STATE(4453)] = 232451,
  [SMALL_STATE(4454)] = 232483,
  [SMALL_STATE(4455)] = 232511,
  [SMALL_STATE(4456)] = 232539,
  [SMALL_STATE(4457)] = 232565,
  [SMALL_STATE(4458)] = 232597,
  [SMALL_STATE(4459)] = 232645,
  [SMALL_STATE(4460)] = 232673,
  [SMALL_STATE(4461)] = 232701,
  [SMALL_STATE(4462)] = 232729,
  [SMALL_STATE(4463)] = 232769,
  [SMALL_STATE(4464)] = 232801,
  [SMALL_STATE(4465)] = 232829,
  [SMALL_STATE(4466)] = 232857,
  [SMALL_STATE(4467)] = 232887,
  [SMALL_STATE(4468)] = 232915,
  [SMALL_STATE(4469)] = 232943,
  [SMALL_STATE(4470)] = 232971,
  [SMALL_STATE(4471)] = 232999,
  [SMALL_STATE(4472)] = 233029,
  [SMALL_STATE(4473)] = 233057,
  [SMALL_STATE(4474)] = 233105,
  [SMALL_STATE(4475)] = 233131,
  [SMALL_STATE(4476)] = 233171,
  [SMALL_STATE(4477)] = 233211,
  [SMALL_STATE(4478)] = 233251,
  [SMALL_STATE(4479)] = 233279,
  [SMALL_STATE(4480)] = 233307,
  [SMALL_STATE(4481)] = 233355,
  [SMALL_STATE(4482)] = 233383,
  [SMALL_STATE(4483)] = 233411,
  [SMALL_STATE(4484)] = 233451,
  [SMALL_STATE(4485)] = 233479,
  [SMALL_STATE(4486)] = 233505,
  [SMALL_STATE(4487)] = 233537,
  [SMALL_STATE(4488)] = 233563,
  [SMALL_STATE(4489)] = 233591,
  [SMALL_STATE(4490)] = 233619,
  [SMALL_STATE(4491)] = 233645,
  [SMALL_STATE(4492)] = 233675,
  [SMALL_STATE(4493)] = 233701,
  [SMALL_STATE(4494)] = 233733,
  [SMALL_STATE(4495)] = 233761,
  [SMALL_STATE(4496)] = 233787,
  [SMALL_STATE(4497)] = 233821,
  [SMALL_STATE(4498)] = 233849,
  [SMALL_STATE(4499)] = 233875,
  [SMALL_STATE(4500)] = 233903,
  [SMALL_STATE(4501)] = 233935,
  [SMALL_STATE(4502)] = 233967,
  [SMALL_STATE(4503)] = 233995,
  [SMALL_STATE(4504)] = 234027,
  [SMALL_STATE(4505)] = 234053,
  [SMALL_STATE(4506)] = 234085,
  [SMALL_STATE(4507)] = 234111,
  [SMALL_STATE(4508)] = 234137,
  [SMALL_STATE(4509)] = 234163,
  [SMALL_STATE(4510)] = 234191,
  [SMALL_STATE(4511)] = 234217,
  [SMALL_STATE(4512)] = 234249,
  [SMALL_STATE(4513)] = 234277,
  [SMALL_STATE(4514)] = 234309,
  [SMALL_STATE(4515)] = 234337,
  [SMALL_STATE(4516)] = 234369,
  [SMALL_STATE(4517)] = 234407,
  [SMALL_STATE(4518)] = 234433,
  [SMALL_STATE(4519)] = 234459,
  [SMALL_STATE(4520)] = 234487,
  [SMALL_STATE(4521)] = 234515,
  [SMALL_STATE(4522)] = 234541,
  [SMALL_STATE(4523)] = 234569,
  [SMALL_STATE(4524)] = 234597,
  [SMALL_STATE(4525)] = 234633,
  [SMALL_STATE(4526)] = 234659,
  [SMALL_STATE(4527)] = 234685,
  [SMALL_STATE(4528)] = 234711,
  [SMALL_STATE(4529)] = 234737,
  [SMALL_STATE(4530)] = 234763,
  [SMALL_STATE(4531)] = 234791,
  [SMALL_STATE(4532)] = 234831,
  [SMALL_STATE(4533)] = 234879,
  [SMALL_STATE(4534)] = 234919,
  [SMALL_STATE(4535)] = 234967,
  [SMALL_STATE(4536)] = 234995,
  [SMALL_STATE(4537)] = 235023,
  [SMALL_STATE(4538)] = 235049,
  [SMALL_STATE(4539)] = 235089,
  [SMALL_STATE(4540)] = 235129,
  [SMALL_STATE(4541)] = 235169,
  [SMALL_STATE(4542)] = 235195,
  [SMALL_STATE(4543)] = 235223,
  [SMALL_STATE(4544)] = 235263,
  [SMALL_STATE(4545)] = 235311,
  [SMALL_STATE(4546)] = 235339,
  [SMALL_STATE(4547)] = 235367,
  [SMALL_STATE(4548)] = 235407,
  [SMALL_STATE(4549)] = 235447,
  [SMALL_STATE(4550)] = 235495,
  [SMALL_STATE(4551)] = 235527,
  [SMALL_STATE(4552)] = 235561,
  [SMALL_STATE(4553)] = 235609,
  [SMALL_STATE(4554)] = 235637,
  [SMALL_STATE(4555)] = 235669,
  [SMALL_STATE(4556)] = 235701,
  [SMALL_STATE(4557)] = 235749,
  [SMALL_STATE(4558)] = 235777,
  [SMALL_STATE(4559)] = 235805,
  [SMALL_STATE(4560)] = 235855,
  [SMALL_STATE(4561)] = 235883,
  [SMALL_STATE(4562)] = 235915,
  [SMALL_STATE(4563)] = 235955,
  [SMALL_STATE(4564)] = 235995,
  [SMALL_STATE(4565)] = 236023,
  [SMALL_STATE(4566)] = 236063,
  [SMALL_STATE(4567)] = 236103,
  [SMALL_STATE(4568)] = 236129,
  [SMALL_STATE(4569)] = 236157,
  [SMALL_STATE(4570)] = 236183,
  [SMALL_STATE(4571)] = 236231,
  [SMALL_STATE(4572)] = 236257,
  [SMALL_STATE(4573)] = 236305,
  [SMALL_STATE(4574)] = 236333,
  [SMALL_STATE(4575)] = 236361,
  [SMALL_STATE(4576)] = 236413,
  [SMALL_STATE(4577)] = 236441,
  [SMALL_STATE(4578)] = 236469,
  [SMALL_STATE(4579)] = 236495,
  [SMALL_STATE(4580)] = 236535,
  [SMALL_STATE(4581)] = 236561,
  [SMALL_STATE(4582)] = 236611,
  [SMALL_STATE(4583)] = 236651,
  [SMALL_STATE(4584)] = 236691,
  [SMALL_STATE(4585)] = 236731,
  [SMALL_STATE(4586)] = 236771,
  [SMALL_STATE(4587)] = 236827,
  [SMALL_STATE(4588)] = 236875,
  [SMALL_STATE(4589)] = 236923,
  [SMALL_STATE(4590)] = 236971,
  [SMALL_STATE(4591)] = 236997,
  [SMALL_STATE(4592)] = 237045,
  [SMALL_STATE(4593)] = 237093,
  [SMALL_STATE(4594)] = 237141,
  [SMALL_STATE(4595)] = 237167,
  [SMALL_STATE(4596)] = 237199,
  [SMALL_STATE(4597)] = 237235,
  [SMALL_STATE(4598)] = 237267,
  [SMALL_STATE(4599)] = 237315,
  [SMALL_STATE(4600)] = 237343,
  [SMALL_STATE(4601)] = 237383,
  [SMALL_STATE(4602)] = 237423,
  [SMALL_STATE(4603)] = 237453,
  [SMALL_STATE(4604)] = 237501,
  [SMALL_STATE(4605)] = 237531,
  [SMALL_STATE(4606)] = 237569,
  [SMALL_STATE(4607)] = 237597,
  [SMALL_STATE(4608)] = 237645,
  [SMALL_STATE(4609)] = 237673,
  [SMALL_STATE(4610)] = 237699,
  [SMALL_STATE(4611)] = 237725,
  [SMALL_STATE(4612)] = 237753,
  [SMALL_STATE(4613)] = 237779,
  [SMALL_STATE(4614)] = 237805,
  [SMALL_STATE(4615)] = 237831,
  [SMALL_STATE(4616)] = 237859,
  [SMALL_STATE(4617)] = 237915,
  [SMALL_STATE(4618)] = 237943,
  [SMALL_STATE(4619)] = 237971,
  [SMALL_STATE(4620)] = 238003,
  [SMALL_STATE(4621)] = 238031,
  [SMALL_STATE(4622)] = 238057,
  [SMALL_STATE(4623)] = 238083,
  [SMALL_STATE(4624)] = 238111,
  [SMALL_STATE(4625)] = 238139,
  [SMALL_STATE(4626)] = 238167,
  [SMALL_STATE(4627)] = 238195,
  [SMALL_STATE(4628)] = 238245,
  [SMALL_STATE(4629)] = 238295,
  [SMALL_STATE(4630)] = 238323,
  [SMALL_STATE(4631)] = 238359,
  [SMALL_STATE(4632)] = 238387,
  [SMALL_STATE(4633)] = 238419,
  [SMALL_STATE(4634)] = 238467,
  [SMALL_STATE(4635)] = 238515,
  [SMALL_STATE(4636)] = 238541,
  [SMALL_STATE(4637)] = 238589,
  [SMALL_STATE(4638)] = 238617,
  [SMALL_STATE(4639)] = 238643,
  [SMALL_STATE(4640)] = 238675,
  [SMALL_STATE(4641)] = 238705,
  [SMALL_STATE(4642)] = 238753,
  [SMALL_STATE(4643)] = 238791,
  [SMALL_STATE(4644)] = 238819,
  [SMALL_STATE(4645)] = 238847,
  [SMALL_STATE(4646)] = 238873,
  [SMALL_STATE(4647)] = 238901,
  [SMALL_STATE(4648)] = 238949,
  [SMALL_STATE(4649)] = 238977,
  [SMALL_STATE(4650)] = 239025,
  [SMALL_STATE(4651)] = 239053,
  [SMALL_STATE(4652)] = 239079,
  [SMALL_STATE(4653)] = 239127,
  [SMALL_STATE(4654)] = 239175,
  [SMALL_STATE(4655)] = 239203,
  [SMALL_STATE(4656)] = 239251,
  [SMALL_STATE(4657)] = 239277,
  [SMALL_STATE(4658)] = 239309,
  [SMALL_STATE(4659)] = 239335,
  [SMALL_STATE(4660)] = 239363,
  [SMALL_STATE(4661)] = 239391,
  [SMALL_STATE(4662)] = 239419,
  [SMALL_STATE(4663)] = 239445,
  [SMALL_STATE(4664)] = 239471,
  [SMALL_STATE(4665)] = 239521,
  [SMALL_STATE(4666)] = 239547,
  [SMALL_STATE(4667)] = 239575,
  [SMALL_STATE(4668)] = 239601,
  [SMALL_STATE(4669)] = 239629,
  [SMALL_STATE(4670)] = 239685,
  [SMALL_STATE(4671)] = 239711,
  [SMALL_STATE(4672)] = 239741,
  [SMALL_STATE(4673)] = 239797,
  [SMALL_STATE(4674)] = 239845,
  [SMALL_STATE(4675)] = 239893,
  [SMALL_STATE(4676)] = 239921,
  [SMALL_STATE(4677)] = 239969,
  [SMALL_STATE(4678)] = 239997,
  [SMALL_STATE(4679)] = 240045,
  [SMALL_STATE(4680)] = 240093,
  [SMALL_STATE(4681)] = 240141,
  [SMALL_STATE(4682)] = 240189,
  [SMALL_STATE(4683)] = 240215,
  [SMALL_STATE(4684)] = 240263,
  [SMALL_STATE(4685)] = 240311,
  [SMALL_STATE(4686)] = 240339,
  [SMALL_STATE(4687)] = 240365,
  [SMALL_STATE(4688)] = 240413,
  [SMALL_STATE(4689)] = 240441,
  [SMALL_STATE(4690)] = 240469,
  [SMALL_STATE(4691)] = 240517,
  [SMALL_STATE(4692)] = 240565,
  [SMALL_STATE(4693)] = 240613,
  [SMALL_STATE(4694)] = 240661,
  [SMALL_STATE(4695)] = 240709,
  [SMALL_STATE(4696)] = 240757,
  [SMALL_STATE(4697)] = 240783,
  [SMALL_STATE(4698)] = 240809,
  [SMALL_STATE(4699)] = 240837,
  [SMALL_STATE(4700)] = 240863,
  [SMALL_STATE(4701)] = 240911,
  [SMALL_STATE(4702)] = 240937,
  [SMALL_STATE(4703)] = 240985,
  [SMALL_STATE(4704)] = 241015,
  [SMALL_STATE(4705)] = 241063,
  [SMALL_STATE(4706)] = 241091,
  [SMALL_STATE(4707)] = 241139,
  [SMALL_STATE(4708)] = 241167,
  [SMALL_STATE(4709)] = 241195,
  [SMALL_STATE(4710)] = 241243,
  [SMALL_STATE(4711)] = 241291,
  [SMALL_STATE(4712)] = 241339,
  [SMALL_STATE(4713)] = 241365,
  [SMALL_STATE(4714)] = 241413,
  [SMALL_STATE(4715)] = 241461,
  [SMALL_STATE(4716)] = 241509,
  [SMALL_STATE(4717)] = 241557,
  [SMALL_STATE(4718)] = 241583,
  [SMALL_STATE(4719)] = 241609,
  [SMALL_STATE(4720)] = 241635,
  [SMALL_STATE(4721)] = 241663,
  [SMALL_STATE(4722)] = 241693,
  [SMALL_STATE(4723)] = 241721,
  [SMALL_STATE(4724)] = 241753,
  [SMALL_STATE(4725)] = 241779,
  [SMALL_STATE(4726)] = 241827,
  [SMALL_STATE(4727)] = 241855,
  [SMALL_STATE(4728)] = 241903,
  [SMALL_STATE(4729)] = 241951,
  [SMALL_STATE(4730)] = 241999,
  [SMALL_STATE(4731)] = 242047,
  [SMALL_STATE(4732)] = 242095,
  [SMALL_STATE(4733)] = 242143,
  [SMALL_STATE(4734)] = 242191,
  [SMALL_STATE(4735)] = 242217,
  [SMALL_STATE(4736)] = 242265,
  [SMALL_STATE(4737)] = 242313,
  [SMALL_STATE(4738)] = 242361,
  [SMALL_STATE(4739)] = 242409,
  [SMALL_STATE(4740)] = 242457,
  [SMALL_STATE(4741)] = 242505,
  [SMALL_STATE(4742)] = 242553,
  [SMALL_STATE(4743)] = 242601,
  [SMALL_STATE(4744)] = 242631,
  [SMALL_STATE(4745)] = 242679,
  [SMALL_STATE(4746)] = 242727,
  [SMALL_STATE(4747)] = 242775,
  [SMALL_STATE(4748)] = 242801,
  [SMALL_STATE(4749)] = 242849,
  [SMALL_STATE(4750)] = 242877,
  [SMALL_STATE(4751)] = 242903,
  [SMALL_STATE(4752)] = 242951,
  [SMALL_STATE(4753)] = 242979,
  [SMALL_STATE(4754)] = 243027,
  [SMALL_STATE(4755)] = 243053,
  [SMALL_STATE(4756)] = 243081,
  [SMALL_STATE(4757)] = 243111,
  [SMALL_STATE(4758)] = 243139,
  [SMALL_STATE(4759)] = 243187,
  [SMALL_STATE(4760)] = 243235,
  [SMALL_STATE(4761)] = 243283,
  [SMALL_STATE(4762)] = 243311,
  [SMALL_STATE(4763)] = 243363,
  [SMALL_STATE(4764)] = 243393,
  [SMALL_STATE(4765)] = 243419,
  [SMALL_STATE(4766)] = 243447,
  [SMALL_STATE(4767)] = 243495,
  [SMALL_STATE(4768)] = 243523,
  [SMALL_STATE(4769)] = 243551,
  [SMALL_STATE(4770)] = 243601,
  [SMALL_STATE(4771)] = 243629,
  [SMALL_STATE(4772)] = 243661,
  [SMALL_STATE(4773)] = 243689,
  [SMALL_STATE(4774)] = 243717,
  [SMALL_STATE(4775)] = 243745,
  [SMALL_STATE(4776)] = 243773,
  [SMALL_STATE(4777)] = 243805,
  [SMALL_STATE(4778)] = 243833,
  [SMALL_STATE(4779)] = 243865,
  [SMALL_STATE(4780)] = 243893,
  [SMALL_STATE(4781)] = 243921,
  [SMALL_STATE(4782)] = 243959,
  [SMALL_STATE(4783)] = 243987,
  [SMALL_STATE(4784)] = 244015,
  [SMALL_STATE(4785)] = 244047,
  [SMALL_STATE(4786)] = 244075,
  [SMALL_STATE(4787)] = 244103,
  [SMALL_STATE(4788)] = 244151,
  [SMALL_STATE(4789)] = 244179,
  [SMALL_STATE(4790)] = 244209,
  [SMALL_STATE(4791)] = 244257,
  [SMALL_STATE(4792)] = 244285,
  [SMALL_STATE(4793)] = 244315,
  [SMALL_STATE(4794)] = 244343,
  [SMALL_STATE(4795)] = 244375,
  [SMALL_STATE(4796)] = 244401,
  [SMALL_STATE(4797)] = 244428,
  [SMALL_STATE(4798)] = 244455,
  [SMALL_STATE(4799)] = 244490,
  [SMALL_STATE(4800)] = 244541,
  [SMALL_STATE(4801)] = 244568,
  [SMALL_STATE(4802)] = 244615,
  [SMALL_STATE(4803)] = 244646,
  [SMALL_STATE(4804)] = 244677,
  [SMALL_STATE(4805)] = 244724,
  [SMALL_STATE(4806)] = 244751,
  [SMALL_STATE(4807)] = 244780,
  [SMALL_STATE(4808)] = 244827,
  [SMALL_STATE(4809)] = 244854,
  [SMALL_STATE(4810)] = 244899,
  [SMALL_STATE(4811)] = 244938,
  [SMALL_STATE(4812)] = 244965,
  [SMALL_STATE(4813)] = 245012,
  [SMALL_STATE(4814)] = 245059,
  [SMALL_STATE(4815)] = 245090,
  [SMALL_STATE(4816)] = 245137,
  [SMALL_STATE(4817)] = 245164,
  [SMALL_STATE(4818)] = 245211,
  [SMALL_STATE(4819)] = 245254,
  [SMALL_STATE(4820)] = 245281,
  [SMALL_STATE(4821)] = 245308,
  [SMALL_STATE(4822)] = 245335,
  [SMALL_STATE(4823)] = 245382,
  [SMALL_STATE(4824)] = 245421,
  [SMALL_STATE(4825)] = 245468,
  [SMALL_STATE(4826)] = 245507,
  [SMALL_STATE(4827)] = 245534,
  [SMALL_STATE(4828)] = 245581,
  [SMALL_STATE(4829)] = 245620,
  [SMALL_STATE(4830)] = 245667,
  [SMALL_STATE(4831)] = 245716,
  [SMALL_STATE(4832)] = 245759,
  [SMALL_STATE(4833)] = 245806,
  [SMALL_STATE(4834)] = 245833,
  [SMALL_STATE(4835)] = 245860,
  [SMALL_STATE(4836)] = 245887,
  [SMALL_STATE(4837)] = 245914,
  [SMALL_STATE(4838)] = 245941,
  [SMALL_STATE(4839)] = 245968,
  [SMALL_STATE(4840)] = 245995,
  [SMALL_STATE(4841)] = 246022,
  [SMALL_STATE(4842)] = 246049,
  [SMALL_STATE(4843)] = 246094,
  [SMALL_STATE(4844)] = 246121,
  [SMALL_STATE(4845)] = 246148,
  [SMALL_STATE(4846)] = 246175,
  [SMALL_STATE(4847)] = 246202,
  [SMALL_STATE(4848)] = 246229,
  [SMALL_STATE(4849)] = 246276,
  [SMALL_STATE(4850)] = 246323,
  [SMALL_STATE(4851)] = 246350,
  [SMALL_STATE(4852)] = 246377,
  [SMALL_STATE(4853)] = 246404,
  [SMALL_STATE(4854)] = 246451,
  [SMALL_STATE(4855)] = 246490,
  [SMALL_STATE(4856)] = 246517,
  [SMALL_STATE(4857)] = 246566,
  [SMALL_STATE(4858)] = 246619,
  [SMALL_STATE(4859)] = 246646,
  [SMALL_STATE(4860)] = 246693,
  [SMALL_STATE(4861)] = 246740,
  [SMALL_STATE(4862)] = 246767,
  [SMALL_STATE(4863)] = 246814,
  [SMALL_STATE(4864)] = 246861,
  [SMALL_STATE(4865)] = 246888,
  [SMALL_STATE(4866)] = 246931,
  [SMALL_STATE(4867)] = 246958,
  [SMALL_STATE(4868)] = 246985,
  [SMALL_STATE(4869)] = 247032,
  [SMALL_STATE(4870)] = 247059,
  [SMALL_STATE(4871)] = 247086,
  [SMALL_STATE(4872)] = 247113,
  [SMALL_STATE(4873)] = 247162,
  [SMALL_STATE(4874)] = 247189,
  [SMALL_STATE(4875)] = 247216,
  [SMALL_STATE(4876)] = 247243,
  [SMALL_STATE(4877)] = 247288,
  [SMALL_STATE(4878)] = 247315,
  [SMALL_STATE(4879)] = 247342,
  [SMALL_STATE(4880)] = 247385,
  [SMALL_STATE(4881)] = 247432,
  [SMALL_STATE(4882)] = 247459,
  [SMALL_STATE(4883)] = 247490,
  [SMALL_STATE(4884)] = 247517,
  [SMALL_STATE(4885)] = 247544,
  [SMALL_STATE(4886)] = 247571,
  [SMALL_STATE(4887)] = 247598,
  [SMALL_STATE(4888)] = 247625,
  [SMALL_STATE(4889)] = 247652,
  [SMALL_STATE(4890)] = 247699,
  [SMALL_STATE(4891)] = 247726,
  [SMALL_STATE(4892)] = 247753,
  [SMALL_STATE(4893)] = 247800,
  [SMALL_STATE(4894)] = 247829,
  [SMALL_STATE(4895)] = 247856,
  [SMALL_STATE(4896)] = 247883,
  [SMALL_STATE(4897)] = 247914,
  [SMALL_STATE(4898)] = 247941,
  [SMALL_STATE(4899)] = 247968,
  [SMALL_STATE(4900)] = 248011,
  [SMALL_STATE(4901)] = 248060,
  [SMALL_STATE(4902)] = 248087,
  [SMALL_STATE(4903)] = 248114,
  [SMALL_STATE(4904)] = 248141,
  [SMALL_STATE(4905)] = 248188,
  [SMALL_STATE(4906)] = 248215,
  [SMALL_STATE(4907)] = 248242,
  [SMALL_STATE(4908)] = 248289,
  [SMALL_STATE(4909)] = 248316,
  [SMALL_STATE(4910)] = 248363,
  [SMALL_STATE(4911)] = 248390,
  [SMALL_STATE(4912)] = 248435,
  [SMALL_STATE(4913)] = 248482,
  [SMALL_STATE(4914)] = 248529,
  [SMALL_STATE(4915)] = 248576,
  [SMALL_STATE(4916)] = 248621,
  [SMALL_STATE(4917)] = 248668,
  [SMALL_STATE(4918)] = 248715,
  [SMALL_STATE(4919)] = 248762,
  [SMALL_STATE(4920)] = 248789,
  [SMALL_STATE(4921)] = 248836,
  [SMALL_STATE(4922)] = 248883,
  [SMALL_STATE(4923)] = 248930,
  [SMALL_STATE(4924)] = 248957,
  [SMALL_STATE(4925)] = 249010,
  [SMALL_STATE(4926)] = 249037,
  [SMALL_STATE(4927)] = 249064,
  [SMALL_STATE(4928)] = 249107,
  [SMALL_STATE(4929)] = 249134,
  [SMALL_STATE(4930)] = 249163,
  [SMALL_STATE(4931)] = 249190,
  [SMALL_STATE(4932)] = 249237,
  [SMALL_STATE(4933)] = 249264,
  [SMALL_STATE(4934)] = 249303,
  [SMALL_STATE(4935)] = 249352,
  [SMALL_STATE(4936)] = 249397,
  [SMALL_STATE(4937)] = 249444,
  [SMALL_STATE(4938)] = 249483,
  [SMALL_STATE(4939)] = 249510,
  [SMALL_STATE(4940)] = 249559,
  [SMALL_STATE(4941)] = 249586,
  [SMALL_STATE(4942)] = 249633,
  [SMALL_STATE(4943)] = 249660,
  [SMALL_STATE(4944)] = 249707,
  [SMALL_STATE(4945)] = 249734,
  [SMALL_STATE(4946)] = 249761,
  [SMALL_STATE(4947)] = 249788,
  [SMALL_STATE(4948)] = 249835,
  [SMALL_STATE(4949)] = 249862,
  [SMALL_STATE(4950)] = 249889,
  [SMALL_STATE(4951)] = 249934,
  [SMALL_STATE(4952)] = 249961,
  [SMALL_STATE(4953)] = 249988,
  [SMALL_STATE(4954)] = 250033,
  [SMALL_STATE(4955)] = 250080,
  [SMALL_STATE(4956)] = 250107,
  [SMALL_STATE(4957)] = 250134,
  [SMALL_STATE(4958)] = 250161,
  [SMALL_STATE(4959)] = 250188,
  [SMALL_STATE(4960)] = 250215,
  [SMALL_STATE(4961)] = 250242,
  [SMALL_STATE(4962)] = 250269,
  [SMALL_STATE(4963)] = 250296,
  [SMALL_STATE(4964)] = 250345,
  [SMALL_STATE(4965)] = 250372,
  [SMALL_STATE(4966)] = 250399,
  [SMALL_STATE(4967)] = 250442,
  [SMALL_STATE(4968)] = 250469,
  [SMALL_STATE(4969)] = 250508,
  [SMALL_STATE(4970)] = 250555,
  [SMALL_STATE(4971)] = 250582,
  [SMALL_STATE(4972)] = 250621,
  [SMALL_STATE(4973)] = 250668,
  [SMALL_STATE(4974)] = 250695,
  [SMALL_STATE(4975)] = 250734,
  [SMALL_STATE(4976)] = 250781,
  [SMALL_STATE(4977)] = 250828,
  [SMALL_STATE(4978)] = 250855,
  [SMALL_STATE(4979)] = 250900,
  [SMALL_STATE(4980)] = 250947,
  [SMALL_STATE(4981)] = 250974,
  [SMALL_STATE(4982)] = 251001,
  [SMALL_STATE(4983)] = 251028,
  [SMALL_STATE(4984)] = 251075,
  [SMALL_STATE(4985)] = 251122,
  [SMALL_STATE(4986)] = 251161,
  [SMALL_STATE(4987)] = 251208,
  [SMALL_STATE(4988)] = 251255,
  [SMALL_STATE(4989)] = 251282,
  [SMALL_STATE(4990)] = 251309,
  [SMALL_STATE(4991)] = 251348,
  [SMALL_STATE(4992)] = 251375,
  [SMALL_STATE(4993)] = 251422,
  [SMALL_STATE(4994)] = 251449,
  [SMALL_STATE(4995)] = 251476,
  [SMALL_STATE(4996)] = 251503,
  [SMALL_STATE(4997)] = 251532,
  [SMALL_STATE(4998)] = 251559,
  [SMALL_STATE(4999)] = 251586,
  [SMALL_STATE(5000)] = 251639,
  [SMALL_STATE(5001)] = 251686,
  [SMALL_STATE(5002)] = 251733,
  [SMALL_STATE(5003)] = 251760,
  [SMALL_STATE(5004)] = 251787,
  [SMALL_STATE(5005)] = 251830,
  [SMALL_STATE(5006)] = 251877,
  [SMALL_STATE(5007)] = 251924,
  [SMALL_STATE(5008)] = 251951,
  [SMALL_STATE(5009)] = 252000,
  [SMALL_STATE(5010)] = 252047,
  [SMALL_STATE(5011)] = 252096,
  [SMALL_STATE(5012)] = 252123,
  [SMALL_STATE(5013)] = 252174,
  [SMALL_STATE(5014)] = 252201,
  [SMALL_STATE(5015)] = 252250,
  [SMALL_STATE(5016)] = 252295,
  [SMALL_STATE(5017)] = 252342,
  [SMALL_STATE(5018)] = 252369,
  [SMALL_STATE(5019)] = 252416,
  [SMALL_STATE(5020)] = 252463,
  [SMALL_STATE(5021)] = 252494,
  [SMALL_STATE(5022)] = 252525,
  [SMALL_STATE(5023)] = 252572,
  [SMALL_STATE(5024)] = 252619,
  [SMALL_STATE(5025)] = 252646,
  [SMALL_STATE(5026)] = 252673,
  [SMALL_STATE(5027)] = 252700,
  [SMALL_STATE(5028)] = 252747,
  [SMALL_STATE(5029)] = 252774,
  [SMALL_STATE(5030)] = 252829,
  [SMALL_STATE(5031)] = 252876,
  [SMALL_STATE(5032)] = 252907,
  [SMALL_STATE(5033)] = 252934,
  [SMALL_STATE(5034)] = 252961,
  [SMALL_STATE(5035)] = 252988,
  [SMALL_STATE(5036)] = 253015,
  [SMALL_STATE(5037)] = 253062,
  [SMALL_STATE(5038)] = 253109,
  [SMALL_STATE(5039)] = 253156,
  [SMALL_STATE(5040)] = 253203,
  [SMALL_STATE(5041)] = 253230,
  [SMALL_STATE(5042)] = 253257,
  [SMALL_STATE(5043)] = 253284,
  [SMALL_STATE(5044)] = 253327,
  [SMALL_STATE(5045)] = 253354,
  [SMALL_STATE(5046)] = 253381,
  [SMALL_STATE(5047)] = 253420,
  [SMALL_STATE(5048)] = 253467,
  [SMALL_STATE(5049)] = 253514,
  [SMALL_STATE(5050)] = 253553,
  [SMALL_STATE(5051)] = 253600,
  [SMALL_STATE(5052)] = 253647,
  [SMALL_STATE(5053)] = 253694,
  [SMALL_STATE(5054)] = 253741,
  [SMALL_STATE(5055)] = 253788,
  [SMALL_STATE(5056)] = 253819,
  [SMALL_STATE(5057)] = 253866,
  [SMALL_STATE(5058)] = 253913,
  [SMALL_STATE(5059)] = 253960,
  [SMALL_STATE(5060)] = 254007,
  [SMALL_STATE(5061)] = 254054,
  [SMALL_STATE(5062)] = 254101,
  [SMALL_STATE(5063)] = 254148,
  [SMALL_STATE(5064)] = 254195,
  [SMALL_STATE(5065)] = 254242,
  [SMALL_STATE(5066)] = 254289,
  [SMALL_STATE(5067)] = 254336,
  [SMALL_STATE(5068)] = 254383,
  [SMALL_STATE(5069)] = 254430,
  [SMALL_STATE(5070)] = 254477,
  [SMALL_STATE(5071)] = 254504,
  [SMALL_STATE(5072)] = 254551,
  [SMALL_STATE(5073)] = 254598,
  [SMALL_STATE(5074)] = 254625,
  [SMALL_STATE(5075)] = 254672,
  [SMALL_STATE(5076)] = 254719,
  [SMALL_STATE(5077)] = 254754,
  [SMALL_STATE(5078)] = 254801,
  [SMALL_STATE(5079)] = 254828,
  [SMALL_STATE(5080)] = 254859,
  [SMALL_STATE(5081)] = 254906,
  [SMALL_STATE(5082)] = 254933,
  [SMALL_STATE(5083)] = 254980,
  [SMALL_STATE(5084)] = 255027,
  [SMALL_STATE(5085)] = 255054,
  [SMALL_STATE(5086)] = 255081,
  [SMALL_STATE(5087)] = 255128,
  [SMALL_STATE(5088)] = 255175,
  [SMALL_STATE(5089)] = 255202,
  [SMALL_STATE(5090)] = 255249,
  [SMALL_STATE(5091)] = 255276,
  [SMALL_STATE(5092)] = 255323,
  [SMALL_STATE(5093)] = 255366,
  [SMALL_STATE(5094)] = 255393,
  [SMALL_STATE(5095)] = 255440,
  [SMALL_STATE(5096)] = 255489,
  [SMALL_STATE(5097)] = 255516,
  [SMALL_STATE(5098)] = 255563,
  [SMALL_STATE(5099)] = 255590,
  [SMALL_STATE(5100)] = 255637,
  [SMALL_STATE(5101)] = 255664,
  [SMALL_STATE(5102)] = 255693,
  [SMALL_STATE(5103)] = 255724,
  [SMALL_STATE(5104)] = 255773,
  [SMALL_STATE(5105)] = 255820,
  [SMALL_STATE(5106)] = 255847,
  [SMALL_STATE(5107)] = 255894,
  [SMALL_STATE(5108)] = 255939,
  [SMALL_STATE(5109)] = 255966,
  [SMALL_STATE(5110)] = 256005,
  [SMALL_STATE(5111)] = 256052,
  [SMALL_STATE(5112)] = 256099,
  [SMALL_STATE(5113)] = 256146,
  [SMALL_STATE(5114)] = 256173,
  [SMALL_STATE(5115)] = 256220,
  [SMALL_STATE(5116)] = 256267,
  [SMALL_STATE(5117)] = 256314,
  [SMALL_STATE(5118)] = 256341,
  [SMALL_STATE(5119)] = 256368,
  [SMALL_STATE(5120)] = 256395,
  [SMALL_STATE(5121)] = 256422,
  [SMALL_STATE(5122)] = 256453,
  [SMALL_STATE(5123)] = 256480,
  [SMALL_STATE(5124)] = 256509,
  [SMALL_STATE(5125)] = 256548,
  [SMALL_STATE(5126)] = 256575,
  [SMALL_STATE(5127)] = 256614,
  [SMALL_STATE(5128)] = 256641,
  [SMALL_STATE(5129)] = 256668,
  [SMALL_STATE(5130)] = 256707,
  [SMALL_STATE(5131)] = 256754,
  [SMALL_STATE(5132)] = 256801,
  [SMALL_STATE(5133)] = 256848,
  [SMALL_STATE(5134)] = 256895,
  [SMALL_STATE(5135)] = 256932,
  [SMALL_STATE(5136)] = 256963,
  [SMALL_STATE(5137)] = 256990,
  [SMALL_STATE(5138)] = 257017,
  [SMALL_STATE(5139)] = 257060,
  [SMALL_STATE(5140)] = 257107,
  [SMALL_STATE(5141)] = 257154,
  [SMALL_STATE(5142)] = 257185,
  [SMALL_STATE(5143)] = 257212,
  [SMALL_STATE(5144)] = 257239,
  [SMALL_STATE(5145)] = 257270,
  [SMALL_STATE(5146)] = 257297,
  [SMALL_STATE(5147)] = 257324,
  [SMALL_STATE(5148)] = 257351,
  [SMALL_STATE(5149)] = 257378,
  [SMALL_STATE(5150)] = 257423,
  [SMALL_STATE(5151)] = 257470,
  [SMALL_STATE(5152)] = 257517,
  [SMALL_STATE(5153)] = 257544,
  [SMALL_STATE(5154)] = 257587,
  [SMALL_STATE(5155)] = 257614,
  [SMALL_STATE(5156)] = 257643,
  [SMALL_STATE(5157)] = 257670,
  [SMALL_STATE(5158)] = 257723,
  [SMALL_STATE(5159)] = 257750,
  [SMALL_STATE(5160)] = 257777,
  [SMALL_STATE(5161)] = 257804,
  [SMALL_STATE(5162)] = 257835,
  [SMALL_STATE(5163)] = 257862,
  [SMALL_STATE(5164)] = 257889,
  [SMALL_STATE(5165)] = 257918,
  [SMALL_STATE(5166)] = 257945,
  [SMALL_STATE(5167)] = 257976,
  [SMALL_STATE(5168)] = 258025,
  [SMALL_STATE(5169)] = 258056,
  [SMALL_STATE(5170)] = 258083,
  [SMALL_STATE(5171)] = 258110,
  [SMALL_STATE(5172)] = 258137,
  [SMALL_STATE(5173)] = 258166,
  [SMALL_STATE(5174)] = 258205,
  [SMALL_STATE(5175)] = 258240,
  [SMALL_STATE(5176)] = 258267,
  [SMALL_STATE(5177)] = 258296,
  [SMALL_STATE(5178)] = 258339,
  [SMALL_STATE(5179)] = 258378,
  [SMALL_STATE(5180)] = 258405,
  [SMALL_STATE(5181)] = 258436,
  [SMALL_STATE(5182)] = 258473,
  [SMALL_STATE(5183)] = 258520,
  [SMALL_STATE(5184)] = 258551,
  [SMALL_STATE(5185)] = 258578,
  [SMALL_STATE(5186)] = 258609,
  [SMALL_STATE(5187)] = 258636,
  [SMALL_STATE(5188)] = 258663,
  [SMALL_STATE(5189)] = 258692,
  [SMALL_STATE(5190)] = 258741,
  [SMALL_STATE(5191)] = 258768,
  [SMALL_STATE(5192)] = 258815,
  [SMALL_STATE(5193)] = 258846,
  [SMALL_STATE(5194)] = 258873,
  [SMALL_STATE(5195)] = 258904,
  [SMALL_STATE(5196)] = 258931,
  [SMALL_STATE(5197)] = 258962,
  [SMALL_STATE(5198)] = 258993,
  [SMALL_STATE(5199)] = 259020,
  [SMALL_STATE(5200)] = 259075,
  [SMALL_STATE(5201)] = 259122,
  [SMALL_STATE(5202)] = 259151,
  [SMALL_STATE(5203)] = 259178,
  [SMALL_STATE(5204)] = 259205,
  [SMALL_STATE(5205)] = 259232,
  [SMALL_STATE(5206)] = 259279,
  [SMALL_STATE(5207)] = 259308,
  [SMALL_STATE(5208)] = 259335,
  [SMALL_STATE(5209)] = 259382,
  [SMALL_STATE(5210)] = 259429,
  [SMALL_STATE(5211)] = 259476,
  [SMALL_STATE(5212)] = 259523,
  [SMALL_STATE(5213)] = 259568,
  [SMALL_STATE(5214)] = 259599,
  [SMALL_STATE(5215)] = 259628,
  [SMALL_STATE(5216)] = 259675,
  [SMALL_STATE(5217)] = 259722,
  [SMALL_STATE(5218)] = 259749,
  [SMALL_STATE(5219)] = 259796,
  [SMALL_STATE(5220)] = 259825,
  [SMALL_STATE(5221)] = 259854,
  [SMALL_STATE(5222)] = 259901,
  [SMALL_STATE(5223)] = 259948,
  [SMALL_STATE(5224)] = 259977,
  [SMALL_STATE(5225)] = 260004,
  [SMALL_STATE(5226)] = 260051,
  [SMALL_STATE(5227)] = 260078,
  [SMALL_STATE(5228)] = 260125,
  [SMALL_STATE(5229)] = 260152,
  [SMALL_STATE(5230)] = 260183,
  [SMALL_STATE(5231)] = 260210,
  [SMALL_STATE(5232)] = 260257,
  [SMALL_STATE(5233)] = 260284,
  [SMALL_STATE(5234)] = 260311,
  [SMALL_STATE(5235)] = 260342,
  [SMALL_STATE(5236)] = 260369,
  [SMALL_STATE(5237)] = 260408,
  [SMALL_STATE(5238)] = 260439,
  [SMALL_STATE(5239)] = 260486,
  [SMALL_STATE(5240)] = 260525,
  [SMALL_STATE(5241)] = 260556,
  [SMALL_STATE(5242)] = 260603,
  [SMALL_STATE(5243)] = 260650,
  [SMALL_STATE(5244)] = 260697,
  [SMALL_STATE(5245)] = 260744,
  [SMALL_STATE(5246)] = 260791,
  [SMALL_STATE(5247)] = 260820,
  [SMALL_STATE(5248)] = 260867,
  [SMALL_STATE(5249)] = 260902,
  [SMALL_STATE(5250)] = 260949,
  [SMALL_STATE(5251)] = 260996,
  [SMALL_STATE(5252)] = 261029,
  [SMALL_STATE(5253)] = 261060,
  [SMALL_STATE(5254)] = 261107,
  [SMALL_STATE(5255)] = 261146,
  [SMALL_STATE(5256)] = 261193,
  [SMALL_STATE(5257)] = 261224,
  [SMALL_STATE(5258)] = 261255,
  [SMALL_STATE(5259)] = 261286,
  [SMALL_STATE(5260)] = 261313,
  [SMALL_STATE(5261)] = 261344,
  [SMALL_STATE(5262)] = 261375,
  [SMALL_STATE(5263)] = 261428,
  [SMALL_STATE(5264)] = 261467,
  [SMALL_STATE(5265)] = 261498,
  [SMALL_STATE(5266)] = 261545,
  [SMALL_STATE(5267)] = 261576,
  [SMALL_STATE(5268)] = 261607,
  [SMALL_STATE(5269)] = 261654,
  [SMALL_STATE(5270)] = 261701,
  [SMALL_STATE(5271)] = 261732,
  [SMALL_STATE(5272)] = 261771,
  [SMALL_STATE(5273)] = 261800,
  [SMALL_STATE(5274)] = 261847,
  [SMALL_STATE(5275)] = 261876,
  [SMALL_STATE(5276)] = 261923,
  [SMALL_STATE(5277)] = 261958,
  [SMALL_STATE(5278)] = 261989,
  [SMALL_STATE(5279)] = 262018,
  [SMALL_STATE(5280)] = 262053,
  [SMALL_STATE(5281)] = 262086,
  [SMALL_STATE(5282)] = 262113,
  [SMALL_STATE(5283)] = 262160,
  [SMALL_STATE(5284)] = 262187,
  [SMALL_STATE(5285)] = 262216,
  [SMALL_STATE(5286)] = 262263,
  [SMALL_STATE(5287)] = 262292,
  [SMALL_STATE(5288)] = 262323,
  [SMALL_STATE(5289)] = 262368,
  [SMALL_STATE(5290)] = 262415,
  [SMALL_STATE(5291)] = 262462,
  [SMALL_STATE(5292)] = 262509,
  [SMALL_STATE(5293)] = 262538,
  [SMALL_STATE(5294)] = 262585,
  [SMALL_STATE(5295)] = 262628,
  [SMALL_STATE(5296)] = 262675,
  [SMALL_STATE(5297)] = 262706,
  [SMALL_STATE(5298)] = 262755,
  [SMALL_STATE(5299)] = 262802,
  [SMALL_STATE(5300)] = 262833,
  [SMALL_STATE(5301)] = 262860,
  [SMALL_STATE(5302)] = 262887,
  [SMALL_STATE(5303)] = 262934,
  [SMALL_STATE(5304)] = 262965,
  [SMALL_STATE(5305)] = 263012,
  [SMALL_STATE(5306)] = 263047,
  [SMALL_STATE(5307)] = 263094,
  [SMALL_STATE(5308)] = 263141,
  [SMALL_STATE(5309)] = 263188,
  [SMALL_STATE(5310)] = 263227,
  [SMALL_STATE(5311)] = 263256,
  [SMALL_STATE(5312)] = 263287,
  [SMALL_STATE(5313)] = 263334,
  [SMALL_STATE(5314)] = 263381,
  [SMALL_STATE(5315)] = 263430,
  [SMALL_STATE(5316)] = 263459,
  [SMALL_STATE(5317)] = 263506,
  [SMALL_STATE(5318)] = 263535,
  [SMALL_STATE(5319)] = 263582,
  [SMALL_STATE(5320)] = 263613,
  [SMALL_STATE(5321)] = 263660,
  [SMALL_STATE(5322)] = 263707,
  [SMALL_STATE(5323)] = 263754,
  [SMALL_STATE(5324)] = 263783,
  [SMALL_STATE(5325)] = 263810,
  [SMALL_STATE(5326)] = 263857,
  [SMALL_STATE(5327)] = 263904,
  [SMALL_STATE(5328)] = 263933,
  [SMALL_STATE(5329)] = 263980,
  [SMALL_STATE(5330)] = 264019,
  [SMALL_STATE(5331)] = 264066,
  [SMALL_STATE(5332)] = 264113,
  [SMALL_STATE(5333)] = 264152,
  [SMALL_STATE(5334)] = 264199,
  [SMALL_STATE(5335)] = 264246,
  [SMALL_STATE(5336)] = 264293,
  [SMALL_STATE(5337)] = 264324,
  [SMALL_STATE(5338)] = 264371,
  [SMALL_STATE(5339)] = 264418,
  [SMALL_STATE(5340)] = 264465,
  [SMALL_STATE(5341)] = 264512,
  [SMALL_STATE(5342)] = 264543,
  [SMALL_STATE(5343)] = 264582,
  [SMALL_STATE(5344)] = 264629,
  [SMALL_STATE(5345)] = 264682,
  [SMALL_STATE(5346)] = 264717,
  [SMALL_STATE(5347)] = 264750,
  [SMALL_STATE(5348)] = 264779,
  [SMALL_STATE(5349)] = 264826,
  [SMALL_STATE(5350)] = 264857,
  [SMALL_STATE(5351)] = 264896,
  [SMALL_STATE(5352)] = 264927,
  [SMALL_STATE(5353)] = 264958,
  [SMALL_STATE(5354)] = 264984,
  [SMALL_STATE(5355)] = 265010,
  [SMALL_STATE(5356)] = 265036,
  [SMALL_STATE(5357)] = 265062,
  [SMALL_STATE(5358)] = 265088,
  [SMALL_STATE(5359)] = 265114,
  [SMALL_STATE(5360)] = 265140,
  [SMALL_STATE(5361)] = 265170,
  [SMALL_STATE(5362)] = 265200,
  [SMALL_STATE(5363)] = 265230,
  [SMALL_STATE(5364)] = 265256,
  [SMALL_STATE(5365)] = 265286,
  [SMALL_STATE(5366)] = 265312,
  [SMALL_STATE(5367)] = 265342,
  [SMALL_STATE(5368)] = 265368,
  [SMALL_STATE(5369)] = 265394,
  [SMALL_STATE(5370)] = 265426,
  [SMALL_STATE(5371)] = 265452,
  [SMALL_STATE(5372)] = 265482,
  [SMALL_STATE(5373)] = 265508,
  [SMALL_STATE(5374)] = 265534,
  [SMALL_STATE(5375)] = 265560,
  [SMALL_STATE(5376)] = 265590,
  [SMALL_STATE(5377)] = 265620,
  [SMALL_STATE(5378)] = 265650,
  [SMALL_STATE(5379)] = 265680,
  [SMALL_STATE(5380)] = 265708,
  [SMALL_STATE(5381)] = 265734,
  [SMALL_STATE(5382)] = 265768,
  [SMALL_STATE(5383)] = 265796,
  [SMALL_STATE(5384)] = 265822,
  [SMALL_STATE(5385)] = 265852,
  [SMALL_STATE(5386)] = 265878,
  [SMALL_STATE(5387)] = 265904,
  [SMALL_STATE(5388)] = 265930,
  [SMALL_STATE(5389)] = 265960,
  [SMALL_STATE(5390)] = 265986,
  [SMALL_STATE(5391)] = 266016,
  [SMALL_STATE(5392)] = 266042,
  [SMALL_STATE(5393)] = 266080,
  [SMALL_STATE(5394)] = 266110,
  [SMALL_STATE(5395)] = 266136,
  [SMALL_STATE(5396)] = 266170,
  [SMALL_STATE(5397)] = 266198,
  [SMALL_STATE(5398)] = 266224,
  [SMALL_STATE(5399)] = 266250,
  [SMALL_STATE(5400)] = 266282,
  [SMALL_STATE(5401)] = 266316,
  [SMALL_STATE(5402)] = 266342,
  [SMALL_STATE(5403)] = 266368,
  [SMALL_STATE(5404)] = 266394,
  [SMALL_STATE(5405)] = 266420,
  [SMALL_STATE(5406)] = 266468,
  [SMALL_STATE(5407)] = 266494,
  [SMALL_STATE(5408)] = 266520,
  [SMALL_STATE(5409)] = 266546,
  [SMALL_STATE(5410)] = 266574,
  [SMALL_STATE(5411)] = 266620,
  [SMALL_STATE(5412)] = 266646,
  [SMALL_STATE(5413)] = 266694,
  [SMALL_STATE(5414)] = 266722,
  [SMALL_STATE(5415)] = 266748,
  [SMALL_STATE(5416)] = 266774,
  [SMALL_STATE(5417)] = 266802,
  [SMALL_STATE(5418)] = 266828,
  [SMALL_STATE(5419)] = 266854,
  [SMALL_STATE(5420)] = 266882,
  [SMALL_STATE(5421)] = 266912,
  [SMALL_STATE(5422)] = 266938,
  [SMALL_STATE(5423)] = 266964,
  [SMALL_STATE(5424)] = 266990,
  [SMALL_STATE(5425)] = 267022,
  [SMALL_STATE(5426)] = 267052,
  [SMALL_STATE(5427)] = 267078,
  [SMALL_STATE(5428)] = 267108,
  [SMALL_STATE(5429)] = 267134,
  [SMALL_STATE(5430)] = 267164,
  [SMALL_STATE(5431)] = 267190,
  [SMALL_STATE(5432)] = 267216,
  [SMALL_STATE(5433)] = 267242,
  [SMALL_STATE(5434)] = 267268,
  [SMALL_STATE(5435)] = 267294,
  [SMALL_STATE(5436)] = 267322,
  [SMALL_STATE(5437)] = 267348,
  [SMALL_STATE(5438)] = 267376,
  [SMALL_STATE(5439)] = 267402,
  [SMALL_STATE(5440)] = 267428,
  [SMALL_STATE(5441)] = 267454,
  [SMALL_STATE(5442)] = 267480,
  [SMALL_STATE(5443)] = 267526,
  [SMALL_STATE(5444)] = 267554,
  [SMALL_STATE(5445)] = 267600,
  [SMALL_STATE(5446)] = 267626,
  [SMALL_STATE(5447)] = 267652,
  [SMALL_STATE(5448)] = 267678,
  [SMALL_STATE(5449)] = 267704,
  [SMALL_STATE(5450)] = 267730,
  [SMALL_STATE(5451)] = 267756,
  [SMALL_STATE(5452)] = 267786,
  [SMALL_STATE(5453)] = 267812,
  [SMALL_STATE(5454)] = 267838,
  [SMALL_STATE(5455)] = 267864,
  [SMALL_STATE(5456)] = 267890,
  [SMALL_STATE(5457)] = 267916,
  [SMALL_STATE(5458)] = 267946,
  [SMALL_STATE(5459)] = 267976,
  [SMALL_STATE(5460)] = 268002,
  [SMALL_STATE(5461)] = 268028,
  [SMALL_STATE(5462)] = 268058,
  [SMALL_STATE(5463)] = 268088,
  [SMALL_STATE(5464)] = 268114,
  [SMALL_STATE(5465)] = 268144,
  [SMALL_STATE(5466)] = 268170,
  [SMALL_STATE(5467)] = 268196,
  [SMALL_STATE(5468)] = 268226,
  [SMALL_STATE(5469)] = 268252,
  [SMALL_STATE(5470)] = 268278,
  [SMALL_STATE(5471)] = 268304,
  [SMALL_STATE(5472)] = 268330,
  [SMALL_STATE(5473)] = 268362,
  [SMALL_STATE(5474)] = 268392,
  [SMALL_STATE(5475)] = 268418,
  [SMALL_STATE(5476)] = 268444,
  [SMALL_STATE(5477)] = 268470,
  [SMALL_STATE(5478)] = 268496,
  [SMALL_STATE(5479)] = 268522,
  [SMALL_STATE(5480)] = 268548,
  [SMALL_STATE(5481)] = 268574,
  [SMALL_STATE(5482)] = 268600,
  [SMALL_STATE(5483)] = 268626,
  [SMALL_STATE(5484)] = 268656,
  [SMALL_STATE(5485)] = 268682,
  [SMALL_STATE(5486)] = 268722,
  [SMALL_STATE(5487)] = 268748,
  [SMALL_STATE(5488)] = 268774,
  [SMALL_STATE(5489)] = 268804,
  [SMALL_STATE(5490)] = 268830,
  [SMALL_STATE(5491)] = 268856,
  [SMALL_STATE(5492)] = 268886,
  [SMALL_STATE(5493)] = 268916,
  [SMALL_STATE(5494)] = 268962,
  [SMALL_STATE(5495)] = 268988,
  [SMALL_STATE(5496)] = 269034,
  [SMALL_STATE(5497)] = 269060,
  [SMALL_STATE(5498)] = 269086,
  [SMALL_STATE(5499)] = 269112,
  [SMALL_STATE(5500)] = 269142,
  [SMALL_STATE(5501)] = 269172,
  [SMALL_STATE(5502)] = 269198,
  [SMALL_STATE(5503)] = 269230,
  [SMALL_STATE(5504)] = 269260,
  [SMALL_STATE(5505)] = 269286,
  [SMALL_STATE(5506)] = 269332,
  [SMALL_STATE(5507)] = 269362,
  [SMALL_STATE(5508)] = 269408,
  [SMALL_STATE(5509)] = 269454,
  [SMALL_STATE(5510)] = 269480,
  [SMALL_STATE(5511)] = 269512,
  [SMALL_STATE(5512)] = 269546,
  [SMALL_STATE(5513)] = 269572,
  [SMALL_STATE(5514)] = 269598,
  [SMALL_STATE(5515)] = 269624,
  [SMALL_STATE(5516)] = 269650,
  [SMALL_STATE(5517)] = 269676,
  [SMALL_STATE(5518)] = 269702,
  [SMALL_STATE(5519)] = 269730,
  [SMALL_STATE(5520)] = 269758,
  [SMALL_STATE(5521)] = 269784,
  [SMALL_STATE(5522)] = 269830,
  [SMALL_STATE(5523)] = 269856,
  [SMALL_STATE(5524)] = 269902,
  [SMALL_STATE(5525)] = 269948,
  [SMALL_STATE(5526)] = 269978,
  [SMALL_STATE(5527)] = 270028,
  [SMALL_STATE(5528)] = 270054,
  [SMALL_STATE(5529)] = 270080,
  [SMALL_STATE(5530)] = 270126,
  [SMALL_STATE(5531)] = 270152,
  [SMALL_STATE(5532)] = 270178,
  [SMALL_STATE(5533)] = 270208,
  [SMALL_STATE(5534)] = 270254,
  [SMALL_STATE(5535)] = 270280,
  [SMALL_STATE(5536)] = 270310,
  [SMALL_STATE(5537)] = 270336,
  [SMALL_STATE(5538)] = 270362,
  [SMALL_STATE(5539)] = 270400,
  [SMALL_STATE(5540)] = 270426,
  [SMALL_STATE(5541)] = 270452,
  [SMALL_STATE(5542)] = 270478,
  [SMALL_STATE(5543)] = 270524,
  [SMALL_STATE(5544)] = 270550,
  [SMALL_STATE(5545)] = 270578,
  [SMALL_STATE(5546)] = 270624,
  [SMALL_STATE(5547)] = 270652,
  [SMALL_STATE(5548)] = 270682,
  [SMALL_STATE(5549)] = 270708,
  [SMALL_STATE(5550)] = 270754,
  [SMALL_STATE(5551)] = 270780,
  [SMALL_STATE(5552)] = 270806,
  [SMALL_STATE(5553)] = 270836,
  [SMALL_STATE(5554)] = 270866,
  [SMALL_STATE(5555)] = 270896,
  [SMALL_STATE(5556)] = 270922,
  [SMALL_STATE(5557)] = 270968,
  [SMALL_STATE(5558)] = 271020,
  [SMALL_STATE(5559)] = 271046,
  [SMALL_STATE(5560)] = 271072,
  [SMALL_STATE(5561)] = 271118,
  [SMALL_STATE(5562)] = 271144,
  [SMALL_STATE(5563)] = 271174,
  [SMALL_STATE(5564)] = 271200,
  [SMALL_STATE(5565)] = 271232,
  [SMALL_STATE(5566)] = 271258,
  [SMALL_STATE(5567)] = 271304,
  [SMALL_STATE(5568)] = 271330,
  [SMALL_STATE(5569)] = 271360,
  [SMALL_STATE(5570)] = 271386,
  [SMALL_STATE(5571)] = 271416,
  [SMALL_STATE(5572)] = 271462,
  [SMALL_STATE(5573)] = 271500,
  [SMALL_STATE(5574)] = 271546,
  [SMALL_STATE(5575)] = 271572,
  [SMALL_STATE(5576)] = 271602,
  [SMALL_STATE(5577)] = 271630,
  [SMALL_STATE(5578)] = 271656,
  [SMALL_STATE(5579)] = 271694,
  [SMALL_STATE(5580)] = 271722,
  [SMALL_STATE(5581)] = 271768,
  [SMALL_STATE(5582)] = 271816,
  [SMALL_STATE(5583)] = 271842,
  [SMALL_STATE(5584)] = 271872,
  [SMALL_STATE(5585)] = 271910,
  [SMALL_STATE(5586)] = 271936,
  [SMALL_STATE(5587)] = 271962,
  [SMALL_STATE(5588)] = 271990,
  [SMALL_STATE(5589)] = 272036,
  [SMALL_STATE(5590)] = 272082,
  [SMALL_STATE(5591)] = 272110,
  [SMALL_STATE(5592)] = 272156,
  [SMALL_STATE(5593)] = 272202,
  [SMALL_STATE(5594)] = 272228,
  [SMALL_STATE(5595)] = 272254,
  [SMALL_STATE(5596)] = 272280,
  [SMALL_STATE(5597)] = 272326,
  [SMALL_STATE(5598)] = 272352,
  [SMALL_STATE(5599)] = 272382,
  [SMALL_STATE(5600)] = 272408,
  [SMALL_STATE(5601)] = 272454,
  [SMALL_STATE(5602)] = 272480,
  [SMALL_STATE(5603)] = 272506,
  [SMALL_STATE(5604)] = 272532,
  [SMALL_STATE(5605)] = 272558,
  [SMALL_STATE(5606)] = 272584,
  [SMALL_STATE(5607)] = 272622,
  [SMALL_STATE(5608)] = 272652,
  [SMALL_STATE(5609)] = 272678,
  [SMALL_STATE(5610)] = 272708,
  [SMALL_STATE(5611)] = 272738,
  [SMALL_STATE(5612)] = 272784,
  [SMALL_STATE(5613)] = 272810,
  [SMALL_STATE(5614)] = 272836,
  [SMALL_STATE(5615)] = 272874,
  [SMALL_STATE(5616)] = 272904,
  [SMALL_STATE(5617)] = 272930,
  [SMALL_STATE(5618)] = 272976,
  [SMALL_STATE(5619)] = 273028,
  [SMALL_STATE(5620)] = 273058,
  [SMALL_STATE(5621)] = 273084,
  [SMALL_STATE(5622)] = 273130,
  [SMALL_STATE(5623)] = 273176,
  [SMALL_STATE(5624)] = 273202,
  [SMALL_STATE(5625)] = 273248,
  [SMALL_STATE(5626)] = 273274,
  [SMALL_STATE(5627)] = 273302,
  [SMALL_STATE(5628)] = 273328,
  [SMALL_STATE(5629)] = 273374,
  [SMALL_STATE(5630)] = 273424,
  [SMALL_STATE(5631)] = 273452,
  [SMALL_STATE(5632)] = 273498,
  [SMALL_STATE(5633)] = 273544,
  [SMALL_STATE(5634)] = 273590,
  [SMALL_STATE(5635)] = 273636,
  [SMALL_STATE(5636)] = 273682,
  [SMALL_STATE(5637)] = 273720,
  [SMALL_STATE(5638)] = 273758,
  [SMALL_STATE(5639)] = 273792,
  [SMALL_STATE(5640)] = 273818,
  [SMALL_STATE(5641)] = 273844,
  [SMALL_STATE(5642)] = 273870,
  [SMALL_STATE(5643)] = 273898,
  [SMALL_STATE(5644)] = 273950,
  [SMALL_STATE(5645)] = 273978,
  [SMALL_STATE(5646)] = 274006,
  [SMALL_STATE(5647)] = 274036,
  [SMALL_STATE(5648)] = 274062,
  [SMALL_STATE(5649)] = 274088,
  [SMALL_STATE(5650)] = 274116,
  [SMALL_STATE(5651)] = 274162,
  [SMALL_STATE(5652)] = 274192,
  [SMALL_STATE(5653)] = 274218,
  [SMALL_STATE(5654)] = 274256,
  [SMALL_STATE(5655)] = 274282,
  [SMALL_STATE(5656)] = 274310,
  [SMALL_STATE(5657)] = 274348,
  [SMALL_STATE(5658)] = 274394,
  [SMALL_STATE(5659)] = 274422,
  [SMALL_STATE(5660)] = 274468,
  [SMALL_STATE(5661)] = 274514,
  [SMALL_STATE(5662)] = 274560,
  [SMALL_STATE(5663)] = 274586,
  [SMALL_STATE(5664)] = 274624,
  [SMALL_STATE(5665)] = 274672,
  [SMALL_STATE(5666)] = 274702,
  [SMALL_STATE(5667)] = 274748,
  [SMALL_STATE(5668)] = 274794,
  [SMALL_STATE(5669)] = 274840,
  [SMALL_STATE(5670)] = 274878,
  [SMALL_STATE(5671)] = 274916,
  [SMALL_STATE(5672)] = 274962,
  [SMALL_STATE(5673)] = 275008,
  [SMALL_STATE(5674)] = 275054,
  [SMALL_STATE(5675)] = 275100,
  [SMALL_STATE(5676)] = 275126,
  [SMALL_STATE(5677)] = 275172,
  [SMALL_STATE(5678)] = 275218,
  [SMALL_STATE(5679)] = 275244,
  [SMALL_STATE(5680)] = 275290,
  [SMALL_STATE(5681)] = 275336,
  [SMALL_STATE(5682)] = 275374,
  [SMALL_STATE(5683)] = 275400,
  [SMALL_STATE(5684)] = 275426,
  [SMALL_STATE(5685)] = 275472,
  [SMALL_STATE(5686)] = 275498,
  [SMALL_STATE(5687)] = 275544,
  [SMALL_STATE(5688)] = 275590,
  [SMALL_STATE(5689)] = 275616,
  [SMALL_STATE(5690)] = 275662,
  [SMALL_STATE(5691)] = 275708,
  [SMALL_STATE(5692)] = 275754,
  [SMALL_STATE(5693)] = 275780,
  [SMALL_STATE(5694)] = 275818,
  [SMALL_STATE(5695)] = 275844,
  [SMALL_STATE(5696)] = 275870,
  [SMALL_STATE(5697)] = 275900,
  [SMALL_STATE(5698)] = 275934,
  [SMALL_STATE(5699)] = 275960,
  [SMALL_STATE(5700)] = 275986,
  [SMALL_STATE(5701)] = 276032,
  [SMALL_STATE(5702)] = 276078,
  [SMALL_STATE(5703)] = 276104,
  [SMALL_STATE(5704)] = 276130,
  [SMALL_STATE(5705)] = 276156,
  [SMALL_STATE(5706)] = 276184,
  [SMALL_STATE(5707)] = 276210,
  [SMALL_STATE(5708)] = 276244,
  [SMALL_STATE(5709)] = 276270,
  [SMALL_STATE(5710)] = 276316,
  [SMALL_STATE(5711)] = 276354,
  [SMALL_STATE(5712)] = 276392,
  [SMALL_STATE(5713)] = 276424,
  [SMALL_STATE(5714)] = 276470,
  [SMALL_STATE(5715)] = 276496,
  [SMALL_STATE(5716)] = 276526,
  [SMALL_STATE(5717)] = 276556,
  [SMALL_STATE(5718)] = 276602,
  [SMALL_STATE(5719)] = 276628,
  [SMALL_STATE(5720)] = 276674,
  [SMALL_STATE(5721)] = 276700,
  [SMALL_STATE(5722)] = 276734,
  [SMALL_STATE(5723)] = 276778,
  [SMALL_STATE(5724)] = 276824,
  [SMALL_STATE(5725)] = 276850,
  [SMALL_STATE(5726)] = 276876,
  [SMALL_STATE(5727)] = 276922,
  [SMALL_STATE(5728)] = 276968,
  [SMALL_STATE(5729)] = 277006,
  [SMALL_STATE(5730)] = 277036,
  [SMALL_STATE(5731)] = 277068,
  [SMALL_STATE(5732)] = 277114,
  [SMALL_STATE(5733)] = 277140,
  [SMALL_STATE(5734)] = 277186,
  [SMALL_STATE(5735)] = 277232,
  [SMALL_STATE(5736)] = 277258,
  [SMALL_STATE(5737)] = 277296,
  [SMALL_STATE(5738)] = 277340,
  [SMALL_STATE(5739)] = 277386,
  [SMALL_STATE(5740)] = 277432,
  [SMALL_STATE(5741)] = 277466,
  [SMALL_STATE(5742)] = 277504,
  [SMALL_STATE(5743)] = 277550,
  [SMALL_STATE(5744)] = 277588,
  [SMALL_STATE(5745)] = 277634,
  [SMALL_STATE(5746)] = 277680,
  [SMALL_STATE(5747)] = 277726,
  [SMALL_STATE(5748)] = 277772,
  [SMALL_STATE(5749)] = 277816,
  [SMALL_STATE(5750)] = 277842,
  [SMALL_STATE(5751)] = 277888,
  [SMALL_STATE(5752)] = 277914,
  [SMALL_STATE(5753)] = 277960,
  [SMALL_STATE(5754)] = 278006,
  [SMALL_STATE(5755)] = 278052,
  [SMALL_STATE(5756)] = 278098,
  [SMALL_STATE(5757)] = 278144,
  [SMALL_STATE(5758)] = 278196,
  [SMALL_STATE(5759)] = 278226,
  [SMALL_STATE(5760)] = 278256,
  [SMALL_STATE(5761)] = 278286,
  [SMALL_STATE(5762)] = 278314,
  [SMALL_STATE(5763)] = 278340,
  [SMALL_STATE(5764)] = 278378,
  [SMALL_STATE(5765)] = 278404,
  [SMALL_STATE(5766)] = 278448,
  [SMALL_STATE(5767)] = 278494,
  [SMALL_STATE(5768)] = 278540,
  [SMALL_STATE(5769)] = 278584,
  [SMALL_STATE(5770)] = 278618,
  [SMALL_STATE(5771)] = 278662,
  [SMALL_STATE(5772)] = 278706,
  [SMALL_STATE(5773)] = 278750,
  [SMALL_STATE(5774)] = 278796,
  [SMALL_STATE(5775)] = 278842,
  [SMALL_STATE(5776)] = 278888,
  [SMALL_STATE(5777)] = 278932,
  [SMALL_STATE(5778)] = 278978,
  [SMALL_STATE(5779)] = 279024,
  [SMALL_STATE(5780)] = 279070,
  [SMALL_STATE(5781)] = 279116,
  [SMALL_STATE(5782)] = 279160,
  [SMALL_STATE(5783)] = 279206,
  [SMALL_STATE(5784)] = 279250,
  [SMALL_STATE(5785)] = 279294,
  [SMALL_STATE(5786)] = 279338,
  [SMALL_STATE(5787)] = 279382,
  [SMALL_STATE(5788)] = 279428,
  [SMALL_STATE(5789)] = 279474,
  [SMALL_STATE(5790)] = 279518,
  [SMALL_STATE(5791)] = 279544,
  [SMALL_STATE(5792)] = 279588,
  [SMALL_STATE(5793)] = 279632,
  [SMALL_STATE(5794)] = 279678,
  [SMALL_STATE(5795)] = 279724,
  [SMALL_STATE(5796)] = 279770,
  [SMALL_STATE(5797)] = 279816,
  [SMALL_STATE(5798)] = 279860,
  [SMALL_STATE(5799)] = 279904,
  [SMALL_STATE(5800)] = 279950,
  [SMALL_STATE(5801)] = 279996,
  [SMALL_STATE(5802)] = 280040,
  [SMALL_STATE(5803)] = 280066,
  [SMALL_STATE(5804)] = 280092,
  [SMALL_STATE(5805)] = 280138,
  [SMALL_STATE(5806)] = 280184,
  [SMALL_STATE(5807)] = 280228,
  [SMALL_STATE(5808)] = 280272,
  [SMALL_STATE(5809)] = 280316,
  [SMALL_STATE(5810)] = 280360,
  [SMALL_STATE(5811)] = 280406,
  [SMALL_STATE(5812)] = 280452,
  [SMALL_STATE(5813)] = 280496,
  [SMALL_STATE(5814)] = 280542,
  [SMALL_STATE(5815)] = 280572,
  [SMALL_STATE(5816)] = 280618,
  [SMALL_STATE(5817)] = 280664,
  [SMALL_STATE(5818)] = 280708,
  [SMALL_STATE(5819)] = 280754,
  [SMALL_STATE(5820)] = 280784,
  [SMALL_STATE(5821)] = 280822,
  [SMALL_STATE(5822)] = 280868,
  [SMALL_STATE(5823)] = 280914,
  [SMALL_STATE(5824)] = 280960,
  [SMALL_STATE(5825)] = 280998,
  [SMALL_STATE(5826)] = 281044,
  [SMALL_STATE(5827)] = 281082,
  [SMALL_STATE(5828)] = 281128,
  [SMALL_STATE(5829)] = 281172,
  [SMALL_STATE(5830)] = 281216,
  [SMALL_STATE(5831)] = 281260,
  [SMALL_STATE(5832)] = 281304,
  [SMALL_STATE(5833)] = 281342,
  [SMALL_STATE(5834)] = 281386,
  [SMALL_STATE(5835)] = 281432,
  [SMALL_STATE(5836)] = 281476,
  [SMALL_STATE(5837)] = 281520,
  [SMALL_STATE(5838)] = 281558,
  [SMALL_STATE(5839)] = 281604,
  [SMALL_STATE(5840)] = 281650,
  [SMALL_STATE(5841)] = 281696,
  [SMALL_STATE(5842)] = 281740,
  [SMALL_STATE(5843)] = 281766,
  [SMALL_STATE(5844)] = 281814,
  [SMALL_STATE(5845)] = 281858,
  [SMALL_STATE(5846)] = 281884,
  [SMALL_STATE(5847)] = 281930,
  [SMALL_STATE(5848)] = 281974,
  [SMALL_STATE(5849)] = 282004,
  [SMALL_STATE(5850)] = 282052,
  [SMALL_STATE(5851)] = 282098,
  [SMALL_STATE(5852)] = 282128,
  [SMALL_STATE(5853)] = 282172,
  [SMALL_STATE(5854)] = 282202,
  [SMALL_STATE(5855)] = 282254,
  [SMALL_STATE(5856)] = 282300,
  [SMALL_STATE(5857)] = 282326,
  [SMALL_STATE(5858)] = 282352,
  [SMALL_STATE(5859)] = 282396,
  [SMALL_STATE(5860)] = 282440,
  [SMALL_STATE(5861)] = 282486,
  [SMALL_STATE(5862)] = 282532,
  [SMALL_STATE(5863)] = 282578,
  [SMALL_STATE(5864)] = 282622,
  [SMALL_STATE(5865)] = 282666,
  [SMALL_STATE(5866)] = 282710,
  [SMALL_STATE(5867)] = 282756,
  [SMALL_STATE(5868)] = 282800,
  [SMALL_STATE(5869)] = 282830,
  [SMALL_STATE(5870)] = 282868,
  [SMALL_STATE(5871)] = 282912,
  [SMALL_STATE(5872)] = 282956,
  [SMALL_STATE(5873)] = 282994,
  [SMALL_STATE(5874)] = 283038,
  [SMALL_STATE(5875)] = 283082,
  [SMALL_STATE(5876)] = 283108,
  [SMALL_STATE(5877)] = 283152,
  [SMALL_STATE(5878)] = 283182,
  [SMALL_STATE(5879)] = 283234,
  [SMALL_STATE(5880)] = 283264,
  [SMALL_STATE(5881)] = 283310,
  [SMALL_STATE(5882)] = 283354,
  [SMALL_STATE(5883)] = 283400,
  [SMALL_STATE(5884)] = 283446,
  [SMALL_STATE(5885)] = 283492,
  [SMALL_STATE(5886)] = 283536,
  [SMALL_STATE(5887)] = 283582,
  [SMALL_STATE(5888)] = 283628,
  [SMALL_STATE(5889)] = 283672,
  [SMALL_STATE(5890)] = 283716,
  [SMALL_STATE(5891)] = 283760,
  [SMALL_STATE(5892)] = 283804,
  [SMALL_STATE(5893)] = 283848,
  [SMALL_STATE(5894)] = 283894,
  [SMALL_STATE(5895)] = 283940,
  [SMALL_STATE(5896)] = 283986,
  [SMALL_STATE(5897)] = 284032,
  [SMALL_STATE(5898)] = 284058,
  [SMALL_STATE(5899)] = 284084,
  [SMALL_STATE(5900)] = 284130,
  [SMALL_STATE(5901)] = 284164,
  [SMALL_STATE(5902)] = 284210,
  [SMALL_STATE(5903)] = 284256,
  [SMALL_STATE(5904)] = 284302,
  [SMALL_STATE(5905)] = 284348,
  [SMALL_STATE(5906)] = 284394,
  [SMALL_STATE(5907)] = 284440,
  [SMALL_STATE(5908)] = 284486,
  [SMALL_STATE(5909)] = 284512,
  [SMALL_STATE(5910)] = 284558,
  [SMALL_STATE(5911)] = 284604,
  [SMALL_STATE(5912)] = 284650,
  [SMALL_STATE(5913)] = 284696,
  [SMALL_STATE(5914)] = 284742,
  [SMALL_STATE(5915)] = 284788,
  [SMALL_STATE(5916)] = 284834,
  [SMALL_STATE(5917)] = 284880,
  [SMALL_STATE(5918)] = 284926,
  [SMALL_STATE(5919)] = 284972,
  [SMALL_STATE(5920)] = 285018,
  [SMALL_STATE(5921)] = 285064,
  [SMALL_STATE(5922)] = 285110,
  [SMALL_STATE(5923)] = 285156,
  [SMALL_STATE(5924)] = 285202,
  [SMALL_STATE(5925)] = 285248,
  [SMALL_STATE(5926)] = 285294,
  [SMALL_STATE(5927)] = 285340,
  [SMALL_STATE(5928)] = 285386,
  [SMALL_STATE(5929)] = 285432,
  [SMALL_STATE(5930)] = 285478,
  [SMALL_STATE(5931)] = 285524,
  [SMALL_STATE(5932)] = 285570,
  [SMALL_STATE(5933)] = 285596,
  [SMALL_STATE(5934)] = 285642,
  [SMALL_STATE(5935)] = 285688,
  [SMALL_STATE(5936)] = 285734,
  [SMALL_STATE(5937)] = 285780,
  [SMALL_STATE(5938)] = 285826,
  [SMALL_STATE(5939)] = 285872,
  [SMALL_STATE(5940)] = 285918,
  [SMALL_STATE(5941)] = 285964,
  [SMALL_STATE(5942)] = 286010,
  [SMALL_STATE(5943)] = 286056,
  [SMALL_STATE(5944)] = 286102,
  [SMALL_STATE(5945)] = 286148,
  [SMALL_STATE(5946)] = 286194,
  [SMALL_STATE(5947)] = 286240,
  [SMALL_STATE(5948)] = 286286,
  [SMALL_STATE(5949)] = 286332,
  [SMALL_STATE(5950)] = 286378,
  [SMALL_STATE(5951)] = 286406,
  [SMALL_STATE(5952)] = 286452,
  [SMALL_STATE(5953)] = 286498,
  [SMALL_STATE(5954)] = 286546,
  [SMALL_STATE(5955)] = 286592,
  [SMALL_STATE(5956)] = 286638,
  [SMALL_STATE(5957)] = 286684,
  [SMALL_STATE(5958)] = 286730,
  [SMALL_STATE(5959)] = 286776,
  [SMALL_STATE(5960)] = 286822,
  [SMALL_STATE(5961)] = 286848,
  [SMALL_STATE(5962)] = 286874,
  [SMALL_STATE(5963)] = 286920,
  [SMALL_STATE(5964)] = 286966,
  [SMALL_STATE(5965)] = 286991,
  [SMALL_STATE(5966)] = 287016,
  [SMALL_STATE(5967)] = 287061,
  [SMALL_STATE(5968)] = 287104,
  [SMALL_STATE(5969)] = 287145,
  [SMALL_STATE(5970)] = 287174,
  [SMALL_STATE(5971)] = 287217,
  [SMALL_STATE(5972)] = 287260,
  [SMALL_STATE(5973)] = 287305,
  [SMALL_STATE(5974)] = 287348,
  [SMALL_STATE(5975)] = 287385,
  [SMALL_STATE(5976)] = 287428,
  [SMALL_STATE(5977)] = 287465,
  [SMALL_STATE(5978)] = 287510,
  [SMALL_STATE(5979)] = 287551,
  [SMALL_STATE(5980)] = 287594,
  [SMALL_STATE(5981)] = 287637,
  [SMALL_STATE(5982)] = 287682,
  [SMALL_STATE(5983)] = 287725,
  [SMALL_STATE(5984)] = 287770,
  [SMALL_STATE(5985)] = 287813,
  [SMALL_STATE(5986)] = 287856,
  [SMALL_STATE(5987)] = 287901,
  [SMALL_STATE(5988)] = 287944,
  [SMALL_STATE(5989)] = 287991,
  [SMALL_STATE(5990)] = 288034,
  [SMALL_STATE(5991)] = 288077,
  [SMALL_STATE(5992)] = 288122,
  [SMALL_STATE(5993)] = 288165,
  [SMALL_STATE(5994)] = 288208,
  [SMALL_STATE(5995)] = 288253,
  [SMALL_STATE(5996)] = 288296,
  [SMALL_STATE(5997)] = 288321,
  [SMALL_STATE(5998)] = 288366,
  [SMALL_STATE(5999)] = 288409,
  [SMALL_STATE(6000)] = 288450,
  [SMALL_STATE(6001)] = 288493,
  [SMALL_STATE(6002)] = 288536,
  [SMALL_STATE(6003)] = 288569,
  [SMALL_STATE(6004)] = 288612,
  [SMALL_STATE(6005)] = 288655,
  [SMALL_STATE(6006)] = 288698,
  [SMALL_STATE(6007)] = 288741,
  [SMALL_STATE(6008)] = 288784,
  [SMALL_STATE(6009)] = 288827,
  [SMALL_STATE(6010)] = 288870,
  [SMALL_STATE(6011)] = 288915,
  [SMALL_STATE(6012)] = 288952,
  [SMALL_STATE(6013)] = 288981,
  [SMALL_STATE(6014)] = 289026,
  [SMALL_STATE(6015)] = 289067,
  [SMALL_STATE(6016)] = 289104,
  [SMALL_STATE(6017)] = 289147,
  [SMALL_STATE(6018)] = 289190,
  [SMALL_STATE(6019)] = 289233,
  [SMALL_STATE(6020)] = 289276,
  [SMALL_STATE(6021)] = 289319,
  [SMALL_STATE(6022)] = 289362,
  [SMALL_STATE(6023)] = 289387,
  [SMALL_STATE(6024)] = 289430,
  [SMALL_STATE(6025)] = 289473,
  [SMALL_STATE(6026)] = 289510,
  [SMALL_STATE(6027)] = 289533,
  [SMALL_STATE(6028)] = 289574,
  [SMALL_STATE(6029)] = 289611,
  [SMALL_STATE(6030)] = 289654,
  [SMALL_STATE(6031)] = 289691,
  [SMALL_STATE(6032)] = 289734,
  [SMALL_STATE(6033)] = 289777,
  [SMALL_STATE(6034)] = 289820,
  [SMALL_STATE(6035)] = 289853,
  [SMALL_STATE(6036)] = 289896,
  [SMALL_STATE(6037)] = 289939,
  [SMALL_STATE(6038)] = 289968,
  [SMALL_STATE(6039)] = 290009,
  [SMALL_STATE(6040)] = 290054,
  [SMALL_STATE(6041)] = 290081,
  [SMALL_STATE(6042)] = 290108,
  [SMALL_STATE(6043)] = 290153,
  [SMALL_STATE(6044)] = 290186,
  [SMALL_STATE(6045)] = 290233,
  [SMALL_STATE(6046)] = 290264,
  [SMALL_STATE(6047)] = 290301,
  [SMALL_STATE(6048)] = 290330,
  [SMALL_STATE(6049)] = 290365,
  [SMALL_STATE(6050)] = 290394,
  [SMALL_STATE(6051)] = 290439,
  [SMALL_STATE(6052)] = 290476,
  [SMALL_STATE(6053)] = 290513,
  [SMALL_STATE(6054)] = 290558,
  [SMALL_STATE(6055)] = 290583,
  [SMALL_STATE(6056)] = 290612,
  [SMALL_STATE(6057)] = 290641,
  [SMALL_STATE(6058)] = 290682,
  [SMALL_STATE(6059)] = 290727,
  [SMALL_STATE(6060)] = 290768,
  [SMALL_STATE(6061)] = 290795,
  [SMALL_STATE(6062)] = 290840,
  [SMALL_STATE(6063)] = 290869,
  [SMALL_STATE(6064)] = 290914,
  [SMALL_STATE(6065)] = 290951,
  [SMALL_STATE(6066)] = 290992,
  [SMALL_STATE(6067)] = 291039,
  [SMALL_STATE(6068)] = 291084,
  [SMALL_STATE(6069)] = 291113,
  [SMALL_STATE(6070)] = 291158,
  [SMALL_STATE(6071)] = 291191,
  [SMALL_STATE(6072)] = 291216,
  [SMALL_STATE(6073)] = 291241,
  [SMALL_STATE(6074)] = 291272,
  [SMALL_STATE(6075)] = 291299,
  [SMALL_STATE(6076)] = 291324,
  [SMALL_STATE(6077)] = 291349,
  [SMALL_STATE(6078)] = 291390,
  [SMALL_STATE(6079)] = 291415,
  [SMALL_STATE(6080)] = 291452,
  [SMALL_STATE(6081)] = 291497,
  [SMALL_STATE(6082)] = 291542,
  [SMALL_STATE(6083)] = 291587,
  [SMALL_STATE(6084)] = 291616,
  [SMALL_STATE(6085)] = 291653,
  [SMALL_STATE(6086)] = 291678,
  [SMALL_STATE(6087)] = 291715,
  [SMALL_STATE(6088)] = 291744,
  [SMALL_STATE(6089)] = 291789,
  [SMALL_STATE(6090)] = 291826,
  [SMALL_STATE(6091)] = 291851,
  [SMALL_STATE(6092)] = 291888,
  [SMALL_STATE(6093)] = 291933,
  [SMALL_STATE(6094)] = 291974,
  [SMALL_STATE(6095)] = 292011,
  [SMALL_STATE(6096)] = 292056,
  [SMALL_STATE(6097)] = 292099,
  [SMALL_STATE(6098)] = 292136,
  [SMALL_STATE(6099)] = 292181,
  [SMALL_STATE(6100)] = 292218,
  [SMALL_STATE(6101)] = 292261,
  [SMALL_STATE(6102)] = 292306,
  [SMALL_STATE(6103)] = 292351,
  [SMALL_STATE(6104)] = 292396,
  [SMALL_STATE(6105)] = 292441,
  [SMALL_STATE(6106)] = 292486,
  [SMALL_STATE(6107)] = 292519,
  [SMALL_STATE(6108)] = 292546,
  [SMALL_STATE(6109)] = 292587,
  [SMALL_STATE(6110)] = 292630,
  [SMALL_STATE(6111)] = 292659,
  [SMALL_STATE(6112)] = 292704,
  [SMALL_STATE(6113)] = 292733,
  [SMALL_STATE(6114)] = 292778,
  [SMALL_STATE(6115)] = 292807,
  [SMALL_STATE(6116)] = 292850,
  [SMALL_STATE(6117)] = 292887,
  [SMALL_STATE(6118)] = 292930,
  [SMALL_STATE(6119)] = 292973,
  [SMALL_STATE(6120)] = 293020,
  [SMALL_STATE(6121)] = 293065,
  [SMALL_STATE(6122)] = 293110,
  [SMALL_STATE(6123)] = 293143,
  [SMALL_STATE(6124)] = 293174,
  [SMALL_STATE(6125)] = 293203,
  [SMALL_STATE(6126)] = 293248,
  [SMALL_STATE(6127)] = 293293,
  [SMALL_STATE(6128)] = 293322,
  [SMALL_STATE(6129)] = 293363,
  [SMALL_STATE(6130)] = 293410,
  [SMALL_STATE(6131)] = 293439,
  [SMALL_STATE(6132)] = 293470,
  [SMALL_STATE(6133)] = 293501,
  [SMALL_STATE(6134)] = 293538,
  [SMALL_STATE(6135)] = 293581,
  [SMALL_STATE(6136)] = 293618,
  [SMALL_STATE(6137)] = 293647,
  [SMALL_STATE(6138)] = 293672,
  [SMALL_STATE(6139)] = 293697,
  [SMALL_STATE(6140)] = 293728,
  [SMALL_STATE(6141)] = 293761,
  [SMALL_STATE(6142)] = 293796,
  [SMALL_STATE(6143)] = 293843,
  [SMALL_STATE(6144)] = 293878,
  [SMALL_STATE(6145)] = 293907,
  [SMALL_STATE(6146)] = 293954,
  [SMALL_STATE(6147)] = 293997,
  [SMALL_STATE(6148)] = 294040,
  [SMALL_STATE(6149)] = 294073,
  [SMALL_STATE(6150)] = 294102,
  [SMALL_STATE(6151)] = 294131,
  [SMALL_STATE(6152)] = 294174,
  [SMALL_STATE(6153)] = 294203,
  [SMALL_STATE(6154)] = 294246,
  [SMALL_STATE(6155)] = 294271,
  [SMALL_STATE(6156)] = 294302,
  [SMALL_STATE(6157)] = 294347,
  [SMALL_STATE(6158)] = 294392,
  [SMALL_STATE(6159)] = 294419,
  [SMALL_STATE(6160)] = 294444,
  [SMALL_STATE(6161)] = 294473,
  [SMALL_STATE(6162)] = 294520,
  [SMALL_STATE(6163)] = 294545,
  [SMALL_STATE(6164)] = 294570,
  [SMALL_STATE(6165)] = 294603,
  [SMALL_STATE(6166)] = 294628,
  [SMALL_STATE(6167)] = 294653,
  [SMALL_STATE(6168)] = 294696,
  [SMALL_STATE(6169)] = 294739,
  [SMALL_STATE(6170)] = 294764,
  [SMALL_STATE(6171)] = 294789,
  [SMALL_STATE(6172)] = 294826,
  [SMALL_STATE(6173)] = 294869,
  [SMALL_STATE(6174)] = 294894,
  [SMALL_STATE(6175)] = 294919,
  [SMALL_STATE(6176)] = 294944,
  [SMALL_STATE(6177)] = 294969,
  [SMALL_STATE(6178)] = 294994,
  [SMALL_STATE(6179)] = 295019,
  [SMALL_STATE(6180)] = 295044,
  [SMALL_STATE(6181)] = 295079,
  [SMALL_STATE(6182)] = 295104,
  [SMALL_STATE(6183)] = 295133,
  [SMALL_STATE(6184)] = 295158,
  [SMALL_STATE(6185)] = 295187,
  [SMALL_STATE(6186)] = 295212,
  [SMALL_STATE(6187)] = 295237,
  [SMALL_STATE(6188)] = 295262,
  [SMALL_STATE(6189)] = 295303,
  [SMALL_STATE(6190)] = 295328,
  [SMALL_STATE(6191)] = 295353,
  [SMALL_STATE(6192)] = 295378,
  [SMALL_STATE(6193)] = 295403,
  [SMALL_STATE(6194)] = 295432,
  [SMALL_STATE(6195)] = 295457,
  [SMALL_STATE(6196)] = 295482,
  [SMALL_STATE(6197)] = 295507,
  [SMALL_STATE(6198)] = 295534,
  [SMALL_STATE(6199)] = 295559,
  [SMALL_STATE(6200)] = 295600,
  [SMALL_STATE(6201)] = 295625,
  [SMALL_STATE(6202)] = 295650,
  [SMALL_STATE(6203)] = 295675,
  [SMALL_STATE(6204)] = 295700,
  [SMALL_STATE(6205)] = 295725,
  [SMALL_STATE(6206)] = 295750,
  [SMALL_STATE(6207)] = 295779,
  [SMALL_STATE(6208)] = 295820,
  [SMALL_STATE(6209)] = 295845,
  [SMALL_STATE(6210)] = 295870,
  [SMALL_STATE(6211)] = 295895,
  [SMALL_STATE(6212)] = 295940,
  [SMALL_STATE(6213)] = 295965,
  [SMALL_STATE(6214)] = 295990,
  [SMALL_STATE(6215)] = 296019,
  [SMALL_STATE(6216)] = 296044,
  [SMALL_STATE(6217)] = 296089,
  [SMALL_STATE(6218)] = 296114,
  [SMALL_STATE(6219)] = 296143,
  [SMALL_STATE(6220)] = 296184,
  [SMALL_STATE(6221)] = 296209,
  [SMALL_STATE(6222)] = 296254,
  [SMALL_STATE(6223)] = 296295,
  [SMALL_STATE(6224)] = 296320,
  [SMALL_STATE(6225)] = 296365,
  [SMALL_STATE(6226)] = 296390,
  [SMALL_STATE(6227)] = 296415,
  [SMALL_STATE(6228)] = 296460,
  [SMALL_STATE(6229)] = 296485,
  [SMALL_STATE(6230)] = 296510,
  [SMALL_STATE(6231)] = 296555,
  [SMALL_STATE(6232)] = 296596,
  [SMALL_STATE(6233)] = 296633,
  [SMALL_STATE(6234)] = 296678,
  [SMALL_STATE(6235)] = 296703,
  [SMALL_STATE(6236)] = 296732,
  [SMALL_STATE(6237)] = 296757,
  [SMALL_STATE(6238)] = 296782,
  [SMALL_STATE(6239)] = 296807,
  [SMALL_STATE(6240)] = 296838,
  [SMALL_STATE(6241)] = 296865,
  [SMALL_STATE(6242)] = 296906,
  [SMALL_STATE(6243)] = 296931,
  [SMALL_STATE(6244)] = 296956,
  [SMALL_STATE(6245)] = 296981,
  [SMALL_STATE(6246)] = 297014,
  [SMALL_STATE(6247)] = 297039,
  [SMALL_STATE(6248)] = 297064,
  [SMALL_STATE(6249)] = 297097,
  [SMALL_STATE(6250)] = 297124,
  [SMALL_STATE(6251)] = 297149,
  [SMALL_STATE(6252)] = 297174,
  [SMALL_STATE(6253)] = 297221,
  [SMALL_STATE(6254)] = 297246,
  [SMALL_STATE(6255)] = 297271,
  [SMALL_STATE(6256)] = 297296,
  [SMALL_STATE(6257)] = 297321,
  [SMALL_STATE(6258)] = 297350,
  [SMALL_STATE(6259)] = 297375,
  [SMALL_STATE(6260)] = 297400,
  [SMALL_STATE(6261)] = 297441,
  [SMALL_STATE(6262)] = 297466,
  [SMALL_STATE(6263)] = 297495,
  [SMALL_STATE(6264)] = 297520,
  [SMALL_STATE(6265)] = 297545,
  [SMALL_STATE(6266)] = 297570,
  [SMALL_STATE(6267)] = 297607,
  [SMALL_STATE(6268)] = 297632,
  [SMALL_STATE(6269)] = 297657,
  [SMALL_STATE(6270)] = 297684,
  [SMALL_STATE(6271)] = 297729,
  [SMALL_STATE(6272)] = 297774,
  [SMALL_STATE(6273)] = 297819,
  [SMALL_STATE(6274)] = 297856,
  [SMALL_STATE(6275)] = 297881,
  [SMALL_STATE(6276)] = 297906,
  [SMALL_STATE(6277)] = 297931,
  [SMALL_STATE(6278)] = 297976,
  [SMALL_STATE(6279)] = 298001,
  [SMALL_STATE(6280)] = 298026,
  [SMALL_STATE(6281)] = 298051,
  [SMALL_STATE(6282)] = 298076,
  [SMALL_STATE(6283)] = 298105,
  [SMALL_STATE(6284)] = 298150,
  [SMALL_STATE(6285)] = 298175,
  [SMALL_STATE(6286)] = 298200,
  [SMALL_STATE(6287)] = 298225,
  [SMALL_STATE(6288)] = 298254,
  [SMALL_STATE(6289)] = 298301,
  [SMALL_STATE(6290)] = 298326,
  [SMALL_STATE(6291)] = 298371,
  [SMALL_STATE(6292)] = 298416,
  [SMALL_STATE(6293)] = 298439,
  [SMALL_STATE(6294)] = 298464,
  [SMALL_STATE(6295)] = 298489,
  [SMALL_STATE(6296)] = 298518,
  [SMALL_STATE(6297)] = 298543,
  [SMALL_STATE(6298)] = 298568,
  [SMALL_STATE(6299)] = 298597,
  [SMALL_STATE(6300)] = 298626,
  [SMALL_STATE(6301)] = 298663,
  [SMALL_STATE(6302)] = 298688,
  [SMALL_STATE(6303)] = 298725,
  [SMALL_STATE(6304)] = 298770,
  [SMALL_STATE(6305)] = 298807,
  [SMALL_STATE(6306)] = 298852,
  [SMALL_STATE(6307)] = 298897,
  [SMALL_STATE(6308)] = 298942,
  [SMALL_STATE(6309)] = 298987,
  [SMALL_STATE(6310)] = 299032,
  [SMALL_STATE(6311)] = 299077,
  [SMALL_STATE(6312)] = 299102,
  [SMALL_STATE(6313)] = 299127,
  [SMALL_STATE(6314)] = 299152,
  [SMALL_STATE(6315)] = 299177,
  [SMALL_STATE(6316)] = 299202,
  [SMALL_STATE(6317)] = 299247,
  [SMALL_STATE(6318)] = 299272,
  [SMALL_STATE(6319)] = 299297,
  [SMALL_STATE(6320)] = 299322,
  [SMALL_STATE(6321)] = 299347,
  [SMALL_STATE(6322)] = 299392,
  [SMALL_STATE(6323)] = 299417,
  [SMALL_STATE(6324)] = 299442,
  [SMALL_STATE(6325)] = 299467,
  [SMALL_STATE(6326)] = 299492,
  [SMALL_STATE(6327)] = 299537,
  [SMALL_STATE(6328)] = 299562,
  [SMALL_STATE(6329)] = 299603,
  [SMALL_STATE(6330)] = 299628,
  [SMALL_STATE(6331)] = 299653,
  [SMALL_STATE(6332)] = 299698,
  [SMALL_STATE(6333)] = 299723,
  [SMALL_STATE(6334)] = 299748,
  [SMALL_STATE(6335)] = 299795,
  [SMALL_STATE(6336)] = 299820,
  [SMALL_STATE(6337)] = 299865,
  [SMALL_STATE(6338)] = 299890,
  [SMALL_STATE(6339)] = 299931,
  [SMALL_STATE(6340)] = 299956,
  [SMALL_STATE(6341)] = 299985,
  [SMALL_STATE(6342)] = 300022,
  [SMALL_STATE(6343)] = 300067,
  [SMALL_STATE(6344)] = 300092,
  [SMALL_STATE(6345)] = 300117,
  [SMALL_STATE(6346)] = 300142,
  [SMALL_STATE(6347)] = 300167,
  [SMALL_STATE(6348)] = 300194,
  [SMALL_STATE(6349)] = 300219,
  [SMALL_STATE(6350)] = 300248,
  [SMALL_STATE(6351)] = 300273,
  [SMALL_STATE(6352)] = 300298,
  [SMALL_STATE(6353)] = 300323,
  [SMALL_STATE(6354)] = 300348,
  [SMALL_STATE(6355)] = 300373,
  [SMALL_STATE(6356)] = 300418,
  [SMALL_STATE(6357)] = 300443,
  [SMALL_STATE(6358)] = 300468,
  [SMALL_STATE(6359)] = 300513,
  [SMALL_STATE(6360)] = 300538,
  [SMALL_STATE(6361)] = 300563,
  [SMALL_STATE(6362)] = 300608,
  [SMALL_STATE(6363)] = 300633,
  [SMALL_STATE(6364)] = 300674,
  [SMALL_STATE(6365)] = 300699,
  [SMALL_STATE(6366)] = 300740,
  [SMALL_STATE(6367)] = 300765,
  [SMALL_STATE(6368)] = 300790,
  [SMALL_STATE(6369)] = 300835,
  [SMALL_STATE(6370)] = 300880,
  [SMALL_STATE(6371)] = 300925,
  [SMALL_STATE(6372)] = 300972,
  [SMALL_STATE(6373)] = 300997,
  [SMALL_STATE(6374)] = 301022,
  [SMALL_STATE(6375)] = 301047,
  [SMALL_STATE(6376)] = 301072,
  [SMALL_STATE(6377)] = 301113,
  [SMALL_STATE(6378)] = 301154,
  [SMALL_STATE(6379)] = 301179,
  [SMALL_STATE(6380)] = 301210,
  [SMALL_STATE(6381)] = 301235,
  [SMALL_STATE(6382)] = 301260,
  [SMALL_STATE(6383)] = 301285,
  [SMALL_STATE(6384)] = 301310,
  [SMALL_STATE(6385)] = 301335,
  [SMALL_STATE(6386)] = 301360,
  [SMALL_STATE(6387)] = 301405,
  [SMALL_STATE(6388)] = 301430,
  [SMALL_STATE(6389)] = 301455,
  [SMALL_STATE(6390)] = 301480,
  [SMALL_STATE(6391)] = 301505,
  [SMALL_STATE(6392)] = 301530,
  [SMALL_STATE(6393)] = 301575,
  [SMALL_STATE(6394)] = 301600,
  [SMALL_STATE(6395)] = 301645,
  [SMALL_STATE(6396)] = 301670,
  [SMALL_STATE(6397)] = 301715,
  [SMALL_STATE(6398)] = 301760,
  [SMALL_STATE(6399)] = 301805,
  [SMALL_STATE(6400)] = 301830,
  [SMALL_STATE(6401)] = 301855,
  [SMALL_STATE(6402)] = 301900,
  [SMALL_STATE(6403)] = 301945,
  [SMALL_STATE(6404)] = 301990,
  [SMALL_STATE(6405)] = 302015,
  [SMALL_STATE(6406)] = 302040,
  [SMALL_STATE(6407)] = 302085,
  [SMALL_STATE(6408)] = 302110,
  [SMALL_STATE(6409)] = 302141,
  [SMALL_STATE(6410)] = 302186,
  [SMALL_STATE(6411)] = 302211,
  [SMALL_STATE(6412)] = 302256,
  [SMALL_STATE(6413)] = 302301,
  [SMALL_STATE(6414)] = 302330,
  [SMALL_STATE(6415)] = 302371,
  [SMALL_STATE(6416)] = 302396,
  [SMALL_STATE(6417)] = 302441,
  [SMALL_STATE(6418)] = 302486,
  [SMALL_STATE(6419)] = 302531,
  [SMALL_STATE(6420)] = 302556,
  [SMALL_STATE(6421)] = 302601,
  [SMALL_STATE(6422)] = 302626,
  [SMALL_STATE(6423)] = 302671,
  [SMALL_STATE(6424)] = 302696,
  [SMALL_STATE(6425)] = 302721,
  [SMALL_STATE(6426)] = 302746,
  [SMALL_STATE(6427)] = 302771,
  [SMALL_STATE(6428)] = 302808,
  [SMALL_STATE(6429)] = 302833,
  [SMALL_STATE(6430)] = 302862,
  [SMALL_STATE(6431)] = 302907,
  [SMALL_STATE(6432)] = 302932,
  [SMALL_STATE(6433)] = 302957,
  [SMALL_STATE(6434)] = 302982,
  [SMALL_STATE(6435)] = 303007,
  [SMALL_STATE(6436)] = 303032,
  [SMALL_STATE(6437)] = 303077,
  [SMALL_STATE(6438)] = 303102,
  [SMALL_STATE(6439)] = 303147,
  [SMALL_STATE(6440)] = 303172,
  [SMALL_STATE(6441)] = 303197,
  [SMALL_STATE(6442)] = 303222,
  [SMALL_STATE(6443)] = 303263,
  [SMALL_STATE(6444)] = 303292,
  [SMALL_STATE(6445)] = 303317,
  [SMALL_STATE(6446)] = 303342,
  [SMALL_STATE(6447)] = 303367,
  [SMALL_STATE(6448)] = 303392,
  [SMALL_STATE(6449)] = 303417,
  [SMALL_STATE(6450)] = 303463,
  [SMALL_STATE(6451)] = 303509,
  [SMALL_STATE(6452)] = 303533,
  [SMALL_STATE(6453)] = 303579,
  [SMALL_STATE(6454)] = 303607,
  [SMALL_STATE(6455)] = 303653,
  [SMALL_STATE(6456)] = 303699,
  [SMALL_STATE(6457)] = 303727,
  [SMALL_STATE(6458)] = 303773,
  [SMALL_STATE(6459)] = 303799,
  [SMALL_STATE(6460)] = 303845,
  [SMALL_STATE(6461)] = 303891,
  [SMALL_STATE(6462)] = 303915,
  [SMALL_STATE(6463)] = 303961,
  [SMALL_STATE(6464)] = 303989,
  [SMALL_STATE(6465)] = 304031,
  [SMALL_STATE(6466)] = 304073,
  [SMALL_STATE(6467)] = 304111,
  [SMALL_STATE(6468)] = 304137,
  [SMALL_STATE(6469)] = 304165,
  [SMALL_STATE(6470)] = 304207,
  [SMALL_STATE(6471)] = 304231,
  [SMALL_STATE(6472)] = 304257,
  [SMALL_STATE(6473)] = 304299,
  [SMALL_STATE(6474)] = 304327,
  [SMALL_STATE(6475)] = 304353,
  [SMALL_STATE(6476)] = 304381,
  [SMALL_STATE(6477)] = 304409,
  [SMALL_STATE(6478)] = 304437,
  [SMALL_STATE(6479)] = 304463,
  [SMALL_STATE(6480)] = 304505,
  [SMALL_STATE(6481)] = 304529,
  [SMALL_STATE(6482)] = 304555,
  [SMALL_STATE(6483)] = 304597,
  [SMALL_STATE(6484)] = 304625,
  [SMALL_STATE(6485)] = 304653,
  [SMALL_STATE(6486)] = 304681,
  [SMALL_STATE(6487)] = 304725,
  [SMALL_STATE(6488)] = 304769,
  [SMALL_STATE(6489)] = 304795,
  [SMALL_STATE(6490)] = 304821,
  [SMALL_STATE(6491)] = 304847,
  [SMALL_STATE(6492)] = 304875,
  [SMALL_STATE(6493)] = 304903,
  [SMALL_STATE(6494)] = 304929,
  [SMALL_STATE(6495)] = 304953,
  [SMALL_STATE(6496)] = 304997,
  [SMALL_STATE(6497)] = 305025,
  [SMALL_STATE(6498)] = 305051,
  [SMALL_STATE(6499)] = 305079,
  [SMALL_STATE(6500)] = 305105,
  [SMALL_STATE(6501)] = 305151,
  [SMALL_STATE(6502)] = 305197,
  [SMALL_STATE(6503)] = 305221,
  [SMALL_STATE(6504)] = 305249,
  [SMALL_STATE(6505)] = 305277,
  [SMALL_STATE(6506)] = 305305,
  [SMALL_STATE(6507)] = 305329,
  [SMALL_STATE(6508)] = 305357,
  [SMALL_STATE(6509)] = 305385,
  [SMALL_STATE(6510)] = 305409,
  [SMALL_STATE(6511)] = 305437,
  [SMALL_STATE(6512)] = 305465,
  [SMALL_STATE(6513)] = 305511,
  [SMALL_STATE(6514)] = 305539,
  [SMALL_STATE(6515)] = 305567,
  [SMALL_STATE(6516)] = 305613,
  [SMALL_STATE(6517)] = 305641,
  [SMALL_STATE(6518)] = 305687,
  [SMALL_STATE(6519)] = 305715,
  [SMALL_STATE(6520)] = 305747,
  [SMALL_STATE(6521)] = 305773,
  [SMALL_STATE(6522)] = 305819,
  [SMALL_STATE(6523)] = 305847,
  [SMALL_STATE(6524)] = 305893,
  [SMALL_STATE(6525)] = 305917,
  [SMALL_STATE(6526)] = 305963,
  [SMALL_STATE(6527)] = 306009,
  [SMALL_STATE(6528)] = 306037,
  [SMALL_STATE(6529)] = 306083,
  [SMALL_STATE(6530)] = 306111,
  [SMALL_STATE(6531)] = 306137,
  [SMALL_STATE(6532)] = 306183,
  [SMALL_STATE(6533)] = 306209,
  [SMALL_STATE(6534)] = 306255,
  [SMALL_STATE(6535)] = 306287,
  [SMALL_STATE(6536)] = 306333,
  [SMALL_STATE(6537)] = 306359,
  [SMALL_STATE(6538)] = 306405,
  [SMALL_STATE(6539)] = 306431,
  [SMALL_STATE(6540)] = 306475,
  [SMALL_STATE(6541)] = 306503,
  [SMALL_STATE(6542)] = 306547,
  [SMALL_STATE(6543)] = 306575,
  [SMALL_STATE(6544)] = 306601,
  [SMALL_STATE(6545)] = 306625,
  [SMALL_STATE(6546)] = 306653,
  [SMALL_STATE(6547)] = 306681,
  [SMALL_STATE(6548)] = 306709,
  [SMALL_STATE(6549)] = 306737,
  [SMALL_STATE(6550)] = 306761,
  [SMALL_STATE(6551)] = 306785,
  [SMALL_STATE(6552)] = 306813,
  [SMALL_STATE(6553)] = 306859,
  [SMALL_STATE(6554)] = 306905,
  [SMALL_STATE(6555)] = 306933,
  [SMALL_STATE(6556)] = 306957,
  [SMALL_STATE(6557)] = 306981,
  [SMALL_STATE(6558)] = 307027,
  [SMALL_STATE(6559)] = 307053,
  [SMALL_STATE(6560)] = 307077,
  [SMALL_STATE(6561)] = 307101,
  [SMALL_STATE(6562)] = 307147,
  [SMALL_STATE(6563)] = 307171,
  [SMALL_STATE(6564)] = 307197,
  [SMALL_STATE(6565)] = 307241,
  [SMALL_STATE(6566)] = 307265,
  [SMALL_STATE(6567)] = 307291,
  [SMALL_STATE(6568)] = 307337,
  [SMALL_STATE(6569)] = 307383,
  [SMALL_STATE(6570)] = 307409,
  [SMALL_STATE(6571)] = 307437,
  [SMALL_STATE(6572)] = 307483,
  [SMALL_STATE(6573)] = 307507,
  [SMALL_STATE(6574)] = 307531,
  [SMALL_STATE(6575)] = 307577,
  [SMALL_STATE(6576)] = 307603,
  [SMALL_STATE(6577)] = 307649,
  [SMALL_STATE(6578)] = 307693,
  [SMALL_STATE(6579)] = 307721,
  [SMALL_STATE(6580)] = 307749,
  [SMALL_STATE(6581)] = 307777,
  [SMALL_STATE(6582)] = 307805,
  [SMALL_STATE(6583)] = 307833,
  [SMALL_STATE(6584)] = 307859,
  [SMALL_STATE(6585)] = 307885,
  [SMALL_STATE(6586)] = 307931,
  [SMALL_STATE(6587)] = 307977,
  [SMALL_STATE(6588)] = 308003,
  [SMALL_STATE(6589)] = 308049,
  [SMALL_STATE(6590)] = 308073,
  [SMALL_STATE(6591)] = 308101,
  [SMALL_STATE(6592)] = 308127,
  [SMALL_STATE(6593)] = 308151,
  [SMALL_STATE(6594)] = 308179,
  [SMALL_STATE(6595)] = 308207,
  [SMALL_STATE(6596)] = 308251,
  [SMALL_STATE(6597)] = 308297,
  [SMALL_STATE(6598)] = 308341,
  [SMALL_STATE(6599)] = 308385,
  [SMALL_STATE(6600)] = 308417,
  [SMALL_STATE(6601)] = 308445,
  [SMALL_STATE(6602)] = 308473,
  [SMALL_STATE(6603)] = 308519,
  [SMALL_STATE(6604)] = 308565,
  [SMALL_STATE(6605)] = 308593,
  [SMALL_STATE(6606)] = 308639,
  [SMALL_STATE(6607)] = 308685,
  [SMALL_STATE(6608)] = 308731,
  [SMALL_STATE(6609)] = 308777,
  [SMALL_STATE(6610)] = 308823,
  [SMALL_STATE(6611)] = 308851,
  [SMALL_STATE(6612)] = 308895,
  [SMALL_STATE(6613)] = 308941,
  [SMALL_STATE(6614)] = 308987,
  [SMALL_STATE(6615)] = 309033,
  [SMALL_STATE(6616)] = 309077,
  [SMALL_STATE(6617)] = 309123,
  [SMALL_STATE(6618)] = 309167,
  [SMALL_STATE(6619)] = 309213,
  [SMALL_STATE(6620)] = 309257,
  [SMALL_STATE(6621)] = 309303,
  [SMALL_STATE(6622)] = 309327,
  [SMALL_STATE(6623)] = 309373,
  [SMALL_STATE(6624)] = 309417,
  [SMALL_STATE(6625)] = 309463,
  [SMALL_STATE(6626)] = 309509,
  [SMALL_STATE(6627)] = 309539,
  [SMALL_STATE(6628)] = 309585,
  [SMALL_STATE(6629)] = 309629,
  [SMALL_STATE(6630)] = 309655,
  [SMALL_STATE(6631)] = 309701,
  [SMALL_STATE(6632)] = 309747,
  [SMALL_STATE(6633)] = 309781,
  [SMALL_STATE(6634)] = 309827,
  [SMALL_STATE(6635)] = 309855,
  [SMALL_STATE(6636)] = 309899,
  [SMALL_STATE(6637)] = 309943,
  [SMALL_STATE(6638)] = 309971,
  [SMALL_STATE(6639)] = 310017,
  [SMALL_STATE(6640)] = 310061,
  [SMALL_STATE(6641)] = 310105,
  [SMALL_STATE(6642)] = 310151,
  [SMALL_STATE(6643)] = 310197,
  [SMALL_STATE(6644)] = 310243,
  [SMALL_STATE(6645)] = 310289,
  [SMALL_STATE(6646)] = 310335,
  [SMALL_STATE(6647)] = 310381,
  [SMALL_STATE(6648)] = 310405,
  [SMALL_STATE(6649)] = 310433,
  [SMALL_STATE(6650)] = 310477,
  [SMALL_STATE(6651)] = 310501,
  [SMALL_STATE(6652)] = 310547,
  [SMALL_STATE(6653)] = 310571,
  [SMALL_STATE(6654)] = 310617,
  [SMALL_STATE(6655)] = 310641,
  [SMALL_STATE(6656)] = 310687,
  [SMALL_STATE(6657)] = 310733,
  [SMALL_STATE(6658)] = 310779,
  [SMALL_STATE(6659)] = 310809,
  [SMALL_STATE(6660)] = 310833,
  [SMALL_STATE(6661)] = 310861,
  [SMALL_STATE(6662)] = 310907,
  [SMALL_STATE(6663)] = 310939,
  [SMALL_STATE(6664)] = 310973,
  [SMALL_STATE(6665)] = 311019,
  [SMALL_STATE(6666)] = 311061,
  [SMALL_STATE(6667)] = 311089,
  [SMALL_STATE(6668)] = 311117,
  [SMALL_STATE(6669)] = 311161,
  [SMALL_STATE(6670)] = 311185,
  [SMALL_STATE(6671)] = 311229,
  [SMALL_STATE(6672)] = 311275,
  [SMALL_STATE(6673)] = 311305,
  [SMALL_STATE(6674)] = 311329,
  [SMALL_STATE(6675)] = 311375,
  [SMALL_STATE(6676)] = 311421,
  [SMALL_STATE(6677)] = 311465,
  [SMALL_STATE(6678)] = 311509,
  [SMALL_STATE(6679)] = 311551,
  [SMALL_STATE(6680)] = 311595,
  [SMALL_STATE(6681)] = 311639,
  [SMALL_STATE(6682)] = 311685,
  [SMALL_STATE(6683)] = 311727,
  [SMALL_STATE(6684)] = 311755,
  [SMALL_STATE(6685)] = 311799,
  [SMALL_STATE(6686)] = 311829,
  [SMALL_STATE(6687)] = 311873,
  [SMALL_STATE(6688)] = 311917,
  [SMALL_STATE(6689)] = 311945,
  [SMALL_STATE(6690)] = 311989,
  [SMALL_STATE(6691)] = 312033,
  [SMALL_STATE(6692)] = 312063,
  [SMALL_STATE(6693)] = 312107,
  [SMALL_STATE(6694)] = 312135,
  [SMALL_STATE(6695)] = 312179,
  [SMALL_STATE(6696)] = 312207,
  [SMALL_STATE(6697)] = 312235,
  [SMALL_STATE(6698)] = 312281,
  [SMALL_STATE(6699)] = 312307,
  [SMALL_STATE(6700)] = 312335,
  [SMALL_STATE(6701)] = 312363,
  [SMALL_STATE(6702)] = 312391,
  [SMALL_STATE(6703)] = 312435,
  [SMALL_STATE(6704)] = 312479,
  [SMALL_STATE(6705)] = 312525,
  [SMALL_STATE(6706)] = 312549,
  [SMALL_STATE(6707)] = 312575,
  [SMALL_STATE(6708)] = 312605,
  [SMALL_STATE(6709)] = 312649,
  [SMALL_STATE(6710)] = 312695,
  [SMALL_STATE(6711)] = 312729,
  [SMALL_STATE(6712)] = 312773,
  [SMALL_STATE(6713)] = 312817,
  [SMALL_STATE(6714)] = 312863,
  [SMALL_STATE(6715)] = 312909,
  [SMALL_STATE(6716)] = 312935,
  [SMALL_STATE(6717)] = 312963,
  [SMALL_STATE(6718)] = 312991,
  [SMALL_STATE(6719)] = 313037,
  [SMALL_STATE(6720)] = 313083,
  [SMALL_STATE(6721)] = 313107,
  [SMALL_STATE(6722)] = 313133,
  [SMALL_STATE(6723)] = 313179,
  [SMALL_STATE(6724)] = 313207,
  [SMALL_STATE(6725)] = 313235,
  [SMALL_STATE(6726)] = 313279,
  [SMALL_STATE(6727)] = 313325,
  [SMALL_STATE(6728)] = 313349,
  [SMALL_STATE(6729)] = 313381,
  [SMALL_STATE(6730)] = 313409,
  [SMALL_STATE(6731)] = 313453,
  [SMALL_STATE(6732)] = 313499,
  [SMALL_STATE(6733)] = 313543,
  [SMALL_STATE(6734)] = 313571,
  [SMALL_STATE(6735)] = 313615,
  [SMALL_STATE(6736)] = 313645,
  [SMALL_STATE(6737)] = 313671,
  [SMALL_STATE(6738)] = 313703,
  [SMALL_STATE(6739)] = 313733,
  [SMALL_STATE(6740)] = 313765,
  [SMALL_STATE(6741)] = 313793,
  [SMALL_STATE(6742)] = 313837,
  [SMALL_STATE(6743)] = 313879,
  [SMALL_STATE(6744)] = 313923,
  [SMALL_STATE(6745)] = 313951,
  [SMALL_STATE(6746)] = 313979,
  [SMALL_STATE(6747)] = 314007,
  [SMALL_STATE(6748)] = 314031,
  [SMALL_STATE(6749)] = 314055,
  [SMALL_STATE(6750)] = 314101,
  [SMALL_STATE(6751)] = 314125,
  [SMALL_STATE(6752)] = 314169,
  [SMALL_STATE(6753)] = 314197,
  [SMALL_STATE(6754)] = 314233,
  [SMALL_STATE(6755)] = 314261,
  [SMALL_STATE(6756)] = 314289,
  [SMALL_STATE(6757)] = 314317,
  [SMALL_STATE(6758)] = 314343,
  [SMALL_STATE(6759)] = 314387,
  [SMALL_STATE(6760)] = 314431,
  [SMALL_STATE(6761)] = 314459,
  [SMALL_STATE(6762)] = 314503,
  [SMALL_STATE(6763)] = 314547,
  [SMALL_STATE(6764)] = 314579,
  [SMALL_STATE(6765)] = 314625,
  [SMALL_STATE(6766)] = 314671,
  [SMALL_STATE(6767)] = 314707,
  [SMALL_STATE(6768)] = 314751,
  [SMALL_STATE(6769)] = 314795,
  [SMALL_STATE(6770)] = 314829,
  [SMALL_STATE(6771)] = 314871,
  [SMALL_STATE(6772)] = 314915,
  [SMALL_STATE(6773)] = 314949,
  [SMALL_STATE(6774)] = 314993,
  [SMALL_STATE(6775)] = 315039,
  [SMALL_STATE(6776)] = 315083,
  [SMALL_STATE(6777)] = 315109,
  [SMALL_STATE(6778)] = 315143,
  [SMALL_STATE(6779)] = 315185,
  [SMALL_STATE(6780)] = 315229,
  [SMALL_STATE(6781)] = 315257,
  [SMALL_STATE(6782)] = 315301,
  [SMALL_STATE(6783)] = 315329,
  [SMALL_STATE(6784)] = 315373,
  [SMALL_STATE(6785)] = 315417,
  [SMALL_STATE(6786)] = 315461,
  [SMALL_STATE(6787)] = 315503,
  [SMALL_STATE(6788)] = 315545,
  [SMALL_STATE(6789)] = 315577,
  [SMALL_STATE(6790)] = 315613,
  [SMALL_STATE(6791)] = 315643,
  [SMALL_STATE(6792)] = 315679,
  [SMALL_STATE(6793)] = 315715,
  [SMALL_STATE(6794)] = 315757,
  [SMALL_STATE(6795)] = 315781,
  [SMALL_STATE(6796)] = 315817,
  [SMALL_STATE(6797)] = 315863,
  [SMALL_STATE(6798)] = 315909,
  [SMALL_STATE(6799)] = 315955,
  [SMALL_STATE(6800)] = 315989,
  [SMALL_STATE(6801)] = 316031,
  [SMALL_STATE(6802)] = 316077,
  [SMALL_STATE(6803)] = 316123,
  [SMALL_STATE(6804)] = 316165,
  [SMALL_STATE(6805)] = 316211,
  [SMALL_STATE(6806)] = 316257,
  [SMALL_STATE(6807)] = 316301,
  [SMALL_STATE(6808)] = 316345,
  [SMALL_STATE(6809)] = 316389,
  [SMALL_STATE(6810)] = 316435,
  [SMALL_STATE(6811)] = 316481,
  [SMALL_STATE(6812)] = 316525,
  [SMALL_STATE(6813)] = 316569,
  [SMALL_STATE(6814)] = 316599,
  [SMALL_STATE(6815)] = 316631,
  [SMALL_STATE(6816)] = 316661,
  [SMALL_STATE(6817)] = 316687,
  [SMALL_STATE(6818)] = 316731,
  [SMALL_STATE(6819)] = 316775,
  [SMALL_STATE(6820)] = 316819,
  [SMALL_STATE(6821)] = 316863,
  [SMALL_STATE(6822)] = 316907,
  [SMALL_STATE(6823)] = 316953,
  [SMALL_STATE(6824)] = 316997,
  [SMALL_STATE(6825)] = 317043,
  [SMALL_STATE(6826)] = 317087,
  [SMALL_STATE(6827)] = 317131,
  [SMALL_STATE(6828)] = 317175,
  [SMALL_STATE(6829)] = 317219,
  [SMALL_STATE(6830)] = 317263,
  [SMALL_STATE(6831)] = 317295,
  [SMALL_STATE(6832)] = 317337,
  [SMALL_STATE(6833)] = 317379,
  [SMALL_STATE(6834)] = 317423,
  [SMALL_STATE(6835)] = 317467,
  [SMALL_STATE(6836)] = 317513,
  [SMALL_STATE(6837)] = 317557,
  [SMALL_STATE(6838)] = 317601,
  [SMALL_STATE(6839)] = 317645,
  [SMALL_STATE(6840)] = 317689,
  [SMALL_STATE(6841)] = 317733,
  [SMALL_STATE(6842)] = 317777,
  [SMALL_STATE(6843)] = 317821,
  [SMALL_STATE(6844)] = 317867,
  [SMALL_STATE(6845)] = 317913,
  [SMALL_STATE(6846)] = 317959,
  [SMALL_STATE(6847)] = 318003,
  [SMALL_STATE(6848)] = 318047,
  [SMALL_STATE(6849)] = 318091,
  [SMALL_STATE(6850)] = 318135,
  [SMALL_STATE(6851)] = 318169,
  [SMALL_STATE(6852)] = 318211,
  [SMALL_STATE(6853)] = 318239,
  [SMALL_STATE(6854)] = 318283,
  [SMALL_STATE(6855)] = 318329,
  [SMALL_STATE(6856)] = 318357,
  [SMALL_STATE(6857)] = 318401,
  [SMALL_STATE(6858)] = 318447,
  [SMALL_STATE(6859)] = 318493,
  [SMALL_STATE(6860)] = 318537,
  [SMALL_STATE(6861)] = 318578,
  [SMALL_STATE(6862)] = 318601,
  [SMALL_STATE(6863)] = 318624,
  [SMALL_STATE(6864)] = 318647,
  [SMALL_STATE(6865)] = 318672,
  [SMALL_STATE(6866)] = 318699,
  [SMALL_STATE(6867)] = 318724,
  [SMALL_STATE(6868)] = 318747,
  [SMALL_STATE(6869)] = 318790,
  [SMALL_STATE(6870)] = 318813,
  [SMALL_STATE(6871)] = 318838,
  [SMALL_STATE(6872)] = 318861,
  [SMALL_STATE(6873)] = 318884,
  [SMALL_STATE(6874)] = 318907,
  [SMALL_STATE(6875)] = 318930,
  [SMALL_STATE(6876)] = 318957,
  [SMALL_STATE(6877)] = 318980,
  [SMALL_STATE(6878)] = 319007,
  [SMALL_STATE(6879)] = 319034,
  [SMALL_STATE(6880)] = 319067,
  [SMALL_STATE(6881)] = 319094,
  [SMALL_STATE(6882)] = 319121,
  [SMALL_STATE(6883)] = 319146,
  [SMALL_STATE(6884)] = 319169,
  [SMALL_STATE(6885)] = 319200,
  [SMALL_STATE(6886)] = 319227,
  [SMALL_STATE(6887)] = 319268,
  [SMALL_STATE(6888)] = 319293,
  [SMALL_STATE(6889)] = 319334,
  [SMALL_STATE(6890)] = 319375,
  [SMALL_STATE(6891)] = 319400,
  [SMALL_STATE(6892)] = 319441,
  [SMALL_STATE(6893)] = 319482,
  [SMALL_STATE(6894)] = 319525,
  [SMALL_STATE(6895)] = 319548,
  [SMALL_STATE(6896)] = 319589,
  [SMALL_STATE(6897)] = 319630,
  [SMALL_STATE(6898)] = 319673,
  [SMALL_STATE(6899)] = 319716,
  [SMALL_STATE(6900)] = 319739,
  [SMALL_STATE(6901)] = 319782,
  [SMALL_STATE(6902)] = 319825,
  [SMALL_STATE(6903)] = 319868,
  [SMALL_STATE(6904)] = 319899,
  [SMALL_STATE(6905)] = 319940,
  [SMALL_STATE(6906)] = 319981,
  [SMALL_STATE(6907)] = 320004,
  [SMALL_STATE(6908)] = 320029,
  [SMALL_STATE(6909)] = 320052,
  [SMALL_STATE(6910)] = 320075,
  [SMALL_STATE(6911)] = 320098,
  [SMALL_STATE(6912)] = 320123,
  [SMALL_STATE(6913)] = 320154,
  [SMALL_STATE(6914)] = 320181,
  [SMALL_STATE(6915)] = 320204,
  [SMALL_STATE(6916)] = 320227,
  [SMALL_STATE(6917)] = 320254,
  [SMALL_STATE(6918)] = 320281,
  [SMALL_STATE(6919)] = 320308,
  [SMALL_STATE(6920)] = 320331,
  [SMALL_STATE(6921)] = 320354,
  [SMALL_STATE(6922)] = 320377,
  [SMALL_STATE(6923)] = 320408,
  [SMALL_STATE(6924)] = 320435,
  [SMALL_STATE(6925)] = 320462,
  [SMALL_STATE(6926)] = 320489,
  [SMALL_STATE(6927)] = 320530,
  [SMALL_STATE(6928)] = 320565,
  [SMALL_STATE(6929)] = 320592,
  [SMALL_STATE(6930)] = 320633,
  [SMALL_STATE(6931)] = 320674,
  [SMALL_STATE(6932)] = 320701,
  [SMALL_STATE(6933)] = 320742,
  [SMALL_STATE(6934)] = 320775,
  [SMALL_STATE(6935)] = 320816,
  [SMALL_STATE(6936)] = 320857,
  [SMALL_STATE(6937)] = 320898,
  [SMALL_STATE(6938)] = 320939,
  [SMALL_STATE(6939)] = 320962,
  [SMALL_STATE(6940)] = 320987,
  [SMALL_STATE(6941)] = 321014,
  [SMALL_STATE(6942)] = 321039,
  [SMALL_STATE(6943)] = 321066,
  [SMALL_STATE(6944)] = 321091,
  [SMALL_STATE(6945)] = 321116,
  [SMALL_STATE(6946)] = 321141,
  [SMALL_STATE(6947)] = 321164,
  [SMALL_STATE(6948)] = 321187,
  [SMALL_STATE(6949)] = 321210,
  [SMALL_STATE(6950)] = 321237,
  [SMALL_STATE(6951)] = 321264,
  [SMALL_STATE(6952)] = 321305,
  [SMALL_STATE(6953)] = 321332,
  [SMALL_STATE(6954)] = 321355,
  [SMALL_STATE(6955)] = 321378,
  [SMALL_STATE(6956)] = 321421,
  [SMALL_STATE(6957)] = 321444,
  [SMALL_STATE(6958)] = 321469,
  [SMALL_STATE(6959)] = 321492,
  [SMALL_STATE(6960)] = 321519,
  [SMALL_STATE(6961)] = 321542,
  [SMALL_STATE(6962)] = 321565,
  [SMALL_STATE(6963)] = 321588,
  [SMALL_STATE(6964)] = 321611,
  [SMALL_STATE(6965)] = 321638,
  [SMALL_STATE(6966)] = 321665,
  [SMALL_STATE(6967)] = 321692,
  [SMALL_STATE(6968)] = 321715,
  [SMALL_STATE(6969)] = 321740,
  [SMALL_STATE(6970)] = 321763,
  [SMALL_STATE(6971)] = 321786,
  [SMALL_STATE(6972)] = 321809,
  [SMALL_STATE(6973)] = 321832,
  [SMALL_STATE(6974)] = 321855,
  [SMALL_STATE(6975)] = 321882,
  [SMALL_STATE(6976)] = 321909,
  [SMALL_STATE(6977)] = 321932,
  [SMALL_STATE(6978)] = 321959,
  [SMALL_STATE(6979)] = 321982,
  [SMALL_STATE(6980)] = 322005,
  [SMALL_STATE(6981)] = 322028,
  [SMALL_STATE(6982)] = 322051,
  [SMALL_STATE(6983)] = 322074,
  [SMALL_STATE(6984)] = 322115,
  [SMALL_STATE(6985)] = 322156,
  [SMALL_STATE(6986)] = 322199,
  [SMALL_STATE(6987)] = 322222,
  [SMALL_STATE(6988)] = 322253,
  [SMALL_STATE(6989)] = 322278,
  [SMALL_STATE(6990)] = 322303,
  [SMALL_STATE(6991)] = 322330,
  [SMALL_STATE(6992)] = 322355,
  [SMALL_STATE(6993)] = 322380,
  [SMALL_STATE(6994)] = 322403,
  [SMALL_STATE(6995)] = 322426,
  [SMALL_STATE(6996)] = 322449,
  [SMALL_STATE(6997)] = 322472,
  [SMALL_STATE(6998)] = 322495,
  [SMALL_STATE(6999)] = 322518,
  [SMALL_STATE(7000)] = 322543,
  [SMALL_STATE(7001)] = 322566,
  [SMALL_STATE(7002)] = 322589,
  [SMALL_STATE(7003)] = 322612,
  [SMALL_STATE(7004)] = 322635,
  [SMALL_STATE(7005)] = 322658,
  [SMALL_STATE(7006)] = 322681,
  [SMALL_STATE(7007)] = 322708,
  [SMALL_STATE(7008)] = 322733,
  [SMALL_STATE(7009)] = 322756,
  [SMALL_STATE(7010)] = 322783,
  [SMALL_STATE(7011)] = 322810,
  [SMALL_STATE(7012)] = 322837,
  [SMALL_STATE(7013)] = 322864,
  [SMALL_STATE(7014)] = 322891,
  [SMALL_STATE(7015)] = 322918,
  [SMALL_STATE(7016)] = 322945,
  [SMALL_STATE(7017)] = 322970,
  [SMALL_STATE(7018)] = 322997,
  [SMALL_STATE(7019)] = 323024,
  [SMALL_STATE(7020)] = 323051,
  [SMALL_STATE(7021)] = 323076,
  [SMALL_STATE(7022)] = 323101,
  [SMALL_STATE(7023)] = 323128,
  [SMALL_STATE(7024)] = 323155,
  [SMALL_STATE(7025)] = 323182,
  [SMALL_STATE(7026)] = 323207,
  [SMALL_STATE(7027)] = 323234,
  [SMALL_STATE(7028)] = 323259,
  [SMALL_STATE(7029)] = 323286,
  [SMALL_STATE(7030)] = 323309,
  [SMALL_STATE(7031)] = 323336,
  [SMALL_STATE(7032)] = 323361,
  [SMALL_STATE(7033)] = 323388,
  [SMALL_STATE(7034)] = 323421,
  [SMALL_STATE(7035)] = 323444,
  [SMALL_STATE(7036)] = 323487,
  [SMALL_STATE(7037)] = 323530,
  [SMALL_STATE(7038)] = 323561,
  [SMALL_STATE(7039)] = 323588,
  [SMALL_STATE(7040)] = 323615,
  [SMALL_STATE(7041)] = 323656,
  [SMALL_STATE(7042)] = 323699,
  [SMALL_STATE(7043)] = 323726,
  [SMALL_STATE(7044)] = 323753,
  [SMALL_STATE(7045)] = 323780,
  [SMALL_STATE(7046)] = 323805,
  [SMALL_STATE(7047)] = 323848,
  [SMALL_STATE(7048)] = 323891,
  [SMALL_STATE(7049)] = 323914,
  [SMALL_STATE(7050)] = 323941,
  [SMALL_STATE(7051)] = 323964,
  [SMALL_STATE(7052)] = 323987,
  [SMALL_STATE(7053)] = 324014,
  [SMALL_STATE(7054)] = 324041,
  [SMALL_STATE(7055)] = 324068,
  [SMALL_STATE(7056)] = 324095,
  [SMALL_STATE(7057)] = 324120,
  [SMALL_STATE(7058)] = 324143,
  [SMALL_STATE(7059)] = 324166,
  [SMALL_STATE(7060)] = 324189,
  [SMALL_STATE(7061)] = 324212,
  [SMALL_STATE(7062)] = 324235,
  [SMALL_STATE(7063)] = 324258,
  [SMALL_STATE(7064)] = 324287,
  [SMALL_STATE(7065)] = 324312,
  [SMALL_STATE(7066)] = 324339,
  [SMALL_STATE(7067)] = 324364,
  [SMALL_STATE(7068)] = 324387,
  [SMALL_STATE(7069)] = 324418,
  [SMALL_STATE(7070)] = 324441,
  [SMALL_STATE(7071)] = 324464,
  [SMALL_STATE(7072)] = 324493,
  [SMALL_STATE(7073)] = 324534,
  [SMALL_STATE(7074)] = 324563,
  [SMALL_STATE(7075)] = 324604,
  [SMALL_STATE(7076)] = 324627,
  [SMALL_STATE(7077)] = 324650,
  [SMALL_STATE(7078)] = 324675,
  [SMALL_STATE(7079)] = 324700,
  [SMALL_STATE(7080)] = 324727,
  [SMALL_STATE(7081)] = 324754,
  [SMALL_STATE(7082)] = 324783,
  [SMALL_STATE(7083)] = 324806,
  [SMALL_STATE(7084)] = 324833,
  [SMALL_STATE(7085)] = 324860,
  [SMALL_STATE(7086)] = 324889,
  [SMALL_STATE(7087)] = 324912,
  [SMALL_STATE(7088)] = 324953,
  [SMALL_STATE(7089)] = 324980,
  [SMALL_STATE(7090)] = 325005,
  [SMALL_STATE(7091)] = 325028,
  [SMALL_STATE(7092)] = 325051,
  [SMALL_STATE(7093)] = 325074,
  [SMALL_STATE(7094)] = 325097,
  [SMALL_STATE(7095)] = 325120,
  [SMALL_STATE(7096)] = 325143,
  [SMALL_STATE(7097)] = 325166,
  [SMALL_STATE(7098)] = 325189,
  [SMALL_STATE(7099)] = 325218,
  [SMALL_STATE(7100)] = 325251,
  [SMALL_STATE(7101)] = 325274,
  [SMALL_STATE(7102)] = 325297,
  [SMALL_STATE(7103)] = 325320,
  [SMALL_STATE(7104)] = 325343,
  [SMALL_STATE(7105)] = 325366,
  [SMALL_STATE(7106)] = 325389,
  [SMALL_STATE(7107)] = 325412,
  [SMALL_STATE(7108)] = 325435,
  [SMALL_STATE(7109)] = 325464,
  [SMALL_STATE(7110)] = 325487,
  [SMALL_STATE(7111)] = 325510,
  [SMALL_STATE(7112)] = 325537,
  [SMALL_STATE(7113)] = 325560,
  [SMALL_STATE(7114)] = 325583,
  [SMALL_STATE(7115)] = 325606,
  [SMALL_STATE(7116)] = 325629,
  [SMALL_STATE(7117)] = 325652,
  [SMALL_STATE(7118)] = 325675,
  [SMALL_STATE(7119)] = 325698,
  [SMALL_STATE(7120)] = 325721,
  [SMALL_STATE(7121)] = 325744,
  [SMALL_STATE(7122)] = 325767,
  [SMALL_STATE(7123)] = 325790,
  [SMALL_STATE(7124)] = 325813,
  [SMALL_STATE(7125)] = 325836,
  [SMALL_STATE(7126)] = 325859,
  [SMALL_STATE(7127)] = 325882,
  [SMALL_STATE(7128)] = 325905,
  [SMALL_STATE(7129)] = 325928,
  [SMALL_STATE(7130)] = 325951,
  [SMALL_STATE(7131)] = 325978,
  [SMALL_STATE(7132)] = 326001,
  [SMALL_STATE(7133)] = 326024,
  [SMALL_STATE(7134)] = 326047,
  [SMALL_STATE(7135)] = 326088,
  [SMALL_STATE(7136)] = 326111,
  [SMALL_STATE(7137)] = 326134,
  [SMALL_STATE(7138)] = 326157,
  [SMALL_STATE(7139)] = 326180,
  [SMALL_STATE(7140)] = 326203,
  [SMALL_STATE(7141)] = 326226,
  [SMALL_STATE(7142)] = 326249,
  [SMALL_STATE(7143)] = 326272,
  [SMALL_STATE(7144)] = 326295,
  [SMALL_STATE(7145)] = 326318,
  [SMALL_STATE(7146)] = 326345,
  [SMALL_STATE(7147)] = 326368,
  [SMALL_STATE(7148)] = 326391,
  [SMALL_STATE(7149)] = 326424,
  [SMALL_STATE(7150)] = 326447,
  [SMALL_STATE(7151)] = 326470,
  [SMALL_STATE(7152)] = 326497,
  [SMALL_STATE(7153)] = 326520,
  [SMALL_STATE(7154)] = 326547,
  [SMALL_STATE(7155)] = 326570,
  [SMALL_STATE(7156)] = 326593,
  [SMALL_STATE(7157)] = 326616,
  [SMALL_STATE(7158)] = 326657,
  [SMALL_STATE(7159)] = 326698,
  [SMALL_STATE(7160)] = 326721,
  [SMALL_STATE(7161)] = 326744,
  [SMALL_STATE(7162)] = 326767,
  [SMALL_STATE(7163)] = 326790,
  [SMALL_STATE(7164)] = 326813,
  [SMALL_STATE(7165)] = 326836,
  [SMALL_STATE(7166)] = 326877,
  [SMALL_STATE(7167)] = 326900,
  [SMALL_STATE(7168)] = 326933,
  [SMALL_STATE(7169)] = 326956,
  [SMALL_STATE(7170)] = 326979,
  [SMALL_STATE(7171)] = 327012,
  [SMALL_STATE(7172)] = 327053,
  [SMALL_STATE(7173)] = 327076,
  [SMALL_STATE(7174)] = 327099,
  [SMALL_STATE(7175)] = 327122,
  [SMALL_STATE(7176)] = 327145,
  [SMALL_STATE(7177)] = 327168,
  [SMALL_STATE(7178)] = 327191,
  [SMALL_STATE(7179)] = 327214,
  [SMALL_STATE(7180)] = 327237,
  [SMALL_STATE(7181)] = 327260,
  [SMALL_STATE(7182)] = 327283,
  [SMALL_STATE(7183)] = 327306,
  [SMALL_STATE(7184)] = 327329,
  [SMALL_STATE(7185)] = 327370,
  [SMALL_STATE(7186)] = 327411,
  [SMALL_STATE(7187)] = 327438,
  [SMALL_STATE(7188)] = 327461,
  [SMALL_STATE(7189)] = 327484,
  [SMALL_STATE(7190)] = 327507,
  [SMALL_STATE(7191)] = 327536,
  [SMALL_STATE(7192)] = 327561,
  [SMALL_STATE(7193)] = 327584,
  [SMALL_STATE(7194)] = 327607,
  [SMALL_STATE(7195)] = 327634,
  [SMALL_STATE(7196)] = 327657,
  [SMALL_STATE(7197)] = 327680,
  [SMALL_STATE(7198)] = 327721,
  [SMALL_STATE(7199)] = 327746,
  [SMALL_STATE(7200)] = 327769,
  [SMALL_STATE(7201)] = 327792,
  [SMALL_STATE(7202)] = 327815,
  [SMALL_STATE(7203)] = 327838,
  [SMALL_STATE(7204)] = 327865,
  [SMALL_STATE(7205)] = 327892,
  [SMALL_STATE(7206)] = 327919,
  [SMALL_STATE(7207)] = 327944,
  [SMALL_STATE(7208)] = 327967,
  [SMALL_STATE(7209)] = 327990,
  [SMALL_STATE(7210)] = 328013,
  [SMALL_STATE(7211)] = 328036,
  [SMALL_STATE(7212)] = 328059,
  [SMALL_STATE(7213)] = 328082,
  [SMALL_STATE(7214)] = 328105,
  [SMALL_STATE(7215)] = 328128,
  [SMALL_STATE(7216)] = 328151,
  [SMALL_STATE(7217)] = 328174,
  [SMALL_STATE(7218)] = 328197,
  [SMALL_STATE(7219)] = 328220,
  [SMALL_STATE(7220)] = 328243,
  [SMALL_STATE(7221)] = 328266,
  [SMALL_STATE(7222)] = 328289,
  [SMALL_STATE(7223)] = 328316,
  [SMALL_STATE(7224)] = 328339,
  [SMALL_STATE(7225)] = 328362,
  [SMALL_STATE(7226)] = 328385,
  [SMALL_STATE(7227)] = 328426,
  [SMALL_STATE(7228)] = 328467,
  [SMALL_STATE(7229)] = 328490,
  [SMALL_STATE(7230)] = 328513,
  [SMALL_STATE(7231)] = 328536,
  [SMALL_STATE(7232)] = 328559,
  [SMALL_STATE(7233)] = 328582,
  [SMALL_STATE(7234)] = 328605,
  [SMALL_STATE(7235)] = 328646,
  [SMALL_STATE(7236)] = 328669,
  [SMALL_STATE(7237)] = 328692,
  [SMALL_STATE(7238)] = 328715,
  [SMALL_STATE(7239)] = 328738,
  [SMALL_STATE(7240)] = 328761,
  [SMALL_STATE(7241)] = 328784,
  [SMALL_STATE(7242)] = 328807,
  [SMALL_STATE(7243)] = 328830,
  [SMALL_STATE(7244)] = 328871,
  [SMALL_STATE(7245)] = 328894,
  [SMALL_STATE(7246)] = 328917,
  [SMALL_STATE(7247)] = 328944,
  [SMALL_STATE(7248)] = 328967,
  [SMALL_STATE(7249)] = 328994,
  [SMALL_STATE(7250)] = 329017,
  [SMALL_STATE(7251)] = 329040,
  [SMALL_STATE(7252)] = 329063,
  [SMALL_STATE(7253)] = 329086,
  [SMALL_STATE(7254)] = 329109,
  [SMALL_STATE(7255)] = 329132,
  [SMALL_STATE(7256)] = 329159,
  [SMALL_STATE(7257)] = 329192,
  [SMALL_STATE(7258)] = 329221,
  [SMALL_STATE(7259)] = 329248,
  [SMALL_STATE(7260)] = 329275,
  [SMALL_STATE(7261)] = 329302,
  [SMALL_STATE(7262)] = 329325,
  [SMALL_STATE(7263)] = 329348,
  [SMALL_STATE(7264)] = 329370,
  [SMALL_STATE(7265)] = 329404,
  [SMALL_STATE(7266)] = 329438,
  [SMALL_STATE(7267)] = 329472,
  [SMALL_STATE(7268)] = 329506,
  [SMALL_STATE(7269)] = 329540,
  [SMALL_STATE(7270)] = 329574,
  [SMALL_STATE(7271)] = 329608,
  [SMALL_STATE(7272)] = 329642,
  [SMALL_STATE(7273)] = 329682,
  [SMALL_STATE(7274)] = 329716,
  [SMALL_STATE(7275)] = 329750,
  [SMALL_STATE(7276)] = 329784,
  [SMALL_STATE(7277)] = 329818,
  [SMALL_STATE(7278)] = 329858,
  [SMALL_STATE(7279)] = 329884,
  [SMALL_STATE(7280)] = 329918,
  [SMALL_STATE(7281)] = 329952,
  [SMALL_STATE(7282)] = 329986,
  [SMALL_STATE(7283)] = 330020,
  [SMALL_STATE(7284)] = 330054,
  [SMALL_STATE(7285)] = 330094,
  [SMALL_STATE(7286)] = 330126,
  [SMALL_STATE(7287)] = 330160,
  [SMALL_STATE(7288)] = 330194,
  [SMALL_STATE(7289)] = 330228,
  [SMALL_STATE(7290)] = 330268,
  [SMALL_STATE(7291)] = 330302,
  [SMALL_STATE(7292)] = 330336,
  [SMALL_STATE(7293)] = 330370,
  [SMALL_STATE(7294)] = 330396,
  [SMALL_STATE(7295)] = 330436,
  [SMALL_STATE(7296)] = 330470,
  [SMALL_STATE(7297)] = 330504,
  [SMALL_STATE(7298)] = 330544,
  [SMALL_STATE(7299)] = 330578,
  [SMALL_STATE(7300)] = 330612,
  [SMALL_STATE(7301)] = 330652,
  [SMALL_STATE(7302)] = 330692,
  [SMALL_STATE(7303)] = 330732,
  [SMALL_STATE(7304)] = 330766,
  [SMALL_STATE(7305)] = 330798,
  [SMALL_STATE(7306)] = 330832,
  [SMALL_STATE(7307)] = 330864,
  [SMALL_STATE(7308)] = 330898,
  [SMALL_STATE(7309)] = 330938,
  [SMALL_STATE(7310)] = 330972,
  [SMALL_STATE(7311)] = 331006,
  [SMALL_STATE(7312)] = 331040,
  [SMALL_STATE(7313)] = 331074,
  [SMALL_STATE(7314)] = 331108,
  [SMALL_STATE(7315)] = 331140,
  [SMALL_STATE(7316)] = 331180,
  [SMALL_STATE(7317)] = 331206,
  [SMALL_STATE(7318)] = 331240,
  [SMALL_STATE(7319)] = 331266,
  [SMALL_STATE(7320)] = 331302,
  [SMALL_STATE(7321)] = 331342,
  [SMALL_STATE(7322)] = 331376,
  [SMALL_STATE(7323)] = 331410,
  [SMALL_STATE(7324)] = 331444,
  [SMALL_STATE(7325)] = 331484,
  [SMALL_STATE(7326)] = 331508,
  [SMALL_STATE(7327)] = 331542,
  [SMALL_STATE(7328)] = 331582,
  [SMALL_STATE(7329)] = 331616,
  [SMALL_STATE(7330)] = 331650,
  [SMALL_STATE(7331)] = 331684,
  [SMALL_STATE(7332)] = 331718,
  [SMALL_STATE(7333)] = 331752,
  [SMALL_STATE(7334)] = 331786,
  [SMALL_STATE(7335)] = 331820,
  [SMALL_STATE(7336)] = 331854,
  [SMALL_STATE(7337)] = 331888,
  [SMALL_STATE(7338)] = 331928,
  [SMALL_STATE(7339)] = 331954,
  [SMALL_STATE(7340)] = 331988,
  [SMALL_STATE(7341)] = 332022,
  [SMALL_STATE(7342)] = 332056,
  [SMALL_STATE(7343)] = 332090,
  [SMALL_STATE(7344)] = 332124,
  [SMALL_STATE(7345)] = 332158,
  [SMALL_STATE(7346)] = 332192,
  [SMALL_STATE(7347)] = 332226,
  [SMALL_STATE(7348)] = 332260,
  [SMALL_STATE(7349)] = 332294,
  [SMALL_STATE(7350)] = 332328,
  [SMALL_STATE(7351)] = 332362,
  [SMALL_STATE(7352)] = 332396,
  [SMALL_STATE(7353)] = 332430,
  [SMALL_STATE(7354)] = 332464,
  [SMALL_STATE(7355)] = 332498,
  [SMALL_STATE(7356)] = 332532,
  [SMALL_STATE(7357)] = 332566,
  [SMALL_STATE(7358)] = 332600,
  [SMALL_STATE(7359)] = 332634,
  [SMALL_STATE(7360)] = 332658,
  [SMALL_STATE(7361)] = 332684,
  [SMALL_STATE(7362)] = 332710,
  [SMALL_STATE(7363)] = 332744,
  [SMALL_STATE(7364)] = 332778,
  [SMALL_STATE(7365)] = 332812,
  [SMALL_STATE(7366)] = 332838,
  [SMALL_STATE(7367)] = 332878,
  [SMALL_STATE(7368)] = 332912,
  [SMALL_STATE(7369)] = 332946,
  [SMALL_STATE(7370)] = 332986,
  [SMALL_STATE(7371)] = 333020,
  [SMALL_STATE(7372)] = 333042,
  [SMALL_STATE(7373)] = 333076,
  [SMALL_STATE(7374)] = 333110,
  [SMALL_STATE(7375)] = 333132,
  [SMALL_STATE(7376)] = 333158,
  [SMALL_STATE(7377)] = 333180,
  [SMALL_STATE(7378)] = 333214,
  [SMALL_STATE(7379)] = 333248,
  [SMALL_STATE(7380)] = 333282,
  [SMALL_STATE(7381)] = 333308,
  [SMALL_STATE(7382)] = 333348,
  [SMALL_STATE(7383)] = 333382,
  [SMALL_STATE(7384)] = 333404,
  [SMALL_STATE(7385)] = 333438,
  [SMALL_STATE(7386)] = 333472,
  [SMALL_STATE(7387)] = 333506,
  [SMALL_STATE(7388)] = 333540,
  [SMALL_STATE(7389)] = 333574,
  [SMALL_STATE(7390)] = 333608,
  [SMALL_STATE(7391)] = 333642,
  [SMALL_STATE(7392)] = 333676,
  [SMALL_STATE(7393)] = 333710,
  [SMALL_STATE(7394)] = 333744,
  [SMALL_STATE(7395)] = 333778,
  [SMALL_STATE(7396)] = 333812,
  [SMALL_STATE(7397)] = 333846,
  [SMALL_STATE(7398)] = 333880,
  [SMALL_STATE(7399)] = 333914,
  [SMALL_STATE(7400)] = 333948,
  [SMALL_STATE(7401)] = 333982,
  [SMALL_STATE(7402)] = 334016,
  [SMALL_STATE(7403)] = 334050,
  [SMALL_STATE(7404)] = 334090,
  [SMALL_STATE(7405)] = 334124,
  [SMALL_STATE(7406)] = 334158,
  [SMALL_STATE(7407)] = 334192,
  [SMALL_STATE(7408)] = 334226,
  [SMALL_STATE(7409)] = 334260,
  [SMALL_STATE(7410)] = 334294,
  [SMALL_STATE(7411)] = 334328,
  [SMALL_STATE(7412)] = 334362,
  [SMALL_STATE(7413)] = 334396,
  [SMALL_STATE(7414)] = 334430,
  [SMALL_STATE(7415)] = 334464,
  [SMALL_STATE(7416)] = 334504,
  [SMALL_STATE(7417)] = 334538,
  [SMALL_STATE(7418)] = 334564,
  [SMALL_STATE(7419)] = 334598,
  [SMALL_STATE(7420)] = 334638,
  [SMALL_STATE(7421)] = 334672,
  [SMALL_STATE(7422)] = 334706,
  [SMALL_STATE(7423)] = 334740,
  [SMALL_STATE(7424)] = 334780,
  [SMALL_STATE(7425)] = 334820,
  [SMALL_STATE(7426)] = 334860,
  [SMALL_STATE(7427)] = 334894,
  [SMALL_STATE(7428)] = 334920,
  [SMALL_STATE(7429)] = 334954,
  [SMALL_STATE(7430)] = 334988,
  [SMALL_STATE(7431)] = 335022,
  [SMALL_STATE(7432)] = 335048,
  [SMALL_STATE(7433)] = 335070,
  [SMALL_STATE(7434)] = 335104,
  [SMALL_STATE(7435)] = 335138,
  [SMALL_STATE(7436)] = 335172,
  [SMALL_STATE(7437)] = 335206,
  [SMALL_STATE(7438)] = 335228,
  [SMALL_STATE(7439)] = 335254,
  [SMALL_STATE(7440)] = 335288,
  [SMALL_STATE(7441)] = 335322,
  [SMALL_STATE(7442)] = 335356,
  [SMALL_STATE(7443)] = 335382,
  [SMALL_STATE(7444)] = 335416,
  [SMALL_STATE(7445)] = 335442,
  [SMALL_STATE(7446)] = 335468,
  [SMALL_STATE(7447)] = 335490,
  [SMALL_STATE(7448)] = 335530,
  [SMALL_STATE(7449)] = 335564,
  [SMALL_STATE(7450)] = 335598,
  [SMALL_STATE(7451)] = 335620,
  [SMALL_STATE(7452)] = 335654,
  [SMALL_STATE(7453)] = 335678,
  [SMALL_STATE(7454)] = 335712,
  [SMALL_STATE(7455)] = 335738,
  [SMALL_STATE(7456)] = 335772,
  [SMALL_STATE(7457)] = 335806,
  [SMALL_STATE(7458)] = 335840,
  [SMALL_STATE(7459)] = 335874,
  [SMALL_STATE(7460)] = 335908,
  [SMALL_STATE(7461)] = 335942,
  [SMALL_STATE(7462)] = 335976,
  [SMALL_STATE(7463)] = 336010,
  [SMALL_STATE(7464)] = 336034,
  [SMALL_STATE(7465)] = 336068,
  [SMALL_STATE(7466)] = 336102,
  [SMALL_STATE(7467)] = 336136,
  [SMALL_STATE(7468)] = 336176,
  [SMALL_STATE(7469)] = 336210,
  [SMALL_STATE(7470)] = 336244,
  [SMALL_STATE(7471)] = 336278,
  [SMALL_STATE(7472)] = 336312,
  [SMALL_STATE(7473)] = 336346,
  [SMALL_STATE(7474)] = 336368,
  [SMALL_STATE(7475)] = 336402,
  [SMALL_STATE(7476)] = 336436,
  [SMALL_STATE(7477)] = 336470,
  [SMALL_STATE(7478)] = 336510,
  [SMALL_STATE(7479)] = 336536,
  [SMALL_STATE(7480)] = 336570,
  [SMALL_STATE(7481)] = 336610,
  [SMALL_STATE(7482)] = 336644,
  [SMALL_STATE(7483)] = 336678,
  [SMALL_STATE(7484)] = 336702,
  [SMALL_STATE(7485)] = 336736,
  [SMALL_STATE(7486)] = 336776,
  [SMALL_STATE(7487)] = 336802,
  [SMALL_STATE(7488)] = 336842,
  [SMALL_STATE(7489)] = 336876,
  [SMALL_STATE(7490)] = 336902,
  [SMALL_STATE(7491)] = 336936,
  [SMALL_STATE(7492)] = 336976,
  [SMALL_STATE(7493)] = 337010,
  [SMALL_STATE(7494)] = 337036,
  [SMALL_STATE(7495)] = 337070,
  [SMALL_STATE(7496)] = 337104,
  [SMALL_STATE(7497)] = 337138,
  [SMALL_STATE(7498)] = 337172,
  [SMALL_STATE(7499)] = 337198,
  [SMALL_STATE(7500)] = 337238,
  [SMALL_STATE(7501)] = 337272,
  [SMALL_STATE(7502)] = 337306,
  [SMALL_STATE(7503)] = 337340,
  [SMALL_STATE(7504)] = 337374,
  [SMALL_STATE(7505)] = 337408,
  [SMALL_STATE(7506)] = 337432,
  [SMALL_STATE(7507)] = 337472,
  [SMALL_STATE(7508)] = 337496,
  [SMALL_STATE(7509)] = 337530,
  [SMALL_STATE(7510)] = 337564,
  [SMALL_STATE(7511)] = 337598,
  [SMALL_STATE(7512)] = 337624,
  [SMALL_STATE(7513)] = 337658,
  [SMALL_STATE(7514)] = 337680,
  [SMALL_STATE(7515)] = 337714,
  [SMALL_STATE(7516)] = 337740,
  [SMALL_STATE(7517)] = 337780,
  [SMALL_STATE(7518)] = 337802,
  [SMALL_STATE(7519)] = 337828,
  [SMALL_STATE(7520)] = 337850,
  [SMALL_STATE(7521)] = 337884,
  [SMALL_STATE(7522)] = 337906,
  [SMALL_STATE(7523)] = 337934,
  [SMALL_STATE(7524)] = 337968,
  [SMALL_STATE(7525)] = 338002,
  [SMALL_STATE(7526)] = 338026,
  [SMALL_STATE(7527)] = 338066,
  [SMALL_STATE(7528)] = 338100,
  [SMALL_STATE(7529)] = 338136,
  [SMALL_STATE(7530)] = 338162,
  [SMALL_STATE(7531)] = 338196,
  [SMALL_STATE(7532)] = 338224,
  [SMALL_STATE(7533)] = 338264,
  [SMALL_STATE(7534)] = 338298,
  [SMALL_STATE(7535)] = 338324,
  [SMALL_STATE(7536)] = 338358,
  [SMALL_STATE(7537)] = 338392,
  [SMALL_STATE(7538)] = 338432,
  [SMALL_STATE(7539)] = 338458,
  [SMALL_STATE(7540)] = 338492,
  [SMALL_STATE(7541)] = 338526,
  [SMALL_STATE(7542)] = 338560,
  [SMALL_STATE(7543)] = 338600,
  [SMALL_STATE(7544)] = 338634,
  [SMALL_STATE(7545)] = 338668,
  [SMALL_STATE(7546)] = 338702,
  [SMALL_STATE(7547)] = 338724,
  [SMALL_STATE(7548)] = 338758,
  [SMALL_STATE(7549)] = 338792,
  [SMALL_STATE(7550)] = 338818,
  [SMALL_STATE(7551)] = 338852,
  [SMALL_STATE(7552)] = 338886,
  [SMALL_STATE(7553)] = 338908,
  [SMALL_STATE(7554)] = 338930,
  [SMALL_STATE(7555)] = 338964,
  [SMALL_STATE(7556)] = 338998,
  [SMALL_STATE(7557)] = 339022,
  [SMALL_STATE(7558)] = 339056,
  [SMALL_STATE(7559)] = 339080,
  [SMALL_STATE(7560)] = 339104,
  [SMALL_STATE(7561)] = 339138,
  [SMALL_STATE(7562)] = 339160,
  [SMALL_STATE(7563)] = 339194,
  [SMALL_STATE(7564)] = 339220,
  [SMALL_STATE(7565)] = 339254,
  [SMALL_STATE(7566)] = 339288,
  [SMALL_STATE(7567)] = 339312,
  [SMALL_STATE(7568)] = 339346,
  [SMALL_STATE(7569)] = 339370,
  [SMALL_STATE(7570)] = 339404,
  [SMALL_STATE(7571)] = 339438,
  [SMALL_STATE(7572)] = 339472,
  [SMALL_STATE(7573)] = 339506,
  [SMALL_STATE(7574)] = 339540,
  [SMALL_STATE(7575)] = 339574,
  [SMALL_STATE(7576)] = 339598,
  [SMALL_STATE(7577)] = 339624,
  [SMALL_STATE(7578)] = 339658,
  [SMALL_STATE(7579)] = 339692,
  [SMALL_STATE(7580)] = 339718,
  [SMALL_STATE(7581)] = 339752,
  [SMALL_STATE(7582)] = 339778,
  [SMALL_STATE(7583)] = 339812,
  [SMALL_STATE(7584)] = 339846,
  [SMALL_STATE(7585)] = 339880,
  [SMALL_STATE(7586)] = 339914,
  [SMALL_STATE(7587)] = 339948,
  [SMALL_STATE(7588)] = 339972,
  [SMALL_STATE(7589)] = 340006,
  [SMALL_STATE(7590)] = 340040,
  [SMALL_STATE(7591)] = 340062,
  [SMALL_STATE(7592)] = 340102,
  [SMALL_STATE(7593)] = 340136,
  [SMALL_STATE(7594)] = 340158,
  [SMALL_STATE(7595)] = 340184,
  [SMALL_STATE(7596)] = 340218,
  [SMALL_STATE(7597)] = 340252,
  [SMALL_STATE(7598)] = 340274,
  [SMALL_STATE(7599)] = 340302,
  [SMALL_STATE(7600)] = 340336,
  [SMALL_STATE(7601)] = 340360,
  [SMALL_STATE(7602)] = 340394,
  [SMALL_STATE(7603)] = 340428,
  [SMALL_STATE(7604)] = 340462,
  [SMALL_STATE(7605)] = 340488,
  [SMALL_STATE(7606)] = 340522,
  [SMALL_STATE(7607)] = 340556,
  [SMALL_STATE(7608)] = 340590,
  [SMALL_STATE(7609)] = 340624,
  [SMALL_STATE(7610)] = 340658,
  [SMALL_STATE(7611)] = 340684,
  [SMALL_STATE(7612)] = 340718,
  [SMALL_STATE(7613)] = 340752,
  [SMALL_STATE(7614)] = 340778,
  [SMALL_STATE(7615)] = 340810,
  [SMALL_STATE(7616)] = 340844,
  [SMALL_STATE(7617)] = 340878,
  [SMALL_STATE(7618)] = 340900,
  [SMALL_STATE(7619)] = 340926,
  [SMALL_STATE(7620)] = 340960,
  [SMALL_STATE(7621)] = 340994,
  [SMALL_STATE(7622)] = 341028,
  [SMALL_STATE(7623)] = 341052,
  [SMALL_STATE(7624)] = 341086,
  [SMALL_STATE(7625)] = 341110,
  [SMALL_STATE(7626)] = 341144,
  [SMALL_STATE(7627)] = 341178,
  [SMALL_STATE(7628)] = 341212,
  [SMALL_STATE(7629)] = 341246,
  [SMALL_STATE(7630)] = 341270,
  [SMALL_STATE(7631)] = 341294,
  [SMALL_STATE(7632)] = 341328,
  [SMALL_STATE(7633)] = 341362,
  [SMALL_STATE(7634)] = 341396,
  [SMALL_STATE(7635)] = 341430,
  [SMALL_STATE(7636)] = 341454,
  [SMALL_STATE(7637)] = 341488,
  [SMALL_STATE(7638)] = 341522,
  [SMALL_STATE(7639)] = 341544,
  [SMALL_STATE(7640)] = 341570,
  [SMALL_STATE(7641)] = 341592,
  [SMALL_STATE(7642)] = 341632,
  [SMALL_STATE(7643)] = 341666,
  [SMALL_STATE(7644)] = 341700,
  [SMALL_STATE(7645)] = 341724,
  [SMALL_STATE(7646)] = 341758,
  [SMALL_STATE(7647)] = 341782,
  [SMALL_STATE(7648)] = 341816,
  [SMALL_STATE(7649)] = 341850,
  [SMALL_STATE(7650)] = 341872,
  [SMALL_STATE(7651)] = 341906,
  [SMALL_STATE(7652)] = 341940,
  [SMALL_STATE(7653)] = 341974,
  [SMALL_STATE(7654)] = 341996,
  [SMALL_STATE(7655)] = 342018,
  [SMALL_STATE(7656)] = 342052,
  [SMALL_STATE(7657)] = 342074,
  [SMALL_STATE(7658)] = 342098,
  [SMALL_STATE(7659)] = 342120,
  [SMALL_STATE(7660)] = 342142,
  [SMALL_STATE(7661)] = 342164,
  [SMALL_STATE(7662)] = 342198,
  [SMALL_STATE(7663)] = 342232,
  [SMALL_STATE(7664)] = 342266,
  [SMALL_STATE(7665)] = 342300,
  [SMALL_STATE(7666)] = 342326,
  [SMALL_STATE(7667)] = 342360,
  [SMALL_STATE(7668)] = 342394,
  [SMALL_STATE(7669)] = 342420,
  [SMALL_STATE(7670)] = 342454,
  [SMALL_STATE(7671)] = 342488,
  [SMALL_STATE(7672)] = 342514,
  [SMALL_STATE(7673)] = 342548,
  [SMALL_STATE(7674)] = 342582,
  [SMALL_STATE(7675)] = 342604,
  [SMALL_STATE(7676)] = 342638,
  [SMALL_STATE(7677)] = 342664,
  [SMALL_STATE(7678)] = 342698,
  [SMALL_STATE(7679)] = 342732,
  [SMALL_STATE(7680)] = 342758,
  [SMALL_STATE(7681)] = 342792,
  [SMALL_STATE(7682)] = 342818,
  [SMALL_STATE(7683)] = 342852,
  [SMALL_STATE(7684)] = 342886,
  [SMALL_STATE(7685)] = 342908,
  [SMALL_STATE(7686)] = 342942,
  [SMALL_STATE(7687)] = 342976,
  [SMALL_STATE(7688)] = 343000,
  [SMALL_STATE(7689)] = 343034,
  [SMALL_STATE(7690)] = 343068,
  [SMALL_STATE(7691)] = 343090,
  [SMALL_STATE(7692)] = 343112,
  [SMALL_STATE(7693)] = 343146,
  [SMALL_STATE(7694)] = 343168,
  [SMALL_STATE(7695)] = 343192,
  [SMALL_STATE(7696)] = 343214,
  [SMALL_STATE(7697)] = 343248,
  [SMALL_STATE(7698)] = 343282,
  [SMALL_STATE(7699)] = 343316,
  [SMALL_STATE(7700)] = 343340,
  [SMALL_STATE(7701)] = 343374,
  [SMALL_STATE(7702)] = 343408,
  [SMALL_STATE(7703)] = 343442,
  [SMALL_STATE(7704)] = 343476,
  [SMALL_STATE(7705)] = 343510,
  [SMALL_STATE(7706)] = 343544,
  [SMALL_STATE(7707)] = 343566,
  [SMALL_STATE(7708)] = 343588,
  [SMALL_STATE(7709)] = 343622,
  [SMALL_STATE(7710)] = 343644,
  [SMALL_STATE(7711)] = 343678,
  [SMALL_STATE(7712)] = 343712,
  [SMALL_STATE(7713)] = 343734,
  [SMALL_STATE(7714)] = 343768,
  [SMALL_STATE(7715)] = 343802,
  [SMALL_STATE(7716)] = 343834,
  [SMALL_STATE(7717)] = 343868,
  [SMALL_STATE(7718)] = 343902,
  [SMALL_STATE(7719)] = 343936,
  [SMALL_STATE(7720)] = 343970,
  [SMALL_STATE(7721)] = 344004,
  [SMALL_STATE(7722)] = 344038,
  [SMALL_STATE(7723)] = 344072,
  [SMALL_STATE(7724)] = 344096,
  [SMALL_STATE(7725)] = 344130,
  [SMALL_STATE(7726)] = 344164,
  [SMALL_STATE(7727)] = 344198,
  [SMALL_STATE(7728)] = 344224,
  [SMALL_STATE(7729)] = 344258,
  [SMALL_STATE(7730)] = 344292,
  [SMALL_STATE(7731)] = 344326,
  [SMALL_STATE(7732)] = 344360,
  [SMALL_STATE(7733)] = 344394,
  [SMALL_STATE(7734)] = 344428,
  [SMALL_STATE(7735)] = 344462,
  [SMALL_STATE(7736)] = 344496,
  [SMALL_STATE(7737)] = 344530,
  [SMALL_STATE(7738)] = 344556,
  [SMALL_STATE(7739)] = 344590,
  [SMALL_STATE(7740)] = 344624,
  [SMALL_STATE(7741)] = 344650,
  [SMALL_STATE(7742)] = 344684,
  [SMALL_STATE(7743)] = 344718,
  [SMALL_STATE(7744)] = 344752,
  [SMALL_STATE(7745)] = 344786,
  [SMALL_STATE(7746)] = 344820,
  [SMALL_STATE(7747)] = 344842,
  [SMALL_STATE(7748)] = 344868,
  [SMALL_STATE(7749)] = 344902,
  [SMALL_STATE(7750)] = 344924,
  [SMALL_STATE(7751)] = 344946,
  [SMALL_STATE(7752)] = 344980,
  [SMALL_STATE(7753)] = 345014,
  [SMALL_STATE(7754)] = 345048,
  [SMALL_STATE(7755)] = 345070,
  [SMALL_STATE(7756)] = 345104,
  [SMALL_STATE(7757)] = 345138,
  [SMALL_STATE(7758)] = 345160,
  [SMALL_STATE(7759)] = 345194,
  [SMALL_STATE(7760)] = 345228,
  [SMALL_STATE(7761)] = 345262,
  [SMALL_STATE(7762)] = 345302,
  [SMALL_STATE(7763)] = 345342,
  [SMALL_STATE(7764)] = 345376,
  [SMALL_STATE(7765)] = 345410,
  [SMALL_STATE(7766)] = 345444,
  [SMALL_STATE(7767)] = 345466,
  [SMALL_STATE(7768)] = 345500,
  [SMALL_STATE(7769)] = 345534,
  [SMALL_STATE(7770)] = 345558,
  [SMALL_STATE(7771)] = 345582,
  [SMALL_STATE(7772)] = 345622,
  [SMALL_STATE(7773)] = 345656,
  [SMALL_STATE(7774)] = 345690,
  [SMALL_STATE(7775)] = 345724,
  [SMALL_STATE(7776)] = 345764,
  [SMALL_STATE(7777)] = 345798,
  [SMALL_STATE(7778)] = 345832,
  [SMALL_STATE(7779)] = 345854,
  [SMALL_STATE(7780)] = 345888,
  [SMALL_STATE(7781)] = 345922,
  [SMALL_STATE(7782)] = 345944,
  [SMALL_STATE(7783)] = 345978,
  [SMALL_STATE(7784)] = 346012,
  [SMALL_STATE(7785)] = 346046,
  [SMALL_STATE(7786)] = 346080,
  [SMALL_STATE(7787)] = 346114,
  [SMALL_STATE(7788)] = 346148,
  [SMALL_STATE(7789)] = 346182,
  [SMALL_STATE(7790)] = 346212,
  [SMALL_STATE(7791)] = 346236,
  [SMALL_STATE(7792)] = 346270,
  [SMALL_STATE(7793)] = 346304,
  [SMALL_STATE(7794)] = 346338,
  [SMALL_STATE(7795)] = 346378,
  [SMALL_STATE(7796)] = 346412,
  [SMALL_STATE(7797)] = 346438,
  [SMALL_STATE(7798)] = 346478,
  [SMALL_STATE(7799)] = 346512,
  [SMALL_STATE(7800)] = 346546,
  [SMALL_STATE(7801)] = 346572,
  [SMALL_STATE(7802)] = 346606,
  [SMALL_STATE(7803)] = 346640,
  [SMALL_STATE(7804)] = 346674,
  [SMALL_STATE(7805)] = 346708,
  [SMALL_STATE(7806)] = 346742,
  [SMALL_STATE(7807)] = 346776,
  [SMALL_STATE(7808)] = 346800,
  [SMALL_STATE(7809)] = 346834,
  [SMALL_STATE(7810)] = 346868,
  [SMALL_STATE(7811)] = 346904,
  [SMALL_STATE(7812)] = 346938,
  [SMALL_STATE(7813)] = 346962,
  [SMALL_STATE(7814)] = 346996,
  [SMALL_STATE(7815)] = 347030,
  [SMALL_STATE(7816)] = 347070,
  [SMALL_STATE(7817)] = 347104,
  [SMALL_STATE(7818)] = 347138,
  [SMALL_STATE(7819)] = 347172,
  [SMALL_STATE(7820)] = 347206,
  [SMALL_STATE(7821)] = 347240,
  [SMALL_STATE(7822)] = 347274,
  [SMALL_STATE(7823)] = 347314,
  [SMALL_STATE(7824)] = 347340,
  [SMALL_STATE(7825)] = 347374,
  [SMALL_STATE(7826)] = 347396,
  [SMALL_STATE(7827)] = 347430,
  [SMALL_STATE(7828)] = 347464,
  [SMALL_STATE(7829)] = 347498,
  [SMALL_STATE(7830)] = 347532,
  [SMALL_STATE(7831)] = 347566,
  [SMALL_STATE(7832)] = 347600,
  [SMALL_STATE(7833)] = 347634,
  [SMALL_STATE(7834)] = 347668,
  [SMALL_STATE(7835)] = 347702,
  [SMALL_STATE(7836)] = 347736,
  [SMALL_STATE(7837)] = 347770,
  [SMALL_STATE(7838)] = 347804,
  [SMALL_STATE(7839)] = 347838,
  [SMALL_STATE(7840)] = 347872,
  [SMALL_STATE(7841)] = 347906,
  [SMALL_STATE(7842)] = 347936,
  [SMALL_STATE(7843)] = 347976,
  [SMALL_STATE(7844)] = 348016,
  [SMALL_STATE(7845)] = 348056,
  [SMALL_STATE(7846)] = 348096,
  [SMALL_STATE(7847)] = 348118,
  [SMALL_STATE(7848)] = 348152,
  [SMALL_STATE(7849)] = 348176,
  [SMALL_STATE(7850)] = 348216,
  [SMALL_STATE(7851)] = 348250,
  [SMALL_STATE(7852)] = 348284,
  [SMALL_STATE(7853)] = 348318,
  [SMALL_STATE(7854)] = 348344,
  [SMALL_STATE(7855)] = 348376,
  [SMALL_STATE(7856)] = 348402,
  [SMALL_STATE(7857)] = 348438,
  [SMALL_STATE(7858)] = 348462,
  [SMALL_STATE(7859)] = 348496,
  [SMALL_STATE(7860)] = 348518,
  [SMALL_STATE(7861)] = 348540,
  [SMALL_STATE(7862)] = 348562,
  [SMALL_STATE(7863)] = 348584,
  [SMALL_STATE(7864)] = 348618,
  [SMALL_STATE(7865)] = 348640,
  [SMALL_STATE(7866)] = 348662,
  [SMALL_STATE(7867)] = 348684,
  [SMALL_STATE(7868)] = 348706,
  [SMALL_STATE(7869)] = 348740,
  [SMALL_STATE(7870)] = 348762,
  [SMALL_STATE(7871)] = 348784,
  [SMALL_STATE(7872)] = 348818,
  [SMALL_STATE(7873)] = 348840,
  [SMALL_STATE(7874)] = 348862,
  [SMALL_STATE(7875)] = 348896,
  [SMALL_STATE(7876)] = 348918,
  [SMALL_STATE(7877)] = 348940,
  [SMALL_STATE(7878)] = 348974,
  [SMALL_STATE(7879)] = 348996,
  [SMALL_STATE(7880)] = 349018,
  [SMALL_STATE(7881)] = 349052,
  [SMALL_STATE(7882)] = 349074,
  [SMALL_STATE(7883)] = 349096,
  [SMALL_STATE(7884)] = 349118,
  [SMALL_STATE(7885)] = 349140,
  [SMALL_STATE(7886)] = 349162,
  [SMALL_STATE(7887)] = 349184,
  [SMALL_STATE(7888)] = 349218,
  [SMALL_STATE(7889)] = 349240,
  [SMALL_STATE(7890)] = 349274,
  [SMALL_STATE(7891)] = 349296,
  [SMALL_STATE(7892)] = 349318,
  [SMALL_STATE(7893)] = 349340,
  [SMALL_STATE(7894)] = 349362,
  [SMALL_STATE(7895)] = 349384,
  [SMALL_STATE(7896)] = 349406,
  [SMALL_STATE(7897)] = 349446,
  [SMALL_STATE(7898)] = 349468,
  [SMALL_STATE(7899)] = 349502,
  [SMALL_STATE(7900)] = 349524,
  [SMALL_STATE(7901)] = 349546,
  [SMALL_STATE(7902)] = 349580,
  [SMALL_STATE(7903)] = 349602,
  [SMALL_STATE(7904)] = 349636,
  [SMALL_STATE(7905)] = 349660,
  [SMALL_STATE(7906)] = 349694,
  [SMALL_STATE(7907)] = 349716,
  [SMALL_STATE(7908)] = 349742,
  [SMALL_STATE(7909)] = 349774,
  [SMALL_STATE(7910)] = 349796,
  [SMALL_STATE(7911)] = 349818,
  [SMALL_STATE(7912)] = 349840,
  [SMALL_STATE(7913)] = 349862,
  [SMALL_STATE(7914)] = 349884,
  [SMALL_STATE(7915)] = 349918,
  [SMALL_STATE(7916)] = 349940,
  [SMALL_STATE(7917)] = 349962,
  [SMALL_STATE(7918)] = 349984,
  [SMALL_STATE(7919)] = 350006,
  [SMALL_STATE(7920)] = 350028,
  [SMALL_STATE(7921)] = 350050,
  [SMALL_STATE(7922)] = 350072,
  [SMALL_STATE(7923)] = 350106,
  [SMALL_STATE(7924)] = 350128,
  [SMALL_STATE(7925)] = 350150,
  [SMALL_STATE(7926)] = 350172,
  [SMALL_STATE(7927)] = 350194,
  [SMALL_STATE(7928)] = 350228,
  [SMALL_STATE(7929)] = 350250,
  [SMALL_STATE(7930)] = 350284,
  [SMALL_STATE(7931)] = 350308,
  [SMALL_STATE(7932)] = 350330,
  [SMALL_STATE(7933)] = 350352,
  [SMALL_STATE(7934)] = 350374,
  [SMALL_STATE(7935)] = 350396,
  [SMALL_STATE(7936)] = 350418,
  [SMALL_STATE(7937)] = 350452,
  [SMALL_STATE(7938)] = 350474,
  [SMALL_STATE(7939)] = 350496,
  [SMALL_STATE(7940)] = 350518,
  [SMALL_STATE(7941)] = 350552,
  [SMALL_STATE(7942)] = 350574,
  [SMALL_STATE(7943)] = 350596,
  [SMALL_STATE(7944)] = 350618,
  [SMALL_STATE(7945)] = 350640,
  [SMALL_STATE(7946)] = 350662,
  [SMALL_STATE(7947)] = 350684,
  [SMALL_STATE(7948)] = 350706,
  [SMALL_STATE(7949)] = 350728,
  [SMALL_STATE(7950)] = 350762,
  [SMALL_STATE(7951)] = 350784,
  [SMALL_STATE(7952)] = 350806,
  [SMALL_STATE(7953)] = 350828,
  [SMALL_STATE(7954)] = 350850,
  [SMALL_STATE(7955)] = 350872,
  [SMALL_STATE(7956)] = 350894,
  [SMALL_STATE(7957)] = 350916,
  [SMALL_STATE(7958)] = 350938,
  [SMALL_STATE(7959)] = 350960,
  [SMALL_STATE(7960)] = 350982,
  [SMALL_STATE(7961)] = 351022,
  [SMALL_STATE(7962)] = 351044,
  [SMALL_STATE(7963)] = 351066,
  [SMALL_STATE(7964)] = 351088,
  [SMALL_STATE(7965)] = 351110,
  [SMALL_STATE(7966)] = 351132,
  [SMALL_STATE(7967)] = 351154,
  [SMALL_STATE(7968)] = 351176,
  [SMALL_STATE(7969)] = 351198,
  [SMALL_STATE(7970)] = 351238,
  [SMALL_STATE(7971)] = 351260,
  [SMALL_STATE(7972)] = 351282,
  [SMALL_STATE(7973)] = 351322,
  [SMALL_STATE(7974)] = 351344,
  [SMALL_STATE(7975)] = 351366,
  [SMALL_STATE(7976)] = 351392,
  [SMALL_STATE(7977)] = 351426,
  [SMALL_STATE(7978)] = 351448,
  [SMALL_STATE(7979)] = 351482,
  [SMALL_STATE(7980)] = 351504,
  [SMALL_STATE(7981)] = 351530,
  [SMALL_STATE(7982)] = 351552,
  [SMALL_STATE(7983)] = 351574,
  [SMALL_STATE(7984)] = 351596,
  [SMALL_STATE(7985)] = 351636,
  [SMALL_STATE(7986)] = 351670,
  [SMALL_STATE(7987)] = 351704,
  [SMALL_STATE(7988)] = 351726,
  [SMALL_STATE(7989)] = 351760,
  [SMALL_STATE(7990)] = 351782,
  [SMALL_STATE(7991)] = 351804,
  [SMALL_STATE(7992)] = 351826,
  [SMALL_STATE(7993)] = 351848,
  [SMALL_STATE(7994)] = 351870,
  [SMALL_STATE(7995)] = 351892,
  [SMALL_STATE(7996)] = 351926,
  [SMALL_STATE(7997)] = 351948,
  [SMALL_STATE(7998)] = 351970,
  [SMALL_STATE(7999)] = 352004,
  [SMALL_STATE(8000)] = 352026,
  [SMALL_STATE(8001)] = 352048,
  [SMALL_STATE(8002)] = 352070,
  [SMALL_STATE(8003)] = 352092,
  [SMALL_STATE(8004)] = 352114,
  [SMALL_STATE(8005)] = 352148,
  [SMALL_STATE(8006)] = 352170,
  [SMALL_STATE(8007)] = 352192,
  [SMALL_STATE(8008)] = 352214,
  [SMALL_STATE(8009)] = 352236,
  [SMALL_STATE(8010)] = 352258,
  [SMALL_STATE(8011)] = 352292,
  [SMALL_STATE(8012)] = 352314,
  [SMALL_STATE(8013)] = 352344,
  [SMALL_STATE(8014)] = 352378,
  [SMALL_STATE(8015)] = 352418,
  [SMALL_STATE(8016)] = 352440,
  [SMALL_STATE(8017)] = 352462,
  [SMALL_STATE(8018)] = 352484,
  [SMALL_STATE(8019)] = 352518,
  [SMALL_STATE(8020)] = 352540,
  [SMALL_STATE(8021)] = 352562,
  [SMALL_STATE(8022)] = 352596,
  [SMALL_STATE(8023)] = 352618,
  [SMALL_STATE(8024)] = 352652,
  [SMALL_STATE(8025)] = 352686,
  [SMALL_STATE(8026)] = 352720,
  [SMALL_STATE(8027)] = 352754,
  [SMALL_STATE(8028)] = 352788,
  [SMALL_STATE(8029)] = 352828,
  [SMALL_STATE(8030)] = 352862,
  [SMALL_STATE(8031)] = 352902,
  [SMALL_STATE(8032)] = 352924,
  [SMALL_STATE(8033)] = 352958,
  [SMALL_STATE(8034)] = 352992,
  [SMALL_STATE(8035)] = 353026,
  [SMALL_STATE(8036)] = 353060,
  [SMALL_STATE(8037)] = 353100,
  [SMALL_STATE(8038)] = 353140,
  [SMALL_STATE(8039)] = 353174,
  [SMALL_STATE(8040)] = 353208,
  [SMALL_STATE(8041)] = 353230,
  [SMALL_STATE(8042)] = 353264,
  [SMALL_STATE(8043)] = 353304,
  [SMALL_STATE(8044)] = 353326,
  [SMALL_STATE(8045)] = 353360,
  [SMALL_STATE(8046)] = 353394,
  [SMALL_STATE(8047)] = 353428,
  [SMALL_STATE(8048)] = 353462,
  [SMALL_STATE(8049)] = 353496,
  [SMALL_STATE(8050)] = 353530,
  [SMALL_STATE(8051)] = 353552,
  [SMALL_STATE(8052)] = 353586,
  [SMALL_STATE(8053)] = 353626,
  [SMALL_STATE(8054)] = 353648,
  [SMALL_STATE(8055)] = 353670,
  [SMALL_STATE(8056)] = 353704,
  [SMALL_STATE(8057)] = 353744,
  [SMALL_STATE(8058)] = 353784,
  [SMALL_STATE(8059)] = 353818,
  [SMALL_STATE(8060)] = 353852,
  [SMALL_STATE(8061)] = 353886,
  [SMALL_STATE(8062)] = 353908,
  [SMALL_STATE(8063)] = 353930,
  [SMALL_STATE(8064)] = 353952,
  [SMALL_STATE(8065)] = 353974,
  [SMALL_STATE(8066)] = 354008,
  [SMALL_STATE(8067)] = 354030,
  [SMALL_STATE(8068)] = 354064,
  [SMALL_STATE(8069)] = 354098,
  [SMALL_STATE(8070)] = 354120,
  [SMALL_STATE(8071)] = 354154,
  [SMALL_STATE(8072)] = 354188,
  [SMALL_STATE(8073)] = 354222,
  [SMALL_STATE(8074)] = 354256,
  [SMALL_STATE(8075)] = 354290,
  [SMALL_STATE(8076)] = 354324,
  [SMALL_STATE(8077)] = 354358,
  [SMALL_STATE(8078)] = 354392,
  [SMALL_STATE(8079)] = 354426,
  [SMALL_STATE(8080)] = 354460,
  [SMALL_STATE(8081)] = 354494,
  [SMALL_STATE(8082)] = 354518,
  [SMALL_STATE(8083)] = 354552,
  [SMALL_STATE(8084)] = 354586,
  [SMALL_STATE(8085)] = 354620,
  [SMALL_STATE(8086)] = 354654,
  [SMALL_STATE(8087)] = 354688,
  [SMALL_STATE(8088)] = 354722,
  [SMALL_STATE(8089)] = 354756,
  [SMALL_STATE(8090)] = 354778,
  [SMALL_STATE(8091)] = 354818,
  [SMALL_STATE(8092)] = 354852,
  [SMALL_STATE(8093)] = 354886,
  [SMALL_STATE(8094)] = 354920,
  [SMALL_STATE(8095)] = 354954,
  [SMALL_STATE(8096)] = 354988,
  [SMALL_STATE(8097)] = 355022,
  [SMALL_STATE(8098)] = 355056,
  [SMALL_STATE(8099)] = 355090,
  [SMALL_STATE(8100)] = 355124,
  [SMALL_STATE(8101)] = 355158,
  [SMALL_STATE(8102)] = 355180,
  [SMALL_STATE(8103)] = 355220,
  [SMALL_STATE(8104)] = 355242,
  [SMALL_STATE(8105)] = 355276,
  [SMALL_STATE(8106)] = 355310,
  [SMALL_STATE(8107)] = 355336,
  [SMALL_STATE(8108)] = 355358,
  [SMALL_STATE(8109)] = 355392,
  [SMALL_STATE(8110)] = 355414,
  [SMALL_STATE(8111)] = 355440,
  [SMALL_STATE(8112)] = 355474,
  [SMALL_STATE(8113)] = 355508,
  [SMALL_STATE(8114)] = 355530,
  [SMALL_STATE(8115)] = 355556,
  [SMALL_STATE(8116)] = 355578,
  [SMALL_STATE(8117)] = 355602,
  [SMALL_STATE(8118)] = 355636,
  [SMALL_STATE(8119)] = 355670,
  [SMALL_STATE(8120)] = 355710,
  [SMALL_STATE(8121)] = 355744,
  [SMALL_STATE(8122)] = 355778,
  [SMALL_STATE(8123)] = 355812,
  [SMALL_STATE(8124)] = 355834,
  [SMALL_STATE(8125)] = 355868,
  [SMALL_STATE(8126)] = 355902,
  [SMALL_STATE(8127)] = 355936,
  [SMALL_STATE(8128)] = 355976,
  [SMALL_STATE(8129)] = 356006,
  [SMALL_STATE(8130)] = 356040,
  [SMALL_STATE(8131)] = 356062,
  [SMALL_STATE(8132)] = 356096,
  [SMALL_STATE(8133)] = 356130,
  [SMALL_STATE(8134)] = 356164,
  [SMALL_STATE(8135)] = 356198,
  [SMALL_STATE(8136)] = 356232,
  [SMALL_STATE(8137)] = 356266,
  [SMALL_STATE(8138)] = 356300,
  [SMALL_STATE(8139)] = 356326,
  [SMALL_STATE(8140)] = 356360,
  [SMALL_STATE(8141)] = 356400,
  [SMALL_STATE(8142)] = 356424,
  [SMALL_STATE(8143)] = 356446,
  [SMALL_STATE(8144)] = 356468,
  [SMALL_STATE(8145)] = 356490,
  [SMALL_STATE(8146)] = 356512,
  [SMALL_STATE(8147)] = 356534,
  [SMALL_STATE(8148)] = 356568,
  [SMALL_STATE(8149)] = 356590,
  [SMALL_STATE(8150)] = 356612,
  [SMALL_STATE(8151)] = 356634,
  [SMALL_STATE(8152)] = 356668,
  [SMALL_STATE(8153)] = 356690,
  [SMALL_STATE(8154)] = 356724,
  [SMALL_STATE(8155)] = 356746,
  [SMALL_STATE(8156)] = 356768,
  [SMALL_STATE(8157)] = 356790,
  [SMALL_STATE(8158)] = 356812,
  [SMALL_STATE(8159)] = 356838,
  [SMALL_STATE(8160)] = 356860,
  [SMALL_STATE(8161)] = 356900,
  [SMALL_STATE(8162)] = 356940,
  [SMALL_STATE(8163)] = 356962,
  [SMALL_STATE(8164)] = 356984,
  [SMALL_STATE(8165)] = 357018,
  [SMALL_STATE(8166)] = 357052,
  [SMALL_STATE(8167)] = 357076,
  [SMALL_STATE(8168)] = 357098,
  [SMALL_STATE(8169)] = 357124,
  [SMALL_STATE(8170)] = 357146,
  [SMALL_STATE(8171)] = 357168,
  [SMALL_STATE(8172)] = 357190,
  [SMALL_STATE(8173)] = 357224,
  [SMALL_STATE(8174)] = 357258,
  [SMALL_STATE(8175)] = 357280,
  [SMALL_STATE(8176)] = 357302,
  [SMALL_STATE(8177)] = 357324,
  [SMALL_STATE(8178)] = 357346,
  [SMALL_STATE(8179)] = 357380,
  [SMALL_STATE(8180)] = 357410,
  [SMALL_STATE(8181)] = 357450,
  [SMALL_STATE(8182)] = 357472,
  [SMALL_STATE(8183)] = 357504,
  [SMALL_STATE(8184)] = 357538,
  [SMALL_STATE(8185)] = 357559,
  [SMALL_STATE(8186)] = 357582,
  [SMALL_STATE(8187)] = 357605,
  [SMALL_STATE(8188)] = 357626,
  [SMALL_STATE(8189)] = 357649,
  [SMALL_STATE(8190)] = 357670,
  [SMALL_STATE(8191)] = 357695,
  [SMALL_STATE(8192)] = 357716,
  [SMALL_STATE(8193)] = 357737,
  [SMALL_STATE(8194)] = 357762,
  [SMALL_STATE(8195)] = 357783,
  [SMALL_STATE(8196)] = 357804,
  [SMALL_STATE(8197)] = 357827,
  [SMALL_STATE(8198)] = 357848,
  [SMALL_STATE(8199)] = 357869,
  [SMALL_STATE(8200)] = 357894,
  [SMALL_STATE(8201)] = 357925,
  [SMALL_STATE(8202)] = 357946,
  [SMALL_STATE(8203)] = 357967,
  [SMALL_STATE(8204)] = 357988,
  [SMALL_STATE(8205)] = 358013,
  [SMALL_STATE(8206)] = 358034,
  [SMALL_STATE(8207)] = 358057,
  [SMALL_STATE(8208)] = 358082,
  [SMALL_STATE(8209)] = 358107,
  [SMALL_STATE(8210)] = 358132,
  [SMALL_STATE(8211)] = 358153,
  [SMALL_STATE(8212)] = 358178,
  [SMALL_STATE(8213)] = 358199,
  [SMALL_STATE(8214)] = 358222,
  [SMALL_STATE(8215)] = 358245,
  [SMALL_STATE(8216)] = 358270,
  [SMALL_STATE(8217)] = 358295,
  [SMALL_STATE(8218)] = 358316,
  [SMALL_STATE(8219)] = 358337,
  [SMALL_STATE(8220)] = 358362,
  [SMALL_STATE(8221)] = 358387,
  [SMALL_STATE(8222)] = 358408,
  [SMALL_STATE(8223)] = 358433,
  [SMALL_STATE(8224)] = 358458,
  [SMALL_STATE(8225)] = 358483,
  [SMALL_STATE(8226)] = 358504,
  [SMALL_STATE(8227)] = 358525,
  [SMALL_STATE(8228)] = 358548,
  [SMALL_STATE(8229)] = 358573,
  [SMALL_STATE(8230)] = 358602,
  [SMALL_STATE(8231)] = 358623,
  [SMALL_STATE(8232)] = 358644,
  [SMALL_STATE(8233)] = 358669,
  [SMALL_STATE(8234)] = 358690,
  [SMALL_STATE(8235)] = 358715,
  [SMALL_STATE(8236)] = 358740,
  [SMALL_STATE(8237)] = 358761,
  [SMALL_STATE(8238)] = 358786,
  [SMALL_STATE(8239)] = 358807,
  [SMALL_STATE(8240)] = 358828,
  [SMALL_STATE(8241)] = 358853,
  [SMALL_STATE(8242)] = 358874,
  [SMALL_STATE(8243)] = 358895,
  [SMALL_STATE(8244)] = 358916,
  [SMALL_STATE(8245)] = 358937,
  [SMALL_STATE(8246)] = 358958,
  [SMALL_STATE(8247)] = 358981,
  [SMALL_STATE(8248)] = 359006,
  [SMALL_STATE(8249)] = 359031,
  [SMALL_STATE(8250)] = 359052,
  [SMALL_STATE(8251)] = 359073,
  [SMALL_STATE(8252)] = 359094,
  [SMALL_STATE(8253)] = 359115,
  [SMALL_STATE(8254)] = 359136,
  [SMALL_STATE(8255)] = 359161,
  [SMALL_STATE(8256)] = 359182,
  [SMALL_STATE(8257)] = 359205,
  [SMALL_STATE(8258)] = 359228,
  [SMALL_STATE(8259)] = 359251,
  [SMALL_STATE(8260)] = 359272,
  [SMALL_STATE(8261)] = 359293,
  [SMALL_STATE(8262)] = 359318,
  [SMALL_STATE(8263)] = 359339,
  [SMALL_STATE(8264)] = 359362,
  [SMALL_STATE(8265)] = 359383,
  [SMALL_STATE(8266)] = 359404,
  [SMALL_STATE(8267)] = 359425,
  [SMALL_STATE(8268)] = 359450,
  [SMALL_STATE(8269)] = 359471,
  [SMALL_STATE(8270)] = 359492,
  [SMALL_STATE(8271)] = 359513,
  [SMALL_STATE(8272)] = 359538,
  [SMALL_STATE(8273)] = 359559,
  [SMALL_STATE(8274)] = 359584,
  [SMALL_STATE(8275)] = 359605,
  [SMALL_STATE(8276)] = 359626,
  [SMALL_STATE(8277)] = 359651,
  [SMALL_STATE(8278)] = 359674,
  [SMALL_STATE(8279)] = 359699,
  [SMALL_STATE(8280)] = 359720,
  [SMALL_STATE(8281)] = 359741,
  [SMALL_STATE(8282)] = 359762,
  [SMALL_STATE(8283)] = 359783,
  [SMALL_STATE(8284)] = 359804,
  [SMALL_STATE(8285)] = 359825,
  [SMALL_STATE(8286)] = 359850,
  [SMALL_STATE(8287)] = 359871,
  [SMALL_STATE(8288)] = 359892,
  [SMALL_STATE(8289)] = 359917,
  [SMALL_STATE(8290)] = 359938,
  [SMALL_STATE(8291)] = 359959,
  [SMALL_STATE(8292)] = 359980,
  [SMALL_STATE(8293)] = 360009,
  [SMALL_STATE(8294)] = 360030,
  [SMALL_STATE(8295)] = 360051,
  [SMALL_STATE(8296)] = 360072,
  [SMALL_STATE(8297)] = 360093,
  [SMALL_STATE(8298)] = 360114,
  [SMALL_STATE(8299)] = 360139,
  [SMALL_STATE(8300)] = 360160,
  [SMALL_STATE(8301)] = 360181,
  [SMALL_STATE(8302)] = 360202,
  [SMALL_STATE(8303)] = 360223,
  [SMALL_STATE(8304)] = 360248,
  [SMALL_STATE(8305)] = 360269,
  [SMALL_STATE(8306)] = 360290,
  [SMALL_STATE(8307)] = 360311,
  [SMALL_STATE(8308)] = 360334,
  [SMALL_STATE(8309)] = 360355,
  [SMALL_STATE(8310)] = 360376,
  [SMALL_STATE(8311)] = 360397,
  [SMALL_STATE(8312)] = 360422,
  [SMALL_STATE(8313)] = 360443,
  [SMALL_STATE(8314)] = 360464,
  [SMALL_STATE(8315)] = 360485,
  [SMALL_STATE(8316)] = 360506,
  [SMALL_STATE(8317)] = 360527,
  [SMALL_STATE(8318)] = 360552,
  [SMALL_STATE(8319)] = 360573,
  [SMALL_STATE(8320)] = 360594,
  [SMALL_STATE(8321)] = 360619,
  [SMALL_STATE(8322)] = 360644,
  [SMALL_STATE(8323)] = 360665,
  [SMALL_STATE(8324)] = 360686,
  [SMALL_STATE(8325)] = 360707,
  [SMALL_STATE(8326)] = 360732,
  [SMALL_STATE(8327)] = 360753,
  [SMALL_STATE(8328)] = 360774,
  [SMALL_STATE(8329)] = 360795,
  [SMALL_STATE(8330)] = 360816,
  [SMALL_STATE(8331)] = 360837,
  [SMALL_STATE(8332)] = 360862,
  [SMALL_STATE(8333)] = 360883,
  [SMALL_STATE(8334)] = 360906,
  [SMALL_STATE(8335)] = 360927,
  [SMALL_STATE(8336)] = 360962,
  [SMALL_STATE(8337)] = 360987,
  [SMALL_STATE(8338)] = 361008,
  [SMALL_STATE(8339)] = 361033,
  [SMALL_STATE(8340)] = 361054,
  [SMALL_STATE(8341)] = 361075,
  [SMALL_STATE(8342)] = 361100,
  [SMALL_STATE(8343)] = 361123,
  [SMALL_STATE(8344)] = 361148,
  [SMALL_STATE(8345)] = 361173,
  [SMALL_STATE(8346)] = 361194,
  [SMALL_STATE(8347)] = 361217,
  [SMALL_STATE(8348)] = 361242,
  [SMALL_STATE(8349)] = 361263,
  [SMALL_STATE(8350)] = 361284,
  [SMALL_STATE(8351)] = 361305,
  [SMALL_STATE(8352)] = 361332,
  [SMALL_STATE(8353)] = 361357,
  [SMALL_STATE(8354)] = 361378,
  [SMALL_STATE(8355)] = 361399,
  [SMALL_STATE(8356)] = 361420,
  [SMALL_STATE(8357)] = 361441,
  [SMALL_STATE(8358)] = 361462,
  [SMALL_STATE(8359)] = 361483,
  [SMALL_STATE(8360)] = 361504,
  [SMALL_STATE(8361)] = 361525,
  [SMALL_STATE(8362)] = 361550,
  [SMALL_STATE(8363)] = 361571,
  [SMALL_STATE(8364)] = 361592,
  [SMALL_STATE(8365)] = 361615,
  [SMALL_STATE(8366)] = 361636,
  [SMALL_STATE(8367)] = 361657,
  [SMALL_STATE(8368)] = 361678,
  [SMALL_STATE(8369)] = 361699,
  [SMALL_STATE(8370)] = 361720,
  [SMALL_STATE(8371)] = 361741,
  [SMALL_STATE(8372)] = 361762,
  [SMALL_STATE(8373)] = 361787,
  [SMALL_STATE(8374)] = 361822,
  [SMALL_STATE(8375)] = 361843,
  [SMALL_STATE(8376)] = 361864,
  [SMALL_STATE(8377)] = 361885,
  [SMALL_STATE(8378)] = 361906,
  [SMALL_STATE(8379)] = 361927,
  [SMALL_STATE(8380)] = 361950,
  [SMALL_STATE(8381)] = 361971,
  [SMALL_STATE(8382)] = 361992,
  [SMALL_STATE(8383)] = 362013,
  [SMALL_STATE(8384)] = 362034,
  [SMALL_STATE(8385)] = 362055,
  [SMALL_STATE(8386)] = 362076,
  [SMALL_STATE(8387)] = 362097,
  [SMALL_STATE(8388)] = 362118,
  [SMALL_STATE(8389)] = 362143,
  [SMALL_STATE(8390)] = 362164,
  [SMALL_STATE(8391)] = 362187,
  [SMALL_STATE(8392)] = 362208,
  [SMALL_STATE(8393)] = 362229,
  [SMALL_STATE(8394)] = 362250,
  [SMALL_STATE(8395)] = 362273,
  [SMALL_STATE(8396)] = 362294,
  [SMALL_STATE(8397)] = 362317,
  [SMALL_STATE(8398)] = 362338,
  [SMALL_STATE(8399)] = 362359,
  [SMALL_STATE(8400)] = 362380,
  [SMALL_STATE(8401)] = 362401,
  [SMALL_STATE(8402)] = 362426,
  [SMALL_STATE(8403)] = 362447,
  [SMALL_STATE(8404)] = 362468,
  [SMALL_STATE(8405)] = 362489,
  [SMALL_STATE(8406)] = 362510,
  [SMALL_STATE(8407)] = 362531,
  [SMALL_STATE(8408)] = 362552,
  [SMALL_STATE(8409)] = 362573,
  [SMALL_STATE(8410)] = 362594,
  [SMALL_STATE(8411)] = 362619,
  [SMALL_STATE(8412)] = 362640,
  [SMALL_STATE(8413)] = 362661,
  [SMALL_STATE(8414)] = 362682,
  [SMALL_STATE(8415)] = 362703,
  [SMALL_STATE(8416)] = 362724,
  [SMALL_STATE(8417)] = 362747,
  [SMALL_STATE(8418)] = 362770,
  [SMALL_STATE(8419)] = 362795,
  [SMALL_STATE(8420)] = 362816,
  [SMALL_STATE(8421)] = 362847,
  [SMALL_STATE(8422)] = 362868,
  [SMALL_STATE(8423)] = 362889,
  [SMALL_STATE(8424)] = 362910,
  [SMALL_STATE(8425)] = 362931,
  [SMALL_STATE(8426)] = 362952,
  [SMALL_STATE(8427)] = 362973,
  [SMALL_STATE(8428)] = 362994,
  [SMALL_STATE(8429)] = 363015,
  [SMALL_STATE(8430)] = 363036,
  [SMALL_STATE(8431)] = 363057,
  [SMALL_STATE(8432)] = 363078,
  [SMALL_STATE(8433)] = 363099,
  [SMALL_STATE(8434)] = 363122,
  [SMALL_STATE(8435)] = 363143,
  [SMALL_STATE(8436)] = 363164,
  [SMALL_STATE(8437)] = 363185,
  [SMALL_STATE(8438)] = 363206,
  [SMALL_STATE(8439)] = 363229,
  [SMALL_STATE(8440)] = 363252,
  [SMALL_STATE(8441)] = 363273,
  [SMALL_STATE(8442)] = 363294,
  [SMALL_STATE(8443)] = 363315,
  [SMALL_STATE(8444)] = 363336,
  [SMALL_STATE(8445)] = 363357,
  [SMALL_STATE(8446)] = 363378,
  [SMALL_STATE(8447)] = 363399,
  [SMALL_STATE(8448)] = 363420,
  [SMALL_STATE(8449)] = 363441,
  [SMALL_STATE(8450)] = 363462,
  [SMALL_STATE(8451)] = 363483,
  [SMALL_STATE(8452)] = 363504,
  [SMALL_STATE(8453)] = 363525,
  [SMALL_STATE(8454)] = 363548,
  [SMALL_STATE(8455)] = 363569,
  [SMALL_STATE(8456)] = 363590,
  [SMALL_STATE(8457)] = 363613,
  [SMALL_STATE(8458)] = 363634,
  [SMALL_STATE(8459)] = 363655,
  [SMALL_STATE(8460)] = 363676,
  [SMALL_STATE(8461)] = 363697,
  [SMALL_STATE(8462)] = 363718,
  [SMALL_STATE(8463)] = 363743,
  [SMALL_STATE(8464)] = 363764,
  [SMALL_STATE(8465)] = 363785,
  [SMALL_STATE(8466)] = 363806,
  [SMALL_STATE(8467)] = 363827,
  [SMALL_STATE(8468)] = 363848,
  [SMALL_STATE(8469)] = 363869,
  [SMALL_STATE(8470)] = 363890,
  [SMALL_STATE(8471)] = 363911,
  [SMALL_STATE(8472)] = 363932,
  [SMALL_STATE(8473)] = 363953,
  [SMALL_STATE(8474)] = 363974,
  [SMALL_STATE(8475)] = 363999,
  [SMALL_STATE(8476)] = 364022,
  [SMALL_STATE(8477)] = 364049,
  [SMALL_STATE(8478)] = 364070,
  [SMALL_STATE(8479)] = 364093,
  [SMALL_STATE(8480)] = 364114,
  [SMALL_STATE(8481)] = 364135,
  [SMALL_STATE(8482)] = 364156,
  [SMALL_STATE(8483)] = 364181,
  [SMALL_STATE(8484)] = 364204,
  [SMALL_STATE(8485)] = 364225,
  [SMALL_STATE(8486)] = 364246,
  [SMALL_STATE(8487)] = 364267,
  [SMALL_STATE(8488)] = 364288,
  [SMALL_STATE(8489)] = 364309,
  [SMALL_STATE(8490)] = 364332,
  [SMALL_STATE(8491)] = 364353,
  [SMALL_STATE(8492)] = 364378,
  [SMALL_STATE(8493)] = 364399,
  [SMALL_STATE(8494)] = 364420,
  [SMALL_STATE(8495)] = 364441,
  [SMALL_STATE(8496)] = 364462,
  [SMALL_STATE(8497)] = 364483,
  [SMALL_STATE(8498)] = 364504,
  [SMALL_STATE(8499)] = 364525,
  [SMALL_STATE(8500)] = 364546,
  [SMALL_STATE(8501)] = 364571,
  [SMALL_STATE(8502)] = 364592,
  [SMALL_STATE(8503)] = 364615,
  [SMALL_STATE(8504)] = 364636,
  [SMALL_STATE(8505)] = 364657,
  [SMALL_STATE(8506)] = 364682,
  [SMALL_STATE(8507)] = 364703,
  [SMALL_STATE(8508)] = 364724,
  [SMALL_STATE(8509)] = 364745,
  [SMALL_STATE(8510)] = 364766,
  [SMALL_STATE(8511)] = 364787,
  [SMALL_STATE(8512)] = 364808,
  [SMALL_STATE(8513)] = 364829,
  [SMALL_STATE(8514)] = 364852,
  [SMALL_STATE(8515)] = 364873,
  [SMALL_STATE(8516)] = 364894,
  [SMALL_STATE(8517)] = 364919,
  [SMALL_STATE(8518)] = 364940,
  [SMALL_STATE(8519)] = 364961,
  [SMALL_STATE(8520)] = 364982,
  [SMALL_STATE(8521)] = 365003,
  [SMALL_STATE(8522)] = 365024,
  [SMALL_STATE(8523)] = 365045,
  [SMALL_STATE(8524)] = 365066,
  [SMALL_STATE(8525)] = 365087,
  [SMALL_STATE(8526)] = 365108,
  [SMALL_STATE(8527)] = 365131,
  [SMALL_STATE(8528)] = 365162,
  [SMALL_STATE(8529)] = 365183,
  [SMALL_STATE(8530)] = 365206,
  [SMALL_STATE(8531)] = 365229,
  [SMALL_STATE(8532)] = 365250,
  [SMALL_STATE(8533)] = 365271,
  [SMALL_STATE(8534)] = 365292,
  [SMALL_STATE(8535)] = 365313,
  [SMALL_STATE(8536)] = 365334,
  [SMALL_STATE(8537)] = 365355,
  [SMALL_STATE(8538)] = 365376,
  [SMALL_STATE(8539)] = 365401,
  [SMALL_STATE(8540)] = 365422,
  [SMALL_STATE(8541)] = 365443,
  [SMALL_STATE(8542)] = 365464,
  [SMALL_STATE(8543)] = 365485,
  [SMALL_STATE(8544)] = 365506,
  [SMALL_STATE(8545)] = 365527,
  [SMALL_STATE(8546)] = 365548,
  [SMALL_STATE(8547)] = 365569,
  [SMALL_STATE(8548)] = 365590,
  [SMALL_STATE(8549)] = 365625,
  [SMALL_STATE(8550)] = 365646,
  [SMALL_STATE(8551)] = 365669,
  [SMALL_STATE(8552)] = 365690,
  [SMALL_STATE(8553)] = 365715,
  [SMALL_STATE(8554)] = 365736,
  [SMALL_STATE(8555)] = 365756,
  [SMALL_STATE(8556)] = 365776,
  [SMALL_STATE(8557)] = 365796,
  [SMALL_STATE(8558)] = 365816,
  [SMALL_STATE(8559)] = 365836,
  [SMALL_STATE(8560)] = 365856,
  [SMALL_STATE(8561)] = 365876,
  [SMALL_STATE(8562)] = 365896,
  [SMALL_STATE(8563)] = 365916,
  [SMALL_STATE(8564)] = 365936,
  [SMALL_STATE(8565)] = 365956,
  [SMALL_STATE(8566)] = 365976,
  [SMALL_STATE(8567)] = 365996,
  [SMALL_STATE(8568)] = 366016,
  [SMALL_STATE(8569)] = 366036,
  [SMALL_STATE(8570)] = 366056,
  [SMALL_STATE(8571)] = 366076,
  [SMALL_STATE(8572)] = 366096,
  [SMALL_STATE(8573)] = 366116,
  [SMALL_STATE(8574)] = 366136,
  [SMALL_STATE(8575)] = 366156,
  [SMALL_STATE(8576)] = 366176,
  [SMALL_STATE(8577)] = 366196,
  [SMALL_STATE(8578)] = 366216,
  [SMALL_STATE(8579)] = 366236,
  [SMALL_STATE(8580)] = 366256,
  [SMALL_STATE(8581)] = 366278,
  [SMALL_STATE(8582)] = 366298,
  [SMALL_STATE(8583)] = 366318,
  [SMALL_STATE(8584)] = 366338,
  [SMALL_STATE(8585)] = 366358,
  [SMALL_STATE(8586)] = 366378,
  [SMALL_STATE(8587)] = 366398,
  [SMALL_STATE(8588)] = 366418,
  [SMALL_STATE(8589)] = 366438,
  [SMALL_STATE(8590)] = 366458,
  [SMALL_STATE(8591)] = 366478,
  [SMALL_STATE(8592)] = 366498,
  [SMALL_STATE(8593)] = 366518,
  [SMALL_STATE(8594)] = 366538,
  [SMALL_STATE(8595)] = 366558,
  [SMALL_STATE(8596)] = 366578,
  [SMALL_STATE(8597)] = 366598,
  [SMALL_STATE(8598)] = 366618,
  [SMALL_STATE(8599)] = 366638,
  [SMALL_STATE(8600)] = 366658,
  [SMALL_STATE(8601)] = 366692,
  [SMALL_STATE(8602)] = 366712,
  [SMALL_STATE(8603)] = 366732,
  [SMALL_STATE(8604)] = 366756,
  [SMALL_STATE(8605)] = 366776,
  [SMALL_STATE(8606)] = 366796,
  [SMALL_STATE(8607)] = 366816,
  [SMALL_STATE(8608)] = 366836,
  [SMALL_STATE(8609)] = 366856,
  [SMALL_STATE(8610)] = 366876,
  [SMALL_STATE(8611)] = 366896,
  [SMALL_STATE(8612)] = 366916,
  [SMALL_STATE(8613)] = 366936,
  [SMALL_STATE(8614)] = 366956,
  [SMALL_STATE(8615)] = 366976,
  [SMALL_STATE(8616)] = 366996,
  [SMALL_STATE(8617)] = 367016,
  [SMALL_STATE(8618)] = 367036,
  [SMALL_STATE(8619)] = 367056,
  [SMALL_STATE(8620)] = 367076,
  [SMALL_STATE(8621)] = 367096,
  [SMALL_STATE(8622)] = 367116,
  [SMALL_STATE(8623)] = 367136,
  [SMALL_STATE(8624)] = 367156,
  [SMALL_STATE(8625)] = 367176,
  [SMALL_STATE(8626)] = 367196,
  [SMALL_STATE(8627)] = 367230,
  [SMALL_STATE(8628)] = 367250,
  [SMALL_STATE(8629)] = 367270,
  [SMALL_STATE(8630)] = 367290,
  [SMALL_STATE(8631)] = 367310,
  [SMALL_STATE(8632)] = 367330,
  [SMALL_STATE(8633)] = 367350,
  [SMALL_STATE(8634)] = 367370,
  [SMALL_STATE(8635)] = 367392,
  [SMALL_STATE(8636)] = 367412,
  [SMALL_STATE(8637)] = 367434,
  [SMALL_STATE(8638)] = 367454,
  [SMALL_STATE(8639)] = 367478,
  [SMALL_STATE(8640)] = 367512,
  [SMALL_STATE(8641)] = 367532,
  [SMALL_STATE(8642)] = 367552,
  [SMALL_STATE(8643)] = 367572,
  [SMALL_STATE(8644)] = 367592,
  [SMALL_STATE(8645)] = 367612,
  [SMALL_STATE(8646)] = 367632,
  [SMALL_STATE(8647)] = 367652,
  [SMALL_STATE(8648)] = 367672,
  [SMALL_STATE(8649)] = 367692,
  [SMALL_STATE(8650)] = 367714,
  [SMALL_STATE(8651)] = 367734,
  [SMALL_STATE(8652)] = 367768,
  [SMALL_STATE(8653)] = 367788,
  [SMALL_STATE(8654)] = 367812,
  [SMALL_STATE(8655)] = 367832,
  [SMALL_STATE(8656)] = 367852,
  [SMALL_STATE(8657)] = 367872,
  [SMALL_STATE(8658)] = 367892,
  [SMALL_STATE(8659)] = 367912,
  [SMALL_STATE(8660)] = 367936,
  [SMALL_STATE(8661)] = 367956,
  [SMALL_STATE(8662)] = 367976,
  [SMALL_STATE(8663)] = 367996,
  [SMALL_STATE(8664)] = 368016,
  [SMALL_STATE(8665)] = 368036,
  [SMALL_STATE(8666)] = 368056,
  [SMALL_STATE(8667)] = 368076,
  [SMALL_STATE(8668)] = 368098,
  [SMALL_STATE(8669)] = 368122,
  [SMALL_STATE(8670)] = 368142,
  [SMALL_STATE(8671)] = 368166,
  [SMALL_STATE(8672)] = 368186,
  [SMALL_STATE(8673)] = 368206,
  [SMALL_STATE(8674)] = 368226,
  [SMALL_STATE(8675)] = 368246,
  [SMALL_STATE(8676)] = 368266,
  [SMALL_STATE(8677)] = 368286,
  [SMALL_STATE(8678)] = 368320,
  [SMALL_STATE(8679)] = 368340,
  [SMALL_STATE(8680)] = 368360,
  [SMALL_STATE(8681)] = 368380,
  [SMALL_STATE(8682)] = 368400,
  [SMALL_STATE(8683)] = 368420,
  [SMALL_STATE(8684)] = 368440,
  [SMALL_STATE(8685)] = 368460,
  [SMALL_STATE(8686)] = 368480,
  [SMALL_STATE(8687)] = 368500,
  [SMALL_STATE(8688)] = 368522,
  [SMALL_STATE(8689)] = 368542,
  [SMALL_STATE(8690)] = 368562,
  [SMALL_STATE(8691)] = 368582,
  [SMALL_STATE(8692)] = 368602,
  [SMALL_STATE(8693)] = 368622,
  [SMALL_STATE(8694)] = 368642,
  [SMALL_STATE(8695)] = 368662,
  [SMALL_STATE(8696)] = 368682,
  [SMALL_STATE(8697)] = 368702,
  [SMALL_STATE(8698)] = 368722,
  [SMALL_STATE(8699)] = 368742,
  [SMALL_STATE(8700)] = 368762,
  [SMALL_STATE(8701)] = 368786,
  [SMALL_STATE(8702)] = 368806,
  [SMALL_STATE(8703)] = 368826,
  [SMALL_STATE(8704)] = 368860,
  [SMALL_STATE(8705)] = 368880,
  [SMALL_STATE(8706)] = 368900,
  [SMALL_STATE(8707)] = 368920,
  [SMALL_STATE(8708)] = 368940,
  [SMALL_STATE(8709)] = 368960,
  [SMALL_STATE(8710)] = 368994,
  [SMALL_STATE(8711)] = 369014,
  [SMALL_STATE(8712)] = 369034,
  [SMALL_STATE(8713)] = 369054,
  [SMALL_STATE(8714)] = 369074,
  [SMALL_STATE(8715)] = 369094,
  [SMALL_STATE(8716)] = 369116,
  [SMALL_STATE(8717)] = 369136,
  [SMALL_STATE(8718)] = 369156,
  [SMALL_STATE(8719)] = 369176,
  [SMALL_STATE(8720)] = 369200,
  [SMALL_STATE(8721)] = 369220,
  [SMALL_STATE(8722)] = 369254,
  [SMALL_STATE(8723)] = 369274,
  [SMALL_STATE(8724)] = 369294,
  [SMALL_STATE(8725)] = 369314,
  [SMALL_STATE(8726)] = 369334,
  [SMALL_STATE(8727)] = 369354,
  [SMALL_STATE(8728)] = 369376,
  [SMALL_STATE(8729)] = 369396,
  [SMALL_STATE(8730)] = 369416,
  [SMALL_STATE(8731)] = 369450,
  [SMALL_STATE(8732)] = 369484,
  [SMALL_STATE(8733)] = 369504,
  [SMALL_STATE(8734)] = 369524,
  [SMALL_STATE(8735)] = 369544,
  [SMALL_STATE(8736)] = 369564,
  [SMALL_STATE(8737)] = 369584,
  [SMALL_STATE(8738)] = 369606,
  [SMALL_STATE(8739)] = 369626,
  [SMALL_STATE(8740)] = 369646,
  [SMALL_STATE(8741)] = 369666,
  [SMALL_STATE(8742)] = 369686,
  [SMALL_STATE(8743)] = 369706,
  [SMALL_STATE(8744)] = 369726,
  [SMALL_STATE(8745)] = 369746,
  [SMALL_STATE(8746)] = 369766,
  [SMALL_STATE(8747)] = 369786,
  [SMALL_STATE(8748)] = 369806,
  [SMALL_STATE(8749)] = 369826,
  [SMALL_STATE(8750)] = 369846,
  [SMALL_STATE(8751)] = 369866,
  [SMALL_STATE(8752)] = 369886,
  [SMALL_STATE(8753)] = 369906,
  [SMALL_STATE(8754)] = 369926,
  [SMALL_STATE(8755)] = 369960,
  [SMALL_STATE(8756)] = 369980,
  [SMALL_STATE(8757)] = 370000,
  [SMALL_STATE(8758)] = 370020,
  [SMALL_STATE(8759)] = 370042,
  [SMALL_STATE(8760)] = 370062,
  [SMALL_STATE(8761)] = 370082,
  [SMALL_STATE(8762)] = 370102,
  [SMALL_STATE(8763)] = 370122,
  [SMALL_STATE(8764)] = 370142,
  [SMALL_STATE(8765)] = 370162,
  [SMALL_STATE(8766)] = 370182,
  [SMALL_STATE(8767)] = 370202,
  [SMALL_STATE(8768)] = 370222,
  [SMALL_STATE(8769)] = 370248,
  [SMALL_STATE(8770)] = 370268,
  [SMALL_STATE(8771)] = 370288,
  [SMALL_STATE(8772)] = 370308,
  [SMALL_STATE(8773)] = 370330,
  [SMALL_STATE(8774)] = 370350,
  [SMALL_STATE(8775)] = 370370,
  [SMALL_STATE(8776)] = 370390,
  [SMALL_STATE(8777)] = 370410,
  [SMALL_STATE(8778)] = 370430,
  [SMALL_STATE(8779)] = 370450,
  [SMALL_STATE(8780)] = 370470,
  [SMALL_STATE(8781)] = 370490,
  [SMALL_STATE(8782)] = 370510,
  [SMALL_STATE(8783)] = 370534,
  [SMALL_STATE(8784)] = 370554,
  [SMALL_STATE(8785)] = 370574,
  [SMALL_STATE(8786)] = 370594,
  [SMALL_STATE(8787)] = 370614,
  [SMALL_STATE(8788)] = 370634,
  [SMALL_STATE(8789)] = 370668,
  [SMALL_STATE(8790)] = 370688,
  [SMALL_STATE(8791)] = 370708,
  [SMALL_STATE(8792)] = 370728,
  [SMALL_STATE(8793)] = 370748,
  [SMALL_STATE(8794)] = 370782,
  [SMALL_STATE(8795)] = 370802,
  [SMALL_STATE(8796)] = 370822,
  [SMALL_STATE(8797)] = 370842,
  [SMALL_STATE(8798)] = 370862,
  [SMALL_STATE(8799)] = 370882,
  [SMALL_STATE(8800)] = 370904,
  [SMALL_STATE(8801)] = 370924,
  [SMALL_STATE(8802)] = 370944,
  [SMALL_STATE(8803)] = 370964,
  [SMALL_STATE(8804)] = 370984,
  [SMALL_STATE(8805)] = 371004,
  [SMALL_STATE(8806)] = 371024,
  [SMALL_STATE(8807)] = 371044,
  [SMALL_STATE(8808)] = 371064,
  [SMALL_STATE(8809)] = 371084,
  [SMALL_STATE(8810)] = 371104,
  [SMALL_STATE(8811)] = 371124,
  [SMALL_STATE(8812)] = 371144,
  [SMALL_STATE(8813)] = 371164,
  [SMALL_STATE(8814)] = 371184,
  [SMALL_STATE(8815)] = 371218,
  [SMALL_STATE(8816)] = 371238,
  [SMALL_STATE(8817)] = 371258,
  [SMALL_STATE(8818)] = 371278,
  [SMALL_STATE(8819)] = 371298,
  [SMALL_STATE(8820)] = 371318,
  [SMALL_STATE(8821)] = 371338,
  [SMALL_STATE(8822)] = 371358,
  [SMALL_STATE(8823)] = 371378,
  [SMALL_STATE(8824)] = 371402,
  [SMALL_STATE(8825)] = 371436,
  [SMALL_STATE(8826)] = 371456,
  [SMALL_STATE(8827)] = 371476,
  [SMALL_STATE(8828)] = 371496,
  [SMALL_STATE(8829)] = 371530,
  [SMALL_STATE(8830)] = 371550,
  [SMALL_STATE(8831)] = 371570,
  [SMALL_STATE(8832)] = 371590,
  [SMALL_STATE(8833)] = 371610,
  [SMALL_STATE(8834)] = 371634,
  [SMALL_STATE(8835)] = 371654,
  [SMALL_STATE(8836)] = 371688,
  [SMALL_STATE(8837)] = 371710,
  [SMALL_STATE(8838)] = 371730,
  [SMALL_STATE(8839)] = 371750,
  [SMALL_STATE(8840)] = 371770,
  [SMALL_STATE(8841)] = 371790,
  [SMALL_STATE(8842)] = 371810,
  [SMALL_STATE(8843)] = 371830,
  [SMALL_STATE(8844)] = 371850,
  [SMALL_STATE(8845)] = 371870,
  [SMALL_STATE(8846)] = 371892,
  [SMALL_STATE(8847)] = 371912,
  [SMALL_STATE(8848)] = 371936,
  [SMALL_STATE(8849)] = 371956,
  [SMALL_STATE(8850)] = 371980,
  [SMALL_STATE(8851)] = 372000,
  [SMALL_STATE(8852)] = 372034,
  [SMALL_STATE(8853)] = 372061,
  [SMALL_STATE(8854)] = 372084,
  [SMALL_STATE(8855)] = 372111,
  [SMALL_STATE(8856)] = 372130,
  [SMALL_STATE(8857)] = 372157,
  [SMALL_STATE(8858)] = 372176,
  [SMALL_STATE(8859)] = 372203,
  [SMALL_STATE(8860)] = 372232,
  [SMALL_STATE(8861)] = 372259,
  [SMALL_STATE(8862)] = 372282,
  [SMALL_STATE(8863)] = 372311,
  [SMALL_STATE(8864)] = 372344,
  [SMALL_STATE(8865)] = 372371,
  [SMALL_STATE(8866)] = 372398,
  [SMALL_STATE(8867)] = 372419,
  [SMALL_STATE(8868)] = 372446,
  [SMALL_STATE(8869)] = 372465,
  [SMALL_STATE(8870)] = 372484,
  [SMALL_STATE(8871)] = 372513,
  [SMALL_STATE(8872)] = 372540,
  [SMALL_STATE(8873)] = 372559,
  [SMALL_STATE(8874)] = 372582,
  [SMALL_STATE(8875)] = 372601,
  [SMALL_STATE(8876)] = 372628,
  [SMALL_STATE(8877)] = 372647,
  [SMALL_STATE(8878)] = 372676,
  [SMALL_STATE(8879)] = 372703,
  [SMALL_STATE(8880)] = 372726,
  [SMALL_STATE(8881)] = 372753,
  [SMALL_STATE(8882)] = 372780,
  [SMALL_STATE(8883)] = 372803,
  [SMALL_STATE(8884)] = 372830,
  [SMALL_STATE(8885)] = 372849,
  [SMALL_STATE(8886)] = 372872,
  [SMALL_STATE(8887)] = 372899,
  [SMALL_STATE(8888)] = 372918,
  [SMALL_STATE(8889)] = 372937,
  [SMALL_STATE(8890)] = 372964,
  [SMALL_STATE(8891)] = 372987,
  [SMALL_STATE(8892)] = 373014,
  [SMALL_STATE(8893)] = 373035,
  [SMALL_STATE(8894)] = 373064,
  [SMALL_STATE(8895)] = 373093,
  [SMALL_STATE(8896)] = 373120,
  [SMALL_STATE(8897)] = 373139,
  [SMALL_STATE(8898)] = 373166,
  [SMALL_STATE(8899)] = 373185,
  [SMALL_STATE(8900)] = 373204,
  [SMALL_STATE(8901)] = 373233,
  [SMALL_STATE(8902)] = 373260,
  [SMALL_STATE(8903)] = 373279,
  [SMALL_STATE(8904)] = 373298,
  [SMALL_STATE(8905)] = 373321,
  [SMALL_STATE(8906)] = 373340,
  [SMALL_STATE(8907)] = 373361,
  [SMALL_STATE(8908)] = 373380,
  [SMALL_STATE(8909)] = 373409,
  [SMALL_STATE(8910)] = 373436,
  [SMALL_STATE(8911)] = 373459,
  [SMALL_STATE(8912)] = 373486,
  [SMALL_STATE(8913)] = 373509,
  [SMALL_STATE(8914)] = 373538,
  [SMALL_STATE(8915)] = 373557,
  [SMALL_STATE(8916)] = 373576,
  [SMALL_STATE(8917)] = 373603,
  [SMALL_STATE(8918)] = 373630,
  [SMALL_STATE(8919)] = 373657,
  [SMALL_STATE(8920)] = 373680,
  [SMALL_STATE(8921)] = 373703,
  [SMALL_STATE(8922)] = 373722,
  [SMALL_STATE(8923)] = 373741,
  [SMALL_STATE(8924)] = 373760,
  [SMALL_STATE(8925)] = 373779,
  [SMALL_STATE(8926)] = 373806,
  [SMALL_STATE(8927)] = 373833,
  [SMALL_STATE(8928)] = 373860,
  [SMALL_STATE(8929)] = 373879,
  [SMALL_STATE(8930)] = 373908,
  [SMALL_STATE(8931)] = 373927,
  [SMALL_STATE(8932)] = 373946,
  [SMALL_STATE(8933)] = 373973,
  [SMALL_STATE(8934)] = 374002,
  [SMALL_STATE(8935)] = 374021,
  [SMALL_STATE(8936)] = 374040,
  [SMALL_STATE(8937)] = 374059,
  [SMALL_STATE(8938)] = 374082,
  [SMALL_STATE(8939)] = 374111,
  [SMALL_STATE(8940)] = 374138,
  [SMALL_STATE(8941)] = 374167,
  [SMALL_STATE(8942)] = 374194,
  [SMALL_STATE(8943)] = 374217,
  [SMALL_STATE(8944)] = 374236,
  [SMALL_STATE(8945)] = 374255,
  [SMALL_STATE(8946)] = 374274,
  [SMALL_STATE(8947)] = 374293,
  [SMALL_STATE(8948)] = 374320,
  [SMALL_STATE(8949)] = 374349,
  [SMALL_STATE(8950)] = 374376,
  [SMALL_STATE(8951)] = 374403,
  [SMALL_STATE(8952)] = 374422,
  [SMALL_STATE(8953)] = 374441,
  [SMALL_STATE(8954)] = 374460,
  [SMALL_STATE(8955)] = 374479,
  [SMALL_STATE(8956)] = 374506,
  [SMALL_STATE(8957)] = 374533,
  [SMALL_STATE(8958)] = 374560,
  [SMALL_STATE(8959)] = 374579,
  [SMALL_STATE(8960)] = 374606,
  [SMALL_STATE(8961)] = 374633,
  [SMALL_STATE(8962)] = 374662,
  [SMALL_STATE(8963)] = 374689,
  [SMALL_STATE(8964)] = 374708,
  [SMALL_STATE(8965)] = 374735,
  [SMALL_STATE(8966)] = 374754,
  [SMALL_STATE(8967)] = 374781,
  [SMALL_STATE(8968)] = 374810,
  [SMALL_STATE(8969)] = 374839,
  [SMALL_STATE(8970)] = 374866,
  [SMALL_STATE(8971)] = 374887,
  [SMALL_STATE(8972)] = 374906,
  [SMALL_STATE(8973)] = 374935,
  [SMALL_STATE(8974)] = 374964,
  [SMALL_STATE(8975)] = 374987,
  [SMALL_STATE(8976)] = 375014,
  [SMALL_STATE(8977)] = 375037,
  [SMALL_STATE(8978)] = 375060,
  [SMALL_STATE(8979)] = 375089,
  [SMALL_STATE(8980)] = 375116,
  [SMALL_STATE(8981)] = 375145,
  [SMALL_STATE(8982)] = 375172,
  [SMALL_STATE(8983)] = 375193,
  [SMALL_STATE(8984)] = 375222,
  [SMALL_STATE(8985)] = 375249,
  [SMALL_STATE(8986)] = 375278,
  [SMALL_STATE(8987)] = 375297,
  [SMALL_STATE(8988)] = 375320,
  [SMALL_STATE(8989)] = 375339,
  [SMALL_STATE(8990)] = 375358,
  [SMALL_STATE(8991)] = 375385,
  [SMALL_STATE(8992)] = 375412,
  [SMALL_STATE(8993)] = 375439,
  [SMALL_STATE(8994)] = 375468,
  [SMALL_STATE(8995)] = 375487,
  [SMALL_STATE(8996)] = 375506,
  [SMALL_STATE(8997)] = 375525,
  [SMALL_STATE(8998)] = 375544,
  [SMALL_STATE(8999)] = 375563,
  [SMALL_STATE(9000)] = 375582,
  [SMALL_STATE(9001)] = 375601,
  [SMALL_STATE(9002)] = 375630,
  [SMALL_STATE(9003)] = 375659,
  [SMALL_STATE(9004)] = 375678,
  [SMALL_STATE(9005)] = 375707,
  [SMALL_STATE(9006)] = 375726,
  [SMALL_STATE(9007)] = 375753,
  [SMALL_STATE(9008)] = 375782,
  [SMALL_STATE(9009)] = 375811,
  [SMALL_STATE(9010)] = 375840,
  [SMALL_STATE(9011)] = 375867,
  [SMALL_STATE(9012)] = 375886,
  [SMALL_STATE(9013)] = 375905,
  [SMALL_STATE(9014)] = 375924,
  [SMALL_STATE(9015)] = 375943,
  [SMALL_STATE(9016)] = 375962,
  [SMALL_STATE(9017)] = 375981,
  [SMALL_STATE(9018)] = 376008,
  [SMALL_STATE(9019)] = 376037,
  [SMALL_STATE(9020)] = 376058,
  [SMALL_STATE(9021)] = 376077,
  [SMALL_STATE(9022)] = 376096,
  [SMALL_STATE(9023)] = 376115,
  [SMALL_STATE(9024)] = 376142,
  [SMALL_STATE(9025)] = 376171,
  [SMALL_STATE(9026)] = 376190,
  [SMALL_STATE(9027)] = 376209,
  [SMALL_STATE(9028)] = 376238,
  [SMALL_STATE(9029)] = 376265,
  [SMALL_STATE(9030)] = 376284,
  [SMALL_STATE(9031)] = 376303,
  [SMALL_STATE(9032)] = 376322,
  [SMALL_STATE(9033)] = 376341,
  [SMALL_STATE(9034)] = 376368,
  [SMALL_STATE(9035)] = 376387,
  [SMALL_STATE(9036)] = 376414,
  [SMALL_STATE(9037)] = 376433,
  [SMALL_STATE(9038)] = 376454,
  [SMALL_STATE(9039)] = 376473,
  [SMALL_STATE(9040)] = 376507,
  [SMALL_STATE(9041)] = 376525,
  [SMALL_STATE(9042)] = 376559,
  [SMALL_STATE(9043)] = 376593,
  [SMALL_STATE(9044)] = 376615,
  [SMALL_STATE(9045)] = 376649,
  [SMALL_STATE(9046)] = 376683,
  [SMALL_STATE(9047)] = 376701,
  [SMALL_STATE(9048)] = 376719,
  [SMALL_STATE(9049)] = 376753,
  [SMALL_STATE(9050)] = 376771,
  [SMALL_STATE(9051)] = 376805,
  [SMALL_STATE(9052)] = 376823,
  [SMALL_STATE(9053)] = 376841,
  [SMALL_STATE(9054)] = 376875,
  [SMALL_STATE(9055)] = 376909,
  [SMALL_STATE(9056)] = 376927,
  [SMALL_STATE(9057)] = 376949,
  [SMALL_STATE(9058)] = 376983,
  [SMALL_STATE(9059)] = 377017,
  [SMALL_STATE(9060)] = 377039,
  [SMALL_STATE(9061)] = 377073,
  [SMALL_STATE(9062)] = 377107,
  [SMALL_STATE(9063)] = 377135,
  [SMALL_STATE(9064)] = 377153,
  [SMALL_STATE(9065)] = 377187,
  [SMALL_STATE(9066)] = 377213,
  [SMALL_STATE(9067)] = 377247,
  [SMALL_STATE(9068)] = 377265,
  [SMALL_STATE(9069)] = 377287,
  [SMALL_STATE(9070)] = 377315,
  [SMALL_STATE(9071)] = 377349,
  [SMALL_STATE(9072)] = 377371,
  [SMALL_STATE(9073)] = 377405,
  [SMALL_STATE(9074)] = 377439,
  [SMALL_STATE(9075)] = 377473,
  [SMALL_STATE(9076)] = 377491,
  [SMALL_STATE(9077)] = 377525,
  [SMALL_STATE(9078)] = 377543,
  [SMALL_STATE(9079)] = 377577,
  [SMALL_STATE(9080)] = 377611,
  [SMALL_STATE(9081)] = 377645,
  [SMALL_STATE(9082)] = 377663,
  [SMALL_STATE(9083)] = 377683,
  [SMALL_STATE(9084)] = 377701,
  [SMALL_STATE(9085)] = 377735,
  [SMALL_STATE(9086)] = 377753,
  [SMALL_STATE(9087)] = 377787,
  [SMALL_STATE(9088)] = 377821,
  [SMALL_STATE(9089)] = 377855,
  [SMALL_STATE(9090)] = 377873,
  [SMALL_STATE(9091)] = 377907,
  [SMALL_STATE(9092)] = 377925,
  [SMALL_STATE(9093)] = 377959,
  [SMALL_STATE(9094)] = 377979,
  [SMALL_STATE(9095)] = 378001,
  [SMALL_STATE(9096)] = 378035,
  [SMALL_STATE(9097)] = 378069,
  [SMALL_STATE(9098)] = 378087,
  [SMALL_STATE(9099)] = 378121,
  [SMALL_STATE(9100)] = 378155,
  [SMALL_STATE(9101)] = 378189,
  [SMALL_STATE(9102)] = 378217,
  [SMALL_STATE(9103)] = 378251,
  [SMALL_STATE(9104)] = 378269,
  [SMALL_STATE(9105)] = 378303,
  [SMALL_STATE(9106)] = 378321,
  [SMALL_STATE(9107)] = 378355,
  [SMALL_STATE(9108)] = 378383,
  [SMALL_STATE(9109)] = 378417,
  [SMALL_STATE(9110)] = 378451,
  [SMALL_STATE(9111)] = 378469,
  [SMALL_STATE(9112)] = 378491,
  [SMALL_STATE(9113)] = 378525,
  [SMALL_STATE(9114)] = 378559,
  [SMALL_STATE(9115)] = 378593,
  [SMALL_STATE(9116)] = 378615,
  [SMALL_STATE(9117)] = 378633,
  [SMALL_STATE(9118)] = 378651,
  [SMALL_STATE(9119)] = 378685,
  [SMALL_STATE(9120)] = 378719,
  [SMALL_STATE(9121)] = 378753,
  [SMALL_STATE(9122)] = 378771,
  [SMALL_STATE(9123)] = 378803,
  [SMALL_STATE(9124)] = 378821,
  [SMALL_STATE(9125)] = 378855,
  [SMALL_STATE(9126)] = 378873,
  [SMALL_STATE(9127)] = 378891,
  [SMALL_STATE(9128)] = 378909,
  [SMALL_STATE(9129)] = 378943,
  [SMALL_STATE(9130)] = 378961,
  [SMALL_STATE(9131)] = 378979,
  [SMALL_STATE(9132)] = 379013,
  [SMALL_STATE(9133)] = 379031,
  [SMALL_STATE(9134)] = 379049,
  [SMALL_STATE(9135)] = 379067,
  [SMALL_STATE(9136)] = 379087,
  [SMALL_STATE(9137)] = 379115,
  [SMALL_STATE(9138)] = 379133,
  [SMALL_STATE(9139)] = 379167,
  [SMALL_STATE(9140)] = 379201,
  [SMALL_STATE(9141)] = 379235,
  [SMALL_STATE(9142)] = 379269,
  [SMALL_STATE(9143)] = 379291,
  [SMALL_STATE(9144)] = 379309,
  [SMALL_STATE(9145)] = 379327,
  [SMALL_STATE(9146)] = 379349,
  [SMALL_STATE(9147)] = 379367,
  [SMALL_STATE(9148)] = 379401,
  [SMALL_STATE(9149)] = 379423,
  [SMALL_STATE(9150)] = 379443,
  [SMALL_STATE(9151)] = 379477,
  [SMALL_STATE(9152)] = 379511,
  [SMALL_STATE(9153)] = 379545,
  [SMALL_STATE(9154)] = 379579,
  [SMALL_STATE(9155)] = 379597,
  [SMALL_STATE(9156)] = 379615,
  [SMALL_STATE(9157)] = 379633,
  [SMALL_STATE(9158)] = 379651,
  [SMALL_STATE(9159)] = 379669,
  [SMALL_STATE(9160)] = 379691,
  [SMALL_STATE(9161)] = 379709,
  [SMALL_STATE(9162)] = 379727,
  [SMALL_STATE(9163)] = 379761,
  [SMALL_STATE(9164)] = 379795,
  [SMALL_STATE(9165)] = 379829,
  [SMALL_STATE(9166)] = 379847,
  [SMALL_STATE(9167)] = 379881,
  [SMALL_STATE(9168)] = 379915,
  [SMALL_STATE(9169)] = 379933,
  [SMALL_STATE(9170)] = 379951,
  [SMALL_STATE(9171)] = 379969,
  [SMALL_STATE(9172)] = 379987,
  [SMALL_STATE(9173)] = 380021,
  [SMALL_STATE(9174)] = 380055,
  [SMALL_STATE(9175)] = 380078,
  [SMALL_STATE(9176)] = 380099,
  [SMALL_STATE(9177)] = 380122,
  [SMALL_STATE(9178)] = 380139,
  [SMALL_STATE(9179)] = 380160,
  [SMALL_STATE(9180)] = 380183,
  [SMALL_STATE(9181)] = 380200,
  [SMALL_STATE(9182)] = 380223,
  [SMALL_STATE(9183)] = 380244,
  [SMALL_STATE(9184)] = 380267,
  [SMALL_STATE(9185)] = 380290,
  [SMALL_STATE(9186)] = 380319,
  [SMALL_STATE(9187)] = 380340,
  [SMALL_STATE(9188)] = 380363,
  [SMALL_STATE(9189)] = 380380,
  [SMALL_STATE(9190)] = 380397,
  [SMALL_STATE(9191)] = 380420,
  [SMALL_STATE(9192)] = 380443,
  [SMALL_STATE(9193)] = 380468,
  [SMALL_STATE(9194)] = 380485,
  [SMALL_STATE(9195)] = 380508,
  [SMALL_STATE(9196)] = 380533,
  [SMALL_STATE(9197)] = 380554,
  [SMALL_STATE(9198)] = 380571,
  [SMALL_STATE(9199)] = 380594,
  [SMALL_STATE(9200)] = 380611,
  [SMALL_STATE(9201)] = 380634,
  [SMALL_STATE(9202)] = 380663,
  [SMALL_STATE(9203)] = 380680,
  [SMALL_STATE(9204)] = 380703,
  [SMALL_STATE(9205)] = 380724,
  [SMALL_STATE(9206)] = 380741,
  [SMALL_STATE(9207)] = 380762,
  [SMALL_STATE(9208)] = 380783,
  [SMALL_STATE(9209)] = 380800,
  [SMALL_STATE(9210)] = 380825,
  [SMALL_STATE(9211)] = 380848,
  [SMALL_STATE(9212)] = 380871,
  [SMALL_STATE(9213)] = 380894,
  [SMALL_STATE(9214)] = 380917,
  [SMALL_STATE(9215)] = 380940,
  [SMALL_STATE(9216)] = 380963,
  [SMALL_STATE(9217)] = 380992,
  [SMALL_STATE(9218)] = 381015,
  [SMALL_STATE(9219)] = 381038,
  [SMALL_STATE(9220)] = 381055,
  [SMALL_STATE(9221)] = 381078,
  [SMALL_STATE(9222)] = 381093,
  [SMALL_STATE(9223)] = 381116,
  [SMALL_STATE(9224)] = 381139,
  [SMALL_STATE(9225)] = 381162,
  [SMALL_STATE(9226)] = 381185,
  [SMALL_STATE(9227)] = 381206,
  [SMALL_STATE(9228)] = 381223,
  [SMALL_STATE(9229)] = 381246,
  [SMALL_STATE(9230)] = 381263,
  [SMALL_STATE(9231)] = 381282,
  [SMALL_STATE(9232)] = 381305,
  [SMALL_STATE(9233)] = 381322,
  [SMALL_STATE(9234)] = 381341,
  [SMALL_STATE(9235)] = 381364,
  [SMALL_STATE(9236)] = 381383,
  [SMALL_STATE(9237)] = 381404,
  [SMALL_STATE(9238)] = 381427,
  [SMALL_STATE(9239)] = 381450,
  [SMALL_STATE(9240)] = 381473,
  [SMALL_STATE(9241)] = 381496,
  [SMALL_STATE(9242)] = 381515,
  [SMALL_STATE(9243)] = 381538,
  [SMALL_STATE(9244)] = 381561,
  [SMALL_STATE(9245)] = 381582,
  [SMALL_STATE(9246)] = 381601,
  [SMALL_STATE(9247)] = 381618,
  [SMALL_STATE(9248)] = 381641,
  [SMALL_STATE(9249)] = 381664,
  [SMALL_STATE(9250)] = 381687,
  [SMALL_STATE(9251)] = 381710,
  [SMALL_STATE(9252)] = 381731,
  [SMALL_STATE(9253)] = 381754,
  [SMALL_STATE(9254)] = 381777,
  [SMALL_STATE(9255)] = 381794,
  [SMALL_STATE(9256)] = 381817,
  [SMALL_STATE(9257)] = 381840,
  [SMALL_STATE(9258)] = 381863,
  [SMALL_STATE(9259)] = 381884,
  [SMALL_STATE(9260)] = 381907,
  [SMALL_STATE(9261)] = 381930,
  [SMALL_STATE(9262)] = 381955,
  [SMALL_STATE(9263)] = 381978,
  [SMALL_STATE(9264)] = 382001,
  [SMALL_STATE(9265)] = 382016,
  [SMALL_STATE(9266)] = 382039,
  [SMALL_STATE(9267)] = 382062,
  [SMALL_STATE(9268)] = 382083,
  [SMALL_STATE(9269)] = 382106,
  [SMALL_STATE(9270)] = 382129,
  [SMALL_STATE(9271)] = 382152,
  [SMALL_STATE(9272)] = 382175,
  [SMALL_STATE(9273)] = 382198,
  [SMALL_STATE(9274)] = 382221,
  [SMALL_STATE(9275)] = 382244,
  [SMALL_STATE(9276)] = 382267,
  [SMALL_STATE(9277)] = 382290,
  [SMALL_STATE(9278)] = 382313,
  [SMALL_STATE(9279)] = 382340,
  [SMALL_STATE(9280)] = 382361,
  [SMALL_STATE(9281)] = 382384,
  [SMALL_STATE(9282)] = 382398,
  [SMALL_STATE(9283)] = 382418,
  [SMALL_STATE(9284)] = 382436,
  [SMALL_STATE(9285)] = 382458,
  [SMALL_STATE(9286)] = 382478,
  [SMALL_STATE(9287)] = 382506,
  [SMALL_STATE(9288)] = 382526,
  [SMALL_STATE(9289)] = 382546,
  [SMALL_STATE(9290)] = 382568,
  [SMALL_STATE(9291)] = 382588,
  [SMALL_STATE(9292)] = 382608,
  [SMALL_STATE(9293)] = 382628,
  [SMALL_STATE(9294)] = 382648,
  [SMALL_STATE(9295)] = 382676,
  [SMALL_STATE(9296)] = 382692,
  [SMALL_STATE(9297)] = 382718,
  [SMALL_STATE(9298)] = 382738,
  [SMALL_STATE(9299)] = 382758,
  [SMALL_STATE(9300)] = 382784,
  [SMALL_STATE(9301)] = 382812,
  [SMALL_STATE(9302)] = 382832,
  [SMALL_STATE(9303)] = 382854,
  [SMALL_STATE(9304)] = 382874,
  [SMALL_STATE(9305)] = 382888,
  [SMALL_STATE(9306)] = 382912,
  [SMALL_STATE(9307)] = 382932,
  [SMALL_STATE(9308)] = 382948,
  [SMALL_STATE(9309)] = 382976,
  [SMALL_STATE(9310)] = 383000,
  [SMALL_STATE(9311)] = 383020,
  [SMALL_STATE(9312)] = 383040,
  [SMALL_STATE(9313)] = 383060,
  [SMALL_STATE(9314)] = 383074,
  [SMALL_STATE(9315)] = 383094,
  [SMALL_STATE(9316)] = 383114,
  [SMALL_STATE(9317)] = 383142,
  [SMALL_STATE(9318)] = 383162,
  [SMALL_STATE(9319)] = 383182,
  [SMALL_STATE(9320)] = 383210,
  [SMALL_STATE(9321)] = 383238,
  [SMALL_STATE(9322)] = 383266,
  [SMALL_STATE(9323)] = 383286,
  [SMALL_STATE(9324)] = 383314,
  [SMALL_STATE(9325)] = 383334,
  [SMALL_STATE(9326)] = 383354,
  [SMALL_STATE(9327)] = 383368,
  [SMALL_STATE(9328)] = 383390,
  [SMALL_STATE(9329)] = 383418,
  [SMALL_STATE(9330)] = 383438,
  [SMALL_STATE(9331)] = 383458,
  [SMALL_STATE(9332)] = 383480,
  [SMALL_STATE(9333)] = 383500,
  [SMALL_STATE(9334)] = 383520,
  [SMALL_STATE(9335)] = 383540,
  [SMALL_STATE(9336)] = 383560,
  [SMALL_STATE(9337)] = 383580,
  [SMALL_STATE(9338)] = 383608,
  [SMALL_STATE(9339)] = 383636,
  [SMALL_STATE(9340)] = 383664,
  [SMALL_STATE(9341)] = 383686,
  [SMALL_STATE(9342)] = 383706,
  [SMALL_STATE(9343)] = 383726,
  [SMALL_STATE(9344)] = 383740,
  [SMALL_STATE(9345)] = 383758,
  [SMALL_STATE(9346)] = 383778,
  [SMALL_STATE(9347)] = 383806,
  [SMALL_STATE(9348)] = 383826,
  [SMALL_STATE(9349)] = 383848,
  [SMALL_STATE(9350)] = 383876,
  [SMALL_STATE(9351)] = 383896,
  [SMALL_STATE(9352)] = 383920,
  [SMALL_STATE(9353)] = 383936,
  [SMALL_STATE(9354)] = 383964,
  [SMALL_STATE(9355)] = 383992,
  [SMALL_STATE(9356)] = 384012,
  [SMALL_STATE(9357)] = 384032,
  [SMALL_STATE(9358)] = 384060,
  [SMALL_STATE(9359)] = 384080,
  [SMALL_STATE(9360)] = 384108,
  [SMALL_STATE(9361)] = 384130,
  [SMALL_STATE(9362)] = 384150,
  [SMALL_STATE(9363)] = 384170,
  [SMALL_STATE(9364)] = 384190,
  [SMALL_STATE(9365)] = 384218,
  [SMALL_STATE(9366)] = 384238,
  [SMALL_STATE(9367)] = 384266,
  [SMALL_STATE(9368)] = 384288,
  [SMALL_STATE(9369)] = 384316,
  [SMALL_STATE(9370)] = 384336,
  [SMALL_STATE(9371)] = 384358,
  [SMALL_STATE(9372)] = 384378,
  [SMALL_STATE(9373)] = 384394,
  [SMALL_STATE(9374)] = 384416,
  [SMALL_STATE(9375)] = 384444,
  [SMALL_STATE(9376)] = 384472,
  [SMALL_STATE(9377)] = 384494,
  [SMALL_STATE(9378)] = 384514,
  [SMALL_STATE(9379)] = 384542,
  [SMALL_STATE(9380)] = 384570,
  [SMALL_STATE(9381)] = 384598,
  [SMALL_STATE(9382)] = 384626,
  [SMALL_STATE(9383)] = 384648,
  [SMALL_STATE(9384)] = 384668,
  [SMALL_STATE(9385)] = 384696,
  [SMALL_STATE(9386)] = 384716,
  [SMALL_STATE(9387)] = 384736,
  [SMALL_STATE(9388)] = 384764,
  [SMALL_STATE(9389)] = 384792,
  [SMALL_STATE(9390)] = 384820,
  [SMALL_STATE(9391)] = 384842,
  [SMALL_STATE(9392)] = 384862,
  [SMALL_STATE(9393)] = 384882,
  [SMALL_STATE(9394)] = 384904,
  [SMALL_STATE(9395)] = 384924,
  [SMALL_STATE(9396)] = 384940,
  [SMALL_STATE(9397)] = 384960,
  [SMALL_STATE(9398)] = 384974,
  [SMALL_STATE(9399)] = 384994,
  [SMALL_STATE(9400)] = 385022,
  [SMALL_STATE(9401)] = 385040,
  [SMALL_STATE(9402)] = 385068,
  [SMALL_STATE(9403)] = 385096,
  [SMALL_STATE(9404)] = 385114,
  [SMALL_STATE(9405)] = 385134,
  [SMALL_STATE(9406)] = 385154,
  [SMALL_STATE(9407)] = 385174,
  [SMALL_STATE(9408)] = 385192,
  [SMALL_STATE(9409)] = 385214,
  [SMALL_STATE(9410)] = 385228,
  [SMALL_STATE(9411)] = 385256,
  [SMALL_STATE(9412)] = 385276,
  [SMALL_STATE(9413)] = 385294,
  [SMALL_STATE(9414)] = 385314,
  [SMALL_STATE(9415)] = 385334,
  [SMALL_STATE(9416)] = 385354,
  [SMALL_STATE(9417)] = 385382,
  [SMALL_STATE(9418)] = 385410,
  [SMALL_STATE(9419)] = 385438,
  [SMALL_STATE(9420)] = 385460,
  [SMALL_STATE(9421)] = 385482,
  [SMALL_STATE(9422)] = 385502,
  [SMALL_STATE(9423)] = 385522,
  [SMALL_STATE(9424)] = 385550,
  [SMALL_STATE(9425)] = 385564,
  [SMALL_STATE(9426)] = 385584,
  [SMALL_STATE(9427)] = 385604,
  [SMALL_STATE(9428)] = 385624,
  [SMALL_STATE(9429)] = 385644,
  [SMALL_STATE(9430)] = 385664,
  [SMALL_STATE(9431)] = 385683,
  [SMALL_STATE(9432)] = 385702,
  [SMALL_STATE(9433)] = 385725,
  [SMALL_STATE(9434)] = 385750,
  [SMALL_STATE(9435)] = 385771,
  [SMALL_STATE(9436)] = 385792,
  [SMALL_STATE(9437)] = 385811,
  [SMALL_STATE(9438)] = 385832,
  [SMALL_STATE(9439)] = 385857,
  [SMALL_STATE(9440)] = 385882,
  [SMALL_STATE(9441)] = 385905,
  [SMALL_STATE(9442)] = 385926,
  [SMALL_STATE(9443)] = 385951,
  [SMALL_STATE(9444)] = 385964,
  [SMALL_STATE(9445)] = 385977,
  [SMALL_STATE(9446)] = 385992,
  [SMALL_STATE(9447)] = 386007,
  [SMALL_STATE(9448)] = 386028,
  [SMALL_STATE(9449)] = 386049,
  [SMALL_STATE(9450)] = 386074,
  [SMALL_STATE(9451)] = 386095,
  [SMALL_STATE(9452)] = 386114,
  [SMALL_STATE(9453)] = 386139,
  [SMALL_STATE(9454)] = 386158,
  [SMALL_STATE(9455)] = 386173,
  [SMALL_STATE(9456)] = 386196,
  [SMALL_STATE(9457)] = 386213,
  [SMALL_STATE(9458)] = 386238,
  [SMALL_STATE(9459)] = 386259,
  [SMALL_STATE(9460)] = 386282,
  [SMALL_STATE(9461)] = 386301,
  [SMALL_STATE(9462)] = 386326,
  [SMALL_STATE(9463)] = 386345,
  [SMALL_STATE(9464)] = 386360,
  [SMALL_STATE(9465)] = 386383,
  [SMALL_STATE(9466)] = 386408,
  [SMALL_STATE(9467)] = 386423,
  [SMALL_STATE(9468)] = 386446,
  [SMALL_STATE(9469)] = 386459,
  [SMALL_STATE(9470)] = 386482,
  [SMALL_STATE(9471)] = 386503,
  [SMALL_STATE(9472)] = 386526,
  [SMALL_STATE(9473)] = 386549,
  [SMALL_STATE(9474)] = 386562,
  [SMALL_STATE(9475)] = 386583,
  [SMALL_STATE(9476)] = 386608,
  [SMALL_STATE(9477)] = 386631,
  [SMALL_STATE(9478)] = 386652,
  [SMALL_STATE(9479)] = 386675,
  [SMALL_STATE(9480)] = 386696,
  [SMALL_STATE(9481)] = 386719,
  [SMALL_STATE(9482)] = 386738,
  [SMALL_STATE(9483)] = 386751,
  [SMALL_STATE(9484)] = 386770,
  [SMALL_STATE(9485)] = 386795,
  [SMALL_STATE(9486)] = 386818,
  [SMALL_STATE(9487)] = 386839,
  [SMALL_STATE(9488)] = 386858,
  [SMALL_STATE(9489)] = 386877,
  [SMALL_STATE(9490)] = 386898,
  [SMALL_STATE(9491)] = 386921,
  [SMALL_STATE(9492)] = 386936,
  [SMALL_STATE(9493)] = 386949,
  [SMALL_STATE(9494)] = 386966,
  [SMALL_STATE(9495)] = 386987,
  [SMALL_STATE(9496)] = 387008,
  [SMALL_STATE(9497)] = 387029,
  [SMALL_STATE(9498)] = 387048,
  [SMALL_STATE(9499)] = 387069,
  [SMALL_STATE(9500)] = 387082,
  [SMALL_STATE(9501)] = 387103,
  [SMALL_STATE(9502)] = 387118,
  [SMALL_STATE(9503)] = 387141,
  [SMALL_STATE(9504)] = 387162,
  [SMALL_STATE(9505)] = 387181,
  [SMALL_STATE(9506)] = 387194,
  [SMALL_STATE(9507)] = 387215,
  [SMALL_STATE(9508)] = 387230,
  [SMALL_STATE(9509)] = 387251,
  [SMALL_STATE(9510)] = 387274,
  [SMALL_STATE(9511)] = 387293,
  [SMALL_STATE(9512)] = 387314,
  [SMALL_STATE(9513)] = 387335,
  [SMALL_STATE(9514)] = 387356,
  [SMALL_STATE(9515)] = 387375,
  [SMALL_STATE(9516)] = 387390,
  [SMALL_STATE(9517)] = 387411,
  [SMALL_STATE(9518)] = 387434,
  [SMALL_STATE(9519)] = 387451,
  [SMALL_STATE(9520)] = 387472,
  [SMALL_STATE(9521)] = 387495,
  [SMALL_STATE(9522)] = 387520,
  [SMALL_STATE(9523)] = 387537,
  [SMALL_STATE(9524)] = 387558,
  [SMALL_STATE(9525)] = 387579,
  [SMALL_STATE(9526)] = 387600,
  [SMALL_STATE(9527)] = 387621,
  [SMALL_STATE(9528)] = 387638,
  [SMALL_STATE(9529)] = 387655,
  [SMALL_STATE(9530)] = 387676,
  [SMALL_STATE(9531)] = 387697,
  [SMALL_STATE(9532)] = 387713,
  [SMALL_STATE(9533)] = 387729,
  [SMALL_STATE(9534)] = 387743,
  [SMALL_STATE(9535)] = 387755,
  [SMALL_STATE(9536)] = 387769,
  [SMALL_STATE(9537)] = 387781,
  [SMALL_STATE(9538)] = 387793,
  [SMALL_STATE(9539)] = 387805,
  [SMALL_STATE(9540)] = 387817,
  [SMALL_STATE(9541)] = 387829,
  [SMALL_STATE(9542)] = 387841,
  [SMALL_STATE(9543)] = 387861,
  [SMALL_STATE(9544)] = 387875,
  [SMALL_STATE(9545)] = 387897,
  [SMALL_STATE(9546)] = 387911,
  [SMALL_STATE(9547)] = 387933,
  [SMALL_STATE(9548)] = 387947,
  [SMALL_STATE(9549)] = 387959,
  [SMALL_STATE(9550)] = 387971,
  [SMALL_STATE(9551)] = 387987,
  [SMALL_STATE(9552)] = 387999,
  [SMALL_STATE(9553)] = 388011,
  [SMALL_STATE(9554)] = 388031,
  [SMALL_STATE(9555)] = 388051,
  [SMALL_STATE(9556)] = 388063,
  [SMALL_STATE(9557)] = 388083,
  [SMALL_STATE(9558)] = 388103,
  [SMALL_STATE(9559)] = 388115,
  [SMALL_STATE(9560)] = 388131,
  [SMALL_STATE(9561)] = 388147,
  [SMALL_STATE(9562)] = 388167,
  [SMALL_STATE(9563)] = 388183,
  [SMALL_STATE(9564)] = 388199,
  [SMALL_STATE(9565)] = 388215,
  [SMALL_STATE(9566)] = 388237,
  [SMALL_STATE(9567)] = 388259,
  [SMALL_STATE(9568)] = 388275,
  [SMALL_STATE(9569)] = 388291,
  [SMALL_STATE(9570)] = 388307,
  [SMALL_STATE(9571)] = 388323,
  [SMALL_STATE(9572)] = 388343,
  [SMALL_STATE(9573)] = 388363,
  [SMALL_STATE(9574)] = 388383,
  [SMALL_STATE(9575)] = 388399,
  [SMALL_STATE(9576)] = 388415,
  [SMALL_STATE(9577)] = 388431,
  [SMALL_STATE(9578)] = 388447,
  [SMALL_STATE(9579)] = 388461,
  [SMALL_STATE(9580)] = 388477,
  [SMALL_STATE(9581)] = 388491,
  [SMALL_STATE(9582)] = 388513,
  [SMALL_STATE(9583)] = 388527,
  [SMALL_STATE(9584)] = 388549,
  [SMALL_STATE(9585)] = 388567,
  [SMALL_STATE(9586)] = 388587,
  [SMALL_STATE(9587)] = 388603,
  [SMALL_STATE(9588)] = 388617,
  [SMALL_STATE(9589)] = 388639,
  [SMALL_STATE(9590)] = 388661,
  [SMALL_STATE(9591)] = 388675,
  [SMALL_STATE(9592)] = 388697,
  [SMALL_STATE(9593)] = 388719,
  [SMALL_STATE(9594)] = 388741,
  [SMALL_STATE(9595)] = 388763,
  [SMALL_STATE(9596)] = 388783,
  [SMALL_STATE(9597)] = 388797,
  [SMALL_STATE(9598)] = 388811,
  [SMALL_STATE(9599)] = 388833,
  [SMALL_STATE(9600)] = 388855,
  [SMALL_STATE(9601)] = 388877,
  [SMALL_STATE(9602)] = 388899,
  [SMALL_STATE(9603)] = 388913,
  [SMALL_STATE(9604)] = 388927,
  [SMALL_STATE(9605)] = 388943,
  [SMALL_STATE(9606)] = 388965,
  [SMALL_STATE(9607)] = 388987,
  [SMALL_STATE(9608)] = 389009,
  [SMALL_STATE(9609)] = 389031,
  [SMALL_STATE(9610)] = 389045,
  [SMALL_STATE(9611)] = 389059,
  [SMALL_STATE(9612)] = 389073,
  [SMALL_STATE(9613)] = 389095,
  [SMALL_STATE(9614)] = 389109,
  [SMALL_STATE(9615)] = 389131,
  [SMALL_STATE(9616)] = 389147,
  [SMALL_STATE(9617)] = 389169,
  [SMALL_STATE(9618)] = 389191,
  [SMALL_STATE(9619)] = 389207,
  [SMALL_STATE(9620)] = 389221,
  [SMALL_STATE(9621)] = 389241,
  [SMALL_STATE(9622)] = 389255,
  [SMALL_STATE(9623)] = 389269,
  [SMALL_STATE(9624)] = 389291,
  [SMALL_STATE(9625)] = 389313,
  [SMALL_STATE(9626)] = 389327,
  [SMALL_STATE(9627)] = 389347,
  [SMALL_STATE(9628)] = 389369,
  [SMALL_STATE(9629)] = 389391,
  [SMALL_STATE(9630)] = 389413,
  [SMALL_STATE(9631)] = 389435,
  [SMALL_STATE(9632)] = 389455,
  [SMALL_STATE(9633)] = 389477,
  [SMALL_STATE(9634)] = 389499,
  [SMALL_STATE(9635)] = 389515,
  [SMALL_STATE(9636)] = 389535,
  [SMALL_STATE(9637)] = 389557,
  [SMALL_STATE(9638)] = 389579,
  [SMALL_STATE(9639)] = 389595,
  [SMALL_STATE(9640)] = 389617,
  [SMALL_STATE(9641)] = 389639,
  [SMALL_STATE(9642)] = 389655,
  [SMALL_STATE(9643)] = 389671,
  [SMALL_STATE(9644)] = 389693,
  [SMALL_STATE(9645)] = 389715,
  [SMALL_STATE(9646)] = 389729,
  [SMALL_STATE(9647)] = 389751,
  [SMALL_STATE(9648)] = 389773,
  [SMALL_STATE(9649)] = 389795,
  [SMALL_STATE(9650)] = 389817,
  [SMALL_STATE(9651)] = 389839,
  [SMALL_STATE(9652)] = 389859,
  [SMALL_STATE(9653)] = 389881,
  [SMALL_STATE(9654)] = 389895,
  [SMALL_STATE(9655)] = 389917,
  [SMALL_STATE(9656)] = 389939,
  [SMALL_STATE(9657)] = 389955,
  [SMALL_STATE(9658)] = 389975,
  [SMALL_STATE(9659)] = 389997,
  [SMALL_STATE(9660)] = 390009,
  [SMALL_STATE(9661)] = 390031,
  [SMALL_STATE(9662)] = 390053,
  [SMALL_STATE(9663)] = 390075,
  [SMALL_STATE(9664)] = 390091,
  [SMALL_STATE(9665)] = 390107,
  [SMALL_STATE(9666)] = 390121,
  [SMALL_STATE(9667)] = 390135,
  [SMALL_STATE(9668)] = 390151,
  [SMALL_STATE(9669)] = 390167,
  [SMALL_STATE(9670)] = 390183,
  [SMALL_STATE(9671)] = 390199,
  [SMALL_STATE(9672)] = 390219,
  [SMALL_STATE(9673)] = 390233,
  [SMALL_STATE(9674)] = 390249,
  [SMALL_STATE(9675)] = 390263,
  [SMALL_STATE(9676)] = 390277,
  [SMALL_STATE(9677)] = 390291,
  [SMALL_STATE(9678)] = 390307,
  [SMALL_STATE(9679)] = 390323,
  [SMALL_STATE(9680)] = 390341,
  [SMALL_STATE(9681)] = 390357,
  [SMALL_STATE(9682)] = 390373,
  [SMALL_STATE(9683)] = 390385,
  [SMALL_STATE(9684)] = 390401,
  [SMALL_STATE(9685)] = 390417,
  [SMALL_STATE(9686)] = 390431,
  [SMALL_STATE(9687)] = 390445,
  [SMALL_STATE(9688)] = 390461,
  [SMALL_STATE(9689)] = 390481,
  [SMALL_STATE(9690)] = 390495,
  [SMALL_STATE(9691)] = 390515,
  [SMALL_STATE(9692)] = 390529,
  [SMALL_STATE(9693)] = 390541,
  [SMALL_STATE(9694)] = 390555,
  [SMALL_STATE(9695)] = 390569,
  [SMALL_STATE(9696)] = 390585,
  [SMALL_STATE(9697)] = 390601,
  [SMALL_STATE(9698)] = 390617,
  [SMALL_STATE(9699)] = 390633,
  [SMALL_STATE(9700)] = 390653,
  [SMALL_STATE(9701)] = 390669,
  [SMALL_STATE(9702)] = 390685,
  [SMALL_STATE(9703)] = 390700,
  [SMALL_STATE(9704)] = 390719,
  [SMALL_STATE(9705)] = 390738,
  [SMALL_STATE(9706)] = 390749,
  [SMALL_STATE(9707)] = 390760,
  [SMALL_STATE(9708)] = 390779,
  [SMALL_STATE(9709)] = 390798,
  [SMALL_STATE(9710)] = 390817,
  [SMALL_STATE(9711)] = 390836,
  [SMALL_STATE(9712)] = 390851,
  [SMALL_STATE(9713)] = 390866,
  [SMALL_STATE(9714)] = 390877,
  [SMALL_STATE(9715)] = 390888,
  [SMALL_STATE(9716)] = 390901,
  [SMALL_STATE(9717)] = 390914,
  [SMALL_STATE(9718)] = 390927,
  [SMALL_STATE(9719)] = 390946,
  [SMALL_STATE(9720)] = 390963,
  [SMALL_STATE(9721)] = 390982,
  [SMALL_STATE(9722)] = 391001,
  [SMALL_STATE(9723)] = 391020,
  [SMALL_STATE(9724)] = 391039,
  [SMALL_STATE(9725)] = 391050,
  [SMALL_STATE(9726)] = 391061,
  [SMALL_STATE(9727)] = 391080,
  [SMALL_STATE(9728)] = 391099,
  [SMALL_STATE(9729)] = 391112,
  [SMALL_STATE(9730)] = 391131,
  [SMALL_STATE(9731)] = 391150,
  [SMALL_STATE(9732)] = 391169,
  [SMALL_STATE(9733)] = 391184,
  [SMALL_STATE(9734)] = 391203,
  [SMALL_STATE(9735)] = 391220,
  [SMALL_STATE(9736)] = 391239,
  [SMALL_STATE(9737)] = 391258,
  [SMALL_STATE(9738)] = 391277,
  [SMALL_STATE(9739)] = 391296,
  [SMALL_STATE(9740)] = 391315,
  [SMALL_STATE(9741)] = 391334,
  [SMALL_STATE(9742)] = 391353,
  [SMALL_STATE(9743)] = 391372,
  [SMALL_STATE(9744)] = 391391,
  [SMALL_STATE(9745)] = 391410,
  [SMALL_STATE(9746)] = 391421,
  [SMALL_STATE(9747)] = 391438,
  [SMALL_STATE(9748)] = 391453,
  [SMALL_STATE(9749)] = 391472,
  [SMALL_STATE(9750)] = 391491,
  [SMALL_STATE(9751)] = 391510,
  [SMALL_STATE(9752)] = 391529,
  [SMALL_STATE(9753)] = 391544,
  [SMALL_STATE(9754)] = 391563,
  [SMALL_STATE(9755)] = 391578,
  [SMALL_STATE(9756)] = 391597,
  [SMALL_STATE(9757)] = 391612,
  [SMALL_STATE(9758)] = 391631,
  [SMALL_STATE(9759)] = 391648,
  [SMALL_STATE(9760)] = 391667,
  [SMALL_STATE(9761)] = 391684,
  [SMALL_STATE(9762)] = 391699,
  [SMALL_STATE(9763)] = 391712,
  [SMALL_STATE(9764)] = 391731,
  [SMALL_STATE(9765)] = 391750,
  [SMALL_STATE(9766)] = 391765,
  [SMALL_STATE(9767)] = 391784,
  [SMALL_STATE(9768)] = 391797,
  [SMALL_STATE(9769)] = 391812,
  [SMALL_STATE(9770)] = 391827,
  [SMALL_STATE(9771)] = 391840,
  [SMALL_STATE(9772)] = 391859,
  [SMALL_STATE(9773)] = 391872,
  [SMALL_STATE(9774)] = 391887,
  [SMALL_STATE(9775)] = 391904,
  [SMALL_STATE(9776)] = 391921,
  [SMALL_STATE(9777)] = 391934,
  [SMALL_STATE(9778)] = 391949,
  [SMALL_STATE(9779)] = 391968,
  [SMALL_STATE(9780)] = 391985,
  [SMALL_STATE(9781)] = 392000,
  [SMALL_STATE(9782)] = 392013,
  [SMALL_STATE(9783)] = 392032,
  [SMALL_STATE(9784)] = 392047,
  [SMALL_STATE(9785)] = 392066,
  [SMALL_STATE(9786)] = 392085,
  [SMALL_STATE(9787)] = 392104,
  [SMALL_STATE(9788)] = 392119,
  [SMALL_STATE(9789)] = 392138,
  [SMALL_STATE(9790)] = 392155,
  [SMALL_STATE(9791)] = 392166,
  [SMALL_STATE(9792)] = 392181,
  [SMALL_STATE(9793)] = 392200,
  [SMALL_STATE(9794)] = 392219,
  [SMALL_STATE(9795)] = 392238,
  [SMALL_STATE(9796)] = 392253,
  [SMALL_STATE(9797)] = 392268,
  [SMALL_STATE(9798)] = 392287,
  [SMALL_STATE(9799)] = 392306,
  [SMALL_STATE(9800)] = 392321,
  [SMALL_STATE(9801)] = 392336,
  [SMALL_STATE(9802)] = 392353,
  [SMALL_STATE(9803)] = 392368,
  [SMALL_STATE(9804)] = 392387,
  [SMALL_STATE(9805)] = 392406,
  [SMALL_STATE(9806)] = 392425,
  [SMALL_STATE(9807)] = 392444,
  [SMALL_STATE(9808)] = 392463,
  [SMALL_STATE(9809)] = 392480,
  [SMALL_STATE(9810)] = 392499,
  [SMALL_STATE(9811)] = 392514,
  [SMALL_STATE(9812)] = 392529,
  [SMALL_STATE(9813)] = 392544,
  [SMALL_STATE(9814)] = 392561,
  [SMALL_STATE(9815)] = 392580,
  [SMALL_STATE(9816)] = 392599,
  [SMALL_STATE(9817)] = 392612,
  [SMALL_STATE(9818)] = 392631,
  [SMALL_STATE(9819)] = 392646,
  [SMALL_STATE(9820)] = 392661,
  [SMALL_STATE(9821)] = 392676,
  [SMALL_STATE(9822)] = 392689,
  [SMALL_STATE(9823)] = 392708,
  [SMALL_STATE(9824)] = 392727,
  [SMALL_STATE(9825)] = 392746,
  [SMALL_STATE(9826)] = 392763,
  [SMALL_STATE(9827)] = 392778,
  [SMALL_STATE(9828)] = 392793,
  [SMALL_STATE(9829)] = 392812,
  [SMALL_STATE(9830)] = 392831,
  [SMALL_STATE(9831)] = 392850,
  [SMALL_STATE(9832)] = 392869,
  [SMALL_STATE(9833)] = 392888,
  [SMALL_STATE(9834)] = 392907,
  [SMALL_STATE(9835)] = 392922,
  [SMALL_STATE(9836)] = 392937,
  [SMALL_STATE(9837)] = 392952,
  [SMALL_STATE(9838)] = 392965,
  [SMALL_STATE(9839)] = 392984,
  [SMALL_STATE(9840)] = 393003,
  [SMALL_STATE(9841)] = 393018,
  [SMALL_STATE(9842)] = 393037,
  [SMALL_STATE(9843)] = 393048,
  [SMALL_STATE(9844)] = 393063,
  [SMALL_STATE(9845)] = 393078,
  [SMALL_STATE(9846)] = 393093,
  [SMALL_STATE(9847)] = 393112,
  [SMALL_STATE(9848)] = 393127,
  [SMALL_STATE(9849)] = 393142,
  [SMALL_STATE(9850)] = 393161,
  [SMALL_STATE(9851)] = 393176,
  [SMALL_STATE(9852)] = 393195,
  [SMALL_STATE(9853)] = 393214,
  [SMALL_STATE(9854)] = 393229,
  [SMALL_STATE(9855)] = 393244,
  [SMALL_STATE(9856)] = 393259,
  [SMALL_STATE(9857)] = 393278,
  [SMALL_STATE(9858)] = 393295,
  [SMALL_STATE(9859)] = 393314,
  [SMALL_STATE(9860)] = 393333,
  [SMALL_STATE(9861)] = 393352,
  [SMALL_STATE(9862)] = 393363,
  [SMALL_STATE(9863)] = 393382,
  [SMALL_STATE(9864)] = 393401,
  [SMALL_STATE(9865)] = 393420,
  [SMALL_STATE(9866)] = 393435,
  [SMALL_STATE(9867)] = 393450,
  [SMALL_STATE(9868)] = 393465,
  [SMALL_STATE(9869)] = 393480,
  [SMALL_STATE(9870)] = 393495,
  [SMALL_STATE(9871)] = 393514,
  [SMALL_STATE(9872)] = 393529,
  [SMALL_STATE(9873)] = 393544,
  [SMALL_STATE(9874)] = 393563,
  [SMALL_STATE(9875)] = 393582,
  [SMALL_STATE(9876)] = 393599,
  [SMALL_STATE(9877)] = 393618,
  [SMALL_STATE(9878)] = 393637,
  [SMALL_STATE(9879)] = 393656,
  [SMALL_STATE(9880)] = 393673,
  [SMALL_STATE(9881)] = 393688,
  [SMALL_STATE(9882)] = 393703,
  [SMALL_STATE(9883)] = 393722,
  [SMALL_STATE(9884)] = 393741,
  [SMALL_STATE(9885)] = 393760,
  [SMALL_STATE(9886)] = 393779,
  [SMALL_STATE(9887)] = 393798,
  [SMALL_STATE(9888)] = 393813,
  [SMALL_STATE(9889)] = 393832,
  [SMALL_STATE(9890)] = 393851,
  [SMALL_STATE(9891)] = 393866,
  [SMALL_STATE(9892)] = 393885,
  [SMALL_STATE(9893)] = 393900,
  [SMALL_STATE(9894)] = 393915,
  [SMALL_STATE(9895)] = 393930,
  [SMALL_STATE(9896)] = 393949,
  [SMALL_STATE(9897)] = 393964,
  [SMALL_STATE(9898)] = 393979,
  [SMALL_STATE(9899)] = 393998,
  [SMALL_STATE(9900)] = 394017,
  [SMALL_STATE(9901)] = 394032,
  [SMALL_STATE(9902)] = 394051,
  [SMALL_STATE(9903)] = 394066,
  [SMALL_STATE(9904)] = 394081,
  [SMALL_STATE(9905)] = 394100,
  [SMALL_STATE(9906)] = 394117,
  [SMALL_STATE(9907)] = 394136,
  [SMALL_STATE(9908)] = 394149,
  [SMALL_STATE(9909)] = 394168,
  [SMALL_STATE(9910)] = 394187,
  [SMALL_STATE(9911)] = 394200,
  [SMALL_STATE(9912)] = 394219,
  [SMALL_STATE(9913)] = 394236,
  [SMALL_STATE(9914)] = 394246,
  [SMALL_STATE(9915)] = 394256,
  [SMALL_STATE(9916)] = 394270,
  [SMALL_STATE(9917)] = 394284,
  [SMALL_STATE(9918)] = 394298,
  [SMALL_STATE(9919)] = 394308,
  [SMALL_STATE(9920)] = 394322,
  [SMALL_STATE(9921)] = 394336,
  [SMALL_STATE(9922)] = 394350,
  [SMALL_STATE(9923)] = 394360,
  [SMALL_STATE(9924)] = 394370,
  [SMALL_STATE(9925)] = 394384,
  [SMALL_STATE(9926)] = 394394,
  [SMALL_STATE(9927)] = 394408,
  [SMALL_STATE(9928)] = 394422,
  [SMALL_STATE(9929)] = 394436,
  [SMALL_STATE(9930)] = 394446,
  [SMALL_STATE(9931)] = 394456,
  [SMALL_STATE(9932)] = 394466,
  [SMALL_STATE(9933)] = 394476,
  [SMALL_STATE(9934)] = 394490,
  [SMALL_STATE(9935)] = 394504,
  [SMALL_STATE(9936)] = 394514,
  [SMALL_STATE(9937)] = 394524,
  [SMALL_STATE(9938)] = 394534,
  [SMALL_STATE(9939)] = 394544,
  [SMALL_STATE(9940)] = 394558,
  [SMALL_STATE(9941)] = 394572,
  [SMALL_STATE(9942)] = 394586,
  [SMALL_STATE(9943)] = 394596,
  [SMALL_STATE(9944)] = 394606,
  [SMALL_STATE(9945)] = 394620,
  [SMALL_STATE(9946)] = 394634,
  [SMALL_STATE(9947)] = 394648,
  [SMALL_STATE(9948)] = 394662,
  [SMALL_STATE(9949)] = 394672,
  [SMALL_STATE(9950)] = 394682,
  [SMALL_STATE(9951)] = 394692,
  [SMALL_STATE(9952)] = 394702,
  [SMALL_STATE(9953)] = 394712,
  [SMALL_STATE(9954)] = 394722,
  [SMALL_STATE(9955)] = 394736,
  [SMALL_STATE(9956)] = 394746,
  [SMALL_STATE(9957)] = 394760,
  [SMALL_STATE(9958)] = 394770,
  [SMALL_STATE(9959)] = 394784,
  [SMALL_STATE(9960)] = 394794,
  [SMALL_STATE(9961)] = 394808,
  [SMALL_STATE(9962)] = 394822,
  [SMALL_STATE(9963)] = 394836,
  [SMALL_STATE(9964)] = 394850,
  [SMALL_STATE(9965)] = 394864,
  [SMALL_STATE(9966)] = 394878,
  [SMALL_STATE(9967)] = 394892,
  [SMALL_STATE(9968)] = 394902,
  [SMALL_STATE(9969)] = 394916,
  [SMALL_STATE(9970)] = 394930,
  [SMALL_STATE(9971)] = 394944,
  [SMALL_STATE(9972)] = 394954,
  [SMALL_STATE(9973)] = 394968,
  [SMALL_STATE(9974)] = 394982,
  [SMALL_STATE(9975)] = 394996,
  [SMALL_STATE(9976)] = 395008,
  [SMALL_STATE(9977)] = 395018,
  [SMALL_STATE(9978)] = 395032,
  [SMALL_STATE(9979)] = 395042,
  [SMALL_STATE(9980)] = 395052,
  [SMALL_STATE(9981)] = 395066,
  [SMALL_STATE(9982)] = 395076,
  [SMALL_STATE(9983)] = 395086,
  [SMALL_STATE(9984)] = 395096,
  [SMALL_STATE(9985)] = 395106,
  [SMALL_STATE(9986)] = 395120,
  [SMALL_STATE(9987)] = 395134,
  [SMALL_STATE(9988)] = 395148,
  [SMALL_STATE(9989)] = 395162,
  [SMALL_STATE(9990)] = 395172,
  [SMALL_STATE(9991)] = 395182,
  [SMALL_STATE(9992)] = 395192,
  [SMALL_STATE(9993)] = 395206,
  [SMALL_STATE(9994)] = 395220,
  [SMALL_STATE(9995)] = 395234,
  [SMALL_STATE(9996)] = 395248,
  [SMALL_STATE(9997)] = 395258,
  [SMALL_STATE(9998)] = 395272,
  [SMALL_STATE(9999)] = 395282,
  [SMALL_STATE(10000)] = 395292,
  [SMALL_STATE(10001)] = 395306,
  [SMALL_STATE(10002)] = 395316,
  [SMALL_STATE(10003)] = 395326,
  [SMALL_STATE(10004)] = 395336,
  [SMALL_STATE(10005)] = 395346,
  [SMALL_STATE(10006)] = 395356,
  [SMALL_STATE(10007)] = 395366,
  [SMALL_STATE(10008)] = 395376,
  [SMALL_STATE(10009)] = 395386,
  [SMALL_STATE(10010)] = 395396,
  [SMALL_STATE(10011)] = 395406,
  [SMALL_STATE(10012)] = 395420,
  [SMALL_STATE(10013)] = 395434,
  [SMALL_STATE(10014)] = 395444,
  [SMALL_STATE(10015)] = 395454,
  [SMALL_STATE(10016)] = 395468,
  [SMALL_STATE(10017)] = 395478,
  [SMALL_STATE(10018)] = 395488,
  [SMALL_STATE(10019)] = 395498,
  [SMALL_STATE(10020)] = 395512,
  [SMALL_STATE(10021)] = 395522,
  [SMALL_STATE(10022)] = 395536,
  [SMALL_STATE(10023)] = 395546,
  [SMALL_STATE(10024)] = 395556,
  [SMALL_STATE(10025)] = 395566,
  [SMALL_STATE(10026)] = 395580,
  [SMALL_STATE(10027)] = 395590,
  [SMALL_STATE(10028)] = 395600,
  [SMALL_STATE(10029)] = 395614,
  [SMALL_STATE(10030)] = 395624,
  [SMALL_STATE(10031)] = 395634,
  [SMALL_STATE(10032)] = 395644,
  [SMALL_STATE(10033)] = 395654,
  [SMALL_STATE(10034)] = 395664,
  [SMALL_STATE(10035)] = 395674,
  [SMALL_STATE(10036)] = 395688,
  [SMALL_STATE(10037)] = 395698,
  [SMALL_STATE(10038)] = 395708,
  [SMALL_STATE(10039)] = 395718,
  [SMALL_STATE(10040)] = 395732,
  [SMALL_STATE(10041)] = 395742,
  [SMALL_STATE(10042)] = 395756,
  [SMALL_STATE(10043)] = 395766,
  [SMALL_STATE(10044)] = 395776,
  [SMALL_STATE(10045)] = 395786,
  [SMALL_STATE(10046)] = 395800,
  [SMALL_STATE(10047)] = 395814,
  [SMALL_STATE(10048)] = 395824,
  [SMALL_STATE(10049)] = 395834,
  [SMALL_STATE(10050)] = 395844,
  [SMALL_STATE(10051)] = 395854,
  [SMALL_STATE(10052)] = 395868,
  [SMALL_STATE(10053)] = 395878,
  [SMALL_STATE(10054)] = 395888,
  [SMALL_STATE(10055)] = 395898,
  [SMALL_STATE(10056)] = 395912,
  [SMALL_STATE(10057)] = 395922,
  [SMALL_STATE(10058)] = 395936,
  [SMALL_STATE(10059)] = 395950,
  [SMALL_STATE(10060)] = 395960,
  [SMALL_STATE(10061)] = 395970,
  [SMALL_STATE(10062)] = 395984,
  [SMALL_STATE(10063)] = 395994,
  [SMALL_STATE(10064)] = 396008,
  [SMALL_STATE(10065)] = 396018,
  [SMALL_STATE(10066)] = 396028,
  [SMALL_STATE(10067)] = 396038,
  [SMALL_STATE(10068)] = 396048,
  [SMALL_STATE(10069)] = 396058,
  [SMALL_STATE(10070)] = 396072,
  [SMALL_STATE(10071)] = 396082,
  [SMALL_STATE(10072)] = 396092,
  [SMALL_STATE(10073)] = 396102,
  [SMALL_STATE(10074)] = 396116,
  [SMALL_STATE(10075)] = 396126,
  [SMALL_STATE(10076)] = 396136,
  [SMALL_STATE(10077)] = 396146,
  [SMALL_STATE(10078)] = 396156,
  [SMALL_STATE(10079)] = 396166,
  [SMALL_STATE(10080)] = 396176,
  [SMALL_STATE(10081)] = 396186,
  [SMALL_STATE(10082)] = 396200,
  [SMALL_STATE(10083)] = 396210,
  [SMALL_STATE(10084)] = 396220,
  [SMALL_STATE(10085)] = 396234,
  [SMALL_STATE(10086)] = 396248,
  [SMALL_STATE(10087)] = 396258,
  [SMALL_STATE(10088)] = 396274,
  [SMALL_STATE(10089)] = 396284,
  [SMALL_STATE(10090)] = 396298,
  [SMALL_STATE(10091)] = 396314,
  [SMALL_STATE(10092)] = 396324,
  [SMALL_STATE(10093)] = 396338,
  [SMALL_STATE(10094)] = 396352,
  [SMALL_STATE(10095)] = 396366,
  [SMALL_STATE(10096)] = 396380,
  [SMALL_STATE(10097)] = 396394,
  [SMALL_STATE(10098)] = 396404,
  [SMALL_STATE(10099)] = 396418,
  [SMALL_STATE(10100)] = 396428,
  [SMALL_STATE(10101)] = 396438,
  [SMALL_STATE(10102)] = 396448,
  [SMALL_STATE(10103)] = 396458,
  [SMALL_STATE(10104)] = 396472,
  [SMALL_STATE(10105)] = 396482,
  [SMALL_STATE(10106)] = 396492,
  [SMALL_STATE(10107)] = 396502,
  [SMALL_STATE(10108)] = 396516,
  [SMALL_STATE(10109)] = 396526,
  [SMALL_STATE(10110)] = 396536,
  [SMALL_STATE(10111)] = 396550,
  [SMALL_STATE(10112)] = 396560,
  [SMALL_STATE(10113)] = 396570,
  [SMALL_STATE(10114)] = 396584,
  [SMALL_STATE(10115)] = 396598,
  [SMALL_STATE(10116)] = 396612,
  [SMALL_STATE(10117)] = 396622,
  [SMALL_STATE(10118)] = 396632,
  [SMALL_STATE(10119)] = 396646,
  [SMALL_STATE(10120)] = 396656,
  [SMALL_STATE(10121)] = 396666,
  [SMALL_STATE(10122)] = 396676,
  [SMALL_STATE(10123)] = 396686,
  [SMALL_STATE(10124)] = 396700,
  [SMALL_STATE(10125)] = 396713,
  [SMALL_STATE(10126)] = 396726,
  [SMALL_STATE(10127)] = 396739,
  [SMALL_STATE(10128)] = 396752,
  [SMALL_STATE(10129)] = 396765,
  [SMALL_STATE(10130)] = 396778,
  [SMALL_STATE(10131)] = 396791,
  [SMALL_STATE(10132)] = 396804,
  [SMALL_STATE(10133)] = 396817,
  [SMALL_STATE(10134)] = 396830,
  [SMALL_STATE(10135)] = 396843,
  [SMALL_STATE(10136)] = 396856,
  [SMALL_STATE(10137)] = 396869,
  [SMALL_STATE(10138)] = 396882,
  [SMALL_STATE(10139)] = 396895,
  [SMALL_STATE(10140)] = 396908,
  [SMALL_STATE(10141)] = 396921,
  [SMALL_STATE(10142)] = 396934,
  [SMALL_STATE(10143)] = 396947,
  [SMALL_STATE(10144)] = 396960,
  [SMALL_STATE(10145)] = 396973,
  [SMALL_STATE(10146)] = 396986,
  [SMALL_STATE(10147)] = 396999,
  [SMALL_STATE(10148)] = 397012,
  [SMALL_STATE(10149)] = 397025,
  [SMALL_STATE(10150)] = 397038,
  [SMALL_STATE(10151)] = 397051,
  [SMALL_STATE(10152)] = 397064,
  [SMALL_STATE(10153)] = 397077,
  [SMALL_STATE(10154)] = 397090,
  [SMALL_STATE(10155)] = 397103,
  [SMALL_STATE(10156)] = 397116,
  [SMALL_STATE(10157)] = 397129,
  [SMALL_STATE(10158)] = 397142,
  [SMALL_STATE(10159)] = 397155,
  [SMALL_STATE(10160)] = 397168,
  [SMALL_STATE(10161)] = 397181,
  [SMALL_STATE(10162)] = 397194,
  [SMALL_STATE(10163)] = 397207,
  [SMALL_STATE(10164)] = 397220,
  [SMALL_STATE(10165)] = 397233,
  [SMALL_STATE(10166)] = 397246,
  [SMALL_STATE(10167)] = 397259,
  [SMALL_STATE(10168)] = 397272,
  [SMALL_STATE(10169)] = 397285,
  [SMALL_STATE(10170)] = 397298,
  [SMALL_STATE(10171)] = 397311,
  [SMALL_STATE(10172)] = 397324,
  [SMALL_STATE(10173)] = 397337,
  [SMALL_STATE(10174)] = 397350,
  [SMALL_STATE(10175)] = 397363,
  [SMALL_STATE(10176)] = 397376,
  [SMALL_STATE(10177)] = 397389,
  [SMALL_STATE(10178)] = 397402,
  [SMALL_STATE(10179)] = 397415,
  [SMALL_STATE(10180)] = 397428,
  [SMALL_STATE(10181)] = 397441,
  [SMALL_STATE(10182)] = 397454,
  [SMALL_STATE(10183)] = 397467,
  [SMALL_STATE(10184)] = 397480,
  [SMALL_STATE(10185)] = 397493,
  [SMALL_STATE(10186)] = 397506,
  [SMALL_STATE(10187)] = 397519,
  [SMALL_STATE(10188)] = 397532,
  [SMALL_STATE(10189)] = 397545,
  [SMALL_STATE(10190)] = 397558,
  [SMALL_STATE(10191)] = 397571,
  [SMALL_STATE(10192)] = 397584,
  [SMALL_STATE(10193)] = 397597,
  [SMALL_STATE(10194)] = 397610,
  [SMALL_STATE(10195)] = 397623,
  [SMALL_STATE(10196)] = 397636,
  [SMALL_STATE(10197)] = 397649,
  [SMALL_STATE(10198)] = 397662,
  [SMALL_STATE(10199)] = 397675,
  [SMALL_STATE(10200)] = 397688,
  [SMALL_STATE(10201)] = 397701,
  [SMALL_STATE(10202)] = 397714,
  [SMALL_STATE(10203)] = 397727,
  [SMALL_STATE(10204)] = 397740,
  [SMALL_STATE(10205)] = 397753,
  [SMALL_STATE(10206)] = 397766,
  [SMALL_STATE(10207)] = 397779,
  [SMALL_STATE(10208)] = 397792,
  [SMALL_STATE(10209)] = 397805,
  [SMALL_STATE(10210)] = 397818,
  [SMALL_STATE(10211)] = 397831,
  [SMALL_STATE(10212)] = 397844,
  [SMALL_STATE(10213)] = 397857,
  [SMALL_STATE(10214)] = 397870,
  [SMALL_STATE(10215)] = 397883,
  [SMALL_STATE(10216)] = 397896,
  [SMALL_STATE(10217)] = 397909,
  [SMALL_STATE(10218)] = 397922,
  [SMALL_STATE(10219)] = 397935,
  [SMALL_STATE(10220)] = 397948,
  [SMALL_STATE(10221)] = 397961,
  [SMALL_STATE(10222)] = 397974,
  [SMALL_STATE(10223)] = 397987,
  [SMALL_STATE(10224)] = 398000,
  [SMALL_STATE(10225)] = 398013,
  [SMALL_STATE(10226)] = 398026,
  [SMALL_STATE(10227)] = 398039,
  [SMALL_STATE(10228)] = 398052,
  [SMALL_STATE(10229)] = 398065,
  [SMALL_STATE(10230)] = 398078,
  [SMALL_STATE(10231)] = 398091,
  [SMALL_STATE(10232)] = 398104,
  [SMALL_STATE(10233)] = 398117,
  [SMALL_STATE(10234)] = 398130,
  [SMALL_STATE(10235)] = 398143,
  [SMALL_STATE(10236)] = 398156,
  [SMALL_STATE(10237)] = 398169,
  [SMALL_STATE(10238)] = 398182,
  [SMALL_STATE(10239)] = 398195,
  [SMALL_STATE(10240)] = 398208,
  [SMALL_STATE(10241)] = 398221,
  [SMALL_STATE(10242)] = 398234,
  [SMALL_STATE(10243)] = 398247,
  [SMALL_STATE(10244)] = 398260,
  [SMALL_STATE(10245)] = 398273,
  [SMALL_STATE(10246)] = 398286,
  [SMALL_STATE(10247)] = 398299,
  [SMALL_STATE(10248)] = 398312,
  [SMALL_STATE(10249)] = 398325,
  [SMALL_STATE(10250)] = 398338,
  [SMALL_STATE(10251)] = 398351,
  [SMALL_STATE(10252)] = 398364,
  [SMALL_STATE(10253)] = 398377,
  [SMALL_STATE(10254)] = 398390,
  [SMALL_STATE(10255)] = 398403,
  [SMALL_STATE(10256)] = 398416,
  [SMALL_STATE(10257)] = 398429,
  [SMALL_STATE(10258)] = 398442,
  [SMALL_STATE(10259)] = 398455,
  [SMALL_STATE(10260)] = 398468,
  [SMALL_STATE(10261)] = 398481,
  [SMALL_STATE(10262)] = 398494,
  [SMALL_STATE(10263)] = 398507,
  [SMALL_STATE(10264)] = 398520,
  [SMALL_STATE(10265)] = 398533,
  [SMALL_STATE(10266)] = 398546,
  [SMALL_STATE(10267)] = 398559,
  [SMALL_STATE(10268)] = 398572,
  [SMALL_STATE(10269)] = 398585,
  [SMALL_STATE(10270)] = 398598,
  [SMALL_STATE(10271)] = 398611,
  [SMALL_STATE(10272)] = 398624,
  [SMALL_STATE(10273)] = 398637,
  [SMALL_STATE(10274)] = 398650,
  [SMALL_STATE(10275)] = 398663,
  [SMALL_STATE(10276)] = 398676,
  [SMALL_STATE(10277)] = 398689,
  [SMALL_STATE(10278)] = 398702,
  [SMALL_STATE(10279)] = 398715,
  [SMALL_STATE(10280)] = 398728,
  [SMALL_STATE(10281)] = 398741,
  [SMALL_STATE(10282)] = 398754,
  [SMALL_STATE(10283)] = 398767,
  [SMALL_STATE(10284)] = 398780,
  [SMALL_STATE(10285)] = 398793,
  [SMALL_STATE(10286)] = 398806,
  [SMALL_STATE(10287)] = 398819,
  [SMALL_STATE(10288)] = 398832,
  [SMALL_STATE(10289)] = 398845,
  [SMALL_STATE(10290)] = 398858,
  [SMALL_STATE(10291)] = 398871,
  [SMALL_STATE(10292)] = 398884,
  [SMALL_STATE(10293)] = 398897,
  [SMALL_STATE(10294)] = 398910,
  [SMALL_STATE(10295)] = 398923,
  [SMALL_STATE(10296)] = 398936,
  [SMALL_STATE(10297)] = 398949,
  [SMALL_STATE(10298)] = 398962,
  [SMALL_STATE(10299)] = 398975,
  [SMALL_STATE(10300)] = 398988,
  [SMALL_STATE(10301)] = 399001,
  [SMALL_STATE(10302)] = 399014,
  [SMALL_STATE(10303)] = 399027,
  [SMALL_STATE(10304)] = 399040,
  [SMALL_STATE(10305)] = 399053,
  [SMALL_STATE(10306)] = 399066,
  [SMALL_STATE(10307)] = 399079,
  [SMALL_STATE(10308)] = 399092,
  [SMALL_STATE(10309)] = 399105,
  [SMALL_STATE(10310)] = 399118,
  [SMALL_STATE(10311)] = 399131,
  [SMALL_STATE(10312)] = 399144,
  [SMALL_STATE(10313)] = 399157,
  [SMALL_STATE(10314)] = 399170,
  [SMALL_STATE(10315)] = 399183,
  [SMALL_STATE(10316)] = 399196,
  [SMALL_STATE(10317)] = 399209,
  [SMALL_STATE(10318)] = 399222,
  [SMALL_STATE(10319)] = 399235,
  [SMALL_STATE(10320)] = 399248,
  [SMALL_STATE(10321)] = 399261,
  [SMALL_STATE(10322)] = 399274,
  [SMALL_STATE(10323)] = 399287,
  [SMALL_STATE(10324)] = 399300,
  [SMALL_STATE(10325)] = 399313,
  [SMALL_STATE(10326)] = 399326,
  [SMALL_STATE(10327)] = 399339,
  [SMALL_STATE(10328)] = 399352,
  [SMALL_STATE(10329)] = 399365,
  [SMALL_STATE(10330)] = 399378,
  [SMALL_STATE(10331)] = 399391,
  [SMALL_STATE(10332)] = 399404,
  [SMALL_STATE(10333)] = 399417,
  [SMALL_STATE(10334)] = 399430,
  [SMALL_STATE(10335)] = 399443,
  [SMALL_STATE(10336)] = 399456,
  [SMALL_STATE(10337)] = 399469,
  [SMALL_STATE(10338)] = 399482,
  [SMALL_STATE(10339)] = 399495,
  [SMALL_STATE(10340)] = 399508,
  [SMALL_STATE(10341)] = 399521,
  [SMALL_STATE(10342)] = 399534,
  [SMALL_STATE(10343)] = 399547,
  [SMALL_STATE(10344)] = 399560,
  [SMALL_STATE(10345)] = 399573,
  [SMALL_STATE(10346)] = 399586,
  [SMALL_STATE(10347)] = 399599,
  [SMALL_STATE(10348)] = 399612,
  [SMALL_STATE(10349)] = 399625,
  [SMALL_STATE(10350)] = 399638,
  [SMALL_STATE(10351)] = 399649,
  [SMALL_STATE(10352)] = 399662,
  [SMALL_STATE(10353)] = 399675,
  [SMALL_STATE(10354)] = 399688,
  [SMALL_STATE(10355)] = 399701,
  [SMALL_STATE(10356)] = 399714,
  [SMALL_STATE(10357)] = 399727,
  [SMALL_STATE(10358)] = 399740,
  [SMALL_STATE(10359)] = 399753,
  [SMALL_STATE(10360)] = 399766,
  [SMALL_STATE(10361)] = 399779,
  [SMALL_STATE(10362)] = 399792,
  [SMALL_STATE(10363)] = 399805,
  [SMALL_STATE(10364)] = 399818,
  [SMALL_STATE(10365)] = 399831,
  [SMALL_STATE(10366)] = 399844,
  [SMALL_STATE(10367)] = 399857,
  [SMALL_STATE(10368)] = 399870,
  [SMALL_STATE(10369)] = 399883,
  [SMALL_STATE(10370)] = 399896,
  [SMALL_STATE(10371)] = 399909,
  [SMALL_STATE(10372)] = 399922,
  [SMALL_STATE(10373)] = 399935,
  [SMALL_STATE(10374)] = 399948,
  [SMALL_STATE(10375)] = 399961,
  [SMALL_STATE(10376)] = 399974,
  [SMALL_STATE(10377)] = 399987,
  [SMALL_STATE(10378)] = 400000,
  [SMALL_STATE(10379)] = 400013,
  [SMALL_STATE(10380)] = 400026,
  [SMALL_STATE(10381)] = 400039,
  [SMALL_STATE(10382)] = 400052,
  [SMALL_STATE(10383)] = 400065,
  [SMALL_STATE(10384)] = 400078,
  [SMALL_STATE(10385)] = 400091,
  [SMALL_STATE(10386)] = 400104,
  [SMALL_STATE(10387)] = 400117,
  [SMALL_STATE(10388)] = 400130,
  [SMALL_STATE(10389)] = 400143,
  [SMALL_STATE(10390)] = 400156,
  [SMALL_STATE(10391)] = 400169,
  [SMALL_STATE(10392)] = 400182,
  [SMALL_STATE(10393)] = 400195,
  [SMALL_STATE(10394)] = 400208,
  [SMALL_STATE(10395)] = 400221,
  [SMALL_STATE(10396)] = 400234,
  [SMALL_STATE(10397)] = 400247,
  [SMALL_STATE(10398)] = 400260,
  [SMALL_STATE(10399)] = 400273,
  [SMALL_STATE(10400)] = 400286,
  [SMALL_STATE(10401)] = 400299,
  [SMALL_STATE(10402)] = 400312,
  [SMALL_STATE(10403)] = 400325,
  [SMALL_STATE(10404)] = 400338,
  [SMALL_STATE(10405)] = 400351,
  [SMALL_STATE(10406)] = 400364,
  [SMALL_STATE(10407)] = 400377,
  [SMALL_STATE(10408)] = 400390,
  [SMALL_STATE(10409)] = 400403,
  [SMALL_STATE(10410)] = 400416,
  [SMALL_STATE(10411)] = 400429,
  [SMALL_STATE(10412)] = 400442,
  [SMALL_STATE(10413)] = 400455,
  [SMALL_STATE(10414)] = 400468,
  [SMALL_STATE(10415)] = 400481,
  [SMALL_STATE(10416)] = 400494,
  [SMALL_STATE(10417)] = 400507,
  [SMALL_STATE(10418)] = 400520,
  [SMALL_STATE(10419)] = 400533,
  [SMALL_STATE(10420)] = 400546,
  [SMALL_STATE(10421)] = 400559,
  [SMALL_STATE(10422)] = 400572,
  [SMALL_STATE(10423)] = 400585,
  [SMALL_STATE(10424)] = 400598,
  [SMALL_STATE(10425)] = 400611,
  [SMALL_STATE(10426)] = 400624,
  [SMALL_STATE(10427)] = 400637,
  [SMALL_STATE(10428)] = 400650,
  [SMALL_STATE(10429)] = 400663,
  [SMALL_STATE(10430)] = 400676,
  [SMALL_STATE(10431)] = 400689,
  [SMALL_STATE(10432)] = 400702,
  [SMALL_STATE(10433)] = 400715,
  [SMALL_STATE(10434)] = 400728,
  [SMALL_STATE(10435)] = 400741,
  [SMALL_STATE(10436)] = 400752,
  [SMALL_STATE(10437)] = 400765,
  [SMALL_STATE(10438)] = 400778,
  [SMALL_STATE(10439)] = 400791,
  [SMALL_STATE(10440)] = 400804,
  [SMALL_STATE(10441)] = 400817,
  [SMALL_STATE(10442)] = 400830,
  [SMALL_STATE(10443)] = 400843,
  [SMALL_STATE(10444)] = 400856,
  [SMALL_STATE(10445)] = 400869,
  [SMALL_STATE(10446)] = 400882,
  [SMALL_STATE(10447)] = 400895,
  [SMALL_STATE(10448)] = 400908,
  [SMALL_STATE(10449)] = 400921,
  [SMALL_STATE(10450)] = 400934,
  [SMALL_STATE(10451)] = 400947,
  [SMALL_STATE(10452)] = 400960,
  [SMALL_STATE(10453)] = 400973,
  [SMALL_STATE(10454)] = 400986,
  [SMALL_STATE(10455)] = 400999,
  [SMALL_STATE(10456)] = 401012,
  [SMALL_STATE(10457)] = 401025,
  [SMALL_STATE(10458)] = 401038,
  [SMALL_STATE(10459)] = 401051,
  [SMALL_STATE(10460)] = 401064,
  [SMALL_STATE(10461)] = 401077,
  [SMALL_STATE(10462)] = 401090,
  [SMALL_STATE(10463)] = 401103,
  [SMALL_STATE(10464)] = 401116,
  [SMALL_STATE(10465)] = 401129,
  [SMALL_STATE(10466)] = 401142,
  [SMALL_STATE(10467)] = 401155,
  [SMALL_STATE(10468)] = 401168,
  [SMALL_STATE(10469)] = 401181,
  [SMALL_STATE(10470)] = 401194,
  [SMALL_STATE(10471)] = 401207,
  [SMALL_STATE(10472)] = 401220,
  [SMALL_STATE(10473)] = 401233,
  [SMALL_STATE(10474)] = 401246,
  [SMALL_STATE(10475)] = 401259,
  [SMALL_STATE(10476)] = 401270,
  [SMALL_STATE(10477)] = 401283,
  [SMALL_STATE(10478)] = 401296,
  [SMALL_STATE(10479)] = 401309,
  [SMALL_STATE(10480)] = 401322,
  [SMALL_STATE(10481)] = 401335,
  [SMALL_STATE(10482)] = 401348,
  [SMALL_STATE(10483)] = 401361,
  [SMALL_STATE(10484)] = 401374,
  [SMALL_STATE(10485)] = 401387,
  [SMALL_STATE(10486)] = 401400,
  [SMALL_STATE(10487)] = 401413,
  [SMALL_STATE(10488)] = 401426,
  [SMALL_STATE(10489)] = 401439,
  [SMALL_STATE(10490)] = 401452,
  [SMALL_STATE(10491)] = 401465,
  [SMALL_STATE(10492)] = 401478,
  [SMALL_STATE(10493)] = 401491,
  [SMALL_STATE(10494)] = 401504,
  [SMALL_STATE(10495)] = 401517,
  [SMALL_STATE(10496)] = 401530,
  [SMALL_STATE(10497)] = 401543,
  [SMALL_STATE(10498)] = 401556,
  [SMALL_STATE(10499)] = 401569,
  [SMALL_STATE(10500)] = 401582,
  [SMALL_STATE(10501)] = 401595,
  [SMALL_STATE(10502)] = 401608,
  [SMALL_STATE(10503)] = 401621,
  [SMALL_STATE(10504)] = 401634,
  [SMALL_STATE(10505)] = 401647,
  [SMALL_STATE(10506)] = 401660,
  [SMALL_STATE(10507)] = 401673,
  [SMALL_STATE(10508)] = 401686,
  [SMALL_STATE(10509)] = 401699,
  [SMALL_STATE(10510)] = 401712,
  [SMALL_STATE(10511)] = 401725,
  [SMALL_STATE(10512)] = 401738,
  [SMALL_STATE(10513)] = 401751,
  [SMALL_STATE(10514)] = 401764,
  [SMALL_STATE(10515)] = 401777,
  [SMALL_STATE(10516)] = 401790,
  [SMALL_STATE(10517)] = 401803,
  [SMALL_STATE(10518)] = 401816,
  [SMALL_STATE(10519)] = 401829,
  [SMALL_STATE(10520)] = 401842,
  [SMALL_STATE(10521)] = 401855,
  [SMALL_STATE(10522)] = 401868,
  [SMALL_STATE(10523)] = 401881,
  [SMALL_STATE(10524)] = 401894,
  [SMALL_STATE(10525)] = 401907,
  [SMALL_STATE(10526)] = 401920,
  [SMALL_STATE(10527)] = 401933,
  [SMALL_STATE(10528)] = 401946,
  [SMALL_STATE(10529)] = 401959,
  [SMALL_STATE(10530)] = 401972,
  [SMALL_STATE(10531)] = 401985,
  [SMALL_STATE(10532)] = 401998,
  [SMALL_STATE(10533)] = 402011,
  [SMALL_STATE(10534)] = 402024,
  [SMALL_STATE(10535)] = 402037,
  [SMALL_STATE(10536)] = 402050,
  [SMALL_STATE(10537)] = 402063,
  [SMALL_STATE(10538)] = 402076,
  [SMALL_STATE(10539)] = 402089,
  [SMALL_STATE(10540)] = 402102,
  [SMALL_STATE(10541)] = 402115,
  [SMALL_STATE(10542)] = 402128,
  [SMALL_STATE(10543)] = 402141,
  [SMALL_STATE(10544)] = 402154,
  [SMALL_STATE(10545)] = 402167,
  [SMALL_STATE(10546)] = 402178,
  [SMALL_STATE(10547)] = 402191,
  [SMALL_STATE(10548)] = 402204,
  [SMALL_STATE(10549)] = 402217,
  [SMALL_STATE(10550)] = 402230,
  [SMALL_STATE(10551)] = 402243,
  [SMALL_STATE(10552)] = 402256,
  [SMALL_STATE(10553)] = 402269,
  [SMALL_STATE(10554)] = 402282,
  [SMALL_STATE(10555)] = 402295,
  [SMALL_STATE(10556)] = 402308,
  [SMALL_STATE(10557)] = 402321,
  [SMALL_STATE(10558)] = 402334,
  [SMALL_STATE(10559)] = 402347,
  [SMALL_STATE(10560)] = 402360,
  [SMALL_STATE(10561)] = 402373,
  [SMALL_STATE(10562)] = 402386,
  [SMALL_STATE(10563)] = 402399,
  [SMALL_STATE(10564)] = 402412,
  [SMALL_STATE(10565)] = 402425,
  [SMALL_STATE(10566)] = 402438,
  [SMALL_STATE(10567)] = 402451,
  [SMALL_STATE(10568)] = 402464,
  [SMALL_STATE(10569)] = 402477,
  [SMALL_STATE(10570)] = 402490,
  [SMALL_STATE(10571)] = 402503,
  [SMALL_STATE(10572)] = 402516,
  [SMALL_STATE(10573)] = 402529,
  [SMALL_STATE(10574)] = 402540,
  [SMALL_STATE(10575)] = 402553,
  [SMALL_STATE(10576)] = 402566,
  [SMALL_STATE(10577)] = 402579,
  [SMALL_STATE(10578)] = 402592,
  [SMALL_STATE(10579)] = 402605,
  [SMALL_STATE(10580)] = 402618,
  [SMALL_STATE(10581)] = 402631,
  [SMALL_STATE(10582)] = 402644,
  [SMALL_STATE(10583)] = 402657,
  [SMALL_STATE(10584)] = 402670,
  [SMALL_STATE(10585)] = 402683,
  [SMALL_STATE(10586)] = 402696,
  [SMALL_STATE(10587)] = 402709,
  [SMALL_STATE(10588)] = 402722,
  [SMALL_STATE(10589)] = 402735,
  [SMALL_STATE(10590)] = 402748,
  [SMALL_STATE(10591)] = 402761,
  [SMALL_STATE(10592)] = 402774,
  [SMALL_STATE(10593)] = 402787,
  [SMALL_STATE(10594)] = 402800,
  [SMALL_STATE(10595)] = 402813,
  [SMALL_STATE(10596)] = 402826,
  [SMALL_STATE(10597)] = 402839,
  [SMALL_STATE(10598)] = 402852,
  [SMALL_STATE(10599)] = 402865,
  [SMALL_STATE(10600)] = 402878,
  [SMALL_STATE(10601)] = 402891,
  [SMALL_STATE(10602)] = 402904,
  [SMALL_STATE(10603)] = 402917,
  [SMALL_STATE(10604)] = 402930,
  [SMALL_STATE(10605)] = 402943,
  [SMALL_STATE(10606)] = 402956,
  [SMALL_STATE(10607)] = 402969,
  [SMALL_STATE(10608)] = 402982,
  [SMALL_STATE(10609)] = 402995,
  [SMALL_STATE(10610)] = 403008,
  [SMALL_STATE(10611)] = 403021,
  [SMALL_STATE(10612)] = 403034,
  [SMALL_STATE(10613)] = 403047,
  [SMALL_STATE(10614)] = 403060,
  [SMALL_STATE(10615)] = 403073,
  [SMALL_STATE(10616)] = 403086,
  [SMALL_STATE(10617)] = 403099,
  [SMALL_STATE(10618)] = 403112,
  [SMALL_STATE(10619)] = 403125,
  [SMALL_STATE(10620)] = 403138,
  [SMALL_STATE(10621)] = 403151,
  [SMALL_STATE(10622)] = 403164,
  [SMALL_STATE(10623)] = 403177,
  [SMALL_STATE(10624)] = 403190,
  [SMALL_STATE(10625)] = 403203,
  [SMALL_STATE(10626)] = 403216,
  [SMALL_STATE(10627)] = 403229,
  [SMALL_STATE(10628)] = 403242,
  [SMALL_STATE(10629)] = 403255,
  [SMALL_STATE(10630)] = 403268,
  [SMALL_STATE(10631)] = 403281,
  [SMALL_STATE(10632)] = 403294,
  [SMALL_STATE(10633)] = 403307,
  [SMALL_STATE(10634)] = 403320,
  [SMALL_STATE(10635)] = 403333,
  [SMALL_STATE(10636)] = 403346,
  [SMALL_STATE(10637)] = 403359,
  [SMALL_STATE(10638)] = 403372,
  [SMALL_STATE(10639)] = 403385,
  [SMALL_STATE(10640)] = 403398,
  [SMALL_STATE(10641)] = 403411,
  [SMALL_STATE(10642)] = 403424,
  [SMALL_STATE(10643)] = 403437,
  [SMALL_STATE(10644)] = 403450,
  [SMALL_STATE(10645)] = 403463,
  [SMALL_STATE(10646)] = 403476,
  [SMALL_STATE(10647)] = 403489,
  [SMALL_STATE(10648)] = 403502,
  [SMALL_STATE(10649)] = 403515,
  [SMALL_STATE(10650)] = 403528,
  [SMALL_STATE(10651)] = 403541,
  [SMALL_STATE(10652)] = 403554,
  [SMALL_STATE(10653)] = 403567,
  [SMALL_STATE(10654)] = 403580,
  [SMALL_STATE(10655)] = 403593,
  [SMALL_STATE(10656)] = 403606,
  [SMALL_STATE(10657)] = 403619,
  [SMALL_STATE(10658)] = 403632,
  [SMALL_STATE(10659)] = 403645,
  [SMALL_STATE(10660)] = 403658,
  [SMALL_STATE(10661)] = 403671,
  [SMALL_STATE(10662)] = 403684,
  [SMALL_STATE(10663)] = 403697,
  [SMALL_STATE(10664)] = 403710,
  [SMALL_STATE(10665)] = 403723,
  [SMALL_STATE(10666)] = 403736,
  [SMALL_STATE(10667)] = 403749,
  [SMALL_STATE(10668)] = 403762,
  [SMALL_STATE(10669)] = 403775,
  [SMALL_STATE(10670)] = 403788,
  [SMALL_STATE(10671)] = 403801,
  [SMALL_STATE(10672)] = 403814,
  [SMALL_STATE(10673)] = 403827,
  [SMALL_STATE(10674)] = 403840,
  [SMALL_STATE(10675)] = 403853,
  [SMALL_STATE(10676)] = 403864,
  [SMALL_STATE(10677)] = 403877,
  [SMALL_STATE(10678)] = 403888,
  [SMALL_STATE(10679)] = 403901,
  [SMALL_STATE(10680)] = 403914,
  [SMALL_STATE(10681)] = 403927,
  [SMALL_STATE(10682)] = 403940,
  [SMALL_STATE(10683)] = 403953,
  [SMALL_STATE(10684)] = 403966,
  [SMALL_STATE(10685)] = 403979,
  [SMALL_STATE(10686)] = 403992,
  [SMALL_STATE(10687)] = 404005,
  [SMALL_STATE(10688)] = 404018,
  [SMALL_STATE(10689)] = 404031,
  [SMALL_STATE(10690)] = 404044,
  [SMALL_STATE(10691)] = 404057,
  [SMALL_STATE(10692)] = 404070,
  [SMALL_STATE(10693)] = 404083,
  [SMALL_STATE(10694)] = 404096,
  [SMALL_STATE(10695)] = 404109,
  [SMALL_STATE(10696)] = 404122,
  [SMALL_STATE(10697)] = 404135,
  [SMALL_STATE(10698)] = 404148,
  [SMALL_STATE(10699)] = 404161,
  [SMALL_STATE(10700)] = 404174,
  [SMALL_STATE(10701)] = 404187,
  [SMALL_STATE(10702)] = 404200,
  [SMALL_STATE(10703)] = 404213,
  [SMALL_STATE(10704)] = 404226,
  [SMALL_STATE(10705)] = 404239,
  [SMALL_STATE(10706)] = 404252,
  [SMALL_STATE(10707)] = 404265,
  [SMALL_STATE(10708)] = 404278,
  [SMALL_STATE(10709)] = 404291,
  [SMALL_STATE(10710)] = 404304,
  [SMALL_STATE(10711)] = 404317,
  [SMALL_STATE(10712)] = 404330,
  [SMALL_STATE(10713)] = 404343,
  [SMALL_STATE(10714)] = 404356,
  [SMALL_STATE(10715)] = 404369,
  [SMALL_STATE(10716)] = 404382,
  [SMALL_STATE(10717)] = 404395,
  [SMALL_STATE(10718)] = 404408,
  [SMALL_STATE(10719)] = 404421,
  [SMALL_STATE(10720)] = 404434,
  [SMALL_STATE(10721)] = 404447,
  [SMALL_STATE(10722)] = 404458,
  [SMALL_STATE(10723)] = 404471,
  [SMALL_STATE(10724)] = 404484,
  [SMALL_STATE(10725)] = 404497,
  [SMALL_STATE(10726)] = 404510,
  [SMALL_STATE(10727)] = 404523,
  [SMALL_STATE(10728)] = 404536,
  [SMALL_STATE(10729)] = 404549,
  [SMALL_STATE(10730)] = 404562,
  [SMALL_STATE(10731)] = 404575,
  [SMALL_STATE(10732)] = 404588,
  [SMALL_STATE(10733)] = 404601,
  [SMALL_STATE(10734)] = 404614,
  [SMALL_STATE(10735)] = 404627,
  [SMALL_STATE(10736)] = 404640,
  [SMALL_STATE(10737)] = 404653,
  [SMALL_STATE(10738)] = 404666,
  [SMALL_STATE(10739)] = 404679,
  [SMALL_STATE(10740)] = 404690,
  [SMALL_STATE(10741)] = 404703,
  [SMALL_STATE(10742)] = 404716,
  [SMALL_STATE(10743)] = 404729,
  [SMALL_STATE(10744)] = 404742,
  [SMALL_STATE(10745)] = 404755,
  [SMALL_STATE(10746)] = 404768,
  [SMALL_STATE(10747)] = 404781,
  [SMALL_STATE(10748)] = 404794,
  [SMALL_STATE(10749)] = 404807,
  [SMALL_STATE(10750)] = 404820,
  [SMALL_STATE(10751)] = 404833,
  [SMALL_STATE(10752)] = 404846,
  [SMALL_STATE(10753)] = 404857,
  [SMALL_STATE(10754)] = 404870,
  [SMALL_STATE(10755)] = 404883,
  [SMALL_STATE(10756)] = 404896,
  [SMALL_STATE(10757)] = 404909,
  [SMALL_STATE(10758)] = 404922,
  [SMALL_STATE(10759)] = 404935,
  [SMALL_STATE(10760)] = 404948,
  [SMALL_STATE(10761)] = 404961,
  [SMALL_STATE(10762)] = 404974,
  [SMALL_STATE(10763)] = 404987,
  [SMALL_STATE(10764)] = 404998,
  [SMALL_STATE(10765)] = 405011,
  [SMALL_STATE(10766)] = 405024,
  [SMALL_STATE(10767)] = 405037,
  [SMALL_STATE(10768)] = 405050,
  [SMALL_STATE(10769)] = 405063,
  [SMALL_STATE(10770)] = 405076,
  [SMALL_STATE(10771)] = 405089,
  [SMALL_STATE(10772)] = 405102,
  [SMALL_STATE(10773)] = 405115,
  [SMALL_STATE(10774)] = 405128,
  [SMALL_STATE(10775)] = 405141,
  [SMALL_STATE(10776)] = 405154,
  [SMALL_STATE(10777)] = 405167,
  [SMALL_STATE(10778)] = 405180,
  [SMALL_STATE(10779)] = 405193,
  [SMALL_STATE(10780)] = 405206,
  [SMALL_STATE(10781)] = 405219,
  [SMALL_STATE(10782)] = 405232,
  [SMALL_STATE(10783)] = 405245,
  [SMALL_STATE(10784)] = 405258,
  [SMALL_STATE(10785)] = 405271,
  [SMALL_STATE(10786)] = 405284,
  [SMALL_STATE(10787)] = 405297,
  [SMALL_STATE(10788)] = 405310,
  [SMALL_STATE(10789)] = 405323,
  [SMALL_STATE(10790)] = 405336,
  [SMALL_STATE(10791)] = 405349,
  [SMALL_STATE(10792)] = 405362,
  [SMALL_STATE(10793)] = 405375,
  [SMALL_STATE(10794)] = 405388,
  [SMALL_STATE(10795)] = 405401,
  [SMALL_STATE(10796)] = 405414,
  [SMALL_STATE(10797)] = 405425,
  [SMALL_STATE(10798)] = 405434,
  [SMALL_STATE(10799)] = 405447,
  [SMALL_STATE(10800)] = 405460,
  [SMALL_STATE(10801)] = 405473,
  [SMALL_STATE(10802)] = 405486,
  [SMALL_STATE(10803)] = 405499,
  [SMALL_STATE(10804)] = 405508,
  [SMALL_STATE(10805)] = 405521,
  [SMALL_STATE(10806)] = 405534,
  [SMALL_STATE(10807)] = 405547,
  [SMALL_STATE(10808)] = 405560,
  [SMALL_STATE(10809)] = 405573,
  [SMALL_STATE(10810)] = 405586,
  [SMALL_STATE(10811)] = 405599,
  [SMALL_STATE(10812)] = 405612,
  [SMALL_STATE(10813)] = 405625,
  [SMALL_STATE(10814)] = 405638,
  [SMALL_STATE(10815)] = 405651,
  [SMALL_STATE(10816)] = 405664,
  [SMALL_STATE(10817)] = 405677,
  [SMALL_STATE(10818)] = 405690,
  [SMALL_STATE(10819)] = 405699,
  [SMALL_STATE(10820)] = 405712,
  [SMALL_STATE(10821)] = 405725,
  [SMALL_STATE(10822)] = 405738,
  [SMALL_STATE(10823)] = 405751,
  [SMALL_STATE(10824)] = 405764,
  [SMALL_STATE(10825)] = 405777,
  [SMALL_STATE(10826)] = 405790,
  [SMALL_STATE(10827)] = 405803,
  [SMALL_STATE(10828)] = 405816,
  [SMALL_STATE(10829)] = 405829,
  [SMALL_STATE(10830)] = 405842,
  [SMALL_STATE(10831)] = 405855,
  [SMALL_STATE(10832)] = 405868,
  [SMALL_STATE(10833)] = 405881,
  [SMALL_STATE(10834)] = 405894,
  [SMALL_STATE(10835)] = 405907,
  [SMALL_STATE(10836)] = 405920,
  [SMALL_STATE(10837)] = 405933,
  [SMALL_STATE(10838)] = 405946,
  [SMALL_STATE(10839)] = 405959,
  [SMALL_STATE(10840)] = 405972,
  [SMALL_STATE(10841)] = 405985,
  [SMALL_STATE(10842)] = 405998,
  [SMALL_STATE(10843)] = 406011,
  [SMALL_STATE(10844)] = 406024,
  [SMALL_STATE(10845)] = 406037,
  [SMALL_STATE(10846)] = 406050,
  [SMALL_STATE(10847)] = 406063,
  [SMALL_STATE(10848)] = 406076,
  [SMALL_STATE(10849)] = 406089,
  [SMALL_STATE(10850)] = 406102,
  [SMALL_STATE(10851)] = 406115,
  [SMALL_STATE(10852)] = 406128,
  [SMALL_STATE(10853)] = 406137,
  [SMALL_STATE(10854)] = 406150,
  [SMALL_STATE(10855)] = 406163,
  [SMALL_STATE(10856)] = 406176,
  [SMALL_STATE(10857)] = 406189,
  [SMALL_STATE(10858)] = 406202,
  [SMALL_STATE(10859)] = 406215,
  [SMALL_STATE(10860)] = 406228,
  [SMALL_STATE(10861)] = 406241,
  [SMALL_STATE(10862)] = 406254,
  [SMALL_STATE(10863)] = 406267,
  [SMALL_STATE(10864)] = 406280,
  [SMALL_STATE(10865)] = 406293,
  [SMALL_STATE(10866)] = 406306,
  [SMALL_STATE(10867)] = 406319,
  [SMALL_STATE(10868)] = 406332,
  [SMALL_STATE(10869)] = 406345,
  [SMALL_STATE(10870)] = 406358,
  [SMALL_STATE(10871)] = 406371,
  [SMALL_STATE(10872)] = 406384,
  [SMALL_STATE(10873)] = 406397,
  [SMALL_STATE(10874)] = 406410,
  [SMALL_STATE(10875)] = 406423,
  [SMALL_STATE(10876)] = 406436,
  [SMALL_STATE(10877)] = 406449,
  [SMALL_STATE(10878)] = 406462,
  [SMALL_STATE(10879)] = 406475,
  [SMALL_STATE(10880)] = 406488,
  [SMALL_STATE(10881)] = 406501,
  [SMALL_STATE(10882)] = 406514,
  [SMALL_STATE(10883)] = 406527,
  [SMALL_STATE(10884)] = 406540,
  [SMALL_STATE(10885)] = 406553,
  [SMALL_STATE(10886)] = 406566,
  [SMALL_STATE(10887)] = 406579,
  [SMALL_STATE(10888)] = 406592,
  [SMALL_STATE(10889)] = 406605,
  [SMALL_STATE(10890)] = 406618,
  [SMALL_STATE(10891)] = 406631,
  [SMALL_STATE(10892)] = 406644,
  [SMALL_STATE(10893)] = 406657,
  [SMALL_STATE(10894)] = 406670,
  [SMALL_STATE(10895)] = 406683,
  [SMALL_STATE(10896)] = 406696,
  [SMALL_STATE(10897)] = 406709,
  [SMALL_STATE(10898)] = 406722,
  [SMALL_STATE(10899)] = 406735,
  [SMALL_STATE(10900)] = 406748,
  [SMALL_STATE(10901)] = 406761,
  [SMALL_STATE(10902)] = 406774,
  [SMALL_STATE(10903)] = 406787,
  [SMALL_STATE(10904)] = 406800,
  [SMALL_STATE(10905)] = 406813,
  [SMALL_STATE(10906)] = 406826,
  [SMALL_STATE(10907)] = 406839,
  [SMALL_STATE(10908)] = 406852,
  [SMALL_STATE(10909)] = 406865,
  [SMALL_STATE(10910)] = 406878,
  [SMALL_STATE(10911)] = 406891,
  [SMALL_STATE(10912)] = 406904,
  [SMALL_STATE(10913)] = 406917,
  [SMALL_STATE(10914)] = 406930,
  [SMALL_STATE(10915)] = 406943,
  [SMALL_STATE(10916)] = 406956,
  [SMALL_STATE(10917)] = 406969,
  [SMALL_STATE(10918)] = 406982,
  [SMALL_STATE(10919)] = 406995,
  [SMALL_STATE(10920)] = 407008,
  [SMALL_STATE(10921)] = 407021,
  [SMALL_STATE(10922)] = 407034,
  [SMALL_STATE(10923)] = 407047,
  [SMALL_STATE(10924)] = 407060,
  [SMALL_STATE(10925)] = 407073,
  [SMALL_STATE(10926)] = 407086,
  [SMALL_STATE(10927)] = 407099,
  [SMALL_STATE(10928)] = 407112,
  [SMALL_STATE(10929)] = 407125,
  [SMALL_STATE(10930)] = 407138,
  [SMALL_STATE(10931)] = 407151,
  [SMALL_STATE(10932)] = 407164,
  [SMALL_STATE(10933)] = 407177,
  [SMALL_STATE(10934)] = 407190,
  [SMALL_STATE(10935)] = 407203,
  [SMALL_STATE(10936)] = 407216,
  [SMALL_STATE(10937)] = 407229,
  [SMALL_STATE(10938)] = 407242,
  [SMALL_STATE(10939)] = 407255,
  [SMALL_STATE(10940)] = 407268,
  [SMALL_STATE(10941)] = 407281,
  [SMALL_STATE(10942)] = 407294,
  [SMALL_STATE(10943)] = 407307,
  [SMALL_STATE(10944)] = 407317,
  [SMALL_STATE(10945)] = 407327,
  [SMALL_STATE(10946)] = 407337,
  [SMALL_STATE(10947)] = 407347,
  [SMALL_STATE(10948)] = 407357,
  [SMALL_STATE(10949)] = 407367,
  [SMALL_STATE(10950)] = 407377,
  [SMALL_STATE(10951)] = 407387,
  [SMALL_STATE(10952)] = 407397,
  [SMALL_STATE(10953)] = 407407,
  [SMALL_STATE(10954)] = 407417,
  [SMALL_STATE(10955)] = 407427,
  [SMALL_STATE(10956)] = 407437,
  [SMALL_STATE(10957)] = 407447,
  [SMALL_STATE(10958)] = 407457,
  [SMALL_STATE(10959)] = 407467,
  [SMALL_STATE(10960)] = 407477,
  [SMALL_STATE(10961)] = 407487,
  [SMALL_STATE(10962)] = 407497,
  [SMALL_STATE(10963)] = 407507,
  [SMALL_STATE(10964)] = 407517,
  [SMALL_STATE(10965)] = 407527,
  [SMALL_STATE(10966)] = 407537,
  [SMALL_STATE(10967)] = 407547,
  [SMALL_STATE(10968)] = 407557,
  [SMALL_STATE(10969)] = 407567,
  [SMALL_STATE(10970)] = 407577,
  [SMALL_STATE(10971)] = 407587,
  [SMALL_STATE(10972)] = 407597,
  [SMALL_STATE(10973)] = 407607,
  [SMALL_STATE(10974)] = 407617,
  [SMALL_STATE(10975)] = 407627,
  [SMALL_STATE(10976)] = 407637,
  [SMALL_STATE(10977)] = 407647,
  [SMALL_STATE(10978)] = 407657,
  [SMALL_STATE(10979)] = 407665,
  [SMALL_STATE(10980)] = 407675,
  [SMALL_STATE(10981)] = 407685,
  [SMALL_STATE(10982)] = 407695,
  [SMALL_STATE(10983)] = 407705,
  [SMALL_STATE(10984)] = 407715,
  [SMALL_STATE(10985)] = 407725,
  [SMALL_STATE(10986)] = 407735,
  [SMALL_STATE(10987)] = 407745,
  [SMALL_STATE(10988)] = 407755,
  [SMALL_STATE(10989)] = 407765,
  [SMALL_STATE(10990)] = 407775,
  [SMALL_STATE(10991)] = 407785,
  [SMALL_STATE(10992)] = 407795,
  [SMALL_STATE(10993)] = 407805,
  [SMALL_STATE(10994)] = 407815,
  [SMALL_STATE(10995)] = 407825,
  [SMALL_STATE(10996)] = 407835,
  [SMALL_STATE(10997)] = 407845,
  [SMALL_STATE(10998)] = 407855,
  [SMALL_STATE(10999)] = 407865,
  [SMALL_STATE(11000)] = 407875,
  [SMALL_STATE(11001)] = 407885,
  [SMALL_STATE(11002)] = 407895,
  [SMALL_STATE(11003)] = 407905,
  [SMALL_STATE(11004)] = 407915,
  [SMALL_STATE(11005)] = 407925,
  [SMALL_STATE(11006)] = 407935,
  [SMALL_STATE(11007)] = 407945,
  [SMALL_STATE(11008)] = 407955,
  [SMALL_STATE(11009)] = 407965,
  [SMALL_STATE(11010)] = 407973,
  [SMALL_STATE(11011)] = 407983,
  [SMALL_STATE(11012)] = 407993,
  [SMALL_STATE(11013)] = 408003,
  [SMALL_STATE(11014)] = 408013,
  [SMALL_STATE(11015)] = 408023,
  [SMALL_STATE(11016)] = 408033,
  [SMALL_STATE(11017)] = 408043,
  [SMALL_STATE(11018)] = 408053,
  [SMALL_STATE(11019)] = 408063,
  [SMALL_STATE(11020)] = 408073,
  [SMALL_STATE(11021)] = 408083,
  [SMALL_STATE(11022)] = 408093,
  [SMALL_STATE(11023)] = 408101,
  [SMALL_STATE(11024)] = 408111,
  [SMALL_STATE(11025)] = 408121,
  [SMALL_STATE(11026)] = 408131,
  [SMALL_STATE(11027)] = 408141,
  [SMALL_STATE(11028)] = 408151,
  [SMALL_STATE(11029)] = 408161,
  [SMALL_STATE(11030)] = 408169,
  [SMALL_STATE(11031)] = 408179,
  [SMALL_STATE(11032)] = 408187,
  [SMALL_STATE(11033)] = 408197,
  [SMALL_STATE(11034)] = 408207,
  [SMALL_STATE(11035)] = 408217,
  [SMALL_STATE(11036)] = 408227,
  [SMALL_STATE(11037)] = 408237,
  [SMALL_STATE(11038)] = 408245,
  [SMALL_STATE(11039)] = 408255,
  [SMALL_STATE(11040)] = 408265,
  [SMALL_STATE(11041)] = 408275,
  [SMALL_STATE(11042)] = 408285,
  [SMALL_STATE(11043)] = 408295,
  [SMALL_STATE(11044)] = 408305,
  [SMALL_STATE(11045)] = 408315,
  [SMALL_STATE(11046)] = 408325,
  [SMALL_STATE(11047)] = 408335,
  [SMALL_STATE(11048)] = 408345,
  [SMALL_STATE(11049)] = 408355,
  [SMALL_STATE(11050)] = 408365,
  [SMALL_STATE(11051)] = 408375,
  [SMALL_STATE(11052)] = 408385,
  [SMALL_STATE(11053)] = 408395,
  [SMALL_STATE(11054)] = 408405,
  [SMALL_STATE(11055)] = 408413,
  [SMALL_STATE(11056)] = 408423,
  [SMALL_STATE(11057)] = 408433,
  [SMALL_STATE(11058)] = 408443,
  [SMALL_STATE(11059)] = 408451,
  [SMALL_STATE(11060)] = 408461,
  [SMALL_STATE(11061)] = 408469,
  [SMALL_STATE(11062)] = 408479,
  [SMALL_STATE(11063)] = 408489,
  [SMALL_STATE(11064)] = 408499,
  [SMALL_STATE(11065)] = 408509,
  [SMALL_STATE(11066)] = 408519,
  [SMALL_STATE(11067)] = 408529,
  [SMALL_STATE(11068)] = 408539,
  [SMALL_STATE(11069)] = 408549,
  [SMALL_STATE(11070)] = 408559,
  [SMALL_STATE(11071)] = 408569,
  [SMALL_STATE(11072)] = 408579,
  [SMALL_STATE(11073)] = 408587,
  [SMALL_STATE(11074)] = 408597,
  [SMALL_STATE(11075)] = 408607,
  [SMALL_STATE(11076)] = 408617,
  [SMALL_STATE(11077)] = 408627,
  [SMALL_STATE(11078)] = 408637,
  [SMALL_STATE(11079)] = 408647,
  [SMALL_STATE(11080)] = 408655,
  [SMALL_STATE(11081)] = 408665,
  [SMALL_STATE(11082)] = 408675,
  [SMALL_STATE(11083)] = 408685,
  [SMALL_STATE(11084)] = 408695,
  [SMALL_STATE(11085)] = 408705,
  [SMALL_STATE(11086)] = 408715,
  [SMALL_STATE(11087)] = 408725,
  [SMALL_STATE(11088)] = 408735,
  [SMALL_STATE(11089)] = 408745,
  [SMALL_STATE(11090)] = 408755,
  [SMALL_STATE(11091)] = 408763,
  [SMALL_STATE(11092)] = 408773,
  [SMALL_STATE(11093)] = 408783,
  [SMALL_STATE(11094)] = 408793,
  [SMALL_STATE(11095)] = 408803,
  [SMALL_STATE(11096)] = 408813,
  [SMALL_STATE(11097)] = 408823,
  [SMALL_STATE(11098)] = 408833,
  [SMALL_STATE(11099)] = 408843,
  [SMALL_STATE(11100)] = 408853,
  [SMALL_STATE(11101)] = 408861,
  [SMALL_STATE(11102)] = 408871,
  [SMALL_STATE(11103)] = 408881,
  [SMALL_STATE(11104)] = 408891,
  [SMALL_STATE(11105)] = 408901,
  [SMALL_STATE(11106)] = 408911,
  [SMALL_STATE(11107)] = 408921,
  [SMALL_STATE(11108)] = 408931,
  [SMALL_STATE(11109)] = 408941,
  [SMALL_STATE(11110)] = 408951,
  [SMALL_STATE(11111)] = 408961,
  [SMALL_STATE(11112)] = 408969,
  [SMALL_STATE(11113)] = 408979,
  [SMALL_STATE(11114)] = 408989,
  [SMALL_STATE(11115)] = 408997,
  [SMALL_STATE(11116)] = 409007,
  [SMALL_STATE(11117)] = 409017,
  [SMALL_STATE(11118)] = 409027,
  [SMALL_STATE(11119)] = 409037,
  [SMALL_STATE(11120)] = 409045,
  [SMALL_STATE(11121)] = 409055,
  [SMALL_STATE(11122)] = 409065,
  [SMALL_STATE(11123)] = 409075,
  [SMALL_STATE(11124)] = 409085,
  [SMALL_STATE(11125)] = 409095,
  [SMALL_STATE(11126)] = 409105,
  [SMALL_STATE(11127)] = 409115,
  [SMALL_STATE(11128)] = 409125,
  [SMALL_STATE(11129)] = 409135,
  [SMALL_STATE(11130)] = 409145,
  [SMALL_STATE(11131)] = 409155,
  [SMALL_STATE(11132)] = 409165,
  [SMALL_STATE(11133)] = 409175,
  [SMALL_STATE(11134)] = 409185,
  [SMALL_STATE(11135)] = 409195,
  [SMALL_STATE(11136)] = 409205,
  [SMALL_STATE(11137)] = 409215,
  [SMALL_STATE(11138)] = 409225,
  [SMALL_STATE(11139)] = 409235,
  [SMALL_STATE(11140)] = 409245,
  [SMALL_STATE(11141)] = 409253,
  [SMALL_STATE(11142)] = 409263,
  [SMALL_STATE(11143)] = 409271,
  [SMALL_STATE(11144)] = 409281,
  [SMALL_STATE(11145)] = 409289,
  [SMALL_STATE(11146)] = 409299,
  [SMALL_STATE(11147)] = 409309,
  [SMALL_STATE(11148)] = 409319,
  [SMALL_STATE(11149)] = 409329,
  [SMALL_STATE(11150)] = 409339,
  [SMALL_STATE(11151)] = 409349,
  [SMALL_STATE(11152)] = 409357,
  [SMALL_STATE(11153)] = 409367,
  [SMALL_STATE(11154)] = 409377,
  [SMALL_STATE(11155)] = 409387,
  [SMALL_STATE(11156)] = 409397,
  [SMALL_STATE(11157)] = 409407,
  [SMALL_STATE(11158)] = 409417,
  [SMALL_STATE(11159)] = 409427,
  [SMALL_STATE(11160)] = 409437,
  [SMALL_STATE(11161)] = 409447,
  [SMALL_STATE(11162)] = 409457,
  [SMALL_STATE(11163)] = 409467,
  [SMALL_STATE(11164)] = 409477,
  [SMALL_STATE(11165)] = 409487,
  [SMALL_STATE(11166)] = 409497,
  [SMALL_STATE(11167)] = 409505,
  [SMALL_STATE(11168)] = 409515,
  [SMALL_STATE(11169)] = 409525,
  [SMALL_STATE(11170)] = 409535,
  [SMALL_STATE(11171)] = 409545,
  [SMALL_STATE(11172)] = 409555,
  [SMALL_STATE(11173)] = 409565,
  [SMALL_STATE(11174)] = 409575,
  [SMALL_STATE(11175)] = 409585,
  [SMALL_STATE(11176)] = 409595,
  [SMALL_STATE(11177)] = 409605,
  [SMALL_STATE(11178)] = 409615,
  [SMALL_STATE(11179)] = 409623,
  [SMALL_STATE(11180)] = 409633,
  [SMALL_STATE(11181)] = 409643,
  [SMALL_STATE(11182)] = 409653,
  [SMALL_STATE(11183)] = 409663,
  [SMALL_STATE(11184)] = 409673,
  [SMALL_STATE(11185)] = 409683,
  [SMALL_STATE(11186)] = 409693,
  [SMALL_STATE(11187)] = 409703,
  [SMALL_STATE(11188)] = 409713,
  [SMALL_STATE(11189)] = 409723,
  [SMALL_STATE(11190)] = 409733,
  [SMALL_STATE(11191)] = 409743,
  [SMALL_STATE(11192)] = 409753,
  [SMALL_STATE(11193)] = 409763,
  [SMALL_STATE(11194)] = 409773,
  [SMALL_STATE(11195)] = 409783,
  [SMALL_STATE(11196)] = 409793,
  [SMALL_STATE(11197)] = 409803,
  [SMALL_STATE(11198)] = 409813,
  [SMALL_STATE(11199)] = 409823,
  [SMALL_STATE(11200)] = 409833,
  [SMALL_STATE(11201)] = 409843,
  [SMALL_STATE(11202)] = 409853,
  [SMALL_STATE(11203)] = 409863,
  [SMALL_STATE(11204)] = 409873,
  [SMALL_STATE(11205)] = 409883,
  [SMALL_STATE(11206)] = 409893,
  [SMALL_STATE(11207)] = 409903,
  [SMALL_STATE(11208)] = 409913,
  [SMALL_STATE(11209)] = 409923,
  [SMALL_STATE(11210)] = 409933,
  [SMALL_STATE(11211)] = 409943,
  [SMALL_STATE(11212)] = 409953,
  [SMALL_STATE(11213)] = 409963,
  [SMALL_STATE(11214)] = 409973,
  [SMALL_STATE(11215)] = 409983,
  [SMALL_STATE(11216)] = 409993,
  [SMALL_STATE(11217)] = 410003,
  [SMALL_STATE(11218)] = 410013,
  [SMALL_STATE(11219)] = 410023,
  [SMALL_STATE(11220)] = 410033,
  [SMALL_STATE(11221)] = 410043,
  [SMALL_STATE(11222)] = 410053,
  [SMALL_STATE(11223)] = 410063,
  [SMALL_STATE(11224)] = 410073,
  [SMALL_STATE(11225)] = 410083,
  [SMALL_STATE(11226)] = 410093,
  [SMALL_STATE(11227)] = 410103,
  [SMALL_STATE(11228)] = 410113,
  [SMALL_STATE(11229)] = 410123,
  [SMALL_STATE(11230)] = 410133,
  [SMALL_STATE(11231)] = 410143,
  [SMALL_STATE(11232)] = 410153,
  [SMALL_STATE(11233)] = 410163,
  [SMALL_STATE(11234)] = 410173,
  [SMALL_STATE(11235)] = 410183,
  [SMALL_STATE(11236)] = 410193,
  [SMALL_STATE(11237)] = 410201,
  [SMALL_STATE(11238)] = 410211,
  [SMALL_STATE(11239)] = 410221,
  [SMALL_STATE(11240)] = 410231,
  [SMALL_STATE(11241)] = 410241,
  [SMALL_STATE(11242)] = 410251,
  [SMALL_STATE(11243)] = 410261,
  [SMALL_STATE(11244)] = 410271,
  [SMALL_STATE(11245)] = 410281,
  [SMALL_STATE(11246)] = 410291,
  [SMALL_STATE(11247)] = 410301,
  [SMALL_STATE(11248)] = 410311,
  [SMALL_STATE(11249)] = 410321,
  [SMALL_STATE(11250)] = 410331,
  [SMALL_STATE(11251)] = 410341,
  [SMALL_STATE(11252)] = 410351,
  [SMALL_STATE(11253)] = 410361,
  [SMALL_STATE(11254)] = 410371,
  [SMALL_STATE(11255)] = 410381,
  [SMALL_STATE(11256)] = 410391,
  [SMALL_STATE(11257)] = 410401,
  [SMALL_STATE(11258)] = 410411,
  [SMALL_STATE(11259)] = 410421,
  [SMALL_STATE(11260)] = 410431,
  [SMALL_STATE(11261)] = 410441,
  [SMALL_STATE(11262)] = 410451,
  [SMALL_STATE(11263)] = 410461,
  [SMALL_STATE(11264)] = 410471,
  [SMALL_STATE(11265)] = 410481,
  [SMALL_STATE(11266)] = 410491,
  [SMALL_STATE(11267)] = 410501,
  [SMALL_STATE(11268)] = 410511,
  [SMALL_STATE(11269)] = 410521,
  [SMALL_STATE(11270)] = 410531,
  [SMALL_STATE(11271)] = 410541,
  [SMALL_STATE(11272)] = 410551,
  [SMALL_STATE(11273)] = 410561,
  [SMALL_STATE(11274)] = 410571,
  [SMALL_STATE(11275)] = 410581,
  [SMALL_STATE(11276)] = 410591,
  [SMALL_STATE(11277)] = 410601,
  [SMALL_STATE(11278)] = 410611,
  [SMALL_STATE(11279)] = 410621,
  [SMALL_STATE(11280)] = 410631,
  [SMALL_STATE(11281)] = 410641,
  [SMALL_STATE(11282)] = 410651,
  [SMALL_STATE(11283)] = 410661,
  [SMALL_STATE(11284)] = 410671,
  [SMALL_STATE(11285)] = 410681,
  [SMALL_STATE(11286)] = 410691,
  [SMALL_STATE(11287)] = 410701,
  [SMALL_STATE(11288)] = 410711,
  [SMALL_STATE(11289)] = 410721,
  [SMALL_STATE(11290)] = 410731,
  [SMALL_STATE(11291)] = 410741,
  [SMALL_STATE(11292)] = 410751,
  [SMALL_STATE(11293)] = 410761,
  [SMALL_STATE(11294)] = 410771,
  [SMALL_STATE(11295)] = 410781,
  [SMALL_STATE(11296)] = 410791,
  [SMALL_STATE(11297)] = 410801,
  [SMALL_STATE(11298)] = 410811,
  [SMALL_STATE(11299)] = 410821,
  [SMALL_STATE(11300)] = 410831,
  [SMALL_STATE(11301)] = 410841,
  [SMALL_STATE(11302)] = 410849,
  [SMALL_STATE(11303)] = 410859,
  [SMALL_STATE(11304)] = 410869,
  [SMALL_STATE(11305)] = 410879,
  [SMALL_STATE(11306)] = 410889,
  [SMALL_STATE(11307)] = 410899,
  [SMALL_STATE(11308)] = 410907,
  [SMALL_STATE(11309)] = 410917,
  [SMALL_STATE(11310)] = 410927,
  [SMALL_STATE(11311)] = 410937,
  [SMALL_STATE(11312)] = 410947,
  [SMALL_STATE(11313)] = 410957,
  [SMALL_STATE(11314)] = 410967,
  [SMALL_STATE(11315)] = 410977,
  [SMALL_STATE(11316)] = 410987,
  [SMALL_STATE(11317)] = 410994,
  [SMALL_STATE(11318)] = 411001,
  [SMALL_STATE(11319)] = 411008,
  [SMALL_STATE(11320)] = 411015,
  [SMALL_STATE(11321)] = 411022,
  [SMALL_STATE(11322)] = 411029,
  [SMALL_STATE(11323)] = 411036,
  [SMALL_STATE(11324)] = 411043,
  [SMALL_STATE(11325)] = 411050,
  [SMALL_STATE(11326)] = 411057,
  [SMALL_STATE(11327)] = 411064,
  [SMALL_STATE(11328)] = 411071,
  [SMALL_STATE(11329)] = 411078,
  [SMALL_STATE(11330)] = 411085,
  [SMALL_STATE(11331)] = 411092,
  [SMALL_STATE(11332)] = 411099,
  [SMALL_STATE(11333)] = 411106,
  [SMALL_STATE(11334)] = 411113,
  [SMALL_STATE(11335)] = 411120,
  [SMALL_STATE(11336)] = 411127,
  [SMALL_STATE(11337)] = 411134,
  [SMALL_STATE(11338)] = 411141,
  [SMALL_STATE(11339)] = 411148,
  [SMALL_STATE(11340)] = 411155,
  [SMALL_STATE(11341)] = 411162,
  [SMALL_STATE(11342)] = 411169,
  [SMALL_STATE(11343)] = 411176,
  [SMALL_STATE(11344)] = 411183,
  [SMALL_STATE(11345)] = 411190,
  [SMALL_STATE(11346)] = 411197,
  [SMALL_STATE(11347)] = 411204,
  [SMALL_STATE(11348)] = 411211,
  [SMALL_STATE(11349)] = 411218,
  [SMALL_STATE(11350)] = 411225,
  [SMALL_STATE(11351)] = 411232,
  [SMALL_STATE(11352)] = 411239,
  [SMALL_STATE(11353)] = 411246,
  [SMALL_STATE(11354)] = 411253,
  [SMALL_STATE(11355)] = 411260,
  [SMALL_STATE(11356)] = 411267,
  [SMALL_STATE(11357)] = 411274,
  [SMALL_STATE(11358)] = 411281,
  [SMALL_STATE(11359)] = 411288,
  [SMALL_STATE(11360)] = 411295,
  [SMALL_STATE(11361)] = 411302,
  [SMALL_STATE(11362)] = 411309,
  [SMALL_STATE(11363)] = 411316,
  [SMALL_STATE(11364)] = 411323,
  [SMALL_STATE(11365)] = 411330,
  [SMALL_STATE(11366)] = 411337,
  [SMALL_STATE(11367)] = 411344,
  [SMALL_STATE(11368)] = 411351,
  [SMALL_STATE(11369)] = 411358,
  [SMALL_STATE(11370)] = 411365,
  [SMALL_STATE(11371)] = 411372,
  [SMALL_STATE(11372)] = 411379,
  [SMALL_STATE(11373)] = 411386,
  [SMALL_STATE(11374)] = 411393,
  [SMALL_STATE(11375)] = 411400,
  [SMALL_STATE(11376)] = 411407,
  [SMALL_STATE(11377)] = 411414,
  [SMALL_STATE(11378)] = 411421,
  [SMALL_STATE(11379)] = 411428,
  [SMALL_STATE(11380)] = 411435,
  [SMALL_STATE(11381)] = 411442,
  [SMALL_STATE(11382)] = 411449,
  [SMALL_STATE(11383)] = 411456,
  [SMALL_STATE(11384)] = 411463,
  [SMALL_STATE(11385)] = 411470,
  [SMALL_STATE(11386)] = 411477,
  [SMALL_STATE(11387)] = 411484,
  [SMALL_STATE(11388)] = 411491,
  [SMALL_STATE(11389)] = 411498,
  [SMALL_STATE(11390)] = 411505,
  [SMALL_STATE(11391)] = 411512,
  [SMALL_STATE(11392)] = 411519,
  [SMALL_STATE(11393)] = 411526,
  [SMALL_STATE(11394)] = 411533,
  [SMALL_STATE(11395)] = 411540,
  [SMALL_STATE(11396)] = 411547,
  [SMALL_STATE(11397)] = 411554,
  [SMALL_STATE(11398)] = 411561,
  [SMALL_STATE(11399)] = 411568,
  [SMALL_STATE(11400)] = 411575,
  [SMALL_STATE(11401)] = 411582,
  [SMALL_STATE(11402)] = 411589,
  [SMALL_STATE(11403)] = 411596,
  [SMALL_STATE(11404)] = 411603,
  [SMALL_STATE(11405)] = 411610,
  [SMALL_STATE(11406)] = 411617,
  [SMALL_STATE(11407)] = 411624,
  [SMALL_STATE(11408)] = 411631,
  [SMALL_STATE(11409)] = 411638,
  [SMALL_STATE(11410)] = 411645,
  [SMALL_STATE(11411)] = 411652,
  [SMALL_STATE(11412)] = 411659,
  [SMALL_STATE(11413)] = 411666,
  [SMALL_STATE(11414)] = 411673,
  [SMALL_STATE(11415)] = 411680,
  [SMALL_STATE(11416)] = 411687,
  [SMALL_STATE(11417)] = 411694,
  [SMALL_STATE(11418)] = 411701,
  [SMALL_STATE(11419)] = 411708,
  [SMALL_STATE(11420)] = 411715,
  [SMALL_STATE(11421)] = 411722,
  [SMALL_STATE(11422)] = 411729,
  [SMALL_STATE(11423)] = 411736,
  [SMALL_STATE(11424)] = 411743,
  [SMALL_STATE(11425)] = 411750,
  [SMALL_STATE(11426)] = 411757,
  [SMALL_STATE(11427)] = 411764,
  [SMALL_STATE(11428)] = 411771,
  [SMALL_STATE(11429)] = 411778,
  [SMALL_STATE(11430)] = 411785,
  [SMALL_STATE(11431)] = 411792,
  [SMALL_STATE(11432)] = 411799,
  [SMALL_STATE(11433)] = 411806,
  [SMALL_STATE(11434)] = 411813,
  [SMALL_STATE(11435)] = 411820,
  [SMALL_STATE(11436)] = 411827,
  [SMALL_STATE(11437)] = 411834,
  [SMALL_STATE(11438)] = 411841,
  [SMALL_STATE(11439)] = 411848,
  [SMALL_STATE(11440)] = 411855,
  [SMALL_STATE(11441)] = 411862,
  [SMALL_STATE(11442)] = 411869,
  [SMALL_STATE(11443)] = 411876,
  [SMALL_STATE(11444)] = 411883,
  [SMALL_STATE(11445)] = 411890,
  [SMALL_STATE(11446)] = 411897,
  [SMALL_STATE(11447)] = 411904,
  [SMALL_STATE(11448)] = 411911,
  [SMALL_STATE(11449)] = 411918,
  [SMALL_STATE(11450)] = 411925,
  [SMALL_STATE(11451)] = 411932,
  [SMALL_STATE(11452)] = 411939,
  [SMALL_STATE(11453)] = 411946,
  [SMALL_STATE(11454)] = 411953,
  [SMALL_STATE(11455)] = 411960,
  [SMALL_STATE(11456)] = 411967,
  [SMALL_STATE(11457)] = 411974,
  [SMALL_STATE(11458)] = 411981,
  [SMALL_STATE(11459)] = 411988,
  [SMALL_STATE(11460)] = 411995,
  [SMALL_STATE(11461)] = 412002,
  [SMALL_STATE(11462)] = 412009,
  [SMALL_STATE(11463)] = 412016,
  [SMALL_STATE(11464)] = 412023,
  [SMALL_STATE(11465)] = 412030,
  [SMALL_STATE(11466)] = 412037,
  [SMALL_STATE(11467)] = 412044,
  [SMALL_STATE(11468)] = 412051,
  [SMALL_STATE(11469)] = 412058,
  [SMALL_STATE(11470)] = 412065,
  [SMALL_STATE(11471)] = 412072,
  [SMALL_STATE(11472)] = 412079,
  [SMALL_STATE(11473)] = 412086,
  [SMALL_STATE(11474)] = 412093,
  [SMALL_STATE(11475)] = 412100,
  [SMALL_STATE(11476)] = 412107,
  [SMALL_STATE(11477)] = 412114,
  [SMALL_STATE(11478)] = 412121,
  [SMALL_STATE(11479)] = 412128,
  [SMALL_STATE(11480)] = 412135,
  [SMALL_STATE(11481)] = 412142,
  [SMALL_STATE(11482)] = 412149,
  [SMALL_STATE(11483)] = 412156,
  [SMALL_STATE(11484)] = 412163,
  [SMALL_STATE(11485)] = 412170,
  [SMALL_STATE(11486)] = 412177,
  [SMALL_STATE(11487)] = 412184,
  [SMALL_STATE(11488)] = 412191,
  [SMALL_STATE(11489)] = 412198,
  [SMALL_STATE(11490)] = 412205,
  [SMALL_STATE(11491)] = 412212,
  [SMALL_STATE(11492)] = 412219,
  [SMALL_STATE(11493)] = 412226,
  [SMALL_STATE(11494)] = 412233,
  [SMALL_STATE(11495)] = 412240,
  [SMALL_STATE(11496)] = 412247,
  [SMALL_STATE(11497)] = 412254,
  [SMALL_STATE(11498)] = 412261,
  [SMALL_STATE(11499)] = 412268,
  [SMALL_STATE(11500)] = 412275,
  [SMALL_STATE(11501)] = 412282,
  [SMALL_STATE(11502)] = 412289,
  [SMALL_STATE(11503)] = 412296,
  [SMALL_STATE(11504)] = 412303,
  [SMALL_STATE(11505)] = 412310,
  [SMALL_STATE(11506)] = 412317,
  [SMALL_STATE(11507)] = 412324,
  [SMALL_STATE(11508)] = 412331,
  [SMALL_STATE(11509)] = 412338,
  [SMALL_STATE(11510)] = 412345,
  [SMALL_STATE(11511)] = 412352,
  [SMALL_STATE(11512)] = 412359,
  [SMALL_STATE(11513)] = 412366,
  [SMALL_STATE(11514)] = 412373,
  [SMALL_STATE(11515)] = 412380,
  [SMALL_STATE(11516)] = 412387,
  [SMALL_STATE(11517)] = 412394,
  [SMALL_STATE(11518)] = 412401,
  [SMALL_STATE(11519)] = 412408,
  [SMALL_STATE(11520)] = 412415,
  [SMALL_STATE(11521)] = 412422,
  [SMALL_STATE(11522)] = 412429,
  [SMALL_STATE(11523)] = 412436,
  [SMALL_STATE(11524)] = 412443,
  [SMALL_STATE(11525)] = 412450,
  [SMALL_STATE(11526)] = 412457,
  [SMALL_STATE(11527)] = 412464,
  [SMALL_STATE(11528)] = 412471,
  [SMALL_STATE(11529)] = 412478,
  [SMALL_STATE(11530)] = 412485,
  [SMALL_STATE(11531)] = 412492,
  [SMALL_STATE(11532)] = 412499,
  [SMALL_STATE(11533)] = 412506,
  [SMALL_STATE(11534)] = 412513,
  [SMALL_STATE(11535)] = 412520,
  [SMALL_STATE(11536)] = 412527,
  [SMALL_STATE(11537)] = 412534,
  [SMALL_STATE(11538)] = 412541,
  [SMALL_STATE(11539)] = 412548,
  [SMALL_STATE(11540)] = 412555,
  [SMALL_STATE(11541)] = 412562,
  [SMALL_STATE(11542)] = 412569,
  [SMALL_STATE(11543)] = 412576,
  [SMALL_STATE(11544)] = 412583,
  [SMALL_STATE(11545)] = 412590,
  [SMALL_STATE(11546)] = 412597,
  [SMALL_STATE(11547)] = 412604,
  [SMALL_STATE(11548)] = 412611,
  [SMALL_STATE(11549)] = 412618,
  [SMALL_STATE(11550)] = 412625,
  [SMALL_STATE(11551)] = 412632,
  [SMALL_STATE(11552)] = 412639,
  [SMALL_STATE(11553)] = 412646,
  [SMALL_STATE(11554)] = 412653,
  [SMALL_STATE(11555)] = 412660,
  [SMALL_STATE(11556)] = 412667,
  [SMALL_STATE(11557)] = 412674,
  [SMALL_STATE(11558)] = 412681,
  [SMALL_STATE(11559)] = 412688,
  [SMALL_STATE(11560)] = 412695,
  [SMALL_STATE(11561)] = 412702,
  [SMALL_STATE(11562)] = 412709,
  [SMALL_STATE(11563)] = 412716,
  [SMALL_STATE(11564)] = 412723,
  [SMALL_STATE(11565)] = 412730,
  [SMALL_STATE(11566)] = 412737,
  [SMALL_STATE(11567)] = 412744,
  [SMALL_STATE(11568)] = 412751,
  [SMALL_STATE(11569)] = 412758,
  [SMALL_STATE(11570)] = 412765,
  [SMALL_STATE(11571)] = 412772,
  [SMALL_STATE(11572)] = 412779,
  [SMALL_STATE(11573)] = 412786,
  [SMALL_STATE(11574)] = 412793,
  [SMALL_STATE(11575)] = 412800,
  [SMALL_STATE(11576)] = 412807,
  [SMALL_STATE(11577)] = 412814,
  [SMALL_STATE(11578)] = 412821,
  [SMALL_STATE(11579)] = 412828,
  [SMALL_STATE(11580)] = 412835,
  [SMALL_STATE(11581)] = 412842,
  [SMALL_STATE(11582)] = 412849,
  [SMALL_STATE(11583)] = 412856,
  [SMALL_STATE(11584)] = 412863,
  [SMALL_STATE(11585)] = 412870,
  [SMALL_STATE(11586)] = 412877,
  [SMALL_STATE(11587)] = 412884,
  [SMALL_STATE(11588)] = 412891,
  [SMALL_STATE(11589)] = 412898,
  [SMALL_STATE(11590)] = 412905,
  [SMALL_STATE(11591)] = 412912,
  [SMALL_STATE(11592)] = 412919,
  [SMALL_STATE(11593)] = 412926,
  [SMALL_STATE(11594)] = 412933,
  [SMALL_STATE(11595)] = 412940,
  [SMALL_STATE(11596)] = 412947,
  [SMALL_STATE(11597)] = 412954,
  [SMALL_STATE(11598)] = 412961,
  [SMALL_STATE(11599)] = 412968,
  [SMALL_STATE(11600)] = 412975,
  [SMALL_STATE(11601)] = 412982,
  [SMALL_STATE(11602)] = 412989,
  [SMALL_STATE(11603)] = 412996,
  [SMALL_STATE(11604)] = 413003,
  [SMALL_STATE(11605)] = 413010,
  [SMALL_STATE(11606)] = 413017,
  [SMALL_STATE(11607)] = 413024,
  [SMALL_STATE(11608)] = 413031,
  [SMALL_STATE(11609)] = 413038,
  [SMALL_STATE(11610)] = 413045,
  [SMALL_STATE(11611)] = 413052,
  [SMALL_STATE(11612)] = 413059,
  [SMALL_STATE(11613)] = 413066,
  [SMALL_STATE(11614)] = 413073,
  [SMALL_STATE(11615)] = 413080,
  [SMALL_STATE(11616)] = 413087,
  [SMALL_STATE(11617)] = 413094,
  [SMALL_STATE(11618)] = 413101,
  [SMALL_STATE(11619)] = 413108,
  [SMALL_STATE(11620)] = 413115,
  [SMALL_STATE(11621)] = 413122,
  [SMALL_STATE(11622)] = 413129,
  [SMALL_STATE(11623)] = 413136,
  [SMALL_STATE(11624)] = 413143,
  [SMALL_STATE(11625)] = 413150,
  [SMALL_STATE(11626)] = 413157,
  [SMALL_STATE(11627)] = 413164,
  [SMALL_STATE(11628)] = 413171,
  [SMALL_STATE(11629)] = 413178,
  [SMALL_STATE(11630)] = 413185,
  [SMALL_STATE(11631)] = 413192,
  [SMALL_STATE(11632)] = 413199,
  [SMALL_STATE(11633)] = 413206,
  [SMALL_STATE(11634)] = 413213,
  [SMALL_STATE(11635)] = 413220,
  [SMALL_STATE(11636)] = 413227,
  [SMALL_STATE(11637)] = 413234,
  [SMALL_STATE(11638)] = 413241,
  [SMALL_STATE(11639)] = 413248,
  [SMALL_STATE(11640)] = 413255,
  [SMALL_STATE(11641)] = 413262,
  [SMALL_STATE(11642)] = 413269,
  [SMALL_STATE(11643)] = 413276,
  [SMALL_STATE(11644)] = 413283,
  [SMALL_STATE(11645)] = 413290,
  [SMALL_STATE(11646)] = 413297,
  [SMALL_STATE(11647)] = 413304,
  [SMALL_STATE(11648)] = 413311,
  [SMALL_STATE(11649)] = 413318,
  [SMALL_STATE(11650)] = 413325,
  [SMALL_STATE(11651)] = 413332,
  [SMALL_STATE(11652)] = 413339,
  [SMALL_STATE(11653)] = 413346,
  [SMALL_STATE(11654)] = 413353,
  [SMALL_STATE(11655)] = 413360,
  [SMALL_STATE(11656)] = 413367,
  [SMALL_STATE(11657)] = 413374,
  [SMALL_STATE(11658)] = 413381,
  [SMALL_STATE(11659)] = 413388,
  [SMALL_STATE(11660)] = 413395,
  [SMALL_STATE(11661)] = 413402,
  [SMALL_STATE(11662)] = 413409,
  [SMALL_STATE(11663)] = 413416,
  [SMALL_STATE(11664)] = 413423,
  [SMALL_STATE(11665)] = 413430,
  [SMALL_STATE(11666)] = 413437,
  [SMALL_STATE(11667)] = 413444,
  [SMALL_STATE(11668)] = 413451,
  [SMALL_STATE(11669)] = 413458,
  [SMALL_STATE(11670)] = 413465,
  [SMALL_STATE(11671)] = 413472,
  [SMALL_STATE(11672)] = 413479,
  [SMALL_STATE(11673)] = 413486,
  [SMALL_STATE(11674)] = 413493,
  [SMALL_STATE(11675)] = 413500,
  [SMALL_STATE(11676)] = 413507,
  [SMALL_STATE(11677)] = 413514,
  [SMALL_STATE(11678)] = 413521,
  [SMALL_STATE(11679)] = 413528,
  [SMALL_STATE(11680)] = 413535,
  [SMALL_STATE(11681)] = 413542,
  [SMALL_STATE(11682)] = 413549,
  [SMALL_STATE(11683)] = 413556,
  [SMALL_STATE(11684)] = 413563,
  [SMALL_STATE(11685)] = 413570,
  [SMALL_STATE(11686)] = 413577,
  [SMALL_STATE(11687)] = 413584,
  [SMALL_STATE(11688)] = 413591,
  [SMALL_STATE(11689)] = 413598,
  [SMALL_STATE(11690)] = 413605,
  [SMALL_STATE(11691)] = 413612,
  [SMALL_STATE(11692)] = 413619,
  [SMALL_STATE(11693)] = 413626,
  [SMALL_STATE(11694)] = 413633,
  [SMALL_STATE(11695)] = 413640,
  [SMALL_STATE(11696)] = 413647,
  [SMALL_STATE(11697)] = 413654,
  [SMALL_STATE(11698)] = 413661,
  [SMALL_STATE(11699)] = 413668,
  [SMALL_STATE(11700)] = 413675,
  [SMALL_STATE(11701)] = 413682,
  [SMALL_STATE(11702)] = 413689,
  [SMALL_STATE(11703)] = 413696,
  [SMALL_STATE(11704)] = 413703,
  [SMALL_STATE(11705)] = 413710,
  [SMALL_STATE(11706)] = 413717,
  [SMALL_STATE(11707)] = 413724,
  [SMALL_STATE(11708)] = 413731,
  [SMALL_STATE(11709)] = 413738,
  [SMALL_STATE(11710)] = 413745,
  [SMALL_STATE(11711)] = 413752,
  [SMALL_STATE(11712)] = 413759,
  [SMALL_STATE(11713)] = 413766,
  [SMALL_STATE(11714)] = 413773,
  [SMALL_STATE(11715)] = 413780,
  [SMALL_STATE(11716)] = 413787,
  [SMALL_STATE(11717)] = 413794,
  [SMALL_STATE(11718)] = 413801,
  [SMALL_STATE(11719)] = 413808,
  [SMALL_STATE(11720)] = 413815,
  [SMALL_STATE(11721)] = 413822,
  [SMALL_STATE(11722)] = 413829,
  [SMALL_STATE(11723)] = 413836,
  [SMALL_STATE(11724)] = 413843,
  [SMALL_STATE(11725)] = 413850,
  [SMALL_STATE(11726)] = 413857,
  [SMALL_STATE(11727)] = 413864,
  [SMALL_STATE(11728)] = 413871,
  [SMALL_STATE(11729)] = 413878,
  [SMALL_STATE(11730)] = 413885,
  [SMALL_STATE(11731)] = 413892,
  [SMALL_STATE(11732)] = 413899,
  [SMALL_STATE(11733)] = 413906,
  [SMALL_STATE(11734)] = 413913,
  [SMALL_STATE(11735)] = 413920,
  [SMALL_STATE(11736)] = 413927,
  [SMALL_STATE(11737)] = 413934,
  [SMALL_STATE(11738)] = 413941,
  [SMALL_STATE(11739)] = 413948,
  [SMALL_STATE(11740)] = 413955,
  [SMALL_STATE(11741)] = 413962,
  [SMALL_STATE(11742)] = 413969,
  [SMALL_STATE(11743)] = 413976,
  [SMALL_STATE(11744)] = 413983,
  [SMALL_STATE(11745)] = 413990,
  [SMALL_STATE(11746)] = 413997,
  [SMALL_STATE(11747)] = 414004,
  [SMALL_STATE(11748)] = 414011,
  [SMALL_STATE(11749)] = 414018,
  [SMALL_STATE(11750)] = 414025,
  [SMALL_STATE(11751)] = 414032,
  [SMALL_STATE(11752)] = 414039,
  [SMALL_STATE(11753)] = 414046,
  [SMALL_STATE(11754)] = 414053,
  [SMALL_STATE(11755)] = 414060,
  [SMALL_STATE(11756)] = 414067,
  [SMALL_STATE(11757)] = 414074,
  [SMALL_STATE(11758)] = 414081,
  [SMALL_STATE(11759)] = 414088,
  [SMALL_STATE(11760)] = 414095,
  [SMALL_STATE(11761)] = 414102,
  [SMALL_STATE(11762)] = 414109,
  [SMALL_STATE(11763)] = 414116,
  [SMALL_STATE(11764)] = 414123,
  [SMALL_STATE(11765)] = 414130,
  [SMALL_STATE(11766)] = 414137,
  [SMALL_STATE(11767)] = 414144,
  [SMALL_STATE(11768)] = 414151,
  [SMALL_STATE(11769)] = 414158,
  [SMALL_STATE(11770)] = 414165,
  [SMALL_STATE(11771)] = 414172,
  [SMALL_STATE(11772)] = 414179,
  [SMALL_STATE(11773)] = 414186,
  [SMALL_STATE(11774)] = 414193,
  [SMALL_STATE(11775)] = 414200,
  [SMALL_STATE(11776)] = 414207,
  [SMALL_STATE(11777)] = 414214,
  [SMALL_STATE(11778)] = 414221,
  [SMALL_STATE(11779)] = 414228,
  [SMALL_STATE(11780)] = 414235,
  [SMALL_STATE(11781)] = 414242,
  [SMALL_STATE(11782)] = 414249,
  [SMALL_STATE(11783)] = 414256,
  [SMALL_STATE(11784)] = 414263,
  [SMALL_STATE(11785)] = 414270,
  [SMALL_STATE(11786)] = 414277,
  [SMALL_STATE(11787)] = 414284,
  [SMALL_STATE(11788)] = 414291,
  [SMALL_STATE(11789)] = 414298,
  [SMALL_STATE(11790)] = 414305,
  [SMALL_STATE(11791)] = 414312,
  [SMALL_STATE(11792)] = 414319,
  [SMALL_STATE(11793)] = 414326,
  [SMALL_STATE(11794)] = 414333,
  [SMALL_STATE(11795)] = 414340,
  [SMALL_STATE(11796)] = 414347,
  [SMALL_STATE(11797)] = 414354,
  [SMALL_STATE(11798)] = 414361,
  [SMALL_STATE(11799)] = 414368,
  [SMALL_STATE(11800)] = 414375,
  [SMALL_STATE(11801)] = 414382,
  [SMALL_STATE(11802)] = 414389,
  [SMALL_STATE(11803)] = 414396,
  [SMALL_STATE(11804)] = 414403,
  [SMALL_STATE(11805)] = 414410,
  [SMALL_STATE(11806)] = 414417,
  [SMALL_STATE(11807)] = 414424,
  [SMALL_STATE(11808)] = 414431,
  [SMALL_STATE(11809)] = 414438,
  [SMALL_STATE(11810)] = 414445,
  [SMALL_STATE(11811)] = 414452,
  [SMALL_STATE(11812)] = 414459,
  [SMALL_STATE(11813)] = 414466,
  [SMALL_STATE(11814)] = 414473,
  [SMALL_STATE(11815)] = 414480,
  [SMALL_STATE(11816)] = 414487,
  [SMALL_STATE(11817)] = 414494,
  [SMALL_STATE(11818)] = 414501,
  [SMALL_STATE(11819)] = 414508,
  [SMALL_STATE(11820)] = 414515,
  [SMALL_STATE(11821)] = 414522,
  [SMALL_STATE(11822)] = 414529,
  [SMALL_STATE(11823)] = 414536,
  [SMALL_STATE(11824)] = 414543,
  [SMALL_STATE(11825)] = 414550,
  [SMALL_STATE(11826)] = 414557,
  [SMALL_STATE(11827)] = 414564,
  [SMALL_STATE(11828)] = 414571,
  [SMALL_STATE(11829)] = 414578,
  [SMALL_STATE(11830)] = 414585,
  [SMALL_STATE(11831)] = 414592,
  [SMALL_STATE(11832)] = 414599,
  [SMALL_STATE(11833)] = 414606,
  [SMALL_STATE(11834)] = 414613,
  [SMALL_STATE(11835)] = 414620,
  [SMALL_STATE(11836)] = 414627,
  [SMALL_STATE(11837)] = 414634,
  [SMALL_STATE(11838)] = 414641,
  [SMALL_STATE(11839)] = 414648,
  [SMALL_STATE(11840)] = 414655,
  [SMALL_STATE(11841)] = 414662,
  [SMALL_STATE(11842)] = 414669,
  [SMALL_STATE(11843)] = 414676,
  [SMALL_STATE(11844)] = 414683,
  [SMALL_STATE(11845)] = 414690,
  [SMALL_STATE(11846)] = 414697,
  [SMALL_STATE(11847)] = 414704,
  [SMALL_STATE(11848)] = 414711,
  [SMALL_STATE(11849)] = 414718,
  [SMALL_STATE(11850)] = 414725,
  [SMALL_STATE(11851)] = 414732,
  [SMALL_STATE(11852)] = 414739,
  [SMALL_STATE(11853)] = 414746,
  [SMALL_STATE(11854)] = 414753,
  [SMALL_STATE(11855)] = 414760,
  [SMALL_STATE(11856)] = 414767,
  [SMALL_STATE(11857)] = 414774,
  [SMALL_STATE(11858)] = 414781,
  [SMALL_STATE(11859)] = 414788,
  [SMALL_STATE(11860)] = 414795,
  [SMALL_STATE(11861)] = 414802,
  [SMALL_STATE(11862)] = 414809,
  [SMALL_STATE(11863)] = 414816,
  [SMALL_STATE(11864)] = 414823,
  [SMALL_STATE(11865)] = 414830,
  [SMALL_STATE(11866)] = 414837,
  [SMALL_STATE(11867)] = 414844,
  [SMALL_STATE(11868)] = 414851,
  [SMALL_STATE(11869)] = 414858,
  [SMALL_STATE(11870)] = 414865,
  [SMALL_STATE(11871)] = 414872,
  [SMALL_STATE(11872)] = 414879,
  [SMALL_STATE(11873)] = 414886,
  [SMALL_STATE(11874)] = 414893,
  [SMALL_STATE(11875)] = 414900,
  [SMALL_STATE(11876)] = 414907,
  [SMALL_STATE(11877)] = 414914,
  [SMALL_STATE(11878)] = 414921,
  [SMALL_STATE(11879)] = 414928,
  [SMALL_STATE(11880)] = 414935,
  [SMALL_STATE(11881)] = 414942,
  [SMALL_STATE(11882)] = 414949,
  [SMALL_STATE(11883)] = 414956,
  [SMALL_STATE(11884)] = 414963,
  [SMALL_STATE(11885)] = 414970,
  [SMALL_STATE(11886)] = 414977,
  [SMALL_STATE(11887)] = 414984,
  [SMALL_STATE(11888)] = 414991,
  [SMALL_STATE(11889)] = 414998,
  [SMALL_STATE(11890)] = 415005,
  [SMALL_STATE(11891)] = 415012,
  [SMALL_STATE(11892)] = 415019,
  [SMALL_STATE(11893)] = 415026,
  [SMALL_STATE(11894)] = 415033,
  [SMALL_STATE(11895)] = 415040,
  [SMALL_STATE(11896)] = 415047,
  [SMALL_STATE(11897)] = 415054,
  [SMALL_STATE(11898)] = 415061,
  [SMALL_STATE(11899)] = 415068,
  [SMALL_STATE(11900)] = 415075,
  [SMALL_STATE(11901)] = 415082,
  [SMALL_STATE(11902)] = 415089,
  [SMALL_STATE(11903)] = 415096,
  [SMALL_STATE(11904)] = 415103,
  [SMALL_STATE(11905)] = 415110,
  [SMALL_STATE(11906)] = 415117,
  [SMALL_STATE(11907)] = 415124,
  [SMALL_STATE(11908)] = 415131,
  [SMALL_STATE(11909)] = 415138,
  [SMALL_STATE(11910)] = 415145,
  [SMALL_STATE(11911)] = 415152,
  [SMALL_STATE(11912)] = 415159,
  [SMALL_STATE(11913)] = 415166,
  [SMALL_STATE(11914)] = 415173,
  [SMALL_STATE(11915)] = 415180,
  [SMALL_STATE(11916)] = 415187,
  [SMALL_STATE(11917)] = 415194,
  [SMALL_STATE(11918)] = 415201,
  [SMALL_STATE(11919)] = 415208,
  [SMALL_STATE(11920)] = 415215,
  [SMALL_STATE(11921)] = 415222,
  [SMALL_STATE(11922)] = 415229,
  [SMALL_STATE(11923)] = 415236,
  [SMALL_STATE(11924)] = 415243,
  [SMALL_STATE(11925)] = 415250,
  [SMALL_STATE(11926)] = 415257,
  [SMALL_STATE(11927)] = 415264,
  [SMALL_STATE(11928)] = 415271,
  [SMALL_STATE(11929)] = 415278,
  [SMALL_STATE(11930)] = 415285,
  [SMALL_STATE(11931)] = 415292,
  [SMALL_STATE(11932)] = 415299,
  [SMALL_STATE(11933)] = 415306,
  [SMALL_STATE(11934)] = 415313,
  [SMALL_STATE(11935)] = 415320,
  [SMALL_STATE(11936)] = 415327,
  [SMALL_STATE(11937)] = 415334,
  [SMALL_STATE(11938)] = 415341,
  [SMALL_STATE(11939)] = 415348,
  [SMALL_STATE(11940)] = 415355,
  [SMALL_STATE(11941)] = 415362,
  [SMALL_STATE(11942)] = 415369,
  [SMALL_STATE(11943)] = 415376,
  [SMALL_STATE(11944)] = 415383,
  [SMALL_STATE(11945)] = 415390,
  [SMALL_STATE(11946)] = 415397,
  [SMALL_STATE(11947)] = 415404,
  [SMALL_STATE(11948)] = 415411,
  [SMALL_STATE(11949)] = 415418,
  [SMALL_STATE(11950)] = 415425,
  [SMALL_STATE(11951)] = 415432,
  [SMALL_STATE(11952)] = 415439,
  [SMALL_STATE(11953)] = 415446,
  [SMALL_STATE(11954)] = 415453,
  [SMALL_STATE(11955)] = 415460,
  [SMALL_STATE(11956)] = 415467,
  [SMALL_STATE(11957)] = 415474,
  [SMALL_STATE(11958)] = 415481,
  [SMALL_STATE(11959)] = 415488,
  [SMALL_STATE(11960)] = 415495,
  [SMALL_STATE(11961)] = 415502,
  [SMALL_STATE(11962)] = 415509,
  [SMALL_STATE(11963)] = 415516,
  [SMALL_STATE(11964)] = 415523,
  [SMALL_STATE(11965)] = 415530,
  [SMALL_STATE(11966)] = 415537,
  [SMALL_STATE(11967)] = 415544,
  [SMALL_STATE(11968)] = 415551,
  [SMALL_STATE(11969)] = 415558,
  [SMALL_STATE(11970)] = 415565,
  [SMALL_STATE(11971)] = 415572,
  [SMALL_STATE(11972)] = 415579,
  [SMALL_STATE(11973)] = 415586,
  [SMALL_STATE(11974)] = 415593,
  [SMALL_STATE(11975)] = 415600,
  [SMALL_STATE(11976)] = 415607,
  [SMALL_STATE(11977)] = 415614,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10292),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11312),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10134),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11302),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11967),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11966),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9398),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11296),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [35] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10962),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10311),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [43] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10956),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11566),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11568),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9398),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11739),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10945),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11161),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4376),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4450),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11133),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11223),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10982),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11284),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11124),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11014),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10251),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11017),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11661),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11666),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11748),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11020),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11104),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10966),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11203),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4524),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10263),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11036),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10988),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11202),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11313),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10665),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11309),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11322),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11320),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11712),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11303),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10984),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11008),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11159),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5638),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11286),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10625),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11254),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11912),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11901),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3711),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11784),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11242),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11177),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7002),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6920),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11168),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11227),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4630),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11213),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10137),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11216),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11410),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11409),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3703),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11703),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11220),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11084),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5146),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5117),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11039),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11056),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10412),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11007),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10960),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11143),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4596),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3776),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11096),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11023),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11200),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5076),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3764),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10943),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11015),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11208),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5707),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11204),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10776),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11201),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11427),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11431),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3737),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11721),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11196),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11046),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5602),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5603),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10977),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11185),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5174),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10924),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11300),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11040),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11082),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6245),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11179),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10911),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11182),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11852),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11854),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11766),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11190),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11153),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7649),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7982),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11101),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11215),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10951),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10612),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11074),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11493),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11495),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3741),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11730),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11069),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11064),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11238),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11186),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5305),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11137),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11043),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11210),
  [605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 2),
  [607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 2),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5900),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3722),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11035),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11001),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11181),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5381),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11109),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10608),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11106),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11770),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11764),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3769),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11684),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11093),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11052),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6138),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6203),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11050),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11183),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11245),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11244),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11241),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6034),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10940),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11229),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11231),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11315),
  [727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 3),
  [729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 3),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6599),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11252),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10306),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11257),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11917),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11925),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11775),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11263),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11169),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8393),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8295),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11147),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11224),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11130),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10382),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10972),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11557),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11549),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11694),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10979),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10992),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11221),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11120),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6903),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11102),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10747),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11103),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11773),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11774),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3758),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11757),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11108),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11121),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8601),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8692),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10991),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11207),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11085),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11089),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11198),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6763),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10959),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11028),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11135),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11272),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10234),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11934),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11932),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11335),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11269),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7926),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11270),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11140),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, .production_id = 159),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 4, .production_id = 159),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10112),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10106),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 3, .production_id = 159),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 3, .production_id = 159),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11009),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1),
  [1087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 1),
  [1089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2),
  [1091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10965),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11297),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11154),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11045),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11174),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11073),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10997),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11128),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11107),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11117),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10998),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11051),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10947),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6869),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7262),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11004),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11141),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11041),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10990),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11193),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11145),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8470),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8316),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11067),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11211),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6519),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6106),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11057),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7911),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8149),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11277),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11063),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6248),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6739),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11012),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8194),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8195),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11055),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11097),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11019),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11170),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6148),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11160),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11016),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10968),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11122),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11075),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8816),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8604),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11259),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11187),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6728),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6830),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11025),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10967),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11091),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7037),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11150),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8661),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8646),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11255),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11291),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11113),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9032),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8921),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10969),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11206),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11027),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10983),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11165),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6912),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8179),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8229),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11002),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9116),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9040),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11163),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11162),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6987),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10970),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11173),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11127),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7789),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10994),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10955),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11080),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11071),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11059),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7841),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11253),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6927),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9126),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9055),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9202),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9713),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 1),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2),
  [1967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(10292),
  [1970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(11312),
  [1973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(10134),
  [1976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(11302),
  [1979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(11967),
  [1982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(11966),
  [1985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(9398),
  [1988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(3622),
  [1991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(3621),
  [1994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(11964),
  [1997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(11296),
  [2000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(4814),
  [2003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(4806),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 100),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 100),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7286),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [2020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 52),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 52),
  [2024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, .production_id = 1),
  [2026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 2, .production_id = 1),
  [2028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__annotated_type, 1),
  [2030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__annotated_type, 1),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9330),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11885),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, .production_id = 12),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, .production_id = 12),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 2, .production_id = 1),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 2, .production_id = 1),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9363),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11913),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 91),
  [2058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 91),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9425),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11960),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 22),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 22),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 2, .production_id = 54),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [2074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 2, .production_id = 54),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11645),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6108),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11013),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11105),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7716),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9335),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11935),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 151),
  [2112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 151),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, .production_id = 13),
  [2118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, .production_id = 13),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11021),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9322),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11892),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_definition_repeat1, 2),
  [2134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2),
  [2136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9363),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11950),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 109),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 109),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11814),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11136),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11088),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11898),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9391),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11877),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 91),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 91),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 138),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 138),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 141),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 141),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 100),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 100),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7523),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__annotated_type, 2),
  [2207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__annotated_type, 2),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 154),
  [2211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 154),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 176),
  [2215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 176),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9317),
  [2219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9330),
  [2222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, .production_id = 17),
  [2224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, .production_id = 17),
  [2226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 94),
  [2228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 94),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9291),
  [2232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 151),
  [2234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 151),
  [2236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_annotation_repeat1, 2),
  [2240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(310),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 191),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 191),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 194),
  [2249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 194),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 52),
  [2255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 52),
  [2257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(319),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 1),
  [2262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 1),
  [2264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 71),
  [2266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 71),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 62),
  [2270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 62),
  [2272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 59),
  [2274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 59),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 22),
  [2278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 22),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11945),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 32),
  [2290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 32),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, .production_id = 1),
  [2294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, .production_id = 1),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11083),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [2300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, .production_id = 15),
  [2302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, .production_id = 15),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 12),
  [2306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 12),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 25),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 25),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 13),
  [2314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 13),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9298),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 225),
  [2320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 225),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 29),
  [2324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 29),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8137),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11418),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 171),
  [2344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 171),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, .production_id = 206),
  [2348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, .production_id = 206),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, .production_id = 48),
  [2352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, .production_id = 48),
  [2354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2),
  [2356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11965),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6363),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11298),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11310),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8927),
  [2380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [2382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_types, 1),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9271),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, .production_id = 251),
  [2388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, .production_id = 251),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11953),
  [2396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 105),
  [2398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 105),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, .production_id = 245),
  [2402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, .production_id = 245),
  [2404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 139),
  [2406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 139),
  [2408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 236),
  [2410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 236),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 3, .production_id = 12),
  [2414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 3, .production_id = 12),
  [2416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, .production_id = 12),
  [2418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, .production_id = 12),
  [2420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9322),
  [2423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, .production_id = 103),
  [2425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, .production_id = 103),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11973),
  [2433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 2, .production_id = 36),
  [2435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 2, .production_id = 36),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9260),
  [2439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stable_type_identifier, 3, .production_id = 37),
  [2441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stable_type_identifier, 3, .production_id = 37),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stable_identifier, 3),
  [2445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(312),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3),
  [2450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [2454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10835),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10806),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 150),
  [2464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 150),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 233),
  [2470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 233),
  [2472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_type, 3, .production_id = 48),
  [2474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_type, 3, .production_id = 48),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 222),
  [2478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 222),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80),
  [2482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80),
  [2484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9260),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9428),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, .production_id = 6),
  [2491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, .production_id = 6),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11870),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 107),
  [2497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 107),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_definition, 6, .production_id = 133),
  [2501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_definition, 6, .production_id = 133),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 16),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 16),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_definition, 6, .production_id = 133),
  [2509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_val_definition, 6, .production_id = 133),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_projected_type, 3, .production_id = 38),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_projected_type, 3, .production_id = 38),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 131),
  [2517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 131),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10996),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 128),
  [2525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 128),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9336),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9422),
  [2531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(338),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 220),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 220),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 60),
  [2544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 60),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11906),
  [2552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_definition, 4, .production_id = 46),
  [2554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_val_definition, 4, .production_id = 46),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 102),
  [2558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, .production_id = 102),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 2, .production_id = 1),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 2, .production_id = 1),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 87),
  [2568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 87),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_definition, 4, .production_id = 46),
  [2572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_definition, 4, .production_id = 46),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [2584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11758),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 174),
  [2594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 174),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 69),
  [2598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 69),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 214),
  [2602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 214),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 2, .production_id = 1),
  [2606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 2, .production_id = 1),
  [2608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9425),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9287),
  [2613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, .production_id = 256),
  [2615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, .production_id = 256),
  [2617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 203),
  [2619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 203),
  [2621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 173),
  [2623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 173),
  [2625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 4, .production_id = 52),
  [2627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 4, .production_id = 52),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11894),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 52),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 52),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 184),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 184),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 187),
  [2641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 187),
  [2643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 30),
  [2645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 30),
  [2647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9271),
  [2650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 6, .production_id = 239),
  [2652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 6, .production_id = 239),
  [2654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, .production_id = 253),
  [2656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, .production_id = 253),
  [2658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2),
  [2660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 2),
  [2664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 2),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8969),
  [2668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2),
  [2670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_expression, 2),
  [2672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(322),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [2677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2),
  [2679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 2),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9301),
  [2683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9335),
  [2686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 5, .production_id = 207),
  [2688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 5, .production_id = 207),
  [2690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9179),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9225),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9179),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9306),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11713),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11389),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6038),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11246),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10985),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(323),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8880),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 79),
  [2730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 79),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8962),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9266),
  [2736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(343),
  [2739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9225),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11969),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 53),
  [2746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 53),
  [2748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [2750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [2752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9298),
  [2755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [2757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [2759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9391),
  [2762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8886),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 22),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 22),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 4, .production_id = 22),
  [2770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 4, .production_id = 22),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11899),
  [2774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [2776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [2778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 41),
  [2780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 41),
  [2782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(325),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9426),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11976),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 1, .production_id = 2),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__object_definition, 1, .production_id = 2),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 97),
  [2799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 97),
  [2801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 5, .production_id = 91),
  [2803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 5, .production_id = 91),
  [2805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 157),
  [2807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 157),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11683),
  [2815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9317),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2),
  [2820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_definition_repeat1, 2),
  [2822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2), SHIFT_REPEAT(4876),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11435),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11065),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11222),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11873),
  [2847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9266),
  [2850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, .production_id = 18),
  [2852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, .production_id = 18),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, .production_id = 13),
  [2856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, .production_id = 13),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10543),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10549),
  [2864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 3, .production_id = 13),
  [2866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 3, .production_id = 13),
  [2868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(315),
  [2871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9291),
  [2874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 91),
  [2876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 91),
  [2878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9310),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 101),
  [2882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 101),
  [2884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(359),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11738),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6059),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11078),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [2905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9422),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8860),
  [2910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9190),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11880),
  [2914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2), SHIFT_REPEAT(4911),
  [2917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9301),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9314),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11663),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3, .production_id = 11),
  [2928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 3, .production_id = 11),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10790),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11909),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2, .production_id = 5),
  [2936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 2, .production_id = 5),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11905),
  [2944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9270),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9270),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2),
  [2951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_definition_repeat1, 2),
  [2953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(9520),
  [2956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(317),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [2963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9184),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9184),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8947),
  [2970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10179),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10176),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11864),
  [2978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9190),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9242),
  [2983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9336),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8865),
  [2988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9287),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9421),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8871),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_modifier, 1),
  [3001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_modifier, 1),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11974),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10746),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10723),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21),
  [3013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21),
  [3015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21), SHIFT_REPEAT(10790),
  [3018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(390),
  [3021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9428),
  [3024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9242),
  [3027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(326),
  [3030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(271),
  [3033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, .production_id = 19),
  [3035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_clause, 2, .production_id = 19),
  [3037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_selectors, 4),
  [3039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_selectors, 4),
  [3041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 77),
  [3043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 77),
  [3045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 164),
  [3047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 164),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 5),
  [3051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_parameters, 5),
  [3053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, .production_id = 119),
  [3055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, .production_id = 119),
  [3057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 31),
  [3059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 31),
  [3061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9275),
  [3064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9211),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 156),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 156),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, .production_id = 66),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3, .production_id = 66),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 175),
  [3076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 175),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 6, .production_id = 137),
  [3080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 6, .production_id = 137),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 28),
  [3084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 28),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 153),
  [3088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 153),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9275),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 179),
  [3094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 179),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 2),
  [3098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_parameters, 2),
  [3100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9211),
  [3103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 24),
  [3105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 24),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8932),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9217),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9276),
  [3113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 182),
  [3115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 182),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11955),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_modifier, 2),
  [3121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_modifier, 2),
  [3123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 186),
  [3125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 186),
  [3127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 149),
  [3129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 149),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11477),
  [3137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 190),
  [3139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 190),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8956),
  [3143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 5),
  [3145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 5),
  [3147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 147),
  [3149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 147),
  [3151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_expression, 3, .production_id = 4),
  [3153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_expression, 3, .production_id = 4),
  [3155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 193),
  [3157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 193),
  [3159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_qualifier, 3),
  [3161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_qualifier, 3),
  [3163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9276),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_declaration, 4, .production_id = 44),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_val_declaration, 4, .production_id = 44),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [3172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 3, .production_id = 43),
  [3174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 144),
  [3176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 144),
  [3178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 4, .production_id = 44),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 4, .production_id = 44),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [3184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stable_identifier, 3),
  [3186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_wildcard, 1),
  [3188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_wildcard, 1),
  [3190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 197),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 197),
  [3194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(360),
  [3197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 74),
  [3199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 74),
  [3201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 200),
  [3203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 200),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11886),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ascription_expression, 3),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ascription_expression, 3),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [3213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 140),
  [3215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 140),
  [3217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 9, .production_id = 248),
  [3219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 9, .production_id = 248),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 202),
  [3223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 202),
  [3225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 35),
  [3227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 35),
  [3229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 137),
  [3231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 137),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11929),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 70),
  [3237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 70),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10501),
  [3241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9306),
  [3244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 130),
  [3246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 130),
  [3248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2), SHIFT_REPEAT(4809),
  [3251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 58),
  [3253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 58),
  [3255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 81),
  [3257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 81),
  [3259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9200),
  [3262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 235),
  [3264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 235),
  [3266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9217),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 125),
  [3271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 125),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9200),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8939),
  [3277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 3),
  [3279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_parameters, 3),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 65),
  [3283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 65),
  [3285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9310),
  [3288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 4, .production_id = 28),
  [3290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 4, .production_id = 28),
  [3292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2),
  [3294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bindings, 2),
  [3298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 3, .production_id = 54),
  [3300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 3, .production_id = 54),
  [3302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 4),
  [3304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_parameters, 4),
  [3306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(334),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10267),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10279),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 61),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 61),
  [3319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 231),
  [3321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 231),
  [3323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 115),
  [3325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 115),
  [3327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 112),
  [3329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 112),
  [3331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21), SHIFT_REPEAT(10501),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11851),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9406),
  [3338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 108),
  [3340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 108),
  [3342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_selectors, 3),
  [3344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_selectors, 3),
  [3346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 40),
  [3348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 40),
  [3350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(148),
  [3353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10670),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10667),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8955),
  [3361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(9509),
  [3364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9426),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11592),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8881),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 217),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 217),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 5, .production_id = 93),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 5, .production_id = 93),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_expression, 1, .production_id = 4),
  [3381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_expression, 1, .production_id = 4),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9525),
  [3385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 228),
  [3387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 228),
  [3389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, .production_id = 10),
  [3391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__object_definition, 2, .production_id = 10),
  [3393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 96),
  [3395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 96),
  [3397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 5, .production_id = 58),
  [3399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 5, .production_id = 58),
  [3401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, .production_id = 14),
  [3403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, .production_id = 14),
  [3405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 224),
  [3407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 224),
  [3409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 93),
  [3411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 93),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [3415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 3, .production_id = 14),
  [3417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 3, .production_id = 14),
  [3419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(361),
  [3422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 4, .production_id = 24),
  [3424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 4, .production_id = 24),
  [3426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 86),
  [3428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 86),
  [3430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 84),
  [3432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 84),
  [3434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 5, .production_id = 72),
  [3436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 5, .production_id = 72),
  [3438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9269),
  [3441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 223),
  [3443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 223),
  [3445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3),
  [3447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 3),
  [3449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 226),
  [3451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 226),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9269),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 4, .production_id = 23),
  [3457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 4, .production_id = 23),
  [3459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(342),
  [3462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 227),
  [3464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 227),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9220),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 4, .production_id = 51),
  [3470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_definition, 4, .production_id = 51),
  [3472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 221),
  [3474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 221),
  [3476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 23),
  [3478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 23),
  [3480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9220),
  [3483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(356),
  [3486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 219),
  [3488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 219),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 218),
  [3492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 218),
  [3494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(137),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_body, 3),
  [3499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_body, 3),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11963),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 42),
  [3505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 42),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 216),
  [3509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 216),
  [3511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 19),
  [3513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_clause, 3, .production_id = 19),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 229),
  [3517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 229),
  [3519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 230),
  [3521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 230),
  [3523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 57),
  [3525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 57),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 27),
  [3529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 27),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11626),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7530),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2),
  [3539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 2),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 215),
  [3543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 215),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8875),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, .production_id = 39),
  [3549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, .production_id = 39),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1),
  [3553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1),
  [3557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 192),
  [3561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 192),
  [3563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 60),
  [3565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 60),
  [3567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9421),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8964),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9263),
  [3574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 4, .production_id = 33),
  [3576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 4, .production_id = 33),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10859),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10856),
  [3584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 63),
  [3586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 63),
  [3588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 64),
  [3590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 64),
  [3592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 232),
  [3594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 232),
  [3596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 234),
  [3598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 234),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11820),
  [3602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 8, .production_id = 208),
  [3604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 8, .production_id = 208),
  [3606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 69),
  [3608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 69),
  [3610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9263),
  [3613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9314),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11836),
  [3618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 4, .production_id = 27),
  [3620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 4, .production_id = 27),
  [3622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 237),
  [3624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 237),
  [3626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 9, .production_id = 244),
  [3628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 9, .production_id = 244),
  [3630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 9, .production_id = 246),
  [3632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 9, .production_id = 246),
  [3634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 72),
  [3636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 72),
  [3638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 9, .production_id = 247),
  [3640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 9, .production_id = 247),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8959),
  [3644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [3646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [3650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 73),
  [3652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 73),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [3656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6027),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10989),
  [3664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 201),
  [3666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 201),
  [3668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 199),
  [3670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 199),
  [3672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 9, .production_id = 249),
  [3674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 9, .production_id = 249),
  [3676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 7, .production_id = 198),
  [3678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 7, .production_id = 198),
  [3680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 9, .production_id = 250),
  [3682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 9, .production_id = 250),
  [3684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 7, .production_id = 177),
  [3686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 7, .production_id = 177),
  [3688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, .production_id = 252),
  [3690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, .production_id = 252),
  [3692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 10, .production_id = 255),
  [3694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 10, .production_id = 255),
  [3696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 196),
  [3698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 196),
  [3700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 195),
  [3702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 195),
  [3704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 75),
  [3706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 75),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10787),
  [3710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 34),
  [3712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 34),
  [3714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 165),
  [3716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 165),
  [3718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 76),
  [3720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 76),
  [3722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 189),
  [3724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 189),
  [3726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(9469),
  [3729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 188),
  [3731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 188),
  [3733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 185),
  [3735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 185),
  [3737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 183),
  [3739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 183),
  [3741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 33),
  [3743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 33),
  [3745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 181),
  [3747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 181),
  [3749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 180),
  [3751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 180),
  [3753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 178),
  [3755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 178),
  [3757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 177),
  [3759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 177),
  [3761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2), SHIFT_REPEAT(5212),
  [3764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 174),
  [3766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 174),
  [3768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 172),
  [3770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 172),
  [3772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 5),
  [3774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 5),
  [3776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 170),
  [3778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 170),
  [3780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 166),
  [3782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 166),
  [3784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [3786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 30),
  [3788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 30),
  [3790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 163),
  [3792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 163),
  [3794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 162),
  [3796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 162),
  [3798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [3800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [3802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 78),
  [3804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 78),
  [3806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 158),
  [3808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 158),
  [3810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [3812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [3814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeated_parameter_type, 2, .production_id = 50),
  [3816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeated_parameter_type, 2, .production_id = 50),
  [3818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_parameter_type, 2, .production_id = 19),
  [3820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_parameter_type, 2, .production_id = 19),
  [3822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 136),
  [3824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 136),
  [3826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 155),
  [3828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 155),
  [3830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 6, .production_id = 142),
  [3832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 6, .production_id = 142),
  [3834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 27),
  [3836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 27),
  [3838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 6, .production_id = 136),
  [3840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 6, .production_id = 136),
  [3842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 152),
  [3844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 152),
  [3846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 23),
  [3848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 23),
  [3850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_block, 3),
  [3852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_block, 3),
  [3854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_while_expression, 4, .production_id = 160),
  [3856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_while_expression, 4, .production_id = 160),
  [3858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21), SHIFT_REPEAT(10787),
  [3861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 148),
  [3863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 148),
  [3865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 146),
  [3867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 146),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 145),
  [3871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 145),
  [3873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 6, .production_id = 110),
  [3875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 6, .production_id = 110),
  [3877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 143),
  [3879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 143),
  [3881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string, 3),
  [3883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string, 3),
  [3885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, .production_id = 54),
  [3887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 4, .production_id = 54),
  [3889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2),
  [3891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2),
  [3893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 4),
  [3895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 4),
  [3897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, .production_id = 20),
  [3899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__object_definition, 3, .production_id = 20),
  [3901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 142),
  [3903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 142),
  [3905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, .production_id = 106),
  [3907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, .production_id = 106),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [3913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 104),
  [3915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 104),
  [3917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string, 2),
  [3919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string, 2),
  [3921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 139),
  [3923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 139),
  [3925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3),
  [3927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3),
  [3929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 85),
  [3931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 85),
  [3933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 136),
  [3935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 136),
  [3937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 132),
  [3939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 132),
  [3941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_function, 2, .production_id = 56),
  [3943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_function, 2, .production_id = 56),
  [3945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 129),
  [3947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 129),
  [3949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 55),
  [3951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 55),
  [3953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_expression, 2),
  [3955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_expression, 2),
  [3957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4),
  [3959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 4),
  [3961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 127),
  [3963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 127),
  [3965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 126),
  [3967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 126),
  [3969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 124),
  [3971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 124),
  [3973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 123),
  [3975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 123),
  [3977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 116),
  [3979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 116),
  [3981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 82),
  [3983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 82),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [3987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 83),
  [3989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 83),
  [3991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 114),
  [3993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 114),
  [3995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 113),
  [3997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 113),
  [3999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 111),
  [4001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 111),
  [4003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 110),
  [4005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 110),
  [4007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 107),
  [4009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 107),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [4013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 92),
  [4015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 92),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 2, .production_id = 3),
  [4019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_definition, 2, .production_id = 3),
  [4021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_body, 2),
  [4023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_body, 2),
  [4025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 5, .production_id = 92),
  [4027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 5, .production_id = 92),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 8),
  [4031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 8),
  [4033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_block, 2),
  [4035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_block, 2),
  [4037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 5, .production_id = 99),
  [4039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_definition, 5, .production_id = 99),
  [4041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, .production_id = 9),
  [4043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__object_definition, 2, .production_id = 9),
  [4045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 98),
  [4047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 98),
  [4049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 3, .production_id = 7),
  [4051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_definition, 3, .production_id = 7),
  [4053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, .production_id = 8),
  [4055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, .production_id = 8),
  [4057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 57),
  [4059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 57),
  [4061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 95),
  [4063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 95),
  [4065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 5, .production_id = 63),
  [4067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 5, .production_id = 63),
  [4069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 3, .production_id = 8),
  [4071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 3, .production_id = 8),
  [4073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 5, .production_id = 57),
  [4075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_definition, 5, .production_id = 57),
  [4077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 92),
  [4079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 92),
  [4081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 5, .production_id = 89),
  [4083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 5, .production_id = 89),
  [4085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_declaration, 5, .production_id = 89),
  [4087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_val_declaration, 5, .production_id = 89),
  [4089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(387),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11676),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [4098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6219),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11024),
  [4106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9479),
  [4110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [4112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9265),
  [4114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9265),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8918),
  [4119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9406),
  [4122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [4124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21), SHIFT_REPEAT(10477),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [4131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11352),
  [4133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(9464),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10477),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9231),
  [4140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9231),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11812),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10728),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10735),
  [4151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(142),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11971),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8854),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [4164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9228),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11337),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [4175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9355),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11620),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9228),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8992),
  [4191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(154),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11741),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9325),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11502),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9358),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11439),
  [4222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(382),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [4229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [4231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7409),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9459),
  [4245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9355),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11399),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(362),
  [4261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9257),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8835),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4144),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7839),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11895),
  [4279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(285),
  [4282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9315),
  [4284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9257),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11840),
  [4293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9358),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8901),
  [4298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9325),
  [4301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9293),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [4305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9312),
  [4307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11815),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [4313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4295),
  [4315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7608),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [4327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9222),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9222),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [4352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9213),
  [4354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9213),
  [4357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8979),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11968),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11970),
  [4371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9429),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [4377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9394),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8864),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5155),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8038),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11926),
  [4403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(353),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9392),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11522),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9185),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9619),
  [4416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 3),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9631),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9631),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9547),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [4428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 2),
  [4430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9315),
  [4433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9318),
  [4435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(313),
  [4438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9293),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9369),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11555),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(9459),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11821),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11866),
  [4462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [4464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [4466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(329),
  [4469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9394),
  [4472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(332),
  [4475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9312),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9292),
  [4482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11881),
  [4484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(378),
  [4487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2), SHIFT_REPEAT(4915),
  [4490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9429),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11838),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [4497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9411),
  [4499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11578),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11922),
  [4505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9122),
  [4507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11194),
  [4509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9558),
  [4511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11930),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [4515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9471),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [4519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9682),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [4523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9288),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11878),
  [4529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(376),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9147),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9675),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9685),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9449),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9676),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9166),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9691),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9433),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9433),
  [4556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9369),
  [4559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(381),
  [4562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9272),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8950),
  [4567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9272),
  [4569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9392),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9087),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9781),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9484),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9484),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9112),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9770),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9521),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9521),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9084),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9439),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9086),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9438),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9438),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11665),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9329),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8957),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9280),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11823),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6269),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7620),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11951),
  [4634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9280),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11420),
  [4639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(320),
  [4642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9318),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9076),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9580),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9442),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9054),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9590),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9461),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9461),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11946),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6093),
  [4667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11146),
  [4671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11099),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8852),
  [4677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9210),
  [4679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9119),
  [4681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9457),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9457),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11920),
  [4691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9044),
  [4693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9475),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [4697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9162),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9465),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9465),
  [4703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8926),
  [4705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9198),
  [4707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9167),
  [4709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9452),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9452),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8878),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9212),
  [4717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9258),
  [4719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9552),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9057),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9717),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9759),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9759),
  [4733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9728),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9716),
  [4737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9058),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9763),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9763),
  [4743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9210),
  [4746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11158),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9195),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9550),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9175),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9549),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [4762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9198),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11896),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9253),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9689),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9689),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9216),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9690),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9690),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9224),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9693),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9693),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6816),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7400),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [4795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_identifier, 1),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11936),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9078),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9731),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9731),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9079),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9722),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9722),
  [4811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_identifier, 2),
  [4813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9212),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [4818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9411),
  [4821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9292),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11465),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [4832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [4836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(379),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [4845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(282),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [4862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2), SHIFT_REPEAT(4842),
  [4865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9099),
  [4867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9100),
  [4869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9114),
  [4871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9901),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9289),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9767),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9767),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9113),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9899),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9899),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9299),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9774),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9774),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9302),
  [4895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9776),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9776),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9128),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9784),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9784),
  [4905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9131),
  [4907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9785),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9785),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9139),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9803),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9140),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9807),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9807),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11841),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9150),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9828),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9151),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9833),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9833),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9041),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9798),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9798),
  [4947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2),
  [4949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2), SHIFT_REPEAT(11936),
  [4952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9109),
  [4954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9889),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9889),
  [4958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9108),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9877),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9877),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9152),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9852),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [4970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9153),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9863),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9863),
  [4976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9163),
  [4978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9873),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9873),
  [4982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9164),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9882),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9882),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9172),
  [4990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9904),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9904),
  [4994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9173),
  [4996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9911),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11652),
  [5002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9042),
  [5004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9793),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9793),
  [5008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9106),
  [5010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9870),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9870),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9102),
  [5016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9864),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9864),
  [5020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9141),
  [5022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9909),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9909),
  [5026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9138),
  [5028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9906),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9906),
  [5032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9039),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9898),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9898),
  [5038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9124),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9895),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [5044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9120),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9888),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9118),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9885),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9885),
  [5056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9092),
  [5058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9846),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9088),
  [5064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9830),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9830),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9104),
  [5070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9876),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9876),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11681),
  [5076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9098),
  [5078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9874),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9874),
  [5082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9096),
  [5084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9862),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9862),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9274),
  [5090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9578),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9095),
  [5096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9860),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [5100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9090),
  [5102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9851),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9851),
  [5106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9080),
  [5108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9849),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9849),
  [5112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9074),
  [5114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9841),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9841),
  [5118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9201),
  [5120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9620),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9620),
  [5124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9073),
  [5126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9838),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [5130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(352),
  [5133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9072),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9832),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [5139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9278),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9584),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [5145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9070),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9829),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9829),
  [5151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9064),
  [5153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9822),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9822),
  [5157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9048),
  [5159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9805),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9805),
  [5163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9288),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [5168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9333),
  [5170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9050),
  [5172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9809),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9809),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9060),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9815),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9815),
  [5182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9061),
  [5184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9817),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9817),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9053),
  [5190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9786),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9786),
  [5194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9045),
  [5196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9788),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9788),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9066),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9824),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9824),
  [5206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9277),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9587),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [5212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [5218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7089),
  [5220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7456),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [5224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [5226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [5228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [5230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2), SHIFT_REPEAT(5149),
  [5233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [5235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6260),
  [5237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [5239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11235),
  [5241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11188),
  [5243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11194),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11267),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11930),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11928),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11336),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11264),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11092),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11761),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11753),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11687),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11086),
  [5273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(9432),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11933),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11897),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11293),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11278),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11958),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11942),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11939),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11271),
  [5292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 2, .production_id = 1),
  [5294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8909),
  [5296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9255),
  [5298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21), SHIFT_REPEAT(10236),
  [5301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9033),
  [5303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9239),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9524),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11276),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11005),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11541),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11539),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11697),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10236),
  [5321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9255),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10995),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11228),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11405),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11403),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11706),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11230),
  [5336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9239),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [5341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10950),
  [5345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11115),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11299),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11317),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11342),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11715),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11295),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11961),
  [5365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9386),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11062),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11192),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11433),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11436),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11724),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11189),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11306),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11066),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11498),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11499),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11733),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11061),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9010),
  [5395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9234),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11308),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10946),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11569),
  [5403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11574),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11742),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11116),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11000),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11026),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11668),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11675),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11751),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11032),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11464),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [5429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9234),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11290),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11110),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11779),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11780),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11760),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11129),
  [5444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11285),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11233),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11889),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11884),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11787),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10944),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10949),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11195),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11855),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11858),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11769),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11205),
  [5470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9329),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [5475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9371),
  [5477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11535),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11112),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11927),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11931),
  [5487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11778),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11268),
  [5491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(299),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [5496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [5498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2), SHIFT_REPEAT(4935),
  [5501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [5503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9237),
  [5505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21), SHIFT_REPEAT(10627),
  [5508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9273),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9324),
  [5514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11653),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [5520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11621),
  [5522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9273),
  [5525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(9517),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11453),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6188),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11155),
  [5542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11139),
  [5544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [5548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [5550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [5552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [5554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [5556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11281),
  [5558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11723),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [5566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9341),
  [5568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8949),
  [5570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [5572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [5574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10627),
  [5578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9017),
  [5580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9333),
  [5583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [5585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10537),
  [5587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10535),
  [5589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [5591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8141),
  [5595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7339),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [5601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [5607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(348),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11475),
  [5612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4661),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8867),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9176),
  [5624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9176),
  [5627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9237),
  [5630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9386),
  [5633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9183),
  [5635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8895),
  [5637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11460),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [5643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6207),
  [5645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [5649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11157),
  [5651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11049),
  [5653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [5655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9183),
  [5658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 3, .production_id = 8),
  [5660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_object, 3, .production_id = 7),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [5664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [5666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(327),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [5671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [5673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [5675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [5677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2), SHIFT_REPEAT(5107),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10780),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11952),
  [5684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9371),
  [5687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(307),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [5692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9361),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11853),
  [5696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [5698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [5700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5968),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [5704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11132),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [5708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [5710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [5712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11887),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [5718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6128),
  [5720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [5724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11237),
  [5726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11247),
  [5728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [5730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [5732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10571),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9435),
  [5738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(337),
  [5741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [5743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [5745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11859),
  [5747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [5749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [5751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [5753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [5755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(9455),
  [5758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11191),
  [5760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [5762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5217),
  [5764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10981),
  [5766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9415),
  [5772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21), SHIFT_REPEAT(10780),
  [5775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [5777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [5779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10783),
  [5785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11954),
  [5787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10084),
  [5789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9427),
  [5791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11882),
  [5793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [5795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [5797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifiers, 1),
  [5799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4896),
  [5801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [5803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [5805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6442),
  [5807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [5809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10980),
  [5811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [5813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4865),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [5817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [5819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [5821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [5823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [5825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [5827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [5833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9398),
  [5836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2),
  [5838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(4896),
  [5841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(4806),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [5846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5153),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11353),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6077),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11288),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10963),
  [5872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9492),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11938),
  [5878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [5880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4818),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [5886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3),
  [5888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [5890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9499),
  [5896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [5904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5004),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [5910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11600),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [5916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6241),
  [5918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [5922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11118),
  [5924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10954),
  [5926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [5930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [5936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5043),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [5940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(363),
  [5943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [5945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [5947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [5951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9324),
  [5954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [5958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [5960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(364),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5138),
  [5965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11521),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [5971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9396),
  [5973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11417),
  [5975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [5977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9341),
  [5980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5092),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [5986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [5988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [5990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [5992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10548),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10555),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [5998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21), SHIFT_REPEAT(10783),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [6005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(9478),
  [6008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [6010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5177),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [6014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11305),
  [6016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [6018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9268),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8917),
  [6022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5294),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [6026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5856),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [6034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11289),
  [6036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [6038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9268),
  [6041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(349),
  [6044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [6046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [6048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [6050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10664),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10669),
  [6054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2), SHIFT_REPEAT(5288),
  [6057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [6059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10330),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10327),
  [6063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [6065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11369),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [6071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6199),
  [6073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [6077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11273),
  [6079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9415),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [6084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9361),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [6089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [6091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [6093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [6095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(344),
  [6098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6075),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [6102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [6108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21), SHIFT_REPEAT(10381),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9496),
  [6113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [6117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [6119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10472),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10492),
  [6123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11756),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [6129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11798),
  [6133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [6135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9194),
  [6138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9194),
  [6140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8634),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11871),
  [6150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8911),
  [6152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11401),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [6158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6057),
  [6160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [6164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11225),
  [6166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11239),
  [6168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [6170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(144),
  [6173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [6177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8858),
  [6179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9174),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [6183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [6187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(288),
  [6190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [6192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [6196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9174),
  [6199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11131),
  [6201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [6203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(153),
  [6206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [6208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [6216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [6224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7936),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [6250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [6252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9427),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [6261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11782),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6338),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [6273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11081),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11540),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10199),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [6289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11532),
  [6291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [6309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [6319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [6321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10212),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10209),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [6331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [6333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [6335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(150),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [6342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [6352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, .production_id = 205),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8975),
  [6356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9259),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [6360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(140),
  [6363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [6365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [6367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9259),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [6372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [6376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9006),
  [6378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9248),
  [6380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9964),
  [6382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11658),
  [6384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9248),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [6411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8188),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [6419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(156),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11526),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [6426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10146),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10559),
  [6432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [6434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [6438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9396),
  [6441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21), SHIFT_REPEAT(10199),
  [6444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(392),
  [6447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2), SHIFT_REPEAT(4978),
  [6450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [6458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(9472),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11977),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [6469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [6475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11837),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [6483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6065),
  [6485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [6491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11156),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8924),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8333),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [6513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(134),
  [6516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9256),
  [6518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6962),
  [6520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [6522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5999),
  [6524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [6526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11003),
  [6528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9256),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [6537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21), SHIFT_REPEAT(10933),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9103),
  [6542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [6544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10891),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10899),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9075),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [6560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(147),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [6567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8897),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9706),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11550),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [6593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [6595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(9480),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [6606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [6610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [6616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [6618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10241),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10239),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8326),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9038),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8328),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [6666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11685),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10933),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [6690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [6696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [6700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9413),
  [6702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11330),
  [6704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [6706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [6710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [6714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [6716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [6722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9191),
  [6725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9191),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [6735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11504),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [6741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(143),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9199),
  [6748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7061),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [6752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [6754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9232),
  [6756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [6760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [6762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [6764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10795),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10798),
  [6768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(155),
  [6771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [6773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [6777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2), SHIFT_REPEAT(5015),
  [6780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [6782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [6784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [6786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9227),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [6790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [6796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9241),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [6804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9385),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [6808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8856),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8688),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [6830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [6832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9063),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [6842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(157),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [6851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11972),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [6857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6414),
  [6859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [6863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11304),
  [6865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [6867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [6869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [6871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9347),
  [6873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [6875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10282),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10295),
  [6879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, .production_id = 122),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [6883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10580),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10591),
  [6887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2),
  [6889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, .production_id = 122),
  [6891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [6893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(158),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [6900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11593),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [6904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, .production_id = 169),
  [6906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1), REDUCE(sym_binding, 1, .dynamic_precedence = 1, .production_id = 2),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [6911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1), SHIFT(6328),
  [6914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10485),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10486),
  [6918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, .production_id = 211),
  [6920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, .production_id = 213),
  [6922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, .production_id = 211),
  [6924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9414),
  [6926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, .production_id = 241),
  [6928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, .production_id = 243),
  [6930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, .production_id = 241),
  [6932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 7, .production_id = 254),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [6936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, .production_id = 169),
  [6938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(151),
  [6941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [6943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8063),
  [6945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [6947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [6949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [6951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [6955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [6959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(136),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [6966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11921),
  [6968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [6970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [6972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 8, .production_id = 257),
  [6974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [6976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21), SHIFT_REPEAT(10600),
  [6979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [6981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7883),
  [6985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(9485),
  [6988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9203),
  [6991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [6993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9203),
  [6995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [6997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8941),
  [6999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(141),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [7006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11786),
  [7008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [7010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10600),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11543),
  [7020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(152),
  [7023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [7025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [7027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2), SHIFT_REPEAT(4953),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [7034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11553),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8772),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [7048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [7050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [7052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11314),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6347),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [7062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11217),
  [7064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(9440),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [7071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11095),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11605),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [7079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10974),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [7085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10999),
  [7087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [7089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [7091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11094),
  [7093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [7095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6014),
  [7097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [7099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10975),
  [7101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11164),
  [7103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9365),
  [7105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11249),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10229),
  [7109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11197),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11670),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [7121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10973),
  [7123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21), SHIFT_REPEAT(10229),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [7150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [7152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [7154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(139),
  [7157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11125),
  [7159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11311),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [7165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(377),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [7180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11070),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [7200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [7202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [7222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10948),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11171),
  [7226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11134),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11098),
  [7230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11283),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [7236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11044),
  [7238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10976),
  [7240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11199),
  [7242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11287),
  [7244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11232),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [7254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8405),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [7260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11527),
  [7262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(145),
  [7265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9297),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [7283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 1, .production_id = 2),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [7293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [7295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(135),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11860),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11937),
  [7310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [7314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8327),
  [7316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9377),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [7324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9282),
  [7326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_guard, 2, .production_id = 205),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [7332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10971),
  [7334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8312),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [7342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11440),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11680),
  [7348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [7350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10136),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10145),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [7358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11862),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11888),
  [7362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9405),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [7366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9413),
  [7369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(370),
  [7372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [7374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10877),
  [7376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10880),
  [7378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(324),
  [7381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [7383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8693),
  [7385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [7387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8590),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11711),
  [7391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [7393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [7395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9303),
  [7397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(146),
  [7400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9385),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11743),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11664),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [7425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(289),
  [7428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9334),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9448),
  [7432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(138),
  [7435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8622),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9383),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [7443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 2),
  [7445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 2),
  [7447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7761),
  [7449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9281),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10090),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10087),
  [7455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 3),
  [7457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 3),
  [7459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 3),
  [7461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 3),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11348),
  [7465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8963),
  [7467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(287),
  [7470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9414),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11371),
  [7475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 2, .production_id = 67),
  [7477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 2),
  [7479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 2),
  [7481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(369),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11576),
  [7486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(290),
  [7489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(367),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11558),
  [7494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9347),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [7499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(297),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [7510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(300),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [7521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9143),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [7527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9377),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [7538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9365),
  [7541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9028),
  [7543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9238),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [7551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(331),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [7564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9238),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [7573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8966),
  [7575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9218),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [7631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9282),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [7636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(340),
  [7639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9218),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [7648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9297),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11924),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11911),
  [7689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7281),
  [7691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [7693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [7697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [7699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [7701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7985),
  [7703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [7705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7986),
  [7707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [7709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9214),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11530),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [7717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7804),
  [7719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3611),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [7725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [7727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3608),
  [7729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7330),
  [7731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [7733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7331),
  [7735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [7737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7332),
  [7739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [7741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7329),
  [7743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9610),
  [7747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7735),
  [7749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [7751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7739),
  [7753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [7755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9214),
  [7758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7922),
  [7760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [7762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7914),
  [7764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [7766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 2, .production_id = 68),
  [7768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7333),
  [7770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [7772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8960),
  [7774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7335),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [7778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7664),
  [7780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [7782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7662),
  [7784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [7786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7460),
  [7788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [7790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7458),
  [7792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [7796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [7798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [7800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7751),
  [7802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [7804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7350),
  [7806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9540),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [7814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7978),
  [7816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [7818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7351),
  [7820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [7822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7406),
  [7824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [7826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9405),
  [7829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7411),
  [7831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [7833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7410),
  [7835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [7837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7348),
  [7839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [7841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8051),
  [7843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8055),
  [7845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7401),
  [7847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [7849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7346),
  [7851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [7853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7390),
  [7855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [7857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [7859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [7861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7385),
  [7863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9907),
  [7867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8178),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [7871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8183),
  [7873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [7875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9334),
  [7878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7352),
  [7880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [7884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7353),
  [7886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [7888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11785),
  [7892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [7894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8086),
  [7896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3587),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [7900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [7902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [7904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7280),
  [7906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8121),
  [7910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [7912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8120),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [7916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9303),
  [7919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 3, .production_id = 117),
  [7921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7379),
  [7923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [7925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7824),
  [7927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [7929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7821),
  [7931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [7933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [7935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [7937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9252),
  [7939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9252),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9665),
  [7944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_definition_repeat1, 2), SHIFT_REPEAT(9383),
  [7947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(9476),
  [7950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7705),
  [7952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [7954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7703),
  [7956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [7958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7599),
  [7960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [7962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7596),
  [7964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9694),
  [7968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7510),
  [7970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [7972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7509),
  [7974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9645),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9762),
  [7980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7355),
  [7982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [7984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7354),
  [7986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [7988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_pattern, 3, .production_id = 48),
  [7990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9243),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11861),
  [7997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8088),
  [7999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [8001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [8005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [8007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [8009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9250),
  [8011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8891),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9243),
  [8015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8984),
  [8017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alternative_pattern, 3),
  [8019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_class_pattern_repeat1, 2),
  [8021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9250),
  [8024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8991),
  [8026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9023),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9247),
  [8030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alternative_pattern, 3),
  [8032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_pattern, 3, .production_id = 45),
  [8034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_capture_pattern, 3, .production_id = 45),
  [8036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9247),
  [8039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9181),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11802),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9181),
  [8046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2), SHIFT_REPEAT(4950),
  [8049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_pattern, 3, .production_id = 48),
  [8051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8889),
  [8053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 1),
  [8055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9249),
  [8057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9223),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11138),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11047),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11692),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11695),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11754),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11053),
  [8076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7774),
  [8078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8981),
  [8080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9223),
  [8082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8990),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9240),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11011),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11240),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11394),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11392),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11709),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11243),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11234),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11260),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11848),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11914),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11338),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11256),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11167),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11274),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11941),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11943),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11781),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11280),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11018),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11180),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11443),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11446),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11727),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11176),
  [8134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9240),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11261),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11282),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11358),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11718),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11279),
  [8149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9249),
  [8152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9035),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11226),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11076),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11734),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11726),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11690),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11068),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11152),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11048),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11507),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11509),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11736),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11042),
  [8178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 5, .production_id = 209),
  [8180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 3, .production_id = 118),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11149),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11030),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11519),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11515),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11700),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11038),
  [8194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 4, .production_id = 168),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10957),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11212),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11850),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11865),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11772),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11218),
  [8208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 4, .production_id = 167),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11123),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11792),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11800),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11763),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11126),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11251),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11250),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11903),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11900),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11849),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [8240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 80), SHIFT_REPEAT(9262),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11292),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11184),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11856),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11893),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11790),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11175),
  [8255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9262),
  [8257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8916),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10987),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10958),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11581),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11587),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11745),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10964),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [8275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10061),
  [8277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9635),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [8281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9912),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [8285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3888),
  [8287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6466),
  [8289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [8293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4775),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9511),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [8299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9801),
  [8301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9573),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [8305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9746),
  [8307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9758),
  [8309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8382),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [8313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8392),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [8323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9671),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [8327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9857),
  [8329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9561),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [8337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9651),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [8341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9657),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [8345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [8349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [8353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9572),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [8357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6872),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [8361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6871),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9441),
  [8365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9553),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9409),
  [8369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9775),
  [8371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9585),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [8375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [8379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9529),
  [8383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9556),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [8391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9542),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [8395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9825),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [8401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9692),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9725),
  [8405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9725),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9447),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [8411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9779),
  [8413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5595),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [8417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5597),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9523),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [8423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [8427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9516),
  [8431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9975),
  [8433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7757),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [8437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7766),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [8443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [8447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4951),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9513),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8889),
  [8453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9688),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [8457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9879),
  [8459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6559),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [8463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6560),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9434),
  [8467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9719),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [8471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9734),
  [8473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9699),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [8477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9789),
  [8479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9595),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [8483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9760),
  [8485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [8489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [8493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9486),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [8499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9813),
  [8501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6254),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [8505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6253),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [8509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 5, .production_id = 134),
  [8511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 4),
  [8513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 5, .production_id = 135),
  [8515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 4, .production_id = 90),
  [8517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 4, .production_id = 88),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10061),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [8523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7752),
  [8525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7755),
  [8527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 3, .production_id = 50),
  [8529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 3, .production_id = 47),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [8535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 3),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9035),
  [8541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wildcard, 1),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [8545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7368),
  [8547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7367),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [8553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 3, .production_id = 47),
  [8555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7776),
  [8557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7777),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [8561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8097),
  [8563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8092),
  [8565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 3, .production_id = 50),
  [8567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8024),
  [8569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7341),
  [8571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7340),
  [8573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8025),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [8577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 3, .production_id = 43),
  [8579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8071),
  [8581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8044),
  [8583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8070),
  [8585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8047),
  [8587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 4),
  [8589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 4, .production_id = 88),
  [8591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8080),
  [8593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8068),
  [8595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8083),
  [8597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8067),
  [8599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3),
  [8601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 4, .production_id = 90),
  [8603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 5, .production_id = 134),
  [8605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8117),
  [8607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 5, .production_id = 135),
  [8609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8118),
  [8611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8059),
  [8613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8058),
  [8615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8041),
  [8617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8035),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [8621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8034),
  [8623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8033),
  [8625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8029),
  [8627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8027),
  [8629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7847),
  [8631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7838),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [8635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7322),
  [8637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7321),
  [8639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7833),
  [8641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7832),
  [8643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 2),
  [8645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 2), SHIFT_REPEAT(8076),
  [8648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7266),
  [8650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7270),
  [8652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7830),
  [8654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7829),
  [8656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7827),
  [8658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7826),
  [8660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7814),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [8664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7813),
  [8666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7809),
  [8668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7808),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [8672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7806),
  [8674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7805),
  [8676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7803),
  [8678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7802),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10406),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [8690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 21), SHIFT_REPEAT(10406),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10818),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8243),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10869),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [8769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 6, .production_id = 240),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9842),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [8781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 5, .production_id = 210),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [8789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2),
  [8791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2), SHIFT_REPEAT(3502),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8205),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [8832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat2, 2),
  [8834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat2, 2), SHIFT_REPEAT(8084),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [8845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_upper_bound, 2, .production_id = 19),
  [8847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(149),
  [8850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 1),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8899),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [8876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), SHIFT_REPEAT(7785),
  [8879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8779),
  [8891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_block_repeat1, 2),
  [8893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_block_repeat1, 2), SHIFT_REPEAT(3674),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8839),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [8916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lower_bound, 2, .production_id = 19),
  [8918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_view_bound, 2, .production_id = 19),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8728),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [8930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, .production_id = 12),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [8938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 2, .production_id = 1),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [8944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, .production_id = 121),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [8962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_selectors_repeat1, 2),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [8976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, .production_id = 52),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [8990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, .production_id = 44),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [9000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 4),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [9020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, .production_id = 1),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10051),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [9032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, .production_id = 2),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8716),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [9046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 1, .production_id = 2),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9905),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10952),
  [9114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10961),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [9192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7967),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8838),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [9268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [9270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [9272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [9276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9672),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [9290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [9292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [9296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [9298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [9312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [9316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [9320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [9326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [9328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9097),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [9336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [9340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [9344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [9370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [9384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3618),
  [9386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11294),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7959),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9254),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [9406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9666),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [9478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [9488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [9526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8294),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [9564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [9566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [9572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8869),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7825),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9613),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [9634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, .production_id = 242),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [9704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [9714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, .production_id = 212),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [9734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8736),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [9740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [9742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9313),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9910),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9625),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [9856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, .production_id = 44),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9790),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9443),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11166),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [9886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, .production_id = 49), SHIFT_REPEAT(11911),
  [9889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, .production_id = 49),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [9899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_selectors_repeat1, 2), SHIFT_REPEAT(9500),
  [9902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [9930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat2, 2), SHIFT_REPEAT(10961),
  [9933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat2, 2),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8242),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11627),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9602),
  [9963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat1, 2), SHIFT_REPEAT(10952),
  [9966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat1, 2),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11151),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [9972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [9980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8872),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [10000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [10002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [10004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bindings_repeat1, 2), SHIFT_REPEAT(10953),
  [10007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bindings_repeat1, 2),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10953),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11573),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [10039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 1, .dynamic_precedence = 1, .production_id = 2),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [10045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, .dynamic_precedence = 1, .production_id = 121),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [10073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2), SHIFT_REPEAT(9905),
  [10076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9264),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9536),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [10146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2), SHIFT_REPEAT(487),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [10153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_types_repeat1, 2),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [10161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_types_repeat1, 2), SHIFT_REPEAT(6376),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9188),
  [10172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), REDUCE(aux_sym_parameter_types_repeat1, 2),
  [10175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8284),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [10187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_parameters_repeat1, 2), SHIFT_REPEAT(5485),
  [10190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_parameters_repeat1, 2),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [10198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, .production_id = 121),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9229),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8679),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [10224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, .production_id = 120), SHIFT_REPEAT(8730),
  [10227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, .production_id = 120),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9221),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [10255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9962),
  [10257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11523),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [10267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_context_bound, 2, .production_id = 19),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [10295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [10297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [10307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [10337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11518),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9534),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [10373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11114),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [10395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [10421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_class_pattern_repeat1, 2), SHIFT_REPEAT(3766),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9821),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9816),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [10452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [10462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [10472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [10474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [10478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [10480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [10484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11489),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [10500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [10502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [10504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [10506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10107),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10634),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10675),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9921),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10986),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11613),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10587),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10028),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [10532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [10538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10093),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [10544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_given_by_type, 2),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [10548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [10550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9944),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9974),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9924),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10096),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10094),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10046),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [10570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9968),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [10578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9920),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11077),
  [10584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11473),
  [10586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 2, .production_id = 66),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [10590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [10594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 2),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [10598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [10602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11148),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11731),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10993),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11533),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9993),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [10622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [10628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contravariant_type_parameter, 2, .production_id = 66),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [10634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_covariant_type_parameter, 2, .production_id = 66),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [10638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10110),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [10648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [10652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [10654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11258),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11688),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10115),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9926),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9960),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [10682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9947),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [10690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [10694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [10702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9961),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9954),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [10716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6672),
  [10718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [10722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_renamed_identifier, 3, .production_id = 161),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [10726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [10728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [10730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, .production_id = 66),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11034),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11819),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [10752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6815),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [10756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [10758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [10760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6738),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9988),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9977),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10041),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [10778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, .production_id = 1),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [10784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, .production_id = 204),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9946),
  [10788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 2),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10045),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9969),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [10820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5346),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [10824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3976),
  [10826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 238),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11172),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11275),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11822),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10081),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [10860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3969),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [10864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5510),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [10874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [10878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [10898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5399),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11033),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11879),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [10932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5564),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [10936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9966),
  [10940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [10944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [10948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10039),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [10952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [10956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [10960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, .production_id = 26),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10098),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11010),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11359),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [10974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5251),
  [10976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [10978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [10980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [10982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [10984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [10986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11087),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11750),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [10992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8548),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11214),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11777),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [11000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6045),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [11004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8373),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [11008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6073),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [11012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8335),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [11016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11262),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11959),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [11028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [11032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6123),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10063),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11265),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11380),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10095),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9945),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [11054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [11058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10025),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [11064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9934),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10494),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10513),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10520),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [11134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8727),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [11142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8954),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8750),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [11264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6979),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [11340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 4),
  [11342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [11344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [11346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [11348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [11356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8111),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [11370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [11390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 4, .dynamic_precedence = 1),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [11394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [11396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9992),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [11404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9283),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8173),
  [11414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [11418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8773),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [11476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 3),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11307),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [11560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 3, .dynamic_precedence = 1),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9962),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10575),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10594),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10601),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10628),
  [11678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10646),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [11684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10652),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10660),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10676),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [11702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10682),
  [11706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10690),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [11712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10703),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [11718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10709),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10717),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [11728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10731),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10737),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10758),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [11750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10764),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [11756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10772),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10792),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7851),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10800),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10813),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10819),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [11790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10827),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10841),
  [11798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [11802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [11804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [11806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10855),
  [11808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10868),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [11816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10874),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [11820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10882),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8139),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10896),
  [11830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [11832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10902),
  [11836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [11838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [11840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10910),
  [11842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [11846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10923),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [11852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10929),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [11858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [11860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [11862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [11864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [11866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [11868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [11870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11735),
  [11872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [11874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [11876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [11878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [11880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [11882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [11884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [11886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [11888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [11890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [11892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [11894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [11896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [11898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [11900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [11902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [11906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [11908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [11910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [11912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [11914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [11916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [11918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [11922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [11924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [11926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [11930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [11932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [11934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [11936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11919),
  [11938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [11946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [11950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [11952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10641),
  [11954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [11956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [11958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [11960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [11962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [11964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [11968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [11972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [11976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [11978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [11980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [11982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [11984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [11986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [11988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11301),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [11996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 2, .dynamic_precedence = 1),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [12008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [12010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [12012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [12014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9964),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [12030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [12032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [12036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [12038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [12050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [12066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10091),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11142),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [12080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [12086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [12090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [12094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9456),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10281),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11915),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [12162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [12170] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_scala_external_scanner_create(void);
void tree_sitter_scala_external_scanner_destroy(void *);
bool tree_sitter_scala_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_scala_external_scanner_serialize(void *, char *);
void tree_sitter_scala_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_scala(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_scala_external_scanner_create,
      tree_sitter_scala_external_scanner_destroy,
      tree_sitter_scala_external_scanner_scan,
      tree_sitter_scala_external_scanner_serialize,
      tree_sitter_scala_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
